=== modified file 'ChangeLog'
--- ChangeLog	2006-10-20 13:12:33 +0000
+++ ChangeLog	2008-02-06 17:25:16 +0000
@@ -1,3 +1,67 @@
+
+19/11/2007 Martin Preuss <martin@aquamaniac.de>
+	* Release 0.9.0
+
+
+12/11/2007 Martin Preuss <martin@aquamaniac.de>
+	* ofx_preproc.cpp: Increased size of file name buffer (50 was too
+          small)
+
+
+28/9/2007 Martin Preuss <martin@aquamaniac.de>
+        * libofx.h: added some fields to OfxFiLogin:
+          - header_version
+          - appid
+          - appver
+          It seems to become necessary with some new servers to modify
+          these fields by the application.
+          
+27/9/2007 Martin Preuss <martin@aquamaniac.de>
+	* ofx_request_statement.cpp: Incremented versions written to the
+          request
+        * libofx.h, ofx_utilities.cpp: replaced some char* with "const char*" to make GCC happy,
+          wrapped arithmetic calculations in macro definitions in brackets
+          to avoid mathematical problems
+        * libofx.h: Removed this file, replaced it with libofx.h.in. This
+          is used to create libofx.h which now includes some subst variables
+          conveying the version of LibOFX to source files. Introduced 
+          LIBOFX_BUILD_VERSION and LIBOFX_VERSION_RELEASE_STRING to
+          distinguish even CVS versions.
+          Added function libofx_set_dtd_dir() which allows to set the
+          folder in which DTD files are stored. This is needed for local
+          installations (e.g. WIN32)
+        * libofx.pc.in: depending libraries don't need to link against
+          OpenSP themselves, since LibOFX encapsulates it, no need to
+          propagate unnecessary dependencies
+        * ofx_utilities.{cpp,h}: added a function to generate a temp file name
+          (works on WIN32 and Linux)
+
+24/1/2007:  Benoit Grégoire  <bock@step.polymtl.ca>
+	* ofx_preproc.cpp:  Now parses the OFX headers to determine the input charset and 
+          encoding, and uses libiconv (if available) to convert the encoding since OpenSP 
+          can't do it.  The default output is now UTF-8.  This will "do the right thing" 
+          for Gnucash 2 and any client that uses UTF-8 strings, but we should add an interface 
+          to let the client chose his prefered output encoding.
+
+9/1/2007:  Benoit Grégoire  <bock@step.polymtl.ca>
+	* Adapted patch by Christian Lupien <lupien @at@ physique.usherbrooke.ca> to add 
+          processing of the different bank account types in OfxPaymentRequest.  Took this
+          oportunity to correct an API duplication problem before it get's even more 
+          complicated to fix:  deleted OfxAccountInfo (OfxAccountData should be used instead)
+          and the global scopt AccountType enum (use the one in OfxAccountData).
+	  Both of these changes will require source code change in aqbanking.
+	* Bump the version and soname right now so aqbanking can detect it.
+
+8/1/2007:  Benoit Grégoire  <bock@step.polymtl.ca>
+	* Release 0.8.3
+
+27/9/2006 Martin Preuss <martin@aquamaniac.de>
+	* lib/ofx_preproc.cpp: Make sure all results of string::find are 
+          inside the string's length; make sure to erase parts of the string 
+          only if the string is long enough. 
+          Fixes crash http://bugzilla.gnome.org/show_bug.cgi?id=353986
+          Patch supplied by Christian Stimming from GnuCash
+
 25/8/2006:  Benoit Grégoire  <bock@step.polymtl.ca>
 	* Fix datatype mismatch in ofx_preproc.cpp
 	* Fix gengetopt related build problems on debian based distribution.

=== modified file 'Makefile.am'
--- Makefile.am	2006-10-20 13:12:33 +0000
+++ Makefile.am	2008-02-06 17:25:16 +0000
@@ -1,7 +1,7 @@
 if BUILD_OFXCONNECT
        MAYBE_OFXCONNECT = ofxconnect
 endif
-SUBDIRS = inc dtd lib doc . ofx2qif ofxdump $(MAYBE_OFXCONNECT)
+SUBDIRS = m4 inc dtd lib doc . ofx2qif ofxdump $(MAYBE_OFXCONNECT)
 
 docdir = ${prefix}/share/doc/libofx
 

=== modified file 'Makefile.in'
--- Makefile.in	2006-10-20 13:12:33 +0000
+++ Makefile.in	2008-02-06 17:25:16 +0000
@@ -44,7 +44,7 @@
 	config/install-sh config/ltmain.sh config/missing
 subdir = .
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/libcurl.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/os.m4 $(top_srcdir)/libcurl.m4 \
 	$(top_srcdir)/configure.in
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
@@ -73,7 +73,7 @@
 DATA = $(doc_DATA) $(pkgconfig_DATA)
 ETAGS = etags
 CTAGS = ctags
-DIST_SUBDIRS = inc dtd lib doc . ofx2qif ofxdump ofxconnect
+DIST_SUBDIRS = m4 inc dtd lib doc . ofx2qif ofxdump ofxconnect
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 distdir = $(PACKAGE)-$(VERSION)
 top_distdir = $(distdir)
@@ -90,6 +90,7 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 AR = @AR@
+AS = @AS@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
@@ -108,6 +109,7 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DLLTOOL = @DLLTOOL@
 DOC_FALSE = @DOC_FALSE@
 DOC_TRUE = @DOC_TRUE@
 DOT = @DOT@
@@ -122,7 +124,10 @@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
+GREP = @GREP@
+ICONV_LIBS = @ICONV_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
+INSTALL_DLL_TARGET = @INSTALL_DLL_TARGET@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
@@ -130,6 +135,7 @@
 LIBCURL = @LIBCURL@
 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
 LIBOBJS = @LIBOBJS@
+LIBOFX_BUILD_VERSION = @LIBOFX_BUILD_VERSION@
 LIBOFX_DTD_DIR = @LIBOFX_DTD_DIR@
 LIBOFX_MAJOR_VERSION = @LIBOFX_MAJOR_VERSION@
 LIBOFX_MICRO_VERSION = @LIBOFX_MICRO_VERSION@
@@ -138,6 +144,7 @@
 LIBOFX_SO_CURRENT = @LIBOFX_SO_CURRENT@
 LIBOFX_SO_REVISION = @LIBOFX_SO_REVISION@
 LIBOFX_VERSION = @LIBOFX_VERSION@
+LIBOFX_VERSION_RELEASE_STRING = @LIBOFX_VERSION_RELEASE_STRING@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIBXMLPP_CFLAGS = @LIBXMLPP_CFLAGS@
@@ -148,11 +155,15 @@
 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
+MAKE_DLL_TARGET = @MAKE_DLL_TARGET@
 NO_GETOPTLONG_FALSE = @NO_GETOPTLONG_FALSE@
 NO_GETOPTLONG_TRUE = @NO_GETOPTLONG_TRUE@
+OBJDUMP = @OBJDUMP@
 OBJEXT = @OBJEXT@
 OPENSPINCLUDES = @OPENSPINCLUDES@
 OPENSPLIBS = @OPENSPLIBS@
+OSYSTEM = @OSYSTEM@
+OS_TYPE = @OS_TYPE@
 PACKAGE = @PACKAGE@
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
@@ -163,20 +174,19 @@
 PKG_CONFIG = @PKG_CONFIG@
 QT_CFLAGS = @QT_CFLAGS@
 RANLIB = @RANLIB@
+RC = @RC@
+SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_GENGETOPT_FALSE = @USE_GENGETOPT_FALSE@
 USE_GENGETOPT_TRUE = @USE_GENGETOPT_TRUE@
 VERSION = @VERSION@
+WITH_ICONV = @WITH_ICONV@
 _libcurl_config = @_libcurl_config@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
@@ -193,6 +203,9 @@
 build_os = @build_os@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = ${prefix}/share/doc/libofx
+dvidir = @dvidir@
 enable_dot = @enable_dot@
 enable_html_docs = @enable_html_docs@
 enable_latex_docs = @enable_latex_docs@
@@ -203,25 +216,28 @@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
 install_sh = @install_sh@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 ofxconnect = @ofxconnect@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 @BUILD_OFXCONNECT_TRUE@MAYBE_OFXCONNECT = ofxconnect
-SUBDIRS = inc dtd lib doc . ofx2qif ofxdump $(MAYBE_OFXCONNECT)
-docdir = ${prefix}/share/doc/libofx
+SUBDIRS = m4 inc dtd lib doc . ofx2qif ofxdump $(MAYBE_OFXCONNECT)
 doc_DATA = \
   AUTHORS \
   COPYING \
@@ -478,7 +494,7 @@
 distdir: $(DISTFILES)
 	$(am__remove_distdir)
 	mkdir $(distdir)
-	$(mkdir_p) $(distdir)/. $(distdir)/config $(distdir)/lib
+	$(mkdir_p) $(distdir)/. $(distdir)/config $(distdir)/inc $(distdir)/lib $(distdir)/m4
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
 	list='$(DISTFILES)'; for file in $$list; do \

=== modified file 'NEWS'
--- NEWS	2006-10-20 13:12:33 +0000
+++ NEWS	2008-02-06 17:25:16 +0000
@@ -1,3 +1,21 @@
+LibOFX 0.9.0:
+	- this release now exports version information thus allowing depending applications
+          to determine the version of LibOFX to compile against
+        - some fields have been added to OfxFiLogin to allow for modification of some
+          OFX header fields in outgoing requests. Together with the latest AqBanking3 this
+          should fix the problem with servers suddenly rejecting connections from LibOFX
+          applications
+        - the calling application can now tell libofx where the data files reside. This allows
+          for relocatable binaries (most importantly on Windows)
+        - some warnings from recent versions of GCC have been fixed
+        - libOFX can now easily be cross-compiled for Windows on Linux
+        - the OFX header is now scanned for a hint regarding the encoding of the document and
+          convert the data to UTF8 if iconv is available at compile time.
+        - the API for online requests has been cleaned up
+
+LibOFX 0.8.3:
+	- Fix problem with string lengths.  Fixes Gnucash bug http://bugzilla.gnome.org/show_bug.cgi?id=353986
+
 LibOFX 0.8.2:
         - bug fixes for GCC4.x and 64-bit compatibility
         - fix to enable OFXDirectConnect in Aqbanking

=== modified file 'aclocal.m4'
--- aclocal.m4	2006-10-20 13:12:33 +0000
+++ aclocal.m4	2008-02-06 17:25:16 +0000
@@ -13,7 +13,7 @@
 
 # libtool.m4 - Configure libtool for the host system. -*-Autoconf-*-
 
-# serial 48 Debian 1.5.22-2 AC_PROG_LIBTOOL
+# serial 51 Debian 1.5.24-1 AC_PROG_LIBTOOL
 
 
 # AC_PROVIDE_IFELSE(MACRO-NAME, IF-PROVIDED, IF-NOT-PROVIDED)
@@ -176,7 +176,7 @@
 test -z "$ac_objext" && ac_objext=o
 
 # Determine commands to create old-style static archives.
-old_archive_cmds='$AR $AR_FLAGS $oldlib$oldobjs$old_deplibs'
+old_archive_cmds='$AR $AR_FLAGS $oldlib$oldobjs'
 old_postinstall_cmds='chmod 644 $oldlib'
 old_postuninstall_cmds=
 
@@ -263,8 +263,9 @@
 # Check for compiler boilerplate output or warnings with
 # the simple compiler test code.
 AC_DEFUN([_LT_COMPILER_BOILERPLATE],
-[ac_outfile=conftest.$ac_objext
-printf "$lt_simple_compile_test_code" >conftest.$ac_ext
+[AC_REQUIRE([LT_AC_PROG_SED])dnl
+ac_outfile=conftest.$ac_objext
+echo "$lt_simple_compile_test_code" >conftest.$ac_ext
 eval "$ac_compile" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_compiler_boilerplate=`cat conftest.err`
 $rm conftest*
@@ -276,8 +277,9 @@
 # Check for linker boilerplate output or warnings with
 # the simple link test code.
 AC_DEFUN([_LT_LINKER_BOILERPLATE],
-[ac_outfile=conftest.$ac_objext
-printf "$lt_simple_link_test_code" >conftest.$ac_ext
+[AC_REQUIRE([LT_AC_PROG_SED])dnl
+ac_outfile=conftest.$ac_objext
+echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
 $rm conftest*
@@ -293,12 +295,20 @@
 # If we don't find anything, use the default library path according
 # to the aix ld manual.
 AC_DEFUN([_LT_AC_SYS_LIBPATH_AIX],
-[AC_LINK_IFELSE(AC_LANG_PROGRAM,[
-aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`
+[AC_REQUIRE([LT_AC_PROG_SED])dnl
+AC_LINK_IFELSE(AC_LANG_PROGRAM,[
+lt_aix_libpath_sed='
+    /Import File Strings/,/^$/ {
+	/^0/ {
+	    s/^0  *\(.*\)$/\1/
+	    p
+	}
+    }'
+aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
 # Check for a 64-bit object if we didn't find anything.
-if test -z "$aix_libpath"; then aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`; fi],[])
+if test -z "$aix_libpath"; then
+  aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
+fi],[])
 if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
 ])# _LT_AC_SYS_LIBPATH_AIX
 
@@ -529,13 +539,17 @@
   rm -rf conftest*
   ;;
 
-x86_64-*linux*|ppc*-*linux*|powerpc*-*linux*|s390*-*linux*|sparc*-*linux*)
+x86_64-*kfreebsd*-gnu|x86_64-*linux*|ppc*-*linux*|powerpc*-*linux*| \
+s390*-*linux*|sparc*-*linux*)
   # Find out which ABI we are using.
   echo 'int i;' > conftest.$ac_ext
   if AC_TRY_EVAL(ac_compile); then
     case `/usr/bin/file conftest.o` in
     *32-bit*)
       case $host in
+        x86_64-*kfreebsd*-gnu)
+          LD="${LD-ld} -m elf_i386_fbsd"
+          ;;
         x86_64-*linux*)
           LD="${LD-ld} -m elf_i386"
           ;;
@@ -552,6 +566,9 @@
       ;;
     *64-bit*)
       case $host in
+        x86_64-*kfreebsd*-gnu)
+          LD="${LD-ld} -m elf_x86_64_fbsd"
+          ;;
         x86_64-*linux*)
           LD="${LD-ld} -m elf_x86_64"
           ;;
@@ -623,7 +640,7 @@
 AC_CACHE_CHECK([$1], [$2],
   [$2=no
   ifelse([$4], , [ac_outfile=conftest.$ac_objext], [ac_outfile=$4])
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="$3"
    # Insert the option either (1) after the last *FLAGS variable, or
    # (2) before a word containing "conftest.", or (3) at the end.
@@ -664,11 +681,12 @@
 # ------------------------------------------------------------
 # Check whether the given compiler option works
 AC_DEFUN([AC_LIBTOOL_LINKER_OPTION],
-[AC_CACHE_CHECK([$1], [$2],
+[AC_REQUIRE([LT_AC_PROG_SED])dnl
+AC_CACHE_CHECK([$1], [$2],
   [$2=no
    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $3"
-   printf "$lt_simple_link_test_code" > conftest.$ac_ext
+   echo "$lt_simple_link_test_code" > conftest.$ac_ext
    if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
      # The linker can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -782,24 +800,27 @@
     fi
     ;;
   *)
-    # If test is not a shell built-in, we'll probably end up computing a
-    # maximum length that is only half of the actual maximum length, but
-    # we can't tell.
-    SHELL=${SHELL-${CONFIG_SHELL-/bin/sh}}
-    while (test "X"`$SHELL [$]0 --fallback-echo "X$teststring" 2>/dev/null` \
+    lt_cv_sys_max_cmd_len=`(getconf ARG_MAX) 2> /dev/null`
+    if test -n "$lt_cv_sys_max_cmd_len"; then
+      lt_cv_sys_max_cmd_len=`expr $lt_cv_sys_max_cmd_len \/ 4`
+      lt_cv_sys_max_cmd_len=`expr $lt_cv_sys_max_cmd_len \* 3`
+    else
+      SHELL=${SHELL-${CONFIG_SHELL-/bin/sh}}
+      while (test "X"`$SHELL [$]0 --fallback-echo "X$teststring" 2>/dev/null` \
 	       = "XX$teststring") >/dev/null 2>&1 &&
-	    new_result=`expr "X$teststring" : ".*" 2>&1` &&
-	    lt_cv_sys_max_cmd_len=$new_result &&
-	    test $i != 17 # 1/2 MB should be enough
-    do
-      i=`expr $i + 1`
-      teststring=$teststring$teststring
-    done
-    teststring=
-    # Add a significant safety factor because C++ compilers can tack on massive
-    # amounts of additional arguments before passing them to the linker.
-    # It appears as though 1/2 is a usable value.
-    lt_cv_sys_max_cmd_len=`expr $lt_cv_sys_max_cmd_len \/ 2`
+	      new_result=`expr "X$teststring" : ".*" 2>&1` &&
+	      lt_cv_sys_max_cmd_len=$new_result &&
+	      test $i != 17 # 1/2 MB should be enough
+      do
+        i=`expr $i + 1`
+        teststring=$teststring$teststring
+      done
+      teststring=
+      # Add a significant safety factor because C++ compilers can tack on massive
+      # amounts of additional arguments before passing them to the linker.
+      # It appears as though 1/2 is a usable value.
+      lt_cv_sys_max_cmd_len=`expr $lt_cv_sys_max_cmd_len \/ 2`
+    fi
     ;;
   esac
 ])
@@ -1026,7 +1047,8 @@
 # ---------------------------------
 # Check to see if options -c and -o are simultaneously supported by compiler
 AC_DEFUN([AC_LIBTOOL_PROG_CC_C_O],
-[AC_REQUIRE([_LT_AC_SYS_COMPILER])dnl
+[AC_REQUIRE([LT_AC_PROG_SED])dnl
+AC_REQUIRE([_LT_AC_SYS_COMPILER])dnl
 AC_CACHE_CHECK([if $compiler supports -c -o file.$ac_objext],
   [_LT_AC_TAGVAR(lt_cv_prog_compiler_c_o, $1)],
   [_LT_AC_TAGVAR(lt_cv_prog_compiler_c_o, $1)=no
@@ -1034,7 +1056,7 @@
    mkdir conftest
    cd conftest
    mkdir out
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
 
    lt_compiler_flag="-o out/conftest2.$ac_objext"
    # Insert the option either (1) after the last *FLAGS variable, or
@@ -1174,6 +1196,7 @@
    darwin*)
        if test -n "$STRIP" ; then
          striplib="$STRIP -x"
+         old_striplib="$STRIP -S"
          AC_MSG_RESULT([yes])
        else
   AC_MSG_RESULT([no])
@@ -1191,7 +1214,8 @@
 # -----------------------------
 # PORTME Fill in your ld.so characteristics
 AC_DEFUN([AC_LIBTOOL_SYS_DYNAMIC_LINKER],
-[AC_MSG_CHECKING([dynamic linker characteristics])
+[AC_REQUIRE([LT_AC_PROG_SED])dnl
+AC_MSG_CHECKING([dynamic linker characteristics])
 library_names_spec=
 libname_spec='lib$name'
 soname_spec=
@@ -1205,20 +1229,58 @@
 version_type=none
 dynamic_linker="$host_os ld.so"
 sys_lib_dlsearch_path_spec="/lib /usr/lib"
+m4_if($1,[],[
 if test "$GCC" = yes; then
-  sys_lib_search_path_spec=`$CC -print-search-dirs | grep "^libraries:" | $SED -e "s/^libraries://" -e "s,=/,/,g"`
-  if echo "$sys_lib_search_path_spec" | grep ';' >/dev/null ; then
+  case $host_os in
+    darwin*) lt_awk_arg="/^libraries:/,/LR/" ;;
+    *) lt_awk_arg="/^libraries:/" ;;
+  esac
+  lt_search_path_spec=`$CC -print-search-dirs | awk $lt_awk_arg | $SED -e "s/^libraries://" -e "s,=/,/,g"`
+  if echo "$lt_search_path_spec" | grep ';' >/dev/null ; then
     # if the path contains ";" then we assume it to be the separator
     # otherwise default to the standard path separator (i.e. ":") - it is
     # assumed that no part of a normal pathname contains ";" but that should
     # okay in the real world where ";" in dirpaths is itself problematic.
-    sys_lib_search_path_spec=`echo "$sys_lib_search_path_spec" | $SED -e 's/;/ /g'`
+    lt_search_path_spec=`echo "$lt_search_path_spec" | $SED -e 's/;/ /g'`
   else
-    sys_lib_search_path_spec=`echo "$sys_lib_search_path_spec" | $SED  -e "s/$PATH_SEPARATOR/ /g"`
+    lt_search_path_spec=`echo "$lt_search_path_spec" | $SED  -e "s/$PATH_SEPARATOR/ /g"`
   fi
+  # Ok, now we have the path, separated by spaces, we can step through it
+  # and add multilib dir if necessary.
+  lt_tmp_lt_search_path_spec=
+  lt_multi_os_dir=`$CC $CPPFLAGS $CFLAGS $LDFLAGS -print-multi-os-directory 2>/dev/null`
+  for lt_sys_path in $lt_search_path_spec; do
+    if test -d "$lt_sys_path/$lt_multi_os_dir"; then
+      lt_tmp_lt_search_path_spec="$lt_tmp_lt_search_path_spec $lt_sys_path/$lt_multi_os_dir"
+    else
+      test -d "$lt_sys_path" && \
+	lt_tmp_lt_search_path_spec="$lt_tmp_lt_search_path_spec $lt_sys_path"
+    fi
+  done
+  lt_search_path_spec=`echo $lt_tmp_lt_search_path_spec | awk '
+BEGIN {RS=" "; FS="/|\n";} {
+  lt_foo="";
+  lt_count=0;
+  for (lt_i = NF; lt_i > 0; lt_i--) {
+    if ($lt_i != "" && $lt_i != ".") {
+      if ($lt_i == "..") {
+        lt_count++;
+      } else {
+        if (lt_count == 0) {
+          lt_foo="/" $lt_i lt_foo;
+        } else {
+          lt_count--;
+        }
+      }
+    }
+  }
+  if (lt_foo != "") { lt_freq[[lt_foo]]++; }
+  if (lt_freq[[lt_foo]] == 1) { print lt_foo; }
+}'`
+  sys_lib_search_path_spec=`echo $lt_search_path_spec`
 else
   sys_lib_search_path_spec="/lib /usr/lib /usr/local/lib"
-fi
+fi])
 need_lib_prefix=unknown
 hardcode_into_libs=no
 
@@ -1375,12 +1437,8 @@
   shlibpath_overrides_runpath=yes
   shlibpath_var=DYLD_LIBRARY_PATH
   shrext_cmds='`test .$module = .yes && echo .so || echo .dylib`'
-  # Apple's gcc prints 'gcc -print-search-dirs' doesn't operate the same.
-  if test "$GCC" = yes; then
-    sys_lib_search_path_spec=`$CC -print-search-dirs | tr "\n" "$PATH_SEPARATOR" | sed -e 's/libraries:/@libraries:/' | tr "@" "\n" | grep "^libraries:" | sed -e "s/^libraries://" -e "s,=/,/,g" -e "s,$PATH_SEPARATOR, ,g" -e "s,.*,& /lib /usr/lib /usr/local/lib,g"`
-  else
-    sys_lib_search_path_spec='/lib /usr/lib /usr/local/lib'
-  fi
+  m4_if([$1], [],[
+  sys_lib_search_path_spec="$sys_lib_search_path_spec /usr/local/lib"]) 
   sys_lib_dlsearch_path_spec='/usr/local/lib /lib /usr/lib'
   ;;
 
@@ -1397,18 +1455,6 @@
   dynamic_linker=no
   ;;
 
-kfreebsd*-gnu)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  shlibpath_overrides_runpath=no
-  hardcode_into_libs=yes
-  dynamic_linker='GNU ld.so'
-  ;;
-
 freebsd* | dragonfly*)
   # DragonFly does not have aout.  When/if they implement a new
   # versioning mechanism, adjust this.
@@ -1446,7 +1492,7 @@
     shlibpath_overrides_runpath=no
     hardcode_into_libs=yes
     ;;
-  freebsd*) # from 4.6 on
+  *) # from 4.6 on, and DragonFly
     shlibpath_overrides_runpath=yes
     hardcode_into_libs=yes
     ;;
@@ -1509,7 +1555,7 @@
   postinstall_cmds='chmod 555 $lib'
   ;;
 
-interix3*)
+interix[[3-9]]*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -1564,7 +1610,7 @@
   ;;
 
 # This must be Linux ELF.
-linux*)
+linux* | k*bsd*-gnu)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -1580,7 +1626,7 @@
 
   # Append ld.so.conf contents to the search path
   if test -f /etc/ld.so.conf; then
-    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s", \[$]2)); skip = 1; } { if (!skip) print \[$]0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
+    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \[$]2)); skip = 1; } { if (!skip) print \[$]0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;/^[ 	]*hwcap[ 	]/d;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
     sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
   fi
 
@@ -1605,18 +1651,6 @@
   dynamic_linker='NetBSD ld.elf_so'
   ;;
 
-knetbsd*-gnu)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  shlibpath_overrides_runpath=no
-  hardcode_into_libs=yes
-  dynamic_linker='GNU ld.so'
-  ;;
-
 netbsd*)
   version_type=sunos
   need_lib_prefix=no
@@ -1698,6 +1732,10 @@
   sys_lib_dlsearch_path_spec="$sys_lib_search_path_spec"
   ;;
 
+rdos*)
+  dynamic_linker=no
+  ;;
+
 solaris*)
   version_type=linux
   need_lib_prefix=no
@@ -1803,7 +1841,8 @@
 # _LT_AC_TAGCONFIG
 # ----------------
 AC_DEFUN([_LT_AC_TAGCONFIG],
-[AC_ARG_WITH([tags],
+[AC_REQUIRE([LT_AC_PROG_SED])dnl
+AC_ARG_WITH([tags],
     [AC_HELP_STRING([--with-tags@<:@=TAGS@:>@],
         [include additional configurations @<:@automatic@:>@])],
     [tagnames="$withval"])
@@ -2064,7 +2103,7 @@
 
 # AC_PATH_TOOL_PREFIX
 # -------------------
-# find a file program which can recognise shared library
+# find a file program which can recognize shared library
 AC_DEFUN([AC_PATH_TOOL_PREFIX],
 [AC_REQUIRE([AC_PROG_EGREP])dnl
 AC_MSG_CHECKING([for $1])
@@ -2127,7 +2166,7 @@
 
 # AC_PATH_MAGIC
 # -------------
-# find a file program which can recognise a shared library
+# find a file program which can recognize a shared library
 AC_DEFUN([AC_PATH_MAGIC],
 [AC_PATH_TOOL_PREFIX(${ac_tool_prefix}file, /usr/bin$PATH_SEPARATOR$PATH)
 if test -z "$lt_cv_path_MAGIC_CMD"; then
@@ -2274,7 +2313,7 @@
 # how to check for library dependencies
 #  -- PORTME fill in with the dynamic library characteristics
 AC_DEFUN([AC_DEPLIBS_CHECK_METHOD],
-[AC_CACHE_CHECK([how to recognise dependent libraries],
+[AC_CACHE_CHECK([how to recognize dependent libraries],
 lt_cv_deplibs_check_method,
 [lt_cv_file_magic_cmd='$MAGIC_CMD'
 lt_cv_file_magic_test_file=
@@ -2313,16 +2352,22 @@
 
 mingw* | pw32*)
   # Base MSYS/MinGW do not provide the 'file' command needed by
-  # func_win32_libid shell function, so use a weaker test based on 'objdump'.
-  lt_cv_deplibs_check_method='file_magic file format pei*-i386(.*architecture: i386)?'
-  lt_cv_file_magic_cmd='$OBJDUMP -f'
+  # func_win32_libid shell function, so use a weaker test based on 'objdump',
+  # unless we find 'file', for example because we are cross-compiling.
+  if ( file / ) >/dev/null 2>&1; then
+    lt_cv_deplibs_check_method='file_magic ^x86 archive import|^x86 DLL'
+    lt_cv_file_magic_cmd='func_win32_libid'
+  else
+    lt_cv_deplibs_check_method='file_magic file format pei*-i386(.*architecture: i386)?'
+    lt_cv_file_magic_cmd='$OBJDUMP -f'
+  fi
   ;;
 
 darwin* | rhapsody*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
-freebsd* | kfreebsd*-gnu | dragonfly*)
+freebsd* | dragonfly*)
   if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
     case $host_cpu in
     i*86 )
@@ -2360,7 +2405,7 @@
   esac
   ;;
 
-interix3*)
+interix[[3-9]]*)
   # PIC code is broken on Interix 3.x, that's why |\.a not |_pic\.a here
   lt_cv_deplibs_check_method='match_pattern /lib[[^/]]+(\.so|\.a)$'
   ;;
@@ -2376,11 +2421,11 @@
   ;;
 
 # This must be Linux ELF.
-linux*)
+linux* | k*bsd*-gnu)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
-netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+netbsd* | netbsdelf*-gnu)
   if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
     lt_cv_deplibs_check_method='match_pattern /lib[[^/]]+(\.so\.[[0-9]]+\.[[0-9]]+|_pic\.a)$'
   else
@@ -2410,6 +2455,10 @@
   lt_cv_deplibs_check_method=pass_all
   ;;
 
+rdos*)
+  lt_cv_deplibs_check_method=pass_all
+  ;;
+
 solaris*)
   lt_cv_deplibs_check_method=pass_all
   ;;
@@ -2462,7 +2511,7 @@
   lt_cv_path_NM="$NM"
 else
   lt_nm_to_check="${ac_tool_prefix}nm"
-  if test -n "$ac_tool_prefix" && test "$build" = "$host"; then 
+  if test -n "$ac_tool_prefix" && test "$build" = "$host"; then
     lt_nm_to_check="$lt_nm_to_check nm"
   fi
   for lt_tmp_nm in $lt_nm_to_check; do
@@ -2678,10 +2727,10 @@
 _LT_AC_TAGVAR(objext, $1)=$objext
 
 # Code to be used in simple compile tests
-lt_simple_compile_test_code="int some_variable = 0;\n"
+lt_simple_compile_test_code="int some_variable = 0;"
 
 # Code to be used in simple link tests
-lt_simple_link_test_code='int main(){return(0);}\n'
+lt_simple_link_test_code='int main(){return(0);}'
 
 _LT_AC_SYS_COMPILER
 
@@ -2783,10 +2832,10 @@
 _LT_AC_TAGVAR(objext, $1)=$objext
 
 # Code to be used in simple compile tests
-lt_simple_compile_test_code="int some_variable = 0;\n"
+lt_simple_compile_test_code="int some_variable = 0;"
 
 # Code to be used in simple link tests
-lt_simple_link_test_code='int main(int, char *[[]]) { return(0); }\n'
+lt_simple_link_test_code='int main(int, char *[[]]) { return(0); }'
 
 # ltmain only uses $CC for tagged configurations so make sure $CC is set.
 _LT_AC_SYS_COMPILER
@@ -2932,7 +2981,7 @@
 	   strings "$collect2name" | grep resolve_lib_name >/dev/null
 	then
 	  # We have reworked collect2
-	  _LT_AC_TAGVAR(hardcode_direct, $1)=yes
+	  :
 	else
 	  # We have old collect2
 	  _LT_AC_TAGVAR(hardcode_direct, $1)=unsupported
@@ -3091,10 +3140,10 @@
       case $cc_basename in
         xlc*)
          output_verbose_link_cmd='echo'
-          _LT_AC_TAGVAR(archive_cmds, $1)='$CC -qmkshrobj ${wl}-single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $verstring'
+          _LT_AC_TAGVAR(archive_cmds, $1)='$CC -qmkshrobj ${wl}-single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $xlcverstring'
           _LT_AC_TAGVAR(module_cmds, $1)='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
           # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-          _LT_AC_TAGVAR(archive_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj ${wl}-single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
+          _LT_AC_TAGVAR(archive_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj ${wl}-single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $xlcverstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           _LT_AC_TAGVAR(module_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           ;;
        *)
@@ -3128,7 +3177,7 @@
   freebsd-elf*)
     _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
     ;;
-  freebsd* | kfreebsd*-gnu | dragonfly*)
+  freebsd* | dragonfly*)
     # FreeBSD 3 and later use GNU C++ and GNU ld with standard ELF
     # conventions
     _LT_AC_TAGVAR(ld_shlibs, $1)=yes
@@ -3177,9 +3226,7 @@
       _LT_AC_TAGVAR(hardcode_libdir_separator, $1)=:
 
       case $host_cpu in
-      hppa*64*|ia64*)
-	_LT_AC_TAGVAR(hardcode_libdir_flag_spec_ld, $1)='+b $libdir'
-        ;;
+      hppa*64*|ia64*) ;;
       *)
 	_LT_AC_TAGVAR(export_dynamic_flag_spec, $1)='${wl}-E'
         ;;
@@ -3247,7 +3294,7 @@
 	;;
     esac
     ;;
-  interix3*)
+  interix[[3-9]]*)
     _LT_AC_TAGVAR(hardcode_direct, $1)=no
     _LT_AC_TAGVAR(hardcode_shlibpath_var, $1)=no
     _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='${wl}-rpath,$libdir'
@@ -3287,7 +3334,7 @@
     _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='${wl}-rpath ${wl}$libdir'
     _LT_AC_TAGVAR(hardcode_libdir_separator, $1)=:
     ;;
-  linux*)
+  linux* | k*bsd*-gnu)
     case $cc_basename in
       KCC*)
 	# Kuck and Associates, Inc. (KAI) C++ Compiler
@@ -3367,6 +3414,29 @@
 	# dependencies.
 	output_verbose_link_cmd='templist=`$CC -shared $CFLAGS -v conftest.$objext 2>&1 | grep "ld"`; templist=`echo $templist | $SED "s/\(^.*ld.*\)\( .*ld .*$\)/\1/"`; list=""; for z in $templist; do case $z in conftest.$objext) list="$list $z";; *.$objext);; *) list="$list $z";;esac; done; echo $list'
 	;;
+      *)
+	case `$CC -V 2>&1 | sed 5q` in
+	*Sun\ C*)
+	  # Sun C++ 5.9
+	  _LT_AC_TAGVAR(no_undefined_flag, $1)=' -zdefs'
+	  _LT_AC_TAGVAR(archive_cmds, $1)='$CC -G${allow_undefined_flag} -h$soname -o $lib $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags'
+	  _LT_AC_TAGVAR(archive_expsym_cmds, $1)='$CC -G${allow_undefined_flag} -h$soname -o $lib $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-retain-symbols-file ${wl}$export_symbols'
+	  _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='-R$libdir'
+	  _LT_AC_TAGVAR(whole_archive_flag_spec, $1)='${wl}--whole-archive`new_convenience=; for conv in $convenience\"\"; do test -z \"$conv\" || new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}--no-whole-archive'
+
+	  # Not sure whether something based on
+	  # $CC $CFLAGS -v conftest.$objext -o libconftest$shared_ext 2>&1
+	  # would be better.
+	  output_verbose_link_cmd='echo'
+
+	  # Archives containing C++ object files must be created using
+	  # "CC -xar", where "CC" is the Sun C++ compiler.  This is
+	  # necessary to make sure instantiated templates are included
+	  # in the archive.
+	  _LT_AC_TAGVAR(old_archive_cmds, $1)='$CC -xar -o $oldlib $oldobjs'
+	  ;;
+	esac
+	;;
     esac
     ;;
   lynxos*)
@@ -3389,7 +3459,7 @@
 	;;
     esac
     ;;
-  netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+  netbsd* | netbsdelf*-gnu)
     if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
       _LT_AC_TAGVAR(archive_cmds, $1)='$LD -Bshareable  -o $lib $predep_objects $libobjs $deplibs $postdep_objects $linker_flags'
       wlarc=
@@ -3405,16 +3475,20 @@
     _LT_AC_TAGVAR(ld_shlibs, $1)=no
     ;;
   openbsd*)
-    _LT_AC_TAGVAR(hardcode_direct, $1)=yes
-    _LT_AC_TAGVAR(hardcode_shlibpath_var, $1)=no
-    _LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $lib'
-    _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='${wl}-rpath,$libdir'
-    if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
-      _LT_AC_TAGVAR(archive_expsym_cmds, $1)='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-retain-symbols-file,$export_symbols -o $lib'
-      _LT_AC_TAGVAR(export_dynamic_flag_spec, $1)='${wl}-E'
-      _LT_AC_TAGVAR(whole_archive_flag_spec, $1)="$wlarc"'--whole-archive$convenience '"$wlarc"'--no-whole-archive'
+    if test -f /usr/libexec/ld.so; then
+      _LT_AC_TAGVAR(hardcode_direct, $1)=yes
+      _LT_AC_TAGVAR(hardcode_shlibpath_var, $1)=no
+      _LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $lib'
+      _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='${wl}-rpath,$libdir'
+      if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
+	_LT_AC_TAGVAR(archive_expsym_cmds, $1)='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-retain-symbols-file,$export_symbols -o $lib'
+	_LT_AC_TAGVAR(export_dynamic_flag_spec, $1)='${wl}-E'
+	_LT_AC_TAGVAR(whole_archive_flag_spec, $1)="$wlarc"'--whole-archive$convenience '"$wlarc"'--no-whole-archive'
+      fi
+      output_verbose_link_cmd='echo'
+    else
+      _LT_AC_TAGVAR(ld_shlibs, $1)=no
     fi
-    output_verbose_link_cmd='echo'
     ;;
   osf3*)
     case $cc_basename in
@@ -3576,15 +3650,10 @@
 	case $host_os in
 	  solaris2.[[0-5]] | solaris2.[[0-5]].*) ;;
 	  *)
-	    # The C++ compiler is used as linker so we must use $wl
-	    # flag to pass the commands to the underlying system
-	    # linker. We must also pass each convience library through
-	    # to the system linker between allextract/defaultextract.
-	    # The C++ compiler will combine linker options so we
-	    # cannot just pass the convience library names through
-	    # without $wl.
+	    # The compiler driver will combine and reorder linker options,
+	    # but understands `-z linker_flag'.
 	    # Supported since Solaris 2.6 (maybe 2.5.1?)
-	    _LT_AC_TAGVAR(whole_archive_flag_spec, $1)='${wl}-z ${wl}allextract`for conv in $convenience\"\"; do test -n \"$conv\" && new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}-z ${wl}defaultextract'
+	    _LT_AC_TAGVAR(whole_archive_flag_spec, $1)='-z allextract$convenience -z defaultextract'
 	    ;;
 	esac
 	_LT_AC_TAGVAR(link_all_deplibs, $1)=yes
@@ -3631,6 +3700,12 @@
 	  fi
 
 	  _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='${wl}-R $wl$libdir'
+	  case $host_os in
+	  solaris2.[[0-5]] | solaris2.[[0-5]].*) ;;
+	  *)
+	    _LT_AC_TAGVAR(whole_archive_flag_spec, $1)='${wl}-z ${wl}allextract$convenience ${wl}-z ${wl}defaultextract'
+	    ;;
+	  esac
 	fi
 	;;
     esac
@@ -3874,7 +3949,7 @@
 # PORTME: override above test on systems where it is broken
 ifelse([$1],[CXX],
 [case $host_os in
-interix3*)
+interix[[3-9]]*)
   # Interix 3.5 installs completely hosed .la files for C++, so rather than
   # hack all around it, let's just trust "g++" to DTRT.
   _LT_AC_TAGVAR(predep_objects,$1)=
@@ -3882,13 +3957,46 @@
   _LT_AC_TAGVAR(postdeps,$1)=
   ;;
 
+linux*)
+  case `$CC -V 2>&1 | sed 5q` in
+  *Sun\ C*)
+    # Sun C++ 5.9
+    #
+    # The more standards-conforming stlport4 library is
+    # incompatible with the Cstd library. Avoid specifying
+    # it if it's in CXXFLAGS. Ignore libCrun as
+    # -library=stlport4 depends on it.
+    case " $CXX $CXXFLAGS " in
+    *" -library=stlport4 "*)
+      solaris_use_stlport4=yes
+      ;;
+    esac
+    if test "$solaris_use_stlport4" != yes; then
+      _LT_AC_TAGVAR(postdeps,$1)='-library=Cstd -library=Crun'
+    fi
+    ;;
+  esac
+  ;;
+
 solaris*)
   case $cc_basename in
   CC*)
+    # The more standards-conforming stlport4 library is
+    # incompatible with the Cstd library. Avoid specifying
+    # it if it's in CXXFLAGS. Ignore libCrun as
+    # -library=stlport4 depends on it.
+    case " $CXX $CXXFLAGS " in
+    *" -library=stlport4 "*)
+      solaris_use_stlport4=yes
+      ;;
+    esac
+
     # Adding this requires a known-good setup of shared libraries for
     # Sun compiler versions before 5.6, else PIC objects from an old
     # archive will be linked into the output, leading to subtle bugs.
-    _LT_AC_TAGVAR(postdeps,$1)='-lCstd -lCrun'
+    if test "$solaris_use_stlport4" != yes; then
+      _LT_AC_TAGVAR(postdeps,$1)='-library=Cstd -library=Crun'
+    fi
     ;;
   esac
   ;;
@@ -3937,10 +4045,17 @@
 _LT_AC_TAGVAR(objext, $1)=$objext
 
 # Code to be used in simple compile tests
-lt_simple_compile_test_code="      subroutine t\n      return\n      end\n"
+lt_simple_compile_test_code="\
+      subroutine t
+      return
+      end
+"
 
 # Code to be used in simple link tests
-lt_simple_link_test_code="      program t\n      end\n"
+lt_simple_link_test_code="\
+      program t
+      end
+"
 
 # ltmain only uses $CC for tagged configurations so make sure $CC is set.
 _LT_AC_SYS_COMPILER
@@ -4019,10 +4134,10 @@
 _LT_AC_TAGVAR(objext, $1)=$objext
 
 # Code to be used in simple compile tests
-lt_simple_compile_test_code="class foo {}\n"
+lt_simple_compile_test_code="class foo {}"
 
 # Code to be used in simple link tests
-lt_simple_link_test_code='public class conftest { public static void main(String[[]] argv) {}; }\n'
+lt_simple_link_test_code='public class conftest { public static void main(String[[]] argv) {}; }'
 
 # ltmain only uses $CC for tagged configurations so make sure $CC is set.
 _LT_AC_SYS_COMPILER
@@ -4075,7 +4190,7 @@
 _LT_AC_TAGVAR(objext, $1)=$objext
 
 # Code to be used in simple compile tests
-lt_simple_compile_test_code='sample MENU { MENUITEM "&Soup", 100, CHECKED }\n'
+lt_simple_compile_test_code='sample MENU { MENUITEM "&Soup", 100, CHECKED }'
 
 # Code to be used in simple link tests
 lt_simple_link_test_code="$lt_simple_compile_test_code"
@@ -4164,6 +4279,7 @@
     _LT_AC_TAGVAR(module_cmds, $1) \
     _LT_AC_TAGVAR(module_expsym_cmds, $1) \
     _LT_AC_TAGVAR(lt_cv_prog_compiler_c_o, $1) \
+    _LT_AC_TAGVAR(fix_srcfile_path, $1) \
     _LT_AC_TAGVAR(exclude_expsyms, $1) \
     _LT_AC_TAGVAR(include_expsyms, $1); do
 
@@ -4210,7 +4326,7 @@
 # Generated automatically by $PROGRAM (GNU $PACKAGE $VERSION$TIMESTAMP)
 # NOTE: Changes made to this file will be lost: look at ltmain.sh.
 #
-# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001
+# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007
 # Free Software Foundation, Inc.
 #
 # This file is part of GNU Libtool:
@@ -4535,7 +4651,7 @@
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
 
 # Fix the shell variable \$srcfile for the compiler.
-fix_srcfile_path="$_LT_AC_TAGVAR(fix_srcfile_path, $1)"
+fix_srcfile_path=$lt_fix_srcfile_path
 
 # Set to yes if exported symbols are required.
 always_export_symbols=$_LT_AC_TAGVAR(always_export_symbols, $1)
@@ -4618,6 +4734,7 @@
 # ---------------------------------
 AC_DEFUN([AC_LIBTOOL_SYS_GLOBAL_SYMBOL_PIPE],
 [AC_REQUIRE([AC_CANONICAL_HOST])
+AC_REQUIRE([LT_AC_PROG_SED])
 AC_REQUIRE([AC_PROG_NM])
 AC_REQUIRE([AC_OBJEXT])
 # Check for command to grab the raw symbol name followed by C symbol from nm.
@@ -4654,7 +4771,7 @@
   lt_cv_sys_global_symbol_to_cdecl="sed -n -e 's/^T .* \(.*\)$/extern int \1();/p' -e 's/^$symcode* .* \(.*\)$/extern char \1;/p'"
   lt_cv_sys_global_symbol_to_c_name_address="sed -n -e 's/^: \([[^ ]]*\) $/  {\\\"\1\\\", (lt_ptr) 0},/p' -e 's/^$symcode* \([[^ ]]*\) \([[^ ]]*\)$/  {\"\2\", (lt_ptr) \&\2},/p'"
   ;;
-linux*)
+linux* | k*bsd*-gnu)
   if test "$host_cpu" = ia64; then
     symcode='[[ABCDGIRSTW]]'
     lt_cv_sys_global_symbol_to_cdecl="sed -n -e 's/^T .* \(.*\)$/extern int \1();/p' -e 's/^$symcode* .* \(.*\)$/extern char \1;/p'"
@@ -4844,12 +4961,14 @@
       # like `-m68040'.
       _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-m68020 -resident32 -malways-restore-a4'
       ;;
-    beos* | cygwin* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
+    beos* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
       # PIC is the default for these OSes.
       ;;
-    mingw* | os2* | pw32*)
+    mingw* | cygwin* | os2* | pw32*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
+      # Although the cygwin gcc ignores -fPIC, still need this for old-style
+      # (--disable-auto-import) libraries
       _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-DDLL_EXPORT'
       ;;
     darwin* | rhapsody*)
@@ -4861,7 +4980,7 @@
       # DJGPP does not support shared libraries at all
       _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)=
       ;;
-    interix3*)
+    interix[[3-9]]*)
       # Interix 3.x gcc -fpic/-fPIC options generate broken code.
       # Instead, we relocate shared libraries at runtime.
       ;;
@@ -4927,7 +5046,7 @@
 	    ;;
 	esac
 	;;
-      freebsd* | kfreebsd*-gnu | dragonfly*)
+      freebsd* | dragonfly*)
 	# FreeBSD uses GNU C++
 	;;
       hpux9* | hpux10* | hpux11*)
@@ -4970,7 +5089,7 @@
 	    ;;
 	esac
 	;;
-      linux*)
+      linux* | k*bsd*-gnu)
 	case $cc_basename in
 	  KCC*)
 	    # KAI C++ Compiler
@@ -4997,6 +5116,14 @@
 	    _LT_AC_TAGVAR(lt_prog_compiler_static, $1)='-non_shared'
 	    ;;
 	  *)
+	    case `$CC -V 2>&1 | sed 5q` in
+	    *Sun\ C*)
+	      # Sun C++ 5.9
+	      _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-KPIC'
+	      _LT_AC_TAGVAR(lt_prog_compiler_static, $1)='-Bstatic'
+	      _LT_AC_TAGVAR(lt_prog_compiler_wl, $1)='-Qoption ld '
+	      ;;
+	    esac
 	    ;;
 	esac
 	;;
@@ -5013,7 +5140,7 @@
 	    ;;
 	esac
 	;;
-      netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+      netbsd* | netbsdelf*-gnu)
 	;;
       osf3* | osf4* | osf5*)
 	case $cc_basename in
@@ -5117,13 +5244,15 @@
       _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-m68020 -resident32 -malways-restore-a4'
       ;;
 
-    beos* | cygwin* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
+    beos* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
       # PIC is the default for these OSes.
       ;;
 
-    mingw* | pw32* | os2*)
+    mingw* | cygwin* | pw32* | os2*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
+      # Although the cygwin gcc ignores -fPIC, still need this for old-style
+      # (--disable-auto-import) libraries
       _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-DDLL_EXPORT'
       ;;
 
@@ -5133,7 +5262,7 @@
       _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-fno-common'
       ;;
 
-    interix3*)
+    interix[[3-9]]*)
       # Interix 3.x gcc -fpic/-fPIC options generate broken code.
       # Instead, we relocate shared libraries at runtime.
       ;;
@@ -5191,7 +5320,7 @@
        esac
        ;;
 
-    mingw* | pw32* | os2*)
+    mingw* | cygwin* | pw32* | os2*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
       _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-DDLL_EXPORT'
@@ -5224,7 +5353,7 @@
       _LT_AC_TAGVAR(lt_prog_compiler_static, $1)='-Bstatic'
       ;;
 
-    linux*)
+    linux* | k*bsd*-gnu)
       case $cc_basename in
       icc* | ecc*)
 	_LT_AC_TAGVAR(lt_prog_compiler_wl, $1)='-Wl,'
@@ -5243,6 +5372,22 @@
         # All Alpha code is PIC.
         _LT_AC_TAGVAR(lt_prog_compiler_static, $1)='-non_shared'
         ;;
+      *)
+        case `$CC -V 2>&1 | sed 5q` in
+	*Sun\ C*)
+	  # Sun C 5.9
+	  _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-KPIC'
+	  _LT_AC_TAGVAR(lt_prog_compiler_static, $1)='-Bstatic'
+	  _LT_AC_TAGVAR(lt_prog_compiler_wl, $1)='-Wl,'
+	  ;;
+	*Sun\ F*)
+	  # Sun Fortran 8.3 passes all unrecognized flags to the linker
+	  _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-KPIC'
+	  _LT_AC_TAGVAR(lt_prog_compiler_static, $1)='-Bstatic'
+	  _LT_AC_TAGVAR(lt_prog_compiler_wl, $1)=''
+	  ;;
+	esac
+	;;
       esac
       ;;
 
@@ -5252,6 +5397,10 @@
       _LT_AC_TAGVAR(lt_prog_compiler_static, $1)='-non_shared'
       ;;
 
+    rdos*)
+      _LT_AC_TAGVAR(lt_prog_compiler_static, $1)='-non_shared'
+      ;;
+
     solaris*)
       _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)='-KPIC'
       _LT_AC_TAGVAR(lt_prog_compiler_static, $1)='-Bstatic'
@@ -5346,7 +5495,8 @@
 # ------------------------------------
 # See if the linker supports building shared libraries.
 AC_DEFUN([AC_LIBTOOL_PROG_LD_SHLIBS],
-[AC_MSG_CHECKING([whether the $compiler linker ($LD) supports shared libraries])
+[AC_REQUIRE([LT_AC_PROG_SED])dnl
+AC_MSG_CHECKING([whether the $compiler linker ($LD) supports shared libraries])
 ifelse([$1],[CXX],[
   _LT_AC_TAGVAR(export_symbols_cmds, $1)='$NM $libobjs $convenience | $global_symbol_pipe | $SED '\''s/.* //'\'' | sort | uniq > $export_symbols'
   case $host_os in
@@ -5363,12 +5513,9 @@
     _LT_AC_TAGVAR(export_symbols_cmds, $1)="$ltdll_cmds"
   ;;
   cygwin* | mingw*)
-    _LT_AC_TAGVAR(export_symbols_cmds, $1)='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[[BCDGRS]] /s/.* \([[^ ]]*\)/\1 DATA/;/^.* __nm__/s/^.* __nm__\([[^ ]]*\) [[^ ]]*/\1 DATA/;/^I /d;/^[[AITW]] /s/.* //'\'' | sort | uniq > $export_symbols'
-  ;;
-  kfreebsd*-gnu)
-    _LT_AC_TAGVAR(link_all_deplibs, $1)=no
-  ;;
-  linux*)
+    _LT_AC_TAGVAR(export_symbols_cmds, $1)='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[[BCDGRS]][[ ]]/s/.*[[ ]]\([[^ ]]*\)/\1 DATA/;/^.*[[ ]]__nm__/s/^.*[[ ]]__nm__\([[^ ]]*\)[[ ]][[^ ]]*/\1 DATA/;/^I[[ ]]/d;/^[[AITW]][[ ]]/s/.*[[ ]]//'\'' | sort | uniq > $export_symbols'
+  ;;
+  linux* | k*bsd*-gnu)
     _LT_AC_TAGVAR(link_all_deplibs, $1)=no
   ;;
   *)
@@ -5508,7 +5655,7 @@
       _LT_AC_TAGVAR(allow_undefined_flag, $1)=unsupported
       _LT_AC_TAGVAR(always_export_symbols, $1)=no
       _LT_AC_TAGVAR(enable_shared_with_static_runtimes, $1)=yes
-      _LT_AC_TAGVAR(export_symbols_cmds, $1)='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[[BCDGRS]] /s/.* \([[^ ]]*\)/\1 DATA/'\'' | $SED -e '\''/^[[AITW]] /s/.* //'\'' | sort | uniq > $export_symbols'
+      _LT_AC_TAGVAR(export_symbols_cmds, $1)='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[[BCDGRS]][[ ]]/s/.*[[ ]]\([[^ ]]*\)/\1 DATA/'\'' -e '\''/^[[AITW]][[ ]]/s/.*[[ ]]//'\'' | sort | uniq > $export_symbols'
 
       if $LD --help 2>&1 | grep 'auto-import' > /dev/null; then
         _LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--enable-auto-image-base -Xlinker --out-implib -Xlinker $lib'
@@ -5526,7 +5673,7 @@
       fi
       ;;
 
-    interix3*)
+    interix[[3-9]]*)
       _LT_AC_TAGVAR(hardcode_direct, $1)=no
       _LT_AC_TAGVAR(hardcode_shlibpath_var, $1)=no
       _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='${wl}-rpath,$libdir'
@@ -5541,7 +5688,7 @@
       _LT_AC_TAGVAR(archive_expsym_cmds, $1)='sed "s,^,_," $export_symbols >$output_objdir/$soname.expsym~$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--retain-symbols-file,$output_objdir/$soname.expsym ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'
       ;;
 
-    linux*)
+    gnu* | linux* | k*bsd*-gnu)
       if $LD --help 2>&1 | grep ': supported targets:.* elf' > /dev/null; then
 	tmp_addflag=
 	case $cc_basename,$host_cpu in
@@ -5559,13 +5706,22 @@
 	ifc* | ifort*)			# Intel Fortran compiler
 	  tmp_addflag=' -nofor_main' ;;
 	esac
-	_LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared'"$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname -o $lib'
+	case `$CC -V 2>&1 | sed 5q` in
+	*Sun\ C*)			# Sun C 5.9
+	  _LT_AC_TAGVAR(whole_archive_flag_spec, $1)='${wl}--whole-archive`new_convenience=; for conv in $convenience\"\"; do test -z \"$conv\" || new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}--no-whole-archive'
+	  tmp_sharedflag='-G' ;;
+	*Sun\ F*)			# Sun Fortran 8.3
+	  tmp_sharedflag='-G' ;;
+	*)
+	  tmp_sharedflag='-shared' ;;
+	esac
+	_LT_AC_TAGVAR(archive_cmds, $1)='$CC '"$tmp_sharedflag""$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname -o $lib'
 
 	if test $supports_anon_versioning = yes; then
 	  _LT_AC_TAGVAR(archive_expsym_cmds, $1)='$echo "{ global:" > $output_objdir/$libname.ver~
   cat $export_symbols | sed -e "s/\(.*\)/\1;/" >> $output_objdir/$libname.ver~
   $echo "local: *; };" >> $output_objdir/$libname.ver~
-	  $CC -shared'"$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname ${wl}-version-script ${wl}$output_objdir/$libname.ver -o $lib'
+	  $CC '"$tmp_sharedflag""$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname ${wl}-version-script ${wl}$output_objdir/$libname.ver -o $lib'
 	fi
 	_LT_AC_TAGVAR(link_all_deplibs, $1)=no
       else
@@ -5573,7 +5729,7 @@
       fi
       ;;
 
-    netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+    netbsd* | netbsdelf*-gnu)
       if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
 	_LT_AC_TAGVAR(archive_cmds, $1)='$LD -Bshareable $libobjs $deplibs $linker_flags -o $lib'
 	wlarc=
@@ -5606,7 +5762,7 @@
 
     sysv5* | sco3.2v5* | sco5v6* | unixware* | OpenUNIX*)
       case `$LD -v 2>&1` in
-        *\ [[01]].* | *\ 2.[[0-9]].* | *\ 2.1[[0-5]].*) 
+        *\ [[01]].* | *\ 2.[[0-9]].* | *\ 2.1[[0-5]].*)
 	_LT_AC_TAGVAR(ld_shlibs, $1)=no
 	cat <<_LT_EOF 1>&2
 
@@ -5725,7 +5881,7 @@
   	   strings "$collect2name" | grep resolve_lib_name >/dev/null
 	  then
   	  # We have reworked collect2
-  	  _LT_AC_TAGVAR(hardcode_direct, $1)=yes
+  	  :
 	  else
   	  # We have old collect2
   	  _LT_AC_TAGVAR(hardcode_direct, $1)=unsupported
@@ -5818,7 +5974,7 @@
       # The linker will automatically build a .lib file if we build a DLL.
       _LT_AC_TAGVAR(old_archive_From_new_cmds, $1)='true'
       # FIXME: Should let the user specify the lib program.
-      _LT_AC_TAGVAR(old_archive_cmds, $1)='lib /OUT:$oldlib$oldobjs$old_deplibs'
+      _LT_AC_TAGVAR(old_archive_cmds, $1)='lib -OUT:$oldlib$oldobjs$old_deplibs'
       _LT_AC_TAGVAR(fix_srcfile_path, $1)='`cygpath -w "$srcfile"`'
       _LT_AC_TAGVAR(enable_shared_with_static_runtimes, $1)=yes
       ;;
@@ -5860,10 +6016,10 @@
       case $cc_basename in
         xlc*)
          output_verbose_link_cmd='echo'
-         _LT_AC_TAGVAR(archive_cmds, $1)='$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $verstring'
+         _LT_AC_TAGVAR(archive_cmds, $1)='$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $xlcverstring'
          _LT_AC_TAGVAR(module_cmds, $1)='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
           # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-         _LT_AC_TAGVAR(archive_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
+         _LT_AC_TAGVAR(archive_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $xlcverstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           _LT_AC_TAGVAR(module_expsym_cmds, $1)='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           ;;
        *)
@@ -5909,15 +6065,6 @@
       _LT_AC_TAGVAR(hardcode_direct, $1)=yes
       _LT_AC_TAGVAR(hardcode_shlibpath_var, $1)=no
       ;;
-      
-    # GNU/kFreeBSD uses gcc -shared to do shared libraries.
-    kfreebsd*-gnu)
-      _LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
-      _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='-R$libdir'
-      _LT_AC_TAGVAR(hardcode_direct, $1)=yes
-      _LT_AC_TAGVAR(hardcode_shlibpath_var, $1)=no
-      _LT_AC_TAGVAR(link_all_deplibs, $1)=no
-      ;;
 
     hpux9*)
       if test "$GCC" = yes; then
@@ -6014,7 +6161,7 @@
       _LT_AC_TAGVAR(link_all_deplibs, $1)=yes
       ;;
 
-    netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+    netbsd* | netbsdelf*-gnu)
       if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
 	_LT_AC_TAGVAR(archive_cmds, $1)='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'  # a.out
       else
@@ -6034,24 +6181,28 @@
       ;;
 
     openbsd*)
-      _LT_AC_TAGVAR(hardcode_direct, $1)=yes
-      _LT_AC_TAGVAR(hardcode_shlibpath_var, $1)=no
-      if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
-	_LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
-	_LT_AC_TAGVAR(archive_expsym_cmds, $1)='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-retain-symbols-file,$export_symbols'
-	_LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='${wl}-rpath,$libdir'
-	_LT_AC_TAGVAR(export_dynamic_flag_spec, $1)='${wl}-E'
+      if test -f /usr/libexec/ld.so; then
+	_LT_AC_TAGVAR(hardcode_direct, $1)=yes
+	_LT_AC_TAGVAR(hardcode_shlibpath_var, $1)=no
+	if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
+	  _LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
+	  _LT_AC_TAGVAR(archive_expsym_cmds, $1)='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-retain-symbols-file,$export_symbols'
+	  _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='${wl}-rpath,$libdir'
+	  _LT_AC_TAGVAR(export_dynamic_flag_spec, $1)='${wl}-E'
+	else
+	  case $host_os in
+	   openbsd[[01]].* | openbsd2.[[0-7]] | openbsd2.[[0-7]].*)
+	     _LT_AC_TAGVAR(archive_cmds, $1)='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'
+	     _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='-R$libdir'
+	     ;;
+	   *)
+	     _LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
+	     _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='${wl}-rpath,$libdir'
+	     ;;
+	  esac
+        fi
       else
-       case $host_os in
-	 openbsd[[01]].* | openbsd2.[[0-7]] | openbsd2.[[0-7]].*)
-	   _LT_AC_TAGVAR(archive_cmds, $1)='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'
-	   _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='-R$libdir'
-	   ;;
-	 *)
-	   _LT_AC_TAGVAR(archive_cmds, $1)='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
-	   _LT_AC_TAGVAR(hardcode_libdir_flag_spec, $1)='${wl}-rpath,$libdir'
-	   ;;
-       esac
+	_LT_AC_TAGVAR(ld_shlibs, $1)=no
       fi
       ;;
 
@@ -6110,17 +6261,16 @@
       case $host_os in
       solaris2.[[0-5]] | solaris2.[[0-5]].*) ;;
       *)
- 	# The compiler driver will combine linker options so we
- 	# cannot just pass the convience library names through
- 	# without $wl, iff we do not link with $LD.
- 	# Luckily, gcc supports the same syntax we need for Sun Studio.
+	# The compiler driver will combine and reorder linker options,
+	# but understands `-z linker_flag'.  GCC discards it without `$wl',
+	# but is careful enough not to reorder.
  	# Supported since Solaris 2.6 (maybe 2.5.1?)
- 	case $wlarc in
- 	'')
- 	  _LT_AC_TAGVAR(whole_archive_flag_spec, $1)='-z allextract$convenience -z defaultextract' ;;
- 	*)
- 	  _LT_AC_TAGVAR(whole_archive_flag_spec, $1)='${wl}-z ${wl}allextract`for conv in $convenience\"\"; do test -n \"$conv\" && new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}-z ${wl}defaultextract' ;;
- 	esac ;;
+	if test "$GCC" = yes; then
+	  _LT_AC_TAGVAR(whole_archive_flag_spec, $1)='${wl}-z ${wl}allextract$convenience ${wl}-z ${wl}defaultextract'
+	else
+	  _LT_AC_TAGVAR(whole_archive_flag_spec, $1)='-z allextract$convenience -z defaultextract'
+	fi
+	;;
       esac
       _LT_AC_TAGVAR(link_all_deplibs, $1)=yes
       ;;
@@ -6177,7 +6327,7 @@
       fi
       ;;
 
-    sysv4*uw2* | sysv5OpenUNIX* | sysv5UnixWare7.[[01]].[[10]]* | unixware7*)
+    sysv4*uw2* | sysv5OpenUNIX* | sysv5UnixWare7.[[01]].[[10]]* | unixware7* | sco3.2v5.0.[[024]]*)
       _LT_AC_TAGVAR(no_undefined_flag, $1)='${wl}-z,text'
       _LT_AC_TAGVAR(archive_cmds_need_lc, $1)=no
       _LT_AC_TAGVAR(hardcode_shlibpath_var, $1)=no
@@ -6252,7 +6402,7 @@
       # to ld, don't add -lc before -lgcc.
       AC_MSG_CHECKING([whether -lc should be explicitly linked in])
       $rm conftest*
-      printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+      echo "$lt_simple_compile_test_code" > conftest.$ac_ext
 
       if AC_TRY_EVAL(ac_compile) 2>conftest.err; then
         soname=conftest
@@ -6355,6 +6505,30 @@
 [AC_CHECK_TOOL(RC, windres, no)
 ])
 
+
+# Cheap backport of AS_EXECUTABLE_P and required macros
+# from Autoconf 2.59; we should not use $as_executable_p directly.
+
+# _AS_TEST_PREPARE
+# ----------------
+m4_ifndef([_AS_TEST_PREPARE],
+[m4_defun([_AS_TEST_PREPARE],
+[if test -x / >/dev/null 2>&1; then
+  as_executable_p='test -x'
+else
+  as_executable_p='test -f'
+fi
+])])# _AS_TEST_PREPARE
+
+# AS_EXECUTABLE_P
+# ---------------
+# Check whether a file is executable.
+m4_ifndef([AS_EXECUTABLE_P],
+[m4_defun([AS_EXECUTABLE_P],
+[AS_REQUIRE([_AS_TEST_PREPARE])dnl
+$as_executable_p $1[]dnl
+])])# AS_EXECUTABLE_P
+
 # NOTE: This macro has been submitted for inclusion into   #
 #  GNU Autoconf as AC_PROG_SED.  When it is available in   #
 #  a released version of Autoconf we should remove this    #
@@ -6375,12 +6549,13 @@
   test -z "$as_dir" && as_dir=.
   for lt_ac_prog in sed gsed; do
     for ac_exec_ext in '' $ac_executable_extensions; do
-      if $as_executable_p "$as_dir/$lt_ac_prog$ac_exec_ext"; then
+      if AS_EXECUTABLE_P(["$as_dir/$lt_ac_prog$ac_exec_ext"]); then
         lt_ac_sed_list="$lt_ac_sed_list $as_dir/$lt_ac_prog$ac_exec_ext"
       fi
     done
   done
 done
+IFS=$as_save_IFS
 lt_ac_max=0
 lt_ac_count=0
 # Add /usr/xpg4/bin/sed as it is typically found on Solaris
@@ -6413,6 +6588,7 @@
 done
 ])
 SED=$lt_cv_path_SED
+AC_SUBST([SED])
 AC_MSG_RESULT([$SED])
 ])
 
@@ -6554,7 +6730,8 @@
 
 _PKG_TEXT
 ])],
-		[$4])
+		[AC_MSG_RESULT([no])
+                $4])
 elif test $pkg_failed = untried; then
 	ifelse([$4], , [AC_MSG_FAILURE(dnl
 [The pkg-config script could not be found or is too old.  Make sure it
@@ -6563,7 +6740,7 @@
 
 _PKG_TEXT
 
-To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.])],
+To get pkg-config, see <http://pkg-config.freedesktop.org/>.])],
 		[$4])
 else
 	$1[]_CFLAGS=$pkg_cv_[]$1[]_CFLAGS
@@ -7451,3 +7628,4 @@
 AC_SUBST([am__untar])
 ]) # _AM_PROG_TAR
 
+m4_include([m4/os.m4])

=== modified file 'config.h.in'
--- config.h.in	2006-10-20 13:12:33 +0000
+++ config.h.in	2008-02-06 17:25:16 +0000
@@ -1,5 +1,8 @@
 /* config.h.in.  Generated from configure.in by autoheader.  */
 
+/* if DLL is to be built */
+#undef BUILDING_DLL
+
 /* Define to 1 if you have the <dlfcn.h> header file. */
 #undef HAVE_DLFCN_H
 
@@ -12,6 +15,9 @@
 /* Define to 1 if you have the `getopt_long' function. */
 #undef HAVE_GETOPT_LONG
 
+/* Defined if libxml++ is available */
+#undef HAVE_ICONV
+
 /* Define to 1 if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H
 
@@ -93,6 +99,45 @@
 /* Defined if libcurl supports TELNET */
 #undef LIBCURL_PROTOCOL_TELNET
 
+/* if BeOS is used */
+#undef OS_BEOS
+
+/* if Apple Darwin is used */
+#undef OS_DARWIN
+
+/* if FreeBSD is used */
+#undef OS_FREEBSD
+
+/* if linux is used */
+#undef OS_LINUX
+
+/* host system */
+#undef OS_NAME
+
+/* if NetBSD is used */
+#undef OS_NETBSD
+
+/* if OpenBSD is used */
+#undef OS_OPENBSD
+
+/* if PalmOS is used */
+#undef OS_PALMOS
+
+/* if this is a POSIX system */
+#undef OS_POSIX
+
+/* host system */
+#undef OS_SHORTNAME
+
+/* if Solaris is used */
+#undef OS_SOLARIS
+
+/* system type */
+#undef OS_TYPE
+
+/* if WIN32 is used */
+#undef OS_WIN32
+
 /* Name of package */
 #undef PACKAGE
 

=== modified file 'config/config.guess'
--- config/config.guess	2006-10-20 13:12:33 +0000
+++ config/config.guess	2008-02-06 17:25:16 +0000
@@ -1,9 +1,10 @@
 #! /bin/sh
 # Attempt to guess a canonical system name.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
+#   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
+#   Inc.
 
-timestamp='2005-08-03'
+timestamp='2007-07-22'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -106,7 +107,7 @@
 trap "exitcode=\$?; (rm -f \$tmpfiles 2>/dev/null; rmdir \$tmp 2>/dev/null) && exit \$exitcode" 0 ;
 trap "rm -f \$tmpfiles 2>/dev/null; rmdir \$tmp 2>/dev/null; exit 1" 1 2 13 15 ;
 : ${TMPDIR=/tmp} ;
- { tmp=`(umask 077 && mktemp -d -q "$TMPDIR/cgXXXXXX") 2>/dev/null` && test -n "$tmp" && test -d "$tmp" ; } ||
+ { tmp=`(umask 077 && mktemp -d "$TMPDIR/cgXXXXXX") 2>/dev/null` && test -n "$tmp" && test -d "$tmp" ; } ||
  { test -n "$RANDOM" && tmp=$TMPDIR/cg$$-$RANDOM && (umask 077 && mkdir $tmp) ; } ||
  { tmp=$TMPDIR/cg-$$ && (umask 077 && mkdir $tmp) && echo "Warning: creating insecure temp directory" >&2 ; } ||
  { echo "$me: cannot create a temporary directory in $TMPDIR" >&2 ; exit 1 ; } ;
@@ -160,6 +161,7 @@
 	    arm*) machine=arm-unknown ;;
 	    sh3el) machine=shl-unknown ;;
 	    sh3eb) machine=sh-unknown ;;
+	    sh5el) machine=sh5le-unknown ;;
 	    *) machine=${UNAME_MACHINE_ARCH}-unknown ;;
 	esac
 	# The Operating System including object format, if it has switched
@@ -206,8 +208,11 @@
     *:ekkoBSD:*:*)
 	echo ${UNAME_MACHINE}-unknown-ekkobsd${UNAME_RELEASE}
 	exit ;;
+    *:SolidBSD:*:*)
+	echo ${UNAME_MACHINE}-unknown-solidbsd${UNAME_RELEASE}
+	exit ;;
     macppc:MirBSD:*:*)
-	echo powerppc-unknown-mirbsd${UNAME_RELEASE}
+	echo powerpc-unknown-mirbsd${UNAME_RELEASE}
 	exit ;;
     *:MirBSD:*:*)
 	echo ${UNAME_MACHINE}-unknown-mirbsd${UNAME_RELEASE}
@@ -325,7 +330,7 @@
     sun4*:SunOS:5.*:* | tadpole*:SunOS:5.*:*)
 	echo sparc-sun-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
 	exit ;;
-    i86pc:SunOS:5.*:*)
+    i86pc:SunOS:5.*:* | i86xen:SunOS:5.*:*)
 	echo i386-pc-solaris2`echo ${UNAME_RELEASE}|sed -e 's/[^.]*//'`
 	exit ;;
     sun4*:SunOS:6*:*)
@@ -764,12 +769,19 @@
 	echo ${UNAME_MACHINE}-unknown-bsdi${UNAME_RELEASE}
 	exit ;;
     *:FreeBSD:*:*)
-	echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`
+	case ${UNAME_MACHINE} in
+	    pc98)
+		echo i386-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'` ;;
+	    amd64)
+		echo x86_64-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'` ;;
+	    *)
+		echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'` ;;
+	esac
 	exit ;;
     i*:CYGWIN*:*)
 	echo ${UNAME_MACHINE}-pc-cygwin
 	exit ;;
-    i*:MINGW*:*)
+    *:MINGW*:*)
 	echo ${UNAME_MACHINE}-pc-mingw32
 	exit ;;
     i*:windows32*:*)
@@ -779,9 +791,15 @@
     i*:PW*:*)
 	echo ${UNAME_MACHINE}-pc-pw32
 	exit ;;
-    x86:Interix*:[34]*)
-	echo i586-pc-interix${UNAME_RELEASE}|sed -e 's/\..*//'
-	exit ;;
+    *:Interix*:[3456]*)
+    	case ${UNAME_MACHINE} in
+	    x86)
+		echo i586-pc-interix${UNAME_RELEASE}
+		exit ;;
+	    EM64T | authenticamd)
+		echo x86_64-unknown-interix${UNAME_RELEASE}
+		exit ;;
+	esac ;;
     [345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
 	echo i${UNAME_MACHINE}-pc-mks
 	exit ;;
@@ -817,6 +835,9 @@
     arm*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit ;;
+    avr32*:Linux:*:*)
+	echo ${UNAME_MACHINE}-unknown-linux-gnu
+	exit ;;
     cris:Linux:*:*)
 	echo cris-axis-linux-gnu
 	exit ;;
@@ -851,7 +872,11 @@
 	#endif
 	#endif
 EOF
-	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
+	eval "`$CC_FOR_BUILD -E $dummy.c 2>/dev/null | sed -n '
+	    /^CPU/{
+		s: ::g
+		p
+	    }'`"
 	test x"${CPU}" != x && { echo "${CPU}-unknown-linux-gnu"; exit; }
 	;;
     mips64:Linux:*:*)
@@ -870,7 +895,11 @@
 	#endif
 	#endif
 EOF
-	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
+	eval "`$CC_FOR_BUILD -E $dummy.c 2>/dev/null | sed -n '
+	    /^CPU/{
+		s: ::g
+		p
+	    }'`"
 	test x"${CPU}" != x && { echo "${CPU}-unknown-linux-gnu"; exit; }
 	;;
     or32:Linux:*:*)
@@ -919,9 +948,15 @@
     sparc:Linux:*:* | sparc64:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit ;;
+    vax:Linux:*:*)
+	echo ${UNAME_MACHINE}-dec-linux-gnu
+	exit ;;
     x86_64:Linux:*:*)
 	echo x86_64-unknown-linux-gnu
 	exit ;;
+    xtensa:Linux:*:*)
+    	echo xtensa-unknown-linux-gnu
+	exit ;;
     i*86:Linux:*:*)
 	# The BFD linker knows what the default object file format is, so
 	# first see if it will tell us. cd to the root directory to prevent
@@ -964,7 +999,7 @@
 	LIBC=gnulibc1
 	# endif
 	#else
-	#ifdef __INTEL_COMPILER
+	#if defined(__INTEL_COMPILER) || defined(__PGI) || defined(__SUNPRO_C) || defined(__SUNPRO_CC)
 	LIBC=gnu
 	#else
 	LIBC=gnuaout
@@ -974,7 +1009,11 @@
 	LIBC=dietlibc
 	#endif
 EOF
-	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^LIBC=`
+	eval "`$CC_FOR_BUILD -E $dummy.c 2>/dev/null | sed -n '
+	    /^LIBC/{
+		s: ::g
+		p
+	    }'`"
 	test x"${LIBC}" != x && {
 		echo "${UNAME_MACHINE}-pc-linux-${LIBC}"
 		exit
@@ -1176,6 +1215,15 @@
     SX-6:SUPER-UX:*:*)
 	echo sx6-nec-superux${UNAME_RELEASE}
 	exit ;;
+    SX-7:SUPER-UX:*:*)
+	echo sx7-nec-superux${UNAME_RELEASE}
+	exit ;;
+    SX-8:SUPER-UX:*:*)
+	echo sx8-nec-superux${UNAME_RELEASE}
+	exit ;;
+    SX-8R:SUPER-UX:*:*)
+	echo sx8r-nec-superux${UNAME_RELEASE}
+	exit ;;
     Power*:Rhapsody:*:*)
 	echo powerpc-apple-rhapsody${UNAME_RELEASE}
 	exit ;;
@@ -1185,7 +1233,6 @@
     *:Darwin:*:*)
 	UNAME_PROCESSOR=`uname -p` || UNAME_PROCESSOR=unknown
 	case $UNAME_PROCESSOR in
-	    *86) UNAME_PROCESSOR=i686 ;;
 	    unknown) UNAME_PROCESSOR=powerpc ;;
 	esac
 	echo ${UNAME_PROCESSOR}-apple-darwin${UNAME_RELEASE}
@@ -1264,6 +1311,9 @@
     i*86:skyos:*:*)
 	echo ${UNAME_MACHINE}-pc-skyos`echo ${UNAME_RELEASE}` | sed -e 's/ .*$//'
 	exit ;;
+    i*86:rdos:*:*)
+	echo ${UNAME_MACHINE}-pc-rdos
+	exit ;;
 esac
 
 #echo '(No uname command or uname output not recognized.)' 1>&2

=== modified file 'config/config.sub'
--- config/config.sub	2006-10-20 13:12:33 +0000
+++ config/config.sub	2008-02-06 17:25:16 +0000
@@ -1,9 +1,10 @@
 #! /bin/sh
 # Configuration validation subroutine script.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
+#   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
+#   Inc.
 
-timestamp='2005-07-08'
+timestamp='2007-06-28'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -119,8 +120,9 @@
 # Here we must recognize all the valid KERNEL-OS combinations.
 maybe_os=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\2/'`
 case $maybe_os in
-  nto-qnx* | linux-gnu* | linux-dietlibc | linux-uclibc* | uclinux-uclibc* | uclinux-gnu* | \
-  kfreebsd*-gnu* | knetbsd*-gnu* | netbsd*-gnu* | storm-chaos* | os2-emx* | rtmk-nova*)
+  nto-qnx* | linux-gnu* | linux-dietlibc | linux-newlib* | linux-uclibc* | \
+  uclinux-uclibc* | uclinux-gnu* | kfreebsd*-gnu* | knetbsd*-gnu* | netbsd*-gnu* | \
+  storm-chaos* | os2-emx* | rtmk-nova*)
     os=-$maybe_os
     basic_machine=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\1/'`
     ;;
@@ -171,6 +173,10 @@
 	-hiux*)
 		os=-hiuxwe2
 		;;
+	-sco6)
+		os=-sco5v6
+		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
+		;;
 	-sco5)
 		os=-sco3.2v5
 		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
@@ -187,6 +193,10 @@
 		# Don't forget version if it is 3.2v4 or newer.
 		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
 		;;
+	-sco5v6*)
+		# Don't forget version if it is 3.2v4 or newer.
+		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
+		;;
 	-sco*)
 		os=-sco3.2v2
 		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
@@ -231,15 +241,16 @@
 	| alpha | alphaev[4-8] | alphaev56 | alphaev6[78] | alphapca5[67] \
 	| alpha64 | alpha64ev[4-8] | alpha64ev56 | alpha64ev6[78] | alpha64pca5[67] \
 	| am33_2.0 \
-	| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr \
+	| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr | avr32 \
 	| bfin \
 	| c4x | clipper \
 	| d10v | d30v | dlx | dsp16xx \
-	| fr30 | frv \
+	| fido | fr30 | frv \
 	| h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \
 	| i370 | i860 | i960 | ia64 \
 	| ip2k | iq2000 \
-	| m32r | m32rle | m68000 | m68k | m88k | maxq | mcore \
+	| m32c | m32r | m32rle | m68000 | m68k | m88k \
+	| maxq | mb | microblaze | mcore | mep \
 	| mips | mipsbe | mipseb | mipsel | mipsle \
 	| mips16 \
 	| mips64 | mips64el \
@@ -257,28 +268,27 @@
 	| mipsisa64sr71k | mipsisa64sr71kel \
 	| mipstx39 | mipstx39el \
 	| mn10200 | mn10300 \
-	| ms1 \
+	| mt \
 	| msp430 \
+	| nios | nios2 \
 	| ns16k | ns32k \
 	| or32 \
 	| pdp10 | pdp11 | pj | pjl \
 	| powerpc | powerpc64 | powerpc64le | powerpcle | ppcbe \
 	| pyramid \
-	| sh | sh[1234] | sh[24]a | sh[23]e | sh[34]eb | shbe | shle | sh[1234]le | sh3ele \
+	| score \
+	| sh | sh[1234] | sh[24]a | sh[23]e | sh[34]eb | sheb | shbe | shle | sh[1234]le | sh3ele \
 	| sh64 | sh64le \
-	| sparc | sparc64 | sparc64b | sparc86x | sparclet | sparclite \
-	| sparcv8 | sparcv9 | sparcv9b \
-	| strongarm \
+	| sparc | sparc64 | sparc64b | sparc64v | sparc86x | sparclet | sparclite \
+	| sparcv8 | sparcv9 | sparcv9b | sparcv9v \
+	| spu | strongarm \
 	| tahoe | thumb | tic4x | tic80 | tron \
 	| v850 | v850e \
 	| we32k \
-	| x86 | xscale | xscalee[bl] | xstormy16 | xtensa \
+	| x86 | xc16x | xscale | xscalee[bl] | xstormy16 | xtensa \
 	| z8k)
 		basic_machine=$basic_machine-unknown
 		;;
-	m32c)
-		basic_machine=$basic_machine-unknown
-		;;
 	m6811 | m68hc11 | m6812 | m68hc12)
 		# Motorola 68HC11/12.
 		basic_machine=$basic_machine-unknown
@@ -286,6 +296,9 @@
 		;;
 	m88110 | m680[12346]0 | m683?2 | m68360 | m5200 | v70 | w65 | z8k)
 		;;
+	ms1)
+		basic_machine=mt-unknown
+		;;
 
 	# We use `pc' rather than `unknown'
 	# because (1) that's what they normally are, and
@@ -305,18 +318,18 @@
 	| alpha64-* | alpha64ev[4-8]-* | alpha64ev56-* | alpha64ev6[78]-* \
 	| alphapca5[67]-* | alpha64pca5[67]-* | arc-* \
 	| arm-*  | armbe-* | armle-* | armeb-* | armv*-* \
-	| avr-* \
+	| avr-* | avr32-* \
 	| bfin-* | bs2000-* \
 	| c[123]* | c30-* | [cjt]90-* | c4x-* | c54x-* | c55x-* | c6x-* \
 	| clipper-* | craynv-* | cydra-* \
 	| d10v-* | d30v-* | dlx-* \
 	| elxsi-* \
-	| f30[01]-* | f700-* | fr30-* | frv-* | fx80-* \
+	| f30[01]-* | f700-* | fido-* | fr30-* | frv-* | fx80-* \
 	| h8300-* | h8500-* \
 	| hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \
 	| i*86-* | i860-* | i960-* | ia64-* \
 	| ip2k-* | iq2000-* \
-	| m32r-* | m32rle-* \
+	| m32c-* | m32r-* | m32rle-* \
 	| m68000-* | m680[012346]0-* | m68360-* | m683?2-* | m68k-* \
 	| m88110-* | m88k-* | maxq-* | mcore-* \
 	| mips-* | mipsbe-* | mipseb-* | mipsel-* | mipsle-* \
@@ -336,31 +349,30 @@
 	| mipsisa64sr71k-* | mipsisa64sr71kel-* \
 	| mipstx39-* | mipstx39el-* \
 	| mmix-* \
-	| ms1-* \
+	| mt-* \
 	| msp430-* \
+	| nios-* | nios2-* \
 	| none-* | np1-* | ns16k-* | ns32k-* \
 	| orion-* \
 	| pdp10-* | pdp11-* | pj-* | pjl-* | pn-* | power-* \
 	| powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* | ppcbe-* \
 	| pyramid-* \
 	| romp-* | rs6000-* \
-	| sh-* | sh[1234]-* | sh[24]a-* | sh[23]e-* | sh[34]eb-* | shbe-* \
+	| sh-* | sh[1234]-* | sh[24]a-* | sh[23]e-* | sh[34]eb-* | sheb-* | shbe-* \
 	| shle-* | sh[1234]le-* | sh3ele-* | sh64-* | sh64le-* \
-	| sparc-* | sparc64-* | sparc64b-* | sparc86x-* | sparclet-* \
+	| sparc-* | sparc64-* | sparc64b-* | sparc64v-* | sparc86x-* | sparclet-* \
 	| sparclite-* \
-	| sparcv8-* | sparcv9-* | sparcv9b-* | strongarm-* | sv1-* | sx?-* \
+	| sparcv8-* | sparcv9-* | sparcv9b-* | sparcv9v-* | strongarm-* | sv1-* | sx?-* \
 	| tahoe-* | thumb-* \
 	| tic30-* | tic4x-* | tic54x-* | tic55x-* | tic6x-* | tic80-* \
 	| tron-* \
 	| v850-* | v850e-* | vax-* \
 	| we32k-* \
-	| x86-* | x86_64-* | xps100-* | xscale-* | xscalee[bl]-* \
+	| x86-* | x86_64-* | xc16x-* | xps100-* | xscale-* | xscalee[bl]-* \
 	| xstormy16-* | xtensa-* \
 	| ymp-* \
 	| z8k-*)
 		;;
-	m32c-*)
-		;;
 	# Recognize the various machine names and aliases which stand
 	# for a CPU type and a company and sometimes even an OS.
 	386bsd)
@@ -463,8 +475,8 @@
 		basic_machine=craynv-cray
 		os=-unicosmp
 		;;
-	cr16c)
-		basic_machine=cr16c-unknown
+	cr16)
+		basic_machine=cr16-unknown
 		os=-elf
 		;;
 	crds | unos)
@@ -671,6 +683,10 @@
 		basic_machine=i386-pc
 		os=-mingw32
 		;;
+	mingw32ce)
+		basic_machine=arm-unknown
+		os=-mingw32ce
+		;;
 	miniframe)
 		basic_machine=m68000-convergent
 		;;
@@ -696,6 +712,9 @@
 		basic_machine=i386-pc
 		os=-msdos
 		;;
+	ms1-*)
+		basic_machine=`echo $basic_machine | sed -e 's/ms1-/mt-/'`
+		;;
 	mvs)
 		basic_machine=i370-ibm
 		os=-mvs
@@ -803,6 +822,12 @@
 	pc532 | pc532-*)
 		basic_machine=ns32k-pc532
 		;;
+	pc98)
+		basic_machine=i386-pc
+		;;
+	pc98-*)
+		basic_machine=i386-`echo $basic_machine | sed 's/^[^-]*-//'`
+		;;
 	pentium | p5 | k5 | k6 | nexgen | viac3)
 		basic_machine=i586-pc
 		;;
@@ -859,6 +884,10 @@
 		basic_machine=i586-unknown
 		os=-pw32
 		;;
+	rdos)
+		basic_machine=i386-pc
+		os=-rdos
+		;;
 	rom68k)
 		basic_machine=m68k-rom68k
 		os=-coff
@@ -885,6 +914,10 @@
 	sb1el)
 		basic_machine=mipsisa64sb1el-unknown
 		;;
+	sde)
+		basic_machine=mipsisa32-sde
+		os=-elf
+		;;
 	sei)
 		basic_machine=mips-sei
 		os=-seiux
@@ -896,6 +929,9 @@
 		basic_machine=sh-hitachi
 		os=-hms
 		;;
+	sh5el)
+		basic_machine=sh5le-unknown
+		;;
 	sh64)
 		basic_machine=sh64-unknown
 		;;
@@ -1101,7 +1137,7 @@
 	sh[1234] | sh[24]a | sh[34]eb | sh[1234]le | sh[23]ele)
 		basic_machine=sh-unknown
 		;;
-	sparc | sparcv8 | sparcv9 | sparcv9b)
+	sparc | sparcv8 | sparcv9 | sparcv9b | sparcv9v)
 		basic_machine=sparc-sun
 		;;
 	cydra)
@@ -1174,21 +1210,23 @@
 	      | -aos* \
 	      | -nindy* | -vxsim* | -vxworks* | -ebmon* | -hms* | -mvs* \
 	      | -clix* | -riscos* | -uniplus* | -iris* | -rtu* | -xenix* \
-	      | -hiux* | -386bsd* | -knetbsd* | -mirbsd* | -netbsd* | -openbsd* \
+	      | -hiux* | -386bsd* | -knetbsd* | -mirbsd* | -netbsd* \
+	      | -openbsd* | -solidbsd* \
 	      | -ekkobsd* | -kfreebsd* | -freebsd* | -riscix* | -lynxos* \
 	      | -bosx* | -nextstep* | -cxux* | -aout* | -elf* | -oabi* \
 	      | -ptx* | -coff* | -ecoff* | -winnt* | -domain* | -vsta* \
 	      | -udi* | -eabi* | -lites* | -ieee* | -go32* | -aux* \
 	      | -chorusos* | -chorusrdb* \
 	      | -cygwin* | -pe* | -psos* | -moss* | -proelf* | -rtems* \
-	      | -mingw32* | -linux-gnu* | -linux-uclibc* | -uxpv* | -beos* | -mpeix* | -udk* \
+	      | -mingw32* | -linux-gnu* | -linux-newlib* | -linux-uclibc* \
+	      | -uxpv* | -beos* | -mpeix* | -udk* \
 	      | -interix* | -uwin* | -mks* | -rhapsody* | -darwin* | -opened* \
 	      | -openstep* | -oskit* | -conix* | -pw32* | -nonstopux* \
 	      | -storm-chaos* | -tops10* | -tenex* | -tops20* | -its* \
 	      | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \
 	      | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \
 	      | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly* \
-	      | -skyos* | -haiku*)
+	      | -skyos* | -haiku* | -rdos* | -toppers* | -drops*)
 	# Remember, each alternative MUST END IN *, to match a version number.
 		;;
 	-qnx*)
@@ -1340,6 +1378,12 @@
 # system, and we'll never get to this point.
 
 case $basic_machine in
+        score-*)
+		os=-elf
+		;;
+        spu-*)
+		os=-elf
+		;;
 	*-acorn)
 		os=-riscix1.2
 		;;
@@ -1349,9 +1393,9 @@
 	arm*-semi)
 		os=-aout
 		;;
-    c4x-* | tic4x-*)
-        os=-coff
-        ;;
+        c4x-* | tic4x-*)
+        	os=-coff
+		;;
 	# This must come before the *-dec entry.
 	pdp10-*)
 		os=-tops20
@@ -1377,6 +1421,9 @@
 	m68*-cisco)
 		os=-aout
 		;;
+        mep-*)
+		os=-elf
+		;;
 	mips*-cisco)
 		os=-elf
 		;;

=== modified file 'config/ltmain.sh'
--- config/ltmain.sh	2006-10-20 13:12:33 +0000
+++ config/ltmain.sh	2008-02-06 17:25:16 +0000
@@ -1,8 +1,8 @@
 # ltmain.sh - Provide generalized library-building support services.
 # NOTE: Changing this file will not affect anything until you rerun configure.
 #
-# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2003, 2004, 2005
-# Free Software Foundation, Inc.
+# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2003, 2004, 2005, 2006,
+# 2007  Free Software Foundation, Inc.
 # Originally by Gordon Matzigkeit <gord@gnu.ai.mit.edu>, 1996
 #
 # This program is free software; you can redistribute it and/or modify
@@ -43,14 +43,22 @@
 
 PROGRAM=ltmain.sh
 PACKAGE=libtool
-VERSION="1.5.22 Debian 1.5.22-2"
-TIMESTAMP=" (1.1220.2.365 2005/12/18 22:14:06)"
+VERSION="1.5.24 Debian 1.5.24-1"
+TIMESTAMP=" (1.1220.2.456 2007/06/24 02:25:32)"
 
-# See if we are running on zsh, and set the options which allow our
-# commands through without removal of \ escapes.
-if test -n "${ZSH_VERSION+set}" ; then
+# Be Bourne compatible (taken from Autoconf:_AS_BOURNE_COMPATIBLE).
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+  emulate sh
+  NULLCMD=:
+  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
+  # is contrary to our usage.  Disable this feature.
+  alias -g '${1+"$@"}'='"$@"'
   setopt NO_GLOB_SUBST
+else
+  case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
 fi
+BIN_SH=xpg4; export BIN_SH # for Tru64
+DUALCASE=1; export DUALCASE # for MKS sh
 
 # Check that we have a working $echo.
 if test "X$1" = X--no-reexec; then
@@ -105,12 +113,14 @@
 # These must not be set unconditionally because not all systems understand
 # e.g. LANG=C (notably SCO).
 # We save the old values to restore during execute mode.
-if test "${LC_ALL+set}" = set; then
-  save_LC_ALL="$LC_ALL"; LC_ALL=C; export LC_ALL
-fi
-if test "${LANG+set}" = set; then
-  save_LANG="$LANG"; LANG=C; export LANG
-fi
+for lt_var in LANG LC_ALL LC_CTYPE LC_COLLATE LC_MESSAGES
+do
+  eval "if test \"\${$lt_var+set}\" = set; then
+	  save_$lt_var=\$$lt_var
+	  $lt_var=C
+	  export $lt_var
+	fi"
+done
 
 # Make sure IFS has a sensible default
 lt_nl='
@@ -136,6 +146,8 @@
 preserve_args=
 lo2o="s/\\.lo\$/.${objext}/"
 o2lo="s/\\.${objext}\$/.lo/"
+extracted_archives=
+extracted_serial=0
 
 #####################################
 # Shell function definitions:
@@ -196,7 +208,13 @@
     if eval $OBJDUMP -f $1 | $SED -e '10q' 2>/dev/null | \
       $EGREP -e 'file format pe-i386(.*architecture: i386)?' >/dev/null ; then
       win32_nmres=`eval $NM -f posix -A $1 | \
-	$SED -n -e '1,100{/ I /{s,.*,import,;p;q;};}'`
+	$SED -n -e '1,100{
+		/ I /{
+			s,.*,import,
+			p
+			q
+			}
+		}'`
       case $win32_nmres in
       import*)  win32_libid_type="x86 archive import";;
       *)        win32_libid_type="x86 archive static";;
@@ -327,7 +345,17 @@
 	*) my_xabs=`pwd`"/$my_xlib" ;;
       esac
       my_xlib=`$echo "X$my_xlib" | $Xsed -e 's%^.*/%%'`
-      my_xdir="$my_gentop/$my_xlib"
+      my_xlib_u=$my_xlib
+      while :; do
+        case " $extracted_archives " in
+	*" $my_xlib_u "*)
+	  extracted_serial=`expr $extracted_serial + 1`
+	  my_xlib_u=lt$extracted_serial-$my_xlib ;;
+	*) break ;;
+	esac
+      done
+      extracted_archives="$extracted_archives $my_xlib_u"
+      my_xdir="$my_gentop/$my_xlib_u"
 
       $show "${rm}r $my_xdir"
       $run ${rm}r "$my_xdir"
@@ -454,11 +482,12 @@
     ;;
 
   --version)
-    $echo "$PROGRAM (GNU $PACKAGE) $VERSION$TIMESTAMP"
-    $echo
-    $echo "Copyright (C) 2005  Free Software Foundation, Inc."
-    $echo "This is free software; see the source for copying conditions.  There is NO"
-    $echo "warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
+    echo "\
+$PROGRAM (GNU $PACKAGE) $VERSION$TIMESTAMP
+
+Copyright (C) 2007  Free Software Foundation, Inc.
+This is free software; see the source for copying conditions.  There is NO
+warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE."
     exit $?
     ;;
 
@@ -755,9 +784,10 @@
     *.class) xform=class ;;
     *.cpp) xform=cpp ;;
     *.cxx) xform=cxx ;;
-    *.f90) xform=f90 ;;
+    *.[fF][09]?) xform=[fF][09]. ;;
     *.for) xform=for ;;
     *.java) xform=java ;;
+    *.obj) xform=obj ;;
     esac
 
     libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
@@ -1138,8 +1168,9 @@
     for arg
     do
       case $arg in
-      -all-static | -static)
-	if test "X$arg" = "X-all-static"; then
+      -all-static | -static | -static-libtool-libs)
+	case $arg in
+	-all-static)
 	  if test "$build_libtool_libs" = yes && test -z "$link_static_flag"; then
 	    $echo "$modename: warning: complete static linking is impossible in this configuration" 1>&2
 	  fi
@@ -1147,12 +1178,20 @@
 	    dlopen_self=$dlopen_self_static
 	  fi
 	  prefer_static_libs=yes
-	else
+	  ;;
+	-static)
 	  if test -z "$pic_flag" && test -n "$link_static_flag"; then
 	    dlopen_self=$dlopen_self_static
 	  fi
 	  prefer_static_libs=built
-	fi
+	  ;;
+	-static-libtool-libs)
+	  if test -z "$pic_flag" && test -n "$link_static_flag"; then
+	    dlopen_self=$dlopen_self_static
+	  fi
+	  prefer_static_libs=yes
+	  ;;
+	esac
 	build_libtool_libs=no
 	build_old_libs=yes
 	break
@@ -1600,7 +1639,7 @@
 	continue
 	;;
 
-     -mt|-mthreads|-kthread|-Kthread|-pthread|-pthreads|--thread-safe)
+     -mt|-mthreads|-kthread|-Kthread|-pthread|-pthreads|--thread-safe|-threads)
 	compiler_flags="$compiler_flags $arg"
 	compile_command="$compile_command $arg"
 	finalize_command="$finalize_command $arg"
@@ -1620,10 +1659,11 @@
       # -m* pass through architecture-specific compiler args for GCC
       # -m*, -t[45]*, -txscale* pass through architecture-specific
       # compiler args for GCC
-      # -pg pass through profiling flag for GCC
+      # -p, -pg, --coverage, -fprofile-* pass through profiling flag for GCC
+      # -F/path gives path to uninstalled frameworks, gcc on darwin
       # @file GCC response files
-      -64|-mips[0-9]|-r[0-9][0-9]*|-xarch=*|-xtarget=*|+DA*|+DD*|-q*|-m*|-pg| \
-      -t[45]*|-txscale*|@*)
+      -64|-mips[0-9]|-r[0-9][0-9]*|-xarch=*|-xtarget=*|+DA*|+DD*|-q*|-m*| \
+      -t[45]*|-txscale*|-p|-pg|--coverage|-fprofile-*|-F*|@*)
 
 	# Unknown arguments in both finalize_command and compile_command need
 	# to be aesthetically quoted because they are evaled later.
@@ -1651,9 +1691,9 @@
 
       -no-install)
 	case $host in
-	*-*-cygwin* | *-*-mingw* | *-*-pw32* | *-*-os2*)
+	*-*-cygwin* | *-*-mingw* | *-*-pw32* | *-*-os2* | *-*-darwin*)
 	  # The PATH hackery in wrapper scripts is required on Windows
-	  # in order for the loader to find any dlls it needs.
+	  # and Darwin in order for the loader to find any dlls it needs.
 	  $echo "$modename: warning: \`-no-install' is ignored for $host" 1>&2
 	  $echo "$modename: warning: assuming \`-no-fast-install' instead" 1>&2
 	  fast_install=no
@@ -1712,7 +1752,7 @@
 	continue
 	;;
 
-      -static)
+      -static | -static-libtool-libs)
 	# The effects of -static are defined in a previous loop.
 	# We used to do the same as -all-static on platforms that
 	# didn't have a PIC flag, but the assumption that the effects
@@ -2097,7 +2137,7 @@
 	lib=
 	found=no
 	case $deplib in
-	-mt|-mthreads|-kthread|-Kthread|-pthread|-pthreads|--thread-safe)
+	-mt|-mthreads|-kthread|-Kthread|-pthread|-pthreads|--thread-safe|-threads)
 	  if test "$linkmode,$pass" = "prog,link"; then
 	    compile_deplibs="$deplib $compile_deplibs"
 	    finalize_deplibs="$deplib $finalize_deplibs"
@@ -2493,7 +2533,9 @@
 
 	if test "$linkmode,$pass" = "prog,link"; then
 	  if test -n "$library_names" &&
-	     { test "$prefer_static_libs" = no || test -z "$old_library"; }; then
+	     { { test "$prefer_static_libs" = no ||
+		 test "$prefer_static_libs,$installed" = "built,yes"; } ||
+	       test -z "$old_library"; }; then
 	    # We need to hardcode the library path
 	    if test -n "$shlibpath_var" && test -z "$avoidtemprpath" ; then
 	      # Make sure the rpath contains only unique directories.
@@ -3189,7 +3231,7 @@
 	  # which has an extra 1 added just for fun
 	  #
 	  case $version_type in
-	  darwin|linux|osf|windows)
+	  darwin|linux|osf|windows|none)
 	    current=`expr $number_major + $number_minor`
 	    age="$number_minor"
 	    revision="$number_revision"
@@ -3200,9 +3242,10 @@
 	    age="0"
 	    ;;
 	  irix|nonstopux)
-	    current=`expr $number_major + $number_minor - 1`
+	    current=`expr $number_major + $number_minor`
 	    age="$number_minor"
 	    revision="$number_minor"
+	    lt_irix_increment=no
 	    ;;
 	  *)
 	    $echo "$modename: unknown library version type \`$version_type'" 1>&2
@@ -3266,7 +3309,8 @@
 	  versuffix="$major.$age.$revision"
 	  # Darwin ld doesn't like 0 for these options...
 	  minor_current=`expr $current + 1`
-	  verstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"
+	  xlcverstring="${wl}-compatibility_version ${wl}$minor_current ${wl}-current_version ${wl}$minor_current.$revision"
+	  verstring="-compatibility_version $minor_current -current_version $minor_current.$revision"
 	  ;;
 
 	freebsd-aout)
@@ -3280,8 +3324,11 @@
 	  ;;
 
 	irix | nonstopux)
-	  major=`expr $current - $age + 1`
-
+	  if test "X$lt_irix_increment" = "Xno"; then
+	    major=`expr $current - $age`
+	  else
+	    major=`expr $current - $age + 1`
+	  fi
 	  case $version_type in
 	    nonstopux) verstring_prefix=nonstopux ;;
 	    *)         verstring_prefix=sgi ;;
@@ -3418,11 +3465,11 @@
       fi
 
       # Eliminate all temporary directories.
-      for path in $notinst_path; do
-	lib_search_path=`$echo "$lib_search_path " | ${SED} -e "s% $path % %g"`
-	deplibs=`$echo "$deplibs " | ${SED} -e "s% -L$path % %g"`
-	dependency_libs=`$echo "$dependency_libs " | ${SED} -e "s% -L$path % %g"`
-      done
+      #for path in $notinst_path; do
+      #	lib_search_path=`$echo "$lib_search_path " | ${SED} -e "s% $path % %g"`
+      #	deplibs=`$echo "$deplibs " | ${SED} -e "s% -L$path % %g"`
+      #	dependency_libs=`$echo "$dependency_libs " | ${SED} -e "s% -L$path % %g"`
+      #done
 
       if test -n "$xrpath"; then
 	# If the user specified any rpath flags, then add them.
@@ -3523,13 +3570,12 @@
 	  int main() { return 0; }
 EOF
 	  $rm conftest
-	  $LTCC $LTCFLAGS -o conftest conftest.c $deplibs
-	  if test "$?" -eq 0 ; then
+	  if $LTCC $LTCFLAGS -o conftest conftest.c $deplibs; then
 	    ldd_output=`ldd conftest`
 	    for i in $deplibs; do
 	      name=`expr $i : '-l\(.*\)'`
 	      # If $name is empty we are operating on a -L argument.
-              if test "$name" != "" && test "$name" -ne "0"; then
+              if test "$name" != "" && test "$name" != "0"; then
 		if test "X$allow_libtool_libs_with_static_runtimes" = "Xyes" ; then
 		  case " $predeps $postdeps " in
 		  *" $i "*)
@@ -3568,9 +3614,7 @@
 	      # If $name is empty we are operating on a -L argument.
               if test "$name" != "" && test "$name" != "0"; then
 		$rm conftest
-		$LTCC $LTCFLAGS -o conftest conftest.c $i
-		# Did it work?
-		if test "$?" -eq 0 ; then
+		if $LTCC $LTCFLAGS -o conftest conftest.c $i; then
 		  ldd_output=`ldd conftest`
 		  if test "X$allow_libtool_libs_with_static_runtimes" = "Xyes" ; then
 		    case " $predeps $postdeps " in
@@ -3602,7 +3646,7 @@
 		  droppeddeps=yes
 		  $echo
 		  $echo "*** Warning!  Library $i is needed by this library but I was not able to"
-		  $echo "***  make it link in!  You will probably need to install it or some"
+		  $echo "*** make it link in!  You will probably need to install it or some"
 		  $echo "*** library that it depends on before this library will be fully"
 		  $echo "*** functional.  Installing it before continuing would be even better."
 		fi
@@ -3888,7 +3932,10 @@
 	     test -n "$hardcode_libdirs"; then
 	    libdir="$hardcode_libdirs"
 	    if test -n "$hardcode_libdir_flag_spec_ld"; then
-	      eval dep_rpath=\"$hardcode_libdir_flag_spec_ld\"
+	      case $archive_cmds in
+	      *\$LD*) eval dep_rpath=\"$hardcode_libdir_flag_spec_ld\" ;;
+	      *)      eval dep_rpath=\"$hardcode_libdir_flag_spec\" ;;
+	      esac
 	    else
 	      eval dep_rpath=\"$hardcode_libdir_flag_spec\"
 	    fi
@@ -4247,12 +4294,14 @@
       reload_conv_objs=
       gentop=
       # reload_cmds runs $LD directly, so let us get rid of
-      # -Wl from whole_archive_flag_spec
+      # -Wl from whole_archive_flag_spec and hope we can get by with
+      # turning comma into space..
       wl=
 
       if test -n "$convenience"; then
 	if test -n "$whole_archive_flag_spec"; then
-	  eval reload_conv_objs=\"\$reload_objs $whole_archive_flag_spec\"
+	  eval tmp_whole_archive_flags=\"$whole_archive_flag_spec\"
+	  reload_conv_objs=$reload_objs\ `$echo "X$tmp_whole_archive_flags" | $Xsed -e 's|,| |g'`
 	else
 	  gentop="$output_objdir/${obj}x"
 	  generated="$generated $gentop"
@@ -4700,16 +4749,16 @@
           case $host in
           *cygwin* | *mingw* )
             if test -f "$output_objdir/${outputname}.def" ; then
-              compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%"`
-              finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%"`
+              compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
+              finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
             else
-              compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
-              finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
+              compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
+              finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
              fi
             ;;
           * )
-            compile_command=`$echo "X$compile_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
-            finalize_command=`$echo "X$finalize_command" | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%"`
+            compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
+            finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
             ;;
           esac
 	  ;;
@@ -4724,13 +4773,13 @@
 	# really was required.
 
 	# Nullify the symbol file.
-	compile_command=`$echo "X$compile_command" | $Xsed -e "s% @SYMFILE@%%"`
-	finalize_command=`$echo "X$finalize_command" | $Xsed -e "s% @SYMFILE@%%"`
+	compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
+	finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
       fi
 
       if test "$need_relink" = no || test "$build_libtool_libs" != yes; then
 	# Replace the output file specification.
-	compile_command=`$echo "X$compile_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
+	compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$output"'%g' | $NL2SP`
 	link_command="$compile_command$compile_rpath"
 
 	# We have no uninstalled library dependencies, so finalize right now.
@@ -4817,7 +4866,7 @@
 	if test "$fast_install" != no; then
 	  link_command="$finalize_var$compile_command$finalize_rpath"
 	  if test "$fast_install" = yes; then
-	    relink_command=`$echo "X$compile_var$compile_command$compile_rpath" | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g'`
+	    relink_command=`$echo "X$compile_var$compile_command$compile_rpath" | $SP2NL | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g' | $NL2SP`
 	  else
 	    # fast_install is set to needless
 	    relink_command=
@@ -4854,7 +4903,7 @@
 	  fi
 	done
 	relink_command="(cd `pwd`; $relink_command)"
-	relink_command=`$echo "X$relink_command" | $Xsed -e "$sed_quote_subst"`
+	relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
       fi
 
       # Quote $echo for shipping.
@@ -5261,6 +5310,20 @@
 Xsed='${SED} -e 1s/^X//'
 sed_quote_subst='$sed_quote_subst'
 
+# Be Bourne compatible (taken from Autoconf:_AS_BOURNE_COMPATIBLE).
+if test -n \"\${ZSH_VERSION+set}\" && (emulate sh) >/dev/null 2>&1; then
+  emulate sh
+  NULLCMD=:
+  # Zsh 3.x and 4.x performs word splitting on \${1+\"\$@\"}, which
+  # is contrary to our usage.  Disable this feature.
+  alias -g '\${1+\"\$@\"}'='\"\$@\"'
+  setopt NO_GLOB_SUBST
+else
+  case \`(set -o) 2>/dev/null\` in *posix*) set -o posix;; esac
+fi
+BIN_SH=xpg4; export BIN_SH # for Tru64
+DUALCASE=1; export DUALCASE # for MKS sh
+
 # The HP-UX ksh and POSIX shell print the target directory to stdout
 # if CDPATH is set.
 (unset CDPATH) >/dev/null 2>&1 && unset CDPATH
@@ -5403,7 +5466,7 @@
 	  ;;
 	esac
 	$echo >> $output "\
-      \$echo \"\$0: cannot exec \$program \${1+\"\$@\"}\"
+      \$echo \"\$0: cannot exec \$program \$*\"
       exit $EXIT_FAILURE
     fi
   else
@@ -5589,7 +5652,7 @@
       done
       # Quote the link command for shipping.
       relink_command="(cd `pwd`; $SHELL $progpath $preserve_args --mode=relink $libtool_args @inst_prefix_dir@)"
-      relink_command=`$echo "X$relink_command" | $Xsed -e "$sed_quote_subst"`
+      relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
       if test "$hardcode_automatic" = yes ; then
 	relink_command=
       fi
@@ -5934,9 +5997,9 @@
 
 	  if test -n "$inst_prefix_dir"; then
 	    # Stick the inst_prefix_dir data into the link command.
-	    relink_command=`$echo "$relink_command" | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%"`
+	    relink_command=`$echo "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%" | $NL2SP`
 	  else
-	    relink_command=`$echo "$relink_command" | $SED "s%@inst_prefix_dir@%%"`
+	    relink_command=`$echo "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%%" | $NL2SP`
 	  fi
 
 	  $echo "$modename: warning: relinking \`$file'" 1>&2
@@ -6145,7 +6208,7 @@
 	      file=`$echo "X$file$stripped_ext" | $Xsed -e 's%^.*/%%'`
 	      outputname="$tmpdir/$file"
 	      # Replace the output file specification.
-	      relink_command=`$echo "X$relink_command" | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g'`
+	      relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g' | $NL2SP`
 
 	      $show "$relink_command"
 	      if $run eval "$relink_command"; then :
@@ -6356,8 +6419,10 @@
 	if test -f "$dir/$objdir/$dlname"; then
 	  dir="$dir/$objdir"
 	else
-	  $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
-	  exit $EXIT_FAILURE
+	  if test ! -f "$dir/$dlname"; then
+	    $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
+	    exit $EXIT_FAILURE
+	  fi
 	fi
 	;;
 
@@ -6421,12 +6486,12 @@
       fi
 
       # Restore saved environment variables
-      if test "${save_LC_ALL+set}" = set; then
-	LC_ALL="$save_LC_ALL"; export LC_ALL
-      fi
-      if test "${save_LANG+set}" = set; then
-	LANG="$save_LANG"; export LANG
-      fi
+      for lt_var in LANG LC_ALL LC_CTYPE LC_COLLATE LC_MESSAGES
+      do
+	eval "if test \"\${save_$lt_var+set}\" = set; then
+		$lt_var=\$save_$lt_var; export $lt_var
+	      fi"
+      done
 
       # Now prepare to actually exec the command.
       exec_cmd="\$cmd$args"
@@ -6783,9 +6848,9 @@
   -dlpreopen FILE   link in FILE and add its symbols to lt_preloaded_symbols
   -export-dynamic   allow symbols from OUTPUT-FILE to be resolved with dlsym(3)
   -export-symbols SYMFILE
-		    try to export only the symbols listed in SYMFILE
+                    try to export only the symbols listed in SYMFILE
   -export-symbols-regex REGEX
-		    try to export only the symbols matching REGEX
+                    try to export only the symbols matching REGEX
   -LLIBDIR          search LIBDIR for required installed libraries
   -lNAME            OUTPUT-FILE requires the installed library libNAME
   -module           build a library that can dlopened
@@ -6799,9 +6864,11 @@
   -release RELEASE  specify package release information
   -rpath LIBDIR     the created library will eventually be installed in LIBDIR
   -R[ ]LIBDIR       add LIBDIR to the runtime path of programs and libraries
-  -static           do not do any dynamic linking of libtool libraries
+  -static           do not do any dynamic linking of uninstalled libtool libraries
+  -static-libtool-libs
+                    do not do any dynamic linking of libtool libraries
   -version-info CURRENT[:REVISION[:AGE]]
-		    specify library version info [each variable defaults to 0]
+                    specify library version info [each variable defaults to 0]
 
 All other options (arguments beginning with \`-') are ignored.
 

=== modified file 'configure'
--- configure	2006-10-20 13:12:33 +0000
+++ configure	2008-02-06 17:25:16 +0000
@@ -1,25 +1,54 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59.
+# Generated by GNU Autoconf 2.61.
 #
-# Copyright (C) 2003 Free Software Foundation, Inc.
+# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
+# 2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
 # This configure script is free software; the Free Software Foundation
 # gives unlimited permission to copy, distribute and modify it.
 ## --------------------- ##
 ## M4sh Initialization.  ##
 ## --------------------- ##
 
-# Be Bourne compatible
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
-  emulate sh
-  NULLCMD=:
-  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
-  # is contrary to our usage.  Disable this feature.
-  alias -g '${1+"$@"}'='"$@"'
-elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
-  set -o posix
-fi
+# Be more Bourne compatible
 DUALCASE=1; export DUALCASE # for MKS sh
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+  emulate sh
+  NULLCMD=:
+  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
+  # is contrary to our usage.  Disable this feature.
+  alias -g '${1+"$@"}'='"$@"'
+  setopt NO_GLOB_SUBST
+else
+  case `(set -o) 2>/dev/null` in
+  *posix*) set -o posix ;;
+esac
+
+fi
+
+
+
+
+# PATH needs CR
+# Avoid depending upon Character Ranges.
+as_cr_letters='abcdefghijklmnopqrstuvwxyz'
+as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
+as_cr_Letters=$as_cr_letters$as_cr_LETTERS
+as_cr_digits='0123456789'
+as_cr_alnum=$as_cr_Letters$as_cr_digits
+
+# The user is always right.
+if test "${PATH_SEPARATOR+set}" != set; then
+  echo "#! /bin/sh" >conf$$.sh
+  echo  "exit 0"   >>conf$$.sh
+  chmod +x conf$$.sh
+  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
+    PATH_SEPARATOR=';'
+  else
+    PATH_SEPARATOR=:
+  fi
+  rm -f conf$$.sh
+fi
 
 # Support unset when possible.
 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
@@ -29,8 +58,43 @@
 fi
 
 
+# IFS
+# We need space, tab and new line, in precisely that order.  Quoting is
+# there to prevent editors from complaining about space-tab.
+# (If _AS_PATH_WALK were called with IFS unset, it would disable word
+# splitting by setting IFS to empty value.)
+as_nl='
+'
+IFS=" ""	$as_nl"
+
+# Find who we are.  Look in the path if we contain no directory separator.
+case $0 in
+  *[\\/]* ) as_myself=$0 ;;
+  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
+done
+IFS=$as_save_IFS
+
+     ;;
+esac
+# We did not find ourselves, most probably we were run as `sh COMMAND'
+# in which case we are not to be found in the path.
+if test "x$as_myself" = x; then
+  as_myself=$0
+fi
+if test ! -f "$as_myself"; then
+  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
+  { (exit 1); exit 1; }
+fi
+
 # Work around bugs in pre-3.0 UWIN ksh.
-$as_unset ENV MAIL MAILPATH
+for as_var in ENV MAIL MAILPATH
+do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
+done
 PS1='$ '
 PS2='> '
 PS4='+ '
@@ -44,18 +108,19 @@
   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
     eval $as_var=C; export $as_var
   else
-    $as_unset $as_var
+    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
   fi
 done
 
 # Required to use basename.
-if expr a : '\(a\)' >/dev/null 2>&1; then
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+   test "X`expr 00001 : '.*\(...\)'`" = X001; then
   as_expr=expr
 else
   as_expr=false
 fi
 
-if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
+if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
   as_basename=basename
 else
   as_basename=false
@@ -63,157 +128,388 @@
 
 
 # Name of the executable.
-as_me=`$as_basename "$0" ||
+as_me=`$as_basename -- "$0" ||
 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
 	 X"$0" : 'X\(//\)$' \| \
-	 X"$0" : 'X\(/\)$' \| \
-	 .     : '\(.\)' 2>/dev/null ||
+	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
 echo X/"$0" |
-    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
-  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\/\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
-
-
-# PATH needs CR, and LINENO needs CR and PATH.
-# Avoid depending upon Character Ranges.
-as_cr_letters='abcdefghijklmnopqrstuvwxyz'
-as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
-as_cr_Letters=$as_cr_letters$as_cr_LETTERS
-as_cr_digits='0123456789'
-as_cr_alnum=$as_cr_Letters$as_cr_digits
-
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
-  echo "#! /bin/sh" >conf$$.sh
-  echo  "exit 0"   >>conf$$.sh
-  chmod +x conf$$.sh
-  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
-    PATH_SEPARATOR=';'
-  else
-    PATH_SEPARATOR=:
-  fi
-  rm -f conf$$.sh
-fi
-
-
-  as_lineno_1=$LINENO
-  as_lineno_2=$LINENO
-  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
-  test "x$as_lineno_1" != "x$as_lineno_2" &&
-  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
-  # Find who we are.  Look in the path if we contain no path at all
-  # relative or not.
-  case $0 in
-    *[\\/]* ) as_myself=$0 ;;
-    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
-done
-
-       ;;
-  esac
-  # We did not find ourselves, most probably we were run as `sh COMMAND'
-  # in which case we are not to be found in the path.
-  if test "x$as_myself" = x; then
-    as_myself=$0
-  fi
-  if test ! -f "$as_myself"; then
-    { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2
-   { (exit 1); exit 1; }; }
-  fi
-  case $CONFIG_SHELL in
-  '')
+    sed '/^.*\/\([^/][^/]*\)\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\/\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\/\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+
+# CDPATH.
+$as_unset CDPATH
+
+
+if test "x$CONFIG_SHELL" = x; then
+  if (eval ":") 2>/dev/null; then
+  as_have_required=yes
+else
+  as_have_required=no
+fi
+
+  if test $as_have_required = yes && 	 (eval ":
+(as_func_return () {
+  (exit \$1)
+}
+as_func_success () {
+  as_func_return 0
+}
+as_func_failure () {
+  as_func_return 1
+}
+as_func_ret_success () {
+  return 0
+}
+as_func_ret_failure () {
+  return 1
+}
+
+exitcode=0
+if as_func_success; then
+  :
+else
+  exitcode=1
+  echo as_func_success failed.
+fi
+
+if as_func_failure; then
+  exitcode=1
+  echo as_func_failure succeeded.
+fi
+
+if as_func_ret_success; then
+  :
+else
+  exitcode=1
+  echo as_func_ret_success failed.
+fi
+
+if as_func_ret_failure; then
+  exitcode=1
+  echo as_func_ret_failure succeeded.
+fi
+
+if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
+  :
+else
+  exitcode=1
+  echo positional parameters were not saved.
+fi
+
+test \$exitcode = 0) || { (exit 1); exit 1; }
+
+(
+  as_lineno_1=\$LINENO
+  as_lineno_2=\$LINENO
+  test \"x\$as_lineno_1\" != \"x\$as_lineno_2\" &&
+  test \"x\`expr \$as_lineno_1 + 1\`\" = \"x\$as_lineno_2\") || { (exit 1); exit 1; }
+") 2> /dev/null; then
+  :
+else
+  as_candidate_shells=
     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
 do
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
-  for as_base in sh bash ksh sh5; do
-	 case $as_dir in
+  case $as_dir in
 	 /*)
-	   if ("$as_dir/$as_base" -c '
-  as_lineno_1=$LINENO
-  as_lineno_2=$LINENO
-  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
-  test "x$as_lineno_1" != "x$as_lineno_2" &&
-  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
-	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
-	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
-	     CONFIG_SHELL=$as_dir/$as_base
-	     export CONFIG_SHELL
-	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
-	   fi;;
-	 esac
-       done
+	   for as_base in sh bash ksh sh5; do
+	     as_candidate_shells="$as_candidate_shells $as_dir/$as_base"
+	   done;;
+       esac
 done
-;;
-  esac
+IFS=$as_save_IFS
+
+
+      for as_shell in $as_candidate_shells $SHELL; do
+	 # Try only shells that exist, to save several forks.
+	 if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
+		{ ("$as_shell") 2> /dev/null <<\_ASEOF
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+  emulate sh
+  NULLCMD=:
+  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
+  # is contrary to our usage.  Disable this feature.
+  alias -g '${1+"$@"}'='"$@"'
+  setopt NO_GLOB_SUBST
+else
+  case `(set -o) 2>/dev/null` in
+  *posix*) set -o posix ;;
+esac
+
+fi
+
+
+:
+_ASEOF
+}; then
+  CONFIG_SHELL=$as_shell
+	       as_have_required=yes
+	       if { "$as_shell" 2> /dev/null <<\_ASEOF
+if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
+  emulate sh
+  NULLCMD=:
+  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
+  # is contrary to our usage.  Disable this feature.
+  alias -g '${1+"$@"}'='"$@"'
+  setopt NO_GLOB_SUBST
+else
+  case `(set -o) 2>/dev/null` in
+  *posix*) set -o posix ;;
+esac
+
+fi
+
+
+:
+(as_func_return () {
+  (exit $1)
+}
+as_func_success () {
+  as_func_return 0
+}
+as_func_failure () {
+  as_func_return 1
+}
+as_func_ret_success () {
+  return 0
+}
+as_func_ret_failure () {
+  return 1
+}
+
+exitcode=0
+if as_func_success; then
+  :
+else
+  exitcode=1
+  echo as_func_success failed.
+fi
+
+if as_func_failure; then
+  exitcode=1
+  echo as_func_failure succeeded.
+fi
+
+if as_func_ret_success; then
+  :
+else
+  exitcode=1
+  echo as_func_ret_success failed.
+fi
+
+if as_func_ret_failure; then
+  exitcode=1
+  echo as_func_ret_failure succeeded.
+fi
+
+if ( set x; as_func_ret_success y && test x = "$1" ); then
+  :
+else
+  exitcode=1
+  echo positional parameters were not saved.
+fi
+
+test $exitcode = 0) || { (exit 1); exit 1; }
+
+(
+  as_lineno_1=$LINENO
+  as_lineno_2=$LINENO
+  test "x$as_lineno_1" != "x$as_lineno_2" &&
+  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2") || { (exit 1); exit 1; }
+
+_ASEOF
+}; then
+  break
+fi
+
+fi
+
+      done
+
+      if test "x$CONFIG_SHELL" != x; then
+  for as_var in BASH_ENV ENV
+        do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
+        done
+        export CONFIG_SHELL
+        exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"}
+fi
+
+
+    if test $as_have_required = no; then
+  echo This script requires a shell more modern than all the
+      echo shells that I found on your system.  Please install a
+      echo modern shell, or manually run the script under such a
+      echo shell if you do have one.
+      { (exit 1); exit 1; }
+fi
+
+
+fi
+
+fi
+
+
+
+(eval "as_func_return () {
+  (exit \$1)
+}
+as_func_success () {
+  as_func_return 0
+}
+as_func_failure () {
+  as_func_return 1
+}
+as_func_ret_success () {
+  return 0
+}
+as_func_ret_failure () {
+  return 1
+}
+
+exitcode=0
+if as_func_success; then
+  :
+else
+  exitcode=1
+  echo as_func_success failed.
+fi
+
+if as_func_failure; then
+  exitcode=1
+  echo as_func_failure succeeded.
+fi
+
+if as_func_ret_success; then
+  :
+else
+  exitcode=1
+  echo as_func_ret_success failed.
+fi
+
+if as_func_ret_failure; then
+  exitcode=1
+  echo as_func_ret_failure succeeded.
+fi
+
+if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
+  :
+else
+  exitcode=1
+  echo positional parameters were not saved.
+fi
+
+test \$exitcode = 0") || {
+  echo No shell found that supports shell functions.
+  echo Please tell autoconf@gnu.org about your system,
+  echo including any error possibly output before this
+  echo message
+}
+
+
+
+  as_lineno_1=$LINENO
+  as_lineno_2=$LINENO
+  test "x$as_lineno_1" != "x$as_lineno_2" &&
+  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
 
   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
   # uniformly replaced by the line number.  The first 'sed' inserts a
-  # line-number line before each line; the second 'sed' does the real
-  # work.  The second script uses 'N' to pair each line-number line
-  # with the numbered line, and appends trailing '-' during
-  # substitution so that $LINENO is not a special case at line end.
+  # line-number line after each line using $LINENO; the second 'sed'
+  # does the real work.  The second script uses 'N' to pair each
+  # line-number line with the line containing $LINENO, and appends
+  # trailing '-' during substitution so that $LINENO is not a special
+  # case at line end.
   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
-  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
-  sed '=' <$as_myself |
+  # scripts with optimization help from Paolo Bonzini.  Blame Lee
+  # E. McMahon (1931-1989) for sed's syntax.  :-)
+  sed -n '
+    p
+    /[$]LINENO/=
+  ' <$as_myself |
     sed '
+      s/[$]LINENO.*/&-/
+      t lineno
+      b
+      :lineno
       N
-      s,$,-,
-      : loop
-      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
+      :loop
+      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
       t loop
-      s,-$,,
-      s,^['$as_cr_digits']*\n,,
+      s/-\n.*//
     ' >$as_me.lineno &&
-  chmod +x $as_me.lineno ||
+  chmod +x "$as_me.lineno" ||
     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
    { (exit 1); exit 1; }; }
 
   # Don't try to exec as it changes $[0], causing all sort of problems
   # (the dirname of $[0] is not the place where we might find the
-  # original and so on.  Autoconf is especially sensible to this).
-  . ./$as_me.lineno
+  # original and so on.  Autoconf is especially sensitive to this).
+  . "./$as_me.lineno"
   # Exit status is that of the last command.
   exit
 }
 
 
-case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
-  *c*,-n*) ECHO_N= ECHO_C='
-' ECHO_T='	' ;;
-  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
-  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
+if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
+  as_dirname=dirname
+else
+  as_dirname=false
+fi
+
+ECHO_C= ECHO_N= ECHO_T=
+case `echo -n x` in
+-n*)
+  case `echo 'x\c'` in
+  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
+  *)   ECHO_C='\c';;
+  esac;;
+*)
+  ECHO_N='-n';;
 esac
 
-if expr a : '\(a\)' >/dev/null 2>&1; then
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+   test "X`expr 00001 : '.*\(...\)'`" = X001; then
   as_expr=expr
 else
   as_expr=false
 fi
 
 rm -f conf$$ conf$$.exe conf$$.file
+if test -d conf$$.dir; then
+  rm -f conf$$.dir/conf$$.file
+else
+  rm -f conf$$.dir
+  mkdir conf$$.dir
+fi
 echo >conf$$.file
 if ln -s conf$$.file conf$$ 2>/dev/null; then
-  # We could just check for DJGPP; but this test a) works b) is more generic
-  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
-  if test -f conf$$.exe; then
-    # Don't use ln at all; we don't have any links
+  as_ln_s='ln -s'
+  # ... but there are two gotchas:
+  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
+  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
+  # In both cases, we have to default to `cp -p'.
+  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
     as_ln_s='cp -p'
-  else
-    as_ln_s='ln -s'
-  fi
 elif ln conf$$.file conf$$ 2>/dev/null; then
   as_ln_s=ln
 else
   as_ln_s='cp -p'
 fi
-rm -f conf$$ conf$$.exe conf$$.file
+rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
+rmdir conf$$.dir 2>/dev/null
 
 if mkdir -p . 2>/dev/null; then
   as_mkdir_p=:
@@ -222,7 +518,28 @@
   as_mkdir_p=false
 fi
 
-as_executable_p="test -f"
+if test -x / >/dev/null 2>&1; then
+  as_test_x='test -x'
+else
+  if ls -dL / >/dev/null 2>&1; then
+    as_ls_L_option=L
+  else
+    as_ls_L_option=
+  fi
+  as_test_x='
+    eval sh -c '\''
+      if test -d "$1"; then
+        test -d "$1/.";
+      else
+	case $1 in
+        -*)set "./$1";;
+	esac;
+	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
+	???[sx]*):;;*)false;;esac;fi
+    '\'' sh
+  '
+fi
+as_executable_p=$as_test_x
 
 # Sed expression to map a string onto a valid CPP name.
 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
@@ -231,15 +548,8 @@
 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
 
 
-# IFS
-# We need space, tab and new line, in precisely that order.
-as_nl='
-'
-IFS=" 	$as_nl"
-
-# CDPATH.
-$as_unset CDPATH
-
+
+tagnames=${tagnames+${tagnames},}RC
 
 
 # Check that we are running under the correct shell.
@@ -395,29 +705,26 @@
 
 tagnames=${tagnames+${tagnames},}F77
 
+exec 7<&0 </dev/null 6>&1
+
 # Name of the host.
 # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
 # so uname gets run too.
 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
 
-exec 6>&1
-
 #
 # Initializations.
 #
 ac_default_prefix=/usr/local
+ac_clean_files=
 ac_config_libobj_dir=.
+LIBOBJS=
 cross_compiling=no
 subdirs=
 MFLAGS=
 MAKEFLAGS=
 SHELL=${CONFIG_SHELL-/bin/sh}
 
-# Maximum number of lines to put in a shell here document.
-# This variable seems obsolete.  It should probably be removed, and
-# only ac_max_sed_lines should be used.
-: ${ac_max_here_lines=38}
-
 # Identity of this package.
 PACKAGE_NAME=
 PACKAGE_TARNAME=
@@ -425,46 +732,215 @@
 PACKAGE_STRING=
 PACKAGE_BUGREPORT=
 
-ac_unique_file="inc/libofx.h"
+ac_unique_file="inc/libofx.h.in"
 # Factoring default headers for most tests.
 ac_includes_default="\
 #include <stdio.h>
-#if HAVE_SYS_TYPES_H
+#ifdef HAVE_SYS_TYPES_H
 # include <sys/types.h>
 #endif
-#if HAVE_SYS_STAT_H
+#ifdef HAVE_SYS_STAT_H
 # include <sys/stat.h>
 #endif
-#if STDC_HEADERS
+#ifdef STDC_HEADERS
 # include <stdlib.h>
 # include <stddef.h>
 #else
-# if HAVE_STDLIB_H
+# ifdef HAVE_STDLIB_H
 #  include <stdlib.h>
 # endif
 #endif
-#if HAVE_STRING_H
-# if !STDC_HEADERS && HAVE_MEMORY_H
+#ifdef HAVE_STRING_H
+# if !defined STDC_HEADERS && defined HAVE_MEMORY_H
 #  include <memory.h>
 # endif
 # include <string.h>
 #endif
-#if HAVE_STRINGS_H
+#ifdef HAVE_STRINGS_H
 # include <strings.h>
 #endif
-#if HAVE_INTTYPES_H
+#ifdef HAVE_INTTYPES_H
 # include <inttypes.h>
-#else
-# if HAVE_STDINT_H
-#  include <stdint.h>
-# endif
-#endif
-#if HAVE_UNISTD_H
+#endif
+#ifdef HAVE_STDINT_H
+# include <stdint.h>
+#endif
+#ifdef HAVE_UNISTD_H
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX LIBOFX_MAJOR_VERSION LIBOFX_MINOR_VERSION LIBOFX_MICRO_VERSION LIBOFX_VERSION INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE LIBOFX_SO_CURRENT LIBOFX_SO_REVISION LIBOFX_SO_AGE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL DOXYGEN DOT DOC_TRUE DOC_FALSE ENABLE_DOXYGEN_TRUE ENABLE_DOXYGEN_FALSE enable_dot enable_html_docs enable_latex_docs LIBOBJS NO_GETOPTLONG_TRUE NO_GETOPTLONG_FALSE have_gengetopt USE_GENGETOPT_TRUE USE_GENGETOPT_FALSE _libcurl_config LIBCURL_CPPFLAGS LIBCURL PKG_CONFIG ac_pt_PKG_CONFIG LIBXMLPP_CFLAGS LIBXMLPP_LIBS BUILD_OFXCONNECT_TRUE BUILD_OFXCONNECT_FALSE ofxconnect OPENSPINCLUDES OPENSPLIBS QT_CFLAGS LIBOFX_DTD_DIR LTLIBOBJS'
+ac_subst_vars='SHELL
+PATH_SEPARATOR
+PACKAGE_NAME
+PACKAGE_TARNAME
+PACKAGE_VERSION
+PACKAGE_STRING
+PACKAGE_BUGREPORT
+exec_prefix
+prefix
+program_transform_name
+bindir
+sbindir
+libexecdir
+datarootdir
+datadir
+sysconfdir
+sharedstatedir
+localstatedir
+includedir
+oldincludedir
+docdir
+infodir
+htmldir
+dvidir
+pdfdir
+psdir
+libdir
+localedir
+mandir
+DEFS
+ECHO_C
+ECHO_N
+ECHO_T
+LIBS
+build_alias
+host_alias
+target_alias
+CC
+CFLAGS
+LDFLAGS
+CPPFLAGS
+ac_ct_CC
+EXEEXT
+OBJEXT
+CXX
+CXXFLAGS
+ac_ct_CXX
+LIBOFX_MAJOR_VERSION
+LIBOFX_MINOR_VERSION
+LIBOFX_MICRO_VERSION
+LIBOFX_BUILD_VERSION
+LIBOFX_VERSION_RELEASE_STRING
+LIBOFX_VERSION
+INSTALL_PROGRAM
+INSTALL_SCRIPT
+INSTALL_DATA
+CYGPATH_W
+PACKAGE
+VERSION
+ACLOCAL
+AUTOCONF
+AUTOMAKE
+AUTOHEADER
+MAKEINFO
+install_sh
+STRIP
+INSTALL_STRIP_PROGRAM
+mkdir_p
+AWK
+SET_MAKE
+am__leading_dot
+AMTAR
+am__tar
+am__untar
+DEPDIR
+am__include
+am__quote
+AMDEP_TRUE
+AMDEP_FALSE
+AMDEPBACKSLASH
+CCDEPMODE
+am__fastdepCC_TRUE
+am__fastdepCC_FALSE
+CXXDEPMODE
+am__fastdepCXX_TRUE
+am__fastdepCXX_FALSE
+LIBOFX_SO_CURRENT
+LIBOFX_SO_REVISION
+LIBOFX_SO_AGE
+MAINTAINER_MODE_TRUE
+MAINTAINER_MODE_FALSE
+MAINT
+RC
+build
+build_cpu
+build_vendor
+build_os
+host
+host_cpu
+host_vendor
+host_os
+SED
+GREP
+EGREP
+LN_S
+ECHO
+AR
+RANLIB
+DLLTOOL
+AS
+OBJDUMP
+CPP
+CXXCPP
+F77
+FFLAGS
+ac_ct_F77
+LIBTOOL
+OSYSTEM
+OS_TYPE
+MAKE_DLL_TARGET
+INSTALL_DLL_TARGET
+DOXYGEN
+DOT
+DOC_TRUE
+DOC_FALSE
+ENABLE_DOXYGEN_TRUE
+ENABLE_DOXYGEN_FALSE
+enable_dot
+enable_html_docs
+enable_latex_docs
+LIBOBJS
+NO_GETOPTLONG_TRUE
+NO_GETOPTLONG_FALSE
+have_gengetopt
+USE_GENGETOPT_TRUE
+USE_GENGETOPT_FALSE
+_libcurl_config
+LIBCURL_CPPFLAGS
+LIBCURL
+PKG_CONFIG
+LIBXMLPP_CFLAGS
+LIBXMLPP_LIBS
+BUILD_OFXCONNECT_TRUE
+BUILD_OFXCONNECT_FALSE
+WITH_ICONV
+ICONV_LIBS
+ofxconnect
+OPENSPINCLUDES
+OPENSPLIBS
+QT_CFLAGS
+LIBOFX_DTD_DIR
+LTLIBOBJS'
 ac_subst_files=''
+      ac_precious_vars='build_alias
+host_alias
+target_alias
+CC
+CFLAGS
+LDFLAGS
+LIBS
+CPPFLAGS
+CXX
+CXXFLAGS
+CCC
+CPP
+CXXCPP
+F77
+FFLAGS
+PKG_CONFIG
+LIBXMLPP_CFLAGS
+LIBXMLPP_LIBS'
+
 
 # Initialize some variables set by options.
 ac_init_help=
@@ -491,34 +967,48 @@
 # and all the variables that are supposed to be based on exec_prefix
 # by default will actually change.
 # Use braces instead of parens because sh, perl, etc. also accept them.
+# (The list follows the same order as the GNU Coding Standards.)
 bindir='${exec_prefix}/bin'
 sbindir='${exec_prefix}/sbin'
 libexecdir='${exec_prefix}/libexec'
-datadir='${prefix}/share'
+datarootdir='${prefix}/share'
+datadir='${datarootdir}'
 sysconfdir='${prefix}/etc'
 sharedstatedir='${prefix}/com'
 localstatedir='${prefix}/var'
-libdir='${exec_prefix}/lib'
 includedir='${prefix}/include'
 oldincludedir='/usr/include'
-infodir='${prefix}/info'
-mandir='${prefix}/man'
+docdir='${datarootdir}/doc/${PACKAGE}'
+infodir='${datarootdir}/info'
+htmldir='${docdir}'
+dvidir='${docdir}'
+pdfdir='${docdir}'
+psdir='${docdir}'
+libdir='${exec_prefix}/lib'
+localedir='${datarootdir}/locale'
+mandir='${datarootdir}/man'
 
 ac_prev=
+ac_dashdash=
 for ac_option
 do
   # If the previous option needs an argument, assign it.
   if test -n "$ac_prev"; then
-    eval "$ac_prev=\$ac_option"
+    eval $ac_prev=\$ac_option
     ac_prev=
     continue
   fi
 
-  ac_optarg=`expr "x$ac_option" : 'x[^=]*=\(.*\)'`
+  case $ac_option in
+  *=*)	ac_optarg=`expr "X$ac_option" : '[^=]*=\(.*\)'` ;;
+  *)	ac_optarg=yes ;;
+  esac
 
   # Accept the important Cygnus configure options, so we can diagnose typos.
 
-  case $ac_option in
+  case $ac_dashdash$ac_option in
+  --)
+    ac_dashdash=yes ;;
 
   -bindir | --bindir | --bindi | --bind | --bin | --bi)
     ac_prev=bindir ;;
@@ -540,33 +1030,45 @@
   --config-cache | -C)
     cache_file=config.cache ;;
 
-  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
+  -datadir | --datadir | --datadi | --datad)
     ac_prev=datadir ;;
-  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
-  | --da=*)
+  -datadir=* | --datadir=* | --datadi=* | --datad=*)
     datadir=$ac_optarg ;;
 
+  -datarootdir | --datarootdir | --datarootdi | --datarootd | --dataroot \
+  | --dataroo | --dataro | --datar)
+    ac_prev=datarootdir ;;
+  -datarootdir=* | --datarootdir=* | --datarootdi=* | --datarootd=* \
+  | --dataroot=* | --dataroo=* | --dataro=* | --datar=*)
+    datarootdir=$ac_optarg ;;
+
   -disable-* | --disable-*)
     ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
     # Reject names that are not valid shell variable names.
-    expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
+    expr "x$ac_feature" : ".*[^-._$as_cr_alnum]" >/dev/null &&
       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
    { (exit 1); exit 1; }; }
-    ac_feature=`echo $ac_feature | sed 's/-/_/g'`
-    eval "enable_$ac_feature=no" ;;
+    ac_feature=`echo $ac_feature | sed 's/[-.]/_/g'`
+    eval enable_$ac_feature=no ;;
+
+  -docdir | --docdir | --docdi | --doc | --do)
+    ac_prev=docdir ;;
+  -docdir=* | --docdir=* | --docdi=* | --doc=* | --do=*)
+    docdir=$ac_optarg ;;
+
+  -dvidir | --dvidir | --dvidi | --dvid | --dvi | --dv)
+    ac_prev=dvidir ;;
+  -dvidir=* | --dvidir=* | --dvidi=* | --dvid=* | --dvi=* | --dv=*)
+    dvidir=$ac_optarg ;;
 
   -enable-* | --enable-*)
     ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
     # Reject names that are not valid shell variable names.
-    expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
+    expr "x$ac_feature" : ".*[^-._$as_cr_alnum]" >/dev/null &&
       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
    { (exit 1); exit 1; }; }
-    ac_feature=`echo $ac_feature | sed 's/-/_/g'`
-    case $ac_option in
-      *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
-      *) ac_optarg=yes ;;
-    esac
-    eval "enable_$ac_feature='$ac_optarg'" ;;
+    ac_feature=`echo $ac_feature | sed 's/[-.]/_/g'`
+    eval enable_$ac_feature=\$ac_optarg ;;
 
   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
@@ -593,6 +1095,12 @@
   -host=* | --host=* | --hos=* | --ho=*)
     host_alias=$ac_optarg ;;
 
+  -htmldir | --htmldir | --htmldi | --htmld | --html | --htm | --ht)
+    ac_prev=htmldir ;;
+  -htmldir=* | --htmldir=* | --htmldi=* | --htmld=* | --html=* | --htm=* \
+  | --ht=*)
+    htmldir=$ac_optarg ;;
+
   -includedir | --includedir | --includedi | --included | --include \
   | --includ | --inclu | --incl | --inc)
     ac_prev=includedir ;;
@@ -617,13 +1125,16 @@
   | --libexe=* | --libex=* | --libe=*)
     libexecdir=$ac_optarg ;;
 
+  -localedir | --localedir | --localedi | --localed | --locale)
+    ac_prev=localedir ;;
+  -localedir=* | --localedir=* | --localedi=* | --localed=* | --locale=*)
+    localedir=$ac_optarg ;;
+
   -localstatedir | --localstatedir | --localstatedi | --localstated \
-  | --localstate | --localstat | --localsta | --localst \
-  | --locals | --local | --loca | --loc | --lo)
+  | --localstate | --localstat | --localsta | --localst | --locals)
     ac_prev=localstatedir ;;
   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
-  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
-  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
+  | --localstate=* | --localstat=* | --localsta=* | --localst=* | --locals=*)
     localstatedir=$ac_optarg ;;
 
   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
@@ -688,6 +1199,16 @@
   | --progr-tra=* | --program-tr=* | --program-t=*)
     program_transform_name=$ac_optarg ;;
 
+  -pdfdir | --pdfdir | --pdfdi | --pdfd | --pdf | --pd)
+    ac_prev=pdfdir ;;
+  -pdfdir=* | --pdfdir=* | --pdfdi=* | --pdfd=* | --pdf=* | --pd=*)
+    pdfdir=$ac_optarg ;;
+
+  -psdir | --psdir | --psdi | --psd | --ps)
+    ac_prev=psdir ;;
+  -psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)
+    psdir=$ac_optarg ;;
+
   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
   | -silent | --silent | --silen | --sile | --sil)
     silent=yes ;;
@@ -740,24 +1261,20 @@
   -with-* | --with-*)
     ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
     # Reject names that are not valid shell variable names.
-    expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
+    expr "x$ac_package" : ".*[^-._$as_cr_alnum]" >/dev/null &&
       { echo "$as_me: error: invalid package name: $ac_package" >&2
    { (exit 1); exit 1; }; }
-    ac_package=`echo $ac_package| sed 's/-/_/g'`
-    case $ac_option in
-      *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
-      *) ac_optarg=yes ;;
-    esac
-    eval "with_$ac_package='$ac_optarg'" ;;
+    ac_package=`echo $ac_package | sed 's/[-.]/_/g'`
+    eval with_$ac_package=\$ac_optarg ;;
 
   -without-* | --without-*)
     ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
     # Reject names that are not valid shell variable names.
-    expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
+    expr "x$ac_package" : ".*[^-._$as_cr_alnum]" >/dev/null &&
       { echo "$as_me: error: invalid package name: $ac_package" >&2
    { (exit 1); exit 1; }; }
-    ac_package=`echo $ac_package | sed 's/-/_/g'`
-    eval "with_$ac_package=no" ;;
+    ac_package=`echo $ac_package | sed 's/[-.]/_/g'`
+    eval with_$ac_package=no ;;
 
   --x)
     # Obsolete; use --with-x.
@@ -788,8 +1305,7 @@
     expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
       { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
    { (exit 1); exit 1; }; }
-    ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
-    eval "$ac_envvar='$ac_optarg'"
+    eval $ac_envvar=\$ac_optarg
     export $ac_envvar ;;
 
   *)
@@ -809,27 +1325,19 @@
    { (exit 1); exit 1; }; }
 fi
 
-# Be sure to have absolute paths.
-for ac_var in exec_prefix prefix
-do
-  eval ac_val=$`echo $ac_var`
-  case $ac_val in
-    [\\/$]* | ?:[\\/]* | NONE | '' ) ;;
-    *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
-   { (exit 1); exit 1; }; };;
-  esac
-done
-
-# Be sure to have absolute paths.
-for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir \
-	      localstatedir libdir includedir oldincludedir infodir mandir
-do
-  eval ac_val=$`echo $ac_var`
-  case $ac_val in
-    [\\/$]* | ?:[\\/]* ) ;;
-    *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
-   { (exit 1); exit 1; }; };;
-  esac
+# Be sure to have absolute directory names.
+for ac_var in	exec_prefix prefix bindir sbindir libexecdir datarootdir \
+		datadir sysconfdir sharedstatedir localstatedir includedir \
+		oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
+		libdir localedir mandir
+do
+  eval ac_val=\$$ac_var
+  case $ac_val in
+    [\\/$]* | ?:[\\/]* )  continue;;
+    NONE | '' ) case $ac_var in *prefix ) continue;; esac;;
+  esac
+  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
+   { (exit 1); exit 1; }; }
 done
 
 # There might be people who depend on the old broken behavior: `$host'
@@ -856,106 +1364,76 @@
 test "$silent" = yes && exec 6>/dev/null
 
 
+ac_pwd=`pwd` && test -n "$ac_pwd" &&
+ac_ls_di=`ls -di .` &&
+ac_pwd_ls_di=`cd "$ac_pwd" && ls -di .` ||
+  { echo "$as_me: error: Working directory cannot be determined" >&2
+   { (exit 1); exit 1; }; }
+test "X$ac_ls_di" = "X$ac_pwd_ls_di" ||
+  { echo "$as_me: error: pwd does not report name of working directory" >&2
+   { (exit 1); exit 1; }; }
+
+
 # Find the source files, if location was not specified.
 if test -z "$srcdir"; then
   ac_srcdir_defaulted=yes
-  # Try the directory containing this script, then its parent.
-  ac_confdir=`(dirname "$0") 2>/dev/null ||
+  # Try the directory containing this script, then the parent directory.
+  ac_confdir=`$as_dirname -- "$0" ||
 $as_expr X"$0" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
 	 X"$0" : 'X\(//\)[^/]' \| \
 	 X"$0" : 'X\(//\)$' \| \
-	 X"$0" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
+	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
 echo X"$0" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)[^/].*/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
   srcdir=$ac_confdir
-  if test ! -r $srcdir/$ac_unique_file; then
+  if test ! -r "$srcdir/$ac_unique_file"; then
     srcdir=..
   fi
 else
   ac_srcdir_defaulted=no
 fi
-if test ! -r $srcdir/$ac_unique_file; then
-  if test "$ac_srcdir_defaulted" = yes; then
-    { echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
-   { (exit 1); exit 1; }; }
-  else
-    { echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
-   { (exit 1); exit 1; }; }
-  fi
-fi
-(cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
-  { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
-   { (exit 1); exit 1; }; }
-srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
-ac_env_build_alias_set=${build_alias+set}
-ac_env_build_alias_value=$build_alias
-ac_cv_env_build_alias_set=${build_alias+set}
-ac_cv_env_build_alias_value=$build_alias
-ac_env_host_alias_set=${host_alias+set}
-ac_env_host_alias_value=$host_alias
-ac_cv_env_host_alias_set=${host_alias+set}
-ac_cv_env_host_alias_value=$host_alias
-ac_env_target_alias_set=${target_alias+set}
-ac_env_target_alias_value=$target_alias
-ac_cv_env_target_alias_set=${target_alias+set}
-ac_cv_env_target_alias_value=$target_alias
-ac_env_CC_set=${CC+set}
-ac_env_CC_value=$CC
-ac_cv_env_CC_set=${CC+set}
-ac_cv_env_CC_value=$CC
-ac_env_CFLAGS_set=${CFLAGS+set}
-ac_env_CFLAGS_value=$CFLAGS
-ac_cv_env_CFLAGS_set=${CFLAGS+set}
-ac_cv_env_CFLAGS_value=$CFLAGS
-ac_env_LDFLAGS_set=${LDFLAGS+set}
-ac_env_LDFLAGS_value=$LDFLAGS
-ac_cv_env_LDFLAGS_set=${LDFLAGS+set}
-ac_cv_env_LDFLAGS_value=$LDFLAGS
-ac_env_CPPFLAGS_set=${CPPFLAGS+set}
-ac_env_CPPFLAGS_value=$CPPFLAGS
-ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
-ac_cv_env_CPPFLAGS_value=$CPPFLAGS
-ac_env_CXX_set=${CXX+set}
-ac_env_CXX_value=$CXX
-ac_cv_env_CXX_set=${CXX+set}
-ac_cv_env_CXX_value=$CXX
-ac_env_CXXFLAGS_set=${CXXFLAGS+set}
-ac_env_CXXFLAGS_value=$CXXFLAGS
-ac_cv_env_CXXFLAGS_set=${CXXFLAGS+set}
-ac_cv_env_CXXFLAGS_value=$CXXFLAGS
-ac_env_CPP_set=${CPP+set}
-ac_env_CPP_value=$CPP
-ac_cv_env_CPP_set=${CPP+set}
-ac_cv_env_CPP_value=$CPP
-ac_env_CXXCPP_set=${CXXCPP+set}
-ac_env_CXXCPP_value=$CXXCPP
-ac_cv_env_CXXCPP_set=${CXXCPP+set}
-ac_cv_env_CXXCPP_value=$CXXCPP
-ac_env_F77_set=${F77+set}
-ac_env_F77_value=$F77
-ac_cv_env_F77_set=${F77+set}
-ac_cv_env_F77_value=$F77
-ac_env_FFLAGS_set=${FFLAGS+set}
-ac_env_FFLAGS_value=$FFLAGS
-ac_cv_env_FFLAGS_set=${FFLAGS+set}
-ac_cv_env_FFLAGS_value=$FFLAGS
-ac_env_PKG_CONFIG_set=${PKG_CONFIG+set}
-ac_env_PKG_CONFIG_value=$PKG_CONFIG
-ac_cv_env_PKG_CONFIG_set=${PKG_CONFIG+set}
-ac_cv_env_PKG_CONFIG_value=$PKG_CONFIG
-ac_env_LIBXMLPP_CFLAGS_set=${LIBXMLPP_CFLAGS+set}
-ac_env_LIBXMLPP_CFLAGS_value=$LIBXMLPP_CFLAGS
-ac_cv_env_LIBXMLPP_CFLAGS_set=${LIBXMLPP_CFLAGS+set}
-ac_cv_env_LIBXMLPP_CFLAGS_value=$LIBXMLPP_CFLAGS
-ac_env_LIBXMLPP_LIBS_set=${LIBXMLPP_LIBS+set}
-ac_env_LIBXMLPP_LIBS_value=$LIBXMLPP_LIBS
-ac_cv_env_LIBXMLPP_LIBS_set=${LIBXMLPP_LIBS+set}
-ac_cv_env_LIBXMLPP_LIBS_value=$LIBXMLPP_LIBS
+if test ! -r "$srcdir/$ac_unique_file"; then
+  test "$ac_srcdir_defaulted" = yes && srcdir="$ac_confdir or .."
+  { echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
+   { (exit 1); exit 1; }; }
+fi
+ac_msg="sources are in $srcdir, but \`cd $srcdir' does not work"
+ac_abs_confdir=`(
+	cd "$srcdir" && test -r "./$ac_unique_file" || { echo "$as_me: error: $ac_msg" >&2
+   { (exit 1); exit 1; }; }
+	pwd)`
+# When building in place, set srcdir=.
+if test "$ac_abs_confdir" = "$ac_pwd"; then
+  srcdir=.
+fi
+# Remove unnecessary trailing slashes from srcdir.
+# Double slashes in file names in object file debugging info
+# mess up M-x gdb in Emacs.
+case $srcdir in
+*/) srcdir=`expr "X$srcdir" : 'X\(.*[^/]\)' \| "X$srcdir" : 'X\(.*\)'`;;
+esac
+for ac_var in $ac_precious_vars; do
+  eval ac_env_${ac_var}_set=\${${ac_var}+set}
+  eval ac_env_${ac_var}_value=\$${ac_var}
+  eval ac_cv_env_${ac_var}_set=\${${ac_var}+set}
+  eval ac_cv_env_${ac_var}_value=\$${ac_var}
+done
 
 #
 # Report the --help message.
@@ -984,9 +1462,6 @@
   -n, --no-create         do not create output files
       --srcdir=DIR        find the sources in DIR [configure dir or \`..']
 
-_ACEOF
-
-  cat <<_ACEOF
 Installation directories:
   --prefix=PREFIX         install architecture-independent files in PREFIX
 			  [$ac_default_prefix]
@@ -1004,15 +1479,22 @@
   --bindir=DIR           user executables [EPREFIX/bin]
   --sbindir=DIR          system admin executables [EPREFIX/sbin]
   --libexecdir=DIR       program executables [EPREFIX/libexec]
-  --datadir=DIR          read-only architecture-independent data [PREFIX/share]
   --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
   --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
   --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
   --libdir=DIR           object code libraries [EPREFIX/lib]
   --includedir=DIR       C header files [PREFIX/include]
   --oldincludedir=DIR    C header files for non-gcc [/usr/include]
-  --infodir=DIR          info documentation [PREFIX/info]
-  --mandir=DIR           man documentation [PREFIX/man]
+  --datarootdir=DIR      read-only arch.-independent data root [PREFIX/share]
+  --datadir=DIR          read-only architecture-independent data [DATAROOTDIR]
+  --infodir=DIR          info documentation [DATAROOTDIR/info]
+  --localedir=DIR        locale-dependent data [DATAROOTDIR/locale]
+  --mandir=DIR           man documentation [DATAROOTDIR/man]
+  --docdir=DIR           documentation root [DATAROOTDIR/doc/PACKAGE]
+  --htmldir=DIR          html documentation [DOCDIR]
+  --dvidir=DIR           dvi documentation [DOCDIR]
+  --pdfdir=DIR           pdf documentation [DOCDIR]
+  --psdir=DIR            ps documentation [DOCDIR]
 _ACEOF
 
   cat <<\_ACEOF
@@ -1039,10 +1521,8 @@
   --enable-dependency-tracking   do not reject slow dependency extractors
   --enable-maintainer-mode  enable make rules and dependencies not useful
 			  (and sometimes confusing) to the casual installer
-  --enable-shared[=PKGS]
-                          build shared libraries [default=yes]
-  --enable-static[=PKGS]
-                          build static libraries [default=yes]
+  --enable-shared[=PKGS]  build shared libraries [default=yes]
+  --enable-static[=PKGS]  build static libraries [default=yes]
   --enable-fast-install[=PKGS]
                           optimize for fast installation [default=yes]
   --disable-libtool-lock  avoid locking (might break parallel builds)
@@ -1059,22 +1539,23 @@
   --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
   --with-pic              try to use only PIC/non-PIC objects [default=use
                           both]
-  --with-tags[=TAGS]
-                          include additional configurations [automatic]
+  --with-tags[=TAGS]      include additional configurations [automatic]
   --with-opensp-includes=PATH     specify where to look for OpenSP includes
                                   - default is /usr/include/OpenSP)
   --with-opensp-libs=PATH         specify where to look for libosp
                                   - default is /usr/lib
   --with-no-opensp-multibyte     Force libofx to compile with the assumption that OpenSP was NOT compiled with SP_MULTI_BYTE defined
   --with-libcurl=DIR      look for the curl library in DIR
+  --with-iconv[=DIR]      add ICONV support (on)
 
 Some influential environment variables:
   CC          C compiler command
   CFLAGS      C compiler flags
   LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
               nonstandard directory <lib dir>
-  CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
-              headers in a nonstandard directory <include dir>
+  LIBS        libraries to pass to the linker, e.g. -l<library>
+  CPPFLAGS    C/C++/Objective C preprocessor flags, e.g. -I<include dir> if
+              you have headers in a nonstandard directory <include dir>
   CXX         C++ compiler command
   CXXFLAGS    C++ compiler flags
   CPP         C preprocessor
@@ -1091,118 +1572,86 @@
 it to find libraries and programs with nonstandard names/locations.
 
 _ACEOF
+ac_status=$?
 fi
 
 if test "$ac_init_help" = "recursive"; then
   # If there are subdirs, report their specific --help.
-  ac_popdir=`pwd`
   for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
-    test -d $ac_dir || continue
+    test -d "$ac_dir" || continue
     ac_builddir=.
 
-if test "$ac_dir" != .; then
+case "$ac_dir" in
+.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
+*)
   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
-  # A "../" for each directory in $ac_dir_suffix.
-  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
-else
-  ac_dir_suffix= ac_top_builddir=
-fi
+  # A ".." for each directory in $ac_dir_suffix.
+  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
+  case $ac_top_builddir_sub in
+  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
+  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
+  esac ;;
+esac
+ac_abs_top_builddir=$ac_pwd
+ac_abs_builddir=$ac_pwd$ac_dir_suffix
+# for backward compatibility:
+ac_top_builddir=$ac_top_build_prefix
 
 case $srcdir in
-  .)  # No --srcdir option.  We are building in place.
+  .)  # We are building in place.
     ac_srcdir=.
-    if test -z "$ac_top_builddir"; then
-       ac_top_srcdir=.
-    else
-       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
-    fi ;;
-  [\\/]* | ?:[\\/]* )  # Absolute path.
+    ac_top_srcdir=$ac_top_builddir_sub
+    ac_abs_top_srcdir=$ac_pwd ;;
+  [\\/]* | ?:[\\/]* )  # Absolute name.
     ac_srcdir=$srcdir$ac_dir_suffix;
-    ac_top_srcdir=$srcdir ;;
-  *) # Relative path.
-    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
-    ac_top_srcdir=$ac_top_builddir$srcdir ;;
-esac
-
-# Do not use `cd foo && pwd` to compute absolute paths, because
-# the directories may not exist.
-case `pwd` in
-.) ac_abs_builddir="$ac_dir";;
-*)
-  case "$ac_dir" in
-  .) ac_abs_builddir=`pwd`;;
-  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
-  *) ac_abs_builddir=`pwd`/"$ac_dir";;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_top_builddir=${ac_top_builddir}.;;
-*)
-  case ${ac_top_builddir}. in
-  .) ac_abs_top_builddir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
-  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_srcdir=$ac_srcdir;;
-*)
-  case $ac_srcdir in
-  .) ac_abs_srcdir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
-  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_top_srcdir=$ac_top_srcdir;;
-*)
-  case $ac_top_srcdir in
-  .) ac_abs_top_srcdir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
-  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
-  esac;;
-esac
-
-    cd $ac_dir
-    # Check for guested configure; otherwise get Cygnus style configure.
-    if test -f $ac_srcdir/configure.gnu; then
-      echo
-      $SHELL $ac_srcdir/configure.gnu  --help=recursive
-    elif test -f $ac_srcdir/configure; then
-      echo
-      $SHELL $ac_srcdir/configure  --help=recursive
-    elif test -f $ac_srcdir/configure.ac ||
-	   test -f $ac_srcdir/configure.in; then
-      echo
-      $ac_configure --help
+    ac_top_srcdir=$srcdir
+    ac_abs_top_srcdir=$srcdir ;;
+  *) # Relative name.
+    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
+    ac_top_srcdir=$ac_top_build_prefix$srcdir
+    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
+esac
+ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
+
+    cd "$ac_dir" || { ac_status=$?; continue; }
+    # Check for guested configure.
+    if test -f "$ac_srcdir/configure.gnu"; then
+      echo &&
+      $SHELL "$ac_srcdir/configure.gnu" --help=recursive
+    elif test -f "$ac_srcdir/configure"; then
+      echo &&
+      $SHELL "$ac_srcdir/configure" --help=recursive
     else
       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
-    fi
-    cd "$ac_popdir"
+    fi || ac_status=$?
+    cd "$ac_pwd" || { ac_status=$?; break; }
   done
 fi
 
-test -n "$ac_init_help" && exit 0
+test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
+configure
+generated by GNU Autoconf 2.61
 
-Copyright (C) 2003 Free Software Foundation, Inc.
+Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
+2002, 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
 This configure script is free software; the Free Software Foundation
 gives unlimited permission to copy, distribute and modify it.
 _ACEOF
-  exit 0
+  exit
 fi
-exec 5>config.log
-cat >&5 <<_ACEOF
+cat >config.log <<_ACEOF
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
 It was created by $as_me, which was
-generated by GNU Autoconf 2.59.  Invocation command line was
+generated by GNU Autoconf 2.61.  Invocation command line was
 
   $ $0 $@
 
 _ACEOF
+exec 5>>config.log
 {
 cat <<_ASUNAME
 ## --------- ##
@@ -1221,7 +1670,7 @@
 /bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
 /usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
 /usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
-hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
+/usr/bin/hostinfo      = `(/usr/bin/hostinfo) 2>/dev/null      || echo unknown`
 /bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
 /usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
 /bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
@@ -1235,6 +1684,7 @@
   test -z "$as_dir" && as_dir=.
   echo "PATH: $as_dir"
 done
+IFS=$as_save_IFS
 
 } >&5
 
@@ -1256,7 +1706,6 @@
 ac_configure_args=
 ac_configure_args0=
 ac_configure_args1=
-ac_sep=
 ac_must_keep_next=false
 for ac_pass in 1 2
 do
@@ -1267,7 +1716,7 @@
     -q | -quiet | --quiet | --quie | --qui | --qu | --q \
     | -silent | --silent | --silen | --sile | --sil)
       continue ;;
-    *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
+    *\'*)
       ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
     esac
     case $ac_pass in
@@ -1289,9 +1738,7 @@
 	  -* ) ac_must_keep_next=true ;;
 	esac
       fi
-      ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
-      # Get rid of the leading space.
-      ac_sep=" "
+      ac_configure_args="$ac_configure_args '$ac_arg'"
       ;;
     esac
   done
@@ -1302,8 +1749,8 @@
 # When interrupted or exit'd, cleanup temporary files, and complete
 # config.log.  We remove comments because anyway the quotes in there
 # would cause problems or look ugly.
-# WARNING: Be sure not to use single quotes in there, as some shells,
-# such as our DU 5.0 friend, will then `close' the trap.
+# WARNING: Use '\'' to represent an apostrophe within the trap.
+# WARNING: Do not start the trap code with a newline, due to a FreeBSD 4.0 bug.
 trap 'exit_status=$?
   # Save into config.log some information that might help in debugging.
   {
@@ -1316,20 +1763,34 @@
 _ASBOX
     echo
     # The following way of writing the cache mishandles newlines in values,
-{
+(
+  for ac_var in `(set) 2>&1 | sed -n '\''s/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'\''`; do
+    eval ac_val=\$$ac_var
+    case $ac_val in #(
+    *${as_nl}*)
+      case $ac_var in #(
+      *_cv_*) { echo "$as_me:$LINENO: WARNING: Cache variable $ac_var contains a newline." >&5
+echo "$as_me: WARNING: Cache variable $ac_var contains a newline." >&2;} ;;
+      esac
+      case $ac_var in #(
+      _ | IFS | as_nl) ;; #(
+      *) $as_unset $ac_var ;;
+      esac ;;
+    esac
+  done
   (set) 2>&1 |
-    case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
-    *ac_space=\ *)
+    case $as_nl`(ac_space='\'' '\''; set) 2>&1` in #(
+    *${as_nl}ac_space=\ *)
       sed -n \
-	"s/'"'"'/'"'"'\\\\'"'"''"'"'/g;
-	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='"'"'\\2'"'"'/p"
-      ;;
+	"s/'\''/'\''\\\\'\'''\''/g;
+	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\''\\2'\''/p"
+      ;; #(
     *)
-      sed -n \
-	"s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
+      sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
       ;;
-    esac;
-}
+    esac |
+    sort
+)
     echo
 
     cat <<\_ASBOX
@@ -1340,22 +1801,28 @@
     echo
     for ac_var in $ac_subst_vars
     do
-      eval ac_val=$`echo $ac_var`
-      echo "$ac_var='"'"'$ac_val'"'"'"
+      eval ac_val=\$$ac_var
+      case $ac_val in
+      *\'\''*) ac_val=`echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
+      esac
+      echo "$ac_var='\''$ac_val'\''"
     done | sort
     echo
 
     if test -n "$ac_subst_files"; then
       cat <<\_ASBOX
-## ------------- ##
-## Output files. ##
-## ------------- ##
+## ------------------- ##
+## File substitutions. ##
+## ------------------- ##
 _ASBOX
       echo
       for ac_var in $ac_subst_files
       do
-	eval ac_val=$`echo $ac_var`
-	echo "$ac_var='"'"'$ac_val'"'"'"
+	eval ac_val=\$$ac_var
+	case $ac_val in
+	*\'\''*) ac_val=`echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
+	esac
+	echo "$ac_var='\''$ac_val'\''"
       done | sort
       echo
     fi
@@ -1367,26 +1834,24 @@
 ## ----------- ##
 _ASBOX
       echo
-      sed "/^$/d" confdefs.h | sort
+      cat confdefs.h
       echo
     fi
     test "$ac_signal" != 0 &&
       echo "$as_me: caught signal $ac_signal"
     echo "$as_me: exit $exit_status"
   } >&5
-  rm -f core *.core &&
-  rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
+  rm -f core *.core core.conftest.* &&
+    rm -f -r conftest* confdefs* conf$$* $ac_clean_files &&
     exit $exit_status
-     ' 0
+' 0
 for ac_signal in 1 2 13 15; do
   trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
 done
 ac_signal=0
 
 # confdefs.h avoids OS command line length limits that DEFS can exceed.
-rm -rf conftest* confdefs.h
-# AIX cpp loses on an empty file, so make sure it contains at least a newline.
-echo >confdefs.h
+rm -f -r conftest* confdefs.h
 
 # Predefined preprocessor variables.
 
@@ -1417,14 +1882,17 @@
 
 # Let the site file select an alternate cache file if it wants to.
 # Prefer explicitly selected file to automatically selected ones.
-if test -z "$CONFIG_SITE"; then
-  if test "x$prefix" != xNONE; then
-    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
-  else
-    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
-  fi
+if test -n "$CONFIG_SITE"; then
+  set x "$CONFIG_SITE"
+elif test "x$prefix" != xNONE; then
+  set x "$prefix/share/config.site" "$prefix/etc/config.site"
+else
+  set x "$ac_default_prefix/share/config.site" \
+	"$ac_default_prefix/etc/config.site"
 fi
-for ac_site_file in $CONFIG_SITE; do
+shift
+for ac_site_file
+do
   if test -r "$ac_site_file"; then
     { echo "$as_me:$LINENO: loading site script $ac_site_file" >&5
 echo "$as_me: loading site script $ac_site_file" >&6;}
@@ -1440,8 +1908,8 @@
     { echo "$as_me:$LINENO: loading cache $cache_file" >&5
 echo "$as_me: loading cache $cache_file" >&6;}
     case $cache_file in
-      [\\/]* | ?:[\\/]* ) . $cache_file;;
-      *)                      . ./$cache_file;;
+      [\\/]* | ?:[\\/]* ) . "$cache_file";;
+      *)                      . "./$cache_file";;
     esac
   fi
 else
@@ -1453,12 +1921,11 @@
 # Check that the precious variables saved in the cache have kept the same
 # value.
 ac_cache_corrupted=false
-for ac_var in `(set) 2>&1 |
-	       sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
+for ac_var in $ac_precious_vars; do
   eval ac_old_set=\$ac_cv_env_${ac_var}_set
   eval ac_new_set=\$ac_env_${ac_var}_set
-  eval ac_old_val="\$ac_cv_env_${ac_var}_value"
-  eval ac_new_val="\$ac_env_${ac_var}_value"
+  eval ac_old_val=\$ac_cv_env_${ac_var}_value
+  eval ac_new_val=\$ac_env_${ac_var}_value
   case $ac_old_set,$ac_new_set in
     set,)
       { echo "$as_me:$LINENO: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
@@ -1483,8 +1950,7 @@
   # Pass precious variables to config.status.
   if test "$ac_new_set" = set; then
     case $ac_new_val in
-    *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
-      ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
+    *\'*) ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
     *) ac_arg=$ac_var=$ac_new_val ;;
     esac
     case " $ac_configure_args " in
@@ -1501,6 +1967,22 @@
    { (exit 1); exit 1; }; }
 fi
 
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -1508,49 +1990,38 @@
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-          ac_config_headers="$ac_config_headers config.h"
+ac_config_headers="$ac_config_headers config.h"
 
 ac_aux_dir=
-for ac_dir in config $srcdir/config; do
-  if test -f $ac_dir/install-sh; then
+for ac_dir in config "$srcdir"/config; do
+  if test -f "$ac_dir/install-sh"; then
     ac_aux_dir=$ac_dir
     ac_install_sh="$ac_aux_dir/install-sh -c"
     break
-  elif test -f $ac_dir/install.sh; then
+  elif test -f "$ac_dir/install.sh"; then
     ac_aux_dir=$ac_dir
     ac_install_sh="$ac_aux_dir/install.sh -c"
     break
-  elif test -f $ac_dir/shtool; then
+  elif test -f "$ac_dir/shtool"; then
     ac_aux_dir=$ac_dir
     ac_install_sh="$ac_aux_dir/shtool install -c"
     break
   fi
 done
 if test -z "$ac_aux_dir"; then
-  { { echo "$as_me:$LINENO: error: cannot find install-sh or install.sh in config $srcdir/config" >&5
-echo "$as_me: error: cannot find install-sh or install.sh in config $srcdir/config" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find install-sh or install.sh in config \"$srcdir\"/config" >&5
+echo "$as_me: error: cannot find install-sh or install.sh in config \"$srcdir\"/config" >&2;}
    { (exit 1); exit 1; }; }
 fi
-ac_config_guess="$SHELL $ac_aux_dir/config.guess"
-ac_config_sub="$SHELL $ac_aux_dir/config.sub"
-ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
+
+# These three variables are undocumented and unsupported,
+# and are intended to be withdrawn in a future Autoconf release.
+# They can cause serious problems if a builder's source tree is in a directory
+# whose full name contains unusual characters.
+ac_config_guess="$SHELL $ac_aux_dir/config.guess"  # Please don't use this var.
+ac_config_sub="$SHELL $ac_aux_dir/config.sub"  # Please don't use this var.
+ac_configure="$SHELL $ac_aux_dir/configure"  # Please don't use this var.
+
 
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
@@ -1560,8 +2031,8 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}gcc; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -1574,32 +2045,34 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_CC="${ac_tool_prefix}gcc"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:$LINENO: result: $CC" >&5
-echo "${ECHO_T}$CC" >&6
+  { echo "$as_me:$LINENO: result: $CC" >&5
+echo "${ECHO_T}$CC" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
+
 
 fi
 if test -z "$ac_cv_prog_CC"; then
   ac_ct_CC=$CC
   # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -1612,36 +2085,51 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_ac_ct_CC="gcc"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
-echo "${ECHO_T}$ac_ct_CC" >&6
+  { echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
+echo "${ECHO_T}$ac_ct_CC" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
-  CC=$ac_ct_CC
+  if test "x$ac_ct_CC" = x; then
+    CC=""
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    CC=$ac_ct_CC
+  fi
 else
   CC="$ac_cv_prog_CC"
 fi
 
 if test -z "$CC"; then
-  if test -n "$ac_tool_prefix"; then
-  # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
+          if test -n "$ac_tool_prefix"; then
+    # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}cc; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -1654,74 +2142,34 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_CC="${ac_tool_prefix}cc"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:$LINENO: result: $CC" >&5
-echo "${ECHO_T}$CC" >&6
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-
-fi
-if test -z "$ac_cv_prog_CC"; then
-  ac_ct_CC=$CC
-  # Extract the first word of "cc", so it can be a program name with args.
-set dummy cc; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  if test -n "$ac_ct_CC"; then
-  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
-else
-as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_prog_ac_ct_CC="cc"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
+  { echo "$as_me:$LINENO: result: $CC" >&5
+echo "${ECHO_T}$CC" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
   fi
-done
-done
-
-fi
-fi
-ac_ct_CC=$ac_cv_prog_ac_ct_CC
-if test -n "$ac_ct_CC"; then
-  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
-echo "${ECHO_T}$ac_ct_CC" >&6
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-
-  CC=$ac_ct_CC
-else
-  CC="$ac_cv_prog_CC"
-fi
-
 fi
 if test -z "$CC"; then
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -1735,7 +2183,7 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
        ac_prog_rejected=yes
        continue
@@ -1746,6 +2194,7 @@
   fi
 done
 done
+IFS=$as_save_IFS
 
 if test $ac_prog_rejected = yes; then
   # We found a bogon in the path, so make sure we never use it.
@@ -1763,22 +2212,23 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:$LINENO: result: $CC" >&5
-echo "${ECHO_T}$CC" >&6
+  { echo "$as_me:$LINENO: result: $CC" >&5
+echo "${ECHO_T}$CC" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
+
 
 fi
 if test -z "$CC"; then
   if test -n "$ac_tool_prefix"; then
-  for ac_prog in cl
+  for ac_prog in cl.exe
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -1791,36 +2241,38 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:$LINENO: result: $CC" >&5
-echo "${ECHO_T}$CC" >&6
+  { echo "$as_me:$LINENO: result: $CC" >&5
+echo "${ECHO_T}$CC" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
+
     test -n "$CC" && break
   done
 fi
 if test -z "$CC"; then
   ac_ct_CC=$CC
-  for ac_prog in cl
+  for ac_prog in cl.exe
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -1833,29 +2285,45 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_ac_ct_CC="$ac_prog"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
-echo "${ECHO_T}$ac_ct_CC" >&6
+  { echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
+echo "${ECHO_T}$ac_ct_CC" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
+
   test -n "$ac_ct_CC" && break
 done
 
-  CC=$ac_ct_CC
+  if test "x$ac_ct_CC" = x; then
+    CC=""
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    CC=$ac_ct_CC
+  fi
 fi
 
 fi
@@ -1868,21 +2336,35 @@
    { (exit 1); exit 1; }; }
 
 # Provide some information about the compiler.
-echo "$as_me:$LINENO:" \
-     "checking for C compiler version" >&5
+echo "$as_me:$LINENO: checking for C compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
-  (eval $ac_compiler --version </dev/null >&5) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
-  (eval $ac_compiler -v </dev/null >&5) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
-  (eval $ac_compiler -V </dev/null >&5) 2>&5
+{ (ac_try="$ac_compiler --version >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compiler --version >&5") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }
+{ (ac_try="$ac_compiler -v >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compiler -v >&5") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }
+{ (ac_try="$ac_compiler -V >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compiler -V >&5") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }
@@ -1907,47 +2389,77 @@
 # Try to create an executable without -o first, disregard a.out.
 # It will help us diagnose broken compilers, and finding out an intuition
 # of exeext.
-echo "$as_me:$LINENO: checking for C compiler default output file name" >&5
-echo $ECHO_N "checking for C compiler default output file name... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for C compiler default output file name" >&5
+echo $ECHO_N "checking for C compiler default output file name... $ECHO_C" >&6; }
 ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
-if { (eval echo "$as_me:$LINENO: \"$ac_link_default\"") >&5
-  (eval $ac_link_default) 2>&5
+#
+# List of possible output files, starting from the most likely.
+# The algorithm is not robust to junk in `.', hence go to wildcards (a.*)
+# only as a last resort.  b.out is created by i960 compilers.
+ac_files='a_out.exe a.exe conftest.exe a.out conftest a.* conftest.* b.out'
+#
+# The IRIX 6 linker writes into existing files which may not be
+# executable, retaining their permissions.  Remove them first so a
+# subsequent execution test works.
+ac_rmfiles=
+for ac_file in $ac_files
+do
+  case $ac_file in
+    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.o | *.obj ) ;;
+    * ) ac_rmfiles="$ac_rmfiles $ac_file";;
+  esac
+done
+rm -f $ac_rmfiles
+
+if { (ac_try="$ac_link_default"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link_default") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  # Find the output, starting from the most likely.  This scheme is
-# not robust to junk in `.', hence go to wildcards (a.*) only as a last
-# resort.
-
-# Be careful to initialize this variable, since it used to be cached.
-# Otherwise an old cache value of `no' led to `EXEEXT = no' in a Makefile.
-ac_cv_exeext=
-# b.out is created by i960 compilers.
-for ac_file in a_out.exe a.exe conftest.exe a.out conftest a.* conftest.* b.out
+  # Autoconf-2.13 could set the ac_cv_exeext variable to `no'.
+# So ignore a value of `no', otherwise this would lead to `EXEEXT = no'
+# in a Makefile.  We should not override ac_cv_exeext if it was cached,
+# so that the user can short-circuit this test for compilers unknown to
+# Autoconf.
+for ac_file in $ac_files ''
 do
   test -f "$ac_file" || continue
   case $ac_file in
-    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj )
-	;;
-    conftest.$ac_ext )
-	# This is the source file.
+    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.o | *.obj )
 	;;
     [ab].out )
 	# We found the default executable, but exeext='' is most
 	# certainly right.
 	break;;
     *.* )
-	ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
-	# FIXME: I believe we export ac_cv_exeext for Libtool,
-	# but it would be cool to find out if it's true.  Does anybody
-	# maintain Libtool? --akim.
-	export ac_cv_exeext
+        if test "${ac_cv_exeext+set}" = set && test "$ac_cv_exeext" != no;
+	then :; else
+	   ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
+	fi
+	# We set ac_cv_exeext here because the later test for it is not
+	# safe: cross compilers may not add the suffix if given an `-o'
+	# argument, so we may need to know it at that point already.
+	# Even if this section looks crufty: it has the advantage of
+	# actually working.
 	break;;
     * )
 	break;;
   esac
 done
+test "$ac_cv_exeext" = no && ac_cv_exeext=
+
 else
+  ac_file=''
+fi
+
+{ echo "$as_me:$LINENO: result: $ac_file" >&5
+echo "${ECHO_T}$ac_file" >&6; }
+if test -z "$ac_file"; then
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
@@ -1959,19 +2471,21 @@
 fi
 
 ac_exeext=$ac_cv_exeext
-echo "$as_me:$LINENO: result: $ac_file" >&5
-echo "${ECHO_T}$ac_file" >&6
 
-# Check the compiler produces executables we can run.  If not, either
+# Check that the compiler produces executables we can run.  If not, either
 # the compiler is broken, or we cross compile.
-echo "$as_me:$LINENO: checking whether the C compiler works" >&5
-echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether the C compiler works" >&5
+echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6; }
 # FIXME: These cross compiler hacks should be removed for Autoconf 3.0
 # If not cross compiling, check that we can run a simple program.
 if test "$cross_compiling" != yes; then
   if { ac_try='./$ac_file'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
@@ -1990,22 +2504,27 @@
     fi
   fi
 fi
-echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+{ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
 
 rm -f a.out a.exe conftest$ac_cv_exeext b.out
 ac_clean_files=$ac_clean_files_save
-# Check the compiler produces executables we can run.  If not, either
+# Check that the compiler produces executables we can run.  If not, either
 # the compiler is broken, or we cross compile.
-echo "$as_me:$LINENO: checking whether we are cross compiling" >&5
-echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
-echo "$as_me:$LINENO: result: $cross_compiling" >&5
-echo "${ECHO_T}$cross_compiling" >&6
+{ echo "$as_me:$LINENO: checking whether we are cross compiling" >&5
+echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: result: $cross_compiling" >&5
+echo "${ECHO_T}$cross_compiling" >&6; }
 
-echo "$as_me:$LINENO: checking for suffix of executables" >&5
-echo $ECHO_N "checking for suffix of executables... $ECHO_C" >&6
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
+{ echo "$as_me:$LINENO: checking for suffix of executables" >&5
+echo $ECHO_N "checking for suffix of executables... $ECHO_C" >&6; }
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
@@ -2016,9 +2535,8 @@
 for ac_file in conftest.exe conftest conftest.*; do
   test -f "$ac_file" || continue
   case $ac_file in
-    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj ) ;;
+    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.o | *.obj ) ;;
     *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
-	  export ac_cv_exeext
 	  break;;
     * ) break;;
   esac
@@ -2032,14 +2550,14 @@
 fi
 
 rm -f conftest$ac_cv_exeext
-echo "$as_me:$LINENO: result: $ac_cv_exeext" >&5
-echo "${ECHO_T}$ac_cv_exeext" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_exeext" >&5
+echo "${ECHO_T}$ac_cv_exeext" >&6; }
 
 rm -f conftest.$ac_ext
 EXEEXT=$ac_cv_exeext
 ac_exeext=$EXEEXT
-echo "$as_me:$LINENO: checking for suffix of object files" >&5
-echo $ECHO_N "checking for suffix of object files... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for suffix of object files" >&5
+echo $ECHO_N "checking for suffix of object files... $ECHO_C" >&6; }
 if test "${ac_cv_objext+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -2059,14 +2577,20 @@
 }
 _ACEOF
 rm -f conftest.o conftest.obj
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
+  for ac_file in conftest.o conftest.obj conftest.*; do
+  test -f "$ac_file" || continue;
   case $ac_file in
-    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg ) ;;
+    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf ) ;;
     *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
        break;;
   esac
@@ -2084,12 +2608,12 @@
 
 rm -f conftest.$ac_cv_objext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_objext" >&5
-echo "${ECHO_T}$ac_cv_objext" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_objext" >&5
+echo "${ECHO_T}$ac_cv_objext" >&6; }
 OBJEXT=$ac_cv_objext
 ac_objext=$OBJEXT
-echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
-echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
+echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6; }
 if test "${ac_cv_c_compiler_gnu+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -2112,95 +2636,176 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_compiler_gnu=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_compiler_gnu=no
+	ac_compiler_gnu=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 ac_cv_c_compiler_gnu=$ac_compiler_gnu
 
 fi
-echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
-echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
+echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6; }
 GCC=`test $ac_compiler_gnu = yes && echo yes`
 ac_test_CFLAGS=${CFLAGS+set}
 ac_save_CFLAGS=$CFLAGS
-CFLAGS="-g"
-echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
-echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
+echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6; }
 if test "${ac_cv_prog_cc_g+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-int
-main ()
-{
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_prog_cc_g=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_prog_cc_g=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
-echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
+  ac_save_c_werror_flag=$ac_c_werror_flag
+   ac_c_werror_flag=yes
+   ac_cv_prog_cc_g=no
+   CFLAGS="-g"
+   cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_cv_prog_cc_g=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	CFLAGS=""
+      cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  :
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_c_werror_flag=$ac_save_c_werror_flag
+	 CFLAGS="-g"
+	 cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_cv_prog_cc_g=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+   ac_c_werror_flag=$ac_save_c_werror_flag
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
+echo "${ECHO_T}$ac_cv_prog_cc_g" >&6; }
 if test "$ac_test_CFLAGS" = set; then
   CFLAGS=$ac_save_CFLAGS
 elif test $ac_cv_prog_cc_g = yes; then
@@ -2216,12 +2821,12 @@
     CFLAGS=
   fi
 fi
-echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
-echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
-if test "${ac_cv_prog_cc_stdc+set}" = set; then
+{ echo "$as_me:$LINENO: checking for $CC option to accept ISO C89" >&5
+echo $ECHO_N "checking for $CC option to accept ISO C89... $ECHO_C" >&6; }
+if test "${ac_cv_prog_cc_c89+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_prog_cc_stdc=no
+  ac_cv_prog_cc_c89=no
 ac_save_CC=$CC
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -2255,12 +2860,17 @@
 /* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
    function prototypes and stuff, but not '\xHH' hex character constants.
    These don't provoke an error unfortunately, instead are silently treated
-   as 'x'.  The following induces an error, until -std1 is added to get
+   as 'x'.  The following induces an error, until -std is added to get
    proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
    array size at least.  It's necessary to write '\x00'==0 to get something
-   that's true only with -std1.  */
+   that's true only with -std.  */
 int osf4_cc_array ['\x00' == 0 ? 1 : -1];
 
+/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
+   inside strings and character constants.  */
+#define FOO(x) 'x'
+int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];
+
 int test (int i, double x);
 struct s1 {int (*f) (int a);};
 struct s2 {int (*f) (double a);};
@@ -2275,219 +2885,79 @@
   return 0;
 }
 _ACEOF
-# Don't try gcc -ansi; that turns off useful extensions and
-# breaks some systems' header files.
-# AIX			-qlanglvl=ansi
-# Ultrix and OSF/1	-std1
-# HP-UX 10.20 and later	-Ae
-# HP-UX older versions	-Aa -D_HPUX_SOURCE
-# SVR4			-Xc -D__EXTENSIONS__
-for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
+for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
+	-Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
 do
   CC="$ac_save_CC $ac_arg"
   rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_prog_cc_stdc=$ac_arg
-break
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_cv_prog_cc_c89=$ac_arg
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+
 fi
-rm -f conftest.err conftest.$ac_objext
+
+rm -f core conftest.err conftest.$ac_objext
+  test "x$ac_cv_prog_cc_c89" != "xno" && break
 done
-rm -f conftest.$ac_ext conftest.$ac_objext
+rm -f conftest.$ac_ext
 CC=$ac_save_CC
 
 fi
-
-case "x$ac_cv_prog_cc_stdc" in
-  x|xno)
-    echo "$as_me:$LINENO: result: none needed" >&5
-echo "${ECHO_T}none needed" >&6 ;;
+# AC_CACHE_VAL
+case "x$ac_cv_prog_cc_c89" in
+  x)
+    { echo "$as_me:$LINENO: result: none needed" >&5
+echo "${ECHO_T}none needed" >&6; } ;;
+  xno)
+    { echo "$as_me:$LINENO: result: unsupported" >&5
+echo "${ECHO_T}unsupported" >&6; } ;;
   *)
-    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
-echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
-    CC="$CC $ac_cv_prog_cc_stdc" ;;
+    CC="$CC $ac_cv_prog_cc_c89"
+    { echo "$as_me:$LINENO: result: $ac_cv_prog_cc_c89" >&5
+echo "${ECHO_T}$ac_cv_prog_cc_c89" >&6; } ;;
 esac
 
-# Some people use a C++ compiler to compile C.  Since we use `exit',
-# in C++ we need to declare it.  In case someone uses the same compiler
-# for both compiling C and C++ we need to have the C++ compiler decide
-# the declaration of exit, since it's the most demanding environment.
-cat >conftest.$ac_ext <<_ACEOF
-#ifndef __cplusplus
-  choke me
-#endif
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  for ac_declaration in \
-   '' \
-   'extern "C" void std::exit (int) throw (); using std::exit;' \
-   'extern "C" void std::exit (int); using std::exit;' \
-   'extern "C" void exit (int) throw ();' \
-   'extern "C" void exit (int);' \
-   'void exit (int);'
-do
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_declaration
-#include <stdlib.h>
-int
-main ()
-{
-exit (42);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  :
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-continue
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_declaration
-int
-main ()
-{
-exit (42);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  break
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-done
-rm -f conftest*
-if test -n "$ac_declaration"; then
-  echo '#ifdef __cplusplus' >>confdefs.h
-  echo $ac_declaration      >>confdefs.h
-  echo '#endif'             >>confdefs.h
-fi
-
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
-ac_ext=cc
+ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-if test -n "$ac_tool_prefix"; then
-  for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
+if test -z "$CXX"; then
+  if test -n "$CCC"; then
+    CXX=$CCC
+  else
+    if test -n "$ac_tool_prefix"; then
+  for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -2500,36 +2970,38 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 CXX=$ac_cv_prog_CXX
 if test -n "$CXX"; then
-  echo "$as_me:$LINENO: result: $CXX" >&5
-echo "${ECHO_T}$CXX" >&6
+  { echo "$as_me:$LINENO: result: $CXX" >&5
+echo "${ECHO_T}$CXX" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
+
     test -n "$CXX" && break
   done
 fi
 if test -z "$CXX"; then
   ac_ct_CXX=$CXX
-  for ac_prog in $CCC g++ c++ gpp aCC CC cxx cc++ cl FCC KCC RCC xlC_r xlC
+  for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_ac_ct_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -2542,55 +3014,85 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_ac_ct_CXX="$ac_prog"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
 if test -n "$ac_ct_CXX"; then
-  echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
-echo "${ECHO_T}$ac_ct_CXX" >&6
+  { echo "$as_me:$LINENO: result: $ac_ct_CXX" >&5
+echo "${ECHO_T}$ac_ct_CXX" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
+
   test -n "$ac_ct_CXX" && break
 done
-test -n "$ac_ct_CXX" || ac_ct_CXX="g++"
-
-  CXX=$ac_ct_CXX
-fi
-
-
+
+  if test "x$ac_ct_CXX" = x; then
+    CXX="g++"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    CXX=$ac_ct_CXX
+  fi
+fi
+
+  fi
+fi
 # Provide some information about the compiler.
-echo "$as_me:$LINENO:" \
-     "checking for C++ compiler version" >&5
+echo "$as_me:$LINENO: checking for C++ compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
-  (eval $ac_compiler --version </dev/null >&5) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
-  (eval $ac_compiler -v </dev/null >&5) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
-  (eval $ac_compiler -V </dev/null >&5) 2>&5
+{ (ac_try="$ac_compiler --version >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compiler --version >&5") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }
+{ (ac_try="$ac_compiler -v >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compiler -v >&5") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }
+{ (ac_try="$ac_compiler -V >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compiler -V >&5") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }
 
-echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
-echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether we are using the GNU C++ compiler" >&5
+echo $ECHO_N "checking whether we are using the GNU C++ compiler... $ECHO_C" >&6; }
 if test "${ac_cv_cxx_compiler_gnu+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -2613,95 +3115,176 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_compiler_gnu=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_compiler_gnu=no
+	ac_compiler_gnu=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 ac_cv_cxx_compiler_gnu=$ac_compiler_gnu
 
 fi
-echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
-echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_cxx_compiler_gnu" >&5
+echo "${ECHO_T}$ac_cv_cxx_compiler_gnu" >&6; }
 GXX=`test $ac_compiler_gnu = yes && echo yes`
 ac_test_CXXFLAGS=${CXXFLAGS+set}
 ac_save_CXXFLAGS=$CXXFLAGS
-CXXFLAGS="-g"
-echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
-echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether $CXX accepts -g" >&5
+echo $ECHO_N "checking whether $CXX accepts -g... $ECHO_C" >&6; }
 if test "${ac_cv_prog_cxx_g+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-int
-main ()
-{
-
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_prog_cxx_g=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_prog_cxx_g=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
-echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6
+  ac_save_cxx_werror_flag=$ac_cxx_werror_flag
+   ac_cxx_werror_flag=yes
+   ac_cv_prog_cxx_g=no
+   CXXFLAGS="-g"
+   cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_cv_prog_cxx_g=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	CXXFLAGS=""
+      cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  :
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_cxx_werror_flag=$ac_save_cxx_werror_flag
+	 CXXFLAGS="-g"
+	 cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_cv_prog_cxx_g=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+   ac_cxx_werror_flag=$ac_save_cxx_werror_flag
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_prog_cxx_g" >&5
+echo "${ECHO_T}$ac_cv_prog_cxx_g" >&6; }
 if test "$ac_test_CXXFLAGS" = set; then
   CXXFLAGS=$ac_save_CXXFLAGS
 elif test $ac_cv_prog_cxx_g = yes; then
@@ -2717,110 +3300,6 @@
     CXXFLAGS=
   fi
 fi
-for ac_declaration in \
-   '' \
-   'extern "C" void std::exit (int) throw (); using std::exit;' \
-   'extern "C" void std::exit (int); using std::exit;' \
-   'extern "C" void exit (int) throw ();' \
-   'extern "C" void exit (int);' \
-   'void exit (int);'
-do
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_declaration
-#include <stdlib.h>
-int
-main ()
-{
-exit (42);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  :
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-continue
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_declaration
-int
-main ()
-{
-exit (42);
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  break
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-done
-rm -f conftest*
-if test -n "$ac_declaration"; then
-  echo '#ifdef __cplusplus' >>confdefs.h
-  echo $ac_declaration      >>confdefs.h
-  echo '#endif'             >>confdefs.h
-fi
-
 ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
@@ -2868,14 +3347,38 @@
 
 
 LIBOFX_MAJOR_VERSION=0
-LIBOFX_MINOR_VERSION=8
-LIBOFX_MICRO_VERSION=2
+LIBOFX_MINOR_VERSION=9
+LIBOFX_MICRO_VERSION=0
+# this number is just incremented for every major change in CVS, also across
+# releases to emulate the Revision variable of SVN (which isn't available
+# with CVS)
+LIBOFX_BUILD_VERSION=0
+LIBOFX_TAG_VERSION="stable"
+
+case "$LIBOFX_TAG_VERSION" in
+  cvs|svn)
+     LIBOFX_VERSION_RELEASE_STRING="$LIBOFX_MAJOR_VERSION.$LIBOFX_MINOR_VERSION.$LIBOFX_MICRO_VERSION.r${LIBOFX_BUILD_VERSION}"
+     ;;
+  stable)
+     LIBOFX_VERSION_RELEASE_STRING="$LIBOFX_MAJOR_VERSION.$LIBOFX_MINOR_VERSION.$LIBOFX_MICRO_VERSION"
+     ;;
+  *)
+     LIBOFX_VERSION_RELEASE_STRING="$LIBOFX_MAJOR_VERSION.$LIBOFX_MINOR_VERSION.$LIBOFX_MICRO_VERSION"
+
+     # add TAG
+     LIBOFX_VERSION_RELEASE_STRING="${LIBOFX_VERSION_RELEASE_STRING}${GWENHYWFAR_VERSION_TAG}"
+     ;;
+esac
+
+
 LIBOFX_VERSION=$LIBOFX_MAJOR_VERSION.$LIBOFX_MINOR_VERSION.$LIBOFX_MICRO_VERSION
 
 
 
 
 
+
+
 am__api_version="1.9"
 # Find a good install program.  We prefer a C program (faster),
 # so one script is as good as another.  But avoid the broken or
@@ -2890,8 +3393,8 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # OS/2's system install, which has a completely different semantic
 # ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
-echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
+echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6; }
 if test -z "$INSTALL"; then
 if test "${ac_cv_path_install+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -2913,7 +3416,7 @@
     # by default.
     for ac_prog in ginstall scoinst install; do
       for ac_exec_ext in '' $ac_executable_extensions; do
-	if $as_executable_p "$as_dir/$ac_prog$ac_exec_ext"; then
+	if { test -f "$as_dir/$ac_prog$ac_exec_ext" && $as_test_x "$as_dir/$ac_prog$ac_exec_ext"; }; then
 	  if test $ac_prog = install &&
 	    grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
 	    # AIX install.  It has an incompatible calling convention.
@@ -2932,21 +3435,22 @@
     ;;
 esac
 done
+IFS=$as_save_IFS
 
 
 fi
   if test "${ac_cv_path_install+set}" = set; then
     INSTALL=$ac_cv_path_install
   else
-    # As a last resort, use the slow shell script.  We don't cache a
-    # path for INSTALL within a source directory, because that will
+    # As a last resort, use the slow shell script.  Don't cache a
+    # value for INSTALL within a source directory, because that will
     # break other packages using the cache if that directory is
-    # removed, or if the path is relative.
+    # removed, or if the value is a relative name.
     INSTALL=$ac_install_sh
   fi
 fi
-echo "$as_me:$LINENO: result: $INSTALL" >&5
-echo "${ECHO_T}$INSTALL" >&6
+{ echo "$as_me:$LINENO: result: $INSTALL" >&5
+echo "${ECHO_T}$INSTALL" >&6; }
 
 # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
 # It thinks the first close brace ends the variable substitution.
@@ -2956,8 +3460,8 @@
 
 test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
 
-echo "$as_me:$LINENO: checking whether build environment is sane" >&5
-echo $ECHO_N "checking whether build environment is sane... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether build environment is sane" >&5
+echo $ECHO_N "checking whether build environment is sane... $ECHO_C" >&6; }
 # Just in case
 sleep 1
 echo timestamp > conftest.file
@@ -2999,20 +3503,20 @@
 Check your system clock" >&2;}
    { (exit 1); exit 1; }; }
 fi
-echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+{ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
 test "$program_prefix" != NONE &&
-  program_transform_name="s,^,$program_prefix,;$program_transform_name"
+  program_transform_name="s&^&$program_prefix&;$program_transform_name"
 # Use a double $ so make ignores it.
 test "$program_suffix" != NONE &&
-  program_transform_name="s,\$,$program_suffix,;$program_transform_name"
+  program_transform_name="s&\$&$program_suffix&;$program_transform_name"
 # Double any \ or $.  echo might interpret backslashes.
 # By default was `s,x,x', remove it if useless.
 cat <<\_ACEOF >conftest.sed
 s/[\\$]/&&/g;s/;s,x,x,$//
 _ACEOF
 program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
-rm conftest.sed
+rm -f conftest.sed
 
 # expand $ac_aux_dir to an absolute path
 am_aux_dir=`cd $ac_aux_dir && pwd`
@@ -3064,8 +3568,8 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_AWK+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -3078,54 +3582,57 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_AWK="$ac_prog"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 AWK=$ac_cv_prog_AWK
 if test -n "$AWK"; then
-  echo "$as_me:$LINENO: result: $AWK" >&5
-echo "${ECHO_T}$AWK" >&6
+  { echo "$as_me:$LINENO: result: $AWK" >&5
+echo "${ECHO_T}$AWK" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
+
   test -n "$AWK" && break
 done
 
-echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
-echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6
-set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,:./+-,___p_,'`
-if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
+{ echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
+echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6; }
+set x ${MAKE-make}; ac_make=`echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
+if { as_var=ac_cv_prog_make_${ac_make}_set; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.make <<\_ACEOF
+SHELL = /bin/sh
 all:
-	@echo 'ac_maketemp="$(MAKE)"'
+	@echo '@@@%%%=$(MAKE)=@@@%%%'
 _ACEOF
 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
-eval `${MAKE-make} -f conftest.make 2>/dev/null | grep temp=`
-if test -n "$ac_maketemp"; then
-  eval ac_cv_prog_make_${ac_make}_set=yes
-else
-  eval ac_cv_prog_make_${ac_make}_set=no
-fi
+case `${MAKE-make} -f conftest.make 2>/dev/null` in
+  *@@@%%%=?*=@@@%%%*)
+    eval ac_cv_prog_make_${ac_make}_set=yes;;
+  *)
+    eval ac_cv_prog_make_${ac_make}_set=no;;
+esac
 rm -f conftest.make
 fi
-if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+if eval test \$ac_cv_prog_make_${ac_make}_set = yes; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
   SET_MAKE=
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
   SET_MAKE="MAKE=${MAKE-make}"
 fi
 
@@ -3140,7 +3647,7 @@
 
 DEPDIR="${am__leading_dot}deps"
 
-          ac_config_commands="$ac_config_commands depfiles"
+ac_config_commands="$ac_config_commands depfiles"
 
 
 am_make=${MAKE-make}
@@ -3150,8 +3657,8 @@
 .PHONY: am__doit
 END
 # If we don't find an include directive, just comment out the code.
-echo "$as_me:$LINENO: checking for style of include used by $am_make" >&5
-echo $ECHO_N "checking for style of include used by $am_make... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for style of include used by $am_make" >&5
+echo $ECHO_N "checking for style of include used by $am_make... $ECHO_C" >&6; }
 am__include="#"
 am__quote=
 _am_result=none
@@ -3178,15 +3685,15 @@
 fi
 
 
-echo "$as_me:$LINENO: result: $_am_result" >&5
-echo "${ECHO_T}$_am_result" >&6
+{ echo "$as_me:$LINENO: result: $_am_result" >&5
+echo "${ECHO_T}$_am_result" >&6; }
 rm -f confinc confmf
 
-# Check whether --enable-dependency-tracking or --disable-dependency-tracking was given.
+# Check whether --enable-dependency-tracking was given.
 if test "${enable_dependency_tracking+set}" = set; then
-  enableval="$enable_dependency_tracking"
+  enableval=$enable_dependency_tracking;
+fi
 
-fi;
 if test "x$enable_dependency_tracking" != xno; then
   am_depcomp="$ac_aux_dir/depcomp"
   AMDEPBACKSLASH='\'
@@ -3223,7 +3730,7 @@
 
 # Define the identity of the package.
  PACKAGE=libofx
- VERSION=$LIBOFX_VERSION
+ VERSION=$LIBOFX_VERSION_RELEASE_STRING
 
 
 cat >>confdefs.h <<_ACEOF
@@ -3261,8 +3768,8 @@
   if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}strip", so it can be a program name with args.
 set dummy ${ac_tool_prefix}strip; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_STRIP+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -3275,32 +3782,34 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_STRIP="${ac_tool_prefix}strip"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 STRIP=$ac_cv_prog_STRIP
 if test -n "$STRIP"; then
-  echo "$as_me:$LINENO: result: $STRIP" >&5
-echo "${ECHO_T}$STRIP" >&6
+  { echo "$as_me:$LINENO: result: $STRIP" >&5
+echo "${ECHO_T}$STRIP" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
+
 
 fi
 if test -z "$ac_cv_prog_STRIP"; then
   ac_ct_STRIP=$STRIP
   # Extract the first word of "strip", so it can be a program name with args.
 set dummy strip; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_ac_ct_STRIP+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -3313,27 +3822,41 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_ac_ct_STRIP="strip"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
-  test -z "$ac_cv_prog_ac_ct_STRIP" && ac_cv_prog_ac_ct_STRIP=":"
 fi
 fi
 ac_ct_STRIP=$ac_cv_prog_ac_ct_STRIP
 if test -n "$ac_ct_STRIP"; then
-  echo "$as_me:$LINENO: result: $ac_ct_STRIP" >&5
-echo "${ECHO_T}$ac_ct_STRIP" >&6
+  { echo "$as_me:$LINENO: result: $ac_ct_STRIP" >&5
+echo "${ECHO_T}$ac_ct_STRIP" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
-  STRIP=$ac_ct_STRIP
+  if test "x$ac_ct_STRIP" = x; then
+    STRIP=":"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    STRIP=$ac_ct_STRIP
+  fi
 else
   STRIP="$ac_cv_prog_STRIP"
 fi
@@ -3354,8 +3877,8 @@
 
 depcc="$CC"   am_compiler_list=
 
-echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
-echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
+echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6; }
 if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -3444,8 +3967,8 @@
 fi
 
 fi
-echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
-echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6
+{ echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
+echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6; }
 CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
 
 
@@ -3463,8 +3986,8 @@
 
 depcc="$CXX"  am_compiler_list=
 
-echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
-echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
+echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6; }
 if test "${am_cv_CXX_dependencies_compiler_type+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -3553,8 +4076,8 @@
 fi
 
 fi
-echo "$as_me:$LINENO: result: $am_cv_CXX_dependencies_compiler_type" >&5
-echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6
+{ echo "$as_me:$LINENO: result: $am_cv_CXX_dependencies_compiler_type" >&5
+echo "${ECHO_T}$am_cv_CXX_dependencies_compiler_type" >&6; }
 CXXDEPMODE=depmode=$am_cv_CXX_dependencies_compiler_type
 
 
@@ -3572,7 +4095,7 @@
 
 
 
-LIBOFX_SO_CURRENT=3
+LIBOFX_SO_CURRENT=4
 LIBOFX_SO_REVISION=0
 LIBOFX_SO_AGE=0
 LIBOFX_SO_EFFECTIVE="`echo \$(($LIBOFX_SO_CURRENT-$LIBOFX_SO_AGE))`"
@@ -3580,17 +4103,17 @@
 
 
 
-echo "$as_me:$LINENO: checking whether to enable maintainer-specific portions of Makefiles" >&5
-echo $ECHO_N "checking whether to enable maintainer-specific portions of Makefiles... $ECHO_C" >&6
-    # Check whether --enable-maintainer-mode or --disable-maintainer-mode was given.
+{ echo "$as_me:$LINENO: checking whether to enable maintainer-specific portions of Makefiles" >&5
+echo $ECHO_N "checking whether to enable maintainer-specific portions of Makefiles... $ECHO_C" >&6; }
+    # Check whether --enable-maintainer-mode was given.
 if test "${enable_maintainer_mode+set}" = set; then
-  enableval="$enable_maintainer_mode"
-  USE_MAINTAINER_MODE=$enableval
+  enableval=$enable_maintainer_mode; USE_MAINTAINER_MODE=$enableval
 else
   USE_MAINTAINER_MODE=no
-fi;
-  echo "$as_me:$LINENO: result: $USE_MAINTAINER_MODE" >&5
-echo "${ECHO_T}$USE_MAINTAINER_MODE" >&6
+fi
+
+  { echo "$as_me:$LINENO: result: $USE_MAINTAINER_MODE" >&5
+echo "${ECHO_T}$USE_MAINTAINER_MODE" >&6; }
 
 
 if test $USE_MAINTAINER_MODE = yes; then
@@ -3618,8 +4141,8 @@
 # SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
 # OS/2's system install, which has a completely different semantic
 # ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
-echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for a BSD-compatible install" >&5
+echo $ECHO_N "checking for a BSD-compatible install... $ECHO_C" >&6; }
 if test -z "$INSTALL"; then
 if test "${ac_cv_path_install+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3641,7 +4164,7 @@
     # by default.
     for ac_prog in ginstall scoinst install; do
       for ac_exec_ext in '' $ac_executable_extensions; do
-	if $as_executable_p "$as_dir/$ac_prog$ac_exec_ext"; then
+	if { test -f "$as_dir/$ac_prog$ac_exec_ext" && $as_test_x "$as_dir/$ac_prog$ac_exec_ext"; }; then
 	  if test $ac_prog = install &&
 	    grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
 	    # AIX install.  It has an incompatible calling convention.
@@ -3660,21 +4183,22 @@
     ;;
 esac
 done
+IFS=$as_save_IFS
 
 
 fi
   if test "${ac_cv_path_install+set}" = set; then
     INSTALL=$ac_cv_path_install
   else
-    # As a last resort, use the slow shell script.  We don't cache a
-    # path for INSTALL within a source directory, because that will
+    # As a last resort, use the slow shell script.  Don't cache a
+    # value for INSTALL within a source directory, because that will
     # break other packages using the cache if that directory is
-    # removed, or if the path is relative.
+    # removed, or if the value is a relative name.
     INSTALL=$ac_install_sh
   fi
 fi
-echo "$as_me:$LINENO: result: $INSTALL" >&5
-echo "${ECHO_T}$INSTALL" >&6
+{ echo "$as_me:$LINENO: result: $INSTALL" >&5
+echo "${ECHO_T}$INSTALL" >&6; }
 
 # Use test -z because SunOS4 sh mishandles braces in ${var-val}.
 # It thinks the first close brace ends the variable substitution.
@@ -3687,10 +4211,112 @@
 
 
 
-# Check whether --enable-shared or --disable-shared was given.
+
+
+if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}windres", so it can be a program name with args.
+set dummy ${ac_tool_prefix}windres; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_RC+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$RC"; then
+  ac_cv_prog_RC="$RC" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_RC="${ac_tool_prefix}windres"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+RC=$ac_cv_prog_RC
+if test -n "$RC"; then
+  { echo "$as_me:$LINENO: result: $RC" >&5
+echo "${ECHO_T}$RC" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_prog_RC"; then
+  ac_ct_RC=$RC
+  # Extract the first word of "windres", so it can be a program name with args.
+set dummy windres; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_ac_ct_RC+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$ac_ct_RC"; then
+  ac_cv_prog_ac_ct_RC="$ac_ct_RC" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_ac_ct_RC="windres"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+ac_ct_RC=$ac_cv_prog_ac_ct_RC
+if test -n "$ac_ct_RC"; then
+  { echo "$as_me:$LINENO: result: $ac_ct_RC" >&5
+echo "${ECHO_T}$ac_ct_RC" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+  if test "x$ac_ct_RC" = x; then
+    RC="no"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    RC=$ac_ct_RC
+  fi
+else
+  RC="$ac_cv_prog_RC"
+fi
+
+
+
+
+
+
+# Check whether --enable-shared was given.
 if test "${enable_shared+set}" = set; then
-  enableval="$enable_shared"
-  p=${PACKAGE-default}
+  enableval=$enable_shared; p=${PACKAGE-default}
     case $enableval in
     yes) enable_shared=yes ;;
     no) enable_shared=no ;;
@@ -3709,12 +4335,12 @@
     esac
 else
   enable_shared=yes
-fi;
-
-# Check whether --enable-static or --disable-static was given.
+fi
+
+
+# Check whether --enable-static was given.
 if test "${enable_static+set}" = set; then
-  enableval="$enable_static"
-  p=${PACKAGE-default}
+  enableval=$enable_static; p=${PACKAGE-default}
     case $enableval in
     yes) enable_static=yes ;;
     no) enable_static=no ;;
@@ -3733,12 +4359,12 @@
     esac
 else
   enable_static=yes
-fi;
-
-# Check whether --enable-fast-install or --disable-fast-install was given.
+fi
+
+
+# Check whether --enable-fast-install was given.
 if test "${enable_fast_install+set}" = set; then
-  enableval="$enable_fast_install"
-  p=${PACKAGE-default}
+  enableval=$enable_fast_install; p=${PACKAGE-default}
     case $enableval in
     yes) enable_fast_install=yes ;;
     no) enable_fast_install=no ;;
@@ -3757,64 +4383,94 @@
     esac
 else
   enable_fast_install=yes
-fi;
+fi
+
 
 # Make sure we can run config.sub.
-$ac_config_sub sun4 >/dev/null 2>&1 ||
-  { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
-echo "$as_me: error: cannot run $ac_config_sub" >&2;}
+$SHELL "$ac_aux_dir/config.sub" sun4 >/dev/null 2>&1 ||
+  { { echo "$as_me:$LINENO: error: cannot run $SHELL $ac_aux_dir/config.sub" >&5
+echo "$as_me: error: cannot run $SHELL $ac_aux_dir/config.sub" >&2;}
    { (exit 1); exit 1; }; }
 
-echo "$as_me:$LINENO: checking build system type" >&5
-echo $ECHO_N "checking build system type... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking build system type" >&5
+echo $ECHO_N "checking build system type... $ECHO_C" >&6; }
 if test "${ac_cv_build+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_build_alias=$build_alias
-test -z "$ac_cv_build_alias" &&
-  ac_cv_build_alias=`$ac_config_guess`
-test -z "$ac_cv_build_alias" &&
+  ac_build_alias=$build_alias
+test "x$ac_build_alias" = x &&
+  ac_build_alias=`$SHELL "$ac_aux_dir/config.guess"`
+test "x$ac_build_alias" = x &&
   { { echo "$as_me:$LINENO: error: cannot guess build type; you must specify one" >&5
 echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
    { (exit 1); exit 1; }; }
-ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
-  { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_build_alias failed" >&5
-echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed" >&2;}
+ac_cv_build=`$SHELL "$ac_aux_dir/config.sub" $ac_build_alias` ||
+  { { echo "$as_me:$LINENO: error: $SHELL $ac_aux_dir/config.sub $ac_build_alias failed" >&5
+echo "$as_me: error: $SHELL $ac_aux_dir/config.sub $ac_build_alias failed" >&2;}
    { (exit 1); exit 1; }; }
 
 fi
-echo "$as_me:$LINENO: result: $ac_cv_build" >&5
-echo "${ECHO_T}$ac_cv_build" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_build" >&5
+echo "${ECHO_T}$ac_cv_build" >&6; }
+case $ac_cv_build in
+*-*-*) ;;
+*) { { echo "$as_me:$LINENO: error: invalid value of canonical build" >&5
+echo "$as_me: error: invalid value of canonical build" >&2;}
+   { (exit 1); exit 1; }; };;
+esac
 build=$ac_cv_build
-build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
-build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
-build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
-
-
-echo "$as_me:$LINENO: checking host system type" >&5
-echo $ECHO_N "checking host system type... $ECHO_C" >&6
+ac_save_IFS=$IFS; IFS='-'
+set x $ac_cv_build
+shift
+build_cpu=$1
+build_vendor=$2
+shift; shift
+# Remember, the first character of IFS is used to create $*,
+# except with old shells:
+build_os=$*
+IFS=$ac_save_IFS
+case $build_os in *\ *) build_os=`echo "$build_os" | sed 's/ /-/g'`;; esac
+
+
+{ echo "$as_me:$LINENO: checking host system type" >&5
+echo $ECHO_N "checking host system type... $ECHO_C" >&6; }
 if test "${ac_cv_host+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  ac_cv_host_alias=$host_alias
-test -z "$ac_cv_host_alias" &&
-  ac_cv_host_alias=$ac_cv_build_alias
-ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
-  { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_host_alias failed" >&5
-echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
+  if test "x$host_alias" = x; then
+  ac_cv_host=$ac_cv_build
+else
+  ac_cv_host=`$SHELL "$ac_aux_dir/config.sub" $host_alias` ||
+    { { echo "$as_me:$LINENO: error: $SHELL $ac_aux_dir/config.sub $host_alias failed" >&5
+echo "$as_me: error: $SHELL $ac_aux_dir/config.sub $host_alias failed" >&2;}
    { (exit 1); exit 1; }; }
+fi
 
 fi
-echo "$as_me:$LINENO: result: $ac_cv_host" >&5
-echo "${ECHO_T}$ac_cv_host" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_host" >&5
+echo "${ECHO_T}$ac_cv_host" >&6; }
+case $ac_cv_host in
+*-*-*) ;;
+*) { { echo "$as_me:$LINENO: error: invalid value of canonical host" >&5
+echo "$as_me: error: invalid value of canonical host" >&2;}
+   { (exit 1); exit 1; }; };;
+esac
 host=$ac_cv_host
-host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
-host_vendor=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
-host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
-
-
-echo "$as_me:$LINENO: checking for a sed that does not truncate output" >&5
-echo $ECHO_N "checking for a sed that does not truncate output... $ECHO_C" >&6
+ac_save_IFS=$IFS; IFS='-'
+set x $ac_cv_host
+shift
+host_cpu=$1
+host_vendor=$2
+shift; shift
+# Remember, the first character of IFS is used to create $*,
+# except with old shells:
+host_os=$*
+IFS=$ac_save_IFS
+case $host_os in *\ *) host_os=`echo "$host_os" | sed 's/ /-/g'`;; esac
+
+
+{ echo "$as_me:$LINENO: checking for a sed that does not truncate output" >&5
+echo $ECHO_N "checking for a sed that does not truncate output... $ECHO_C" >&6; }
 if test "${lt_cv_path_SED+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -3827,12 +4483,13 @@
   test -z "$as_dir" && as_dir=.
   for lt_ac_prog in sed gsed; do
     for ac_exec_ext in '' $ac_executable_extensions; do
-      if $as_executable_p "$as_dir/$lt_ac_prog$ac_exec_ext"; then
+      if { test -f "$as_dir/$lt_ac_prog$ac_exec_ext" && $as_test_x "$as_dir/$lt_ac_prog$ac_exec_ext"; }; then
         lt_ac_sed_list="$lt_ac_sed_list $as_dir/$lt_ac_prog$ac_exec_ext"
       fi
     done
   done
 done
+IFS=$as_save_IFS
 lt_ac_max=0
 lt_ac_count=0
 # Add /usr/xpg4/bin/sed as it is typically found on Solaris
@@ -3867,37 +4524,185 @@
 fi
 
 SED=$lt_cv_path_SED
-echo "$as_me:$LINENO: result: $SED" >&5
-echo "${ECHO_T}$SED" >&6
-
-echo "$as_me:$LINENO: checking for egrep" >&5
-echo $ECHO_N "checking for egrep... $ECHO_C" >&6
-if test "${ac_cv_prog_egrep+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
-    then ac_cv_prog_egrep='grep -E'
-    else ac_cv_prog_egrep='egrep'
-    fi
-fi
-echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
-echo "${ECHO_T}$ac_cv_prog_egrep" >&6
- EGREP=$ac_cv_prog_egrep
-
-
-
-# Check whether --with-gnu-ld or --without-gnu-ld was given.
+
+{ echo "$as_me:$LINENO: result: $SED" >&5
+echo "${ECHO_T}$SED" >&6; }
+
+{ echo "$as_me:$LINENO: checking for grep that handles long lines and -e" >&5
+echo $ECHO_N "checking for grep that handles long lines and -e... $ECHO_C" >&6; }
+if test "${ac_cv_path_GREP+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  # Extract the first word of "grep ggrep" to use in msg output
+if test -z "$GREP"; then
+set dummy grep ggrep; ac_prog_name=$2
+if test "${ac_cv_path_GREP+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_path_GREP_found=false
+# Loop through the user's path and test for each of PROGNAME-LIST
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_prog in grep ggrep; do
+  for ac_exec_ext in '' $ac_executable_extensions; do
+    ac_path_GREP="$as_dir/$ac_prog$ac_exec_ext"
+    { test -f "$ac_path_GREP" && $as_test_x "$ac_path_GREP"; } || continue
+    # Check for GNU ac_path_GREP and select it if it is found.
+  # Check for GNU $ac_path_GREP
+case `"$ac_path_GREP" --version 2>&1` in
+*GNU*)
+  ac_cv_path_GREP="$ac_path_GREP" ac_path_GREP_found=:;;
+*)
+  ac_count=0
+  echo $ECHO_N "0123456789$ECHO_C" >"conftest.in"
+  while :
+  do
+    cat "conftest.in" "conftest.in" >"conftest.tmp"
+    mv "conftest.tmp" "conftest.in"
+    cp "conftest.in" "conftest.nl"
+    echo 'GREP' >> "conftest.nl"
+    "$ac_path_GREP" -e 'GREP$' -e '-(cannot match)-' < "conftest.nl" >"conftest.out" 2>/dev/null || break
+    diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
+    ac_count=`expr $ac_count + 1`
+    if test $ac_count -gt ${ac_path_GREP_max-0}; then
+      # Best one so far, save it but keep looking for a better one
+      ac_cv_path_GREP="$ac_path_GREP"
+      ac_path_GREP_max=$ac_count
+    fi
+    # 10*(2^10) chars as input seems more than enough
+    test $ac_count -gt 10 && break
+  done
+  rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
+esac
+
+
+    $ac_path_GREP_found && break 3
+  done
+done
+
+done
+IFS=$as_save_IFS
+
+
+fi
+
+GREP="$ac_cv_path_GREP"
+if test -z "$GREP"; then
+  { { echo "$as_me:$LINENO: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5
+echo "$as_me: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+else
+  ac_cv_path_GREP=$GREP
+fi
+
+
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_path_GREP" >&5
+echo "${ECHO_T}$ac_cv_path_GREP" >&6; }
+ GREP="$ac_cv_path_GREP"
+
+
+{ echo "$as_me:$LINENO: checking for egrep" >&5
+echo $ECHO_N "checking for egrep... $ECHO_C" >&6; }
+if test "${ac_cv_path_EGREP+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if echo a | $GREP -E '(a|b)' >/dev/null 2>&1
+   then ac_cv_path_EGREP="$GREP -E"
+   else
+     # Extract the first word of "egrep" to use in msg output
+if test -z "$EGREP"; then
+set dummy egrep; ac_prog_name=$2
+if test "${ac_cv_path_EGREP+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_path_EGREP_found=false
+# Loop through the user's path and test for each of PROGNAME-LIST
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_prog in egrep; do
+  for ac_exec_ext in '' $ac_executable_extensions; do
+    ac_path_EGREP="$as_dir/$ac_prog$ac_exec_ext"
+    { test -f "$ac_path_EGREP" && $as_test_x "$ac_path_EGREP"; } || continue
+    # Check for GNU ac_path_EGREP and select it if it is found.
+  # Check for GNU $ac_path_EGREP
+case `"$ac_path_EGREP" --version 2>&1` in
+*GNU*)
+  ac_cv_path_EGREP="$ac_path_EGREP" ac_path_EGREP_found=:;;
+*)
+  ac_count=0
+  echo $ECHO_N "0123456789$ECHO_C" >"conftest.in"
+  while :
+  do
+    cat "conftest.in" "conftest.in" >"conftest.tmp"
+    mv "conftest.tmp" "conftest.in"
+    cp "conftest.in" "conftest.nl"
+    echo 'EGREP' >> "conftest.nl"
+    "$ac_path_EGREP" 'EGREP$' < "conftest.nl" >"conftest.out" 2>/dev/null || break
+    diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
+    ac_count=`expr $ac_count + 1`
+    if test $ac_count -gt ${ac_path_EGREP_max-0}; then
+      # Best one so far, save it but keep looking for a better one
+      ac_cv_path_EGREP="$ac_path_EGREP"
+      ac_path_EGREP_max=$ac_count
+    fi
+    # 10*(2^10) chars as input seems more than enough
+    test $ac_count -gt 10 && break
+  done
+  rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
+esac
+
+
+    $ac_path_EGREP_found && break 3
+  done
+done
+
+done
+IFS=$as_save_IFS
+
+
+fi
+
+EGREP="$ac_cv_path_EGREP"
+if test -z "$EGREP"; then
+  { { echo "$as_me:$LINENO: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&5
+echo "$as_me: error: no acceptable $ac_prog_name could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+else
+  ac_cv_path_EGREP=$EGREP
+fi
+
+
+   fi
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_path_EGREP" >&5
+echo "${ECHO_T}$ac_cv_path_EGREP" >&6; }
+ EGREP="$ac_cv_path_EGREP"
+
+
+
+# Check whether --with-gnu-ld was given.
 if test "${with_gnu_ld+set}" = set; then
-  withval="$with_gnu_ld"
-  test "$withval" = no || with_gnu_ld=yes
+  withval=$with_gnu_ld; test "$withval" = no || with_gnu_ld=yes
 else
   with_gnu_ld=no
-fi;
+fi
+
 ac_prog=ld
 if test "$GCC" = yes; then
   # Check if gcc -print-prog-name=ld gives a path.
-  echo "$as_me:$LINENO: checking for ld used by $CC" >&5
-echo $ECHO_N "checking for ld used by $CC... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for ld used by $CC" >&5
+echo $ECHO_N "checking for ld used by $CC... $ECHO_C" >&6; }
   case $host in
   *-*-mingw*)
     # gcc leaves a trailing carriage return which upsets mingw
@@ -3926,11 +4731,11 @@
     ;;
   esac
 elif test "$with_gnu_ld" = yes; then
-  echo "$as_me:$LINENO: checking for GNU ld" >&5
-echo $ECHO_N "checking for GNU ld... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for GNU ld" >&5
+echo $ECHO_N "checking for GNU ld... $ECHO_C" >&6; }
 else
-  echo "$as_me:$LINENO: checking for non-GNU ld" >&5
-echo $ECHO_N "checking for non-GNU ld... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for non-GNU ld" >&5
+echo $ECHO_N "checking for non-GNU ld... $ECHO_C" >&6; }
 fi
 if test "${lt_cv_path_LD+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -3963,17 +4768,17 @@
 
 LD="$lt_cv_path_LD"
 if test -n "$LD"; then
-  echo "$as_me:$LINENO: result: $LD" >&5
-echo "${ECHO_T}$LD" >&6
+  { echo "$as_me:$LINENO: result: $LD" >&5
+echo "${ECHO_T}$LD" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 test -z "$LD" && { { echo "$as_me:$LINENO: error: no acceptable ld found in \$PATH" >&5
 echo "$as_me: error: no acceptable ld found in \$PATH" >&2;}
    { (exit 1); exit 1; }; }
-echo "$as_me:$LINENO: checking if the linker ($LD) is GNU ld" >&5
-echo $ECHO_N "checking if the linker ($LD) is GNU ld... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if the linker ($LD) is GNU ld" >&5
+echo $ECHO_N "checking if the linker ($LD) is GNU ld... $ECHO_C" >&6; }
 if test "${lt_cv_prog_gnu_ld+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -3987,20 +4792,20 @@
   ;;
 esac
 fi
-echo "$as_me:$LINENO: result: $lt_cv_prog_gnu_ld" >&5
-echo "${ECHO_T}$lt_cv_prog_gnu_ld" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_gnu_ld" >&5
+echo "${ECHO_T}$lt_cv_prog_gnu_ld" >&6; }
 with_gnu_ld=$lt_cv_prog_gnu_ld
 
 
-echo "$as_me:$LINENO: checking for $LD option to reload object files" >&5
-echo $ECHO_N "checking for $LD option to reload object files... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $LD option to reload object files" >&5
+echo $ECHO_N "checking for $LD option to reload object files... $ECHO_C" >&6; }
 if test "${lt_cv_ld_reload_flag+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_cv_ld_reload_flag='-r'
 fi
-echo "$as_me:$LINENO: result: $lt_cv_ld_reload_flag" >&5
-echo "${ECHO_T}$lt_cv_ld_reload_flag" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_ld_reload_flag" >&5
+echo "${ECHO_T}$lt_cv_ld_reload_flag" >&6; }
 reload_flag=$lt_cv_ld_reload_flag
 case $reload_flag in
 "" | " "*) ;;
@@ -4017,8 +4822,8 @@
     ;;
 esac
 
-echo "$as_me:$LINENO: checking for BSD-compatible nm" >&5
-echo $ECHO_N "checking for BSD-compatible nm... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for BSD-compatible nm" >&5
+echo $ECHO_N "checking for BSD-compatible nm... $ECHO_C" >&6; }
 if test "${lt_cv_path_NM+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -4066,23 +4871,23 @@
   test -z "$lt_cv_path_NM" && lt_cv_path_NM=nm
 fi
 fi
-echo "$as_me:$LINENO: result: $lt_cv_path_NM" >&5
-echo "${ECHO_T}$lt_cv_path_NM" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_path_NM" >&5
+echo "${ECHO_T}$lt_cv_path_NM" >&6; }
 NM="$lt_cv_path_NM"
 
-echo "$as_me:$LINENO: checking whether ln -s works" >&5
-echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether ln -s works" >&5
+echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6; }
 LN_S=$as_ln_s
 if test "$LN_S" = "ln -s"; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
 else
-  echo "$as_me:$LINENO: result: no, using $LN_S" >&5
-echo "${ECHO_T}no, using $LN_S" >&6
+  { echo "$as_me:$LINENO: result: no, using $LN_S" >&5
+echo "${ECHO_T}no, using $LN_S" >&6; }
 fi
 
-echo "$as_me:$LINENO: checking how to recognise dependent libraries" >&5
-echo $ECHO_N "checking how to recognise dependent libraries... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking how to recognize dependent libraries" >&5
+echo $ECHO_N "checking how to recognize dependent libraries... $ECHO_C" >&6; }
 if test "${lt_cv_deplibs_check_method+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -4123,16 +4928,22 @@
 
 mingw* | pw32*)
   # Base MSYS/MinGW do not provide the 'file' command needed by
-  # func_win32_libid shell function, so use a weaker test based on 'objdump'.
-  lt_cv_deplibs_check_method='file_magic file format pei*-i386(.*architecture: i386)?'
-  lt_cv_file_magic_cmd='$OBJDUMP -f'
+  # func_win32_libid shell function, so use a weaker test based on 'objdump',
+  # unless we find 'file', for example because we are cross-compiling.
+  if ( file / ) >/dev/null 2>&1; then
+    lt_cv_deplibs_check_method='file_magic ^x86 archive import|^x86 DLL'
+    lt_cv_file_magic_cmd='func_win32_libid'
+  else
+    lt_cv_deplibs_check_method='file_magic file format pei*-i386(.*architecture: i386)?'
+    lt_cv_file_magic_cmd='$OBJDUMP -f'
+  fi
   ;;
 
 darwin* | rhapsody*)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
-freebsd* | kfreebsd*-gnu | dragonfly*)
+freebsd* | dragonfly*)
   if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
     case $host_cpu in
     i*86 )
@@ -4170,7 +4981,7 @@
   esac
   ;;
 
-interix3*)
+interix[3-9]*)
   # PIC code is broken on Interix 3.x, that's why |\.a not |_pic\.a here
   lt_cv_deplibs_check_method='match_pattern /lib[^/]+(\.so|\.a)$'
   ;;
@@ -4186,11 +4997,11 @@
   ;;
 
 # This must be Linux ELF.
-linux*)
+linux* | k*bsd*-gnu)
   lt_cv_deplibs_check_method=pass_all
   ;;
 
-netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+netbsd* | netbsdelf*-gnu)
   if echo __ELF__ | $CC -E - | grep __ELF__ > /dev/null; then
     lt_cv_deplibs_check_method='match_pattern /lib[^/]+(\.so\.[0-9]+\.[0-9]+|_pic\.a)$'
   else
@@ -4220,6 +5031,10 @@
   lt_cv_deplibs_check_method=pass_all
   ;;
 
+rdos*)
+  lt_cv_deplibs_check_method=pass_all
+  ;;
+
 solaris*)
   lt_cv_deplibs_check_method=pass_all
   ;;
@@ -4257,8 +5072,8 @@
 esac
 
 fi
-echo "$as_me:$LINENO: result: $lt_cv_deplibs_check_method" >&5
-echo "${ECHO_T}$lt_cv_deplibs_check_method" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_deplibs_check_method" >&5
+echo "${ECHO_T}$lt_cv_deplibs_check_method" >&6; }
 file_magic_cmd=$lt_cv_file_magic_cmd
 deplibs_check_method=$lt_cv_deplibs_check_method
 test -z "$deplibs_check_method" && deplibs_check_method=unknown
@@ -4276,11 +5091,11 @@
 compiler=$CC
 
 
-# Check whether --enable-libtool-lock or --disable-libtool-lock was given.
+# Check whether --enable-libtool-lock was given.
 if test "${enable_libtool_lock+set}" = set; then
-  enableval="$enable_libtool_lock"
+  enableval=$enable_libtool_lock;
+fi
 
-fi;
 test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes
 
 # Some flags need to be propagated to the compiler or linker for good
@@ -4307,7 +5122,7 @@
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4310 "configure"' > conftest.$ac_ext
+  echo '#line 5125 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4342,7 +5157,8 @@
   rm -rf conftest*
   ;;
 
-x86_64-*linux*|ppc*-*linux*|powerpc*-*linux*|s390*-*linux*|sparc*-*linux*)
+x86_64-*kfreebsd*-gnu|x86_64-*linux*|ppc*-*linux*|powerpc*-*linux*| \
+s390*-*linux*|sparc*-*linux*)
   # Find out which ABI we are using.
   echo 'int i;' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
@@ -4353,6 +5169,9 @@
     case `/usr/bin/file conftest.o` in
     *32-bit*)
       case $host in
+        x86_64-*kfreebsd*-gnu)
+          LD="${LD-ld} -m elf_i386_fbsd"
+          ;;
         x86_64-*linux*)
           LD="${LD-ld} -m elf_i386"
           ;;
@@ -4369,6 +5188,9 @@
       ;;
     *64-bit*)
       case $host in
+        x86_64-*kfreebsd*-gnu)
+          LD="${LD-ld} -m elf_x86_64_fbsd"
+          ;;
         x86_64-*linux*)
           LD="${LD-ld} -m elf_x86_64"
           ;;
@@ -4392,8 +5214,8 @@
   # On SCO OpenServer 5, we need -belf to get full-featured binaries.
   SAVE_CFLAGS="$CFLAGS"
   CFLAGS="$CFLAGS -belf"
-  echo "$as_me:$LINENO: checking whether the C compiler needs -belf" >&5
-echo $ECHO_N "checking whether the C compiler needs -belf... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking whether the C compiler needs -belf" >&5
+echo $ECHO_N "checking whether the C compiler needs -belf... $ECHO_C" >&6; }
 if test "${lt_cv_cc_needs_belf+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -4419,34 +5241,32 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   lt_cv_cc_needs_belf=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-lt_cv_cc_needs_belf=no
+	lt_cv_cc_needs_belf=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
      ac_ext=c
 ac_cpp='$CPP $CPPFLAGS'
@@ -4455,8 +5275,8 @@
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 fi
-echo "$as_me:$LINENO: result: $lt_cv_cc_needs_belf" >&5
-echo "${ECHO_T}$lt_cv_cc_needs_belf" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_cc_needs_belf" >&5
+echo "${ECHO_T}$lt_cv_cc_needs_belf" >&6; }
   if test x"$lt_cv_cc_needs_belf" != x"yes"; then
     # this is probably gcc 2.8.0, egcs 1.0 or newer; no need for -belf
     CFLAGS="$SAVE_CFLAGS"
@@ -4482,6 +5302,296 @@
   rm -rf conftest*
   ;;
 
+*-*-cygwin* | *-*-mingw* | *-*-pw32*)
+  if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}dlltool", so it can be a program name with args.
+set dummy ${ac_tool_prefix}dlltool; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_DLLTOOL+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$DLLTOOL"; then
+  ac_cv_prog_DLLTOOL="$DLLTOOL" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_DLLTOOL="${ac_tool_prefix}dlltool"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+DLLTOOL=$ac_cv_prog_DLLTOOL
+if test -n "$DLLTOOL"; then
+  { echo "$as_me:$LINENO: result: $DLLTOOL" >&5
+echo "${ECHO_T}$DLLTOOL" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_prog_DLLTOOL"; then
+  ac_ct_DLLTOOL=$DLLTOOL
+  # Extract the first word of "dlltool", so it can be a program name with args.
+set dummy dlltool; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_ac_ct_DLLTOOL+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$ac_ct_DLLTOOL"; then
+  ac_cv_prog_ac_ct_DLLTOOL="$ac_ct_DLLTOOL" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_ac_ct_DLLTOOL="dlltool"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+ac_ct_DLLTOOL=$ac_cv_prog_ac_ct_DLLTOOL
+if test -n "$ac_ct_DLLTOOL"; then
+  { echo "$as_me:$LINENO: result: $ac_ct_DLLTOOL" >&5
+echo "${ECHO_T}$ac_ct_DLLTOOL" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+  if test "x$ac_ct_DLLTOOL" = x; then
+    DLLTOOL="false"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    DLLTOOL=$ac_ct_DLLTOOL
+  fi
+else
+  DLLTOOL="$ac_cv_prog_DLLTOOL"
+fi
+
+  if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}as", so it can be a program name with args.
+set dummy ${ac_tool_prefix}as; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_AS+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$AS"; then
+  ac_cv_prog_AS="$AS" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_AS="${ac_tool_prefix}as"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+AS=$ac_cv_prog_AS
+if test -n "$AS"; then
+  { echo "$as_me:$LINENO: result: $AS" >&5
+echo "${ECHO_T}$AS" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_prog_AS"; then
+  ac_ct_AS=$AS
+  # Extract the first word of "as", so it can be a program name with args.
+set dummy as; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_ac_ct_AS+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$ac_ct_AS"; then
+  ac_cv_prog_ac_ct_AS="$ac_ct_AS" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_ac_ct_AS="as"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+ac_ct_AS=$ac_cv_prog_ac_ct_AS
+if test -n "$ac_ct_AS"; then
+  { echo "$as_me:$LINENO: result: $ac_ct_AS" >&5
+echo "${ECHO_T}$ac_ct_AS" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+  if test "x$ac_ct_AS" = x; then
+    AS="false"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    AS=$ac_ct_AS
+  fi
+else
+  AS="$ac_cv_prog_AS"
+fi
+
+  if test -n "$ac_tool_prefix"; then
+  # Extract the first word of "${ac_tool_prefix}objdump", so it can be a program name with args.
+set dummy ${ac_tool_prefix}objdump; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_OBJDUMP+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$OBJDUMP"; then
+  ac_cv_prog_OBJDUMP="$OBJDUMP" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_OBJDUMP="${ac_tool_prefix}objdump"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+OBJDUMP=$ac_cv_prog_OBJDUMP
+if test -n "$OBJDUMP"; then
+  { echo "$as_me:$LINENO: result: $OBJDUMP" >&5
+echo "${ECHO_T}$OBJDUMP" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+
+fi
+if test -z "$ac_cv_prog_OBJDUMP"; then
+  ac_ct_OBJDUMP=$OBJDUMP
+  # Extract the first word of "objdump", so it can be a program name with args.
+set dummy objdump; ac_word=$2
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
+if test "${ac_cv_prog_ac_ct_OBJDUMP+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  if test -n "$ac_ct_OBJDUMP"; then
+  ac_cv_prog_ac_ct_OBJDUMP="$ac_ct_OBJDUMP" # Let the user override the test.
+else
+as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  for ac_exec_ext in '' $ac_executable_extensions; do
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
+    ac_cv_prog_ac_ct_OBJDUMP="objdump"
+    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+done
+IFS=$as_save_IFS
+
+fi
+fi
+ac_ct_OBJDUMP=$ac_cv_prog_ac_ct_OBJDUMP
+if test -n "$ac_ct_OBJDUMP"; then
+  { echo "$as_me:$LINENO: result: $ac_ct_OBJDUMP" >&5
+echo "${ECHO_T}$ac_ct_OBJDUMP" >&6; }
+else
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+fi
+
+  if test "x$ac_ct_OBJDUMP" = x; then
+    OBJDUMP="false"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    OBJDUMP=$ac_ct_OBJDUMP
+  fi
+else
+  OBJDUMP="$ac_cv_prog_OBJDUMP"
+fi
+
+  ;;
 
 esac
 
@@ -4493,8 +5603,8 @@
 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
-echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
-echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
+echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6; }
 # On Suns, sometimes $CPP names a directory.
 if test -n "$CPP" && test -d "$CPP"; then
   CPP=
@@ -4528,24 +5638,22 @@
 #endif
 		     Syntax error
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   :
 else
   echo "$as_me: failed program was:" >&5
@@ -4554,9 +5662,10 @@
   # Broken: fails on valid input.
 continue
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
-  # OK, works on sane cases.  Now check whether non-existent headers
+  # OK, works on sane cases.  Now check whether nonexistent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -4566,24 +5675,22 @@
 /* end confdefs.h.  */
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   # Broken: success on invalid input.
 continue
 else
@@ -4594,6 +5701,7 @@
 ac_preproc_ok=:
 break
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
 done
@@ -4611,8 +5719,8 @@
 else
   ac_cv_prog_CPP=$CPP
 fi
-echo "$as_me:$LINENO: result: $CPP" >&5
-echo "${ECHO_T}$CPP" >&6
+{ echo "$as_me:$LINENO: result: $CPP" >&5
+echo "${ECHO_T}$CPP" >&6; }
 ac_preproc_ok=false
 for ac_c_preproc_warn_flag in '' yes
 do
@@ -4635,24 +5743,22 @@
 #endif
 		     Syntax error
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   :
 else
   echo "$as_me: failed program was:" >&5
@@ -4661,9 +5767,10 @@
   # Broken: fails on valid input.
 continue
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
-  # OK, works on sane cases.  Now check whether non-existent headers
+  # OK, works on sane cases.  Now check whether nonexistent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -4673,24 +5780,22 @@
 /* end confdefs.h.  */
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   # Broken: success on invalid input.
 continue
 else
@@ -4701,6 +5806,7 @@
 ac_preproc_ok=:
 break
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
 done
@@ -4723,8 +5829,8 @@
 ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
-echo "$as_me:$LINENO: checking for ANSI C header files" >&5
-echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
+echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
 if test "${ac_cv_header_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -4748,34 +5854,31 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_cv_header_stdc=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_header_stdc=no
+	ac_cv_header_stdc=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
@@ -4831,6 +5934,7 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <ctype.h>
+#include <stdlib.h>
 #if ((' ' & 0x0FF) == 0x020)
 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
@@ -4850,18 +5954,27 @@
   for (i = 0; i < 256; i++)
     if (XOR (islower (i), ISLOWER (i))
 	|| toupper (i) != TOUPPER (i))
-      exit(2);
-  exit (0);
+      return 2;
+  return 0;
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
@@ -4874,12 +5987,14 @@
 ( exit $ac_status )
 ac_cv_header_stdc=no
 fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-fi
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
-echo "${ECHO_T}$ac_cv_header_stdc" >&6
+rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+
+
+fi
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
+echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
 if test $ac_cv_header_stdc = yes; then
 
 cat >>confdefs.h <<\_ACEOF
@@ -4902,9 +6017,9 @@
 		  inttypes.h stdint.h unistd.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -4918,37 +6033,35 @@
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   eval "$as_ac_Header=yes"
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-eval "$as_ac_Header=no"
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+	eval "$as_ac_Header=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<_ACEOF
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
@@ -4963,18 +6076,19 @@
 for ac_header in dlfcn.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+ac_res=`eval echo '${'$as_ac_Header'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -4985,40 +6099,37 @@
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_header_compiler=no
+	ac_header_compiler=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
 
 # Is the header present?
-echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -5027,24 +6138,22 @@
 /* end confdefs.h.  */
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   ac_header_preproc=yes
 else
   echo "$as_me: failed program was:" >&5
@@ -5052,9 +6161,10 @@
 
   ac_header_preproc=no
 fi
+
 rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
 
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
@@ -5078,25 +6188,19 @@
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    (
-      cat <<\_ASBOX
-## ------------------------------------------ ##
-## Report this to the AC_PACKAGE_NAME lists.  ##
-## ------------------------------------------ ##
-_ASBOX
-    ) |
-      sed "s/^/$as_me: WARNING:     /" >&2
+
     ;;
 esac
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   eval "$as_ac_Header=\$ac_header_preproc"
 fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+ac_res=`eval echo '${'$as_ac_Header'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
 
 fi
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
@@ -5113,13 +6217,13 @@
 if test -n "$CXX" && ( test "X$CXX" != "Xno" &&
     ( (test "X$CXX" = "Xg++" && `g++ -v >/dev/null 2>&1` ) ||
     (test "X$CXX" != "Xg++"))) ; then
-  ac_ext=cc
+  ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
-echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
-echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
+echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
 if test -z "$CXXCPP"; then
   if test "${ac_cv_prog_CXXCPP+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -5149,24 +6253,22 @@
 #endif
 		     Syntax error
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_cxx_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   :
 else
   echo "$as_me: failed program was:" >&5
@@ -5175,9 +6277,10 @@
   # Broken: fails on valid input.
 continue
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
-  # OK, works on sane cases.  Now check whether non-existent headers
+  # OK, works on sane cases.  Now check whether nonexistent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -5187,24 +6290,22 @@
 /* end confdefs.h.  */
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_cxx_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   # Broken: success on invalid input.
 continue
 else
@@ -5215,6 +6316,7 @@
 ac_preproc_ok=:
 break
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
 done
@@ -5232,8 +6334,8 @@
 else
   ac_cv_prog_CXXCPP=$CXXCPP
 fi
-echo "$as_me:$LINENO: result: $CXXCPP" >&5
-echo "${ECHO_T}$CXXCPP" >&6
+{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
+echo "${ECHO_T}$CXXCPP" >&6; }
 ac_preproc_ok=false
 for ac_cxx_preproc_warn_flag in '' yes
 do
@@ -5256,24 +6358,22 @@
 #endif
 		     Syntax error
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_cxx_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   :
 else
   echo "$as_me: failed program was:" >&5
@@ -5282,9 +6382,10 @@
   # Broken: fails on valid input.
 continue
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
-  # OK, works on sane cases.  Now check whether non-existent headers
+  # OK, works on sane cases.  Now check whether nonexistent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -5294,24 +6395,22 @@
 /* end confdefs.h.  */
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_cxx_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   # Broken: success on invalid input.
 continue
 else
@@ -5322,6 +6421,7 @@
 ac_preproc_ok=:
 break
 fi
+
 rm -f conftest.err conftest.$ac_ext
 
 done
@@ -5337,7 +6437,7 @@
    { (exit 1); exit 1; }; }
 fi
 
-ac_ext=cc
+ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
@@ -5351,12 +6451,12 @@
 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
 if test -n "$ac_tool_prefix"; then
-  for ac_prog in g77 f77 xlf frt pgf77 fort77 fl32 af77 f90 xlf90 pgf90 epcf90 f95 fort xlf95 ifc efc pgf95 lf95 gfortran
+  for ac_prog in g77 xlf f77 frt pgf77 cf77 fort77 fl32 af77 xlf90 f90 pgf90 pghpf epcf90 gfortran g95 xlf95 f95 fort ifort ifc efc pgf95 lf95 ftn
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -5369,36 +6469,38 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_F77="$ac_tool_prefix$ac_prog"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 F77=$ac_cv_prog_F77
 if test -n "$F77"; then
-  echo "$as_me:$LINENO: result: $F77" >&5
-echo "${ECHO_T}$F77" >&6
+  { echo "$as_me:$LINENO: result: $F77" >&5
+echo "${ECHO_T}$F77" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
+
     test -n "$F77" && break
   done
 fi
 if test -z "$F77"; then
   ac_ct_F77=$F77
-  for ac_prog in g77 f77 xlf frt pgf77 fort77 fl32 af77 f90 xlf90 pgf90 epcf90 f95 fort xlf95 ifc efc pgf95 lf95 gfortran
+  for ac_prog in g77 xlf f77 frt pgf77 cf77 fort77 fl32 af77 xlf90 f90 pgf90 pghpf epcf90 gfortran g95 xlf95 f95 fort ifort ifc efc pgf95 lf95 ftn
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_ac_ct_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -5411,48 +6513,78 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_ac_ct_F77="$ac_prog"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 ac_ct_F77=$ac_cv_prog_ac_ct_F77
 if test -n "$ac_ct_F77"; then
-  echo "$as_me:$LINENO: result: $ac_ct_F77" >&5
-echo "${ECHO_T}$ac_ct_F77" >&6
+  { echo "$as_me:$LINENO: result: $ac_ct_F77" >&5
+echo "${ECHO_T}$ac_ct_F77" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
+
   test -n "$ac_ct_F77" && break
 done
 
-  F77=$ac_ct_F77
+  if test "x$ac_ct_F77" = x; then
+    F77=""
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    F77=$ac_ct_F77
+  fi
 fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5441:" \
-     "checking for Fortran 77 compiler version" >&5
+echo "$as_me:$LINENO: checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
-  (eval $ac_compiler --version </dev/null >&5) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
-  (eval $ac_compiler -v </dev/null >&5) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }
-{ (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
-  (eval $ac_compiler -V </dev/null >&5) 2>&5
+{ (ac_try="$ac_compiler --version >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compiler --version >&5") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }
+{ (ac_try="$ac_compiler -v >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compiler -v >&5") 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }
+{ (ac_try="$ac_compiler -V >&5"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compiler -V >&5") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }
@@ -5462,8 +6594,8 @@
 # input file.  (Note that this only needs to work for GNU compilers.)
 ac_save_ext=$ac_ext
 ac_ext=F
-echo "$as_me:$LINENO: checking whether we are using the GNU Fortran 77 compiler" >&5
-echo $ECHO_N "checking whether we are using the GNU Fortran 77 compiler... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether we are using the GNU Fortran 77 compiler" >&5
+echo $ECHO_N "checking whether we are using the GNU Fortran 77 compiler... $ECHO_C" >&6; }
 if test "${ac_cv_f77_compiler_gnu+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -5476,45 +6608,42 @@
       end
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_f77_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_f77_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_compiler_gnu=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_compiler_gnu=no
+	ac_compiler_gnu=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 ac_cv_f77_compiler_gnu=$ac_compiler_gnu
 
 fi
-echo "$as_me:$LINENO: result: $ac_cv_f77_compiler_gnu" >&5
-echo "${ECHO_T}$ac_cv_f77_compiler_gnu" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_f77_compiler_gnu" >&5
+echo "${ECHO_T}$ac_cv_f77_compiler_gnu" >&6; }
 ac_ext=$ac_save_ext
 ac_test_FFLAGS=${FFLAGS+set}
 ac_save_FFLAGS=$FFLAGS
 FFLAGS=
-echo "$as_me:$LINENO: checking whether $F77 accepts -g" >&5
-echo $ECHO_N "checking whether $F77 accepts -g... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether $F77 accepts -g" >&5
+echo $ECHO_N "checking whether $F77 accepts -g... $ECHO_C" >&6; }
 if test "${ac_cv_prog_f77_g+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -5525,38 +6654,35 @@
       end
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_f77_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_f77_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_cv_prog_f77_g=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_prog_f77_g=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-
-fi
-echo "$as_me:$LINENO: result: $ac_cv_prog_f77_g" >&5
-echo "${ECHO_T}$ac_cv_prog_f77_g" >&6
+	ac_cv_prog_f77_g=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_prog_f77_g" >&5
+echo "${ECHO_T}$ac_cv_prog_f77_g" >&6; }
 if test "$ac_test_FFLAGS" = set; then
   FFLAGS=$ac_save_FFLAGS
 elif test $ac_cv_prog_f77_g = yes; then
@@ -5585,8 +6711,8 @@
 # Autoconf 2.13's AC_OBJEXT and AC_EXEEXT macros only works for C compilers!
 
 # find the maximum length of command line arguments
-echo "$as_me:$LINENO: checking the maximum length of command line arguments" >&5
-echo $ECHO_N "checking the maximum length of command line arguments... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking the maximum length of command line arguments" >&5
+echo $ECHO_N "checking the maximum length of command line arguments... $ECHO_C" >&6; }
 if test "${lt_cv_sys_max_cmd_len+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -5670,43 +6796,47 @@
     fi
     ;;
   *)
-    # If test is not a shell built-in, we'll probably end up computing a
-    # maximum length that is only half of the actual maximum length, but
-    # we can't tell.
-    SHELL=${SHELL-${CONFIG_SHELL-/bin/sh}}
-    while (test "X"`$SHELL $0 --fallback-echo "X$teststring" 2>/dev/null` \
+    lt_cv_sys_max_cmd_len=`(getconf ARG_MAX) 2> /dev/null`
+    if test -n "$lt_cv_sys_max_cmd_len"; then
+      lt_cv_sys_max_cmd_len=`expr $lt_cv_sys_max_cmd_len \/ 4`
+      lt_cv_sys_max_cmd_len=`expr $lt_cv_sys_max_cmd_len \* 3`
+    else
+      SHELL=${SHELL-${CONFIG_SHELL-/bin/sh}}
+      while (test "X"`$SHELL $0 --fallback-echo "X$teststring" 2>/dev/null` \
 	       = "XX$teststring") >/dev/null 2>&1 &&
-	    new_result=`expr "X$teststring" : ".*" 2>&1` &&
-	    lt_cv_sys_max_cmd_len=$new_result &&
-	    test $i != 17 # 1/2 MB should be enough
-    do
-      i=`expr $i + 1`
-      teststring=$teststring$teststring
-    done
-    teststring=
-    # Add a significant safety factor because C++ compilers can tack on massive
-    # amounts of additional arguments before passing them to the linker.
-    # It appears as though 1/2 is a usable value.
-    lt_cv_sys_max_cmd_len=`expr $lt_cv_sys_max_cmd_len \/ 2`
+	      new_result=`expr "X$teststring" : ".*" 2>&1` &&
+	      lt_cv_sys_max_cmd_len=$new_result &&
+	      test $i != 17 # 1/2 MB should be enough
+      do
+        i=`expr $i + 1`
+        teststring=$teststring$teststring
+      done
+      teststring=
+      # Add a significant safety factor because C++ compilers can tack on massive
+      # amounts of additional arguments before passing them to the linker.
+      # It appears as though 1/2 is a usable value.
+      lt_cv_sys_max_cmd_len=`expr $lt_cv_sys_max_cmd_len \/ 2`
+    fi
     ;;
   esac
 
 fi
 
 if test -n $lt_cv_sys_max_cmd_len ; then
-  echo "$as_me:$LINENO: result: $lt_cv_sys_max_cmd_len" >&5
-echo "${ECHO_T}$lt_cv_sys_max_cmd_len" >&6
+  { echo "$as_me:$LINENO: result: $lt_cv_sys_max_cmd_len" >&5
+echo "${ECHO_T}$lt_cv_sys_max_cmd_len" >&6; }
 else
-  echo "$as_me:$LINENO: result: none" >&5
-echo "${ECHO_T}none" >&6
+  { echo "$as_me:$LINENO: result: none" >&5
+echo "${ECHO_T}none" >&6; }
 fi
 
 
 
 
+
 # Check for command to grab the raw symbol name followed by C symbol from nm.
-echo "$as_me:$LINENO: checking command to parse $NM output from $compiler object" >&5
-echo $ECHO_N "checking command to parse $NM output from $compiler object... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking command to parse $NM output from $compiler object" >&5
+echo $ECHO_N "checking command to parse $NM output from $compiler object... $ECHO_C" >&6; }
 if test "${lt_cv_sys_global_symbol_pipe+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -5741,7 +6871,7 @@
   lt_cv_sys_global_symbol_to_cdecl="sed -n -e 's/^T .* \(.*\)$/extern int \1();/p' -e 's/^$symcode* .* \(.*\)$/extern char \1;/p'"
   lt_cv_sys_global_symbol_to_c_name_address="sed -n -e 's/^: \([^ ]*\) $/  {\\\"\1\\\", (lt_ptr) 0},/p' -e 's/^$symcode* \([^ ]*\) \([^ ]*\)$/  {\"\2\", (lt_ptr) \&\2},/p'"
   ;;
-linux*)
+linux* | k*bsd*-gnu)
   if test "$host_cpu" = ia64; then
     symcode='[ABCDGIRSTW]'
     lt_cv_sys_global_symbol_to_cdecl="sed -n -e 's/^T .* \(.*\)$/extern int \1();/p' -e 's/^$symcode* .* \(.*\)$/extern char \1;/p'"
@@ -5910,15 +7040,15 @@
   lt_cv_sys_global_symbol_to_cdecl=
 fi
 if test -z "$lt_cv_sys_global_symbol_pipe$lt_cv_sys_global_symbol_to_cdecl"; then
-  echo "$as_me:$LINENO: result: failed" >&5
-echo "${ECHO_T}failed" >&6
+  { echo "$as_me:$LINENO: result: failed" >&5
+echo "${ECHO_T}failed" >&6; }
 else
-  echo "$as_me:$LINENO: result: ok" >&5
-echo "${ECHO_T}ok" >&6
+  { echo "$as_me:$LINENO: result: ok" >&5
+echo "${ECHO_T}ok" >&6; }
 fi
 
-echo "$as_me:$LINENO: checking for objdir" >&5
-echo $ECHO_N "checking for objdir... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for objdir" >&5
+echo $ECHO_N "checking for objdir... $ECHO_C" >&6; }
 if test "${lt_cv_objdir+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -5932,8 +7062,8 @@
 fi
 rmdir .libs 2>/dev/null
 fi
-echo "$as_me:$LINENO: result: $lt_cv_objdir" >&5
-echo "${ECHO_T}$lt_cv_objdir" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_objdir" >&5
+echo "${ECHO_T}$lt_cv_objdir" >&6; }
 objdir=$lt_cv_objdir
 
 
@@ -5984,8 +7114,8 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ar", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ar; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_AR+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -5998,32 +7128,34 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_AR="${ac_tool_prefix}ar"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 AR=$ac_cv_prog_AR
 if test -n "$AR"; then
-  echo "$as_me:$LINENO: result: $AR" >&5
-echo "${ECHO_T}$AR" >&6
+  { echo "$as_me:$LINENO: result: $AR" >&5
+echo "${ECHO_T}$AR" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
+
 
 fi
 if test -z "$ac_cv_prog_AR"; then
   ac_ct_AR=$AR
   # Extract the first word of "ar", so it can be a program name with args.
 set dummy ar; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_ac_ct_AR+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -6036,27 +7168,41 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_ac_ct_AR="ar"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
-  test -z "$ac_cv_prog_ac_ct_AR" && ac_cv_prog_ac_ct_AR="false"
 fi
 fi
 ac_ct_AR=$ac_cv_prog_ac_ct_AR
 if test -n "$ac_ct_AR"; then
-  echo "$as_me:$LINENO: result: $ac_ct_AR" >&5
-echo "${ECHO_T}$ac_ct_AR" >&6
+  { echo "$as_me:$LINENO: result: $ac_ct_AR" >&5
+echo "${ECHO_T}$ac_ct_AR" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
-  AR=$ac_ct_AR
+  if test "x$ac_ct_AR" = x; then
+    AR="false"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    AR=$ac_ct_AR
+  fi
 else
   AR="$ac_cv_prog_AR"
 fi
@@ -6064,8 +7210,8 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
 set dummy ${ac_tool_prefix}ranlib; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_RANLIB+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -6078,32 +7224,34 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 RANLIB=$ac_cv_prog_RANLIB
 if test -n "$RANLIB"; then
-  echo "$as_me:$LINENO: result: $RANLIB" >&5
-echo "${ECHO_T}$RANLIB" >&6
+  { echo "$as_me:$LINENO: result: $RANLIB" >&5
+echo "${ECHO_T}$RANLIB" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
+
 
 fi
 if test -z "$ac_cv_prog_RANLIB"; then
   ac_ct_RANLIB=$RANLIB
   # Extract the first word of "ranlib", so it can be a program name with args.
 set dummy ranlib; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_ac_ct_RANLIB+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -6116,27 +7264,41 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_ac_ct_RANLIB="ranlib"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
-  test -z "$ac_cv_prog_ac_ct_RANLIB" && ac_cv_prog_ac_ct_RANLIB=":"
 fi
 fi
 ac_ct_RANLIB=$ac_cv_prog_ac_ct_RANLIB
 if test -n "$ac_ct_RANLIB"; then
-  echo "$as_me:$LINENO: result: $ac_ct_RANLIB" >&5
-echo "${ECHO_T}$ac_ct_RANLIB" >&6
+  { echo "$as_me:$LINENO: result: $ac_ct_RANLIB" >&5
+echo "${ECHO_T}$ac_ct_RANLIB" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
-  RANLIB=$ac_ct_RANLIB
+  if test "x$ac_ct_RANLIB" = x; then
+    RANLIB=":"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    RANLIB=$ac_ct_RANLIB
+  fi
 else
   RANLIB="$ac_cv_prog_RANLIB"
 fi
@@ -6144,8 +7306,8 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}strip", so it can be a program name with args.
 set dummy ${ac_tool_prefix}strip; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_STRIP+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -6158,32 +7320,34 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_STRIP="${ac_tool_prefix}strip"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 STRIP=$ac_cv_prog_STRIP
 if test -n "$STRIP"; then
-  echo "$as_me:$LINENO: result: $STRIP" >&5
-echo "${ECHO_T}$STRIP" >&6
+  { echo "$as_me:$LINENO: result: $STRIP" >&5
+echo "${ECHO_T}$STRIP" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
+
 
 fi
 if test -z "$ac_cv_prog_STRIP"; then
   ac_ct_STRIP=$STRIP
   # Extract the first word of "strip", so it can be a program name with args.
 set dummy strip; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_ac_ct_STRIP+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -6196,27 +7360,41 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_ac_ct_STRIP="strip"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
-  test -z "$ac_cv_prog_ac_ct_STRIP" && ac_cv_prog_ac_ct_STRIP=":"
 fi
 fi
 ac_ct_STRIP=$ac_cv_prog_ac_ct_STRIP
 if test -n "$ac_ct_STRIP"; then
-  echo "$as_me:$LINENO: result: $ac_ct_STRIP" >&5
-echo "${ECHO_T}$ac_ct_STRIP" >&6
+  { echo "$as_me:$LINENO: result: $ac_ct_STRIP" >&5
+echo "${ECHO_T}$ac_ct_STRIP" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
-  STRIP=$ac_ct_STRIP
+  if test "x$ac_ct_STRIP" = x; then
+    STRIP=":"
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    STRIP=$ac_ct_STRIP
+  fi
 else
   STRIP="$ac_cv_prog_STRIP"
 fi
@@ -6244,7 +7422,7 @@
 test -z "$ac_objext" && ac_objext=o
 
 # Determine commands to create old-style static archives.
-old_archive_cmds='$AR $AR_FLAGS $oldlib$oldobjs$old_deplibs'
+old_archive_cmds='$AR $AR_FLAGS $oldlib$oldobjs'
 old_postinstall_cmds='chmod 644 $oldlib'
 old_postuninstall_cmds=
 
@@ -6275,8 +7453,8 @@
 case $deplibs_check_method in
 file_magic*)
   if test "$file_magic_cmd" = '$MAGIC_CMD'; then
-    echo "$as_me:$LINENO: checking for ${ac_tool_prefix}file" >&5
-echo $ECHO_N "checking for ${ac_tool_prefix}file... $ECHO_C" >&6
+    { echo "$as_me:$LINENO: checking for ${ac_tool_prefix}file" >&5
+echo $ECHO_N "checking for ${ac_tool_prefix}file... $ECHO_C" >&6; }
 if test "${lt_cv_path_MAGIC_CMD+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -6328,17 +7506,17 @@
 
 MAGIC_CMD="$lt_cv_path_MAGIC_CMD"
 if test -n "$MAGIC_CMD"; then
-  echo "$as_me:$LINENO: result: $MAGIC_CMD" >&5
-echo "${ECHO_T}$MAGIC_CMD" >&6
+  { echo "$as_me:$LINENO: result: $MAGIC_CMD" >&5
+echo "${ECHO_T}$MAGIC_CMD" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
 if test -z "$lt_cv_path_MAGIC_CMD"; then
   if test -n "$ac_tool_prefix"; then
-    echo "$as_me:$LINENO: checking for file" >&5
-echo $ECHO_N "checking for file... $ECHO_C" >&6
+    { echo "$as_me:$LINENO: checking for file" >&5
+echo $ECHO_N "checking for file... $ECHO_C" >&6; }
 if test "${lt_cv_path_MAGIC_CMD+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -6390,11 +7568,11 @@
 
 MAGIC_CMD="$lt_cv_path_MAGIC_CMD"
 if test -n "$MAGIC_CMD"; then
-  echo "$as_me:$LINENO: result: $MAGIC_CMD" >&5
-echo "${ECHO_T}$MAGIC_CMD" >&6
+  { echo "$as_me:$LINENO: result: $MAGIC_CMD" >&5
+echo "${ECHO_T}$MAGIC_CMD" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
   else
@@ -6407,23 +7585,23 @@
 esac
 
 enable_dlopen=yes
-enable_win32_dll=no
+enable_win32_dll=yes
 
-# Check whether --enable-libtool-lock or --disable-libtool-lock was given.
+# Check whether --enable-libtool-lock was given.
 if test "${enable_libtool_lock+set}" = set; then
-  enableval="$enable_libtool_lock"
+  enableval=$enable_libtool_lock;
+fi
 
-fi;
 test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes
 
 
-# Check whether --with-pic or --without-pic was given.
+# Check whether --with-pic was given.
 if test "${with_pic+set}" = set; then
-  withval="$with_pic"
-  pic_mode="$withval"
+  withval=$with_pic; pic_mode="$withval"
 else
   pic_mode=default
-fi;
+fi
+
 test -z "$pic_mode" && pic_mode=default
 
 # Use C for the default configuration in the libtool script
@@ -6444,10 +7622,10 @@
 objext=$objext
 
 # Code to be used in simple compile tests
-lt_simple_compile_test_code="int some_variable = 0;\n"
+lt_simple_compile_test_code="int some_variable = 0;"
 
 # Code to be used in simple link tests
-lt_simple_link_test_code='int main(){return(0);}\n'
+lt_simple_link_test_code='int main(){return(0);}'
 
 
 # If no C compiler was specified, use CC.
@@ -6462,13 +7640,13 @@
 
 # save warnings/boilerplate of simple test code
 ac_outfile=conftest.$ac_objext
-printf "$lt_simple_compile_test_code" >conftest.$ac_ext
+echo "$lt_simple_compile_test_code" >conftest.$ac_ext
 eval "$ac_compile" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_compiler_boilerplate=`cat conftest.err`
 $rm conftest*
 
 ac_outfile=conftest.$ac_objext
-printf "$lt_simple_link_test_code" >conftest.$ac_ext
+echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
 $rm conftest*
@@ -6481,14 +7659,14 @@
   lt_prog_compiler_no_builtin_flag=' -fno-builtin'
 
 
-echo "$as_me:$LINENO: checking if $compiler supports -fno-rtti -fno-exceptions" >&5
-echo $ECHO_N "checking if $compiler supports -fno-rtti -fno-exceptions... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler supports -fno-rtti -fno-exceptions" >&5
+echo $ECHO_N "checking if $compiler supports -fno-rtti -fno-exceptions... $ECHO_C" >&6; }
 if test "${lt_cv_prog_compiler_rtti_exceptions+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_cv_prog_compiler_rtti_exceptions=no
   ac_outfile=conftest.$ac_objext
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="-fno-rtti -fno-exceptions"
    # Insert the option either (1) after the last *FLAGS variable, or
    # (2) before a word containing "conftest.", or (3) at the end.
@@ -6499,11 +7677,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6502: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7680: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6506: \$? = $ac_status" >&5
+   echo "$as_me:7684: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6516,8 +7694,8 @@
    $rm conftest*
 
 fi
-echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_rtti_exceptions" >&5
-echo "${ECHO_T}$lt_cv_prog_compiler_rtti_exceptions" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_rtti_exceptions" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_rtti_exceptions" >&6; }
 
 if test x"$lt_cv_prog_compiler_rtti_exceptions" = xyes; then
     lt_prog_compiler_no_builtin_flag="$lt_prog_compiler_no_builtin_flag -fno-rtti -fno-exceptions"
@@ -6531,8 +7709,8 @@
 lt_prog_compiler_pic=
 lt_prog_compiler_static=
 
-echo "$as_me:$LINENO: checking for $compiler option to produce PIC" >&5
-echo $ECHO_N "checking for $compiler option to produce PIC... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $compiler option to produce PIC" >&5
+echo $ECHO_N "checking for $compiler option to produce PIC... $ECHO_C" >&6; }
 
   if test "$GCC" = yes; then
     lt_prog_compiler_wl='-Wl,'
@@ -6554,13 +7732,15 @@
       lt_prog_compiler_pic='-m68020 -resident32 -malways-restore-a4'
       ;;
 
-    beos* | cygwin* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
+    beos* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
       # PIC is the default for these OSes.
       ;;
 
-    mingw* | pw32* | os2*)
+    mingw* | cygwin* | pw32* | os2*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
+      # Although the cygwin gcc ignores -fPIC, still need this for old-style
+      # (--disable-auto-import) libraries
       lt_prog_compiler_pic='-DDLL_EXPORT'
       ;;
 
@@ -6570,7 +7750,7 @@
       lt_prog_compiler_pic='-fno-common'
       ;;
 
-    interix3*)
+    interix[3-9]*)
       # Interix 3.x gcc -fpic/-fPIC options generate broken code.
       # Instead, we relocate shared libraries at runtime.
       ;;
@@ -6628,7 +7808,7 @@
        esac
        ;;
 
-    mingw* | pw32* | os2*)
+    mingw* | cygwin* | pw32* | os2*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
       lt_prog_compiler_pic='-DDLL_EXPORT'
@@ -6661,7 +7841,7 @@
       lt_prog_compiler_static='-Bstatic'
       ;;
 
-    linux*)
+    linux* | k*bsd*-gnu)
       case $cc_basename in
       icc* | ecc*)
 	lt_prog_compiler_wl='-Wl,'
@@ -6680,6 +7860,22 @@
         # All Alpha code is PIC.
         lt_prog_compiler_static='-non_shared'
         ;;
+      *)
+        case `$CC -V 2>&1 | sed 5q` in
+	*Sun\ C*)
+	  # Sun C 5.9
+	  lt_prog_compiler_pic='-KPIC'
+	  lt_prog_compiler_static='-Bstatic'
+	  lt_prog_compiler_wl='-Wl,'
+	  ;;
+	*Sun\ F*)
+	  # Sun Fortran 8.3 passes all unrecognized flags to the linker
+	  lt_prog_compiler_pic='-KPIC'
+	  lt_prog_compiler_static='-Bstatic'
+	  lt_prog_compiler_wl=''
+	  ;;
+	esac
+	;;
       esac
       ;;
 
@@ -6689,6 +7885,10 @@
       lt_prog_compiler_static='-non_shared'
       ;;
 
+    rdos*)
+      lt_prog_compiler_static='-non_shared'
+      ;;
+
     solaris*)
       lt_prog_compiler_pic='-KPIC'
       lt_prog_compiler_static='-Bstatic'
@@ -6741,22 +7941,22 @@
     esac
   fi
 
-echo "$as_me:$LINENO: result: $lt_prog_compiler_pic" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic" >&5
+echo "${ECHO_T}$lt_prog_compiler_pic" >&6; }
 
 #
 # Check to make sure the PIC flag actually works.
 #
 if test -n "$lt_prog_compiler_pic"; then
 
-echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic works" >&5
-echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic works... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic works" >&5
+echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic works... $ECHO_C" >&6; }
 if test "${lt_prog_compiler_pic_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_prog_compiler_pic_works=no
   ac_outfile=conftest.$ac_objext
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="$lt_prog_compiler_pic -DPIC"
    # Insert the option either (1) after the last *FLAGS variable, or
    # (2) before a word containing "conftest.", or (3) at the end.
@@ -6767,11 +7967,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6770: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7970: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6774: \$? = $ac_status" >&5
+   echo "$as_me:7974: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6784,8 +7984,8 @@
    $rm conftest*
 
 fi
-echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_works" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works" >&5
+echo "${ECHO_T}$lt_prog_compiler_pic_works" >&6; }
 
 if test x"$lt_prog_compiler_pic_works" = xyes; then
     case $lt_prog_compiler_pic in
@@ -6812,15 +8012,15 @@
 # Check to make sure the static flag actually works.
 #
 wl=$lt_prog_compiler_wl eval lt_tmp_static_flag=\"$lt_prog_compiler_static\"
-echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
-echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
+echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
 if test "${lt_prog_compiler_static_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_prog_compiler_static_works=no
    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $lt_tmp_static_flag"
-   printf "$lt_simple_link_test_code" > conftest.$ac_ext
+   echo "$lt_simple_link_test_code" > conftest.$ac_ext
    if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
      # The linker can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6840,8 +8040,8 @@
    LDFLAGS="$save_LDFLAGS"
 
 fi
-echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works" >&5
-echo "${ECHO_T}$lt_prog_compiler_static_works" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works" >&5
+echo "${ECHO_T}$lt_prog_compiler_static_works" >&6; }
 
 if test x"$lt_prog_compiler_static_works" = xyes; then
     :
@@ -6850,8 +8050,8 @@
 fi
 
 
-echo "$as_me:$LINENO: checking if $compiler supports -c -o file.$ac_objext" >&5
-echo $ECHO_N "checking if $compiler supports -c -o file.$ac_objext... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler supports -c -o file.$ac_objext" >&5
+echo $ECHO_N "checking if $compiler supports -c -o file.$ac_objext... $ECHO_C" >&6; }
 if test "${lt_cv_prog_compiler_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -6860,7 +8060,7 @@
    mkdir conftest
    cd conftest
    mkdir out
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
 
    lt_compiler_flag="-o out/conftest2.$ac_objext"
    # Insert the option either (1) after the last *FLAGS variable, or
@@ -6871,11 +8071,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6874: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8074: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6878: \$? = $ac_status" >&5
+   echo "$as_me:8078: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -6897,23 +8097,23 @@
    $rm conftest*
 
 fi
-echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_c_o" >&5
-echo "${ECHO_T}$lt_cv_prog_compiler_c_o" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_c_o" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_c_o" >&6; }
 
 
 hard_links="nottested"
 if test "$lt_cv_prog_compiler_c_o" = no && test "$need_locks" != no; then
   # do not overwrite the value of need_locks provided by the user
-  echo "$as_me:$LINENO: checking if we can lock with hard links" >&5
-echo $ECHO_N "checking if we can lock with hard links... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking if we can lock with hard links" >&5
+echo $ECHO_N "checking if we can lock with hard links... $ECHO_C" >&6; }
   hard_links=yes
   $rm conftest*
   ln conftest.a conftest.b 2>/dev/null && hard_links=no
   touch conftest.a
   ln conftest.a conftest.b 2>&5 || hard_links=no
   ln conftest.a conftest.b 2>/dev/null && hard_links=no
-  echo "$as_me:$LINENO: result: $hard_links" >&5
-echo "${ECHO_T}$hard_links" >&6
+  { echo "$as_me:$LINENO: result: $hard_links" >&5
+echo "${ECHO_T}$hard_links" >&6; }
   if test "$hard_links" = no; then
     { echo "$as_me:$LINENO: WARNING: \`$CC' does not support \`-c -o', so \`make -j' may be unsafe" >&5
 echo "$as_me: WARNING: \`$CC' does not support \`-c -o', so \`make -j' may be unsafe" >&2;}
@@ -6923,8 +8123,8 @@
   need_locks=no
 fi
 
-echo "$as_me:$LINENO: checking whether the $compiler linker ($LD) supports shared libraries" >&5
-echo $ECHO_N "checking whether the $compiler linker ($LD) supports shared libraries... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether the $compiler linker ($LD) supports shared libraries" >&5
+echo $ECHO_N "checking whether the $compiler linker ($LD) supports shared libraries... $ECHO_C" >&6; }
 
   runpath_var=
   allow_undefined_flag=
@@ -7067,7 +8267,7 @@
       allow_undefined_flag=unsupported
       always_export_symbols=no
       enable_shared_with_static_runtimes=yes
-      export_symbols_cmds='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[BCDGRS] /s/.* \([^ ]*\)/\1 DATA/'\'' | $SED -e '\''/^[AITW] /s/.* //'\'' | sort | uniq > $export_symbols'
+      export_symbols_cmds='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[BCDGRS][ ]/s/.*[ ]\([^ ]*\)/\1 DATA/'\'' -e '\''/^[AITW][ ]/s/.*[ ]//'\'' | sort | uniq > $export_symbols'
 
       if $LD --help 2>&1 | grep 'auto-import' > /dev/null; then
         archive_cmds='$CC -shared $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--enable-auto-image-base -Xlinker --out-implib -Xlinker $lib'
@@ -7085,7 +8285,7 @@
       fi
       ;;
 
-    interix3*)
+    interix[3-9]*)
       hardcode_direct=no
       hardcode_shlibpath_var=no
       hardcode_libdir_flag_spec='${wl}-rpath,$libdir'
@@ -7100,7 +8300,7 @@
       archive_expsym_cmds='sed "s,^,_," $export_symbols >$output_objdir/$soname.expsym~$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--retain-symbols-file,$output_objdir/$soname.expsym ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'
       ;;
 
-    linux*)
+    gnu* | linux* | k*bsd*-gnu)
       if $LD --help 2>&1 | grep ': supported targets:.* elf' > /dev/null; then
 	tmp_addflag=
 	case $cc_basename,$host_cpu in
@@ -7118,13 +8318,22 @@
 	ifc* | ifort*)			# Intel Fortran compiler
 	  tmp_addflag=' -nofor_main' ;;
 	esac
-	archive_cmds='$CC -shared'"$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname -o $lib'
+	case `$CC -V 2>&1 | sed 5q` in
+	*Sun\ C*)			# Sun C 5.9
+	  whole_archive_flag_spec='${wl}--whole-archive`new_convenience=; for conv in $convenience\"\"; do test -z \"$conv\" || new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}--no-whole-archive'
+	  tmp_sharedflag='-G' ;;
+	*Sun\ F*)			# Sun Fortran 8.3
+	  tmp_sharedflag='-G' ;;
+	*)
+	  tmp_sharedflag='-shared' ;;
+	esac
+	archive_cmds='$CC '"$tmp_sharedflag""$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname -o $lib'
 
 	if test $supports_anon_versioning = yes; then
 	  archive_expsym_cmds='$echo "{ global:" > $output_objdir/$libname.ver~
   cat $export_symbols | sed -e "s/\(.*\)/\1;/" >> $output_objdir/$libname.ver~
   $echo "local: *; };" >> $output_objdir/$libname.ver~
-	  $CC -shared'"$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname ${wl}-version-script ${wl}$output_objdir/$libname.ver -o $lib'
+	  $CC '"$tmp_sharedflag""$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname ${wl}-version-script ${wl}$output_objdir/$libname.ver -o $lib'
 	fi
 	link_all_deplibs=no
       else
@@ -7132,7 +8341,7 @@
       fi
       ;;
 
-    netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+    netbsd* | netbsdelf*-gnu)
       if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
 	archive_cmds='$LD -Bshareable $libobjs $deplibs $linker_flags -o $lib'
 	wlarc=
@@ -7284,7 +8493,7 @@
   	   strings "$collect2name" | grep resolve_lib_name >/dev/null
 	  then
   	  # We have reworked collect2
-  	  hardcode_direct=yes
+  	  :
 	  else
   	  # We have old collect2
   	  hardcode_direct=unsupported
@@ -7340,38 +8549,44 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
 
-aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`
+lt_aix_libpath_sed='
+    /Import File Strings/,/^$/ {
+	/^0/ {
+	    s/^0  *\(.*\)$/\1/
+	    p
+	}
+    }'
+aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
 # Check for a 64-bit object if we didn't find anything.
-if test -z "$aix_libpath"; then aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`; fi
+if test -z "$aix_libpath"; then
+  aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
+fi
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
 
@@ -7400,38 +8615,44 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
 
-aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`
+lt_aix_libpath_sed='
+    /Import File Strings/,/^$/ {
+	/^0/ {
+	    s/^0  *\(.*\)$/\1/
+	    p
+	}
+    }'
+aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
 # Check for a 64-bit object if we didn't find anything.
-if test -z "$aix_libpath"; then aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`; fi
+if test -z "$aix_libpath"; then
+  aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
+fi
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
 
@@ -7477,7 +8698,7 @@
       # The linker will automatically build a .lib file if we build a DLL.
       old_archive_From_new_cmds='true'
       # FIXME: Should let the user specify the lib program.
-      old_archive_cmds='lib /OUT:$oldlib$oldobjs$old_deplibs'
+      old_archive_cmds='lib -OUT:$oldlib$oldobjs$old_deplibs'
       fix_srcfile_path='`cygpath -w "$srcfile"`'
       enable_shared_with_static_runtimes=yes
       ;;
@@ -7519,10 +8740,10 @@
       case $cc_basename in
         xlc*)
          output_verbose_link_cmd='echo'
-         archive_cmds='$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $verstring'
+         archive_cmds='$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $xlcverstring'
          module_cmds='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
           # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-         archive_expsym_cmds='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
+         archive_expsym_cmds='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $xlcverstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           module_expsym_cmds='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           ;;
        *)
@@ -7569,15 +8790,6 @@
       hardcode_shlibpath_var=no
       ;;
 
-    # GNU/kFreeBSD uses gcc -shared to do shared libraries.
-    kfreebsd*-gnu)
-      archive_cmds='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
-      hardcode_libdir_flag_spec='-R$libdir'
-      hardcode_direct=yes
-      hardcode_shlibpath_var=no
-      link_all_deplibs=no
-      ;;
-
     hpux9*)
       if test "$GCC" = yes; then
 	archive_cmds='$rm $output_objdir/$soname~$CC -shared -fPIC ${wl}+b ${wl}$install_libdir -o $output_objdir/$soname $libobjs $deplibs $compiler_flags~test $output_objdir/$soname = $lib || mv $output_objdir/$soname $lib'
@@ -7673,7 +8885,7 @@
       link_all_deplibs=yes
       ;;
 
-    netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+    netbsd* | netbsdelf*-gnu)
       if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
 	archive_cmds='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'  # a.out
       else
@@ -7693,24 +8905,28 @@
       ;;
 
     openbsd*)
-      hardcode_direct=yes
-      hardcode_shlibpath_var=no
-      if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
-	archive_cmds='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
-	archive_expsym_cmds='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-retain-symbols-file,$export_symbols'
-	hardcode_libdir_flag_spec='${wl}-rpath,$libdir'
-	export_dynamic_flag_spec='${wl}-E'
+      if test -f /usr/libexec/ld.so; then
+	hardcode_direct=yes
+	hardcode_shlibpath_var=no
+	if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
+	  archive_cmds='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
+	  archive_expsym_cmds='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-retain-symbols-file,$export_symbols'
+	  hardcode_libdir_flag_spec='${wl}-rpath,$libdir'
+	  export_dynamic_flag_spec='${wl}-E'
+	else
+	  case $host_os in
+	   openbsd[01].* | openbsd2.[0-7] | openbsd2.[0-7].*)
+	     archive_cmds='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'
+	     hardcode_libdir_flag_spec='-R$libdir'
+	     ;;
+	   *)
+	     archive_cmds='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
+	     hardcode_libdir_flag_spec='${wl}-rpath,$libdir'
+	     ;;
+	  esac
+        fi
       else
-       case $host_os in
-	 openbsd[01].* | openbsd2.[0-7] | openbsd2.[0-7].*)
-	   archive_cmds='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'
-	   hardcode_libdir_flag_spec='-R$libdir'
-	   ;;
-	 *)
-	   archive_cmds='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
-	   hardcode_libdir_flag_spec='${wl}-rpath,$libdir'
-	   ;;
-       esac
+	ld_shlibs=no
       fi
       ;;
 
@@ -7769,17 +8985,16 @@
       case $host_os in
       solaris2.[0-5] | solaris2.[0-5].*) ;;
       *)
- 	# The compiler driver will combine linker options so we
- 	# cannot just pass the convience library names through
- 	# without $wl, iff we do not link with $LD.
- 	# Luckily, gcc supports the same syntax we need for Sun Studio.
+	# The compiler driver will combine and reorder linker options,
+	# but understands `-z linker_flag'.  GCC discards it without `$wl',
+	# but is careful enough not to reorder.
  	# Supported since Solaris 2.6 (maybe 2.5.1?)
- 	case $wlarc in
- 	'')
- 	  whole_archive_flag_spec='-z allextract$convenience -z defaultextract' ;;
- 	*)
- 	  whole_archive_flag_spec='${wl}-z ${wl}allextract`for conv in $convenience\"\"; do test -n \"$conv\" && new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}-z ${wl}defaultextract' ;;
- 	esac ;;
+	if test "$GCC" = yes; then
+	  whole_archive_flag_spec='${wl}-z ${wl}allextract$convenience ${wl}-z ${wl}defaultextract'
+	else
+	  whole_archive_flag_spec='-z allextract$convenience -z defaultextract'
+	fi
+	;;
       esac
       link_all_deplibs=yes
       ;;
@@ -7836,7 +9051,7 @@
       fi
       ;;
 
-    sysv4*uw2* | sysv5OpenUNIX* | sysv5UnixWare7.[01].[10]* | unixware7*)
+    sysv4*uw2* | sysv5OpenUNIX* | sysv5UnixWare7.[01].[10]* | unixware7* | sco3.2v5.0.[024]*)
       no_undefined_flag='${wl}-z,text'
       archive_cmds_need_lc=no
       hardcode_shlibpath_var=no
@@ -7889,8 +9104,8 @@
     esac
   fi
 
-echo "$as_me:$LINENO: result: $ld_shlibs" >&5
-echo "${ECHO_T}$ld_shlibs" >&6
+{ echo "$as_me:$LINENO: result: $ld_shlibs" >&5
+echo "${ECHO_T}$ld_shlibs" >&6; }
 test "$ld_shlibs" = no && can_build_shared=no
 
 #
@@ -7910,10 +9125,10 @@
       # Test whether the compiler implicitly links with -lc since on some
       # systems, -lgcc has to come before -lc. If gcc already passes -lc
       # to ld, don't add -lc before -lgcc.
-      echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
-echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6
+      { echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
+echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6; }
       $rm conftest*
-      printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+      echo "$lt_simple_compile_test_code" > conftest.$ac_ext
 
       if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
@@ -7948,16 +9163,16 @@
         cat conftest.err 1>&5
       fi
       $rm conftest*
-      echo "$as_me:$LINENO: result: $archive_cmds_need_lc" >&5
-echo "${ECHO_T}$archive_cmds_need_lc" >&6
+      { echo "$as_me:$LINENO: result: $archive_cmds_need_lc" >&5
+echo "${ECHO_T}$archive_cmds_need_lc" >&6; }
       ;;
     esac
   fi
   ;;
 esac
 
-echo "$as_me:$LINENO: checking dynamic linker characteristics" >&5
-echo $ECHO_N "checking dynamic linker characteristics... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking dynamic linker characteristics" >&5
+echo $ECHO_N "checking dynamic linker characteristics... $ECHO_C" >&6; }
 library_names_spec=
 libname_spec='lib$name'
 soname_spec=
@@ -7971,17 +9186,55 @@
 version_type=none
 dynamic_linker="$host_os ld.so"
 sys_lib_dlsearch_path_spec="/lib /usr/lib"
+
 if test "$GCC" = yes; then
-  sys_lib_search_path_spec=`$CC -print-search-dirs | grep "^libraries:" | $SED -e "s/^libraries://" -e "s,=/,/,g"`
-  if echo "$sys_lib_search_path_spec" | grep ';' >/dev/null ; then
+  case $host_os in
+    darwin*) lt_awk_arg="/^libraries:/,/LR/" ;;
+    *) lt_awk_arg="/^libraries:/" ;;
+  esac
+  lt_search_path_spec=`$CC -print-search-dirs | awk $lt_awk_arg | $SED -e "s/^libraries://" -e "s,=/,/,g"`
+  if echo "$lt_search_path_spec" | grep ';' >/dev/null ; then
     # if the path contains ";" then we assume it to be the separator
     # otherwise default to the standard path separator (i.e. ":") - it is
     # assumed that no part of a normal pathname contains ";" but that should
     # okay in the real world where ";" in dirpaths is itself problematic.
-    sys_lib_search_path_spec=`echo "$sys_lib_search_path_spec" | $SED -e 's/;/ /g'`
+    lt_search_path_spec=`echo "$lt_search_path_spec" | $SED -e 's/;/ /g'`
   else
-    sys_lib_search_path_spec=`echo "$sys_lib_search_path_spec" | $SED  -e "s/$PATH_SEPARATOR/ /g"`
+    lt_search_path_spec=`echo "$lt_search_path_spec" | $SED  -e "s/$PATH_SEPARATOR/ /g"`
   fi
+  # Ok, now we have the path, separated by spaces, we can step through it
+  # and add multilib dir if necessary.
+  lt_tmp_lt_search_path_spec=
+  lt_multi_os_dir=`$CC $CPPFLAGS $CFLAGS $LDFLAGS -print-multi-os-directory 2>/dev/null`
+  for lt_sys_path in $lt_search_path_spec; do
+    if test -d "$lt_sys_path/$lt_multi_os_dir"; then
+      lt_tmp_lt_search_path_spec="$lt_tmp_lt_search_path_spec $lt_sys_path/$lt_multi_os_dir"
+    else
+      test -d "$lt_sys_path" && \
+	lt_tmp_lt_search_path_spec="$lt_tmp_lt_search_path_spec $lt_sys_path"
+    fi
+  done
+  lt_search_path_spec=`echo $lt_tmp_lt_search_path_spec | awk '
+BEGIN {RS=" "; FS="/|\n";} {
+  lt_foo="";
+  lt_count=0;
+  for (lt_i = NF; lt_i > 0; lt_i--) {
+    if ($lt_i != "" && $lt_i != ".") {
+      if ($lt_i == "..") {
+        lt_count++;
+      } else {
+        if (lt_count == 0) {
+          lt_foo="/" $lt_i lt_foo;
+        } else {
+          lt_count--;
+        }
+      }
+    }
+  }
+  if (lt_foo != "") { lt_freq[lt_foo]++; }
+  if (lt_freq[lt_foo] == 1) { print lt_foo; }
+}'`
+  sys_lib_search_path_spec=`echo $lt_search_path_spec`
 else
   sys_lib_search_path_spec="/lib /usr/lib /usr/local/lib"
 fi
@@ -8141,12 +9394,8 @@
   shlibpath_overrides_runpath=yes
   shlibpath_var=DYLD_LIBRARY_PATH
   shrext_cmds='`test .$module = .yes && echo .so || echo .dylib`'
-  # Apple's gcc prints 'gcc -print-search-dirs' doesn't operate the same.
-  if test "$GCC" = yes; then
-    sys_lib_search_path_spec=`$CC -print-search-dirs | tr "\n" "$PATH_SEPARATOR" | sed -e 's/libraries:/@libraries:/' | tr "@" "\n" | grep "^libraries:" | sed -e "s/^libraries://" -e "s,=/,/,g" -e "s,$PATH_SEPARATOR, ,g" -e "s,.*,& /lib /usr/lib /usr/local/lib,g"`
-  else
-    sys_lib_search_path_spec='/lib /usr/lib /usr/local/lib'
-  fi
+
+  sys_lib_search_path_spec="$sys_lib_search_path_spec /usr/local/lib"
   sys_lib_dlsearch_path_spec='/usr/local/lib /lib /usr/lib'
   ;;
 
@@ -8163,18 +9412,6 @@
   dynamic_linker=no
   ;;
 
-kfreebsd*-gnu)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  shlibpath_overrides_runpath=no
-  hardcode_into_libs=yes
-  dynamic_linker='GNU ld.so'
-  ;;
-
 freebsd* | dragonfly*)
   # DragonFly does not have aout.  When/if they implement a new
   # versioning mechanism, adjust this.
@@ -8212,7 +9449,7 @@
     shlibpath_overrides_runpath=no
     hardcode_into_libs=yes
     ;;
-  freebsd*) # from 4.6 on
+  *) # from 4.6 on, and DragonFly
     shlibpath_overrides_runpath=yes
     hardcode_into_libs=yes
     ;;
@@ -8275,7 +9512,7 @@
   postinstall_cmds='chmod 555 $lib'
   ;;
 
-interix3*)
+interix[3-9]*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -8330,7 +9567,7 @@
   ;;
 
 # This must be Linux ELF.
-linux*)
+linux* | k*bsd*-gnu)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -8346,7 +9583,7 @@
 
   # Append ld.so.conf contents to the search path
   if test -f /etc/ld.so.conf; then
-    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
+    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;/^[ 	]*hwcap[ 	]/d;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
     sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
   fi
 
@@ -8371,18 +9608,6 @@
   dynamic_linker='NetBSD ld.elf_so'
   ;;
 
-knetbsd*-gnu)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  shlibpath_overrides_runpath=no
-  hardcode_into_libs=yes
-  dynamic_linker='GNU ld.so'
-  ;;
-
 netbsd*)
   version_type=sunos
   need_lib_prefix=no
@@ -8464,6 +9689,10 @@
   sys_lib_dlsearch_path_spec="$sys_lib_search_path_spec"
   ;;
 
+rdos*)
+  dynamic_linker=no
+  ;;
+
 solaris*)
   version_type=linux
   need_lib_prefix=no
@@ -8556,8 +9785,8 @@
   dynamic_linker=no
   ;;
 esac
-echo "$as_me:$LINENO: result: $dynamic_linker" >&5
-echo "${ECHO_T}$dynamic_linker" >&6
+{ echo "$as_me:$LINENO: result: $dynamic_linker" >&5
+echo "${ECHO_T}$dynamic_linker" >&6; }
 test "$dynamic_linker" = no && can_build_shared=no
 
 variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
@@ -8565,8 +9794,8 @@
   variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
 fi
 
-echo "$as_me:$LINENO: checking how to hardcode library paths into programs" >&5
-echo $ECHO_N "checking how to hardcode library paths into programs... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking how to hardcode library paths into programs" >&5
+echo $ECHO_N "checking how to hardcode library paths into programs... $ECHO_C" >&6; }
 hardcode_action=
 if test -n "$hardcode_libdir_flag_spec" || \
    test -n "$runpath_var" || \
@@ -8590,8 +9819,8 @@
   # directories.
   hardcode_action=unsupported
 fi
-echo "$as_me:$LINENO: result: $hardcode_action" >&5
-echo "${ECHO_T}$hardcode_action" >&6
+{ echo "$as_me:$LINENO: result: $hardcode_action" >&5
+echo "${ECHO_T}$hardcode_action" >&6; }
 
 if test "$hardcode_action" = relink; then
   # Fast installation is not supported
@@ -8604,29 +9833,30 @@
 
 striplib=
 old_striplib=
-echo "$as_me:$LINENO: checking whether stripping libraries is possible" >&5
-echo $ECHO_N "checking whether stripping libraries is possible... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether stripping libraries is possible" >&5
+echo $ECHO_N "checking whether stripping libraries is possible... $ECHO_C" >&6; }
 if test -n "$STRIP" && $STRIP -V 2>&1 | grep "GNU strip" >/dev/null; then
   test -z "$old_striplib" && old_striplib="$STRIP --strip-debug"
   test -z "$striplib" && striplib="$STRIP --strip-unneeded"
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
 else
 # FIXME - insert some real tests, host_os isn't really good enough
   case $host_os in
    darwin*)
        if test -n "$STRIP" ; then
          striplib="$STRIP -x"
-         echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+         old_striplib="$STRIP -S"
+         { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
        else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
        ;;
    *)
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
     ;;
   esac
 fi
@@ -8658,8 +9888,8 @@
 
   darwin*)
   # if libdl is installed we need to link against it
-    echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
-echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
+    { echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
+echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6; }
 if test "${ac_cv_lib_dl_dlopen+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -8672,55 +9902,53 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char dlopen ();
 int
 main ()
 {
-dlopen ();
+return dlopen ();
   ;
   return 0;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   ac_cv_lib_dl_dlopen=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_dl_dlopen=no
+	ac_cv_lib_dl_dlopen=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
-echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
+echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6; }
 if test $ac_cv_lib_dl_dlopen = yes; then
   lt_cv_dlopen="dlopen" lt_cv_dlopen_libs="-ldl"
 else
@@ -8734,8 +9962,8 @@
    ;;
 
   *)
-    echo "$as_me:$LINENO: checking for shl_load" >&5
-echo $ECHO_N "checking for shl_load... $ECHO_C" >&6
+    { echo "$as_me:$LINENO: checking for shl_load" >&5
+echo $ECHO_N "checking for shl_load... $ECHO_C" >&6; }
 if test "${ac_cv_func_shl_load+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -8762,72 +9990,64 @@
 
 #undef shl_load
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
-{
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char shl_load ();
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
     something starting with __ and the normal name is an alias.  */
-#if defined (__stub_shl_load) || defined (__stub___shl_load)
+#if defined __stub_shl_load || defined __stub___shl_load
 choke me
-#else
-char (*f) () = shl_load;
-#endif
-#ifdef __cplusplus
-}
 #endif
 
 int
 main ()
 {
-return f != shl_load;
+return shl_load ();
   ;
   return 0;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   ac_cv_func_shl_load=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_func_shl_load=no
+	ac_cv_func_shl_load=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_func_shl_load" >&5
-echo "${ECHO_T}$ac_cv_func_shl_load" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_func_shl_load" >&5
+echo "${ECHO_T}$ac_cv_func_shl_load" >&6; }
 if test $ac_cv_func_shl_load = yes; then
   lt_cv_dlopen="shl_load"
 else
-  echo "$as_me:$LINENO: checking for shl_load in -ldld" >&5
-echo $ECHO_N "checking for shl_load in -ldld... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for shl_load in -ldld" >&5
+echo $ECHO_N "checking for shl_load in -ldld... $ECHO_C" >&6; }
 if test "${ac_cv_lib_dld_shl_load+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -8840,60 +10060,58 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char shl_load ();
 int
 main ()
 {
-shl_load ();
+return shl_load ();
   ;
   return 0;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   ac_cv_lib_dld_shl_load=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_dld_shl_load=no
+	ac_cv_lib_dld_shl_load=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_dld_shl_load" >&5
-echo "${ECHO_T}$ac_cv_lib_dld_shl_load" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_dld_shl_load" >&5
+echo "${ECHO_T}$ac_cv_lib_dld_shl_load" >&6; }
 if test $ac_cv_lib_dld_shl_load = yes; then
   lt_cv_dlopen="shl_load" lt_cv_dlopen_libs="-dld"
 else
-  echo "$as_me:$LINENO: checking for dlopen" >&5
-echo $ECHO_N "checking for dlopen... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for dlopen" >&5
+echo $ECHO_N "checking for dlopen... $ECHO_C" >&6; }
 if test "${ac_cv_func_dlopen+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -8920,72 +10138,64 @@
 
 #undef dlopen
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
-{
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char dlopen ();
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
     something starting with __ and the normal name is an alias.  */
-#if defined (__stub_dlopen) || defined (__stub___dlopen)
+#if defined __stub_dlopen || defined __stub___dlopen
 choke me
-#else
-char (*f) () = dlopen;
-#endif
-#ifdef __cplusplus
-}
 #endif
 
 int
 main ()
 {
-return f != dlopen;
+return dlopen ();
   ;
   return 0;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   ac_cv_func_dlopen=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_func_dlopen=no
+	ac_cv_func_dlopen=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_func_dlopen" >&5
-echo "${ECHO_T}$ac_cv_func_dlopen" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_func_dlopen" >&5
+echo "${ECHO_T}$ac_cv_func_dlopen" >&6; }
 if test $ac_cv_func_dlopen = yes; then
   lt_cv_dlopen="dlopen"
 else
-  echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
-echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for dlopen in -ldl" >&5
+echo $ECHO_N "checking for dlopen in -ldl... $ECHO_C" >&6; }
 if test "${ac_cv_lib_dl_dlopen+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -8998,60 +10208,58 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char dlopen ();
 int
 main ()
 {
-dlopen ();
+return dlopen ();
   ;
   return 0;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   ac_cv_lib_dl_dlopen=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_dl_dlopen=no
+	ac_cv_lib_dl_dlopen=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
-echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_dl_dlopen" >&5
+echo "${ECHO_T}$ac_cv_lib_dl_dlopen" >&6; }
 if test $ac_cv_lib_dl_dlopen = yes; then
   lt_cv_dlopen="dlopen" lt_cv_dlopen_libs="-ldl"
 else
-  echo "$as_me:$LINENO: checking for dlopen in -lsvld" >&5
-echo $ECHO_N "checking for dlopen in -lsvld... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for dlopen in -lsvld" >&5
+echo $ECHO_N "checking for dlopen in -lsvld... $ECHO_C" >&6; }
 if test "${ac_cv_lib_svld_dlopen+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -9064,60 +10272,58 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char dlopen ();
 int
 main ()
 {
-dlopen ();
+return dlopen ();
   ;
   return 0;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   ac_cv_lib_svld_dlopen=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_svld_dlopen=no
+	ac_cv_lib_svld_dlopen=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_svld_dlopen" >&5
-echo "${ECHO_T}$ac_cv_lib_svld_dlopen" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_svld_dlopen" >&5
+echo "${ECHO_T}$ac_cv_lib_svld_dlopen" >&6; }
 if test $ac_cv_lib_svld_dlopen = yes; then
   lt_cv_dlopen="dlopen" lt_cv_dlopen_libs="-lsvld"
 else
-  echo "$as_me:$LINENO: checking for dld_link in -ldld" >&5
-echo $ECHO_N "checking for dld_link in -ldld... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for dld_link in -ldld" >&5
+echo $ECHO_N "checking for dld_link in -ldld... $ECHO_C" >&6; }
 if test "${ac_cv_lib_dld_dld_link+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -9130,55 +10336,53 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char dld_link ();
 int
 main ()
 {
-dld_link ();
+return dld_link ();
   ;
   return 0;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   ac_cv_lib_dld_dld_link=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_dld_dld_link=no
+	ac_cv_lib_dld_dld_link=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_dld_dld_link" >&5
-echo "${ECHO_T}$ac_cv_lib_dld_dld_link" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_dld_dld_link" >&5
+echo "${ECHO_T}$ac_cv_lib_dld_dld_link" >&6; }
 if test $ac_cv_lib_dld_dld_link = yes; then
   lt_cv_dlopen="dld_link" lt_cv_dlopen_libs="-dld"
 fi
@@ -9218,8 +10422,8 @@
     save_LIBS="$LIBS"
     LIBS="$lt_cv_dlopen_libs $LIBS"
 
-    echo "$as_me:$LINENO: checking whether a program can dlopen itself" >&5
-echo $ECHO_N "checking whether a program can dlopen itself... $ECHO_C" >&6
+    { echo "$as_me:$LINENO: checking whether a program can dlopen itself" >&5
+echo $ECHO_N "checking whether a program can dlopen itself... $ECHO_C" >&6; }
 if test "${lt_cv_dlopen_self+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -9229,7 +10433,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9232 "configure"
+#line 10436 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9313,13 +10517,13 @@
 
 
 fi
-echo "$as_me:$LINENO: result: $lt_cv_dlopen_self" >&5
-echo "${ECHO_T}$lt_cv_dlopen_self" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_dlopen_self" >&5
+echo "${ECHO_T}$lt_cv_dlopen_self" >&6; }
 
     if test "x$lt_cv_dlopen_self" = xyes; then
       wl=$lt_prog_compiler_wl eval LDFLAGS=\"\$LDFLAGS $lt_prog_compiler_static\"
-      echo "$as_me:$LINENO: checking whether a statically linked program can dlopen itself" >&5
-echo $ECHO_N "checking whether a statically linked program can dlopen itself... $ECHO_C" >&6
+      { echo "$as_me:$LINENO: checking whether a statically linked program can dlopen itself" >&5
+echo $ECHO_N "checking whether a statically linked program can dlopen itself... $ECHO_C" >&6; }
 if test "${lt_cv_dlopen_self_static+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -9329,7 +10533,7 @@
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9332 "configure"
+#line 10536 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9413,8 +10617,8 @@
 
 
 fi
-echo "$as_me:$LINENO: result: $lt_cv_dlopen_self_static" >&5
-echo "${ECHO_T}$lt_cv_dlopen_self_static" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_dlopen_self_static" >&5
+echo "${ECHO_T}$lt_cv_dlopen_self_static" >&6; }
     fi
 
     CPPFLAGS="$save_CPPFLAGS"
@@ -9436,13 +10640,13 @@
 
 
 # Report which library types will actually be built
-echo "$as_me:$LINENO: checking if libtool supports shared libraries" >&5
-echo $ECHO_N "checking if libtool supports shared libraries... $ECHO_C" >&6
-echo "$as_me:$LINENO: result: $can_build_shared" >&5
-echo "${ECHO_T}$can_build_shared" >&6
+{ echo "$as_me:$LINENO: checking if libtool supports shared libraries" >&5
+echo $ECHO_N "checking if libtool supports shared libraries... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: result: $can_build_shared" >&5
+echo "${ECHO_T}$can_build_shared" >&6; }
 
-echo "$as_me:$LINENO: checking whether to build shared libraries" >&5
-echo $ECHO_N "checking whether to build shared libraries... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether to build shared libraries" >&5
+echo $ECHO_N "checking whether to build shared libraries... $ECHO_C" >&6; }
 test "$can_build_shared" = "no" && enable_shared=no
 
 # On AIX, shared libraries and static libraries use the same namespace, and
@@ -9462,15 +10666,15 @@
   fi
     ;;
 esac
-echo "$as_me:$LINENO: result: $enable_shared" >&5
-echo "${ECHO_T}$enable_shared" >&6
+{ echo "$as_me:$LINENO: result: $enable_shared" >&5
+echo "${ECHO_T}$enable_shared" >&6; }
 
-echo "$as_me:$LINENO: checking whether to build static libraries" >&5
-echo $ECHO_N "checking whether to build static libraries... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether to build static libraries" >&5
+echo $ECHO_N "checking whether to build static libraries... $ECHO_C" >&6; }
 # Make sure either enable_shared or enable_static is yes.
 test "$enable_shared" = yes || enable_static=yes
-echo "$as_me:$LINENO: result: $enable_static" >&5
-echo "${ECHO_T}$enable_static" >&6
+{ echo "$as_me:$LINENO: result: $enable_static" >&5
+echo "${ECHO_T}$enable_static" >&6; }
 
 # The else clause should only fire when bootstrapping the
 # libtool distribution, otherwise you forgot to ship ltmain.sh
@@ -9527,6 +10731,7 @@
     module_cmds \
     module_expsym_cmds \
     lt_cv_prog_compiler_c_o \
+    fix_srcfile_path \
     exclude_expsyms \
     include_expsyms; do
 
@@ -9571,7 +10776,7 @@
 # Generated automatically by $PROGRAM (GNU $PACKAGE $VERSION$TIMESTAMP)
 # NOTE: Changes made to this file will be lost: look at ltmain.sh.
 #
-# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001
+# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007
 # Free Software Foundation, Inc.
 #
 # This file is part of GNU Libtool:
@@ -9895,7 +11100,7 @@
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
 
 # Fix the shell variable \$srcfile for the compiler.
-fix_srcfile_path="$fix_srcfile_path"
+fix_srcfile_path=$lt_fix_srcfile_path
 
 # Set to yes if exported symbols are required.
 always_export_symbols=$always_export_symbols
@@ -9962,11 +11167,11 @@
 CC="$lt_save_CC"
 
 
-# Check whether --with-tags or --without-tags was given.
+# Check whether --with-tags was given.
 if test "${with_tags+set}" = set; then
-  withval="$with_tags"
-  tagnames="$withval"
-fi;
+  withval=$with_tags; tagnames="$withval"
+fi
+
 
 if test -f "$ltmain" && test -n "$tagnames"; then
   if test ! -f "${ofile}"; then
@@ -10020,7 +11225,7 @@
 	if test -n "$CXX" && ( test "X$CXX" != "Xno" &&
 	    ( (test "X$CXX" = "Xg++" && `g++ -v >/dev/null 2>&1` ) ||
 	    (test "X$CXX" != "Xg++"))) ; then
-	  ac_ext=cc
+	  ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
@@ -10064,10 +11269,10 @@
 objext_CXX=$objext
 
 # Code to be used in simple compile tests
-lt_simple_compile_test_code="int some_variable = 0;\n"
+lt_simple_compile_test_code="int some_variable = 0;"
 
 # Code to be used in simple link tests
-lt_simple_link_test_code='int main(int, char *[]) { return(0); }\n'
+lt_simple_link_test_code='int main(int, char *[]) { return(0); }'
 
 # ltmain only uses $CC for tagged configurations so make sure $CC is set.
 
@@ -10083,13 +11288,13 @@
 
 # save warnings/boilerplate of simple test code
 ac_outfile=conftest.$ac_objext
-printf "$lt_simple_compile_test_code" >conftest.$ac_ext
+echo "$lt_simple_compile_test_code" >conftest.$ac_ext
 eval "$ac_compile" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_compiler_boilerplate=`cat conftest.err`
 $rm conftest*
 
 ac_outfile=conftest.$ac_objext
-printf "$lt_simple_link_test_code" >conftest.$ac_ext
+echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
 $rm conftest*
@@ -10139,18 +11344,18 @@
   # Set up default GNU C++ configuration
 
 
-# Check whether --with-gnu-ld or --without-gnu-ld was given.
+# Check whether --with-gnu-ld was given.
 if test "${with_gnu_ld+set}" = set; then
-  withval="$with_gnu_ld"
-  test "$withval" = no || with_gnu_ld=yes
+  withval=$with_gnu_ld; test "$withval" = no || with_gnu_ld=yes
 else
   with_gnu_ld=no
-fi;
+fi
+
 ac_prog=ld
 if test "$GCC" = yes; then
   # Check if gcc -print-prog-name=ld gives a path.
-  echo "$as_me:$LINENO: checking for ld used by $CC" >&5
-echo $ECHO_N "checking for ld used by $CC... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for ld used by $CC" >&5
+echo $ECHO_N "checking for ld used by $CC... $ECHO_C" >&6; }
   case $host in
   *-*-mingw*)
     # gcc leaves a trailing carriage return which upsets mingw
@@ -10179,11 +11384,11 @@
     ;;
   esac
 elif test "$with_gnu_ld" = yes; then
-  echo "$as_me:$LINENO: checking for GNU ld" >&5
-echo $ECHO_N "checking for GNU ld... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for GNU ld" >&5
+echo $ECHO_N "checking for GNU ld... $ECHO_C" >&6; }
 else
-  echo "$as_me:$LINENO: checking for non-GNU ld" >&5
-echo $ECHO_N "checking for non-GNU ld... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking for non-GNU ld" >&5
+echo $ECHO_N "checking for non-GNU ld... $ECHO_C" >&6; }
 fi
 if test "${lt_cv_path_LD+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -10216,17 +11421,17 @@
 
 LD="$lt_cv_path_LD"
 if test -n "$LD"; then
-  echo "$as_me:$LINENO: result: $LD" >&5
-echo "${ECHO_T}$LD" >&6
+  { echo "$as_me:$LINENO: result: $LD" >&5
+echo "${ECHO_T}$LD" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 test -z "$LD" && { { echo "$as_me:$LINENO: error: no acceptable ld found in \$PATH" >&5
 echo "$as_me: error: no acceptable ld found in \$PATH" >&2;}
    { (exit 1); exit 1; }; }
-echo "$as_me:$LINENO: checking if the linker ($LD) is GNU ld" >&5
-echo $ECHO_N "checking if the linker ($LD) is GNU ld... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if the linker ($LD) is GNU ld" >&5
+echo $ECHO_N "checking if the linker ($LD) is GNU ld... $ECHO_C" >&6; }
 if test "${lt_cv_prog_gnu_ld+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -10240,8 +11445,8 @@
   ;;
 esac
 fi
-echo "$as_me:$LINENO: result: $lt_cv_prog_gnu_ld" >&5
-echo "${ECHO_T}$lt_cv_prog_gnu_ld" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_gnu_ld" >&5
+echo "${ECHO_T}$lt_cv_prog_gnu_ld" >&6; }
 with_gnu_ld=$lt_cv_prog_gnu_ld
 
 
@@ -10291,8 +11496,8 @@
 fi
 
 # PORTME: fill in a description of your system's C++ link characteristics
-echo "$as_me:$LINENO: checking whether the $compiler linker ($LD) supports shared libraries" >&5
-echo $ECHO_N "checking whether the $compiler linker ($LD) supports shared libraries... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether the $compiler linker ($LD) supports shared libraries" >&5
+echo $ECHO_N "checking whether the $compiler linker ($LD) supports shared libraries... $ECHO_C" >&6; }
 ld_shlibs_CXX=yes
 case $host_os in
   aix3*)
@@ -10348,7 +11553,7 @@
 	   strings "$collect2name" | grep resolve_lib_name >/dev/null
 	then
 	  # We have reworked collect2
-	  hardcode_direct_CXX=yes
+	  :
 	else
 	  # We have old collect2
 	  hardcode_direct_CXX=unsupported
@@ -10404,38 +11609,44 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
 
-aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`
+lt_aix_libpath_sed='
+    /Import File Strings/,/^$/ {
+	/^0/ {
+	    s/^0  *\(.*\)$/\1/
+	    p
+	}
+    }'
+aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
 # Check for a 64-bit object if we didn't find anything.
-if test -z "$aix_libpath"; then aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`; fi
+if test -z "$aix_libpath"; then
+  aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
+fi
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
 
@@ -10465,38 +11676,44 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
 
-aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`
+lt_aix_libpath_sed='
+    /Import File Strings/,/^$/ {
+	/^0/ {
+	    s/^0  *\(.*\)$/\1/
+	    p
+	}
+    }'
+aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
 # Check for a 64-bit object if we didn't find anything.
-if test -z "$aix_libpath"; then aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`; fi
+if test -z "$aix_libpath"; then
+  aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
+fi
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
 
@@ -10607,10 +11824,10 @@
       case $cc_basename in
         xlc*)
          output_verbose_link_cmd='echo'
-          archive_cmds_CXX='$CC -qmkshrobj ${wl}-single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $verstring'
+          archive_cmds_CXX='$CC -qmkshrobj ${wl}-single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $xlcverstring'
           module_cmds_CXX='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
           # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-          archive_expsym_cmds_CXX='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj ${wl}-single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
+          archive_expsym_cmds_CXX='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj ${wl}-single_module $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $xlcverstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           module_expsym_cmds_CXX='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           ;;
        *)
@@ -10644,7 +11861,7 @@
   freebsd-elf*)
     archive_cmds_need_lc_CXX=no
     ;;
-  freebsd* | kfreebsd*-gnu | dragonfly*)
+  freebsd* | dragonfly*)
     # FreeBSD 3 and later use GNU C++ and GNU ld with standard ELF
     # conventions
     ld_shlibs_CXX=yes
@@ -10693,9 +11910,7 @@
       hardcode_libdir_separator_CXX=:
 
       case $host_cpu in
-      hppa*64*|ia64*)
-	hardcode_libdir_flag_spec_ld_CXX='+b $libdir'
-        ;;
+      hppa*64*|ia64*) ;;
       *)
 	export_dynamic_flag_spec_CXX='${wl}-E'
         ;;
@@ -10763,7 +11978,7 @@
 	;;
     esac
     ;;
-  interix3*)
+  interix[3-9]*)
     hardcode_direct_CXX=no
     hardcode_shlibpath_var_CXX=no
     hardcode_libdir_flag_spec_CXX='${wl}-rpath,$libdir'
@@ -10803,7 +12018,7 @@
     hardcode_libdir_flag_spec_CXX='${wl}-rpath ${wl}$libdir'
     hardcode_libdir_separator_CXX=:
     ;;
-  linux*)
+  linux* | k*bsd*-gnu)
     case $cc_basename in
       KCC*)
 	# Kuck and Associates, Inc. (KAI) C++ Compiler
@@ -10883,6 +12098,29 @@
 	# dependencies.
 	output_verbose_link_cmd='templist=`$CC -shared $CFLAGS -v conftest.$objext 2>&1 | grep "ld"`; templist=`echo $templist | $SED "s/\(^.*ld.*\)\( .*ld .*$\)/\1/"`; list=""; for z in $templist; do case $z in conftest.$objext) list="$list $z";; *.$objext);; *) list="$list $z";;esac; done; echo $list'
 	;;
+      *)
+	case `$CC -V 2>&1 | sed 5q` in
+	*Sun\ C*)
+	  # Sun C++ 5.9
+	  no_undefined_flag_CXX=' -zdefs'
+	  archive_cmds_CXX='$CC -G${allow_undefined_flag} -h$soname -o $lib $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags'
+	  archive_expsym_cmds_CXX='$CC -G${allow_undefined_flag} -h$soname -o $lib $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-retain-symbols-file ${wl}$export_symbols'
+	  hardcode_libdir_flag_spec_CXX='-R$libdir'
+	  whole_archive_flag_spec_CXX='${wl}--whole-archive`new_convenience=; for conv in $convenience\"\"; do test -z \"$conv\" || new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}--no-whole-archive'
+
+	  # Not sure whether something based on
+	  # $CC $CFLAGS -v conftest.$objext -o libconftest$shared_ext 2>&1
+	  # would be better.
+	  output_verbose_link_cmd='echo'
+
+	  # Archives containing C++ object files must be created using
+	  # "CC -xar", where "CC" is the Sun C++ compiler.  This is
+	  # necessary to make sure instantiated templates are included
+	  # in the archive.
+	  old_archive_cmds_CXX='$CC -xar -o $oldlib $oldobjs'
+	  ;;
+	esac
+	;;
     esac
     ;;
   lynxos*)
@@ -10905,7 +12143,7 @@
 	;;
     esac
     ;;
-  netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+  netbsd* | netbsdelf*-gnu)
     if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
       archive_cmds_CXX='$LD -Bshareable  -o $lib $predep_objects $libobjs $deplibs $postdep_objects $linker_flags'
       wlarc=
@@ -10921,16 +12159,20 @@
     ld_shlibs_CXX=no
     ;;
   openbsd*)
-    hardcode_direct_CXX=yes
-    hardcode_shlibpath_var_CXX=no
-    archive_cmds_CXX='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $lib'
-    hardcode_libdir_flag_spec_CXX='${wl}-rpath,$libdir'
-    if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
-      archive_expsym_cmds_CXX='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-retain-symbols-file,$export_symbols -o $lib'
-      export_dynamic_flag_spec_CXX='${wl}-E'
-      whole_archive_flag_spec_CXX="$wlarc"'--whole-archive$convenience '"$wlarc"'--no-whole-archive'
+    if test -f /usr/libexec/ld.so; then
+      hardcode_direct_CXX=yes
+      hardcode_shlibpath_var_CXX=no
+      archive_cmds_CXX='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags -o $lib'
+      hardcode_libdir_flag_spec_CXX='${wl}-rpath,$libdir'
+      if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
+	archive_expsym_cmds_CXX='$CC -shared $pic_flag $predep_objects $libobjs $deplibs $postdep_objects $compiler_flags ${wl}-retain-symbols-file,$export_symbols -o $lib'
+	export_dynamic_flag_spec_CXX='${wl}-E'
+	whole_archive_flag_spec_CXX="$wlarc"'--whole-archive$convenience '"$wlarc"'--no-whole-archive'
+      fi
+      output_verbose_link_cmd='echo'
+    else
+      ld_shlibs_CXX=no
     fi
-    output_verbose_link_cmd='echo'
     ;;
   osf3*)
     case $cc_basename in
@@ -11092,15 +12334,10 @@
 	case $host_os in
 	  solaris2.[0-5] | solaris2.[0-5].*) ;;
 	  *)
-	    # The C++ compiler is used as linker so we must use $wl
-	    # flag to pass the commands to the underlying system
-	    # linker. We must also pass each convience library through
-	    # to the system linker between allextract/defaultextract.
-	    # The C++ compiler will combine linker options so we
-	    # cannot just pass the convience library names through
-	    # without $wl.
+	    # The compiler driver will combine and reorder linker options,
+	    # but understands `-z linker_flag'.
 	    # Supported since Solaris 2.6 (maybe 2.5.1?)
-	    whole_archive_flag_spec_CXX='${wl}-z ${wl}allextract`for conv in $convenience\"\"; do test -n \"$conv\" && new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}-z ${wl}defaultextract'
+	    whole_archive_flag_spec_CXX='-z allextract$convenience -z defaultextract'
 	    ;;
 	esac
 	link_all_deplibs_CXX=yes
@@ -11147,6 +12384,12 @@
 	  fi
 
 	  hardcode_libdir_flag_spec_CXX='${wl}-R $wl$libdir'
+	  case $host_os in
+	  solaris2.[0-5] | solaris2.[0-5].*) ;;
+	  *)
+	    whole_archive_flag_spec_CXX='${wl}-z ${wl}allextract$convenience ${wl}-z ${wl}defaultextract'
+	    ;;
+	  esac
 	fi
 	;;
     esac
@@ -11227,8 +12470,8 @@
     ld_shlibs_CXX=no
     ;;
 esac
-echo "$as_me:$LINENO: result: $ld_shlibs_CXX" >&5
-echo "${ECHO_T}$ld_shlibs_CXX" >&6
+{ echo "$as_me:$LINENO: result: $ld_shlibs_CXX" >&5
+echo "${ECHO_T}$ld_shlibs_CXX" >&6; }
 test "$ld_shlibs_CXX" = no && can_build_shared=no
 
 GCC_CXX="$GXX"
@@ -11338,7 +12581,7 @@
 
 # PORTME: override above test on systems where it is broken
 case $host_os in
-interix3*)
+interix[3-9]*)
   # Interix 3.5 installs completely hosed .la files for C++, so rather than
   # hack all around it, let's just trust "g++" to DTRT.
   predep_objects_CXX=
@@ -11346,13 +12589,46 @@
   postdeps_CXX=
   ;;
 
+linux*)
+  case `$CC -V 2>&1 | sed 5q` in
+  *Sun\ C*)
+    # Sun C++ 5.9
+    #
+    # The more standards-conforming stlport4 library is
+    # incompatible with the Cstd library. Avoid specifying
+    # it if it's in CXXFLAGS. Ignore libCrun as
+    # -library=stlport4 depends on it.
+    case " $CXX $CXXFLAGS " in
+    *" -library=stlport4 "*)
+      solaris_use_stlport4=yes
+      ;;
+    esac
+    if test "$solaris_use_stlport4" != yes; then
+      postdeps_CXX='-library=Cstd -library=Crun'
+    fi
+    ;;
+  esac
+  ;;
+
 solaris*)
   case $cc_basename in
   CC*)
+    # The more standards-conforming stlport4 library is
+    # incompatible with the Cstd library. Avoid specifying
+    # it if it's in CXXFLAGS. Ignore libCrun as
+    # -library=stlport4 depends on it.
+    case " $CXX $CXXFLAGS " in
+    *" -library=stlport4 "*)
+      solaris_use_stlport4=yes
+      ;;
+    esac
+
     # Adding this requires a known-good setup of shared libraries for
     # Sun compiler versions before 5.6, else PIC objects from an old
     # archive will be linked into the output, leading to subtle bugs.
-    postdeps_CXX='-lCstd -lCrun'
+    if test "$solaris_use_stlport4" != yes; then
+      postdeps_CXX='-library=Cstd -library=Crun'
+    fi
     ;;
   esac
   ;;
@@ -11367,8 +12643,8 @@
 lt_prog_compiler_pic_CXX=
 lt_prog_compiler_static_CXX=
 
-echo "$as_me:$LINENO: checking for $compiler option to produce PIC" >&5
-echo $ECHO_N "checking for $compiler option to produce PIC... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $compiler option to produce PIC" >&5
+echo $ECHO_N "checking for $compiler option to produce PIC... $ECHO_C" >&6; }
 
   # C++ specific cases for pic, static, wl, etc.
   if test "$GXX" = yes; then
@@ -11389,12 +12665,14 @@
       # like `-m68040'.
       lt_prog_compiler_pic_CXX='-m68020 -resident32 -malways-restore-a4'
       ;;
-    beos* | cygwin* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
+    beos* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
       # PIC is the default for these OSes.
       ;;
-    mingw* | os2* | pw32*)
+    mingw* | cygwin* | os2* | pw32*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
+      # Although the cygwin gcc ignores -fPIC, still need this for old-style
+      # (--disable-auto-import) libraries
       lt_prog_compiler_pic_CXX='-DDLL_EXPORT'
       ;;
     darwin* | rhapsody*)
@@ -11406,7 +12684,7 @@
       # DJGPP does not support shared libraries at all
       lt_prog_compiler_pic_CXX=
       ;;
-    interix3*)
+    interix[3-9]*)
       # Interix 3.x gcc -fpic/-fPIC options generate broken code.
       # Instead, we relocate shared libraries at runtime.
       ;;
@@ -11472,7 +12750,7 @@
 	    ;;
 	esac
 	;;
-      freebsd* | kfreebsd*-gnu | dragonfly*)
+      freebsd* | dragonfly*)
 	# FreeBSD uses GNU C++
 	;;
       hpux9* | hpux10* | hpux11*)
@@ -11515,7 +12793,7 @@
 	    ;;
 	esac
 	;;
-      linux*)
+      linux* | k*bsd*-gnu)
 	case $cc_basename in
 	  KCC*)
 	    # KAI C++ Compiler
@@ -11542,6 +12820,14 @@
 	    lt_prog_compiler_static_CXX='-non_shared'
 	    ;;
 	  *)
+	    case `$CC -V 2>&1 | sed 5q` in
+	    *Sun\ C*)
+	      # Sun C++ 5.9
+	      lt_prog_compiler_pic_CXX='-KPIC'
+	      lt_prog_compiler_static_CXX='-Bstatic'
+	      lt_prog_compiler_wl_CXX='-Qoption ld '
+	      ;;
+	    esac
 	    ;;
 	esac
 	;;
@@ -11558,7 +12844,7 @@
 	    ;;
 	esac
 	;;
-      netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+      netbsd* | netbsdelf*-gnu)
 	;;
       osf3* | osf4* | osf5*)
 	case $cc_basename in
@@ -11641,22 +12927,22 @@
     esac
   fi
 
-echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_CXX" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_CXX" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_CXX" >&5
+echo "${ECHO_T}$lt_prog_compiler_pic_CXX" >&6; }
 
 #
 # Check to make sure the PIC flag actually works.
 #
 if test -n "$lt_prog_compiler_pic_CXX"; then
 
-echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_CXX works" >&5
-echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_CXX works... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_CXX works" >&5
+echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_CXX works... $ECHO_C" >&6; }
 if test "${lt_prog_compiler_pic_works_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_prog_compiler_pic_works_CXX=no
   ac_outfile=conftest.$ac_objext
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="$lt_prog_compiler_pic_CXX -DPIC"
    # Insert the option either (1) after the last *FLAGS variable, or
    # (2) before a word containing "conftest.", or (3) at the end.
@@ -11667,11 +12953,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11670: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12956: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11674: \$? = $ac_status" >&5
+   echo "$as_me:12960: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11684,8 +12970,8 @@
    $rm conftest*
 
 fi
-echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works_CXX" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_works_CXX" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works_CXX" >&5
+echo "${ECHO_T}$lt_prog_compiler_pic_works_CXX" >&6; }
 
 if test x"$lt_prog_compiler_pic_works_CXX" = xyes; then
     case $lt_prog_compiler_pic_CXX in
@@ -11712,15 +12998,15 @@
 # Check to make sure the static flag actually works.
 #
 wl=$lt_prog_compiler_wl_CXX eval lt_tmp_static_flag=\"$lt_prog_compiler_static_CXX\"
-echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
-echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
+echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
 if test "${lt_prog_compiler_static_works_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_prog_compiler_static_works_CXX=no
    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $lt_tmp_static_flag"
-   printf "$lt_simple_link_test_code" > conftest.$ac_ext
+   echo "$lt_simple_link_test_code" > conftest.$ac_ext
    if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
      # The linker can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -11740,8 +13026,8 @@
    LDFLAGS="$save_LDFLAGS"
 
 fi
-echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works_CXX" >&5
-echo "${ECHO_T}$lt_prog_compiler_static_works_CXX" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works_CXX" >&5
+echo "${ECHO_T}$lt_prog_compiler_static_works_CXX" >&6; }
 
 if test x"$lt_prog_compiler_static_works_CXX" = xyes; then
     :
@@ -11750,8 +13036,8 @@
 fi
 
 
-echo "$as_me:$LINENO: checking if $compiler supports -c -o file.$ac_objext" >&5
-echo $ECHO_N "checking if $compiler supports -c -o file.$ac_objext... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler supports -c -o file.$ac_objext" >&5
+echo $ECHO_N "checking if $compiler supports -c -o file.$ac_objext... $ECHO_C" >&6; }
 if test "${lt_cv_prog_compiler_c_o_CXX+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -11760,7 +13046,7 @@
    mkdir conftest
    cd conftest
    mkdir out
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
 
    lt_compiler_flag="-o out/conftest2.$ac_objext"
    # Insert the option either (1) after the last *FLAGS variable, or
@@ -11771,11 +13057,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11774: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13060: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11778: \$? = $ac_status" >&5
+   echo "$as_me:13064: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -11797,23 +13083,23 @@
    $rm conftest*
 
 fi
-echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_c_o_CXX" >&5
-echo "${ECHO_T}$lt_cv_prog_compiler_c_o_CXX" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_c_o_CXX" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_c_o_CXX" >&6; }
 
 
 hard_links="nottested"
 if test "$lt_cv_prog_compiler_c_o_CXX" = no && test "$need_locks" != no; then
   # do not overwrite the value of need_locks provided by the user
-  echo "$as_me:$LINENO: checking if we can lock with hard links" >&5
-echo $ECHO_N "checking if we can lock with hard links... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking if we can lock with hard links" >&5
+echo $ECHO_N "checking if we can lock with hard links... $ECHO_C" >&6; }
   hard_links=yes
   $rm conftest*
   ln conftest.a conftest.b 2>/dev/null && hard_links=no
   touch conftest.a
   ln conftest.a conftest.b 2>&5 || hard_links=no
   ln conftest.a conftest.b 2>/dev/null && hard_links=no
-  echo "$as_me:$LINENO: result: $hard_links" >&5
-echo "${ECHO_T}$hard_links" >&6
+  { echo "$as_me:$LINENO: result: $hard_links" >&5
+echo "${ECHO_T}$hard_links" >&6; }
   if test "$hard_links" = no; then
     { echo "$as_me:$LINENO: WARNING: \`$CC' does not support \`-c -o', so \`make -j' may be unsafe" >&5
 echo "$as_me: WARNING: \`$CC' does not support \`-c -o', so \`make -j' may be unsafe" >&2;}
@@ -11823,8 +13109,8 @@
   need_locks=no
 fi
 
-echo "$as_me:$LINENO: checking whether the $compiler linker ($LD) supports shared libraries" >&5
-echo $ECHO_N "checking whether the $compiler linker ($LD) supports shared libraries... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether the $compiler linker ($LD) supports shared libraries" >&5
+echo $ECHO_N "checking whether the $compiler linker ($LD) supports shared libraries... $ECHO_C" >&6; }
 
   export_symbols_cmds_CXX='$NM $libobjs $convenience | $global_symbol_pipe | $SED '\''s/.* //'\'' | sort | uniq > $export_symbols'
   case $host_os in
@@ -11841,12 +13127,9 @@
     export_symbols_cmds_CXX="$ltdll_cmds"
   ;;
   cygwin* | mingw*)
-    export_symbols_cmds_CXX='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[BCDGRS] /s/.* \([^ ]*\)/\1 DATA/;/^.* __nm__/s/^.* __nm__\([^ ]*\) [^ ]*/\1 DATA/;/^I /d;/^[AITW] /s/.* //'\'' | sort | uniq > $export_symbols'
-  ;;
-  kfreebsd*-gnu)
-    link_all_deplibs_CXX=no
-  ;;
-  linux*)
+    export_symbols_cmds_CXX='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[BCDGRS][ ]/s/.*[ ]\([^ ]*\)/\1 DATA/;/^.*[ ]__nm__/s/^.*[ ]__nm__\([^ ]*\)[ ][^ ]*/\1 DATA/;/^I[ ]/d;/^[AITW][ ]/s/.*[ ]//'\'' | sort | uniq > $export_symbols'
+  ;;
+  linux* | k*bsd*-gnu)
     link_all_deplibs_CXX=no
   ;;
   *)
@@ -11854,8 +13137,8 @@
   ;;
   esac
 
-echo "$as_me:$LINENO: result: $ld_shlibs_CXX" >&5
-echo "${ECHO_T}$ld_shlibs_CXX" >&6
+{ echo "$as_me:$LINENO: result: $ld_shlibs_CXX" >&5
+echo "${ECHO_T}$ld_shlibs_CXX" >&6; }
 test "$ld_shlibs_CXX" = no && can_build_shared=no
 
 #
@@ -11875,10 +13158,10 @@
       # Test whether the compiler implicitly links with -lc since on some
       # systems, -lgcc has to come before -lc. If gcc already passes -lc
       # to ld, don't add -lc before -lgcc.
-      echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
-echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6
+      { echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
+echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6; }
       $rm conftest*
-      printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+      echo "$lt_simple_compile_test_code" > conftest.$ac_ext
 
       if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
@@ -11913,16 +13196,16 @@
         cat conftest.err 1>&5
       fi
       $rm conftest*
-      echo "$as_me:$LINENO: result: $archive_cmds_need_lc_CXX" >&5
-echo "${ECHO_T}$archive_cmds_need_lc_CXX" >&6
+      { echo "$as_me:$LINENO: result: $archive_cmds_need_lc_CXX" >&5
+echo "${ECHO_T}$archive_cmds_need_lc_CXX" >&6; }
       ;;
     esac
   fi
   ;;
 esac
 
-echo "$as_me:$LINENO: checking dynamic linker characteristics" >&5
-echo $ECHO_N "checking dynamic linker characteristics... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking dynamic linker characteristics" >&5
+echo $ECHO_N "checking dynamic linker characteristics... $ECHO_C" >&6; }
 library_names_spec=
 libname_spec='lib$name'
 soname_spec=
@@ -11936,20 +13219,7 @@
 version_type=none
 dynamic_linker="$host_os ld.so"
 sys_lib_dlsearch_path_spec="/lib /usr/lib"
-if test "$GCC" = yes; then
-  sys_lib_search_path_spec=`$CC -print-search-dirs | grep "^libraries:" | $SED -e "s/^libraries://" -e "s,=/,/,g"`
-  if echo "$sys_lib_search_path_spec" | grep ';' >/dev/null ; then
-    # if the path contains ";" then we assume it to be the separator
-    # otherwise default to the standard path separator (i.e. ":") - it is
-    # assumed that no part of a normal pathname contains ";" but that should
-    # okay in the real world where ";" in dirpaths is itself problematic.
-    sys_lib_search_path_spec=`echo "$sys_lib_search_path_spec" | $SED -e 's/;/ /g'`
-  else
-    sys_lib_search_path_spec=`echo "$sys_lib_search_path_spec" | $SED  -e "s/$PATH_SEPARATOR/ /g"`
-  fi
-else
-  sys_lib_search_path_spec="/lib /usr/lib /usr/local/lib"
-fi
+
 need_lib_prefix=unknown
 hardcode_into_libs=no
 
@@ -12106,12 +13376,7 @@
   shlibpath_overrides_runpath=yes
   shlibpath_var=DYLD_LIBRARY_PATH
   shrext_cmds='`test .$module = .yes && echo .so || echo .dylib`'
-  # Apple's gcc prints 'gcc -print-search-dirs' doesn't operate the same.
-  if test "$GCC" = yes; then
-    sys_lib_search_path_spec=`$CC -print-search-dirs | tr "\n" "$PATH_SEPARATOR" | sed -e 's/libraries:/@libraries:/' | tr "@" "\n" | grep "^libraries:" | sed -e "s/^libraries://" -e "s,=/,/,g" -e "s,$PATH_SEPARATOR, ,g" -e "s,.*,& /lib /usr/lib /usr/local/lib,g"`
-  else
-    sys_lib_search_path_spec='/lib /usr/lib /usr/local/lib'
-  fi
+
   sys_lib_dlsearch_path_spec='/usr/local/lib /lib /usr/lib'
   ;;
 
@@ -12128,18 +13393,6 @@
   dynamic_linker=no
   ;;
 
-kfreebsd*-gnu)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  shlibpath_overrides_runpath=no
-  hardcode_into_libs=yes
-  dynamic_linker='GNU ld.so'
-  ;;
-
 freebsd* | dragonfly*)
   # DragonFly does not have aout.  When/if they implement a new
   # versioning mechanism, adjust this.
@@ -12177,7 +13430,7 @@
     shlibpath_overrides_runpath=no
     hardcode_into_libs=yes
     ;;
-  freebsd*) # from 4.6 on
+  *) # from 4.6 on, and DragonFly
     shlibpath_overrides_runpath=yes
     hardcode_into_libs=yes
     ;;
@@ -12240,7 +13493,7 @@
   postinstall_cmds='chmod 555 $lib'
   ;;
 
-interix3*)
+interix[3-9]*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -12295,7 +13548,7 @@
   ;;
 
 # This must be Linux ELF.
-linux*)
+linux* | k*bsd*-gnu)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -12311,7 +13564,7 @@
 
   # Append ld.so.conf contents to the search path
   if test -f /etc/ld.so.conf; then
-    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
+    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;/^[ 	]*hwcap[ 	]/d;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
     sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
   fi
 
@@ -12336,18 +13589,6 @@
   dynamic_linker='NetBSD ld.elf_so'
   ;;
 
-knetbsd*-gnu)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  shlibpath_overrides_runpath=no
-  hardcode_into_libs=yes
-  dynamic_linker='GNU ld.so'
-  ;;
-
 netbsd*)
   version_type=sunos
   need_lib_prefix=no
@@ -12429,6 +13670,10 @@
   sys_lib_dlsearch_path_spec="$sys_lib_search_path_spec"
   ;;
 
+rdos*)
+  dynamic_linker=no
+  ;;
+
 solaris*)
   version_type=linux
   need_lib_prefix=no
@@ -12521,8 +13766,8 @@
   dynamic_linker=no
   ;;
 esac
-echo "$as_me:$LINENO: result: $dynamic_linker" >&5
-echo "${ECHO_T}$dynamic_linker" >&6
+{ echo "$as_me:$LINENO: result: $dynamic_linker" >&5
+echo "${ECHO_T}$dynamic_linker" >&6; }
 test "$dynamic_linker" = no && can_build_shared=no
 
 variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
@@ -12530,8 +13775,8 @@
   variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
 fi
 
-echo "$as_me:$LINENO: checking how to hardcode library paths into programs" >&5
-echo $ECHO_N "checking how to hardcode library paths into programs... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking how to hardcode library paths into programs" >&5
+echo $ECHO_N "checking how to hardcode library paths into programs... $ECHO_C" >&6; }
 hardcode_action_CXX=
 if test -n "$hardcode_libdir_flag_spec_CXX" || \
    test -n "$runpath_var_CXX" || \
@@ -12555,8 +13800,8 @@
   # directories.
   hardcode_action_CXX=unsupported
 fi
-echo "$as_me:$LINENO: result: $hardcode_action_CXX" >&5
-echo "${ECHO_T}$hardcode_action_CXX" >&6
+{ echo "$as_me:$LINENO: result: $hardcode_action_CXX" >&5
+echo "${ECHO_T}$hardcode_action_CXX" >&6; }
 
 if test "$hardcode_action_CXX" = relink; then
   # Fast installation is not supported
@@ -12623,6 +13868,7 @@
     module_cmds_CXX \
     module_expsym_cmds_CXX \
     lt_cv_prog_compiler_c_o_CXX \
+    fix_srcfile_path_CXX \
     exclude_expsyms_CXX \
     include_expsyms_CXX; do
 
@@ -12943,7 +14189,7 @@
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
 
 # Fix the shell variable \$srcfile for the compiler.
-fix_srcfile_path="$fix_srcfile_path_CXX"
+fix_srcfile_path=$lt_fix_srcfile_path
 
 # Set to yes if exported symbols are required.
 always_export_symbols=$always_export_symbols_CXX
@@ -13034,10 +14280,17 @@
 objext_F77=$objext
 
 # Code to be used in simple compile tests
-lt_simple_compile_test_code="      subroutine t\n      return\n      end\n"
+lt_simple_compile_test_code="\
+      subroutine t
+      return
+      end
+"
 
 # Code to be used in simple link tests
-lt_simple_link_test_code="      program t\n      end\n"
+lt_simple_link_test_code="\
+      program t
+      end
+"
 
 # ltmain only uses $CC for tagged configurations so make sure $CC is set.
 
@@ -13053,13 +14306,13 @@
 
 # save warnings/boilerplate of simple test code
 ac_outfile=conftest.$ac_objext
-printf "$lt_simple_compile_test_code" >conftest.$ac_ext
+echo "$lt_simple_compile_test_code" >conftest.$ac_ext
 eval "$ac_compile" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_compiler_boilerplate=`cat conftest.err`
 $rm conftest*
 
 ac_outfile=conftest.$ac_objext
-printf "$lt_simple_link_test_code" >conftest.$ac_ext
+echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
 $rm conftest*
@@ -13081,13 +14334,13 @@
 cc_basename=`$echo "X$cc_temp" | $Xsed -e 's%.*/%%' -e "s%^$host_alias-%%"`
 
 
-echo "$as_me:$LINENO: checking if libtool supports shared libraries" >&5
-echo $ECHO_N "checking if libtool supports shared libraries... $ECHO_C" >&6
-echo "$as_me:$LINENO: result: $can_build_shared" >&5
-echo "${ECHO_T}$can_build_shared" >&6
+{ echo "$as_me:$LINENO: checking if libtool supports shared libraries" >&5
+echo $ECHO_N "checking if libtool supports shared libraries... $ECHO_C" >&6; }
+{ echo "$as_me:$LINENO: result: $can_build_shared" >&5
+echo "${ECHO_T}$can_build_shared" >&6; }
 
-echo "$as_me:$LINENO: checking whether to build shared libraries" >&5
-echo $ECHO_N "checking whether to build shared libraries... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether to build shared libraries" >&5
+echo $ECHO_N "checking whether to build shared libraries... $ECHO_C" >&6; }
 test "$can_build_shared" = "no" && enable_shared=no
 
 # On AIX, shared libraries and static libraries use the same namespace, and
@@ -13106,15 +14359,15 @@
   fi
   ;;
 esac
-echo "$as_me:$LINENO: result: $enable_shared" >&5
-echo "${ECHO_T}$enable_shared" >&6
+{ echo "$as_me:$LINENO: result: $enable_shared" >&5
+echo "${ECHO_T}$enable_shared" >&6; }
 
-echo "$as_me:$LINENO: checking whether to build static libraries" >&5
-echo $ECHO_N "checking whether to build static libraries... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether to build static libraries" >&5
+echo $ECHO_N "checking whether to build static libraries... $ECHO_C" >&6; }
 # Make sure either enable_shared or enable_static is yes.
 test "$enable_shared" = yes || enable_static=yes
-echo "$as_me:$LINENO: result: $enable_static" >&5
-echo "${ECHO_T}$enable_static" >&6
+{ echo "$as_me:$LINENO: result: $enable_static" >&5
+echo "${ECHO_T}$enable_static" >&6; }
 
 GCC_F77="$G77"
 LD_F77="$LD"
@@ -13123,8 +14376,8 @@
 lt_prog_compiler_pic_F77=
 lt_prog_compiler_static_F77=
 
-echo "$as_me:$LINENO: checking for $compiler option to produce PIC" >&5
-echo $ECHO_N "checking for $compiler option to produce PIC... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $compiler option to produce PIC" >&5
+echo $ECHO_N "checking for $compiler option to produce PIC... $ECHO_C" >&6; }
 
   if test "$GCC" = yes; then
     lt_prog_compiler_wl_F77='-Wl,'
@@ -13146,13 +14399,15 @@
       lt_prog_compiler_pic_F77='-m68020 -resident32 -malways-restore-a4'
       ;;
 
-    beos* | cygwin* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
+    beos* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
       # PIC is the default for these OSes.
       ;;
 
-    mingw* | pw32* | os2*)
+    mingw* | cygwin* | pw32* | os2*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
+      # Although the cygwin gcc ignores -fPIC, still need this for old-style
+      # (--disable-auto-import) libraries
       lt_prog_compiler_pic_F77='-DDLL_EXPORT'
       ;;
 
@@ -13162,7 +14417,7 @@
       lt_prog_compiler_pic_F77='-fno-common'
       ;;
 
-    interix3*)
+    interix[3-9]*)
       # Interix 3.x gcc -fpic/-fPIC options generate broken code.
       # Instead, we relocate shared libraries at runtime.
       ;;
@@ -13220,7 +14475,7 @@
        esac
        ;;
 
-    mingw* | pw32* | os2*)
+    mingw* | cygwin* | pw32* | os2*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
       lt_prog_compiler_pic_F77='-DDLL_EXPORT'
@@ -13253,7 +14508,7 @@
       lt_prog_compiler_static_F77='-Bstatic'
       ;;
 
-    linux*)
+    linux* | k*bsd*-gnu)
       case $cc_basename in
       icc* | ecc*)
 	lt_prog_compiler_wl_F77='-Wl,'
@@ -13272,6 +14527,22 @@
         # All Alpha code is PIC.
         lt_prog_compiler_static_F77='-non_shared'
         ;;
+      *)
+        case `$CC -V 2>&1 | sed 5q` in
+	*Sun\ C*)
+	  # Sun C 5.9
+	  lt_prog_compiler_pic_F77='-KPIC'
+	  lt_prog_compiler_static_F77='-Bstatic'
+	  lt_prog_compiler_wl_F77='-Wl,'
+	  ;;
+	*Sun\ F*)
+	  # Sun Fortran 8.3 passes all unrecognized flags to the linker
+	  lt_prog_compiler_pic_F77='-KPIC'
+	  lt_prog_compiler_static_F77='-Bstatic'
+	  lt_prog_compiler_wl_F77=''
+	  ;;
+	esac
+	;;
       esac
       ;;
 
@@ -13281,6 +14552,10 @@
       lt_prog_compiler_static_F77='-non_shared'
       ;;
 
+    rdos*)
+      lt_prog_compiler_static_F77='-non_shared'
+      ;;
+
     solaris*)
       lt_prog_compiler_pic_F77='-KPIC'
       lt_prog_compiler_static_F77='-Bstatic'
@@ -13333,22 +14608,22 @@
     esac
   fi
 
-echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_F77" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_F77" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_F77" >&5
+echo "${ECHO_T}$lt_prog_compiler_pic_F77" >&6; }
 
 #
 # Check to make sure the PIC flag actually works.
 #
 if test -n "$lt_prog_compiler_pic_F77"; then
 
-echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_F77 works" >&5
-echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_F77 works... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_F77 works" >&5
+echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_F77 works... $ECHO_C" >&6; }
 if test "${lt_prog_compiler_pic_works_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_prog_compiler_pic_works_F77=no
   ac_outfile=conftest.$ac_objext
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="$lt_prog_compiler_pic_F77"
    # Insert the option either (1) after the last *FLAGS variable, or
    # (2) before a word containing "conftest.", or (3) at the end.
@@ -13359,11 +14634,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13362: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14637: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13366: \$? = $ac_status" >&5
+   echo "$as_me:14641: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13376,8 +14651,8 @@
    $rm conftest*
 
 fi
-echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works_F77" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_works_F77" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works_F77" >&5
+echo "${ECHO_T}$lt_prog_compiler_pic_works_F77" >&6; }
 
 if test x"$lt_prog_compiler_pic_works_F77" = xyes; then
     case $lt_prog_compiler_pic_F77 in
@@ -13404,15 +14679,15 @@
 # Check to make sure the static flag actually works.
 #
 wl=$lt_prog_compiler_wl_F77 eval lt_tmp_static_flag=\"$lt_prog_compiler_static_F77\"
-echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
-echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
+echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
 if test "${lt_prog_compiler_static_works_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_prog_compiler_static_works_F77=no
    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $lt_tmp_static_flag"
-   printf "$lt_simple_link_test_code" > conftest.$ac_ext
+   echo "$lt_simple_link_test_code" > conftest.$ac_ext
    if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
      # The linker can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -13432,8 +14707,8 @@
    LDFLAGS="$save_LDFLAGS"
 
 fi
-echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works_F77" >&5
-echo "${ECHO_T}$lt_prog_compiler_static_works_F77" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works_F77" >&5
+echo "${ECHO_T}$lt_prog_compiler_static_works_F77" >&6; }
 
 if test x"$lt_prog_compiler_static_works_F77" = xyes; then
     :
@@ -13442,8 +14717,8 @@
 fi
 
 
-echo "$as_me:$LINENO: checking if $compiler supports -c -o file.$ac_objext" >&5
-echo $ECHO_N "checking if $compiler supports -c -o file.$ac_objext... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler supports -c -o file.$ac_objext" >&5
+echo $ECHO_N "checking if $compiler supports -c -o file.$ac_objext... $ECHO_C" >&6; }
 if test "${lt_cv_prog_compiler_c_o_F77+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -13452,7 +14727,7 @@
    mkdir conftest
    cd conftest
    mkdir out
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
 
    lt_compiler_flag="-o out/conftest2.$ac_objext"
    # Insert the option either (1) after the last *FLAGS variable, or
@@ -13463,11 +14738,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13466: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14741: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13470: \$? = $ac_status" >&5
+   echo "$as_me:14745: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -13489,23 +14764,23 @@
    $rm conftest*
 
 fi
-echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_c_o_F77" >&5
-echo "${ECHO_T}$lt_cv_prog_compiler_c_o_F77" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_c_o_F77" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_c_o_F77" >&6; }
 
 
 hard_links="nottested"
 if test "$lt_cv_prog_compiler_c_o_F77" = no && test "$need_locks" != no; then
   # do not overwrite the value of need_locks provided by the user
-  echo "$as_me:$LINENO: checking if we can lock with hard links" >&5
-echo $ECHO_N "checking if we can lock with hard links... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking if we can lock with hard links" >&5
+echo $ECHO_N "checking if we can lock with hard links... $ECHO_C" >&6; }
   hard_links=yes
   $rm conftest*
   ln conftest.a conftest.b 2>/dev/null && hard_links=no
   touch conftest.a
   ln conftest.a conftest.b 2>&5 || hard_links=no
   ln conftest.a conftest.b 2>/dev/null && hard_links=no
-  echo "$as_me:$LINENO: result: $hard_links" >&5
-echo "${ECHO_T}$hard_links" >&6
+  { echo "$as_me:$LINENO: result: $hard_links" >&5
+echo "${ECHO_T}$hard_links" >&6; }
   if test "$hard_links" = no; then
     { echo "$as_me:$LINENO: WARNING: \`$CC' does not support \`-c -o', so \`make -j' may be unsafe" >&5
 echo "$as_me: WARNING: \`$CC' does not support \`-c -o', so \`make -j' may be unsafe" >&2;}
@@ -13515,8 +14790,8 @@
   need_locks=no
 fi
 
-echo "$as_me:$LINENO: checking whether the $compiler linker ($LD) supports shared libraries" >&5
-echo $ECHO_N "checking whether the $compiler linker ($LD) supports shared libraries... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether the $compiler linker ($LD) supports shared libraries" >&5
+echo $ECHO_N "checking whether the $compiler linker ($LD) supports shared libraries... $ECHO_C" >&6; }
 
   runpath_var=
   allow_undefined_flag_F77=
@@ -13659,7 +14934,7 @@
       allow_undefined_flag_F77=unsupported
       always_export_symbols_F77=no
       enable_shared_with_static_runtimes_F77=yes
-      export_symbols_cmds_F77='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[BCDGRS] /s/.* \([^ ]*\)/\1 DATA/'\'' | $SED -e '\''/^[AITW] /s/.* //'\'' | sort | uniq > $export_symbols'
+      export_symbols_cmds_F77='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[BCDGRS][ ]/s/.*[ ]\([^ ]*\)/\1 DATA/'\'' -e '\''/^[AITW][ ]/s/.*[ ]//'\'' | sort | uniq > $export_symbols'
 
       if $LD --help 2>&1 | grep 'auto-import' > /dev/null; then
         archive_cmds_F77='$CC -shared $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--enable-auto-image-base -Xlinker --out-implib -Xlinker $lib'
@@ -13677,7 +14952,7 @@
       fi
       ;;
 
-    interix3*)
+    interix[3-9]*)
       hardcode_direct_F77=no
       hardcode_shlibpath_var_F77=no
       hardcode_libdir_flag_spec_F77='${wl}-rpath,$libdir'
@@ -13692,7 +14967,7 @@
       archive_expsym_cmds_F77='sed "s,^,_," $export_symbols >$output_objdir/$soname.expsym~$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--retain-symbols-file,$output_objdir/$soname.expsym ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'
       ;;
 
-    linux*)
+    gnu* | linux* | k*bsd*-gnu)
       if $LD --help 2>&1 | grep ': supported targets:.* elf' > /dev/null; then
 	tmp_addflag=
 	case $cc_basename,$host_cpu in
@@ -13710,13 +14985,22 @@
 	ifc* | ifort*)			# Intel Fortran compiler
 	  tmp_addflag=' -nofor_main' ;;
 	esac
-	archive_cmds_F77='$CC -shared'"$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname -o $lib'
+	case `$CC -V 2>&1 | sed 5q` in
+	*Sun\ C*)			# Sun C 5.9
+	  whole_archive_flag_spec_F77='${wl}--whole-archive`new_convenience=; for conv in $convenience\"\"; do test -z \"$conv\" || new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}--no-whole-archive'
+	  tmp_sharedflag='-G' ;;
+	*Sun\ F*)			# Sun Fortran 8.3
+	  tmp_sharedflag='-G' ;;
+	*)
+	  tmp_sharedflag='-shared' ;;
+	esac
+	archive_cmds_F77='$CC '"$tmp_sharedflag""$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname -o $lib'
 
 	if test $supports_anon_versioning = yes; then
 	  archive_expsym_cmds_F77='$echo "{ global:" > $output_objdir/$libname.ver~
   cat $export_symbols | sed -e "s/\(.*\)/\1;/" >> $output_objdir/$libname.ver~
   $echo "local: *; };" >> $output_objdir/$libname.ver~
-	  $CC -shared'"$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname ${wl}-version-script ${wl}$output_objdir/$libname.ver -o $lib'
+	  $CC '"$tmp_sharedflag""$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname ${wl}-version-script ${wl}$output_objdir/$libname.ver -o $lib'
 	fi
 	link_all_deplibs_F77=no
       else
@@ -13724,7 +15008,7 @@
       fi
       ;;
 
-    netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+    netbsd* | netbsdelf*-gnu)
       if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
 	archive_cmds_F77='$LD -Bshareable $libobjs $deplibs $linker_flags -o $lib'
 	wlarc=
@@ -13876,7 +15160,7 @@
   	   strings "$collect2name" | grep resolve_lib_name >/dev/null
 	  then
   	  # We have reworked collect2
-  	  hardcode_direct_F77=yes
+  	  :
 	  else
   	  # We have old collect2
   	  hardcode_direct_F77=unsupported
@@ -13922,38 +15206,44 @@
       end
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_f77_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_f77_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
 
-aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`
+lt_aix_libpath_sed='
+    /Import File Strings/,/^$/ {
+	/^0/ {
+	    s/^0  *\(.*\)$/\1/
+	    p
+	}
+    }'
+aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
 # Check for a 64-bit object if we didn't find anything.
-if test -z "$aix_libpath"; then aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`; fi
+if test -z "$aix_libpath"; then
+  aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
+fi
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
 
@@ -13972,38 +15262,44 @@
       end
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_f77_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_f77_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
 
-aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`
+lt_aix_libpath_sed='
+    /Import File Strings/,/^$/ {
+	/^0/ {
+	    s/^0  *\(.*\)$/\1/
+	    p
+	}
+    }'
+aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
 # Check for a 64-bit object if we didn't find anything.
-if test -z "$aix_libpath"; then aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`; fi
+if test -z "$aix_libpath"; then
+  aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
+fi
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
 
@@ -14049,7 +15345,7 @@
       # The linker will automatically build a .lib file if we build a DLL.
       old_archive_From_new_cmds_F77='true'
       # FIXME: Should let the user specify the lib program.
-      old_archive_cmds_F77='lib /OUT:$oldlib$oldobjs$old_deplibs'
+      old_archive_cmds_F77='lib -OUT:$oldlib$oldobjs$old_deplibs'
       fix_srcfile_path_F77='`cygpath -w "$srcfile"`'
       enable_shared_with_static_runtimes_F77=yes
       ;;
@@ -14091,10 +15387,10 @@
       case $cc_basename in
         xlc*)
          output_verbose_link_cmd='echo'
-         archive_cmds_F77='$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $verstring'
+         archive_cmds_F77='$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $xlcverstring'
          module_cmds_F77='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
           # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-         archive_expsym_cmds_F77='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
+         archive_expsym_cmds_F77='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $xlcverstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           module_expsym_cmds_F77='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           ;;
        *)
@@ -14141,15 +15437,6 @@
       hardcode_shlibpath_var_F77=no
       ;;
 
-    # GNU/kFreeBSD uses gcc -shared to do shared libraries.
-    kfreebsd*-gnu)
-      archive_cmds_F77='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
-      hardcode_libdir_flag_spec_F77='-R$libdir'
-      hardcode_direct_F77=yes
-      hardcode_shlibpath_var_F77=no
-      link_all_deplibs_F77=no
-      ;;
-
     hpux9*)
       if test "$GCC" = yes; then
 	archive_cmds_F77='$rm $output_objdir/$soname~$CC -shared -fPIC ${wl}+b ${wl}$install_libdir -o $output_objdir/$soname $libobjs $deplibs $compiler_flags~test $output_objdir/$soname = $lib || mv $output_objdir/$soname $lib'
@@ -14245,7 +15532,7 @@
       link_all_deplibs_F77=yes
       ;;
 
-    netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+    netbsd* | netbsdelf*-gnu)
       if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
 	archive_cmds_F77='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'  # a.out
       else
@@ -14265,24 +15552,28 @@
       ;;
 
     openbsd*)
-      hardcode_direct_F77=yes
-      hardcode_shlibpath_var_F77=no
-      if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
-	archive_cmds_F77='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
-	archive_expsym_cmds_F77='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-retain-symbols-file,$export_symbols'
-	hardcode_libdir_flag_spec_F77='${wl}-rpath,$libdir'
-	export_dynamic_flag_spec_F77='${wl}-E'
+      if test -f /usr/libexec/ld.so; then
+	hardcode_direct_F77=yes
+	hardcode_shlibpath_var_F77=no
+	if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
+	  archive_cmds_F77='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
+	  archive_expsym_cmds_F77='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-retain-symbols-file,$export_symbols'
+	  hardcode_libdir_flag_spec_F77='${wl}-rpath,$libdir'
+	  export_dynamic_flag_spec_F77='${wl}-E'
+	else
+	  case $host_os in
+	   openbsd[01].* | openbsd2.[0-7] | openbsd2.[0-7].*)
+	     archive_cmds_F77='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'
+	     hardcode_libdir_flag_spec_F77='-R$libdir'
+	     ;;
+	   *)
+	     archive_cmds_F77='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
+	     hardcode_libdir_flag_spec_F77='${wl}-rpath,$libdir'
+	     ;;
+	  esac
+        fi
       else
-       case $host_os in
-	 openbsd[01].* | openbsd2.[0-7] | openbsd2.[0-7].*)
-	   archive_cmds_F77='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'
-	   hardcode_libdir_flag_spec_F77='-R$libdir'
-	   ;;
-	 *)
-	   archive_cmds_F77='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
-	   hardcode_libdir_flag_spec_F77='${wl}-rpath,$libdir'
-	   ;;
-       esac
+	ld_shlibs_F77=no
       fi
       ;;
 
@@ -14341,17 +15632,16 @@
       case $host_os in
       solaris2.[0-5] | solaris2.[0-5].*) ;;
       *)
- 	# The compiler driver will combine linker options so we
- 	# cannot just pass the convience library names through
- 	# without $wl, iff we do not link with $LD.
- 	# Luckily, gcc supports the same syntax we need for Sun Studio.
+	# The compiler driver will combine and reorder linker options,
+	# but understands `-z linker_flag'.  GCC discards it without `$wl',
+	# but is careful enough not to reorder.
  	# Supported since Solaris 2.6 (maybe 2.5.1?)
- 	case $wlarc in
- 	'')
- 	  whole_archive_flag_spec_F77='-z allextract$convenience -z defaultextract' ;;
- 	*)
- 	  whole_archive_flag_spec_F77='${wl}-z ${wl}allextract`for conv in $convenience\"\"; do test -n \"$conv\" && new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}-z ${wl}defaultextract' ;;
- 	esac ;;
+	if test "$GCC" = yes; then
+	  whole_archive_flag_spec_F77='${wl}-z ${wl}allextract$convenience ${wl}-z ${wl}defaultextract'
+	else
+	  whole_archive_flag_spec_F77='-z allextract$convenience -z defaultextract'
+	fi
+	;;
       esac
       link_all_deplibs_F77=yes
       ;;
@@ -14408,7 +15698,7 @@
       fi
       ;;
 
-    sysv4*uw2* | sysv5OpenUNIX* | sysv5UnixWare7.[01].[10]* | unixware7*)
+    sysv4*uw2* | sysv5OpenUNIX* | sysv5UnixWare7.[01].[10]* | unixware7* | sco3.2v5.0.[024]*)
       no_undefined_flag_F77='${wl}-z,text'
       archive_cmds_need_lc_F77=no
       hardcode_shlibpath_var_F77=no
@@ -14461,8 +15751,8 @@
     esac
   fi
 
-echo "$as_me:$LINENO: result: $ld_shlibs_F77" >&5
-echo "${ECHO_T}$ld_shlibs_F77" >&6
+{ echo "$as_me:$LINENO: result: $ld_shlibs_F77" >&5
+echo "${ECHO_T}$ld_shlibs_F77" >&6; }
 test "$ld_shlibs_F77" = no && can_build_shared=no
 
 #
@@ -14482,10 +15772,10 @@
       # Test whether the compiler implicitly links with -lc since on some
       # systems, -lgcc has to come before -lc. If gcc already passes -lc
       # to ld, don't add -lc before -lgcc.
-      echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
-echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6
+      { echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
+echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6; }
       $rm conftest*
-      printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+      echo "$lt_simple_compile_test_code" > conftest.$ac_ext
 
       if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
@@ -14520,16 +15810,16 @@
         cat conftest.err 1>&5
       fi
       $rm conftest*
-      echo "$as_me:$LINENO: result: $archive_cmds_need_lc_F77" >&5
-echo "${ECHO_T}$archive_cmds_need_lc_F77" >&6
+      { echo "$as_me:$LINENO: result: $archive_cmds_need_lc_F77" >&5
+echo "${ECHO_T}$archive_cmds_need_lc_F77" >&6; }
       ;;
     esac
   fi
   ;;
 esac
 
-echo "$as_me:$LINENO: checking dynamic linker characteristics" >&5
-echo $ECHO_N "checking dynamic linker characteristics... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking dynamic linker characteristics" >&5
+echo $ECHO_N "checking dynamic linker characteristics... $ECHO_C" >&6; }
 library_names_spec=
 libname_spec='lib$name'
 soname_spec=
@@ -14543,20 +15833,7 @@
 version_type=none
 dynamic_linker="$host_os ld.so"
 sys_lib_dlsearch_path_spec="/lib /usr/lib"
-if test "$GCC" = yes; then
-  sys_lib_search_path_spec=`$CC -print-search-dirs | grep "^libraries:" | $SED -e "s/^libraries://" -e "s,=/,/,g"`
-  if echo "$sys_lib_search_path_spec" | grep ';' >/dev/null ; then
-    # if the path contains ";" then we assume it to be the separator
-    # otherwise default to the standard path separator (i.e. ":") - it is
-    # assumed that no part of a normal pathname contains ";" but that should
-    # okay in the real world where ";" in dirpaths is itself problematic.
-    sys_lib_search_path_spec=`echo "$sys_lib_search_path_spec" | $SED -e 's/;/ /g'`
-  else
-    sys_lib_search_path_spec=`echo "$sys_lib_search_path_spec" | $SED  -e "s/$PATH_SEPARATOR/ /g"`
-  fi
-else
-  sys_lib_search_path_spec="/lib /usr/lib /usr/local/lib"
-fi
+
 need_lib_prefix=unknown
 hardcode_into_libs=no
 
@@ -14713,12 +15990,7 @@
   shlibpath_overrides_runpath=yes
   shlibpath_var=DYLD_LIBRARY_PATH
   shrext_cmds='`test .$module = .yes && echo .so || echo .dylib`'
-  # Apple's gcc prints 'gcc -print-search-dirs' doesn't operate the same.
-  if test "$GCC" = yes; then
-    sys_lib_search_path_spec=`$CC -print-search-dirs | tr "\n" "$PATH_SEPARATOR" | sed -e 's/libraries:/@libraries:/' | tr "@" "\n" | grep "^libraries:" | sed -e "s/^libraries://" -e "s,=/,/,g" -e "s,$PATH_SEPARATOR, ,g" -e "s,.*,& /lib /usr/lib /usr/local/lib,g"`
-  else
-    sys_lib_search_path_spec='/lib /usr/lib /usr/local/lib'
-  fi
+
   sys_lib_dlsearch_path_spec='/usr/local/lib /lib /usr/lib'
   ;;
 
@@ -14735,18 +16007,6 @@
   dynamic_linker=no
   ;;
 
-kfreebsd*-gnu)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  shlibpath_overrides_runpath=no
-  hardcode_into_libs=yes
-  dynamic_linker='GNU ld.so'
-  ;;
-
 freebsd* | dragonfly*)
   # DragonFly does not have aout.  When/if they implement a new
   # versioning mechanism, adjust this.
@@ -14784,7 +16044,7 @@
     shlibpath_overrides_runpath=no
     hardcode_into_libs=yes
     ;;
-  freebsd*) # from 4.6 on
+  *) # from 4.6 on, and DragonFly
     shlibpath_overrides_runpath=yes
     hardcode_into_libs=yes
     ;;
@@ -14847,7 +16107,7 @@
   postinstall_cmds='chmod 555 $lib'
   ;;
 
-interix3*)
+interix[3-9]*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -14902,7 +16162,7 @@
   ;;
 
 # This must be Linux ELF.
-linux*)
+linux* | k*bsd*-gnu)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -14918,7 +16178,7 @@
 
   # Append ld.so.conf contents to the search path
   if test -f /etc/ld.so.conf; then
-    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
+    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;/^[ 	]*hwcap[ 	]/d;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
     sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
   fi
 
@@ -14943,18 +16203,6 @@
   dynamic_linker='NetBSD ld.elf_so'
   ;;
 
-knetbsd*-gnu)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  shlibpath_overrides_runpath=no
-  hardcode_into_libs=yes
-  dynamic_linker='GNU ld.so'
-  ;;
-
 netbsd*)
   version_type=sunos
   need_lib_prefix=no
@@ -15036,6 +16284,10 @@
   sys_lib_dlsearch_path_spec="$sys_lib_search_path_spec"
   ;;
 
+rdos*)
+  dynamic_linker=no
+  ;;
+
 solaris*)
   version_type=linux
   need_lib_prefix=no
@@ -15128,8 +16380,8 @@
   dynamic_linker=no
   ;;
 esac
-echo "$as_me:$LINENO: result: $dynamic_linker" >&5
-echo "${ECHO_T}$dynamic_linker" >&6
+{ echo "$as_me:$LINENO: result: $dynamic_linker" >&5
+echo "${ECHO_T}$dynamic_linker" >&6; }
 test "$dynamic_linker" = no && can_build_shared=no
 
 variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
@@ -15137,8 +16389,8 @@
   variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
 fi
 
-echo "$as_me:$LINENO: checking how to hardcode library paths into programs" >&5
-echo $ECHO_N "checking how to hardcode library paths into programs... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking how to hardcode library paths into programs" >&5
+echo $ECHO_N "checking how to hardcode library paths into programs... $ECHO_C" >&6; }
 hardcode_action_F77=
 if test -n "$hardcode_libdir_flag_spec_F77" || \
    test -n "$runpath_var_F77" || \
@@ -15162,8 +16414,8 @@
   # directories.
   hardcode_action_F77=unsupported
 fi
-echo "$as_me:$LINENO: result: $hardcode_action_F77" >&5
-echo "${ECHO_T}$hardcode_action_F77" >&6
+{ echo "$as_me:$LINENO: result: $hardcode_action_F77" >&5
+echo "${ECHO_T}$hardcode_action_F77" >&6; }
 
 if test "$hardcode_action_F77" = relink; then
   # Fast installation is not supported
@@ -15230,6 +16482,7 @@
     module_cmds_F77 \
     module_expsym_cmds_F77 \
     lt_cv_prog_compiler_c_o_F77 \
+    fix_srcfile_path_F77 \
     exclude_expsyms_F77 \
     include_expsyms_F77; do
 
@@ -15550,7 +16803,7 @@
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
 
 # Fix the shell variable \$srcfile for the compiler.
-fix_srcfile_path="$fix_srcfile_path_F77"
+fix_srcfile_path=$lt_fix_srcfile_path
 
 # Set to yes if exported symbols are required.
 always_export_symbols=$always_export_symbols_F77
@@ -15600,7 +16853,6 @@
 	if test -n "$GCJ" && test "X$GCJ" != "Xno"; then
 
 
-
 # Source file extension for Java test sources.
 ac_ext=java
 
@@ -15609,10 +16861,10 @@
 objext_GCJ=$objext
 
 # Code to be used in simple compile tests
-lt_simple_compile_test_code="class foo {}\n"
+lt_simple_compile_test_code="class foo {}"
 
 # Code to be used in simple link tests
-lt_simple_link_test_code='public class conftest { public static void main(String[] argv) {}; }\n'
+lt_simple_link_test_code='public class conftest { public static void main(String[] argv) {}; }'
 
 # ltmain only uses $CC for tagged configurations so make sure $CC is set.
 
@@ -15628,13 +16880,13 @@
 
 # save warnings/boilerplate of simple test code
 ac_outfile=conftest.$ac_objext
-printf "$lt_simple_compile_test_code" >conftest.$ac_ext
+echo "$lt_simple_compile_test_code" >conftest.$ac_ext
 eval "$ac_compile" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_compiler_boilerplate=`cat conftest.err`
 $rm conftest*
 
 ac_outfile=conftest.$ac_objext
-printf "$lt_simple_link_test_code" >conftest.$ac_ext
+echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
 $rm conftest*
@@ -15668,14 +16920,14 @@
   lt_prog_compiler_no_builtin_flag_GCJ=' -fno-builtin'
 
 
-echo "$as_me:$LINENO: checking if $compiler supports -fno-rtti -fno-exceptions" >&5
-echo $ECHO_N "checking if $compiler supports -fno-rtti -fno-exceptions... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler supports -fno-rtti -fno-exceptions" >&5
+echo $ECHO_N "checking if $compiler supports -fno-rtti -fno-exceptions... $ECHO_C" >&6; }
 if test "${lt_cv_prog_compiler_rtti_exceptions+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_cv_prog_compiler_rtti_exceptions=no
   ac_outfile=conftest.$ac_objext
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="-fno-rtti -fno-exceptions"
    # Insert the option either (1) after the last *FLAGS variable, or
    # (2) before a word containing "conftest.", or (3) at the end.
@@ -15686,11 +16938,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15689: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16941: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15693: \$? = $ac_status" >&5
+   echo "$as_me:16945: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15703,8 +16955,8 @@
    $rm conftest*
 
 fi
-echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_rtti_exceptions" >&5
-echo "${ECHO_T}$lt_cv_prog_compiler_rtti_exceptions" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_rtti_exceptions" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_rtti_exceptions" >&6; }
 
 if test x"$lt_cv_prog_compiler_rtti_exceptions" = xyes; then
     lt_prog_compiler_no_builtin_flag_GCJ="$lt_prog_compiler_no_builtin_flag_GCJ -fno-rtti -fno-exceptions"
@@ -15718,8 +16970,8 @@
 lt_prog_compiler_pic_GCJ=
 lt_prog_compiler_static_GCJ=
 
-echo "$as_me:$LINENO: checking for $compiler option to produce PIC" >&5
-echo $ECHO_N "checking for $compiler option to produce PIC... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $compiler option to produce PIC" >&5
+echo $ECHO_N "checking for $compiler option to produce PIC... $ECHO_C" >&6; }
 
   if test "$GCC" = yes; then
     lt_prog_compiler_wl_GCJ='-Wl,'
@@ -15741,13 +16993,15 @@
       lt_prog_compiler_pic_GCJ='-m68020 -resident32 -malways-restore-a4'
       ;;
 
-    beos* | cygwin* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
+    beos* | irix5* | irix6* | nonstopux* | osf3* | osf4* | osf5*)
       # PIC is the default for these OSes.
       ;;
 
-    mingw* | pw32* | os2*)
+    mingw* | cygwin* | pw32* | os2*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
+      # Although the cygwin gcc ignores -fPIC, still need this for old-style
+      # (--disable-auto-import) libraries
       lt_prog_compiler_pic_GCJ='-DDLL_EXPORT'
       ;;
 
@@ -15757,7 +17011,7 @@
       lt_prog_compiler_pic_GCJ='-fno-common'
       ;;
 
-    interix3*)
+    interix[3-9]*)
       # Interix 3.x gcc -fpic/-fPIC options generate broken code.
       # Instead, we relocate shared libraries at runtime.
       ;;
@@ -15815,7 +17069,7 @@
        esac
        ;;
 
-    mingw* | pw32* | os2*)
+    mingw* | cygwin* | pw32* | os2*)
       # This hack is so that the source file can tell whether it is being
       # built for inclusion in a dll (and should export symbols for example).
       lt_prog_compiler_pic_GCJ='-DDLL_EXPORT'
@@ -15848,7 +17102,7 @@
       lt_prog_compiler_static_GCJ='-Bstatic'
       ;;
 
-    linux*)
+    linux* | k*bsd*-gnu)
       case $cc_basename in
       icc* | ecc*)
 	lt_prog_compiler_wl_GCJ='-Wl,'
@@ -15867,6 +17121,22 @@
         # All Alpha code is PIC.
         lt_prog_compiler_static_GCJ='-non_shared'
         ;;
+      *)
+        case `$CC -V 2>&1 | sed 5q` in
+	*Sun\ C*)
+	  # Sun C 5.9
+	  lt_prog_compiler_pic_GCJ='-KPIC'
+	  lt_prog_compiler_static_GCJ='-Bstatic'
+	  lt_prog_compiler_wl_GCJ='-Wl,'
+	  ;;
+	*Sun\ F*)
+	  # Sun Fortran 8.3 passes all unrecognized flags to the linker
+	  lt_prog_compiler_pic_GCJ='-KPIC'
+	  lt_prog_compiler_static_GCJ='-Bstatic'
+	  lt_prog_compiler_wl_GCJ=''
+	  ;;
+	esac
+	;;
       esac
       ;;
 
@@ -15876,6 +17146,10 @@
       lt_prog_compiler_static_GCJ='-non_shared'
       ;;
 
+    rdos*)
+      lt_prog_compiler_static_GCJ='-non_shared'
+      ;;
+
     solaris*)
       lt_prog_compiler_pic_GCJ='-KPIC'
       lt_prog_compiler_static_GCJ='-Bstatic'
@@ -15928,22 +17202,22 @@
     esac
   fi
 
-echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_GCJ" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_GCJ" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_GCJ" >&5
+echo "${ECHO_T}$lt_prog_compiler_pic_GCJ" >&6; }
 
 #
 # Check to make sure the PIC flag actually works.
 #
 if test -n "$lt_prog_compiler_pic_GCJ"; then
 
-echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_GCJ works" >&5
-echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_GCJ works... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler PIC flag $lt_prog_compiler_pic_GCJ works" >&5
+echo $ECHO_N "checking if $compiler PIC flag $lt_prog_compiler_pic_GCJ works... $ECHO_C" >&6; }
 if test "${lt_prog_compiler_pic_works_GCJ+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_prog_compiler_pic_works_GCJ=no
   ac_outfile=conftest.$ac_objext
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
    lt_compiler_flag="$lt_prog_compiler_pic_GCJ"
    # Insert the option either (1) after the last *FLAGS variable, or
    # (2) before a word containing "conftest.", or (3) at the end.
@@ -15954,11 +17228,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15957: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17231: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15961: \$? = $ac_status" >&5
+   echo "$as_me:17235: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -15971,8 +17245,8 @@
    $rm conftest*
 
 fi
-echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works_GCJ" >&5
-echo "${ECHO_T}$lt_prog_compiler_pic_works_GCJ" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_pic_works_GCJ" >&5
+echo "${ECHO_T}$lt_prog_compiler_pic_works_GCJ" >&6; }
 
 if test x"$lt_prog_compiler_pic_works_GCJ" = xyes; then
     case $lt_prog_compiler_pic_GCJ in
@@ -15999,15 +17273,15 @@
 # Check to make sure the static flag actually works.
 #
 wl=$lt_prog_compiler_wl_GCJ eval lt_tmp_static_flag=\"$lt_prog_compiler_static_GCJ\"
-echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
-echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler static flag $lt_tmp_static_flag works" >&5
+echo $ECHO_N "checking if $compiler static flag $lt_tmp_static_flag works... $ECHO_C" >&6; }
 if test "${lt_prog_compiler_static_works_GCJ+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   lt_prog_compiler_static_works_GCJ=no
    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $lt_tmp_static_flag"
-   printf "$lt_simple_link_test_code" > conftest.$ac_ext
+   echo "$lt_simple_link_test_code" > conftest.$ac_ext
    if (eval $ac_link 2>conftest.err) && test -s conftest$ac_exeext; then
      # The linker can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -16027,8 +17301,8 @@
    LDFLAGS="$save_LDFLAGS"
 
 fi
-echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works_GCJ" >&5
-echo "${ECHO_T}$lt_prog_compiler_static_works_GCJ" >&6
+{ echo "$as_me:$LINENO: result: $lt_prog_compiler_static_works_GCJ" >&5
+echo "${ECHO_T}$lt_prog_compiler_static_works_GCJ" >&6; }
 
 if test x"$lt_prog_compiler_static_works_GCJ" = xyes; then
     :
@@ -16037,8 +17311,8 @@
 fi
 
 
-echo "$as_me:$LINENO: checking if $compiler supports -c -o file.$ac_objext" >&5
-echo $ECHO_N "checking if $compiler supports -c -o file.$ac_objext... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking if $compiler supports -c -o file.$ac_objext" >&5
+echo $ECHO_N "checking if $compiler supports -c -o file.$ac_objext... $ECHO_C" >&6; }
 if test "${lt_cv_prog_compiler_c_o_GCJ+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -16047,7 +17321,7 @@
    mkdir conftest
    cd conftest
    mkdir out
-   printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+   echo "$lt_simple_compile_test_code" > conftest.$ac_ext
 
    lt_compiler_flag="-o out/conftest2.$ac_objext"
    # Insert the option either (1) after the last *FLAGS variable, or
@@ -16058,11 +17332,11 @@
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16061: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17335: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16065: \$? = $ac_status" >&5
+   echo "$as_me:17339: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16084,23 +17358,23 @@
    $rm conftest*
 
 fi
-echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_c_o_GCJ" >&5
-echo "${ECHO_T}$lt_cv_prog_compiler_c_o_GCJ" >&6
+{ echo "$as_me:$LINENO: result: $lt_cv_prog_compiler_c_o_GCJ" >&5
+echo "${ECHO_T}$lt_cv_prog_compiler_c_o_GCJ" >&6; }
 
 
 hard_links="nottested"
 if test "$lt_cv_prog_compiler_c_o_GCJ" = no && test "$need_locks" != no; then
   # do not overwrite the value of need_locks provided by the user
-  echo "$as_me:$LINENO: checking if we can lock with hard links" >&5
-echo $ECHO_N "checking if we can lock with hard links... $ECHO_C" >&6
+  { echo "$as_me:$LINENO: checking if we can lock with hard links" >&5
+echo $ECHO_N "checking if we can lock with hard links... $ECHO_C" >&6; }
   hard_links=yes
   $rm conftest*
   ln conftest.a conftest.b 2>/dev/null && hard_links=no
   touch conftest.a
   ln conftest.a conftest.b 2>&5 || hard_links=no
   ln conftest.a conftest.b 2>/dev/null && hard_links=no
-  echo "$as_me:$LINENO: result: $hard_links" >&5
-echo "${ECHO_T}$hard_links" >&6
+  { echo "$as_me:$LINENO: result: $hard_links" >&5
+echo "${ECHO_T}$hard_links" >&6; }
   if test "$hard_links" = no; then
     { echo "$as_me:$LINENO: WARNING: \`$CC' does not support \`-c -o', so \`make -j' may be unsafe" >&5
 echo "$as_me: WARNING: \`$CC' does not support \`-c -o', so \`make -j' may be unsafe" >&2;}
@@ -16110,8 +17384,8 @@
   need_locks=no
 fi
 
-echo "$as_me:$LINENO: checking whether the $compiler linker ($LD) supports shared libraries" >&5
-echo $ECHO_N "checking whether the $compiler linker ($LD) supports shared libraries... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether the $compiler linker ($LD) supports shared libraries" >&5
+echo $ECHO_N "checking whether the $compiler linker ($LD) supports shared libraries... $ECHO_C" >&6; }
 
   runpath_var=
   allow_undefined_flag_GCJ=
@@ -16254,7 +17528,7 @@
       allow_undefined_flag_GCJ=unsupported
       always_export_symbols_GCJ=no
       enable_shared_with_static_runtimes_GCJ=yes
-      export_symbols_cmds_GCJ='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[BCDGRS] /s/.* \([^ ]*\)/\1 DATA/'\'' | $SED -e '\''/^[AITW] /s/.* //'\'' | sort | uniq > $export_symbols'
+      export_symbols_cmds_GCJ='$NM $libobjs $convenience | $global_symbol_pipe | $SED -e '\''/^[BCDGRS][ ]/s/.*[ ]\([^ ]*\)/\1 DATA/'\'' -e '\''/^[AITW][ ]/s/.*[ ]//'\'' | sort | uniq > $export_symbols'
 
       if $LD --help 2>&1 | grep 'auto-import' > /dev/null; then
         archive_cmds_GCJ='$CC -shared $libobjs $deplibs $compiler_flags -o $output_objdir/$soname ${wl}--enable-auto-image-base -Xlinker --out-implib -Xlinker $lib'
@@ -16272,7 +17546,7 @@
       fi
       ;;
 
-    interix3*)
+    interix[3-9]*)
       hardcode_direct_GCJ=no
       hardcode_shlibpath_var_GCJ=no
       hardcode_libdir_flag_spec_GCJ='${wl}-rpath,$libdir'
@@ -16287,7 +17561,7 @@
       archive_expsym_cmds_GCJ='sed "s,^,_," $export_symbols >$output_objdir/$soname.expsym~$CC -shared $pic_flag $libobjs $deplibs $compiler_flags ${wl}-h,$soname ${wl}--retain-symbols-file,$output_objdir/$soname.expsym ${wl}--image-base,`expr ${RANDOM-$$} % 4096 / 2 \* 262144 + 1342177280` -o $lib'
       ;;
 
-    linux*)
+    gnu* | linux* | k*bsd*-gnu)
       if $LD --help 2>&1 | grep ': supported targets:.* elf' > /dev/null; then
 	tmp_addflag=
 	case $cc_basename,$host_cpu in
@@ -16305,13 +17579,22 @@
 	ifc* | ifort*)			# Intel Fortran compiler
 	  tmp_addflag=' -nofor_main' ;;
 	esac
-	archive_cmds_GCJ='$CC -shared'"$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname -o $lib'
+	case `$CC -V 2>&1 | sed 5q` in
+	*Sun\ C*)			# Sun C 5.9
+	  whole_archive_flag_spec_GCJ='${wl}--whole-archive`new_convenience=; for conv in $convenience\"\"; do test -z \"$conv\" || new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}--no-whole-archive'
+	  tmp_sharedflag='-G' ;;
+	*Sun\ F*)			# Sun Fortran 8.3
+	  tmp_sharedflag='-G' ;;
+	*)
+	  tmp_sharedflag='-shared' ;;
+	esac
+	archive_cmds_GCJ='$CC '"$tmp_sharedflag""$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname -o $lib'
 
 	if test $supports_anon_versioning = yes; then
 	  archive_expsym_cmds_GCJ='$echo "{ global:" > $output_objdir/$libname.ver~
   cat $export_symbols | sed -e "s/\(.*\)/\1;/" >> $output_objdir/$libname.ver~
   $echo "local: *; };" >> $output_objdir/$libname.ver~
-	  $CC -shared'"$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname ${wl}-version-script ${wl}$output_objdir/$libname.ver -o $lib'
+	  $CC '"$tmp_sharedflag""$tmp_addflag"' $libobjs $deplibs $compiler_flags ${wl}-soname $wl$soname ${wl}-version-script ${wl}$output_objdir/$libname.ver -o $lib'
 	fi
 	link_all_deplibs_GCJ=no
       else
@@ -16319,7 +17602,7 @@
       fi
       ;;
 
-    netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+    netbsd* | netbsdelf*-gnu)
       if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
 	archive_cmds_GCJ='$LD -Bshareable $libobjs $deplibs $linker_flags -o $lib'
 	wlarc=
@@ -16471,7 +17754,7 @@
   	   strings "$collect2name" | grep resolve_lib_name >/dev/null
 	  then
   	  # We have reworked collect2
-  	  hardcode_direct_GCJ=yes
+  	  :
 	  else
   	  # We have old collect2
   	  hardcode_direct_GCJ=unsupported
@@ -16527,38 +17810,44 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
 
-aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`
+lt_aix_libpath_sed='
+    /Import File Strings/,/^$/ {
+	/^0/ {
+	    s/^0  *\(.*\)$/\1/
+	    p
+	}
+    }'
+aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
 # Check for a 64-bit object if we didn't find anything.
-if test -z "$aix_libpath"; then aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`; fi
+if test -z "$aix_libpath"; then
+  aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
+fi
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
 
@@ -16587,38 +17876,44 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
 
-aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`
+lt_aix_libpath_sed='
+    /Import File Strings/,/^$/ {
+	/^0/ {
+	    s/^0  *\(.*\)$/\1/
+	    p
+	}
+    }'
+aix_libpath=`dump -H conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
 # Check for a 64-bit object if we didn't find anything.
-if test -z "$aix_libpath"; then aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e '/Import File Strings/,/^$/ { /^0/ { s/^0  *\(.*\)$/\1/; p; }
-}'`; fi
+if test -z "$aix_libpath"; then
+  aix_libpath=`dump -HX64 conftest$ac_exeext 2>/dev/null | $SED -n -e "$lt_aix_libpath_sed"`
+fi
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 if test -z "$aix_libpath"; then aix_libpath="/usr/lib:/lib"; fi
 
@@ -16664,7 +17959,7 @@
       # The linker will automatically build a .lib file if we build a DLL.
       old_archive_From_new_cmds_GCJ='true'
       # FIXME: Should let the user specify the lib program.
-      old_archive_cmds_GCJ='lib /OUT:$oldlib$oldobjs$old_deplibs'
+      old_archive_cmds_GCJ='lib -OUT:$oldlib$oldobjs$old_deplibs'
       fix_srcfile_path_GCJ='`cygpath -w "$srcfile"`'
       enable_shared_with_static_runtimes_GCJ=yes
       ;;
@@ -16706,10 +18001,10 @@
       case $cc_basename in
         xlc*)
          output_verbose_link_cmd='echo'
-         archive_cmds_GCJ='$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $verstring'
+         archive_cmds_GCJ='$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}`echo $rpath/$soname` $xlcverstring'
          module_cmds_GCJ='$CC $allow_undefined_flag -o $lib -bundle $libobjs $deplibs$compiler_flags'
           # Don't fix this by using the ld -exported_symbols_list flag, it doesn't exist in older darwin lds
-         archive_expsym_cmds_GCJ='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $verstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
+         archive_expsym_cmds_GCJ='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC -qmkshrobj $allow_undefined_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-install_name ${wl}$rpath/$soname $xlcverstring~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           module_expsym_cmds_GCJ='sed -e "s,#.*,," -e "s,^[    ]*,," -e "s,^\(..*\),_&," < $export_symbols > $output_objdir/${libname}-symbols.expsym~$CC $allow_undefined_flag  -o $lib -bundle $libobjs $deplibs$compiler_flags~nmedit -s $output_objdir/${libname}-symbols.expsym ${lib}'
           ;;
        *)
@@ -16756,15 +18051,6 @@
       hardcode_shlibpath_var_GCJ=no
       ;;
 
-    # GNU/kFreeBSD uses gcc -shared to do shared libraries.
-    kfreebsd*-gnu)
-      archive_cmds_GCJ='$CC -shared -o $lib $libobjs $deplibs $compiler_flags'
-      hardcode_libdir_flag_spec_GCJ='-R$libdir'
-      hardcode_direct_GCJ=yes
-      hardcode_shlibpath_var_GCJ=no
-      link_all_deplibs_GCJ=no
-      ;;
-
     hpux9*)
       if test "$GCC" = yes; then
 	archive_cmds_GCJ='$rm $output_objdir/$soname~$CC -shared -fPIC ${wl}+b ${wl}$install_libdir -o $output_objdir/$soname $libobjs $deplibs $compiler_flags~test $output_objdir/$soname = $lib || mv $output_objdir/$soname $lib'
@@ -16860,7 +18146,7 @@
       link_all_deplibs_GCJ=yes
       ;;
 
-    netbsd* | netbsdelf*-gnu | knetbsd*-gnu)
+    netbsd* | netbsdelf*-gnu)
       if echo __ELF__ | $CC -E - | grep __ELF__ >/dev/null; then
 	archive_cmds_GCJ='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'  # a.out
       else
@@ -16880,24 +18166,28 @@
       ;;
 
     openbsd*)
-      hardcode_direct_GCJ=yes
-      hardcode_shlibpath_var_GCJ=no
-      if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
-	archive_cmds_GCJ='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
-	archive_expsym_cmds_GCJ='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-retain-symbols-file,$export_symbols'
-	hardcode_libdir_flag_spec_GCJ='${wl}-rpath,$libdir'
-	export_dynamic_flag_spec_GCJ='${wl}-E'
+      if test -f /usr/libexec/ld.so; then
+	hardcode_direct_GCJ=yes
+	hardcode_shlibpath_var_GCJ=no
+	if test -z "`echo __ELF__ | $CC -E - | grep __ELF__`" || test "$host_os-$host_cpu" = "openbsd2.8-powerpc"; then
+	  archive_cmds_GCJ='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
+	  archive_expsym_cmds_GCJ='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags ${wl}-retain-symbols-file,$export_symbols'
+	  hardcode_libdir_flag_spec_GCJ='${wl}-rpath,$libdir'
+	  export_dynamic_flag_spec_GCJ='${wl}-E'
+	else
+	  case $host_os in
+	   openbsd[01].* | openbsd2.[0-7] | openbsd2.[0-7].*)
+	     archive_cmds_GCJ='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'
+	     hardcode_libdir_flag_spec_GCJ='-R$libdir'
+	     ;;
+	   *)
+	     archive_cmds_GCJ='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
+	     hardcode_libdir_flag_spec_GCJ='${wl}-rpath,$libdir'
+	     ;;
+	  esac
+        fi
       else
-       case $host_os in
-	 openbsd[01].* | openbsd2.[0-7] | openbsd2.[0-7].*)
-	   archive_cmds_GCJ='$LD -Bshareable -o $lib $libobjs $deplibs $linker_flags'
-	   hardcode_libdir_flag_spec_GCJ='-R$libdir'
-	   ;;
-	 *)
-	   archive_cmds_GCJ='$CC -shared $pic_flag -o $lib $libobjs $deplibs $compiler_flags'
-	   hardcode_libdir_flag_spec_GCJ='${wl}-rpath,$libdir'
-	   ;;
-       esac
+	ld_shlibs_GCJ=no
       fi
       ;;
 
@@ -16956,17 +18246,16 @@
       case $host_os in
       solaris2.[0-5] | solaris2.[0-5].*) ;;
       *)
- 	# The compiler driver will combine linker options so we
- 	# cannot just pass the convience library names through
- 	# without $wl, iff we do not link with $LD.
- 	# Luckily, gcc supports the same syntax we need for Sun Studio.
+	# The compiler driver will combine and reorder linker options,
+	# but understands `-z linker_flag'.  GCC discards it without `$wl',
+	# but is careful enough not to reorder.
  	# Supported since Solaris 2.6 (maybe 2.5.1?)
- 	case $wlarc in
- 	'')
- 	  whole_archive_flag_spec_GCJ='-z allextract$convenience -z defaultextract' ;;
- 	*)
- 	  whole_archive_flag_spec_GCJ='${wl}-z ${wl}allextract`for conv in $convenience\"\"; do test -n \"$conv\" && new_convenience=\"$new_convenience,$conv\"; done; $echo \"$new_convenience\"` ${wl}-z ${wl}defaultextract' ;;
- 	esac ;;
+	if test "$GCC" = yes; then
+	  whole_archive_flag_spec_GCJ='${wl}-z ${wl}allextract$convenience ${wl}-z ${wl}defaultextract'
+	else
+	  whole_archive_flag_spec_GCJ='-z allextract$convenience -z defaultextract'
+	fi
+	;;
       esac
       link_all_deplibs_GCJ=yes
       ;;
@@ -17023,7 +18312,7 @@
       fi
       ;;
 
-    sysv4*uw2* | sysv5OpenUNIX* | sysv5UnixWare7.[01].[10]* | unixware7*)
+    sysv4*uw2* | sysv5OpenUNIX* | sysv5UnixWare7.[01].[10]* | unixware7* | sco3.2v5.0.[024]*)
       no_undefined_flag_GCJ='${wl}-z,text'
       archive_cmds_need_lc_GCJ=no
       hardcode_shlibpath_var_GCJ=no
@@ -17076,8 +18365,8 @@
     esac
   fi
 
-echo "$as_me:$LINENO: result: $ld_shlibs_GCJ" >&5
-echo "${ECHO_T}$ld_shlibs_GCJ" >&6
+{ echo "$as_me:$LINENO: result: $ld_shlibs_GCJ" >&5
+echo "${ECHO_T}$ld_shlibs_GCJ" >&6; }
 test "$ld_shlibs_GCJ" = no && can_build_shared=no
 
 #
@@ -17097,10 +18386,10 @@
       # Test whether the compiler implicitly links with -lc since on some
       # systems, -lgcc has to come before -lc. If gcc already passes -lc
       # to ld, don't add -lc before -lgcc.
-      echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
-echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6
+      { echo "$as_me:$LINENO: checking whether -lc should be explicitly linked in" >&5
+echo $ECHO_N "checking whether -lc should be explicitly linked in... $ECHO_C" >&6; }
       $rm conftest*
-      printf "$lt_simple_compile_test_code" > conftest.$ac_ext
+      echo "$lt_simple_compile_test_code" > conftest.$ac_ext
 
       if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
@@ -17135,16 +18424,16 @@
         cat conftest.err 1>&5
       fi
       $rm conftest*
-      echo "$as_me:$LINENO: result: $archive_cmds_need_lc_GCJ" >&5
-echo "${ECHO_T}$archive_cmds_need_lc_GCJ" >&6
+      { echo "$as_me:$LINENO: result: $archive_cmds_need_lc_GCJ" >&5
+echo "${ECHO_T}$archive_cmds_need_lc_GCJ" >&6; }
       ;;
     esac
   fi
   ;;
 esac
 
-echo "$as_me:$LINENO: checking dynamic linker characteristics" >&5
-echo $ECHO_N "checking dynamic linker characteristics... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking dynamic linker characteristics" >&5
+echo $ECHO_N "checking dynamic linker characteristics... $ECHO_C" >&6; }
 library_names_spec=
 libname_spec='lib$name'
 soname_spec=
@@ -17158,20 +18447,7 @@
 version_type=none
 dynamic_linker="$host_os ld.so"
 sys_lib_dlsearch_path_spec="/lib /usr/lib"
-if test "$GCC" = yes; then
-  sys_lib_search_path_spec=`$CC -print-search-dirs | grep "^libraries:" | $SED -e "s/^libraries://" -e "s,=/,/,g"`
-  if echo "$sys_lib_search_path_spec" | grep ';' >/dev/null ; then
-    # if the path contains ";" then we assume it to be the separator
-    # otherwise default to the standard path separator (i.e. ":") - it is
-    # assumed that no part of a normal pathname contains ";" but that should
-    # okay in the real world where ";" in dirpaths is itself problematic.
-    sys_lib_search_path_spec=`echo "$sys_lib_search_path_spec" | $SED -e 's/;/ /g'`
-  else
-    sys_lib_search_path_spec=`echo "$sys_lib_search_path_spec" | $SED  -e "s/$PATH_SEPARATOR/ /g"`
-  fi
-else
-  sys_lib_search_path_spec="/lib /usr/lib /usr/local/lib"
-fi
+
 need_lib_prefix=unknown
 hardcode_into_libs=no
 
@@ -17328,12 +18604,7 @@
   shlibpath_overrides_runpath=yes
   shlibpath_var=DYLD_LIBRARY_PATH
   shrext_cmds='`test .$module = .yes && echo .so || echo .dylib`'
-  # Apple's gcc prints 'gcc -print-search-dirs' doesn't operate the same.
-  if test "$GCC" = yes; then
-    sys_lib_search_path_spec=`$CC -print-search-dirs | tr "\n" "$PATH_SEPARATOR" | sed -e 's/libraries:/@libraries:/' | tr "@" "\n" | grep "^libraries:" | sed -e "s/^libraries://" -e "s,=/,/,g" -e "s,$PATH_SEPARATOR, ,g" -e "s,.*,& /lib /usr/lib /usr/local/lib,g"`
-  else
-    sys_lib_search_path_spec='/lib /usr/lib /usr/local/lib'
-  fi
+
   sys_lib_dlsearch_path_spec='/usr/local/lib /lib /usr/lib'
   ;;
 
@@ -17350,18 +18621,6 @@
   dynamic_linker=no
   ;;
 
-kfreebsd*-gnu)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  shlibpath_overrides_runpath=no
-  hardcode_into_libs=yes
-  dynamic_linker='GNU ld.so'
-  ;;
-
 freebsd* | dragonfly*)
   # DragonFly does not have aout.  When/if they implement a new
   # versioning mechanism, adjust this.
@@ -17399,7 +18658,7 @@
     shlibpath_overrides_runpath=no
     hardcode_into_libs=yes
     ;;
-  freebsd*) # from 4.6 on
+  *) # from 4.6 on, and DragonFly
     shlibpath_overrides_runpath=yes
     hardcode_into_libs=yes
     ;;
@@ -17462,7 +18721,7 @@
   postinstall_cmds='chmod 555 $lib'
   ;;
 
-interix3*)
+interix[3-9]*)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -17517,7 +18776,7 @@
   ;;
 
 # This must be Linux ELF.
-linux*)
+linux* | k*bsd*-gnu)
   version_type=linux
   need_lib_prefix=no
   need_version=no
@@ -17533,7 +18792,7 @@
 
   # Append ld.so.conf contents to the search path
   if test -f /etc/ld.so.conf; then
-    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
+    lt_ld_extra=`awk '/^include / { system(sprintf("cd /etc; cat %s 2>/dev/null", \$2)); skip = 1; } { if (!skip) print \$0; skip = 0; }' < /etc/ld.so.conf | $SED -e 's/#.*//;/^[ 	]*hwcap[ 	]/d;s/[:,	]/ /g;s/=[^=]*$//;s/=[^= ]* / /g;/^$/d' | tr '\n' ' '`
     sys_lib_dlsearch_path_spec="/lib /usr/lib $lt_ld_extra"
   fi
 
@@ -17558,18 +18817,6 @@
   dynamic_linker='NetBSD ld.elf_so'
   ;;
 
-knetbsd*-gnu)
-  version_type=linux
-  need_lib_prefix=no
-  need_version=no
-  library_names_spec='${libname}${release}${shared_ext}$versuffix ${libname}${release}${shared_ext}$major ${libname}${shared_ext}'
-  soname_spec='${libname}${release}${shared_ext}$major'
-  shlibpath_var=LD_LIBRARY_PATH
-  shlibpath_overrides_runpath=no
-  hardcode_into_libs=yes
-  dynamic_linker='GNU ld.so'
-  ;;
-
 netbsd*)
   version_type=sunos
   need_lib_prefix=no
@@ -17651,6 +18898,10 @@
   sys_lib_dlsearch_path_spec="$sys_lib_search_path_spec"
   ;;
 
+rdos*)
+  dynamic_linker=no
+  ;;
+
 solaris*)
   version_type=linux
   need_lib_prefix=no
@@ -17743,8 +18994,8 @@
   dynamic_linker=no
   ;;
 esac
-echo "$as_me:$LINENO: result: $dynamic_linker" >&5
-echo "${ECHO_T}$dynamic_linker" >&6
+{ echo "$as_me:$LINENO: result: $dynamic_linker" >&5
+echo "${ECHO_T}$dynamic_linker" >&6; }
 test "$dynamic_linker" = no && can_build_shared=no
 
 variables_saved_for_relink="PATH $shlibpath_var $runpath_var"
@@ -17752,8 +19003,8 @@
   variables_saved_for_relink="$variables_saved_for_relink GCC_EXEC_PREFIX COMPILER_PATH LIBRARY_PATH"
 fi
 
-echo "$as_me:$LINENO: checking how to hardcode library paths into programs" >&5
-echo $ECHO_N "checking how to hardcode library paths into programs... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking how to hardcode library paths into programs" >&5
+echo $ECHO_N "checking how to hardcode library paths into programs... $ECHO_C" >&6; }
 hardcode_action_GCJ=
 if test -n "$hardcode_libdir_flag_spec_GCJ" || \
    test -n "$runpath_var_GCJ" || \
@@ -17777,8 +19028,8 @@
   # directories.
   hardcode_action_GCJ=unsupported
 fi
-echo "$as_me:$LINENO: result: $hardcode_action_GCJ" >&5
-echo "${ECHO_T}$hardcode_action_GCJ" >&6
+{ echo "$as_me:$LINENO: result: $hardcode_action_GCJ" >&5
+echo "${ECHO_T}$hardcode_action_GCJ" >&6; }
 
 if test "$hardcode_action_GCJ" = relink; then
   # Fast installation is not supported
@@ -17845,6 +19096,7 @@
     module_cmds_GCJ \
     module_expsym_cmds_GCJ \
     lt_cv_prog_compiler_c_o_GCJ \
+    fix_srcfile_path_GCJ \
     exclude_expsyms_GCJ \
     include_expsyms_GCJ; do
 
@@ -18165,7 +19417,7 @@
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
 
 # Fix the shell variable \$srcfile for the compiler.
-fix_srcfile_path="$fix_srcfile_path_GCJ"
+fix_srcfile_path=$lt_fix_srcfile_path
 
 # Set to yes if exported symbols are required.
 always_export_symbols=$always_export_symbols_GCJ
@@ -18214,7 +19466,6 @@
       RC)
 
 
-
 # Source file extension for RC test sources.
 ac_ext=rc
 
@@ -18223,7 +19474,7 @@
 objext_RC=$objext
 
 # Code to be used in simple compile tests
-lt_simple_compile_test_code='sample MENU { MENUITEM "&Soup", 100, CHECKED }\n'
+lt_simple_compile_test_code='sample MENU { MENUITEM "&Soup", 100, CHECKED }'
 
 # Code to be used in simple link tests
 lt_simple_link_test_code="$lt_simple_compile_test_code"
@@ -18242,13 +19493,13 @@
 
 # save warnings/boilerplate of simple test code
 ac_outfile=conftest.$ac_objext
-printf "$lt_simple_compile_test_code" >conftest.$ac_ext
+echo "$lt_simple_compile_test_code" >conftest.$ac_ext
 eval "$ac_compile" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_compiler_boilerplate=`cat conftest.err`
 $rm conftest*
 
 ac_outfile=conftest.$ac_objext
-printf "$lt_simple_link_test_code" >conftest.$ac_ext
+echo "$lt_simple_link_test_code" >conftest.$ac_ext
 eval "$ac_link" 2>&1 >/dev/null | $SED '/^$/d; /^ *+/d' >conftest.err
 _lt_linker_boilerplate=`cat conftest.err`
 $rm conftest*
@@ -18326,6 +19577,7 @@
     module_cmds_RC \
     module_expsym_cmds_RC \
     lt_cv_prog_compiler_c_o_RC \
+    fix_srcfile_path_RC \
     exclude_expsyms_RC \
     include_expsyms_RC; do
 
@@ -18646,7 +19898,7 @@
 sys_lib_dlsearch_path_spec=$lt_sys_lib_dlsearch_path_spec
 
 # Fix the shell variable \$srcfile for the compiler.
-fix_srcfile_path="$fix_srcfile_path_RC"
+fix_srcfile_path=$lt_fix_srcfile_path
 
 # Set to yes if exported symbols are required.
 always_export_symbols=$always_export_symbols_RC
@@ -18746,13 +19998,12 @@
 
 
 
-echo "$as_me:$LINENO: checking for library containing strerror" >&5
-echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for library containing strerror" >&5
+echo $ECHO_N "checking for library containing strerror... $ECHO_C" >&6; }
 if test "${ac_cv_search_strerror+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_func_search_save_LIBS=$LIBS
-ac_cv_search_strerror=no
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -18760,118 +20011,78 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char strerror ();
 int
 main ()
 {
-strerror ();
+return strerror ();
   ;
   return 0;
 }
 _ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_search_strerror="none required"
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_strerror" = no; then
-  for ac_lib in cposix; do
+for ac_lib in '' cposix; do
+  if test -z "$ac_lib"; then
+    ac_res="none required"
+  else
+    ac_res=-l$ac_lib
     LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
-    cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char strerror ();
-int
-main ()
-{
-strerror ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+  fi
+  rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_search_strerror="-l$ac_lib"
-break
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_search_strerror=$ac_res
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-  done
-fi
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext
+  if test "${ac_cv_search_strerror+set}" = set; then
+  break
+fi
+done
+if test "${ac_cv_search_strerror+set}" = set; then
+  :
+else
+  ac_cv_search_strerror=no
+fi
+rm conftest.$ac_ext
 LIBS=$ac_func_search_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5
-echo "${ECHO_T}$ac_cv_search_strerror" >&6
-if test "$ac_cv_search_strerror" != no; then
-  test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
+{ echo "$as_me:$LINENO: result: $ac_cv_search_strerror" >&5
+echo "${ECHO_T}$ac_cv_search_strerror" >&6; }
+ac_res=$ac_cv_search_strerror
+if test "$ac_res" != no; then
+  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
 
 fi
 
-echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
-echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether byte ordering is bigendian" >&5
+echo $ECHO_N "checking whether byte ordering is bigendian... $ECHO_C" >&6; }
 if test "${ac_cv_c_bigendian+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -18888,7 +20099,8 @@
 int
 main ()
 {
-#if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
+#if  ! (defined BYTE_ORDER && defined BIG_ENDIAN && defined LITTLE_ENDIAN \
+	&& BYTE_ORDER && BIG_ENDIAN && LITTLE_ENDIAN)
  bogus endian macros
 #endif
 
@@ -18897,26 +20109,22 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   # It does; now see whether it defined to BIG_ENDIAN or not.
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -18939,39 +20147,36 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_cv_c_bigendian=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_c_bigendian=no
+	ac_cv_c_bigendian=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-# It does not; compile a test program.
+	# It does not; compile a test program.
 if test "$cross_compiling" = yes; then
   # try to guess the endianness by grepping values into an object file
   ac_cv_c_bigendian=unknown
@@ -18981,11 +20186,11 @@
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-short ascii_mm[] = { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
-short ascii_ii[] = { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
+short int ascii_mm[] = { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
+short int ascii_ii[] = { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
 void _ascii () { char *s = (char *) ascii_mm; s = (char *) ascii_ii; }
-short ebcdic_ii[] = { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
-short ebcdic_mm[] = { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
+short int ebcdic_ii[] = { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
+short int ebcdic_mm[] = { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
 void _ebcdic () { char *s = (char *) ebcdic_mm; s = (char *) ebcdic_ii; }
 int
 main ()
@@ -18996,26 +20201,22 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   if grep BIGenDianSyS conftest.$ac_objext >/dev/null ; then
   ac_cv_c_bigendian=yes
 fi
@@ -19031,8 +20232,10 @@
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
+
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 else
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -19040,27 +20243,41 @@
 cat confdefs.h >>conftest.$ac_ext
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
+$ac_includes_default
 int
 main ()
 {
+
   /* Are we little or big endian?  From Harbison&Steele.  */
   union
   {
-    long l;
-    char c[sizeof (long)];
+    long int l;
+    char c[sizeof (long int)];
   } u;
   u.l = 1;
-  exit (u.c[sizeof (long) - 1] == 1);
+  return u.c[sizeof (long int) - 1] == 1;
+
+  ;
+  return 0;
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
@@ -19073,13 +20290,16 @@
 ( exit $ac_status )
 ac_cv_c_bigendian=yes
 fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
-echo "${ECHO_T}$ac_cv_c_bigendian" >&6
+rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+
+
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_c_bigendian" >&5
+echo "${ECHO_T}$ac_cv_c_bigendian" >&6; }
 case $ac_cv_c_bigendian in
   yes)
 
@@ -19097,37 +20317,38 @@
    { (exit 1); exit 1; }; } ;;
 esac
 
-echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
-echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6
-set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,:./+-,___p_,'`
-if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
+{ echo "$as_me:$LINENO: checking whether ${MAKE-make} sets \$(MAKE)" >&5
+echo $ECHO_N "checking whether ${MAKE-make} sets \$(MAKE)... $ECHO_C" >&6; }
+set x ${MAKE-make}; ac_make=`echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
+if { as_var=ac_cv_prog_make_${ac_make}_set; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.make <<\_ACEOF
+SHELL = /bin/sh
 all:
-	@echo 'ac_maketemp="$(MAKE)"'
+	@echo '@@@%%%=$(MAKE)=@@@%%%'
 _ACEOF
 # GNU make sometimes prints "make[1]: Entering...", which would confuse us.
-eval `${MAKE-make} -f conftest.make 2>/dev/null | grep temp=`
-if test -n "$ac_maketemp"; then
-  eval ac_cv_prog_make_${ac_make}_set=yes
-else
-  eval ac_cv_prog_make_${ac_make}_set=no
-fi
+case `${MAKE-make} -f conftest.make 2>/dev/null` in
+  *@@@%%%=?*=@@@%%%*)
+    eval ac_cv_prog_make_${ac_make}_set=yes;;
+  *)
+    eval ac_cv_prog_make_${ac_make}_set=no;;
+esac
 rm -f conftest.make
 fi
-if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+if eval test \$ac_cv_prog_make_${ac_make}_set = yes; then
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
   SET_MAKE=
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
   SET_MAKE="MAKE=${MAKE-make}"
 fi
 
-echo "$as_me:$LINENO: checking for ANSI C header files" >&5
-echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for ANSI C header files" >&5
+echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6; }
 if test "${ac_cv_header_stdc+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -19151,34 +20372,31 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_cv_header_stdc=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_header_stdc=no
+	ac_cv_header_stdc=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
 
 if test $ac_cv_header_stdc = yes; then
   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
@@ -19234,6 +20452,7 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 #include <ctype.h>
+#include <stdlib.h>
 #if ((' ' & 0x0FF) == 0x020)
 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
@@ -19253,18 +20472,27 @@
   for (i = 0; i < 256; i++)
     if (XOR (islower (i), ISLOWER (i))
 	|| toupper (i) != TOUPPER (i))
-      exit(2);
-  exit (0);
+      return 2;
+  return 0;
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
@@ -19277,12 +20505,14 @@
 ( exit $ac_status )
 ac_cv_header_stdc=no
 fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-fi
-fi
-echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
-echo "${ECHO_T}$ac_cv_header_stdc" >&6
+rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+
+
+fi
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
+echo "${ECHO_T}$ac_cv_header_stdc" >&6; }
 if test $ac_cv_header_stdc = yes; then
 
 cat >>confdefs.h <<\_ACEOF
@@ -19293,30 +20523,221 @@
 
 
 
-# Check whether --with-opensp-includes or --without-opensp-includes was given.
+
+# check for OS
+{ echo "$as_me:$LINENO: checking host system type" >&5
+echo $ECHO_N "checking host system type... $ECHO_C" >&6; }
+OSYSTEM=""
+OS_TYPE=""
+MAKE_DLL_TARGET=""
+INSTALL_DLL_TARGET=""
+
+cat >>confdefs.h <<_ACEOF
+#define OS_NAME "$host"
+_ACEOF
+
+case "$host" in
+    *-linux*)
+	OSYSTEM="linux"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_LINUX 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_POSIX 1
+_ACEOF
+
+	OS_TYPE="posix"
+	;;
+    *-solaris*)
+	OSYSTEM="solaris"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_SOLARIS 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_POSIX 1
+_ACEOF
+
+	OS_TYPE="posix"
+	;;
+    *-darwin*)
+	OSYSTEM="osx"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_DARWIN 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_POSIX 1
+_ACEOF
+
+	OS_TYPE="posix"
+	;;
+    *-openbsd*)
+	OSYSTEM="openbsd"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_OPENBSD 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_POSIX 1
+_ACEOF
+
+	OS_TYPE="posix"
+	;;
+    *-freebsd*)
+	OSYSTEM="freebsd"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_FREEBSD 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_POSIX 1
+_ACEOF
+
+	OS_TYPE="posix"
+	;;
+    *-netbsd*)
+	OSYSTEM="netbsd"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_NETBSD 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_POSIX 1
+_ACEOF
+
+	OS_TYPE="posix"
+	;;
+    *-beos*)
+	OSYSTEM="beos"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_BEOS 1
+_ACEOF
+
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_POSIX 1
+_ACEOF
+
+	OS_TYPE="posix"
+	;;
+    *-win32*)
+    	OSYSTEM="windows"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_WIN32 1
+_ACEOF
+
+	OS_TYPE="windows"
+
+cat >>confdefs.h <<_ACEOF
+#define BUILDING_DLL 1
+_ACEOF
+
+	MAKE_DLL_TARGET="dll"
+	INSTALL_DLL_TARGET="dll-install"
+	;;
+    *-mingw32*)
+	OSYSTEM="windows"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_WIN32 1
+_ACEOF
+
+	OS_TYPE="windows"
+
+cat >>confdefs.h <<_ACEOF
+#define BUILDING_DLL 1
+_ACEOF
+
+	MAKE_DLL_TARGET="dll"
+	INSTALL_DLL_TARGET="dll-install"
+	;;
+    *-palmos*)
+    	OSYSTEM="palmos"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_PALMOS 1
+_ACEOF
+
+	OS_TYPE="palmos"
+        ;;
+    *)
+	{ echo "$as_me:$LINENO: WARNING: Sorry, but host $host is not supported.
+        Please report if it works anyway. We will assume that your system
+        is a posix system and continue." >&5
+echo "$as_me: WARNING: Sorry, but host $host is not supported.
+        Please report if it works anyway. We will assume that your system
+        is a posix system and continue." >&2;}
+	OSYSTEM="unknown"
+	OS_TYPE="posix"
+
+cat >>confdefs.h <<\_ACEOF
+#define OS_POSIX 1
+_ACEOF
+
+	;;
+esac
+
+
+
+cat >>confdefs.h <<_ACEOF
+#define OS_SHORTNAME "$OSYSTEM"
+_ACEOF
+
+
+
+cat >>confdefs.h <<_ACEOF
+#define OS_TYPE "$OS_TYPE"
+_ACEOF
+
+
+
+
+{ echo "$as_me:$LINENO: result: $OS_TYPE" >&5
+echo "${ECHO_T}$OS_TYPE" >&6; }
+
+
+
+
+# Check whether --with-opensp-includes was given.
 if test "${with_opensp_includes+set}" = set; then
-  withval="$with_opensp_includes"
-  OPENSPINCLUDES="$with_opensp_includes"
+  withval=$with_opensp_includes; OPENSPINCLUDES="$with_opensp_includes"
 else
   OPENSPINCLUDES=""
-fi;
-
-
-# Check whether --with-opensp-libs or --without-opensp-libs was given.
+fi
+
+
+
+# Check whether --with-opensp-libs was given.
 if test "${with_opensp_libs+set}" = set; then
-  withval="$with_opensp_libs"
-  OPENSPLIBPATH="$with_opensp_libs"
+  withval=$with_opensp_libs; OPENSPLIBPATH="$with_opensp_libs"
 else
   OPENSPLIBPATH="/usr/lib"
-fi;
+fi
+
 
 			echo $OPENSPLIBPATH
 for d in /usr/include/OpenSP /usr/local/include/OpenSP /usr/include/sp/generic /usr/local/include/sp/generic; do
     if test "x$OPENSPINCLUDES" = x; then
 	save_CPPFLAGS="$CPPFLAGS"
 	CPPFLAGS="$CPPFLAGS -I$d"
-	echo "$as_me:$LINENO: checking for ParserEventGenerator.h in $d" >&5
-echo $ECHO_N "checking for ParserEventGenerator.h in $d... $ECHO_C" >&6
+	{ echo "$as_me:$LINENO: checking for ParserEventGenerator.h in $d" >&5
+echo $ECHO_N "checking for ParserEventGenerator.h in $d... $ECHO_C" >&6; }
 	cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -19325,39 +20746,37 @@
 /* end confdefs.h.  */
 #include <ParserEventGeneratorKit.h>
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
-   echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6; OPENSPINCLUDES=$d
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+   { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }; OPENSPINCLUDES=$d
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-   echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+   { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
+
 rm -f conftest.err conftest.$ac_ext
 	CPPFLAGS="$save_CPPFLAGS"
     fi
 done
 
-
 ##Detect if OpenSP was compiled with SP_MULTI_BYTE, and put the result in config.h
 ##
 
@@ -19368,17 +20787,17 @@
 #endif
 
 
-# Check whether --with-no-opensp-multibyte or --without-no-opensp-multibyte was given.
+# Check whether --with-no-opensp-multibyte was given.
 if test "${with_no_opensp_multibyte+set}" = set; then
-  withval="$with_no_opensp_multibyte"
-
+  withval=$with_no_opensp_multibyte;
 else
 
 cat >>confdefs.h <<\_ACEOF
 #define SP_MULTI_BYTE 1
 _ACEOF
 
-fi;
+fi
+
 
 ##if test x"$SP_MULTI_BYTE" == x ;then
 ##CHECK_SP_MULTI_BYTE
@@ -19388,7 +20807,7 @@
 if test "x$OPENSPINCLUDES" != x ; then
   CPPFLAGS="-I$OPENSPINCLUDES $CPPFLAGS"
 fi
-ac_ext=cc
+ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
@@ -19400,9 +20819,9 @@
 for ac_header in ParserEventGeneratorKit.h SGMLApplication.h EventGenerator.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -19416,37 +20835,35 @@
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   eval "$as_ac_Header=yes"
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-eval "$as_ac_Header=no"
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+	eval "$as_ac_Header=no"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+ac_res=`eval echo '${'$as_ac_Header'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<_ACEOF
 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
@@ -19465,19 +20882,19 @@
 ac_save_LIBS="$LIBS"
 LIBS="$OPENSPLIBS $LIBS"
 
-echo "$as_me:$LINENO: checking for libosp" >&5
-echo $ECHO_N "checking for libosp... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for libosp" >&5
+echo $ECHO_N "checking for libosp... $ECHO_C" >&6; }
 ##dnl This is code from the opensp documentation, I modified it a little
 ##dnl It is really just a link test rather than a run test, it does nothing
-ac_ext=cc
+ac_ext=cpp
 ac_cpp='$CXXCPP $CPPFLAGS'
 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 
 	if test "$cross_compiling" = yes; then
-  echo "$as_me:$LINENO: result: unknown, assumed OK" >&5
-echo "${ECHO_T}unknown, assumed OK" >&6
+  { echo "$as_me:$LINENO: result: unknown, assumed OK" >&5
+echo "${ECHO_T}unknown, assumed OK" >&6; }
 else
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -19505,33 +20922,44 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
+  { (case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_try") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+  { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
 else
   echo "$as_me: program exited with status $ac_status" >&5
 echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 ( exit $ac_status )
-echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 	{ { echo "$as_me:$LINENO: error: unable to link a test program, is OpenSP installed?" >&5
 echo "$as_me: error: unable to link a test program, is OpenSP installed?" >&2;}
    { (exit 1); exit 1; }; }
 fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 
+
+
 CPPFLAGS="$ac_save_CPPFLAGS"
 LIBS="$ac_save_LIBS"
 
@@ -19543,37 +20971,37 @@
 # check for doxygen
 # ----------------------------------------------------------------------------
 
-# Check whether --enable-doxygen or --disable-doxygen was given.
+# Check whether --enable-doxygen was given.
 if test "${enable_doxygen+set}" = set; then
-  enableval="$enable_doxygen"
+  enableval=$enable_doxygen;
+fi
 
-fi;
-# Check whether --enable-dot or --disable-dot was given.
+# Check whether --enable-dot was given.
 if test "${enable_dot+set}" = set; then
-  enableval="$enable_dot"
+  enableval=$enable_dot;
+fi
 
-fi;
-# Check whether --enable-html-docs or --disable-html-docs was given.
+# Check whether --enable-html-docs was given.
 if test "${enable_html_docs+set}" = set; then
-  enableval="$enable_html_docs"
-
+  enableval=$enable_html_docs;
 else
    enable_html_docs=yes
-fi;
-# Check whether --enable-latex-docs or --disable-latex-docs was given.
+fi
+
+# Check whether --enable-latex-docs was given.
 if test "${enable_latex_docs+set}" = set; then
-  enableval="$enable_latex_docs"
-
+  enableval=$enable_latex_docs;
 else
    enable_latex_docs=no
-fi;
+fi
+
 if test "x$enable_doxygen" = xno; then
         enable_doc=no
 else
         # Extract the first word of "doxygen", so it can be a program name with args.
 set dummy doxygen; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_path_DOXYGEN+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -19588,27 +21016,28 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_path_DOXYGEN="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
   ;;
 esac
 fi
 DOXYGEN=$ac_cv_path_DOXYGEN
-
 if test -n "$DOXYGEN"; then
-  echo "$as_me:$LINENO: result: $DOXYGEN" >&5
-echo "${ECHO_T}$DOXYGEN" >&6
+  { echo "$as_me:$LINENO: result: $DOXYGEN" >&5
+echo "${ECHO_T}$DOXYGEN" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
+
         if test x$DOXYGEN = x; then
                 if test "x$enable_doxygen" = xyes; then
                         { { echo "$as_me:$LINENO: error: could not find doxygen" >&5
@@ -19620,8 +21049,8 @@
                 enable_doc=yes
                 # Extract the first word of "dot", so it can be a program name with args.
 set dummy dot; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_path_DOT+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -19636,27 +21065,28 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_path_DOT="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
   ;;
 esac
 fi
 DOT=$ac_cv_path_DOT
-
 if test -n "$DOT"; then
-  echo "$as_me:$LINENO: result: $DOT" >&5
-echo "${ECHO_T}$DOT" >&6
+  { echo "$as_me:$LINENO: result: $DOT" >&5
+echo "${ECHO_T}$DOT" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
+
         fi
 fi
 
@@ -19707,18 +21137,19 @@
 for ac_header in getopt.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
+  { echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+ac_res=`eval echo '${'$as_ac_Header'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
 else
   # Is the header compilable?
-echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -19729,40 +21160,37 @@
 #include <$ac_header>
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
   ac_header_compiler=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_header_compiler=no
+	ac_header_compiler=no
 fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
 
 # Is the header present?
-echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -19771,24 +21199,22 @@
 /* end confdefs.h.  */
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_cxx_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
   ac_header_preproc=yes
 else
   echo "$as_me: failed program was:" >&5
@@ -19796,9 +21222,10 @@
 
   ac_header_preproc=no
 fi
+
 rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
 
 # So?  What about this header?
 case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
@@ -19822,25 +21249,19 @@
 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    (
-      cat <<\_ASBOX
-## ------------------------------------------ ##
-## Report this to the AC_PACKAGE_NAME lists.  ##
-## ------------------------------------------ ##
-_ASBOX
-    ) |
-      sed "s/^/$as_me: WARNING:     /" >&2
+
     ;;
 esac
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
+{ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
+if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   eval "$as_ac_Header=\$ac_header_preproc"
 fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+ac_res=`eval echo '${'$as_ac_Header'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
 
 fi
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
@@ -19856,9 +21277,9 @@
 for ac_func in getopt_long
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:$LINENO: checking for $ac_func" >&5
-echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
-if eval "test \"\${$as_ac_var+set}\" = set"; then
+{ echo "$as_me:$LINENO: checking for $ac_func" >&5
+echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
+if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
@@ -19884,67 +21305,60 @@
 
 #undef $ac_func
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
-{
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char $ac_func ();
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
     something starting with __ and the normal name is an alias.  */
-#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+#if defined __stub_$ac_func || defined __stub___$ac_func
 choke me
-#else
-char (*f) () = $ac_func;
-#endif
-#ifdef __cplusplus
-}
 #endif
 
 int
 main ()
 {
-return f != $ac_func;
+return $ac_func ();
   ;
   return 0;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   eval "$as_ac_var=yes"
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-eval "$as_ac_var=no"
+	eval "$as_ac_var=no"
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
+ac_res=`eval echo '${'$as_ac_var'}'`
+	       { echo "$as_me:$LINENO: result: $ac_res" >&5
+echo "${ECHO_T}$ac_res" >&6; }
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<_ACEOF
 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
@@ -19952,8 +21366,8 @@
 
 else
   # FreeBSD has a gnugetopt library for this
-    echo "$as_me:$LINENO: checking for getopt_long in -lgnugetopt" >&5
-echo $ECHO_N "checking for getopt_long in -lgnugetopt... $ECHO_C" >&6
+    { echo "$as_me:$LINENO: checking for getopt_long in -lgnugetopt" >&5
+echo $ECHO_N "checking for getopt_long in -lgnugetopt... $ECHO_C" >&6; }
 if test "${ac_cv_lib_gnugetopt_getopt_long+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -19966,55 +21380,53 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char getopt_long ();
 int
 main ()
 {
-getopt_long ();
+return getopt_long ();
   ;
   return 0;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   ac_cv_lib_gnugetopt_getopt_long=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_gnugetopt_getopt_long=no
+	ac_cv_lib_gnugetopt_getopt_long=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_gnugetopt_getopt_long" >&5
-echo "${ECHO_T}$ac_cv_lib_gnugetopt_getopt_long" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_gnugetopt_getopt_long" >&5
+echo "${ECHO_T}$ac_cv_lib_gnugetopt_getopt_long" >&6; }
 if test $ac_cv_lib_gnugetopt_getopt_long = yes; then
   cat >>confdefs.h <<\_ACEOF
 #define HAVE_GETOPT_LONG 1
@@ -20022,23 +21434,19 @@
 
 else
   # use the GNU replacement
-      case $LIBOBJS in
-    "getopt.$ac_objext"   | \
-  *" getopt.$ac_objext"   | \
-    "getopt.$ac_objext "* | \
+      case " $LIBOBJS " in
   *" getopt.$ac_objext "* ) ;;
-  *) LIBOBJS="$LIBOBJS getopt.$ac_objext" ;;
+  *) LIBOBJS="$LIBOBJS getopt.$ac_objext"
+ ;;
 esac
 
-      case $LIBOBJS in
-    "getopt1.$ac_objext"   | \
-  *" getopt1.$ac_objext"   | \
-    "getopt1.$ac_objext "* | \
+      case " $LIBOBJS " in
   *" getopt1.$ac_objext "* ) ;;
-  *) LIBOBJS="$LIBOBJS getopt1.$ac_objext" ;;
+  *) LIBOBJS="$LIBOBJS getopt1.$ac_objext"
+ ;;
 esac
 
-                ac_config_links="$ac_config_links lib/getopt.h:lib/gnugetopt.h"
+      ac_config_links="$ac_config_links lib/getopt.h:lib/gnugetopt.h"
 
 fi
 
@@ -20057,10 +21465,9 @@
 
 
 # gengetopt command line parser generation
-# Check whether --enable-gengetopt or --disable-gengetopt was given.
+# Check whether --enable-gengetopt was given.
 if test "${enable_gengetopt+set}" = set; then
-  enableval="$enable_gengetopt"
-  case "${enableval}" in
+  enableval=$enable_gengetopt; case "${enableval}" in
   yes) gengetopt=yes ;;
   no)  gengetopt=no ;;
   *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --disable-gengetopt" >&5
@@ -20069,13 +21476,14 @@
 esac
 else
   gengetopt=yes
-fi;
+fi
+
 
 if test x$gengetopt = xyes ; then
    # Extract the first word of "gengetopt", so it can be a program name with args.
 set dummy gengetopt; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_have_gengetopt+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -20088,27 +21496,29 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_have_gengetopt="yes"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
   test -z "$ac_cv_prog_have_gengetopt" && ac_cv_prog_have_gengetopt="no"
 fi
 fi
 have_gengetopt=$ac_cv_prog_have_gengetopt
 if test -n "$have_gengetopt"; then
-  echo "$as_me:$LINENO: result: $have_gengetopt" >&5
-echo "${ECHO_T}$have_gengetopt" >&6
+  { echo "$as_me:$LINENO: result: $have_gengetopt" >&5
+echo "${ECHO_T}$have_gengetopt" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
 
+
    if test x$have_gengetopt = xno ; then
      { echo "$as_me:$LINENO: WARNING: *** Not rebuilding command line parser as gengetopt is not found ***" >&5
 echo "$as_me: WARNING: *** Not rebuilding command line parser as gengetopt is not found ***" >&2;}
@@ -20162,13 +21572,13 @@
 
 
 
-# Check whether --with-libcurl or --without-libcurl was given.
+# Check whether --with-libcurl was given.
 if test "${with_libcurl+set}" = set; then
-  withval="$with_libcurl"
-  _libcurl_with=$withval
+  withval=$with_libcurl; _libcurl_with=$withval
 else
   _libcurl_with=yes
-fi;
+fi
+
 
   if test "$_libcurl_with" != "no" ; then
 
@@ -20176,8 +21586,8 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_prog_AWK+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -20190,25 +21600,27 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_prog_AWK="$ac_prog"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
 fi
 fi
 AWK=$ac_cv_prog_AWK
 if test -n "$AWK"; then
-  echo "$as_me:$LINENO: result: $AWK" >&5
-echo "${ECHO_T}$AWK" >&6
+  { echo "$as_me:$LINENO: result: $AWK" >&5
+echo "${ECHO_T}$AWK" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
+
   test -n "$AWK" && break
 done
 
@@ -20224,8 +21636,8 @@
 
      # Extract the first word of "curl-config", so it can be a program name with args.
 set dummy curl-config; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_path__libcurl_config+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -20240,45 +21652,46 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_path__libcurl_config="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
   ;;
 esac
 fi
 _libcurl_config=$ac_cv_path__libcurl_config
-
 if test -n "$_libcurl_config"; then
-  echo "$as_me:$LINENO: result: $_libcurl_config" >&5
-echo "${ECHO_T}$_libcurl_config" >&6
+  { echo "$as_me:$LINENO: result: $_libcurl_config" >&5
+echo "${ECHO_T}$_libcurl_config" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
 
+
      if test x$_libcurl_config != "x" ; then
-        echo "$as_me:$LINENO: checking for the version of libcurl" >&5
-echo $ECHO_N "checking for the version of libcurl... $ECHO_C" >&6
+        { echo "$as_me:$LINENO: checking for the version of libcurl" >&5
+echo $ECHO_N "checking for the version of libcurl... $ECHO_C" >&6; }
 if test "${libcurl_cv_lib_curl_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   libcurl_cv_lib_curl_version=`$_libcurl_config --version | $AWK '{print $2}'`
 fi
-echo "$as_me:$LINENO: result: $libcurl_cv_lib_curl_version" >&5
-echo "${ECHO_T}$libcurl_cv_lib_curl_version" >&6
+{ echo "$as_me:$LINENO: result: $libcurl_cv_lib_curl_version" >&5
+echo "${ECHO_T}$libcurl_cv_lib_curl_version" >&6; }
 
 	_libcurl_version=`echo $libcurl_cv_lib_curl_version | $_libcurl_version_parse`
 	_libcurl_wanted=`echo 7.9.7 | $_libcurl_version_parse`
 
         if test $_libcurl_wanted -gt 0 ; then
-	   echo "$as_me:$LINENO: checking for libcurl >= version 7.9.7" >&5
-echo $ECHO_N "checking for libcurl >= version 7.9.7... $ECHO_C" >&6
+	   { echo "$as_me:$LINENO: checking for libcurl >= version 7.9.7" >&5
+echo $ECHO_N "checking for libcurl >= version 7.9.7... $ECHO_C" >&6; }
 if test "${libcurl_cv_lib_version_ok+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -20290,8 +21703,8 @@
   	      fi
 
 fi
-echo "$as_me:$LINENO: result: $libcurl_cv_lib_version_ok" >&5
-echo "${ECHO_T}$libcurl_cv_lib_version_ok" >&6
+{ echo "$as_me:$LINENO: result: $libcurl_cv_lib_version_ok" >&5
+echo "${ECHO_T}$libcurl_cv_lib_version_ok" >&6; }
         fi
 
 	if test $_libcurl_wanted -eq 0 || test x$libcurl_cv_lib_version_ok = xyes ; then
@@ -20331,8 +21744,8 @@
         # link line (or failing that, "-lcurl") is enough.
         LIBCURL=${LIBCURL-"-lcurl"}
 
-        echo "$as_me:$LINENO: checking whether libcurl is usable" >&5
-echo $ECHO_N "checking whether libcurl is usable... $ECHO_C" >&6
+        { echo "$as_me:$LINENO: checking whether libcurl is usable" >&5
+echo $ECHO_N "checking whether libcurl is usable... $ECHO_C" >&6; }
 if test "${libcurl_cv_lib_curl_usable+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -20369,34 +21782,32 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   libcurl_cv_lib_curl_usable=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-libcurl_cv_lib_curl_usable=no
+	libcurl_cv_lib_curl_usable=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 
            CPPFLAGS=$_libcurl_save_cppflags
@@ -20405,8 +21816,8 @@
            unset _libcurl_save_libs
 
 fi
-echo "$as_me:$LINENO: result: $libcurl_cv_lib_curl_usable" >&5
-echo "${ECHO_T}$libcurl_cv_lib_curl_usable" >&6
+{ echo "$as_me:$LINENO: result: $libcurl_cv_lib_curl_usable" >&5
+echo "${ECHO_T}$libcurl_cv_lib_curl_usable" >&6; }
 
         if test $libcurl_cv_lib_curl_usable = yes ; then
 
@@ -20418,8 +21829,8 @@
            _libcurl_save_libs=$LIBS
            LIBS="$LIBS $LIBCURL"
 
-           echo "$as_me:$LINENO: checking for curl_free" >&5
-echo $ECHO_N "checking for curl_free... $ECHO_C" >&6
+           { echo "$as_me:$LINENO: checking for curl_free" >&5
+echo $ECHO_N "checking for curl_free... $ECHO_C" >&6; }
 if test "${ac_cv_func_curl_free+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -20446,67 +21857,59 @@
 
 #undef curl_free
 
-/* Override any gcc2 internal prototype to avoid an error.  */
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
 #ifdef __cplusplus
 extern "C"
-{
 #endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
 char curl_free ();
 /* The GNU C library defines this for functions which it implements
     to always fail with ENOSYS.  Some functions are actually named
     something starting with __ and the normal name is an alias.  */
-#if defined (__stub_curl_free) || defined (__stub___curl_free)
+#if defined __stub_curl_free || defined __stub___curl_free
 choke me
-#else
-char (*f) () = curl_free;
-#endif
-#ifdef __cplusplus
-}
 #endif
 
 int
 main ()
 {
-return f != curl_free;
+return curl_free ();
   ;
   return 0;
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_cxx_werror_flag"			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
   ac_cv_func_curl_free=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_func_curl_free=no
+	ac_cv_func_curl_free=no
 fi
-rm -f conftest.err conftest.$ac_objext \
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
       conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:$LINENO: result: $ac_cv_func_curl_free" >&5
-echo "${ECHO_T}$ac_cv_func_curl_free" >&6
+{ echo "$as_me:$LINENO: result: $ac_cv_func_curl_free" >&5
+echo "${ECHO_T}$ac_cv_func_curl_free" >&6; }
 if test $ac_cv_func_curl_free = yes; then
   :
 else
@@ -20597,8 +22000,8 @@
 	if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}pkg-config", so it can be a program name with args.
 set dummy ${ac_tool_prefix}pkg-config; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -20613,34 +22016,35 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
   ;;
 esac
 fi
 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
-
 if test -n "$PKG_CONFIG"; then
-  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
-echo "${ECHO_T}$PKG_CONFIG" >&6
+  { echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
+echo "${ECHO_T}$PKG_CONFIG" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
+
 
 fi
 if test -z "$ac_cv_path_PKG_CONFIG"; then
   ac_pt_PKG_CONFIG=$PKG_CONFIG
   # Extract the first word of "pkg-config", so it can be a program name with args.
 set dummy pkg-config; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for $ac_word" >&5
+echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
 if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
@@ -20655,28 +22059,42 @@
   IFS=$as_save_IFS
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
     ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
 done
 done
+IFS=$as_save_IFS
 
   ;;
 esac
 fi
 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
-
 if test -n "$ac_pt_PKG_CONFIG"; then
-  echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
-echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
+  { echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
+echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6; }
 else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+  { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 fi
 
-  PKG_CONFIG=$ac_pt_PKG_CONFIG
+  if test "x$ac_pt_PKG_CONFIG" = x; then
+    PKG_CONFIG=""
+  else
+    case $cross_compiling:$ac_tool_warned in
+yes:)
+{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&5
+echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
+whose name does not start with the host triplet.  If you think this
+configuration is useful to you, please write to autoconf@gnu.org." >&2;}
+ac_tool_warned=yes ;;
+esac
+    PKG_CONFIG=$ac_pt_PKG_CONFIG
+  fi
 else
   PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
 fi
@@ -20684,22 +22102,22 @@
 fi
 if test -n "$PKG_CONFIG"; then
 	_pkg_min_version=0.9.0
-	echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
-echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
+	{ echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
+echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6; }
 	if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
-		echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+		{ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
 	else
-		echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
+		{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
 		PKG_CONFIG=""
 	fi
 
 fi
 
 pkg_failed=no
-echo "$as_me:$LINENO: checking for LIBXMLPP" >&5
-echo $ECHO_N "checking for LIBXMLPP... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for LIBXMLPP" >&5
+echo $ECHO_N "checking for LIBXMLPP... $ECHO_C" >&6; }
 
 if test -n "$PKG_CONFIG"; then
     if test -n "$LIBXMLPP_CFLAGS"; then
@@ -20755,7 +22173,9 @@
 	# Put the nasty error message in config.log where it belongs
 	echo "$LIBXMLPP_PKG_ERRORS" >&5
 
-	{ echo "$as_me:$LINENO: WARNING: libxml++ 1.0 is not available. ofxconnect (Direct connect samples) will NOT be built." >&5
+	{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+                { echo "$as_me:$LINENO: WARNING: libxml++ 1.0 is not available. ofxconnect (Direct connect samples) will NOT be built." >&5
 echo "$as_me: WARNING: libxml++ 1.0 is not available. ofxconnect (Direct connect samples) will NOT be built." >&2;}
 	have_libxmlpp=no
 elif test $pkg_failed = untried; then
@@ -20765,8 +22185,8 @@
 else
 	LIBXMLPP_CFLAGS=$pkg_cv_LIBXMLPP_CFLAGS
 	LIBXMLPP_LIBS=$pkg_cv_LIBXMLPP_LIBS
-        echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
+        { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
 
 
 cat >>confdefs.h <<\_ACEOF
@@ -20797,6 +22217,283 @@
 fi
 
 
+# check for iconv
+# ----------------------------------------------------------------------------
+
+
+# Check whether --with-iconv was given.
+if test "${with_iconv+set}" = set; then
+  withval=$with_iconv;
+fi
+
+
+WITH_ICONV=0
+if test "$with_iconv" = "no" ; then
+    echo Disabling ICONV support
+else
+    if test "$with_iconv" != "yes" -a "$with_iconv" != "" ; then
+	CPPFLAGS="${CPPFLAGS} -I$with_iconv/include"
+	# Export this since our headers include iconv.h
+	XML_INCLUDEDIR="${XML_INCLUDEDIR} -I$with_iconv/include"
+	ICONV_LIBS="-L$with_iconv/lib"
+    fi
+
+    if test "${ac_cv_header_iconv_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for iconv.h" >&5
+echo $ECHO_N "checking for iconv.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_iconv_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_iconv_h" >&5
+echo "${ECHO_T}$ac_cv_header_iconv_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking iconv.h usability" >&5
+echo $ECHO_N "checking iconv.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <iconv.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+	ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking iconv.h presence" >&5
+echo $ECHO_N "checking iconv.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <iconv.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+	 test -z "$ac_cxx_preproc_warn_flag$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: iconv.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: iconv.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: iconv.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: iconv.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: iconv.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: iconv.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: iconv.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: iconv.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: iconv.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: iconv.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: iconv.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: iconv.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: iconv.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: iconv.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: iconv.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: iconv.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for iconv.h" >&5
+echo $ECHO_N "checking for iconv.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_iconv_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_iconv_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_iconv_h" >&5
+echo "${ECHO_T}$ac_cv_header_iconv_h" >&6; }
+
+fi
+if test $ac_cv_header_iconv_h = yes; then
+  { echo "$as_me:$LINENO: checking for iconv" >&5
+echo $ECHO_N "checking for iconv... $ECHO_C" >&6; }
+	cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <stdlib.h>
+#include <iconv.h>
+int
+main ()
+{
+
+iconv_t cd = iconv_open ("","");
+iconv (cd, NULL, NULL, NULL, NULL);
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+
+	    { echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+	    WITH_ICONV=1
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+	    { echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+	    { echo "$as_me:$LINENO: checking for iconv in -liconv" >&5
+echo $ECHO_N "checking for iconv in -liconv... $ECHO_C" >&6; }
+
+	    _ldflags="${LDFLAGS}"
+	    _libs="${LIBS}"
+	    LDFLAGS="${LDFLAGS} ${ICONV_LIBS}"
+	    LIBS="${LIBS} -liconv"
+
+	    cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <stdlib.h>
+#include <iconv.h>
+int
+main ()
+{
+
+iconv_t cd = iconv_open ("","");
+iconv (cd, NULL, NULL, NULL, NULL);
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+	 test -z "$ac_cxx_werror_flag" ||
+	 test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+
+		{ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6; }
+		WITH_ICONV=1
+		ICONV_LIBS="${ICONV_LIBS} -liconv"
+		LIBS="${_libs}"
+		LDFLAGS="${_ldflags}"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+		{ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6; }
+		LIBS="${_libs}"
+		LDFLAGS="${_ldflags}"
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+fi
+
+
+fi
+
+cat >>confdefs.h <<_ACEOF
+#define HAVE_ICONV $WITH_ICONV
+_ACEOF
+
+
+
+
+
 
 
 
@@ -20807,9 +22504,10 @@
 LIBOFX_DTD_DIR='${datadir}/libofx/dtd'
 
 
-	          ac_config_files="$ac_config_files Makefile"
-
-                                                                                          ac_config_files="$ac_config_files libofx.spec libofx.pc lib/Makefile inc/Makefile dtd/Makefile doc/Makefile ofx2qif/Makefile ofxdump/Makefile ofxconnect/Makefile"
+	ac_config_files="$ac_config_files Makefile"
+
+ac_config_files="$ac_config_files libofx.spec libofx.pc m4/Makefile lib/Makefile inc/Makefile inc/libofx.h dtd/Makefile doc/Makefile ofx2qif/Makefile ofxdump/Makefile ofxconnect/Makefile"
+
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
 # tests run on this system so they can be shared between configure
@@ -20828,39 +22526,58 @@
 
 # The following way of writing the cache mishandles newlines in values,
 # but we know of no workaround that is simple, portable, and efficient.
-# So, don't put newlines in cache variables' values.
+# So, we kill variables containing newlines.
 # Ultrix sh set writes to stderr and can't be redirected directly,
 # and sets the high bit in the cache file unless we assign to the vars.
-{
+(
+  for ac_var in `(set) 2>&1 | sed -n 's/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'`; do
+    eval ac_val=\$$ac_var
+    case $ac_val in #(
+    *${as_nl}*)
+      case $ac_var in #(
+      *_cv_*) { echo "$as_me:$LINENO: WARNING: Cache variable $ac_var contains a newline." >&5
+echo "$as_me: WARNING: Cache variable $ac_var contains a newline." >&2;} ;;
+      esac
+      case $ac_var in #(
+      _ | IFS | as_nl) ;; #(
+      *) $as_unset $ac_var ;;
+      esac ;;
+    esac
+  done
+
   (set) 2>&1 |
-    case `(ac_space=' '; set | grep ac_space) 2>&1` in
-    *ac_space=\ *)
+    case $as_nl`(ac_space=' '; set) 2>&1` in #(
+    *${as_nl}ac_space=\ *)
       # `set' does not quote correctly, so add quotes (double-quote
       # substitution turns \\\\ into \\, and sed turns \\ into \).
       sed -n \
 	"s/'/'\\\\''/g;
 	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
-      ;;
+      ;; #(
     *)
       # `set' quotes correctly as required by POSIX, so do not add quotes.
-      sed -n \
-	"s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
+      sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
       ;;
-    esac;
-} |
+    esac |
+    sort
+) |
   sed '
+     /^ac_cv_env_/b end
      t clear
-     : clear
+     :clear
      s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
      t end
-     /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
-     : end' >>confcache
-if diff $cache_file confcache >/dev/null 2>&1; then :; else
-  if test -w $cache_file; then
-    test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
+     s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
+     :end' >>confcache
+if diff "$cache_file" confcache >/dev/null 2>&1; then :; else
+  if test -w "$cache_file"; then
+    test "x$cache_file" != "x/dev/null" &&
+      { echo "$as_me:$LINENO: updating cache $cache_file" >&5
+echo "$as_me: updating cache $cache_file" >&6;}
     cat confcache >$cache_file
   else
-    echo "not updating unwritable cache $cache_file"
+    { echo "$as_me:$LINENO: not updating unwritable cache $cache_file" >&5
+echo "$as_me: not updating unwritable cache $cache_file" >&6;}
   fi
 fi
 rm -f confcache
@@ -20869,32 +22586,18 @@
 # Let make expand exec_prefix.
 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
 
-# VPATH may cause trouble with some makes, so we remove $(srcdir),
-# ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
-# trailing colons and then remove the whole line if VPATH becomes empty
-# (actually we leave an empty line to preserve line numbers).
-if test "x$srcdir" = x.; then
-  ac_vpsub='/^[	 ]*VPATH[	 ]*=/{
-s/:*\$(srcdir):*/:/;
-s/:*\${srcdir}:*/:/;
-s/:*@srcdir@:*/:/;
-s/^\([^=]*=[	 ]*\):*/\1/;
-s/:*$//;
-s/^[^=]*=[	 ]*$//;
-}'
-fi
-
 DEFS=-DHAVE_CONFIG_H
 
 ac_libobjs=
 ac_ltlibobjs=
 for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
   # 1. Remove the extension, and $U if already installed.
-  ac_i=`echo "$ac_i" |
-	 sed 's/\$U\././;s/\.o$//;s/\.obj$//'`
-  # 2. Add them.
-  ac_libobjs="$ac_libobjs $ac_i\$U.$ac_objext"
-  ac_ltlibobjs="$ac_ltlibobjs $ac_i"'$U.lo'
+  ac_script='s/\$U\././;s/\.o$//;s/\.obj$//'
+  ac_i=`echo "$ac_i" | sed "$ac_script"`
+  # 2. Prepend LIBOBJDIR.  When used with automake>=1.10 LIBOBJDIR
+  #    will be set to the directory where LIBOBJS objects are built.
+  ac_libobjs="$ac_libobjs \${LIBOBJDIR}$ac_i\$U.$ac_objext"
+  ac_ltlibobjs="$ac_ltlibobjs \${LIBOBJDIR}$ac_i"'$U.lo'
 done
 LIBOBJS=$ac_libobjs
 
@@ -20988,17 +22691,45 @@
 ## M4sh Initialization.  ##
 ## --------------------- ##
 
-# Be Bourne compatible
+# Be more Bourne compatible
+DUALCASE=1; export DUALCASE # for MKS sh
 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
   emulate sh
   NULLCMD=:
   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
   # is contrary to our usage.  Disable this feature.
   alias -g '${1+"$@"}'='"$@"'
-elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
-  set -o posix
-fi
-DUALCASE=1; export DUALCASE # for MKS sh
+  setopt NO_GLOB_SUBST
+else
+  case `(set -o) 2>/dev/null` in
+  *posix*) set -o posix ;;
+esac
+
+fi
+
+
+
+
+# PATH needs CR
+# Avoid depending upon Character Ranges.
+as_cr_letters='abcdefghijklmnopqrstuvwxyz'
+as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
+as_cr_Letters=$as_cr_letters$as_cr_LETTERS
+as_cr_digits='0123456789'
+as_cr_alnum=$as_cr_Letters$as_cr_digits
+
+# The user is always right.
+if test "${PATH_SEPARATOR+set}" != set; then
+  echo "#! /bin/sh" >conf$$.sh
+  echo  "exit 0"   >>conf$$.sh
+  chmod +x conf$$.sh
+  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
+    PATH_SEPARATOR=';'
+  else
+    PATH_SEPARATOR=:
+  fi
+  rm -f conf$$.sh
+fi
 
 # Support unset when possible.
 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
@@ -21008,8 +22739,43 @@
 fi
 
 
+# IFS
+# We need space, tab and new line, in precisely that order.  Quoting is
+# there to prevent editors from complaining about space-tab.
+# (If _AS_PATH_WALK were called with IFS unset, it would disable word
+# splitting by setting IFS to empty value.)
+as_nl='
+'
+IFS=" ""	$as_nl"
+
+# Find who we are.  Look in the path if we contain no directory separator.
+case $0 in
+  *[\\/]* ) as_myself=$0 ;;
+  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
+done
+IFS=$as_save_IFS
+
+     ;;
+esac
+# We did not find ourselves, most probably we were run as `sh COMMAND'
+# in which case we are not to be found in the path.
+if test "x$as_myself" = x; then
+  as_myself=$0
+fi
+if test ! -f "$as_myself"; then
+  echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
+  { (exit 1); exit 1; }
+fi
+
 # Work around bugs in pre-3.0 UWIN ksh.
-$as_unset ENV MAIL MAILPATH
+for as_var in ENV MAIL MAILPATH
+do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
+done
 PS1='$ '
 PS2='> '
 PS4='+ '
@@ -21023,18 +22789,19 @@
   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
     eval $as_var=C; export $as_var
   else
-    $as_unset $as_var
+    ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
   fi
 done
 
 # Required to use basename.
-if expr a : '\(a\)' >/dev/null 2>&1; then
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+   test "X`expr 00001 : '.*\(...\)'`" = X001; then
   as_expr=expr
 else
   as_expr=false
 fi
 
-if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
+if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
   as_basename=basename
 else
   as_basename=false
@@ -21042,159 +22809,120 @@
 
 
 # Name of the executable.
-as_me=`$as_basename "$0" ||
+as_me=`$as_basename -- "$0" ||
 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
 	 X"$0" : 'X\(//\)$' \| \
-	 X"$0" : 'X\(/\)$' \| \
-	 .     : '\(.\)' 2>/dev/null ||
+	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
 echo X/"$0" |
-    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
-  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\/\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
-
-
-# PATH needs CR, and LINENO needs CR and PATH.
-# Avoid depending upon Character Ranges.
-as_cr_letters='abcdefghijklmnopqrstuvwxyz'
-as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
-as_cr_Letters=$as_cr_letters$as_cr_LETTERS
-as_cr_digits='0123456789'
-as_cr_alnum=$as_cr_Letters$as_cr_digits
-
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
-  echo "#! /bin/sh" >conf$$.sh
-  echo  "exit 0"   >>conf$$.sh
-  chmod +x conf$$.sh
-  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
-    PATH_SEPARATOR=';'
-  else
-    PATH_SEPARATOR=:
-  fi
-  rm -f conf$$.sh
-fi
-
-
-  as_lineno_1=$LINENO
-  as_lineno_2=$LINENO
-  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
-  test "x$as_lineno_1" != "x$as_lineno_2" &&
-  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
-  # Find who we are.  Look in the path if we contain no path at all
-  # relative or not.
-  case $0 in
-    *[\\/]* ) as_myself=$0 ;;
-    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
-done
-
-       ;;
-  esac
-  # We did not find ourselves, most probably we were run as `sh COMMAND'
-  # in which case we are not to be found in the path.
-  if test "x$as_myself" = x; then
-    as_myself=$0
-  fi
-  if test ! -f "$as_myself"; then
-    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
-echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
-   { (exit 1); exit 1; }; }
-  fi
-  case $CONFIG_SHELL in
-  '')
-    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for as_base in sh bash ksh sh5; do
-	 case $as_dir in
-	 /*)
-	   if ("$as_dir/$as_base" -c '
-  as_lineno_1=$LINENO
-  as_lineno_2=$LINENO
-  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
-  test "x$as_lineno_1" != "x$as_lineno_2" &&
-  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
-	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
-	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
-	     CONFIG_SHELL=$as_dir/$as_base
-	     export CONFIG_SHELL
-	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
-	   fi;;
-	 esac
-       done
-done
-;;
-  esac
+    sed '/^.*\/\([^/][^/]*\)\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\/\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\/\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+
+# CDPATH.
+$as_unset CDPATH
+
+
+
+  as_lineno_1=$LINENO
+  as_lineno_2=$LINENO
+  test "x$as_lineno_1" != "x$as_lineno_2" &&
+  test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
 
   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
   # uniformly replaced by the line number.  The first 'sed' inserts a
-  # line-number line before each line; the second 'sed' does the real
-  # work.  The second script uses 'N' to pair each line-number line
-  # with the numbered line, and appends trailing '-' during
-  # substitution so that $LINENO is not a special case at line end.
+  # line-number line after each line using $LINENO; the second 'sed'
+  # does the real work.  The second script uses 'N' to pair each
+  # line-number line with the line containing $LINENO, and appends
+  # trailing '-' during substitution so that $LINENO is not a special
+  # case at line end.
   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
-  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
-  sed '=' <$as_myself |
+  # scripts with optimization help from Paolo Bonzini.  Blame Lee
+  # E. McMahon (1931-1989) for sed's syntax.  :-)
+  sed -n '
+    p
+    /[$]LINENO/=
+  ' <$as_myself |
     sed '
+      s/[$]LINENO.*/&-/
+      t lineno
+      b
+      :lineno
       N
-      s,$,-,
-      : loop
-      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
+      :loop
+      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
       t loop
-      s,-$,,
-      s,^['$as_cr_digits']*\n,,
+      s/-\n.*//
     ' >$as_me.lineno &&
-  chmod +x $as_me.lineno ||
-    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
-echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
+  chmod +x "$as_me.lineno" ||
+    { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
    { (exit 1); exit 1; }; }
 
   # Don't try to exec as it changes $[0], causing all sort of problems
   # (the dirname of $[0] is not the place where we might find the
-  # original and so on.  Autoconf is especially sensible to this).
-  . ./$as_me.lineno
+  # original and so on.  Autoconf is especially sensitive to this).
+  . "./$as_me.lineno"
   # Exit status is that of the last command.
   exit
 }
 
 
-case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
-  *c*,-n*) ECHO_N= ECHO_C='
-' ECHO_T='	' ;;
-  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
-  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
+if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
+  as_dirname=dirname
+else
+  as_dirname=false
+fi
+
+ECHO_C= ECHO_N= ECHO_T=
+case `echo -n x` in
+-n*)
+  case `echo 'x\c'` in
+  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
+  *)   ECHO_C='\c';;
+  esac;;
+*)
+  ECHO_N='-n';;
 esac
 
-if expr a : '\(a\)' >/dev/null 2>&1; then
+if expr a : '\(a\)' >/dev/null 2>&1 &&
+   test "X`expr 00001 : '.*\(...\)'`" = X001; then
   as_expr=expr
 else
   as_expr=false
 fi
 
 rm -f conf$$ conf$$.exe conf$$.file
+if test -d conf$$.dir; then
+  rm -f conf$$.dir/conf$$.file
+else
+  rm -f conf$$.dir
+  mkdir conf$$.dir
+fi
 echo >conf$$.file
 if ln -s conf$$.file conf$$ 2>/dev/null; then
-  # We could just check for DJGPP; but this test a) works b) is more generic
-  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
-  if test -f conf$$.exe; then
-    # Don't use ln at all; we don't have any links
+  as_ln_s='ln -s'
+  # ... but there are two gotchas:
+  # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
+  # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
+  # In both cases, we have to default to `cp -p'.
+  ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
     as_ln_s='cp -p'
-  else
-    as_ln_s='ln -s'
-  fi
 elif ln conf$$.file conf$$ 2>/dev/null; then
   as_ln_s=ln
 else
   as_ln_s='cp -p'
 fi
-rm -f conf$$ conf$$.exe conf$$.file
+rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
+rmdir conf$$.dir 2>/dev/null
 
 if mkdir -p . 2>/dev/null; then
   as_mkdir_p=:
@@ -21203,7 +22931,28 @@
   as_mkdir_p=false
 fi
 
-as_executable_p="test -f"
+if test -x / >/dev/null 2>&1; then
+  as_test_x='test -x'
+else
+  if ls -dL / >/dev/null 2>&1; then
+    as_ls_L_option=L
+  else
+    as_ls_L_option=
+  fi
+  as_test_x='
+    eval sh -c '\''
+      if test -d "$1"; then
+        test -d "$1/.";
+      else
+	case $1 in
+        -*)set "./$1";;
+	esac;
+	case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
+	???[sx]*):;;*)false;;esac;fi
+    '\'' sh
+  '
+fi
+as_executable_p=$as_test_x
 
 # Sed expression to map a string onto a valid CPP name.
 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
@@ -21212,31 +22961,14 @@
 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
 
 
-# IFS
-# We need space, tab and new line, in precisely that order.
-as_nl='
-'
-IFS=" 	$as_nl"
-
-# CDPATH.
-$as_unset CDPATH
-
 exec 6>&1
 
-# Open the log real soon, to keep \$[0] and so on meaningful, and to
+# Save the log message, to keep $[0] and so on meaningful, and to
 # report actual input values of CONFIG_FILES etc. instead of their
-# values after options handling.  Logging --version etc. is OK.
-exec 5>>config.log
-{
-  echo
-  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
-## Running $as_me. ##
-_ASBOX
-} >&5
-cat >&5 <<_CSEOF
-
+# values after options handling.
+ac_log="
 This file was extended by $as_me, which was
-generated by GNU Autoconf 2.59.  Invocation command line was
+generated by GNU Autoconf 2.61.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
   CONFIG_HEADERS  = $CONFIG_HEADERS
@@ -21244,30 +22976,21 @@
   CONFIG_COMMANDS = $CONFIG_COMMANDS
   $ $0 $@
 
-_CSEOF
-echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
-echo >&5
+on `(hostname || uname -n) 2>/dev/null | sed 1q`
+"
+
 _ACEOF
 
+cat >>$CONFIG_STATUS <<_ACEOF
 # Files that config.status was made for.
-if test -n "$ac_config_files"; then
-  echo "config_files=\"$ac_config_files\"" >>$CONFIG_STATUS
-fi
-
-if test -n "$ac_config_headers"; then
-  echo "config_headers=\"$ac_config_headers\"" >>$CONFIG_STATUS
-fi
-
-if test -n "$ac_config_links"; then
-  echo "config_links=\"$ac_config_links\"" >>$CONFIG_STATUS
-fi
-
-if test -n "$ac_config_commands"; then
-  echo "config_commands=\"$ac_config_commands\"" >>$CONFIG_STATUS
-fi
+config_files="$ac_config_files"
+config_headers="$ac_config_headers"
+config_links="$ac_config_links"
+config_commands="$ac_config_commands"
+
+_ACEOF
 
 cat >>$CONFIG_STATUS <<\_ACEOF
-
 ac_cs_usage="\
 \`$as_me' instantiates files from templates according to the
 current configuration.
@@ -21275,7 +22998,7 @@
 Usage: $0 [OPTIONS] [FILE]...
 
   -h, --help       print this help, then exit
-  -V, --version    print version number, then exit
+  -V, --version    print version number and configuration settings, then exit
   -q, --quiet      do not print progress messages
   -d, --debug      don't remove temporary files
       --recheck    update $as_me by reconfiguring in the same conditions
@@ -21297,19 +23020,21 @@
 $config_commands
 
 Report bugs to <bug-autoconf@gnu.org>."
+
 _ACEOF
-
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
 config.status
-configured by $0, generated by GNU Autoconf 2.59,
-  with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
+configured by $0, generated by GNU Autoconf 2.61,
+  with options \\"`echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`\\"
 
-Copyright (C) 2003 Free Software Foundation, Inc.
+Copyright (C) 2006 Free Software Foundation, Inc.
 This config.status script is free software; the Free Software Foundation
 gives unlimited permission to copy, distribute and modify it."
-srcdir=$srcdir
-INSTALL="$INSTALL"
+
+ac_pwd='$ac_pwd'
+srcdir='$srcdir'
+INSTALL='$INSTALL'
 _ACEOF
 
 cat >>$CONFIG_STATUS <<\_ACEOF
@@ -21320,39 +23045,24 @@
 do
   case $1 in
   --*=*)
-    ac_option=`expr "x$1" : 'x\([^=]*\)='`
-    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
+    ac_option=`expr "X$1" : 'X\([^=]*\)='`
+    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
     ac_shift=:
     ;;
-  -*)
+  *)
     ac_option=$1
     ac_optarg=$2
     ac_shift=shift
     ;;
-  *) # This is not an option, so the user has probably given explicit
-     # arguments.
-     ac_option=$1
-     ac_need_defaults=false;;
   esac
 
   case $ac_option in
   # Handling of the options.
-_ACEOF
-cat >>$CONFIG_STATUS <<\_ACEOF
   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
     ac_cs_recheck=: ;;
-  --version | --vers* | -V )
-    echo "$ac_cs_version"; exit 0 ;;
-  --he | --h)
-    # Conflict between --help and --header
-    { { echo "$as_me:$LINENO: error: ambiguous option: $1
-Try \`$0 --help' for more information." >&5
-echo "$as_me: error: ambiguous option: $1
-Try \`$0 --help' for more information." >&2;}
-   { (exit 1); exit 1; }; };;
-  --help | --hel | -h )
-    echo "$ac_cs_usage"; exit 0 ;;
-  --debug | --d* | -d )
+  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
+    echo "$ac_cs_version"; exit ;;
+  --debug | --debu | --deb | --de | --d | -d )
     debug=: ;;
   --file | --fil | --fi | --f )
     $ac_shift
@@ -21362,18 +23072,24 @@
     $ac_shift
     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
     ac_need_defaults=false;;
+  --he | --h)
+    # Conflict between --help and --header
+    { echo "$as_me: error: ambiguous option: $1
+Try \`$0 --help' for more information." >&2
+   { (exit 1); exit 1; }; };;
+  --help | --hel | -h )
+    echo "$ac_cs_usage"; exit ;;
   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
   | -silent | --silent | --silen | --sile | --sil | --si | --s)
     ac_cs_silent=: ;;
 
   # This is an error.
-  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
-Try \`$0 --help' for more information." >&5
-echo "$as_me: error: unrecognized option: $1
-Try \`$0 --help' for more information." >&2;}
+  -*) { echo "$as_me: error: unrecognized option: $1
+Try \`$0 --help' for more information." >&2
    { (exit 1); exit 1; }; } ;;
 
-  *) ac_config_targets="$ac_config_targets $1" ;;
+  *) ac_config_targets="$ac_config_targets $1"
+     ac_need_defaults=false ;;
 
   esac
   shift
@@ -21389,47 +23105,61 @@
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 if \$ac_cs_recheck; then
-  echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
-  exec $SHELL $0 $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
+  echo "running CONFIG_SHELL=$SHELL $SHELL $0 "$ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
+  CONFIG_SHELL=$SHELL
+  export CONFIG_SHELL
+  exec $SHELL "$0"$ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
 fi
 
 _ACEOF
+cat >>$CONFIG_STATUS <<\_ACEOF
+exec 5>>config.log
+{
+  echo
+  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
+## Running $as_me. ##
+_ASBOX
+  echo "$ac_log"
+} >&5
 
+_ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 #
-# INIT-COMMANDS section.
+# INIT-COMMANDS
 #
-
 AMDEP_TRUE="$AMDEP_TRUE" ac_aux_dir="$ac_aux_dir"
 
 _ACEOF
 
-
-
 cat >>$CONFIG_STATUS <<\_ACEOF
+
+# Handling of arguments.
 for ac_config_target in $ac_config_targets
 do
-  case "$ac_config_target" in
-  # Handling of arguments.
-  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
-  "libofx.spec" ) CONFIG_FILES="$CONFIG_FILES libofx.spec" ;;
-  "libofx.pc" ) CONFIG_FILES="$CONFIG_FILES libofx.pc" ;;
-  "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
-  "inc/Makefile" ) CONFIG_FILES="$CONFIG_FILES inc/Makefile" ;;
-  "dtd/Makefile" ) CONFIG_FILES="$CONFIG_FILES dtd/Makefile" ;;
-  "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
-  "ofx2qif/Makefile" ) CONFIG_FILES="$CONFIG_FILES ofx2qif/Makefile" ;;
-  "ofxdump/Makefile" ) CONFIG_FILES="$CONFIG_FILES ofxdump/Makefile" ;;
-  "ofxconnect/Makefile" ) CONFIG_FILES="$CONFIG_FILES ofxconnect/Makefile" ;;
-  "lib/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS lib/getopt.h:lib/gnugetopt.h" ;;
-  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
-  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
+  case $ac_config_target in
+    "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
+    "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
+    "lib/getopt.h") CONFIG_LINKS="$CONFIG_LINKS lib/getopt.h:lib/gnugetopt.h" ;;
+    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
+    "libofx.spec") CONFIG_FILES="$CONFIG_FILES libofx.spec" ;;
+    "libofx.pc") CONFIG_FILES="$CONFIG_FILES libofx.pc" ;;
+    "m4/Makefile") CONFIG_FILES="$CONFIG_FILES m4/Makefile" ;;
+    "lib/Makefile") CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
+    "inc/Makefile") CONFIG_FILES="$CONFIG_FILES inc/Makefile" ;;
+    "inc/libofx.h") CONFIG_FILES="$CONFIG_FILES inc/libofx.h" ;;
+    "dtd/Makefile") CONFIG_FILES="$CONFIG_FILES dtd/Makefile" ;;
+    "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
+    "ofx2qif/Makefile") CONFIG_FILES="$CONFIG_FILES ofx2qif/Makefile" ;;
+    "ofxdump/Makefile") CONFIG_FILES="$CONFIG_FILES ofxdump/Makefile" ;;
+    "ofxconnect/Makefile") CONFIG_FILES="$CONFIG_FILES ofxconnect/Makefile" ;;
+
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
 done
 
+
 # If the user did not use the arguments to specify the items to instantiate,
 # then the envvar interface is used.  Set only those that are not.
 # We use the long form for the default assignment because of an extremely
@@ -21442,390 +23172,507 @@
 fi
 
 # Have a temporary directory for convenience.  Make it in the build tree
-# simply because there is no reason to put it here, and in addition,
+# simply because there is no reason against having it here, and in addition,
 # creating and moving files from /tmp can sometimes cause problems.
-# Create a temporary directory, and hook for its removal unless debugging.
+# Hook for its removal unless debugging.
+# Note that there is a small window in which the directory will not be cleaned:
+# after its creation but before its name has been assigned to `$tmp'.
 $debug ||
 {
-  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
+  tmp=
+  trap 'exit_status=$?
+  { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
+' 0
   trap '{ (exit 1); exit 1; }' 1 2 13 15
 }
-
 # Create a (secure) tmp directory for tmp files.
 
 {
-  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
+  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
   test -n "$tmp" && test -d "$tmp"
 }  ||
 {
-  tmp=./confstat$$-$RANDOM
-  (umask 077 && mkdir $tmp)
+  tmp=./conf$$-$RANDOM
+  (umask 077 && mkdir "$tmp")
 } ||
 {
    echo "$me: cannot create a temporary directory in ." >&2
    { (exit 1); exit 1; }
 }
 
-_ACEOF
-
-cat >>$CONFIG_STATUS <<_ACEOF
-
 #
-# CONFIG_FILES section.
+# Set up the sed scripts for CONFIG_FILES section.
 #
 
 # No need to generate the scripts if there are no CONFIG_FILES.
 # This happens for instance when ./config.status config.h
-if test -n "\$CONFIG_FILES"; then
-  # Protect against being on the right side of a sed subst in config.status.
-  sed 's/,@/@@/; s/@,/@@/; s/,;t t\$/@;t t/; /@;t t\$/s/[\\\\&,]/\\\\&/g;
-   s/@@/,@/; s/@@/@,/; s/@;t t\$/,;t t/' >\$tmp/subs.sed <<\\CEOF
-s,@SHELL@,$SHELL,;t t
-s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
-s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
-s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
-s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
-s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
-s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
-s,@exec_prefix@,$exec_prefix,;t t
-s,@prefix@,$prefix,;t t
-s,@program_transform_name@,$program_transform_name,;t t
-s,@bindir@,$bindir,;t t
-s,@sbindir@,$sbindir,;t t
-s,@libexecdir@,$libexecdir,;t t
-s,@datadir@,$datadir,;t t
-s,@sysconfdir@,$sysconfdir,;t t
-s,@sharedstatedir@,$sharedstatedir,;t t
-s,@localstatedir@,$localstatedir,;t t
-s,@libdir@,$libdir,;t t
-s,@includedir@,$includedir,;t t
-s,@oldincludedir@,$oldincludedir,;t t
-s,@infodir@,$infodir,;t t
-s,@mandir@,$mandir,;t t
-s,@build_alias@,$build_alias,;t t
-s,@host_alias@,$host_alias,;t t
-s,@target_alias@,$target_alias,;t t
-s,@DEFS@,$DEFS,;t t
-s,@ECHO_C@,$ECHO_C,;t t
-s,@ECHO_N@,$ECHO_N,;t t
-s,@ECHO_T@,$ECHO_T,;t t
-s,@LIBS@,$LIBS,;t t
-s,@CC@,$CC,;t t
-s,@CFLAGS@,$CFLAGS,;t t
-s,@LDFLAGS@,$LDFLAGS,;t t
-s,@CPPFLAGS@,$CPPFLAGS,;t t
-s,@ac_ct_CC@,$ac_ct_CC,;t t
-s,@EXEEXT@,$EXEEXT,;t t
-s,@OBJEXT@,$OBJEXT,;t t
-s,@CXX@,$CXX,;t t
-s,@CXXFLAGS@,$CXXFLAGS,;t t
-s,@ac_ct_CXX@,$ac_ct_CXX,;t t
-s,@LIBOFX_MAJOR_VERSION@,$LIBOFX_MAJOR_VERSION,;t t
-s,@LIBOFX_MINOR_VERSION@,$LIBOFX_MINOR_VERSION,;t t
-s,@LIBOFX_MICRO_VERSION@,$LIBOFX_MICRO_VERSION,;t t
-s,@LIBOFX_VERSION@,$LIBOFX_VERSION,;t t
-s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
-s,@INSTALL_SCRIPT@,$INSTALL_SCRIPT,;t t
-s,@INSTALL_DATA@,$INSTALL_DATA,;t t
-s,@CYGPATH_W@,$CYGPATH_W,;t t
-s,@PACKAGE@,$PACKAGE,;t t
-s,@VERSION@,$VERSION,;t t
-s,@ACLOCAL@,$ACLOCAL,;t t
-s,@AUTOCONF@,$AUTOCONF,;t t
-s,@AUTOMAKE@,$AUTOMAKE,;t t
-s,@AUTOHEADER@,$AUTOHEADER,;t t
-s,@MAKEINFO@,$MAKEINFO,;t t
-s,@install_sh@,$install_sh,;t t
-s,@STRIP@,$STRIP,;t t
-s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t
-s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t
-s,@mkdir_p@,$mkdir_p,;t t
-s,@AWK@,$AWK,;t t
-s,@SET_MAKE@,$SET_MAKE,;t t
-s,@am__leading_dot@,$am__leading_dot,;t t
-s,@AMTAR@,$AMTAR,;t t
-s,@am__tar@,$am__tar,;t t
-s,@am__untar@,$am__untar,;t t
-s,@DEPDIR@,$DEPDIR,;t t
-s,@am__include@,$am__include,;t t
-s,@am__quote@,$am__quote,;t t
-s,@AMDEP_TRUE@,$AMDEP_TRUE,;t t
-s,@AMDEP_FALSE@,$AMDEP_FALSE,;t t
-s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t
-s,@CCDEPMODE@,$CCDEPMODE,;t t
-s,@am__fastdepCC_TRUE@,$am__fastdepCC_TRUE,;t t
-s,@am__fastdepCC_FALSE@,$am__fastdepCC_FALSE,;t t
-s,@CXXDEPMODE@,$CXXDEPMODE,;t t
-s,@am__fastdepCXX_TRUE@,$am__fastdepCXX_TRUE,;t t
-s,@am__fastdepCXX_FALSE@,$am__fastdepCXX_FALSE,;t t
-s,@LIBOFX_SO_CURRENT@,$LIBOFX_SO_CURRENT,;t t
-s,@LIBOFX_SO_REVISION@,$LIBOFX_SO_REVISION,;t t
-s,@LIBOFX_SO_AGE@,$LIBOFX_SO_AGE,;t t
-s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
-s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
-s,@MAINT@,$MAINT,;t t
-s,@build@,$build,;t t
-s,@build_cpu@,$build_cpu,;t t
-s,@build_vendor@,$build_vendor,;t t
-s,@build_os@,$build_os,;t t
-s,@host@,$host,;t t
-s,@host_cpu@,$host_cpu,;t t
-s,@host_vendor@,$host_vendor,;t t
-s,@host_os@,$host_os,;t t
-s,@EGREP@,$EGREP,;t t
-s,@LN_S@,$LN_S,;t t
-s,@ECHO@,$ECHO,;t t
-s,@AR@,$AR,;t t
-s,@ac_ct_AR@,$ac_ct_AR,;t t
-s,@RANLIB@,$RANLIB,;t t
-s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
-s,@CPP@,$CPP,;t t
-s,@CXXCPP@,$CXXCPP,;t t
-s,@F77@,$F77,;t t
-s,@FFLAGS@,$FFLAGS,;t t
-s,@ac_ct_F77@,$ac_ct_F77,;t t
-s,@LIBTOOL@,$LIBTOOL,;t t
-s,@DOXYGEN@,$DOXYGEN,;t t
-s,@DOT@,$DOT,;t t
-s,@DOC_TRUE@,$DOC_TRUE,;t t
-s,@DOC_FALSE@,$DOC_FALSE,;t t
-s,@ENABLE_DOXYGEN_TRUE@,$ENABLE_DOXYGEN_TRUE,;t t
-s,@ENABLE_DOXYGEN_FALSE@,$ENABLE_DOXYGEN_FALSE,;t t
-s,@enable_dot@,$enable_dot,;t t
-s,@enable_html_docs@,$enable_html_docs,;t t
-s,@enable_latex_docs@,$enable_latex_docs,;t t
-s,@LIBOBJS@,$LIBOBJS,;t t
-s,@NO_GETOPTLONG_TRUE@,$NO_GETOPTLONG_TRUE,;t t
-s,@NO_GETOPTLONG_FALSE@,$NO_GETOPTLONG_FALSE,;t t
-s,@have_gengetopt@,$have_gengetopt,;t t
-s,@USE_GENGETOPT_TRUE@,$USE_GENGETOPT_TRUE,;t t
-s,@USE_GENGETOPT_FALSE@,$USE_GENGETOPT_FALSE,;t t
-s,@_libcurl_config@,$_libcurl_config,;t t
-s,@LIBCURL_CPPFLAGS@,$LIBCURL_CPPFLAGS,;t t
-s,@LIBCURL@,$LIBCURL,;t t
-s,@PKG_CONFIG@,$PKG_CONFIG,;t t
-s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
-s,@LIBXMLPP_CFLAGS@,$LIBXMLPP_CFLAGS,;t t
-s,@LIBXMLPP_LIBS@,$LIBXMLPP_LIBS,;t t
-s,@BUILD_OFXCONNECT_TRUE@,$BUILD_OFXCONNECT_TRUE,;t t
-s,@BUILD_OFXCONNECT_FALSE@,$BUILD_OFXCONNECT_FALSE,;t t
-s,@ofxconnect@,$ofxconnect,;t t
-s,@OPENSPINCLUDES@,$OPENSPINCLUDES,;t t
-s,@OPENSPLIBS@,$OPENSPLIBS,;t t
-s,@QT_CFLAGS@,$QT_CFLAGS,;t t
-s,@LIBOFX_DTD_DIR@,$LIBOFX_DTD_DIR,;t t
-s,@LTLIBOBJS@,$LTLIBOBJS,;t t
-CEOF
-
-_ACEOF
-
-  cat >>$CONFIG_STATUS <<\_ACEOF
-  # Split the substitutions into bite-sized pieces for seds with
-  # small command number limits, like on Digital OSF/1 and HP-UX.
-  ac_max_sed_lines=48
-  ac_sed_frag=1 # Number of current file.
-  ac_beg=1 # First line for current file.
-  ac_end=$ac_max_sed_lines # Line after last line for current file.
-  ac_more_lines=:
-  ac_sed_cmds=
-  while $ac_more_lines; do
-    if test $ac_beg -gt 1; then
-      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
-    else
-      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
-    fi
-    if test ! -s $tmp/subs.frag; then
-      ac_more_lines=false
-    else
-      # The purpose of the label and of the branching condition is to
-      # speed up the sed processing (if there are no `@' at all, there
-      # is no need to browse any of the substitutions).
-      # These are the two extra sed commands mentioned above.
-      (echo ':t
-  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
-      if test -z "$ac_sed_cmds"; then
-	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
-      else
-	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
-      fi
-      ac_sed_frag=`expr $ac_sed_frag + 1`
-      ac_beg=$ac_end
-      ac_end=`expr $ac_end + $ac_max_sed_lines`
-    fi
-  done
-  if test -z "$ac_sed_cmds"; then
-    ac_sed_cmds=cat
-  fi
+if test -n "$CONFIG_FILES"; then
+
+_ACEOF
+
+
+
+ac_delim='%!_!# '
+for ac_last_try in false false false false false :; do
+  cat >conf$$subs.sed <<_ACEOF
+SHELL!$SHELL$ac_delim
+PATH_SEPARATOR!$PATH_SEPARATOR$ac_delim
+PACKAGE_NAME!$PACKAGE_NAME$ac_delim
+PACKAGE_TARNAME!$PACKAGE_TARNAME$ac_delim
+PACKAGE_VERSION!$PACKAGE_VERSION$ac_delim
+PACKAGE_STRING!$PACKAGE_STRING$ac_delim
+PACKAGE_BUGREPORT!$PACKAGE_BUGREPORT$ac_delim
+exec_prefix!$exec_prefix$ac_delim
+prefix!$prefix$ac_delim
+program_transform_name!$program_transform_name$ac_delim
+bindir!$bindir$ac_delim
+sbindir!$sbindir$ac_delim
+libexecdir!$libexecdir$ac_delim
+datarootdir!$datarootdir$ac_delim
+datadir!$datadir$ac_delim
+sysconfdir!$sysconfdir$ac_delim
+sharedstatedir!$sharedstatedir$ac_delim
+localstatedir!$localstatedir$ac_delim
+includedir!$includedir$ac_delim
+oldincludedir!$oldincludedir$ac_delim
+docdir!$docdir$ac_delim
+infodir!$infodir$ac_delim
+htmldir!$htmldir$ac_delim
+dvidir!$dvidir$ac_delim
+pdfdir!$pdfdir$ac_delim
+psdir!$psdir$ac_delim
+libdir!$libdir$ac_delim
+localedir!$localedir$ac_delim
+mandir!$mandir$ac_delim
+DEFS!$DEFS$ac_delim
+ECHO_C!$ECHO_C$ac_delim
+ECHO_N!$ECHO_N$ac_delim
+ECHO_T!$ECHO_T$ac_delim
+LIBS!$LIBS$ac_delim
+build_alias!$build_alias$ac_delim
+host_alias!$host_alias$ac_delim
+target_alias!$target_alias$ac_delim
+CC!$CC$ac_delim
+CFLAGS!$CFLAGS$ac_delim
+LDFLAGS!$LDFLAGS$ac_delim
+CPPFLAGS!$CPPFLAGS$ac_delim
+ac_ct_CC!$ac_ct_CC$ac_delim
+EXEEXT!$EXEEXT$ac_delim
+OBJEXT!$OBJEXT$ac_delim
+CXX!$CXX$ac_delim
+CXXFLAGS!$CXXFLAGS$ac_delim
+ac_ct_CXX!$ac_ct_CXX$ac_delim
+LIBOFX_MAJOR_VERSION!$LIBOFX_MAJOR_VERSION$ac_delim
+LIBOFX_MINOR_VERSION!$LIBOFX_MINOR_VERSION$ac_delim
+LIBOFX_MICRO_VERSION!$LIBOFX_MICRO_VERSION$ac_delim
+LIBOFX_BUILD_VERSION!$LIBOFX_BUILD_VERSION$ac_delim
+LIBOFX_VERSION_RELEASE_STRING!$LIBOFX_VERSION_RELEASE_STRING$ac_delim
+LIBOFX_VERSION!$LIBOFX_VERSION$ac_delim
+INSTALL_PROGRAM!$INSTALL_PROGRAM$ac_delim
+INSTALL_SCRIPT!$INSTALL_SCRIPT$ac_delim
+INSTALL_DATA!$INSTALL_DATA$ac_delim
+CYGPATH_W!$CYGPATH_W$ac_delim
+PACKAGE!$PACKAGE$ac_delim
+VERSION!$VERSION$ac_delim
+ACLOCAL!$ACLOCAL$ac_delim
+AUTOCONF!$AUTOCONF$ac_delim
+AUTOMAKE!$AUTOMAKE$ac_delim
+AUTOHEADER!$AUTOHEADER$ac_delim
+MAKEINFO!$MAKEINFO$ac_delim
+install_sh!$install_sh$ac_delim
+STRIP!$STRIP$ac_delim
+INSTALL_STRIP_PROGRAM!$INSTALL_STRIP_PROGRAM$ac_delim
+mkdir_p!$mkdir_p$ac_delim
+AWK!$AWK$ac_delim
+SET_MAKE!$SET_MAKE$ac_delim
+am__leading_dot!$am__leading_dot$ac_delim
+AMTAR!$AMTAR$ac_delim
+am__tar!$am__tar$ac_delim
+am__untar!$am__untar$ac_delim
+DEPDIR!$DEPDIR$ac_delim
+am__include!$am__include$ac_delim
+am__quote!$am__quote$ac_delim
+AMDEP_TRUE!$AMDEP_TRUE$ac_delim
+AMDEP_FALSE!$AMDEP_FALSE$ac_delim
+AMDEPBACKSLASH!$AMDEPBACKSLASH$ac_delim
+CCDEPMODE!$CCDEPMODE$ac_delim
+am__fastdepCC_TRUE!$am__fastdepCC_TRUE$ac_delim
+am__fastdepCC_FALSE!$am__fastdepCC_FALSE$ac_delim
+CXXDEPMODE!$CXXDEPMODE$ac_delim
+am__fastdepCXX_TRUE!$am__fastdepCXX_TRUE$ac_delim
+am__fastdepCXX_FALSE!$am__fastdepCXX_FALSE$ac_delim
+LIBOFX_SO_CURRENT!$LIBOFX_SO_CURRENT$ac_delim
+LIBOFX_SO_REVISION!$LIBOFX_SO_REVISION$ac_delim
+LIBOFX_SO_AGE!$LIBOFX_SO_AGE$ac_delim
+MAINTAINER_MODE_TRUE!$MAINTAINER_MODE_TRUE$ac_delim
+MAINTAINER_MODE_FALSE!$MAINTAINER_MODE_FALSE$ac_delim
+MAINT!$MAINT$ac_delim
+RC!$RC$ac_delim
+build!$build$ac_delim
+build_cpu!$build_cpu$ac_delim
+build_vendor!$build_vendor$ac_delim
+build_os!$build_os$ac_delim
+_ACEOF
+
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
+    break
+  elif $ac_last_try; then
+    { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
+echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
+   { (exit 1); exit 1; }; }
+  else
+    ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
+  fi
+done
+
+ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
+if test -n "$ac_eof"; then
+  ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
+  ac_eof=`expr $ac_eof + 1`
+fi
+
+cat >>$CONFIG_STATUS <<_ACEOF
+cat >"\$tmp/subs-1.sed" <<\CEOF$ac_eof
+/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
+_ACEOF
+sed '
+s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
+s/^/s,@/; s/!/@,|#_!!_#|/
+:n
+t n
+s/'"$ac_delim"'$/,g/; t
+s/$/\\/; p
+N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
+' >>$CONFIG_STATUS <conf$$subs.sed
+rm -f conf$$subs.sed
+cat >>$CONFIG_STATUS <<_ACEOF
+CEOF$ac_eof
+_ACEOF
+
+
+ac_delim='%!_!# '
+for ac_last_try in false false false false false :; do
+  cat >conf$$subs.sed <<_ACEOF
+host!$host$ac_delim
+host_cpu!$host_cpu$ac_delim
+host_vendor!$host_vendor$ac_delim
+host_os!$host_os$ac_delim
+SED!$SED$ac_delim
+GREP!$GREP$ac_delim
+EGREP!$EGREP$ac_delim
+LN_S!$LN_S$ac_delim
+ECHO!$ECHO$ac_delim
+AR!$AR$ac_delim
+RANLIB!$RANLIB$ac_delim
+DLLTOOL!$DLLTOOL$ac_delim
+AS!$AS$ac_delim
+OBJDUMP!$OBJDUMP$ac_delim
+CPP!$CPP$ac_delim
+CXXCPP!$CXXCPP$ac_delim
+F77!$F77$ac_delim
+FFLAGS!$FFLAGS$ac_delim
+ac_ct_F77!$ac_ct_F77$ac_delim
+LIBTOOL!$LIBTOOL$ac_delim
+OSYSTEM!$OSYSTEM$ac_delim
+OS_TYPE!$OS_TYPE$ac_delim
+MAKE_DLL_TARGET!$MAKE_DLL_TARGET$ac_delim
+INSTALL_DLL_TARGET!$INSTALL_DLL_TARGET$ac_delim
+DOXYGEN!$DOXYGEN$ac_delim
+DOT!$DOT$ac_delim
+DOC_TRUE!$DOC_TRUE$ac_delim
+DOC_FALSE!$DOC_FALSE$ac_delim
+ENABLE_DOXYGEN_TRUE!$ENABLE_DOXYGEN_TRUE$ac_delim
+ENABLE_DOXYGEN_FALSE!$ENABLE_DOXYGEN_FALSE$ac_delim
+enable_dot!$enable_dot$ac_delim
+enable_html_docs!$enable_html_docs$ac_delim
+enable_latex_docs!$enable_latex_docs$ac_delim
+LIBOBJS!$LIBOBJS$ac_delim
+NO_GETOPTLONG_TRUE!$NO_GETOPTLONG_TRUE$ac_delim
+NO_GETOPTLONG_FALSE!$NO_GETOPTLONG_FALSE$ac_delim
+have_gengetopt!$have_gengetopt$ac_delim
+USE_GENGETOPT_TRUE!$USE_GENGETOPT_TRUE$ac_delim
+USE_GENGETOPT_FALSE!$USE_GENGETOPT_FALSE$ac_delim
+_libcurl_config!$_libcurl_config$ac_delim
+LIBCURL_CPPFLAGS!$LIBCURL_CPPFLAGS$ac_delim
+LIBCURL!$LIBCURL$ac_delim
+PKG_CONFIG!$PKG_CONFIG$ac_delim
+LIBXMLPP_CFLAGS!$LIBXMLPP_CFLAGS$ac_delim
+LIBXMLPP_LIBS!$LIBXMLPP_LIBS$ac_delim
+BUILD_OFXCONNECT_TRUE!$BUILD_OFXCONNECT_TRUE$ac_delim
+BUILD_OFXCONNECT_FALSE!$BUILD_OFXCONNECT_FALSE$ac_delim
+WITH_ICONV!$WITH_ICONV$ac_delim
+ICONV_LIBS!$ICONV_LIBS$ac_delim
+ofxconnect!$ofxconnect$ac_delim
+OPENSPINCLUDES!$OPENSPINCLUDES$ac_delim
+OPENSPLIBS!$OPENSPLIBS$ac_delim
+QT_CFLAGS!$QT_CFLAGS$ac_delim
+LIBOFX_DTD_DIR!$LIBOFX_DTD_DIR$ac_delim
+LTLIBOBJS!$LTLIBOBJS$ac_delim
+_ACEOF
+
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 55; then
+    break
+  elif $ac_last_try; then
+    { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
+echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
+   { (exit 1); exit 1; }; }
+  else
+    ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
+  fi
+done
+
+ac_eof=`sed -n '/^CEOF[0-9]*$/s/CEOF/0/p' conf$$subs.sed`
+if test -n "$ac_eof"; then
+  ac_eof=`echo "$ac_eof" | sort -nru | sed 1q`
+  ac_eof=`expr $ac_eof + 1`
+fi
+
+cat >>$CONFIG_STATUS <<_ACEOF
+cat >"\$tmp/subs-2.sed" <<\CEOF$ac_eof
+/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
+_ACEOF
+sed '
+s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g
+s/^/s,@/; s/!/@,|#_!!_#|/
+:n
+t n
+s/'"$ac_delim"'$/,g/; t
+s/$/\\/; p
+N; s/^.*\n//; s/[,\\&]/\\&/g; s/@/@|#_!!_#|/g; b n
+' >>$CONFIG_STATUS <conf$$subs.sed
+rm -f conf$$subs.sed
+cat >>$CONFIG_STATUS <<_ACEOF
+:end
+s/|#_!!_#|//g
+CEOF$ac_eof
+_ACEOF
+
+
+# VPATH may cause trouble with some makes, so we remove $(srcdir),
+# ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
+# trailing colons and then remove the whole line if VPATH becomes empty
+# (actually we leave an empty line to preserve line numbers).
+if test "x$srcdir" = x.; then
+  ac_vpsub='/^[	 ]*VPATH[	 ]*=/{
+s/:*\$(srcdir):*/:/
+s/:*\${srcdir}:*/:/
+s/:*@srcdir@:*/:/
+s/^\([^=]*=[	 ]*\):*/\1/
+s/:*$//
+s/^[^=]*=[	 ]*$//
+}'
+fi
+
+cat >>$CONFIG_STATUS <<\_ACEOF
 fi # test -n "$CONFIG_FILES"
 
-_ACEOF
-cat >>$CONFIG_STATUS <<\_ACEOF
-for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
-  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
-  case $ac_file in
-  - | *:- | *:-:* ) # input from stdin
-	cat >$tmp/stdin
-	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
-	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
-  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
-	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
-  * )   ac_file_in=$ac_file.in ;;
-  esac
-
-  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
-  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
+
+for ac_tag in  :F $CONFIG_FILES  :H $CONFIG_HEADERS  :L $CONFIG_LINKS  :C $CONFIG_COMMANDS
+do
+  case $ac_tag in
+  :[FHLC]) ac_mode=$ac_tag; continue;;
+  esac
+  case $ac_mode$ac_tag in
+  :[FHL]*:*);;
+  :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
+echo "$as_me: error: Invalid tag $ac_tag." >&2;}
+   { (exit 1); exit 1; }; };;
+  :[FH]-) ac_tag=-:-;;
+  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
+  esac
+  ac_save_IFS=$IFS
+  IFS=:
+  set x $ac_tag
+  IFS=$ac_save_IFS
+  shift
+  ac_file=$1
+  shift
+
+  case $ac_mode in
+  :L) ac_source=$1;;
+  :[FH])
+    ac_file_inputs=
+    for ac_f
+    do
+      case $ac_f in
+      -) ac_f="$tmp/stdin";;
+      *) # Look for the file first in the build tree, then in the source tree
+	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
+	 # because $ac_f cannot contain `:'.
+	 test -f "$ac_f" ||
+	   case $ac_f in
+	   [\\/$]*) false;;
+	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
+	   esac ||
+	   { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
+echo "$as_me: error: cannot find input file: $ac_f" >&2;}
+   { (exit 1); exit 1; }; };;
+      esac
+      ac_file_inputs="$ac_file_inputs $ac_f"
+    done
+
+    # Let's still pretend it is `configure' which instantiates (i.e., don't
+    # use $as_me), people would be surprised to read:
+    #    /* config.h.  Generated by config.status.  */
+    configure_input="Generated from "`IFS=:
+	  echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
+    if test x"$ac_file" != x-; then
+      configure_input="$ac_file.  $configure_input"
+      { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+    fi
+
+    case $ac_tag in
+    *:-:* | *:-) cat >"$tmp/stdin";;
+    esac
+    ;;
+  esac
+
+  ac_dir=`$as_dirname -- "$ac_file" ||
 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
 	 X"$ac_file" : 'X\(//\)[^/]' \| \
 	 X"$ac_file" : 'X\(//\)$' \| \
-	 X"$ac_file" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
+	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
 echo X"$ac_file" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
-  { if $as_mkdir_p; then
-    mkdir -p "$ac_dir"
-  else
-    as_dir="$ac_dir"
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)[^/].*/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+  { as_dir="$ac_dir"
+  case $as_dir in #(
+  -*) as_dir=./$as_dir;;
+  esac
+  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
     as_dirs=
-    while test ! -d "$as_dir"; do
-      as_dirs="$as_dir $as_dirs"
-      as_dir=`(dirname "$as_dir") 2>/dev/null ||
+    while :; do
+      case $as_dir in #(
+      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
+      *) as_qdir=$as_dir;;
+      esac
+      as_dirs="'$as_qdir' $as_dirs"
+      as_dir=`$as_dirname -- "$as_dir" ||
 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
 	 X"$as_dir" : 'X\(//\)[^/]' \| \
 	 X"$as_dir" : 'X\(//\)$' \| \
-	 X"$as_dir" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
+	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
 echo X"$as_dir" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)[^/].*/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+      test -d "$as_dir" && break
     done
-    test ! -n "$as_dirs" || mkdir $as_dirs
-  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
-echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
+    test -z "$as_dirs" || eval "mkdir $as_dirs"
+  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
+echo "$as_me: error: cannot create directory $as_dir" >&2;}
    { (exit 1); exit 1; }; }; }
-
   ac_builddir=.
 
-if test "$ac_dir" != .; then
+case "$ac_dir" in
+.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
+*)
   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
-  # A "../" for each directory in $ac_dir_suffix.
-  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
-else
-  ac_dir_suffix= ac_top_builddir=
-fi
+  # A ".." for each directory in $ac_dir_suffix.
+  ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
+  case $ac_top_builddir_sub in
+  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
+  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
+  esac ;;
+esac
+ac_abs_top_builddir=$ac_pwd
+ac_abs_builddir=$ac_pwd$ac_dir_suffix
+# for backward compatibility:
+ac_top_builddir=$ac_top_build_prefix
 
 case $srcdir in
-  .)  # No --srcdir option.  We are building in place.
+  .)  # We are building in place.
     ac_srcdir=.
-    if test -z "$ac_top_builddir"; then
-       ac_top_srcdir=.
-    else
-       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
-    fi ;;
-  [\\/]* | ?:[\\/]* )  # Absolute path.
+    ac_top_srcdir=$ac_top_builddir_sub
+    ac_abs_top_srcdir=$ac_pwd ;;
+  [\\/]* | ?:[\\/]* )  # Absolute name.
     ac_srcdir=$srcdir$ac_dir_suffix;
-    ac_top_srcdir=$srcdir ;;
-  *) # Relative path.
-    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
-    ac_top_srcdir=$ac_top_builddir$srcdir ;;
-esac
-
-# Do not use `cd foo && pwd` to compute absolute paths, because
-# the directories may not exist.
-case `pwd` in
-.) ac_abs_builddir="$ac_dir";;
-*)
-  case "$ac_dir" in
-  .) ac_abs_builddir=`pwd`;;
-  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
-  *) ac_abs_builddir=`pwd`/"$ac_dir";;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_top_builddir=${ac_top_builddir}.;;
-*)
-  case ${ac_top_builddir}. in
-  .) ac_abs_top_builddir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
-  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_srcdir=$ac_srcdir;;
-*)
-  case $ac_srcdir in
-  .) ac_abs_srcdir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
-  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_top_srcdir=$ac_top_srcdir;;
-*)
-  case $ac_top_srcdir in
-  .) ac_abs_top_srcdir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
-  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
-  esac;;
-esac
-
+    ac_top_srcdir=$srcdir
+    ac_abs_top_srcdir=$srcdir ;;
+  *) # Relative name.
+    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
+    ac_top_srcdir=$ac_top_build_prefix$srcdir
+    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
+esac
+ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
+
+
+  case $ac_mode in
+  :F)
+  #
+  # CONFIG_FILE
+  #
 
   case $INSTALL in
   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
-  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
+  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
   esac
-
-  # Let's still pretend it is `configure' which instantiates (i.e., don't
-  # use $as_me), people would be surprised to read:
-  #    /* config.h.  Generated by config.status.  */
-  if test x"$ac_file" = x-; then
-    configure_input=
-  else
-    configure_input="$ac_file.  "
-  fi
-  configure_input=$configure_input"Generated from `echo $ac_file_in |
-				     sed 's,.*/,,'` by configure."
-
-  # First look for the input files in the build tree, otherwise in the
-  # src tree.
-  ac_file_inputs=`IFS=:
-    for f in $ac_file_in; do
-      case $f in
-      -) echo $tmp/stdin ;;
-      [\\/$]*)
-	 # Absolute (can't be DOS-style, as IFS=:)
-	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
-echo "$as_me: error: cannot find input file: $f" >&2;}
-   { (exit 1); exit 1; }; }
-	 echo "$f";;
-      *) # Relative
-	 if test -f "$f"; then
-	   # Build tree
-	   echo "$f"
-	 elif test -f "$srcdir/$f"; then
-	   # Source tree
-	   echo "$srcdir/$f"
-	 else
-	   # /dev/null tree
-	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
-echo "$as_me: error: cannot find input file: $f" >&2;}
-   { (exit 1); exit 1; }; }
-	 fi;;
-      esac
-    done` || { (exit 1); exit 1; }
-
-  if test x"$ac_file" != x-; then
-    { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
-    rm -f "$ac_file"
-  fi
-_ACEOF
+_ACEOF
+
+cat >>$CONFIG_STATUS <<\_ACEOF
+# If the template does not know about datarootdir, expand it.
+# FIXME: This hack should be removed a few years after 2.60.
+ac_datarootdir_hack=; ac_datarootdir_seen=
+
+case `sed -n '/datarootdir/ {
+  p
+  q
+}
+/@datadir@/p
+/@docdir@/p
+/@infodir@/p
+/@localedir@/p
+/@mandir@/p
+' $ac_file_inputs` in
+*datarootdir*) ac_datarootdir_seen=yes;;
+*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
+  { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
+echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
+_ACEOF
+cat >>$CONFIG_STATUS <<_ACEOF
+  ac_datarootdir_hack='
+  s&@datadir@&$datadir&g
+  s&@docdir@&$docdir&g
+  s&@infodir@&$infodir&g
+  s&@localedir@&$localedir&g
+  s&@mandir@&$mandir&g
+    s&\\\${datarootdir}&$datarootdir&g' ;;
+esac
+_ACEOF
+
+# Neutralize VPATH when `$srcdir' = `.'.
+# Shell code in configure.ac might set extrasub.
+# FIXME: do we really want to maintain this feature?
 cat >>$CONFIG_STATUS <<_ACEOF
   sed "$ac_vpsub
 $extrasub
@@ -21833,248 +23680,130 @@
 cat >>$CONFIG_STATUS <<\_ACEOF
 :t
 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
-s,@configure_input@,$configure_input,;t t
-s,@srcdir@,$ac_srcdir,;t t
-s,@abs_srcdir@,$ac_abs_srcdir,;t t
-s,@top_srcdir@,$ac_top_srcdir,;t t
-s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
-s,@builddir@,$ac_builddir,;t t
-s,@abs_builddir@,$ac_abs_builddir,;t t
-s,@top_builddir@,$ac_top_builddir,;t t
-s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
-s,@INSTALL@,$ac_INSTALL,;t t
-" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
-  rm -f $tmp/stdin
-  if test x"$ac_file" != x-; then
-    mv $tmp/out $ac_file
-  else
-    cat $tmp/out
-    rm -f $tmp/out
-  fi
-
-done
+s&@configure_input@&$configure_input&;t t
+s&@top_builddir@&$ac_top_builddir_sub&;t t
+s&@srcdir@&$ac_srcdir&;t t
+s&@abs_srcdir@&$ac_abs_srcdir&;t t
+s&@top_srcdir@&$ac_top_srcdir&;t t
+s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
+s&@builddir@&$ac_builddir&;t t
+s&@abs_builddir@&$ac_abs_builddir&;t t
+s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
+s&@INSTALL@&$ac_INSTALL&;t t
+$ac_datarootdir_hack
+" $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
+
+test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
+  { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
+  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
+  { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
+which seems to be undefined.  Please make sure it is defined." >&5
+echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
+which seems to be undefined.  Please make sure it is defined." >&2;}
+
+  rm -f "$tmp/stdin"
+  case $ac_file in
+  -) cat "$tmp/out"; rm -f "$tmp/out";;
+  *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
+  esac
+ ;;
+  :H)
+  #
+  # CONFIG_HEADER
+  #
 _ACEOF
-cat >>$CONFIG_STATUS <<\_ACEOF
-
-#
-# CONFIG_HEADER section.
-#
-
-# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
-# NAME is the cpp macro being defined and VALUE is the value it is being given.
-#
-# ac_d sets the value in "#define NAME VALUE" lines.
-ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
-ac_dB='[	 ].*$,\1#\2'
+
+# Transform confdefs.h into a sed script `conftest.defines', that
+# substitutes the proper values into config.h.in to produce config.h.
+rm -f conftest.defines conftest.tail
+# First, append a space to every undef/define line, to ease matching.
+echo 's/$/ /' >conftest.defines
+# Then, protect against being on the right side of a sed subst, or in
+# an unquoted here document, in config.status.  If some macros were
+# called several times there might be several #defines for the same
+# symbol, which is useless.  But do not sort them, since the last
+# AC_DEFINE must be honored.
+ac_word_re=[_$as_cr_Letters][_$as_cr_alnum]*
+# These sed commands are passed to sed as "A NAME B PARAMS C VALUE D", where
+# NAME is the cpp macro being defined, VALUE is the value it is being given.
+# PARAMS is the parameter list in the macro definition--in most cases, it's
+# just an empty string.
+ac_dA='s,^\\([	 #]*\\)[^	 ]*\\([	 ]*'
+ac_dB='\\)[	 (].*,\\1define\\2'
 ac_dC=' '
-ac_dD=',;t'
-# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
-ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
-ac_uB='$,\1#\2define\3'
-ac_uC=' '
-ac_uD=',;t'
-
-for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
-  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
-  case $ac_file in
-  - | *:- | *:-:* ) # input from stdin
-	cat >$tmp/stdin
-	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
-	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
-  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
-	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
-  * )   ac_file_in=$ac_file.in ;;
-  esac
-
-  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
-
-  # First look for the input files in the build tree, otherwise in the
-  # src tree.
-  ac_file_inputs=`IFS=:
-    for f in $ac_file_in; do
-      case $f in
-      -) echo $tmp/stdin ;;
-      [\\/$]*)
-	 # Absolute (can't be DOS-style, as IFS=:)
-	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
-echo "$as_me: error: cannot find input file: $f" >&2;}
-   { (exit 1); exit 1; }; }
-	 # Do quote $f, to prevent DOS paths from being IFS'd.
-	 echo "$f";;
-      *) # Relative
-	 if test -f "$f"; then
-	   # Build tree
-	   echo "$f"
-	 elif test -f "$srcdir/$f"; then
-	   # Source tree
-	   echo "$srcdir/$f"
-	 else
-	   # /dev/null tree
-	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
-echo "$as_me: error: cannot find input file: $f" >&2;}
-   { (exit 1); exit 1; }; }
-	 fi;;
-      esac
-    done` || { (exit 1); exit 1; }
-  # Remove the trailing spaces.
-  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
-
-_ACEOF
-
-# Transform confdefs.h into two sed scripts, `conftest.defines' and
-# `conftest.undefs', that substitutes the proper values into
-# config.h.in to produce config.h.  The first handles `#define'
-# templates, and the second `#undef' templates.
-# And first: Protect against being on the right side of a sed subst in
-# config.status.  Protect against being in an unquoted here document
-# in config.status.
-rm -f conftest.defines conftest.undefs
-# Using a here document instead of a string reduces the quoting nightmare.
-# Putting comments in sed scripts is not portable.
-#
-# `end' is used to avoid that the second main sed command (meant for
-# 0-ary CPP macros) applies to n-ary macro definitions.
-# See the Autoconf documentation for `clear'.
-cat >confdef2sed.sed <<\_ACEOF
-s/[\\&,]/\\&/g
-s,[\\$`],\\&,g
-t clear
-: clear
-s,^[	 ]*#[	 ]*define[	 ][	 ]*\([^	 (][^	 (]*\)\(([^)]*)\)[	 ]*\(.*\)$,${ac_dA}\1${ac_dB}\1\2${ac_dC}\3${ac_dD},gp
-t end
-s,^[	 ]*#[	 ]*define[	 ][	 ]*\([^	 ][^	 ]*\)[	 ]*\(.*\)$,${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD},gp
-: end
-_ACEOF
-# If some macros were called several times there might be several times
-# the same #defines, which is useless.  Nevertheless, we may not want to
-# sort them, since we want the *last* AC-DEFINE to be honored.
-uniq confdefs.h | sed -n -f confdef2sed.sed >conftest.defines
-sed 's/ac_d/ac_u/g' conftest.defines >conftest.undefs
-rm -f confdef2sed.sed
-
-# This sed command replaces #undef with comments.  This is necessary, for
+ac_dD=' ,'
+
+uniq confdefs.h |
+  sed -n '
+	t rset
+	:rset
+	s/^[	 ]*#[	 ]*define[	 ][	 ]*//
+	t ok
+	d
+	:ok
+	s/[\\&,]/\\&/g
+	s/^\('"$ac_word_re"'\)\(([^()]*)\)[	 ]*\(.*\)/ '"$ac_dA"'\1'"$ac_dB"'\2'"${ac_dC}"'\3'"$ac_dD"'/p
+	s/^\('"$ac_word_re"'\)[	 ]*\(.*\)/'"$ac_dA"'\1'"$ac_dB$ac_dC"'\2'"$ac_dD"'/p
+  ' >>conftest.defines
+
+# Remove the space that was appended to ease matching.
+# Then replace #undef with comments.  This is necessary, for
 # example, in the case of _POSIX_SOURCE, which is predefined and required
 # on some systems where configure will not decide to define it.
-cat >>conftest.undefs <<\_ACEOF
-s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
+# (The regexp can be short, since the line contains either #define or #undef.)
+echo 's/ $//
+s,^[	 #]*u.*,/* & */,' >>conftest.defines
+
+# Break up conftest.defines:
+ac_max_sed_lines=50
+
+# First sed command is:	 sed -f defines.sed $ac_file_inputs >"$tmp/out1"
+# Second one is:	 sed -f defines.sed "$tmp/out1" >"$tmp/out2"
+# Third one will be:	 sed -f defines.sed "$tmp/out2" >"$tmp/out1"
+# et cetera.
+ac_in='$ac_file_inputs'
+ac_out='"$tmp/out1"'
+ac_nxt='"$tmp/out2"'
+
+while :
+do
+  # Write a here document:
+    cat >>$CONFIG_STATUS <<_ACEOF
+    # First, check the format of the line:
+    cat >"\$tmp/defines.sed" <<\\CEOF
+/^[	 ]*#[	 ]*undef[	 ][	 ]*$ac_word_re[	 ]*\$/b def
+/^[	 ]*#[	 ]*define[	 ][	 ]*$ac_word_re[(	 ]/b def
+b
+:def
 _ACEOF
-
-# Break up conftest.defines because some shells have a limit on the size
-# of here documents, and old seds have small limits too (100 cmds).
-echo '  # Handle all the #define templates only if necessary.' >>$CONFIG_STATUS
-echo '  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then' >>$CONFIG_STATUS
-echo '  # If there are no defines, we may have an empty if/fi' >>$CONFIG_STATUS
-echo '  :' >>$CONFIG_STATUS
-rm -f conftest.tail
-while grep . conftest.defines >/dev/null
-do
-  # Write a limited-size here document to $tmp/defines.sed.
-  echo '  cat >$tmp/defines.sed <<CEOF' >>$CONFIG_STATUS
-  # Speed up: don't consider the non `#define' lines.
-  echo '/^[	 ]*#[	 ]*define/!b' >>$CONFIG_STATUS
-  # Work around the forget-to-reset-the-flag bug.
-  echo 't clr' >>$CONFIG_STATUS
-  echo ': clr' >>$CONFIG_STATUS
-  sed ${ac_max_here_lines}q conftest.defines >>$CONFIG_STATUS
+  sed ${ac_max_sed_lines}q conftest.defines >>$CONFIG_STATUS
   echo 'CEOF
-  sed -f $tmp/defines.sed $tmp/in >$tmp/out
-  rm -f $tmp/in
-  mv $tmp/out $tmp/in
-' >>$CONFIG_STATUS
-  sed 1,${ac_max_here_lines}d conftest.defines >conftest.tail
+    sed -f "$tmp/defines.sed"' "$ac_in >$ac_out" >>$CONFIG_STATUS
+  ac_in=$ac_out; ac_out=$ac_nxt; ac_nxt=$ac_in
+  sed 1,${ac_max_sed_lines}d conftest.defines >conftest.tail
+  grep . conftest.tail >/dev/null || break
   rm -f conftest.defines
   mv conftest.tail conftest.defines
 done
-rm -f conftest.defines
-echo '  fi # grep' >>$CONFIG_STATUS
-echo >>$CONFIG_STATUS
-
-# Break up conftest.undefs because some shells have a limit on the size
-# of here documents, and old seds have small limits too (100 cmds).
-echo '  # Handle all the #undef templates' >>$CONFIG_STATUS
-rm -f conftest.tail
-while grep . conftest.undefs >/dev/null
-do
-  # Write a limited-size here document to $tmp/undefs.sed.
-  echo '  cat >$tmp/undefs.sed <<CEOF' >>$CONFIG_STATUS
-  # Speed up: don't consider the non `#undef'
-  echo '/^[	 ]*#[	 ]*undef/!b' >>$CONFIG_STATUS
-  # Work around the forget-to-reset-the-flag bug.
-  echo 't clr' >>$CONFIG_STATUS
-  echo ': clr' >>$CONFIG_STATUS
-  sed ${ac_max_here_lines}q conftest.undefs >>$CONFIG_STATUS
-  echo 'CEOF
-  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
-  rm -f $tmp/in
-  mv $tmp/out $tmp/in
-' >>$CONFIG_STATUS
-  sed 1,${ac_max_here_lines}d conftest.undefs >conftest.tail
-  rm -f conftest.undefs
-  mv conftest.tail conftest.undefs
-done
-rm -f conftest.undefs
-
+rm -f conftest.defines conftest.tail
+
+echo "ac_result=$ac_in" >>$CONFIG_STATUS
 cat >>$CONFIG_STATUS <<\_ACEOF
-  # Let's still pretend it is `configure' which instantiates (i.e., don't
-  # use $as_me), people would be surprised to read:
-  #    /* config.h.  Generated by config.status.  */
-  if test x"$ac_file" = x-; then
-    echo "/* Generated by configure.  */" >$tmp/config.h
-  else
-    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
-  fi
-  cat $tmp/in >>$tmp/config.h
-  rm -f $tmp/in
   if test x"$ac_file" != x-; then
-    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
+    echo "/* $configure_input  */" >"$tmp/config.h"
+    cat "$ac_result" >>"$tmp/config.h"
+    if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
-      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
-$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-	 X"$ac_file" : 'X\(//\)[^/]' \| \
-	 X"$ac_file" : 'X\(//\)$' \| \
-	 X"$ac_file" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
-echo X"$ac_file" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
-      { if $as_mkdir_p; then
-    mkdir -p "$ac_dir"
-  else
-    as_dir="$ac_dir"
-    as_dirs=
-    while test ! -d "$as_dir"; do
-      as_dirs="$as_dir $as_dirs"
-      as_dir=`(dirname "$as_dir") 2>/dev/null ||
-$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-	 X"$as_dir" : 'X\(//\)[^/]' \| \
-	 X"$as_dir" : 'X\(//\)$' \| \
-	 X"$as_dir" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
-echo X"$as_dir" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
-    done
-    test ! -n "$as_dirs" || mkdir $as_dirs
-  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
-echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
-   { (exit 1); exit 1; }; }; }
-
       rm -f $ac_file
-      mv $tmp/config.h $ac_file
+      mv "$tmp/config.h" $ac_file
     fi
   else
-    cat $tmp/config.h
-    rm -f $tmp/config.h
+    echo "/* $configure_input  */"
+    cat "$ac_result"
   fi
+  rm -f "$tmp/out12"
 # Compute $ac_file's index in $config_headers.
 _am_stamp_count=1
 for _am_header in $config_headers :; do
@@ -22085,273 +23814,65 @@
       _am_stamp_count=`expr $_am_stamp_count + 1` ;;
   esac
 done
-echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
+echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
 	 X$ac_file : 'X\(//\)[^/]' \| \
 	 X$ac_file : 'X\(//\)$' \| \
-	 X$ac_file : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
+	 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
 echo X$ac_file |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`/stamp-h$_am_stamp_count
-done
-_ACEOF
-cat >>$CONFIG_STATUS <<\_ACEOF
-
-#
-# CONFIG_LINKS section.
-#
-
-for ac_file in : $CONFIG_LINKS; do test "x$ac_file" = x: && continue
-  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
-  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
-
-  { echo "$as_me:$LINENO: linking $srcdir/$ac_source to $ac_dest" >&5
-echo "$as_me: linking $srcdir/$ac_source to $ac_dest" >&6;}
-
-  if test ! -r $srcdir/$ac_source; then
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)[^/].*/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`/stamp-h$_am_stamp_count
+ ;;
+  :L)
+  #
+  # CONFIG_LINK
+  #
+
+  { echo "$as_me:$LINENO: linking $srcdir/$ac_source to $ac_file" >&5
+echo "$as_me: linking $srcdir/$ac_source to $ac_file" >&6;}
+
+  if test ! -r "$srcdir/$ac_source"; then
     { { echo "$as_me:$LINENO: error: $srcdir/$ac_source: file not found" >&5
 echo "$as_me: error: $srcdir/$ac_source: file not found" >&2;}
    { (exit 1); exit 1; }; }
   fi
-  rm -f $ac_dest
-
-  # Make relative symlinks.
-  ac_dest_dir=`(dirname "$ac_dest") 2>/dev/null ||
-$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-	 X"$ac_dest" : 'X\(//\)[^/]' \| \
-	 X"$ac_dest" : 'X\(//\)$' \| \
-	 X"$ac_dest" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
-echo X"$ac_dest" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
-  { if $as_mkdir_p; then
-    mkdir -p "$ac_dest_dir"
-  else
-    as_dir="$ac_dest_dir"
-    as_dirs=
-    while test ! -d "$as_dir"; do
-      as_dirs="$as_dir $as_dirs"
-      as_dir=`(dirname "$as_dir") 2>/dev/null ||
-$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-	 X"$as_dir" : 'X\(//\)[^/]' \| \
-	 X"$as_dir" : 'X\(//\)$' \| \
-	 X"$as_dir" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
-echo X"$as_dir" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
-    done
-    test ! -n "$as_dirs" || mkdir $as_dirs
-  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dest_dir\"" >&5
-echo "$as_me: error: cannot create directory \"$ac_dest_dir\"" >&2;}
-   { (exit 1); exit 1; }; }; }
-
-  ac_builddir=.
-
-if test "$ac_dest_dir" != .; then
-  ac_dir_suffix=/`echo "$ac_dest_dir" | sed 's,^\.[\\/],,'`
-  # A "../" for each directory in $ac_dir_suffix.
-  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
-else
-  ac_dir_suffix= ac_top_builddir=
-fi
-
-case $srcdir in
-  .)  # No --srcdir option.  We are building in place.
-    ac_srcdir=.
-    if test -z "$ac_top_builddir"; then
-       ac_top_srcdir=.
-    else
-       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
-    fi ;;
-  [\\/]* | ?:[\\/]* )  # Absolute path.
-    ac_srcdir=$srcdir$ac_dir_suffix;
-    ac_top_srcdir=$srcdir ;;
-  *) # Relative path.
-    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
-    ac_top_srcdir=$ac_top_builddir$srcdir ;;
-esac
-
-# Do not use `cd foo && pwd` to compute absolute paths, because
-# the directories may not exist.
-case `pwd` in
-.) ac_abs_builddir="$ac_dest_dir";;
-*)
-  case "$ac_dest_dir" in
-  .) ac_abs_builddir=`pwd`;;
-  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dest_dir";;
-  *) ac_abs_builddir=`pwd`/"$ac_dest_dir";;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_top_builddir=${ac_top_builddir}.;;
-*)
-  case ${ac_top_builddir}. in
-  .) ac_abs_top_builddir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
-  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_srcdir=$ac_srcdir;;
-*)
-  case $ac_srcdir in
-  .) ac_abs_srcdir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
-  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_top_srcdir=$ac_top_srcdir;;
-*)
-  case $ac_top_srcdir in
-  .) ac_abs_top_srcdir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
-  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
-  esac;;
-esac
-
-
+  rm -f "$ac_file"
+
+  # Try a relative symlink, then a hard link, then a copy.
   case $srcdir in
   [\\/$]* | ?:[\\/]* ) ac_rel_source=$srcdir/$ac_source ;;
-      *) ac_rel_source=$ac_top_builddir$srcdir/$ac_source ;;
+      *) ac_rel_source=$ac_top_build_prefix$srcdir/$ac_source ;;
   esac
-
-  # Try a symlink, then a hard link, then a copy.
-  ln -s $ac_rel_source $ac_dest 2>/dev/null ||
-    ln $srcdir/$ac_source $ac_dest 2>/dev/null ||
-    cp -p $srcdir/$ac_source $ac_dest ||
-    { { echo "$as_me:$LINENO: error: cannot link or copy $srcdir/$ac_source to $ac_dest" >&5
-echo "$as_me: error: cannot link or copy $srcdir/$ac_source to $ac_dest" >&2;}
+  ln -s "$ac_rel_source" "$ac_file" 2>/dev/null ||
+    ln "$srcdir/$ac_source" "$ac_file" 2>/dev/null ||
+    cp -p "$srcdir/$ac_source" "$ac_file" ||
+    { { echo "$as_me:$LINENO: error: cannot link or copy $srcdir/$ac_source to $ac_file" >&5
+echo "$as_me: error: cannot link or copy $srcdir/$ac_source to $ac_file" >&2;}
    { (exit 1); exit 1; }; }
-done
-_ACEOF
-cat >>$CONFIG_STATUS <<\_ACEOF
-
-#
-# CONFIG_COMMANDS section.
-#
-for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
-  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
-  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
-  ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
-$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-	 X"$ac_dest" : 'X\(//\)[^/]' \| \
-	 X"$ac_dest" : 'X\(//\)$' \| \
-	 X"$ac_dest" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
-echo X"$ac_dest" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
-  { if $as_mkdir_p; then
-    mkdir -p "$ac_dir"
-  else
-    as_dir="$ac_dir"
-    as_dirs=
-    while test ! -d "$as_dir"; do
-      as_dirs="$as_dir $as_dirs"
-      as_dir=`(dirname "$as_dir") 2>/dev/null ||
-$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-	 X"$as_dir" : 'X\(//\)[^/]' \| \
-	 X"$as_dir" : 'X\(//\)$' \| \
-	 X"$as_dir" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
-echo X"$as_dir" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
-    done
-    test ! -n "$as_dirs" || mkdir $as_dirs
-  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
-echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
-   { (exit 1); exit 1; }; }; }
-
-  ac_builddir=.
-
-if test "$ac_dir" != .; then
-  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
-  # A "../" for each directory in $ac_dir_suffix.
-  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
-else
-  ac_dir_suffix= ac_top_builddir=
-fi
-
-case $srcdir in
-  .)  # No --srcdir option.  We are building in place.
-    ac_srcdir=.
-    if test -z "$ac_top_builddir"; then
-       ac_top_srcdir=.
-    else
-       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
-    fi ;;
-  [\\/]* | ?:[\\/]* )  # Absolute path.
-    ac_srcdir=$srcdir$ac_dir_suffix;
-    ac_top_srcdir=$srcdir ;;
-  *) # Relative path.
-    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
-    ac_top_srcdir=$ac_top_builddir$srcdir ;;
-esac
-
-# Do not use `cd foo && pwd` to compute absolute paths, because
-# the directories may not exist.
-case `pwd` in
-.) ac_abs_builddir="$ac_dir";;
-*)
-  case "$ac_dir" in
-  .) ac_abs_builddir=`pwd`;;
-  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
-  *) ac_abs_builddir=`pwd`/"$ac_dir";;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_top_builddir=${ac_top_builddir}.;;
-*)
-  case ${ac_top_builddir}. in
-  .) ac_abs_top_builddir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
-  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_srcdir=$ac_srcdir;;
-*)
-  case $ac_srcdir in
-  .) ac_abs_srcdir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
-  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
-  esac;;
-esac
-case $ac_abs_builddir in
-.) ac_abs_top_srcdir=$ac_top_srcdir;;
-*)
-  case $ac_top_srcdir in
-  .) ac_abs_top_srcdir=$ac_abs_builddir;;
-  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
-  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
-  esac;;
-esac
-
-
-  { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
-echo "$as_me: executing $ac_dest commands" >&6;}
-  case $ac_dest in
-    depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
+ ;;
+  :C)  { echo "$as_me:$LINENO: executing $ac_file commands" >&5
+echo "$as_me: executing $ac_file commands" >&6;}
+ ;;
+  esac
+
+
+  case $ac_file$ac_mode in
+    "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
   # Strip MF so we end up with the name of the file.
   mf=`echo "$mf" | sed -e 's/:.*$//'`
   # Check whether this is an Automake generated Makefile or not.
@@ -22361,18 +23882,29 @@
   # each Makefile.in and add a new line on top of each file to say so.
   # So let's grep whole file.
   if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
-    dirpart=`(dirname "$mf") 2>/dev/null ||
+    dirpart=`$as_dirname -- "$mf" ||
 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
 	 X"$mf" : 'X\(//\)[^/]' \| \
 	 X"$mf" : 'X\(//\)$' \| \
-	 X"$mf" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
+	 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
 echo X"$mf" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)[^/].*/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
   else
     continue
   fi
@@ -22394,53 +23926,79 @@
        sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
     # Make sure the directory exists.
     test -f "$dirpart/$file" && continue
-    fdir=`(dirname "$file") 2>/dev/null ||
+    fdir=`$as_dirname -- "$file" ||
 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
 	 X"$file" : 'X\(//\)[^/]' \| \
 	 X"$file" : 'X\(//\)$' \| \
-	 X"$file" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
+	 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
 echo X"$file" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
-    { if $as_mkdir_p; then
-    mkdir -p $dirpart/$fdir
-  else
-    as_dir=$dirpart/$fdir
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)[^/].*/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+    { as_dir=$dirpart/$fdir
+  case $as_dir in #(
+  -*) as_dir=./$as_dir;;
+  esac
+  test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
     as_dirs=
-    while test ! -d "$as_dir"; do
-      as_dirs="$as_dir $as_dirs"
-      as_dir=`(dirname "$as_dir") 2>/dev/null ||
+    while :; do
+      case $as_dir in #(
+      *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
+      *) as_qdir=$as_dir;;
+      esac
+      as_dirs="'$as_qdir' $as_dirs"
+      as_dir=`$as_dirname -- "$as_dir" ||
 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
 	 X"$as_dir" : 'X\(//\)[^/]' \| \
 	 X"$as_dir" : 'X\(//\)$' \| \
-	 X"$as_dir" : 'X\(/\)' \| \
-	 .     : '\(.\)' 2>/dev/null ||
+	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
 echo X"$as_dir" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-  	  /^X\(\/\/\)$/{ s//\1/; q; }
-  	  /^X\(\/\).*/{ s//\1/; q; }
-  	  s/.*/./; q'`
+    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)[^/].*/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\/\)$/{
+	    s//\1/
+	    q
+	  }
+	  /^X\(\/\).*/{
+	    s//\1/
+	    q
+	  }
+	  s/.*/./; q'`
+      test -d "$as_dir" && break
     done
-    test ! -n "$as_dirs" || mkdir $as_dirs
-  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
-echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
+    test -z "$as_dirs" || eval "mkdir $as_dirs"
+  } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
+echo "$as_me: error: cannot create directory $as_dir" >&2;}
    { (exit 1); exit 1; }; }; }
-
     # echo "creating $dirpart/$file"
     echo '# dummy' > "$dirpart/$file"
   done
 done
  ;;
+
   esac
-done
-_ACEOF
+done # for ac_tag
 
-cat >>$CONFIG_STATUS <<\_ACEOF
 
 { (exit 0); exit 0; }
 _ACEOF

=== modified file 'configure.in'
--- configure.in	2006-10-20 13:12:33 +0000
+++ configure.in	2008-02-06 17:25:16 +0000
@@ -8,7 +8,7 @@
 # FUNCTION:
 # implements checks for a variety of system-specific functions
 
-AC_INIT(inc/libofx.h)
+AC_INIT(inc/libofx.h.in)
 AM_CONFIG_HEADER(config.h)
 AC_CONFIG_AUX_DIR(config)
 AC_PROG_CC
@@ -18,17 +18,41 @@
 m4_include([libcurl.m4])
 
 LIBOFX_MAJOR_VERSION=0
-LIBOFX_MINOR_VERSION=8
-LIBOFX_MICRO_VERSION=2
+LIBOFX_MINOR_VERSION=9
+LIBOFX_MICRO_VERSION=0
+# this number is just incremented for every major change in CVS, also across
+# releases to emulate the Revision variable of SVN (which isn't available
+# with CVS)
+LIBOFX_BUILD_VERSION=0
+LIBOFX_TAG_VERSION="stable"
+
+case "$LIBOFX_TAG_VERSION" in
+  cvs|svn)
+     LIBOFX_VERSION_RELEASE_STRING="$LIBOFX_MAJOR_VERSION.$LIBOFX_MINOR_VERSION.$LIBOFX_MICRO_VERSION.r${LIBOFX_BUILD_VERSION}"
+     ;;
+  stable)
+     LIBOFX_VERSION_RELEASE_STRING="$LIBOFX_MAJOR_VERSION.$LIBOFX_MINOR_VERSION.$LIBOFX_MICRO_VERSION"
+     ;;
+  *)
+     LIBOFX_VERSION_RELEASE_STRING="$LIBOFX_MAJOR_VERSION.$LIBOFX_MINOR_VERSION.$LIBOFX_MICRO_VERSION"
+     
+     # add TAG
+     LIBOFX_VERSION_RELEASE_STRING="${LIBOFX_VERSION_RELEASE_STRING}${GWENHYWFAR_VERSION_TAG}"
+     ;;
+esac
+
+
 LIBOFX_VERSION=$LIBOFX_MAJOR_VERSION.$LIBOFX_MINOR_VERSION.$LIBOFX_MICRO_VERSION
 
 AC_SUBST(LIBOFX_MAJOR_VERSION)
 AC_SUBST(LIBOFX_MINOR_VERSION)
 AC_SUBST(LIBOFX_MICRO_VERSION)
+AC_SUBST(LIBOFX_BUILD_VERSION)
+AC_SUBST(LIBOFX_VERSION_RELEASE_STRING)
 AC_SUBST(LIBOFX_VERSION)
-AM_INIT_AUTOMAKE(libofx,$LIBOFX_VERSION)
+AM_INIT_AUTOMAKE(libofx,$LIBOFX_VERSION_RELEASE_STRING)
 
-LIBOFX_SO_CURRENT=3
+LIBOFX_SO_CURRENT=4
 LIBOFX_SO_REVISION=0
 LIBOFX_SO_AGE=0
 LIBOFX_SO_EFFECTIVE="`echo \$(($LIBOFX_SO_CURRENT-$LIBOFX_SO_AGE))`"
@@ -41,6 +65,8 @@
 AC_PROG_INSTALL
 
 AC_LIBTOOL_DLOPEN
+AC_LIBTOOL_WIN32_DLL
+AC_LIBTOOL_RC
 AM_PROG_LIBTOOL
 
 AC_ISC_POSIX
@@ -48,6 +74,9 @@
 AC_PROG_MAKE_SET
 AC_HEADER_STDC
 
+AQ_CHECK_OS
+
+
 AC_ARG_WITH(opensp-includes, 
 [  --with-opensp-includes=PATH     specify where to look for OpenSP includes  
                                   - default is /usr/include/OpenSP)],
@@ -72,7 +101,6 @@
     fi
 done
 
-
 ##Detect if OpenSP was compiled with SP_MULTI_BYTE, and put the result in config.h
 ##
 
@@ -273,6 +301,57 @@
 	fi
 fi
 AM_CONDITIONAL([BUILD_OFXCONNECT], [test "$build_ofxconnect" = yes])
+
+# check for iconv
+# ----------------------------------------------------------------------------
+
+AC_ARG_WITH(iconv,
+[  --with-iconv[[=DIR]]      add ICONV support (on)])
+
+WITH_ICONV=0
+if test "$with_iconv" = "no" ; then
+    echo Disabling ICONV support
+else
+    if test "$with_iconv" != "yes" -a "$with_iconv" != "" ; then
+	CPPFLAGS="${CPPFLAGS} -I$with_iconv/include"
+	# Export this since our headers include iconv.h
+	XML_INCLUDEDIR="${XML_INCLUDEDIR} -I$with_iconv/include"
+	ICONV_LIBS="-L$with_iconv/lib"
+    fi
+
+    AC_CHECK_HEADER(iconv.h,
+	AC_MSG_CHECKING(for iconv)
+	AC_TRY_LINK([#include <stdlib.h>
+#include <iconv.h>],[
+iconv_t cd = iconv_open ("","");
+iconv (cd, NULL, NULL, NULL, NULL);],[
+	    AC_MSG_RESULT(yes)
+	    WITH_ICONV=1],[
+	    AC_MSG_RESULT(no)
+	    AC_MSG_CHECKING(for iconv in -liconv)
+
+	    _ldflags="${LDFLAGS}"
+	    _libs="${LIBS}"
+	    LDFLAGS="${LDFLAGS} ${ICONV_LIBS}"
+	    LIBS="${LIBS} -liconv"
+
+	    AC_TRY_LINK([#include <stdlib.h>
+#include <iconv.h>],[
+iconv_t cd = iconv_open ("","");
+iconv (cd, NULL, NULL, NULL, NULL);],[
+		AC_MSG_RESULT(yes)
+		WITH_ICONV=1
+		ICONV_LIBS="${ICONV_LIBS} -liconv"
+		LIBS="${_libs}"
+		LDFLAGS="${_ldflags}"],[
+		AC_MSG_RESULT(no)
+		LIBS="${_libs}"
+		LDFLAGS="${_ldflags}"])]))
+fi
+AC_DEFINE_UNQUOTED(HAVE_ICONV, $WITH_ICONV, [Defined if libxml++ is available])
+
+AC_SUBST(WITH_ICONV)
+AC_SUBST(ICONV_LIBS)
 AC_SUBST(ofxconnect)
 AC_SUBST(OPENSPINCLUDES)
 AC_SUBST(OPENSPLIBS)
@@ -288,8 +367,10 @@
 AC_OUTPUT( 		
 	   		libofx.spec
 			libofx.pc
+			m4/Makefile
 			lib/Makefile
 			inc/Makefile
+			inc/libofx.h
 			dtd/Makefile
 			doc/Makefile
 			ofx2qif/Makefile

=== modified file 'doc/Makefile.in'
--- doc/Makefile.in	2006-10-20 13:12:33 +0000
+++ doc/Makefile.in	2008-02-06 17:25:16 +0000
@@ -38,7 +38,7 @@
 subdir = doc
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/libcurl.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/os.m4 $(top_srcdir)/libcurl.m4 \
 	$(top_srcdir)/configure.in
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
@@ -62,6 +62,7 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 AR = @AR@
+AS = @AS@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
@@ -80,6 +81,7 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DLLTOOL = @DLLTOOL@
 DOC_FALSE = @DOC_FALSE@
 DOC_TRUE = @DOC_TRUE@
 DOT = @DOT@
@@ -94,7 +96,10 @@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
+GREP = @GREP@
+ICONV_LIBS = @ICONV_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
+INSTALL_DLL_TARGET = @INSTALL_DLL_TARGET@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
@@ -102,6 +107,7 @@
 LIBCURL = @LIBCURL@
 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
 LIBOBJS = @LIBOBJS@
+LIBOFX_BUILD_VERSION = @LIBOFX_BUILD_VERSION@
 LIBOFX_DTD_DIR = @LIBOFX_DTD_DIR@
 LIBOFX_MAJOR_VERSION = @LIBOFX_MAJOR_VERSION@
 LIBOFX_MICRO_VERSION = @LIBOFX_MICRO_VERSION@
@@ -110,6 +116,7 @@
 LIBOFX_SO_CURRENT = @LIBOFX_SO_CURRENT@
 LIBOFX_SO_REVISION = @LIBOFX_SO_REVISION@
 LIBOFX_VERSION = @LIBOFX_VERSION@
+LIBOFX_VERSION_RELEASE_STRING = @LIBOFX_VERSION_RELEASE_STRING@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIBXMLPP_CFLAGS = @LIBXMLPP_CFLAGS@
@@ -120,11 +127,15 @@
 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
+MAKE_DLL_TARGET = @MAKE_DLL_TARGET@
 NO_GETOPTLONG_FALSE = @NO_GETOPTLONG_FALSE@
 NO_GETOPTLONG_TRUE = @NO_GETOPTLONG_TRUE@
+OBJDUMP = @OBJDUMP@
 OBJEXT = @OBJEXT@
 OPENSPINCLUDES = @OPENSPINCLUDES@
 OPENSPLIBS = @OPENSPLIBS@
+OSYSTEM = @OSYSTEM@
+OS_TYPE = @OS_TYPE@
 PACKAGE = @PACKAGE@
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
@@ -135,20 +146,19 @@
 PKG_CONFIG = @PKG_CONFIG@
 QT_CFLAGS = @QT_CFLAGS@
 RANLIB = @RANLIB@
+RC = @RC@
+SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_GENGETOPT_FALSE = @USE_GENGETOPT_FALSE@
 USE_GENGETOPT_TRUE = @USE_GENGETOPT_TRUE@
 VERSION = @VERSION@
+WITH_ICONV = @WITH_ICONV@
 _libcurl_config = @_libcurl_config@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
@@ -165,6 +175,9 @@
 build_os = @build_os@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = ${prefix}/share/doc/libofx
+dvidir = @dvidir@
 enable_dot = @enable_dot@
 enable_html_docs = @enable_html_docs@
 enable_latex_docs = @enable_latex_docs@
@@ -175,24 +188,27 @@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
 install_sh = @install_sh@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 ofxconnect = @ofxconnect@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 SUBDIRS = 
-docdir = ${prefix}/share/doc/libofx
 EXTRA_DIST = \
 	doxygen.cfg \
 	ofx_sample_files \

=== modified file 'doc/doxygen.cfg'
--- doc/doxygen.cfg	2006-10-20 13:12:33 +0000
+++ doc/doxygen.cfg	2008-02-06 17:25:16 +0000
@@ -1,4 +1,4 @@
-# Doxyfile 1.3.7
+# Doxyfile 1.5.3
 
 # This file describes the settings to be used by the documentation system
 # doxygen (www.doxygen.org) for a project
@@ -14,6 +14,14 @@
 # Project related configuration options
 #---------------------------------------------------------------------------
 
+# This tag specifies the encoding used for all characters in the config file that 
+# follow. The default is UTF-8 which is also the encoding used for all text before 
+# the first occurrence of this tag. Doxygen uses libiconv (or the iconv built into 
+# libc) for the transcoding. See http://www.gnu.org/software/libiconv for the list of 
+# possible encodings.
+
+DOXYFILE_ENCODING      = UTF-8
+
 # The PROJECT_NAME tag is a single word (or a sequence of words surrounded 
 # by quotes) that should identify the project.
 
@@ -33,11 +41,11 @@
 OUTPUT_DIRECTORY       = 
 
 # If the CREATE_SUBDIRS tag is set to YES, then doxygen will create 
-# 2 levels of 10 sub-directories under the output directory of each output 
+# 4096 sub-directories (in 2 levels) under the output directory of each output 
 # format and will distribute the generated files over these directories. 
-# Enabling this option can be useful when feeding doxygen a huge amount of source 
-# files, where putting all generated files in the same directory would otherwise 
-# cause performance problems for the file system.
+# Enabling this option can be useful when feeding doxygen a huge amount of 
+# source files, where putting all generated files in the same directory would 
+# otherwise cause performance problems for the file system.
 
 CREATE_SUBDIRS         = NO
 
@@ -45,23 +53,14 @@
 # documentation generated by doxygen is written. Doxygen will use this 
 # information to generate all constant output in the proper language. 
 # The default language is English, other supported languages are: 
-# Brazilian, Catalan, Chinese, Chinese-Traditional, Croatian, Czech, Danish, Dutch, 
-# Finnish, French, German, Greek, Hungarian, Italian, Japanese, Japanese-en 
-# (Japanese with English messages), Korean, Korean-en, Norwegian, Polish, Portuguese, 
-# Romanian, Russian, Serbian, Slovak, Slovene, Spanish, Swedish, and Ukrainian.
+# Afrikaans, Arabic, Brazilian, Catalan, Chinese, Chinese-Traditional, 
+# Croatian, Czech, Danish, Dutch, Finnish, French, German, Greek, Hungarian, 
+# Italian, Japanese, Japanese-en (Japanese with English messages), Korean, 
+# Korean-en, Lithuanian, Norwegian, Polish, Portuguese, Romanian, Russian, 
+# Serbian, Slovak, Slovene, Spanish, Swedish, and Ukrainian.
 
 OUTPUT_LANGUAGE        = English
 
-# This tag can be used to specify the encoding used in the generated output. 
-# The encoding is not always determined by the language that is chosen, 
-# but also whether or not the output is meant for Windows or non-Windows users. 
-# In case there is a difference, setting the USE_WINDOWS_ENCODING tag to YES 
-# forces the Windows encoding (this is the default for the Windows binary), 
-# whereas setting the tag to NO uses a Unix-style encoding (the default for 
-# all platforms other than Windows).
-
-USE_WINDOWS_ENCODING   = NO
-
 # If the BRIEF_MEMBER_DESC tag is set to YES (the default) Doxygen will 
 # include brief member descriptions after the members that are listed in 
 # the file and class documentation (similar to JavaDoc). 
@@ -79,11 +78,12 @@
 # This tag implements a quasi-intelligent brief description abbreviator 
 # that is used to form the text in various listings. Each string 
 # in this list, if found as the leading text of the brief description, will be 
-# stripped from the text and the result after processing the whole list, is used 
-# as the annotated text. Otherwise, the brief description is used as-is. If left 
-# blank, the following values are used ("$name" is automatically replaced with the 
-# name of the entity): "The $name class" "The $name widget" "The $name file" 
-# "is" "provides" "specifies" "contains" "represents" "a" "an" "the"
+# stripped from the text and the result after processing the whole list, is 
+# used as the annotated text. Otherwise, the brief description is used as-is. 
+# If left blank, the following values are used ("$name" is automatically 
+# replaced with the name of the entity): "The $name class" "The $name widget" 
+# "The $name file" "is" "provides" "specifies" "contains" 
+# "represents" "a" "an" "the"
 
 ABBREVIATE_BRIEF       = 
 
@@ -93,10 +93,10 @@
 
 ALWAYS_DETAILED_SEC    = NO
 
-# If the INLINE_INHERITED_MEMB tag is set to YES, doxygen will show all inherited 
-# members of a class in the documentation of that class as if those members were 
-# ordinary class members. Constructors, destructors and assignment operators of 
-# the base classes will not be shown.
+# If the INLINE_INHERITED_MEMB tag is set to YES, doxygen will show all 
+# inherited members of a class in the documentation of that class as if those 
+# members were ordinary class members. Constructors, destructors and assignment 
+# operators of the base classes will not be shown.
 
 INLINE_INHERITED_MEMB  = NO
 
@@ -133,11 +133,19 @@
 # If the JAVADOC_AUTOBRIEF tag is set to YES then Doxygen 
 # will interpret the first line (until the first dot) of a JavaDoc-style 
 # comment as the brief description. If set to NO, the JavaDoc 
-# comments will behave just like the Qt-style comments (thus requiring an 
-# explicit @brief command for a brief description.
+# comments will behave just like regular Qt-style comments 
+# (thus requiring an explicit @brief command for a brief description.)
 
 JAVADOC_AUTOBRIEF      = NO
 
+# If the QT_AUTOBRIEF tag is set to YES then Doxygen will 
+# interpret the first line (until the first dot) of a Qt-style 
+# comment as the brief description. If set to NO, the comments 
+# will behave just like regular Qt-style comments (thus requiring 
+# an explicit \brief command for a brief description.)
+
+QT_AUTOBRIEF           = NO
+
 # The MULTILINE_CPP_IS_BRIEF tag can be set to YES to make Doxygen 
 # treat a multi-line C++ special comment block (i.e. a block of //! or /// 
 # comments) as a brief description. This used to be the default behaviour. 
@@ -159,12 +167,11 @@
 
 INHERIT_DOCS           = YES
 
-# If member grouping is used in the documentation and the DISTRIBUTE_GROUP_DOC 
-# tag is set to YES, then doxygen will reuse the documentation of the first 
-# member in the group (if any) for the other members of the group. By default 
-# all members of a group must be documented explicitly.
+# If the SEPARATE_MEMBER_PAGES tag is set to YES, then doxygen will produce 
+# a new page for each member. If set to NO, the documentation of a member will 
+# be part of the file/class/namespace that contains it.
 
-DISTRIBUTE_GROUP_DOC   = NO
+SEPARATE_MEMBER_PAGES  = NO
 
 # The TAB_SIZE tag can be used to set the number of spaces in a tab. 
 # Doxygen uses this value to replace tabs by spaces in code fragments.
@@ -180,20 +187,41 @@
 
 ALIASES                = 
 
-# Set the OPTIMIZE_OUTPUT_FOR_C tag to YES if your project consists of C sources 
-# only. Doxygen will then generate output that is more tailored for C. 
+# Set the OPTIMIZE_OUTPUT_FOR_C tag to YES if your project consists of C 
+# sources only. Doxygen will then generate output that is more tailored for C. 
 # For instance, some of the names that are used will be different. The list 
 # of all members will be omitted, etc.
 
 OPTIMIZE_OUTPUT_FOR_C  = YES
 
-# Set the OPTIMIZE_OUTPUT_JAVA tag to YES if your project consists of Java sources 
-# only. Doxygen will then generate output that is more tailored for Java. 
+# Set the OPTIMIZE_OUTPUT_JAVA tag to YES if your project consists of Java 
+# sources only. Doxygen will then generate output that is more tailored for Java. 
 # For instance, namespaces will be presented as packages, qualified scopes 
 # will look different, etc.
 
 OPTIMIZE_OUTPUT_JAVA   = NO
 
+# If you use STL classes (i.e. std::string, std::vector, etc.) but do not want to 
+# include (a tag file for) the STL sources as input, then you should 
+# set this tag to YES in order to let doxygen match functions declarations and 
+# definitions whose arguments contain STL classes (e.g. func(std::string); v.s. 
+# func(std::string) {}). This also make the inheritance and collaboration 
+# diagrams that involve STL classes more complete and accurate.
+
+BUILTIN_STL_SUPPORT    = NO
+
+# If you use Microsoft's C++/CLI language, you should set this option to YES to
+# enable parsing support.
+
+CPP_CLI_SUPPORT        = NO
+
+# If member grouping is used in the documentation and the DISTRIBUTE_GROUP_DOC 
+# tag is set to YES, then doxygen will reuse the documentation of the first 
+# member in the group (if any) for the other members of the group. By default 
+# all members of a group must be documented explicitly.
+
+DISTRIBUTE_GROUP_DOC   = NO
+
 # Set the SUBGROUPING tag to YES (the default) to allow class member groups of 
 # the same type (for instance a group of public functions) to be put as a 
 # subgroup of that type (e.g. under the Public Functions section). Set it to 
@@ -236,6 +264,13 @@
 
 EXTRACT_LOCAL_METHODS  = NO
 
+# If this flag is set to YES, the members of anonymous namespaces will be extracted 
+# and appear in the documentation as a namespace called 'anonymous_namespace{file}', 
+# where file will be replaced with the base name of the file that contains the anonymous 
+# namespace. By default anonymous namespace are hidden.
+
+EXTRACT_ANON_NSPACES   = NO
+
 # If the HIDE_UNDOC_MEMBERS tag is set to YES, Doxygen will hide all 
 # undocumented members of documented classes, files or namespaces. 
 # If set to NO (the default) these members will be included in the 
@@ -276,7 +311,7 @@
 # file names in lower-case letters. If set to YES upper-case letters are also 
 # allowed. This is useful if you have classes or files whose names only differ 
 # in case and if your file system supports case sensitive file names. Windows 
-# users are advised to set this option to NO.
+# and Mac users are advised to set this option to NO.
 
 CASE_SENSE_NAMES       = YES
 
@@ -366,6 +401,22 @@
 
 SHOW_USED_FILES        = YES
 
+# If the sources in your project are distributed over multiple directories 
+# then setting the SHOW_DIRECTORIES tag to YES will show the directory hierarchy 
+# in the documentation. The default is NO.
+
+SHOW_DIRECTORIES       = NO
+
+# The FILE_VERSION_FILTER tag can be used to specify a program or script that 
+# doxygen should invoke to get the current version for each file (typically from the 
+# version control system). Doxygen will invoke the program by executing (via 
+# popen()) the command <command> <input-file>, where <command> is the value of 
+# the FILE_VERSION_FILTER tag, and <input-file> is the name of an input file 
+# provided by doxygen. Whatever the program writes to standard output 
+# is used as the file version. See the manual for examples.
+
+FILE_VERSION_FILTER    = 
+
 #---------------------------------------------------------------------------
 # configuration options related to warning and progress messages
 #---------------------------------------------------------------------------
@@ -394,10 +445,20 @@
 
 WARN_IF_DOC_ERROR      = YES
 
+# This WARN_NO_PARAMDOC option can be abled to get warnings for 
+# functions that are documented, but have no documentation for their parameters 
+# or return value. If set to NO (the default) doxygen will only warn about 
+# wrong or incomplete parameter documentation, but not about the absence of 
+# documentation.
+
+WARN_NO_PARAMDOC       = NO
+
 # The WARN_FORMAT tag determines the format of the warning messages that 
 # doxygen can produce. The string should contain the $file, $line, and $text 
 # tags, which will be replaced by the file and line number from which the 
-# warning originated and the warning text.
+# warning originated and the warning text. Optionally the format may contain 
+# $version, which will be replaced by the version of the file (if it could 
+# be obtained via FILE_VERSION_FILTER)
 
 WARN_FORMAT            = 
 
@@ -418,12 +479,19 @@
 
 INPUT                  = ../
 
+# This tag can be used to specify the character encoding of the source files that 
+# doxygen parses. Internally doxygen uses the UTF-8 encoding, which is also the default 
+# input encoding. Doxygen uses libiconv (or the iconv built into libc) for the transcoding. 
+# See http://www.gnu.org/software/libiconv for the list of possible encodings.
+
+INPUT_ENCODING         = UTF-8
+
 # If the value of the INPUT tag contains directories, you can use the 
 # FILE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp 
 # and *.h) to filter out the source-files in the directories. If left 
 # blank the following patterns are tested: 
-# *.c *.cc *.cxx *.cpp *.c++ *.java *.ii *.ixx *.ipp *.i++ *.inl *.h *.hh *.hxx *.hpp 
-# *.h++ *.idl *.odl *.cs *.php *.php3 *.inc *.m *.mm
+# *.c *.cc *.cxx *.cpp *.c++ *.java *.ii *.ixx *.ipp *.i++ *.inl *.h *.hh *.hxx 
+# *.hpp *.h++ *.idl *.odl *.cs *.php *.php3 *.inc *.m *.mm *.py
 
 FILE_PATTERNS          = 
 
@@ -439,17 +507,27 @@
 
 EXCLUDE                = 
 
-# The EXCLUDE_SYMLINKS tag can be used select whether or not files or directories 
-# that are symbolic links (a Unix filesystem feature) are excluded from the input.
+# The EXCLUDE_SYMLINKS tag can be used select whether or not files or 
+# directories that are symbolic links (a Unix filesystem feature) are excluded 
+# from the input.
 
 EXCLUDE_SYMLINKS       = NO
 
 # If the value of the INPUT tag contains directories, you can use the 
 # EXCLUDE_PATTERNS tag to specify one or more wildcard patterns to exclude 
-# certain files from those directories.
+# certain files from those directories. Note that the wildcards are matched 
+# against the file with absolute path, so to exclude all test directories 
+# for example use the pattern */test/*
 
 EXCLUDE_PATTERNS       = 
 
+# The EXCLUDE_SYMBOLS tag can be used to specify one or more symbol names 
+# (namespaces, classes, functions, etc.) that should be excluded from the output. 
+# The symbol name can be a fully qualified name, a word, or if the wildcard * is used, 
+# a substring. Examples: ANamespace, AClass, AClass::ANamespace, ANamespace::*Test
+
+EXCLUDE_SYMBOLS        = 
+
 # The EXAMPLE_PATH tag can be used to specify one or more files or 
 # directories that contain example code fragments that are included (see 
 # the \include command).
@@ -481,10 +559,20 @@
 # by executing (via popen()) the command <filter> <input-file>, where <filter> 
 # is the value of the INPUT_FILTER tag, and <input-file> is the name of an 
 # input file. Doxygen will then use the output that the filter program writes 
-# to standard output.
+# to standard output.  If FILTER_PATTERNS is specified, this tag will be 
+# ignored.
 
 INPUT_FILTER           = 
 
+# The FILTER_PATTERNS tag can be used to specify filters on a per file pattern 
+# basis.  Doxygen will compare the file name with each pattern and apply the 
+# filter if there is a match.  The filters are a list of the form: 
+# pattern=filter (like *.cpp=my_cpp_filter). See INPUT_FILTER for further 
+# info on how filters are used. If FILTER_PATTERNS is empty, INPUT_FILTER 
+# is applied to all files.
+
+FILTER_PATTERNS        = 
+
 # If the FILTER_SOURCE_FILES tag is set to YES, the input filter (if set using 
 # INPUT_FILTER) will be used to filter the input files when producing source 
 # files to browse (i.e. when SOURCE_BROWSER is set to YES).
@@ -498,7 +586,9 @@
 # If the SOURCE_BROWSER tag is set to YES then a list of source files will 
 # be generated. Documented entities will be cross-referenced with these sources. 
 # Note: To get rid of all source code in the generated output, make sure also 
-# VERBATIM_HEADERS is set to NO.
+# VERBATIM_HEADERS is set to NO. If you have enabled CALL_GRAPH or CALLER_GRAPH 
+# then you must also enable this option. If you don't then doxygen will produce 
+# a warning and turn it on anyway
 
 SOURCE_BROWSER         = YES
 
@@ -525,6 +615,21 @@
 
 REFERENCES_RELATION    = NO
 
+# If the REFERENCES_LINK_SOURCE tag is set to YES (the default)
+# and SOURCE_BROWSER tag is set to YES, then the hyperlinks from
+# functions in REFERENCES_RELATION and REFERENCED_BY_RELATION lists will
+# link to the source code.  Otherwise they will link to the documentstion.
+
+REFERENCES_LINK_SOURCE = YES
+
+# If the USE_HTAGS tag is set to YES then the references to source code 
+# will point to the HTML generated by the htags(1) tool instead of doxygen 
+# built-in source browser. The htags tool is part of GNU's global source 
+# tagging system (see http://www.gnu.org/software/global/global.html). You 
+# will need version 4.8.6 or higher.
+
+USE_HTAGS              = NO
+
 # If the VERBATIM_HEADERS tag is set to YES (the default) then Doxygen 
 # will generate a verbatim copy of the header file for each class for 
 # which an include is specified. Set to NO to disable this.
@@ -609,6 +714,14 @@
 
 GENERATE_HTMLHELP      = NO
 
+# If the HTML_DYNAMIC_SECTIONS tag is set to YES then the generated HTML 
+# documentation will contain sections that can be hidden and shown after the 
+# page has loaded. For this to work a browser that supports 
+# JavaScript and DHTML is required (for instance Mozilla 1.0+, Firefox 
+# Netscape 6.0+, Internet explorer 5.0+, Konqueror, or Safari).
+
+HTML_DYNAMIC_SECTIONS  = NO
+
 # If the GENERATE_HTMLHELP tag is set to YES, the CHM_FILE tag can 
 # be used to specify the file name of the resulting .chm file. You 
 # can add a path in front of the file if the result should not be 
@@ -911,7 +1024,7 @@
 
 # If the EXPAND_ONLY_PREDEF and MACRO_EXPANSION tags are both set to YES 
 # then the macro expansion is limited to the macros specified with the 
-# PREDEFINED and EXPAND_AS_PREDEFINED tags.
+# PREDEFINED and EXPAND_AS_DEFINED tags.
 
 EXPAND_ONLY_PREDEF     = NO
 
@@ -937,7 +1050,9 @@
 # are defined before the preprocessor is started (similar to the -D option of 
 # gcc). The argument of the tag is a list of macros of the form: name 
 # or name=definition (no spaces). If the definition and the = are 
-# omitted =1 is assumed.
+# omitted =1 is assumed. To prevent a macro definition from being 
+# undefined via #undef or recursively expanded use the := operator 
+# instead of the = operator.
 
 PREDEFINED             = 
 
@@ -951,8 +1066,8 @@
 # If the SKIP_FUNCTION_MACROS tag is set to YES (the default) then 
 # doxygen's preprocessor will remove all function-like macros that are alone 
 # on a line, have an all uppercase name, and do not end with a semicolon. Such 
-# function macros are typically used for boiler-plate code, and will confuse the 
-# parser if not removed.
+# function macros are typically used for boiler-plate code, and will confuse 
+# the parser if not removed.
 
 SKIP_FUNCTION_MACROS   = YES
 
@@ -1004,13 +1119,22 @@
 #---------------------------------------------------------------------------
 
 # If the CLASS_DIAGRAMS tag is set to YES (the default) Doxygen will 
-# generate a inheritance diagram (in HTML, RTF and LaTeX) for classes with base or 
-# super classes. Setting the tag to NO turns the diagrams off. Note that this 
-# option is superseded by the HAVE_DOT option below. This is only a fallback. It is 
-# recommended to install and use dot, since it yields more powerful graphs.
+# generate a inheritance diagram (in HTML, RTF and LaTeX) for classes with base 
+# or super classes. Setting the tag to NO turns the diagrams off. Note that 
+# this option is superseded by the HAVE_DOT option below. This is only a 
+# fallback. It is recommended to install and use dot, since it yields more 
+# powerful graphs.
 
 CLASS_DIAGRAMS         = YES
 
+# You can define message sequence charts within doxygen comments using the \msc 
+# command. Doxygen will then run the mscgen tool (see http://www.mcternan.me.uk/mscgen/) to 
+# produce the chart and insert it in the documentation. The MSCGEN_PATH tag allows you to 
+# specify the directory where the mscgen tool resides. If left empty the tool is assumed to 
+# be found in the default search path.
+
+MSCGEN_PATH            = 
+
 # If set to YES, the inheritance and collaboration graphs will hide 
 # inheritance and usage relations if the target is undocumented 
 # or is not a class.
@@ -1038,6 +1162,11 @@
 
 COLLABORATION_GRAPH    = YES
 
+# If the GROUP_GRAPHS and HAVE_DOT tags are set to YES then doxygen 
+# will generate a graph for groups, showing the direct groups dependencies
+
+GROUP_GRAPHS           = YES
+
 # If the UML_LOOK tag is set to YES doxygen will generate inheritance and 
 # collaboration diagrams in a style similar to the OMG's Unified Modeling 
 # Language.
@@ -1063,7 +1192,7 @@
 
 INCLUDED_BY_GRAPH      = YES
 
-# If the CALL_GRAPH and HAVE_DOT tags are set to YES then doxygen will 
+# If the CALL_GRAPH, SOURCE_BROWSER and HAVE_DOT tags are set to YES then doxygen will 
 # generate a call dependency graph for every global function or class method. 
 # Note that enabling this option will significantly increase the time of a run. 
 # So in most cases it will be better to enable call graphs for selected 
@@ -1071,11 +1200,26 @@
 
 CALL_GRAPH             = NO
 
+# If the CALLER_GRAPH, SOURCE_BROWSER and HAVE_DOT tags are set to YES then doxygen will 
+# generate a caller dependency graph for every global function or class method. 
+# Note that enabling this option will significantly increase the time of a run. 
+# So in most cases it will be better to enable caller graphs for selected 
+# functions only using the \callergraph command.
+
+CALLER_GRAPH           = NO
+
 # If the GRAPHICAL_HIERARCHY and HAVE_DOT tags are set to YES then doxygen 
 # will graphical hierarchy of all classes instead of a textual one.
 
 GRAPHICAL_HIERARCHY    = YES
 
+# If the DIRECTORY_GRAPH, SHOW_DIRECTORIES and HAVE_DOT tags are set to YES 
+# then doxygen will show the dependencies a directory has on other directories 
+# in a graphical way. The dependency relations are determined by the #include
+# relations between the files in the directories.
+
+DIRECTORY_GRAPH        = YES
+
 # The DOT_IMAGE_FORMAT tag can be used to set the image format of the images 
 # generated by dot. Possible values are png, jpg, or gif
 # If left blank png will be used.
@@ -1083,7 +1227,7 @@
 DOT_IMAGE_FORMAT       = png
 
 # The tag DOT_PATH can be used to specify the path where the dot tool can be 
-# found. If left blank, it is assumed the dot tool can be found on the path.
+# found. If left blank, it is assumed the dot tool can be found in the path.
 
 DOT_PATH               = 
 
@@ -1093,33 +1237,41 @@
 
 DOTFILE_DIRS           = 
 
-# The MAX_DOT_GRAPH_WIDTH tag can be used to set the maximum allowed width 
-# (in pixels) of the graphs generated by dot. If a graph becomes larger than 
-# this value, doxygen will try to truncate the graph, so that it fits within 
-# the specified constraint. Beware that most browsers cannot cope with very 
-# large images.
-
-MAX_DOT_GRAPH_WIDTH    = 1024
-
-# The MAX_DOT_GRAPH_HEIGHT tag can be used to set the maximum allows height 
-# (in pixels) of the graphs generated by dot. If a graph becomes larger than 
-# this value, doxygen will try to truncate the graph, so that it fits within 
-# the specified constraint. Beware that most browsers cannot cope with very 
-# large images.
-
-MAX_DOT_GRAPH_HEIGHT   = 1024
+# The MAX_DOT_GRAPH_MAX_NODES tag can be used to set the maximum number of 
+# nodes that will be shown in the graph. If the number of nodes in a graph 
+# becomes larger than this value, doxygen will truncate the graph, which is 
+# visualized by representing a node as a red box. Note that doxygen if the number 
+# of direct children of the root node in a graph is already larger than 
+# MAX_DOT_GRAPH_NOTES then the graph will not be shown at all. Also note 
+# that the size of a graph can be further restricted by MAX_DOT_GRAPH_DEPTH.
+
+DOT_GRAPH_MAX_NODES    = 50
 
 # The MAX_DOT_GRAPH_DEPTH tag can be used to set the maximum depth of the 
 # graphs generated by dot. A depth value of 3 means that only nodes reachable 
-# from the root by following a path via at most 3 edges will be shown. Nodes that 
-# lay further from the root node will be omitted. Note that setting this option to 
-# 1 or 2 may greatly reduce the computation time needed for large code bases. Also 
-# note that a graph may be further truncated if the graph's image dimensions are 
-# not sufficient to fit the graph (see MAX_DOT_GRAPH_WIDTH and MAX_DOT_GRAPH_HEIGHT). 
-# If 0 is used for the depth value (the default), the graph is not depth-constrained.
+# from the root by following a path via at most 3 edges will be shown. Nodes 
+# that lay further from the root node will be omitted. Note that setting this 
+# option to 1 or 2 may greatly reduce the computation time needed for large 
+# code bases. Also note that the size of a graph can be further restricted by 
+# DOT_GRAPH_MAX_NODES. Using a depth of 0 means no depth restriction.
 
 MAX_DOT_GRAPH_DEPTH    = 0
 
+# Set the DOT_TRANSPARENT tag to YES to generate images with a transparent 
+# background. This is disabled by default, which results in a white background. 
+# Warning: Depending on the platform used, enabling this option may lead to 
+# badly anti-aliased labels on the edges of a graph (i.e. they become hard to 
+# read).
+
+DOT_TRANSPARENT        = NO
+
+# Set the DOT_MULTI_TARGETS tag to YES allow dot to generate multiple output 
+# files in one run (i.e. multiple -o and -T options on the command line). This 
+# makes dot run faster, but since only newer versions of dot (>1.8.10) 
+# support this, this feature is disabled by default.
+
+DOT_MULTI_TARGETS      = NO
+
 # If the GENERATE_LEGEND tag is set to YES (the default) Doxygen will 
 # generate a legend page explaining the meaning of the various boxes and 
 # arrows in the dot generated graphs.

=== modified file 'doc/html/annotated.html'
--- doc/html/annotated.html	2006-10-20 13:12:33 +0000
+++ doc/html/annotated.html	2008-02-06 17:25:16 +0000
@@ -1,32 +1,35 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Structures</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>LibOFX Data Structures</h1>Here are the data structures with brief descriptions:<table>
+  <tr><td class="indexkey"><a class="el" href="structcmdline__parser__params.html">cmdline_parser_params</a></td><td class="indexvalue">The additional parameters to pass to parser functions </td></tr>
   <tr><td class="indexkey"><a class="el" href="structErrorMsg.html">ErrorMsg</a></td><td class="indexvalue">An abstraction of an OFX error code sent by an OFX server </td></tr>
+  <tr><td class="indexkey"><a class="el" href="structgengetopt__args__info.html">gengetopt_args_info</a></td><td class="indexvalue">Where the command line options are stored </td></tr>
   <tr><td class="indexkey"><a class="el" href="classLibofxContext.html">LibofxContext</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><a class="el" href="classNodeParser.html">NodeParser</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><a class="el" href="classOFCApplication.html">OFCApplication</a></td><td class="indexvalue">This object is driven by OpenSP as it parses the SGML from the ofx file(s) </td></tr>
   <tr><td class="indexkey"><a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a></td><td class="indexvalue">Represents a bank account or a credit card account </td></tr>
   <tr><td class="indexkey"><a class="el" href="structOfxAccountData.html">OfxAccountData</a></td><td class="indexvalue">An abstraction of an account </td></tr>
-  <tr><td class="indexkey"><a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a></td><td class="indexvalue">Information sufficient to identify an account </td></tr>
   <tr><td class="indexkey"><a class="el" href="classOfxAccountInfoRequest.html">OfxAccountInfoRequest</a></td><td class="indexvalue">An account information request </td></tr>
   <tr><td class="indexkey"><a class="el" href="classOfxAggregate.html">OfxAggregate</a></td><td class="indexvalue">A single aggregate as described in the OFX 1.02 specification </td></tr>
   <tr><td class="indexkey"><a class="el" href="classOFXApplication.html">OFXApplication</a></td><td class="indexvalue">This object is driven by OpenSP as it parses the SGML from the ofx file(s) </td></tr>
@@ -36,7 +39,7 @@
   <tr><td class="indexkey"><a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a></td><td class="indexvalue">A container to holds OFX SGML elements that LibOFX knows nothing about </td></tr>
   <tr><td class="indexkey"><a class="el" href="structOfxFiLogin.html">OfxFiLogin</a></td><td class="indexvalue">Information sufficient to log into an financial institution </td></tr>
   <tr><td class="indexkey"><a class="el" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a></td><td class="indexvalue">Information returned by the OFX Partner Server about a financial institution </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a></td><td class="indexvalue">A generic container for an OFX SGML element. Every container inherits from <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> </td></tr>
+  <tr><td class="indexkey"><a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a></td><td class="indexvalue">A generic container for an OFX SGML element. Every container inherits from <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> </td></tr>
   <tr><td class="indexkey"><a class="el" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a></td><td class="indexvalue">Represents a bank or credid card transaction </td></tr>
   <tr><td class="indexkey"><a class="el" href="classOfxMainContainer.html">OfxMainContainer</a></td><td class="indexvalue">The root container. Created by the &lt;OFX&gt; OFX element or by the export functions </td></tr>
   <tr><td class="indexkey"><a class="el" href="structOfxPayee.html">OfxPayee</a></td><td class="indexvalue"></td></tr>
@@ -56,21 +59,15 @@
   <tr><td class="indexkey"><a class="el" href="structoption.html">option</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><a class="el" href="classtree.html">tree&lt; T, tree_node_allocator &gt;</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><a class="el" href="classtree_1_1fixed__depth__iterator.html">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a></td><td class="indexvalue">Iterator which traverses only the nodes at a given depth from the root </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1fixed__depth__iterator.html">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a></td><td class="indexvalue">Iterator which traverses only the nodes at a given depth from the root </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1iterator__base.html">tree&lt; T, tree_node_allocator &gt;::iterator_base</a></td><td class="indexvalue">Base class for iterators, only pointers stored, no traversal logic </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1iterator__base.html">tree&lt; T, tree_node_allocator &gt;::iterator_base</a></td><td class="indexvalue">Base class for iterators, only pointers stored, no traversal logic </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1iterator__base__less.html">tree&lt; T, tree_node_allocator &gt;::iterator_base_less</a></td><td class="indexvalue">Comparator class for iterators (compares the actual node content, not pointer values) </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1iterator__base__less.html">tree&lt; T, tree_node_allocator &gt;::iterator_base_less</a></td><td class="indexvalue">Comparator class for iterators (compares the actual node content, not pointer values) </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1post__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a></td><td class="indexvalue">Depth-first iterator, first accessing the children, then the node itself </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1post__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a></td><td class="indexvalue">Depth-first iterator, first accessing the children, then the node itself </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1pre__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a></td><td class="indexvalue">Depth-first iterator, first accessing the node, then its children </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1pre__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a></td><td class="indexvalue">Depth-first iterator, first accessing the node, then its children </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1sibling__iterator.html">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a></td><td class="indexvalue">Iterator which traverses only the nodes which are siblings of each other </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree_1_1sibling__iterator.html">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a></td><td class="indexvalue">Iterator which traverses only the nodes which are siblings of each other </td></tr>
-  <tr><td class="indexkey"><a class="el" href="classtree__node__.html">tree_node_&lt; T &gt;</a></td><td class="indexvalue">A node in the tree, combining links to other nodes as well as the actual data </td></tr>
+  <tr><td class="indexkey"><a class="el" href="classtree_1_1iterator__base.html">tree&lt; T, tree_node_allocator &gt;::iterator_base</a></td><td class="indexvalue">Base class for iterators, only pointers stored, no traversal logic </td></tr>
+  <tr><td class="indexkey"><a class="el" href="classtree_1_1iterator__base__less.html">tree&lt; T, tree_node_allocator &gt;::iterator_base_less</a></td><td class="indexvalue">Comparator class for iterators (compares the actual node content, not pointer values) </td></tr>
+  <tr><td class="indexkey"><a class="el" href="classtree_1_1post__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a></td><td class="indexvalue">Depth-first iterator, first accessing the children, then the node itself </td></tr>
+  <tr><td class="indexkey"><a class="el" href="classtree_1_1pre__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a></td><td class="indexvalue">Depth-first iterator, first accessing the node, then its children </td></tr>
+  <tr><td class="indexkey"><a class="el" href="classtree_1_1sibling__iterator.html">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a></td><td class="indexvalue">Iterator which traverses only the nodes which are siblings of each other </td></tr>
+  <tr><td class="indexkey"><a class="el" href="classtree__node__.html">tree_node_&lt; T &gt;</a></td><td class="indexvalue">A node in the <a class="el" href="classtree.html">tree</a>, combining links to other nodes as well as the actual data </td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classLibofxContext.html'
--- doc/html/classLibofxContext.html	2006-10-20 13:12:33 +0000
+++ doc/html/classLibofxContext.html	2008-02-06 17:25:16 +0000
@@ -1,114 +1,162 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: LibofxContext Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>LibofxContext Class Reference</h1><!-- doxytag: class="LibofxContext" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 
-<p>
-
-<p>
-Definition at line <a class="el" href="context_8hh-source.html#l00022">22</a> of file <a class="el" href="context_8hh-source.html">context.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="context_8hh-source.html#l00025">25</a> of file <a class="el" href="context_8hh-source.html">context.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="28abb9b82158ca0b42bccc27b1da9edf"></a><!-- doxytag: member="LibofxContext::LibofxContext" ref="28abb9b82158ca0b42bccc27b1da9edf" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#28abb9b82158ca0b42bccc27b1da9edf">LibofxContext</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="eac15ac8f1f140020ca7737317b1eb6c"></a><!-- doxytag: member="LibofxContext::~LibofxContext" ref="eac15ac8f1f140020ca7737317b1eb6c" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#eac15ac8f1f140020ca7737317b1eb6c">~LibofxContext</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a1413e81ae62a4efd31f99e4465e4ba2"></a><!-- doxytag: member="LibofxContext::currentFileType" ref="a1413e81ae62a4efd31f99e4465e4ba2" args="() const " -->
-<a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a> () const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2346c06f0effbcb6de0296662de49780"></a><!-- doxytag: member="LibofxContext::setCurrentFileType" ref="2346c06f0effbcb6de0296662de49780" args="(LibofxFileFormat t)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">setCurrentFileType</a> (<a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> t)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="302efef8abcde0b6f1a76fa1f62ae828"></a><!-- doxytag: member="LibofxContext::statementCallback" ref="302efef8abcde0b6f1a76fa1f62ae828" args="(const struct OfxStatementData data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#302efef8abcde0b6f1a76fa1f62ae828">statementCallback</a> (const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="acdfbe18123b9ceff1c9fe425196bc9e"></a><!-- doxytag: member="LibofxContext::accountCallback" ref="acdfbe18123b9ceff1c9fe425196bc9e" args="(const struct OfxAccountData data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#acdfbe18123b9ceff1c9fe425196bc9e">accountCallback</a> (const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ceb3a8c832fdd024f34d0e2e19fb12e7"></a><!-- doxytag: member="LibofxContext::transactionCallback" ref="ceb3a8c832fdd024f34d0e2e19fb12e7" args="(const struct OfxTransactionData data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#ceb3a8c832fdd024f34d0e2e19fb12e7">transactionCallback</a> (const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a540fb9a3910bca4671b4cc6d248888f"></a><!-- doxytag: member="LibofxContext::securityCallback" ref="a540fb9a3910bca4671b4cc6d248888f" args="(const struct OfxSecurityData data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#a540fb9a3910bca4671b4cc6d248888f">securityCallback</a> (const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f2c0a10b25d27f5bcb36dc259d91a69f"></a><!-- doxytag: member="LibofxContext::statusCallback" ref="f2c0a10b25d27f5bcb36dc259d91a69f" args="(const struct OfxStatusData data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#f2c0a10b25d27f5bcb36dc259d91a69f">statusCallback</a> (const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="573c4d84e50efad5a3a2e67a65f63603"></a><!-- doxytag: member="LibofxContext::setStatusCallback" ref="573c4d84e50efad5a3a2e67a65f63603" args="(LibofxProcStatusCallback cb, void *user_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#573c4d84e50efad5a3a2e67a65f63603">setStatusCallback</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d5a7eca14f0c674369c23c6d99891b45"></a><!-- doxytag: member="LibofxContext::setAccountCallback" ref="d5a7eca14f0c674369c23c6d99891b45" args="(LibofxProcAccountCallback cb, void *user_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#d5a7eca14f0c674369c23c6d99891b45">setAccountCallback</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="24264bc6e3bf0e72c1bd724ec49ecf36"></a><!-- doxytag: member="LibofxContext::setSecurityCallback" ref="24264bc6e3bf0e72c1bd724ec49ecf36" args="(LibofxProcSecurityCallback cb, void *user_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#24264bc6e3bf0e72c1bd724ec49ecf36">setSecurityCallback</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="47596f40547ac590dc02de0ecf37a09f"></a><!-- doxytag: member="LibofxContext::setTransactionCallback" ref="47596f40547ac590dc02de0ecf37a09f" args="(LibofxProcTransactionCallback cb, void *user_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#47596f40547ac590dc02de0ecf37a09f">setTransactionCallback</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b205f609b1e459b381aacdbbf5555c5f"></a><!-- doxytag: member="LibofxContext::setStatementCallback" ref="b205f609b1e459b381aacdbbf5555c5f" args="(LibofxProcStatementCallback cb, void *user_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#b205f609b1e459b381aacdbbf5555c5f">setStatementCallback</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a1413e81ae62a4efd31f99e4465e4ba2"></a><!-- doxytag: member="LibofxContext::currentFileType" ref="a1413e81ae62a4efd31f99e4465e4ba2" args="() const " -->
-<a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>currentFileType</b> () const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2346c06f0effbcb6de0296662de49780"></a><!-- doxytag: member="LibofxContext::setCurrentFileType" ref="2346c06f0effbcb6de0296662de49780" args="(LibofxFileFormat t)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setCurrentFileType</b> (<a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> t)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="302efef8abcde0b6f1a76fa1f62ae828"></a><!-- doxytag: member="LibofxContext::statementCallback" ref="302efef8abcde0b6f1a76fa1f62ae828" args="(const struct OfxStatementData data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>statementCallback</b> (const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="acdfbe18123b9ceff1c9fe425196bc9e"></a><!-- doxytag: member="LibofxContext::accountCallback" ref="acdfbe18123b9ceff1c9fe425196bc9e" args="(const struct OfxAccountData data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>accountCallback</b> (const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ceb3a8c832fdd024f34d0e2e19fb12e7"></a><!-- doxytag: member="LibofxContext::transactionCallback" ref="ceb3a8c832fdd024f34d0e2e19fb12e7" args="(const struct OfxTransactionData data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>transactionCallback</b> (const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a540fb9a3910bca4671b4cc6d248888f"></a><!-- doxytag: member="LibofxContext::securityCallback" ref="a540fb9a3910bca4671b4cc6d248888f" args="(const struct OfxSecurityData data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>securityCallback</b> (const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f2c0a10b25d27f5bcb36dc259d91a69f"></a><!-- doxytag: member="LibofxContext::statusCallback" ref="f2c0a10b25d27f5bcb36dc259d91a69f" args="(const struct OfxStatusData data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>statusCallback</b> (const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="573c4d84e50efad5a3a2e67a65f63603"></a><!-- doxytag: member="LibofxContext::setStatusCallback" ref="573c4d84e50efad5a3a2e67a65f63603" args="(LibofxProcStatusCallback cb, void *user_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setStatusCallback</b> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d5a7eca14f0c674369c23c6d99891b45"></a><!-- doxytag: member="LibofxContext::setAccountCallback" ref="d5a7eca14f0c674369c23c6d99891b45" args="(LibofxProcAccountCallback cb, void *user_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setAccountCallback</b> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="24264bc6e3bf0e72c1bd724ec49ecf36"></a><!-- doxytag: member="LibofxContext::setSecurityCallback" ref="24264bc6e3bf0e72c1bd724ec49ecf36" args="(LibofxProcSecurityCallback cb, void *user_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setSecurityCallback</b> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="47596f40547ac590dc02de0ecf37a09f"></a><!-- doxytag: member="LibofxContext::setTransactionCallback" ref="47596f40547ac590dc02de0ecf37a09f" args="(LibofxProcTransactionCallback cb, void *user_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setTransactionCallback</b> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b205f609b1e459b381aacdbbf5555c5f"></a><!-- doxytag: member="LibofxContext::setStatementCallback" ref="b205f609b1e459b381aacdbbf5555c5f" args="(LibofxProcStatementCallback cb, void *user_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setStatementCallback</b> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb, void *user_data)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7cb5338d000d5e9d31225878b639250b"></a><!-- doxytag: member="LibofxContext::LibofxContext" ref="7cb5338d000d5e9d31225878b639250b" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="08c06eedebc157876ff10c76570836e3"></a><!-- doxytag: member="LibofxContext::~LibofxContext" ref="08c06eedebc157876ff10c76570836e3" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#08c06eedebc157876ff10c76570836e3">~LibofxContext</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bce0e8268dfd2bf42c795cef81367388"></a><!-- doxytag: member="LibofxContext::currentFileType" ref="bce0e8268dfd2bf42c795cef81367388" args="() const " -->
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4d2c3cd388505cb022910f1a90add712"></a><!-- doxytag: member="LibofxContext::setCurrentFileType" ref="4d2c3cd388505cb022910f1a90add712" args="(LibofxFileFormat t)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">setCurrentFileType</a> (<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> t)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6dae6a246107b895953e071896891cca"></a><!-- doxytag: member="LibofxContext::dtdDir" ref="6dae6a246107b895953e071896891cca" args="() const " -->
+const std::string &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#6dae6a246107b895953e071896891cca">dtdDir</a> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4980d93a2eaadae7c6ff2cff26be003d"></a><!-- doxytag: member="LibofxContext::setDtdDir" ref="4980d93a2eaadae7c6ff2cff26be003d" args="(const std::string &amp;s)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#4980d93a2eaadae7c6ff2cff26be003d">setDtdDir</a> (const std::string &amp;s)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c89155697361ad0aa8aff5da19370709"></a><!-- doxytag: member="LibofxContext::statementCallback" ref="c89155697361ad0aa8aff5da19370709" args="(const struct OfxStatementData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">statementCallback</a> (const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ff6d360f9413f4bd463e101502201c5a"></a><!-- doxytag: member="LibofxContext::accountCallback" ref="ff6d360f9413f4bd463e101502201c5a" args="(const struct OfxAccountData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">accountCallback</a> (const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9a74ef2ba7748db76b993dee07b7f47c"></a><!-- doxytag: member="LibofxContext::transactionCallback" ref="9a74ef2ba7748db76b993dee07b7f47c" args="(const struct OfxTransactionData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">transactionCallback</a> (const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7475e62f44e4e9351f193697956d88cd"></a><!-- doxytag: member="LibofxContext::securityCallback" ref="7475e62f44e4e9351f193697956d88cd" args="(const struct OfxSecurityData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">securityCallback</a> (const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="97356a19c06c5609a9dc228286493db3"></a><!-- doxytag: member="LibofxContext::statusCallback" ref="97356a19c06c5609a9dc228286493db3" args="(const struct OfxStatusData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">statusCallback</a> (const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c9a366e3bc8db89ef721e1e2ef57a8d6"></a><!-- doxytag: member="LibofxContext::setStatusCallback" ref="c9a366e3bc8db89ef721e1e2ef57a8d6" args="(LibofxProcStatusCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#c9a366e3bc8db89ef721e1e2ef57a8d6">setStatusCallback</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b02f2c152eb2639e3b02dcbd919036b8"></a><!-- doxytag: member="LibofxContext::setAccountCallback" ref="b02f2c152eb2639e3b02dcbd919036b8" args="(LibofxProcAccountCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#b02f2c152eb2639e3b02dcbd919036b8">setAccountCallback</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d3ab77c33566ca7227613e1fbb36ea1b"></a><!-- doxytag: member="LibofxContext::setSecurityCallback" ref="d3ab77c33566ca7227613e1fbb36ea1b" args="(LibofxProcSecurityCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#d3ab77c33566ca7227613e1fbb36ea1b">setSecurityCallback</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d5575fed475d9a755d71ff1f90d7ea98"></a><!-- doxytag: member="LibofxContext::setTransactionCallback" ref="d5575fed475d9a755d71ff1f90d7ea98" args="(LibofxProcTransactionCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#d5575fed475d9a755d71ff1f90d7ea98">setTransactionCallback</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8a1337b72f678900606b924806603855"></a><!-- doxytag: member="LibofxContext::setStatementCallback" ref="8a1337b72f678900606b924806603855" args="(LibofxProcStatementCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#8a1337b72f678900606b924806603855">setStatementCallback</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bce0e8268dfd2bf42c795cef81367388"></a><!-- doxytag: member="LibofxContext::currentFileType" ref="bce0e8268dfd2bf42c795cef81367388" args="() const " -->
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>currentFileType</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4d2c3cd388505cb022910f1a90add712"></a><!-- doxytag: member="LibofxContext::setCurrentFileType" ref="4d2c3cd388505cb022910f1a90add712" args="(LibofxFileFormat t)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setCurrentFileType</b> (<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> t)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c89155697361ad0aa8aff5da19370709"></a><!-- doxytag: member="LibofxContext::statementCallback" ref="c89155697361ad0aa8aff5da19370709" args="(const struct OfxStatementData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>statementCallback</b> (const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ff6d360f9413f4bd463e101502201c5a"></a><!-- doxytag: member="LibofxContext::accountCallback" ref="ff6d360f9413f4bd463e101502201c5a" args="(const struct OfxAccountData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>accountCallback</b> (const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9a74ef2ba7748db76b993dee07b7f47c"></a><!-- doxytag: member="LibofxContext::transactionCallback" ref="9a74ef2ba7748db76b993dee07b7f47c" args="(const struct OfxTransactionData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>transactionCallback</b> (const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7475e62f44e4e9351f193697956d88cd"></a><!-- doxytag: member="LibofxContext::securityCallback" ref="7475e62f44e4e9351f193697956d88cd" args="(const struct OfxSecurityData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>securityCallback</b> (const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="97356a19c06c5609a9dc228286493db3"></a><!-- doxytag: member="LibofxContext::statusCallback" ref="97356a19c06c5609a9dc228286493db3" args="(const struct OfxStatusData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>statusCallback</b> (const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c9a366e3bc8db89ef721e1e2ef57a8d6"></a><!-- doxytag: member="LibofxContext::setStatusCallback" ref="c9a366e3bc8db89ef721e1e2ef57a8d6" args="(LibofxProcStatusCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setStatusCallback</b> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b02f2c152eb2639e3b02dcbd919036b8"></a><!-- doxytag: member="LibofxContext::setAccountCallback" ref="b02f2c152eb2639e3b02dcbd919036b8" args="(LibofxProcAccountCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setAccountCallback</b> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d3ab77c33566ca7227613e1fbb36ea1b"></a><!-- doxytag: member="LibofxContext::setSecurityCallback" ref="d3ab77c33566ca7227613e1fbb36ea1b" args="(LibofxProcSecurityCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setSecurityCallback</b> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d5575fed475d9a755d71ff1f90d7ea98"></a><!-- doxytag: member="LibofxContext::setTransactionCallback" ref="d5575fed475d9a755d71ff1f90d7ea98" args="(LibofxProcTransactionCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setTransactionCallback</b> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8a1337b72f678900606b924806603855"></a><!-- doxytag: member="LibofxContext::setStatementCallback" ref="8a1337b72f678900606b924806603855" args="(LibofxProcStatementCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setStatementCallback</b> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bce0e8268dfd2bf42c795cef81367388"></a><!-- doxytag: member="LibofxContext::currentFileType" ref="bce0e8268dfd2bf42c795cef81367388" args="() const " -->
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>currentFileType</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4d2c3cd388505cb022910f1a90add712"></a><!-- doxytag: member="LibofxContext::setCurrentFileType" ref="4d2c3cd388505cb022910f1a90add712" args="(LibofxFileFormat t)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setCurrentFileType</b> (<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> t)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6dae6a246107b895953e071896891cca"></a><!-- doxytag: member="LibofxContext::dtdDir" ref="6dae6a246107b895953e071896891cca" args="() const " -->
+const std::string &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#6dae6a246107b895953e071896891cca">dtdDir</a> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4980d93a2eaadae7c6ff2cff26be003d"></a><!-- doxytag: member="LibofxContext::setDtdDir" ref="4980d93a2eaadae7c6ff2cff26be003d" args="(const std::string &amp;s)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLibofxContext.html#4980d93a2eaadae7c6ff2cff26be003d">setDtdDir</a> (const std::string &amp;s)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c89155697361ad0aa8aff5da19370709"></a><!-- doxytag: member="LibofxContext::statementCallback" ref="c89155697361ad0aa8aff5da19370709" args="(const struct OfxStatementData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>statementCallback</b> (const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ff6d360f9413f4bd463e101502201c5a"></a><!-- doxytag: member="LibofxContext::accountCallback" ref="ff6d360f9413f4bd463e101502201c5a" args="(const struct OfxAccountData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>accountCallback</b> (const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9a74ef2ba7748db76b993dee07b7f47c"></a><!-- doxytag: member="LibofxContext::transactionCallback" ref="9a74ef2ba7748db76b993dee07b7f47c" args="(const struct OfxTransactionData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>transactionCallback</b> (const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7475e62f44e4e9351f193697956d88cd"></a><!-- doxytag: member="LibofxContext::securityCallback" ref="7475e62f44e4e9351f193697956d88cd" args="(const struct OfxSecurityData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>securityCallback</b> (const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="97356a19c06c5609a9dc228286493db3"></a><!-- doxytag: member="LibofxContext::statusCallback" ref="97356a19c06c5609a9dc228286493db3" args="(const struct OfxStatusData data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>statusCallback</b> (const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c9a366e3bc8db89ef721e1e2ef57a8d6"></a><!-- doxytag: member="LibofxContext::setStatusCallback" ref="c9a366e3bc8db89ef721e1e2ef57a8d6" args="(LibofxProcStatusCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setStatusCallback</b> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b02f2c152eb2639e3b02dcbd919036b8"></a><!-- doxytag: member="LibofxContext::setAccountCallback" ref="b02f2c152eb2639e3b02dcbd919036b8" args="(LibofxProcAccountCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setAccountCallback</b> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d3ab77c33566ca7227613e1fbb36ea1b"></a><!-- doxytag: member="LibofxContext::setSecurityCallback" ref="d3ab77c33566ca7227613e1fbb36ea1b" args="(LibofxProcSecurityCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setSecurityCallback</b> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d5575fed475d9a755d71ff1f90d7ea98"></a><!-- doxytag: member="LibofxContext::setTransactionCallback" ref="d5575fed475d9a755d71ff1f90d7ea98" args="(LibofxProcTransactionCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setTransactionCallback</b> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8a1337b72f678900606b924806603855"></a><!-- doxytag: member="LibofxContext::setStatementCallback" ref="8a1337b72f678900606b924806603855" args="(LibofxProcStatementCallback cb, void *user_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>setStatementCallback</b> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a> cb, void *user_data)</td></tr>
 
 </table>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="context_8hh-source.html">context.hh</a><li><a class="el" href="fx-0_88_82_2lib_2context_8hh-source.html">fx-0.8.2/lib/context.hh</a><li><a class="el" href="context_8cpp-source.html">context.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2context_8cpp-source.html">fx-0.8.2/lib/context.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<li><a class="el" href="context_8hh-source.html">context.hh</a><li><a class="el" href="fx-0_88_82_2lib_2context_8hh-source.html">fx-0.8.2/lib/context.hh</a><li><a class="el" href="fx-0_89_80_2lib_2context_8hh-source.html">fx-0.9.0/lib/context.hh</a><li><a class="el" href="context_8cpp-source.html">context.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2context_8cpp-source.html">fx-0.8.2/lib/context.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2context_8cpp-source.html">fx-0.9.0/lib/context.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classNodeParser.html'
--- doc/html/classNodeParser.html	2006-10-20 13:12:33 +0000
+++ doc/html/classNodeParser.html	2008-02-06 17:25:16 +0000
@@ -1,61 +1,62 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: NodeParser Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>NodeParser Class Reference</h1><!-- doxytag: class="NodeParser" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 
-<p>
-
-<p>
-Definition at line <a class="el" href="nodeparser_8h-source.html#l00027">27</a> of file <a class="el" href="nodeparser_8h-source.html">nodeparser.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="nodeparser_8h-source.html#l00027">27</a> of file <a class="el" href="nodeparser_8h-source.html">nodeparser.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c2a3020604da451d9ab28ee730933ca8"></a><!-- doxytag: member="NodeParser::NodeParser" ref="c2a3020604da451d9ab28ee730933ca8" args="(void)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#c2a3020604da451d9ab28ee730933ca8">NodeParser</a> (void)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9002bf36ebee3acddd00a5b878a00351"></a><!-- doxytag: member="NodeParser::NodeParser" ref="9002bf36ebee3acddd00a5b878a00351" args="(const xmlpp::Node::NodeList &amp;)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#9002bf36ebee3acddd00a5b878a00351">NodeParser</a> (const xmlpp::Node::NodeList &amp;)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="20beda2ab40428db0666603833eedfd2"></a><!-- doxytag: member="NodeParser::NodeParser" ref="20beda2ab40428db0666603833eedfd2" args="(const xmlpp::Node *)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#20beda2ab40428db0666603833eedfd2">NodeParser</a> (const xmlpp::Node *)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="893f3c87161c086fa60e04bceac036bc"></a><!-- doxytag: member="NodeParser::NodeParser" ref="893f3c87161c086fa60e04bceac036bc" args="(const xmlpp::DomParser &amp;)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#893f3c87161c086fa60e04bceac036bc">NodeParser</a> (const xmlpp::DomParser &amp;)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7b21653074d8838b0d194295eda439f7"></a><!-- doxytag: member="NodeParser::Path" ref="7b21653074d8838b0d194295eda439f7" args="(const std::string &amp;path) const " -->
-<a class="el" href="classNodeParser.html">NodeParser</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a> (const std::string &amp;path) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="46a4cac3739e6f65538054a36eaed9ab"></a><!-- doxytag: member="NodeParser::Select" ref="46a4cac3739e6f65538054a36eaed9ab" args="(const std::string &amp;key, const std::string &amp;value) const " -->
-<a class="el" href="classNodeParser.html">NodeParser</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#46a4cac3739e6f65538054a36eaed9ab">Select</a> (const std::string &amp;key, const std::string &amp;value) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fcdf24d4a039ad6b31d3e91686ed015a"></a><!-- doxytag: member="NodeParser::Text" ref="fcdf24d4a039ad6b31d3e91686ed015a" args="(void) const " -->
-std::vector&lt; std::string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">Text</a> (void) const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="547f49fdbfc9dc7a077459b2ba516329"></a><!-- doxytag: member="NodeParser::NodeParser" ref="547f49fdbfc9dc7a077459b2ba516329" args="(void)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#547f49fdbfc9dc7a077459b2ba516329">NodeParser</a> (void)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="27485b1323433cd1f008fba38150cc89"></a><!-- doxytag: member="NodeParser::NodeParser" ref="27485b1323433cd1f008fba38150cc89" args="(const xmlpp::Node::NodeList &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#27485b1323433cd1f008fba38150cc89">NodeParser</a> (const xmlpp::Node::NodeList &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1e7806e95140ee7decf7785ed990d179"></a><!-- doxytag: member="NodeParser::NodeParser" ref="1e7806e95140ee7decf7785ed990d179" args="(const xmlpp::Node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#1e7806e95140ee7decf7785ed990d179">NodeParser</a> (const xmlpp::Node *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b7eb13cd7741bca26d493632149e65c8"></a><!-- doxytag: member="NodeParser::NodeParser" ref="b7eb13cd7741bca26d493632149e65c8" args="(const xmlpp::DomParser &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#b7eb13cd7741bca26d493632149e65c8">NodeParser</a> (const xmlpp::DomParser &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="899d065f6bbb6bf7ef14be3ffeb5bb6e"></a><!-- doxytag: member="NodeParser::Path" ref="899d065f6bbb6bf7ef14be3ffeb5bb6e" args="(const std::string &amp;path) const " -->
+<a class="el" href="classNodeParser.html">NodeParser</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a> (const std::string &amp;path) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a94fa78e9dbb1495dbbb894bd712f6c0"></a><!-- doxytag: member="NodeParser::Select" ref="a94fa78e9dbb1495dbbb894bd712f6c0" args="(const std::string &amp;key, const std::string &amp;value) const " -->
+<a class="el" href="classNodeParser.html">NodeParser</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#a94fa78e9dbb1495dbbb894bd712f6c0">Select</a> (const std::string &amp;key, const std::string &amp;value) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d440a4c00af75a6e0ad0a932d78add39"></a><!-- doxytag: member="NodeParser::Text" ref="d440a4c00af75a6e0ad0a932d78add39" args="(void) const " -->
+std::vector<br>
+&lt; std::string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">Text</a> (void) const </td></tr>
 
 <tr><td colspan="2"><br><h2>Static Protected Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="22c2d39370bac30cc4dbbae93116f6a7"></a><!-- doxytag: member="NodeParser::Path" ref="22c2d39370bac30cc4dbbae93116f6a7" args="(const xmlpp::Node *node, const std::string &amp;path)" -->
-static <a class="el" href="classNodeParser.html">NodeParser</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#22c2d39370bac30cc4dbbae93116f6a7">Path</a> (const xmlpp::Node *node, const std::string &amp;path)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ab69e8a0f74bdef4ea854b129274f618"></a><!-- doxytag: member="NodeParser::Path" ref="ab69e8a0f74bdef4ea854b129274f618" args="(const xmlpp::Node *node, const std::string &amp;path)" -->
+static <a class="el" href="classNodeParser.html">NodeParser</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html#ab69e8a0f74bdef4ea854b129274f618">Path</a> (const xmlpp::Node *node, const std::string &amp;path)</td></tr>
 
 </table>
 <hr>The documentation for this class was generated from the following files:<ul>
 <li><a class="el" href="nodeparser_8h-source.html">nodeparser.h</a><li><a class="el" href="nodeparser_8cpp-source.html">nodeparser.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOFCApplication.html'
--- doc/html/classOFCApplication.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOFCApplication.html	2008-02-06 17:25:16 +0000
@@ -1,393 +1,451 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OFCApplication Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OFCApplication Class Reference</h1><!-- doxytag: class="OFCApplication" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 This object is driven by OpenSP as it parses the SGML from the ofx file(s). 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00044">44</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00044">44</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="39738e0a8d50ff17e33655c959594d83"></a><!-- doxytag: member="OFCApplication::OFCApplication" ref="39738e0a8d50ff17e33655c959594d83" args="(LibofxContext *p_libofx_context)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#39738e0a8d50ff17e33655c959594d83">OFCApplication</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#18809e20feba29f025168077e1e8d0b8">startElement</a> (const StartElementEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Start of an OFX element.  <a href="#18809e20feba29f025168077e1e8d0b8"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#7682bf9a0e592eba3219e1b51fc26936">endElement</a> (const EndElementEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: End of an OFX element.  <a href="#7682bf9a0e592eba3219e1b51fc26936"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">data</a> (const DataEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Data from an OFX element.  <a href="#9d316f2b81921fa9661666523310ebc9"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#97dd26803339b3066d6f08215c9ec2f0">error</a> (const ErrorEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: SGML parse error.  <a href="#97dd26803339b3066d6f08215c9ec2f0"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#867567a68eeb21a294a1791436ee77d6">openEntityChange</a> (const OpenEntityPtr &amp;para_entity_ptr)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Receive internal OpenSP state.  <a href="#867567a68eeb21a294a1791436ee77d6"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="39738e0a8d50ff17e33655c959594d83"></a><!-- doxytag: member="OFCApplication::OFCApplication" ref="39738e0a8d50ff17e33655c959594d83" args="(LibofxContext *p_libofx_context)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#39738e0a8d50ff17e33655c959594d83">OFCApplication</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#18809e20feba29f025168077e1e8d0b8">startElement</a> (const StartElementEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Start of an OFX element.  <a href="#18809e20feba29f025168077e1e8d0b8"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#7682bf9a0e592eba3219e1b51fc26936">endElement</a> (const EndElementEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: End of an OFX element.  <a href="#7682bf9a0e592eba3219e1b51fc26936"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">data</a> (const DataEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Data from an OFX element.  <a href="#9d316f2b81921fa9661666523310ebc9"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#97dd26803339b3066d6f08215c9ec2f0">error</a> (const ErrorEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: SGML parse error.  <a href="#97dd26803339b3066d6f08215c9ec2f0"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#867567a68eeb21a294a1791436ee77d6">openEntityChange</a> (const OpenEntityPtr &amp;para_entity_ptr)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Receive internal OpenSP state.  <a href="#867567a68eeb21a294a1791436ee77d6"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6427b00e075e4b9b95180e76fb1d55f9"></a><!-- doxytag: member="OFCApplication::OFCApplication" ref="6427b00e075e4b9b95180e76fb1d55f9" args="(LibofxContext *p_libofx_context)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">OFCApplication</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05">startElement</a> (const StartElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Start of an OFX element.  <a href="#f41018e7c903435df28ecb797fad7f05"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">endElement</a> (const EndElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: End of an OFX element.  <a href="#5236b08f9e8f2db3c47346089b09f97f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">data</a> (const DataEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Data from an OFX element.  <a href="#b7377bdd933c0809621c9401c4bb7faf"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3">error</a> (const ErrorEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: SGML parse error.  <a href="#f0066a700819223be70fedc901c9e6e3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">openEntityChange</a> (const OpenEntityPtr &amp;para_entity_ptr)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Receive internal OpenSP state.  <a href="#26eddc55614d7796fb07c5edd4a86d5c"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6427b00e075e4b9b95180e76fb1d55f9"></a><!-- doxytag: member="OFCApplication::OFCApplication" ref="6427b00e075e4b9b95180e76fb1d55f9" args="(LibofxContext *p_libofx_context)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">OFCApplication</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05">startElement</a> (const StartElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Start of an OFX element.  <a href="#f41018e7c903435df28ecb797fad7f05"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">endElement</a> (const EndElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: End of an OFX element.  <a href="#5236b08f9e8f2db3c47346089b09f97f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">data</a> (const DataEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Data from an OFX element.  <a href="#b7377bdd933c0809621c9401c4bb7faf"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3">error</a> (const ErrorEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: SGML parse error.  <a href="#f0066a700819223be70fedc901c9e6e3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">openEntityChange</a> (const OpenEntityPtr &amp;para_entity_ptr)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Receive internal OpenSP state.  <a href="#26eddc55614d7796fb07c5edd4a86d5c"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6427b00e075e4b9b95180e76fb1d55f9"></a><!-- doxytag: member="OFCApplication::OFCApplication" ref="6427b00e075e4b9b95180e76fb1d55f9" args="(LibofxContext *p_libofx_context)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">OFCApplication</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05">startElement</a> (const StartElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Start of an OFX element.  <a href="#f41018e7c903435df28ecb797fad7f05"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">endElement</a> (const EndElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: End of an OFX element.  <a href="#5236b08f9e8f2db3c47346089b09f97f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">data</a> (const DataEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Data from an OFX element.  <a href="#b7377bdd933c0809621c9401c4bb7faf"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3">error</a> (const ErrorEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: SGML parse error.  <a href="#f0066a700819223be70fedc901c9e6e3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">openEntityChange</a> (const OpenEntityPtr &amp;para_entity_ptr)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Receive internal OpenSP state.  <a href="#26eddc55614d7796fb07c5edd4a86d5c"></a><br></td></tr>
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="9d316f2b81921fa9661666523310ebc9"></a><!-- doxytag: member="OFCApplication::data" ref="9d316f2b81921fa9661666523310ebc9" args="(const DataEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFCApplication::data           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const DataEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Data from an OFX element. 
-<p>
-An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00276">276</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="9d316f2b81921fa9661666523310ebc9"></a><!-- doxytag: member="OFCApplication::data" ref="9d316f2b81921fa9661666523310ebc9" args="(const DataEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFCApplication::data           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const DataEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Data from an OFX element. 
-<p>
-An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data. 
-<p>
-Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00276">276</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="7682bf9a0e592eba3219e1b51fc26936"></a><!-- doxytag: member="OFCApplication::endElement" ref="7682bf9a0e592eba3219e1b51fc26936" args="(const EndElementEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFCApplication::endElement           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const EndElementEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: End of an OFX element. 
-<p>
-An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00204">204</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="7682bf9a0e592eba3219e1b51fc26936"></a><!-- doxytag: member="OFCApplication::endElement" ref="7682bf9a0e592eba3219e1b51fc26936" args="(const EndElementEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFCApplication::endElement           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const EndElementEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: End of an OFX element. 
-<p>
-An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file. 
-<p>
-Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00204">204</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="97dd26803339b3066d6f08215c9ec2f0"></a><!-- doxytag: member="OFCApplication::error" ref="97dd26803339b3066d6f08215c9ec2f0" args="(const ErrorEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFCApplication::error           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const ErrorEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: SGML parse error. 
-<p>
-An OpenSP callback, get's called when a parser error has occured. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00288">288</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="97dd26803339b3066d6f08215c9ec2f0"></a><!-- doxytag: member="OFCApplication::error" ref="97dd26803339b3066d6f08215c9ec2f0" args="(const ErrorEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFCApplication::error           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const ErrorEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: SGML parse error. 
-<p>
-An OpenSP callback, get's called when a parser error has occured. 
-<p>
-Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00288">288</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="867567a68eeb21a294a1791436ee77d6"></a><!-- doxytag: member="OFCApplication::openEntityChange" ref="867567a68eeb21a294a1791436ee77d6" args="(const OpenEntityPtr &amp;para_entity_ptr)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFCApplication::openEntityChange           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const OpenEntityPtr &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>para_entity_ptr</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Receive internal OpenSP state. 
-<p>
-An Internal OpenSP callback, used to be able to generate line number. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00332">332</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="867567a68eeb21a294a1791436ee77d6"></a><!-- doxytag: member="OFCApplication::openEntityChange" ref="867567a68eeb21a294a1791436ee77d6" args="(const OpenEntityPtr &amp;para_entity_ptr)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFCApplication::openEntityChange           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const OpenEntityPtr &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>para_entity_ptr</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Receive internal OpenSP state. 
-<p>
-An Internal OpenSP callback, used to be able to generate line number. 
-<p>
-Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00332">332</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="18809e20feba29f025168077e1e8d0b8"></a><!-- doxytag: member="OFCApplication::startElement" ref="18809e20feba29f025168077e1e8d0b8" args="(const StartElementEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFCApplication::startElement           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const StartElementEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Start of an OFX element. 
-<p>
-An OpenSP callback, get's called when the opening tag of an OFX element appears in the file 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00064">64</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="18809e20feba29f025168077e1e8d0b8"></a><!-- doxytag: member="OFCApplication::startElement" ref="18809e20feba29f025168077e1e8d0b8" args="(const StartElementEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFCApplication::startElement           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const StartElementEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Start of an OFX element. 
-<p>
-An OpenSP callback, get's called when the opening tag of an OFX element appears in the file 
-<p>
-Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00064">64</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="f41018e7c903435df28ecb797fad7f05"></a><!-- doxytag: member="OFCApplication::startElement" ref="f41018e7c903435df28ecb797fad7f05" args="(const StartElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::startElement           </td>
+          <td>(</td>
+          <td class="paramtype">const StartElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Start of an OFX element. 
+<p>
+An OpenSP callback, get's called when the opening tag of an OFX element appears in the file 
+<p>Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00064">64</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5236b08f9e8f2db3c47346089b09f97f"></a><!-- doxytag: member="OFCApplication::endElement" ref="5236b08f9e8f2db3c47346089b09f97f" args="(const EndElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::endElement           </td>
+          <td>(</td>
+          <td class="paramtype">const EndElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: End of an OFX element. 
+<p>
+An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file. 
+<p>Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00204">204</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b7377bdd933c0809621c9401c4bb7faf"></a><!-- doxytag: member="OFCApplication::data" ref="b7377bdd933c0809621c9401c4bb7faf" args="(const DataEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::data           </td>
+          <td>(</td>
+          <td class="paramtype">const DataEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Data from an OFX element. 
+<p>
+An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data. 
+<p>Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00276">276</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f0066a700819223be70fedc901c9e6e3"></a><!-- doxytag: member="OFCApplication::error" ref="f0066a700819223be70fedc901c9e6e3" args="(const ErrorEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::error           </td>
+          <td>(</td>
+          <td class="paramtype">const ErrorEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: SGML parse error. 
+<p>
+An OpenSP callback, get's called when a parser error has occured. 
+<p>Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00288">288</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="26eddc55614d7796fb07c5edd4a86d5c"></a><!-- doxytag: member="OFCApplication::openEntityChange" ref="26eddc55614d7796fb07c5edd4a86d5c" args="(const OpenEntityPtr &amp;para_entity_ptr)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::openEntityChange           </td>
+          <td>(</td>
+          <td class="paramtype">const OpenEntityPtr &amp;&nbsp;</td>
+          <td class="paramname"> <em>para_entity_ptr</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Receive internal OpenSP state. 
+<p>
+An Internal OpenSP callback, used to be able to generate line number. 
+<p>Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00332">332</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f41018e7c903435df28ecb797fad7f05"></a><!-- doxytag: member="OFCApplication::startElement" ref="f41018e7c903435df28ecb797fad7f05" args="(const StartElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::startElement           </td>
+          <td>(</td>
+          <td class="paramtype">const StartElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Start of an OFX element. 
+<p>
+An OpenSP callback, get's called when the opening tag of an OFX element appears in the file 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00064">64</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5236b08f9e8f2db3c47346089b09f97f"></a><!-- doxytag: member="OFCApplication::endElement" ref="5236b08f9e8f2db3c47346089b09f97f" args="(const EndElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::endElement           </td>
+          <td>(</td>
+          <td class="paramtype">const EndElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: End of an OFX element. 
+<p>
+An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file. 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00204">204</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b7377bdd933c0809621c9401c4bb7faf"></a><!-- doxytag: member="OFCApplication::data" ref="b7377bdd933c0809621c9401c4bb7faf" args="(const DataEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::data           </td>
+          <td>(</td>
+          <td class="paramtype">const DataEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Data from an OFX element. 
+<p>
+An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data. 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00276">276</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f0066a700819223be70fedc901c9e6e3"></a><!-- doxytag: member="OFCApplication::error" ref="f0066a700819223be70fedc901c9e6e3" args="(const ErrorEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::error           </td>
+          <td>(</td>
+          <td class="paramtype">const ErrorEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: SGML parse error. 
+<p>
+An OpenSP callback, get's called when a parser error has occured. 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00288">288</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="26eddc55614d7796fb07c5edd4a86d5c"></a><!-- doxytag: member="OFCApplication::openEntityChange" ref="26eddc55614d7796fb07c5edd4a86d5c" args="(const OpenEntityPtr &amp;para_entity_ptr)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::openEntityChange           </td>
+          <td>(</td>
+          <td class="paramtype">const OpenEntityPtr &amp;&nbsp;</td>
+          <td class="paramname"> <em>para_entity_ptr</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Receive internal OpenSP state. 
+<p>
+An Internal OpenSP callback, used to be able to generate line number. 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00332">332</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f41018e7c903435df28ecb797fad7f05"></a><!-- doxytag: member="OFCApplication::startElement" ref="f41018e7c903435df28ecb797fad7f05" args="(const StartElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::startElement           </td>
+          <td>(</td>
+          <td class="paramtype">const StartElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Start of an OFX element. 
+<p>
+An OpenSP callback, get's called when the opening tag of an OFX element appears in the file 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html#l00064">64</a> of file <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html">fx-0.9.0/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5236b08f9e8f2db3c47346089b09f97f"></a><!-- doxytag: member="OFCApplication::endElement" ref="5236b08f9e8f2db3c47346089b09f97f" args="(const EndElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::endElement           </td>
+          <td>(</td>
+          <td class="paramtype">const EndElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: End of an OFX element. 
+<p>
+An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html#l00204">204</a> of file <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html">fx-0.9.0/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b7377bdd933c0809621c9401c4bb7faf"></a><!-- doxytag: member="OFCApplication::data" ref="b7377bdd933c0809621c9401c4bb7faf" args="(const DataEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::data           </td>
+          <td>(</td>
+          <td class="paramtype">const DataEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Data from an OFX element. 
+<p>
+An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html#l00276">276</a> of file <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html">fx-0.9.0/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f0066a700819223be70fedc901c9e6e3"></a><!-- doxytag: member="OFCApplication::error" ref="f0066a700819223be70fedc901c9e6e3" args="(const ErrorEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::error           </td>
+          <td>(</td>
+          <td class="paramtype">const ErrorEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: SGML parse error. 
+<p>
+An OpenSP callback, get's called when a parser error has occured. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html#l00288">288</a> of file <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html">fx-0.9.0/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="26eddc55614d7796fb07c5edd4a86d5c"></a><!-- doxytag: member="OFCApplication::openEntityChange" ref="26eddc55614d7796fb07c5edd4a86d5c" args="(const OpenEntityPtr &amp;para_entity_ptr)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFCApplication::openEntityChange           </td>
+          <td>(</td>
+          <td class="paramtype">const OpenEntityPtr &amp;&nbsp;</td>
+          <td class="paramname"> <em>para_entity_ptr</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Receive internal OpenSP state. 
+<p>
+An Internal OpenSP callback, used to be able to generate line number. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html#l00332">332</a> of file <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html">fx-0.9.0/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html">fx-0.9.0/lib/ofc_sgml.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOFXApplication.html'
--- doc/html/classOFXApplication.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOFXApplication.html	2008-02-06 17:25:16 +0000
@@ -1,399 +1,460 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OFXApplication Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OFXApplication Class Reference</h1><!-- doxytag: class="OFXApplication" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 This object is driven by OpenSP as it parses the SGML from the ofx file(s). 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00044">44</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00044">44</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1d6f09a412e09451f1ed1eff491b7d44"></a><!-- doxytag: member="OFXApplication::OFXApplication" ref="1d6f09a412e09451f1ed1eff491b7d44" args="(LibofxContext *p_libofx_context)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#1d6f09a412e09451f1ed1eff491b7d44">OFXApplication</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="553e023a72e3595ded7f64997e6a6fd1"></a><!-- doxytag: member="OFXApplication::~OFXApplication" ref="553e023a72e3595ded7f64997e6a6fd1" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#553e023a72e3595ded7f64997e6a6fd1">~OFXApplication</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#35de080ed9b0892f329a4fde4afb10be">startElement</a> (const StartElementEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Start of an OFX element.  <a href="#35de080ed9b0892f329a4fde4afb10be"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#ace0e849787a64724ddecc2b266b8cac">endElement</a> (const EndElementEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: End of an OFX element.  <a href="#ace0e849787a64724ddecc2b266b8cac"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">data</a> (const DataEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Data from an OFX element.  <a href="#eaba845042f2f60e88431cbb39e123d7"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#ed9647aa1aa0351b461904187804a4ce">error</a> (const ErrorEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: SGML parse error.  <a href="#ed9647aa1aa0351b461904187804a4ce"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#7274f22992407878a8f20f7239b4b9f0">openEntityChange</a> (const OpenEntityPtr &amp;para_entity_ptr)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Receive internal OpenSP state.  <a href="#7274f22992407878a8f20f7239b4b9f0"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1d6f09a412e09451f1ed1eff491b7d44"></a><!-- doxytag: member="OFXApplication::OFXApplication" ref="1d6f09a412e09451f1ed1eff491b7d44" args="(LibofxContext *p_libofx_context)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#1d6f09a412e09451f1ed1eff491b7d44">OFXApplication</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="553e023a72e3595ded7f64997e6a6fd1"></a><!-- doxytag: member="OFXApplication::~OFXApplication" ref="553e023a72e3595ded7f64997e6a6fd1" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#553e023a72e3595ded7f64997e6a6fd1">~OFXApplication</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#35de080ed9b0892f329a4fde4afb10be">startElement</a> (const StartElementEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Start of an OFX element.  <a href="#35de080ed9b0892f329a4fde4afb10be"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#ace0e849787a64724ddecc2b266b8cac">endElement</a> (const EndElementEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: End of an OFX element.  <a href="#ace0e849787a64724ddecc2b266b8cac"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">data</a> (const DataEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Data from an OFX element.  <a href="#eaba845042f2f60e88431cbb39e123d7"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#ed9647aa1aa0351b461904187804a4ce">error</a> (const ErrorEvent &amp;event)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: SGML parse error.  <a href="#ed9647aa1aa0351b461904187804a4ce"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#7274f22992407878a8f20f7239b4b9f0">openEntityChange</a> (const OpenEntityPtr &amp;para_entity_ptr)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Receive internal OpenSP state.  <a href="#7274f22992407878a8f20f7239b4b9f0"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="31bb3ceee5471bfceb4c0b66454ab70b"></a><!-- doxytag: member="OFXApplication::OFXApplication" ref="31bb3ceee5471bfceb4c0b66454ab70b" args="(LibofxContext *p_libofx_context)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">OFXApplication</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="97bf0d28a9cf2149de3ad280f7a6fa0b"></a><!-- doxytag: member="OFXApplication::~OFXApplication" ref="97bf0d28a9cf2149de3ad280f7a6fa0b" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">~OFXApplication</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77">startElement</a> (const StartElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Start of an OFX element.  <a href="#8575aabbc37e3ab13f84d4c1bd193c77"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">endElement</a> (const EndElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: End of an OFX element.  <a href="#f0c85f08eb2310f4a44012a6306fe900"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">data</a> (const DataEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Data from an OFX element.  <a href="#3693415bacafd34f73fead89238ba185"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb">error</a> (const ErrorEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: SGML parse error.  <a href="#529aca86206e4f76c2442abee453fddb"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">openEntityChange</a> (const OpenEntityPtr &amp;para_entity_ptr)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Receive internal OpenSP state.  <a href="#7e67b46d6e7b38957d7a40edaff0666a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="31bb3ceee5471bfceb4c0b66454ab70b"></a><!-- doxytag: member="OFXApplication::OFXApplication" ref="31bb3ceee5471bfceb4c0b66454ab70b" args="(LibofxContext *p_libofx_context)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">OFXApplication</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="97bf0d28a9cf2149de3ad280f7a6fa0b"></a><!-- doxytag: member="OFXApplication::~OFXApplication" ref="97bf0d28a9cf2149de3ad280f7a6fa0b" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">~OFXApplication</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77">startElement</a> (const StartElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Start of an OFX element.  <a href="#8575aabbc37e3ab13f84d4c1bd193c77"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">endElement</a> (const EndElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: End of an OFX element.  <a href="#f0c85f08eb2310f4a44012a6306fe900"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">data</a> (const DataEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Data from an OFX element.  <a href="#3693415bacafd34f73fead89238ba185"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb">error</a> (const ErrorEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: SGML parse error.  <a href="#529aca86206e4f76c2442abee453fddb"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">openEntityChange</a> (const OpenEntityPtr &amp;para_entity_ptr)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Receive internal OpenSP state.  <a href="#7e67b46d6e7b38957d7a40edaff0666a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="31bb3ceee5471bfceb4c0b66454ab70b"></a><!-- doxytag: member="OFXApplication::OFXApplication" ref="31bb3ceee5471bfceb4c0b66454ab70b" args="(LibofxContext *p_libofx_context)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">OFXApplication</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="97bf0d28a9cf2149de3ad280f7a6fa0b"></a><!-- doxytag: member="OFXApplication::~OFXApplication" ref="97bf0d28a9cf2149de3ad280f7a6fa0b" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">~OFXApplication</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77">startElement</a> (const StartElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Start of an OFX element.  <a href="#8575aabbc37e3ab13f84d4c1bd193c77"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">endElement</a> (const EndElementEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: End of an OFX element.  <a href="#f0c85f08eb2310f4a44012a6306fe900"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">data</a> (const DataEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Data from an OFX element.  <a href="#3693415bacafd34f73fead89238ba185"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb">error</a> (const ErrorEvent &amp;event)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: SGML parse error.  <a href="#529aca86206e4f76c2442abee453fddb"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">openEntityChange</a> (const OpenEntityPtr &amp;para_entity_ptr)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Callback: Receive internal OpenSP state.  <a href="#7e67b46d6e7b38957d7a40edaff0666a"></a><br></td></tr>
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="eaba845042f2f60e88431cbb39e123d7"></a><!-- doxytag: member="OFXApplication::data" ref="eaba845042f2f60e88431cbb39e123d7" args="(const DataEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFXApplication::data           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const DataEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Data from an OFX element. 
-<p>
-An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00283">283</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="eaba845042f2f60e88431cbb39e123d7"></a><!-- doxytag: member="OFXApplication::data" ref="eaba845042f2f60e88431cbb39e123d7" args="(const DataEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFXApplication::data           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const DataEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Data from an OFX element. 
-<p>
-An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data. 
-<p>
-Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00283">283</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ace0e849787a64724ddecc2b266b8cac"></a><!-- doxytag: member="OFXApplication::endElement" ref="ace0e849787a64724ddecc2b266b8cac" args="(const EndElementEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFXApplication::endElement           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const EndElementEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: End of an OFX element. 
-<p>
-An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00211">211</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ace0e849787a64724ddecc2b266b8cac"></a><!-- doxytag: member="OFXApplication::endElement" ref="ace0e849787a64724ddecc2b266b8cac" args="(const EndElementEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFXApplication::endElement           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const EndElementEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: End of an OFX element. 
-<p>
-An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file. 
-<p>
-Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00211">211</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ed9647aa1aa0351b461904187804a4ce"></a><!-- doxytag: member="OFXApplication::error" ref="ed9647aa1aa0351b461904187804a4ce" args="(const ErrorEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFXApplication::error           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const ErrorEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: SGML parse error. 
-<p>
-An OpenSP callback, get's called when a parser error has occured. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00295">295</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ed9647aa1aa0351b461904187804a4ce"></a><!-- doxytag: member="OFXApplication::error" ref="ed9647aa1aa0351b461904187804a4ce" args="(const ErrorEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFXApplication::error           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const ErrorEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: SGML parse error. 
-<p>
-An OpenSP callback, get's called when a parser error has occured. 
-<p>
-Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00295">295</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="7274f22992407878a8f20f7239b4b9f0"></a><!-- doxytag: member="OFXApplication::openEntityChange" ref="7274f22992407878a8f20f7239b4b9f0" args="(const OpenEntityPtr &amp;para_entity_ptr)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFXApplication::openEntityChange           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const OpenEntityPtr &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>para_entity_ptr</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Receive internal OpenSP state. 
-<p>
-An Internal OpenSP callback, used to be able to generate line number. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00339">339</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="7274f22992407878a8f20f7239b4b9f0"></a><!-- doxytag: member="OFXApplication::openEntityChange" ref="7274f22992407878a8f20f7239b4b9f0" args="(const OpenEntityPtr &amp;para_entity_ptr)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFXApplication::openEntityChange           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const OpenEntityPtr &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>para_entity_ptr</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Receive internal OpenSP state. 
-<p>
-An Internal OpenSP callback, used to be able to generate line number. 
-<p>
-Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00339">339</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="35de080ed9b0892f329a4fde4afb10be"></a><!-- doxytag: member="OFXApplication::startElement" ref="35de080ed9b0892f329a4fde4afb10be" args="(const StartElementEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFXApplication::startElement           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const StartElementEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Start of an OFX element. 
-<p>
-An OpenSP callback, get's called when the opening tag of an OFX element appears in the file 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00071">71</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="35de080ed9b0892f329a4fde4afb10be"></a><!-- doxytag: member="OFXApplication::startElement" ref="35de080ed9b0892f329a4fde4afb10be" args="(const StartElementEvent &amp;event)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OFXApplication::startElement           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const StartElementEvent &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>event</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Callback: Start of an OFX element. 
-<p>
-An OpenSP callback, get's called when the opening tag of an OFX element appears in the file 
-<p>
-Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00071">71</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="8575aabbc37e3ab13f84d4c1bd193c77"></a><!-- doxytag: member="OFXApplication::startElement" ref="8575aabbc37e3ab13f84d4c1bd193c77" args="(const StartElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::startElement           </td>
+          <td>(</td>
+          <td class="paramtype">const StartElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Start of an OFX element. 
+<p>
+An OpenSP callback, get's called when the opening tag of an OFX element appears in the file 
+<p>Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00071">71</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f0c85f08eb2310f4a44012a6306fe900"></a><!-- doxytag: member="OFXApplication::endElement" ref="f0c85f08eb2310f4a44012a6306fe900" args="(const EndElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::endElement           </td>
+          <td>(</td>
+          <td class="paramtype">const EndElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: End of an OFX element. 
+<p>
+An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file. 
+<p>Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00211">211</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3693415bacafd34f73fead89238ba185"></a><!-- doxytag: member="OFXApplication::data" ref="3693415bacafd34f73fead89238ba185" args="(const DataEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::data           </td>
+          <td>(</td>
+          <td class="paramtype">const DataEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Data from an OFX element. 
+<p>
+An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data. 
+<p>Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00283">283</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="529aca86206e4f76c2442abee453fddb"></a><!-- doxytag: member="OFXApplication::error" ref="529aca86206e4f76c2442abee453fddb" args="(const ErrorEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::error           </td>
+          <td>(</td>
+          <td class="paramtype">const ErrorEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: SGML parse error. 
+<p>
+An OpenSP callback, get's called when a parser error has occured. 
+<p>Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00295">295</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="7e67b46d6e7b38957d7a40edaff0666a"></a><!-- doxytag: member="OFXApplication::openEntityChange" ref="7e67b46d6e7b38957d7a40edaff0666a" args="(const OpenEntityPtr &amp;para_entity_ptr)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::openEntityChange           </td>
+          <td>(</td>
+          <td class="paramtype">const OpenEntityPtr &amp;&nbsp;</td>
+          <td class="paramname"> <em>para_entity_ptr</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Receive internal OpenSP state. 
+<p>
+An Internal OpenSP callback, used to be able to generate line number. 
+<p>Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00339">339</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="8575aabbc37e3ab13f84d4c1bd193c77"></a><!-- doxytag: member="OFXApplication::startElement" ref="8575aabbc37e3ab13f84d4c1bd193c77" args="(const StartElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::startElement           </td>
+          <td>(</td>
+          <td class="paramtype">const StartElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Start of an OFX element. 
+<p>
+An OpenSP callback, get's called when the opening tag of an OFX element appears in the file 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00071">71</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f0c85f08eb2310f4a44012a6306fe900"></a><!-- doxytag: member="OFXApplication::endElement" ref="f0c85f08eb2310f4a44012a6306fe900" args="(const EndElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::endElement           </td>
+          <td>(</td>
+          <td class="paramtype">const EndElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: End of an OFX element. 
+<p>
+An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file. 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00211">211</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3693415bacafd34f73fead89238ba185"></a><!-- doxytag: member="OFXApplication::data" ref="3693415bacafd34f73fead89238ba185" args="(const DataEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::data           </td>
+          <td>(</td>
+          <td class="paramtype">const DataEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Data from an OFX element. 
+<p>
+An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data. 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00283">283</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="529aca86206e4f76c2442abee453fddb"></a><!-- doxytag: member="OFXApplication::error" ref="529aca86206e4f76c2442abee453fddb" args="(const ErrorEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::error           </td>
+          <td>(</td>
+          <td class="paramtype">const ErrorEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: SGML parse error. 
+<p>
+An OpenSP callback, get's called when a parser error has occured. 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00295">295</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="7e67b46d6e7b38957d7a40edaff0666a"></a><!-- doxytag: member="OFXApplication::openEntityChange" ref="7e67b46d6e7b38957d7a40edaff0666a" args="(const OpenEntityPtr &amp;para_entity_ptr)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::openEntityChange           </td>
+          <td>(</td>
+          <td class="paramtype">const OpenEntityPtr &amp;&nbsp;</td>
+          <td class="paramname"> <em>para_entity_ptr</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Receive internal OpenSP state. 
+<p>
+An Internal OpenSP callback, used to be able to generate line number. 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00339">339</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="8575aabbc37e3ab13f84d4c1bd193c77"></a><!-- doxytag: member="OFXApplication::startElement" ref="8575aabbc37e3ab13f84d4c1bd193c77" args="(const StartElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::startElement           </td>
+          <td>(</td>
+          <td class="paramtype">const StartElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Start of an OFX element. 
+<p>
+An OpenSP callback, get's called when the opening tag of an OFX element appears in the file 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html#l00071">71</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html">fx-0.9.0/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f0c85f08eb2310f4a44012a6306fe900"></a><!-- doxytag: member="OFXApplication::endElement" ref="f0c85f08eb2310f4a44012a6306fe900" args="(const EndElementEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::endElement           </td>
+          <td>(</td>
+          <td class="paramtype">const EndElementEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: End of an OFX element. 
+<p>
+An OpenSP callback, get's called at the end of an OFX element (the closing tags are not always present in OFX) in the file. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html#l00211">211</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html">fx-0.9.0/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3693415bacafd34f73fead89238ba185"></a><!-- doxytag: member="OFXApplication::data" ref="3693415bacafd34f73fead89238ba185" args="(const DataEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::data           </td>
+          <td>(</td>
+          <td class="paramtype">const DataEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Data from an OFX element. 
+<p>
+An OpenSP callback, get's called when the raw data of an OFX element appears in the file. Is usually called more than once for a single element, so we must concatenate the data. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html#l00283">283</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html">fx-0.9.0/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="529aca86206e4f76c2442abee453fddb"></a><!-- doxytag: member="OFXApplication::error" ref="529aca86206e4f76c2442abee453fddb" args="(const ErrorEvent &amp;event)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::error           </td>
+          <td>(</td>
+          <td class="paramtype">const ErrorEvent &amp;&nbsp;</td>
+          <td class="paramname"> <em>event</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: SGML parse error. 
+<p>
+An OpenSP callback, get's called when a parser error has occured. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html#l00295">295</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html">fx-0.9.0/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="7e67b46d6e7b38957d7a40edaff0666a"></a><!-- doxytag: member="OFXApplication::openEntityChange" ref="7e67b46d6e7b38957d7a40edaff0666a" args="(const OpenEntityPtr &amp;para_entity_ptr)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OFXApplication::openEntityChange           </td>
+          <td>(</td>
+          <td class="paramtype">const OpenEntityPtr &amp;&nbsp;</td>
+          <td class="paramname"> <em>para_entity_ptr</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Callback: Receive internal OpenSP state. 
+<p>
+An Internal OpenSP callback, used to be able to generate line number. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html#l00339">339</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html">fx-0.9.0/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html">fx-0.9.0/lib/ofx_sgml.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxAccountContainer.html'
--- doc/html/classOfxAccountContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxAccountContainer.html	2008-02-06 17:25:16 +0000
@@ -1,304 +1,360 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxAccountContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxAccountContainer Class Reference</h1><!-- doxytag: class="OfxAccountContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer" --><p>Inheritance diagram for OfxAccountContainer:
+  </ul>
+</div>
+<h1>OfxAccountContainer Class Reference</h1><!-- doxytag: class="OfxAccountContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer,OfxGenericContainer" --><div class="dynheader">
+Inheritance diagram for OfxAccountContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxAccountContainer.png" usemap="#OfxAccountContainer_map" border="0" alt=""></center>
 <map name="OfxAccountContainer_map">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="0,0,134,24">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="144,0,278,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="288,0,422,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 Represents a bank account or a credit card account. 
 <p>
 Can be built from either a &lt;BANKACCTFROM&gt; or &lt;CCACCTFROM&gt; OFX SGML entity 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00151">151</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00151">151</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="83a97e5b5253e7e140eaa3e997c5961d"></a><!-- doxytag: member="OfxAccountContainer::OfxAccountContainer" ref="83a97e5b5253e7e140eaa3e997c5961d" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#83a97e5b5253e7e140eaa3e997c5961d">OfxAccountContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d5b83e05e06a60a7d0a874b8778fa27c"></a><!-- doxytag: member="OfxAccountContainer::~OfxAccountContainer" ref="d5b83e05e06a60a7d0a874b8778fa27c" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#d5b83e05e06a60a7d0a874b8778fa27c">~OfxAccountContainer</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#d265f53aeb83d14d5410e36e5014ad5b"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">add_to_main_tree</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main tree.  <a href="#0f746ed7b242fbaccd378edfbcb05a67"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#82735b303e3cafb6ac1f6a715fa4e6e8">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#82735b303e3cafb6ac1f6a715fa4e6e8"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="83a97e5b5253e7e140eaa3e997c5961d"></a><!-- doxytag: member="OfxAccountContainer::OfxAccountContainer" ref="83a97e5b5253e7e140eaa3e997c5961d" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxAccountContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#d265f53aeb83d14d5410e36e5014ad5b"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">add_to_main_tree</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main tree.  <a href="#0f746ed7b242fbaccd378edfbcb05a67"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#5a64b04111a5fb3d7ac76deb1d936be3">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#5a64b04111a5fb3d7ac76deb1d936be3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="da1972a79e8c8096184ea7a22968f35c"></a><!-- doxytag: member="OfxAccountContainer::OfxAccountContainer" ref="da1972a79e8c8096184ea7a22968f35c" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#da1972a79e8c8096184ea7a22968f35c">OfxAccountContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="64691a91027e92c8cbc5bb1240d3f1b8"></a><!-- doxytag: member="OfxAccountContainer::~OfxAccountContainer" ref="64691a91027e92c8cbc5bb1240d3f1b8" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#64691a91027e92c8cbc5bb1240d3f1b8">~OfxAccountContainer</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#8dc0972f64b251191e6aa509cb1f493b"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#995f1933b2ecb3e33f991c092fbf3af4"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#20381080f3bdd19af2b2c364f208cdf4"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="da1972a79e8c8096184ea7a22968f35c"></a><!-- doxytag: member="OfxAccountContainer::OfxAccountContainer" ref="da1972a79e8c8096184ea7a22968f35c" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxAccountContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#8dc0972f64b251191e6aa509cb1f493b"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#995f1933b2ecb3e33f991c092fbf3af4"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#32af3ba39b8276f4f39b1cad85b6bc45"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="da1972a79e8c8096184ea7a22968f35c"></a><!-- doxytag: member="OfxAccountContainer::OfxAccountContainer" ref="da1972a79e8c8096184ea7a22968f35c" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxAccountContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#8dc0972f64b251191e6aa509cb1f493b"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#995f1933b2ecb3e33f991c092fbf3af4"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#32af3ba39b8276f4f39b1cad85b6bc45"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8beb287137b586bc780876b203f0017a"></a><!-- doxytag: member="OfxAccountContainer::data" ref="8beb287137b586bc780876b203f0017a" args="" -->
-<a class="el" href="structOfxAccountData.html">OfxAccountData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="52d360c316f4ca22103a237a26088212"></a><!-- doxytag: member="OfxAccountContainer::data" ref="52d360c316f4ca22103a237a26088212" args="" -->
+<a class="el" href="structOfxAccountData.html">OfxAccountData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a></td></tr>
 
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="d265f53aeb83d14d5410e36e5014ad5b"></a><!-- doxytag: member="OfxAccountContainer::add_attribute" ref="d265f53aeb83d14d5410e36e5014ad5b" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxAccountContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d265f53aeb83d14d5410e36e5014ad5b"></a><!-- doxytag: member="OfxAccountContainer::add_attribute" ref="d265f53aeb83d14d5410e36e5014ad5b" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxAccountContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__account_8cpp-source.html#l00074">74</a> of file <a class="el" href="ofx__container__account_8cpp-source.html">ofx_container_account.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="0f746ed7b242fbaccd378edfbcb05a67"></a><!-- doxytag: member="OfxAccountContainer::add_to_main_tree" ref="0f746ed7b242fbaccd378edfbcb05a67" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxAccountContainer::add_to_main_tree           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add this container to the main tree. 
-<p>
-add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. <dl compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="0f746ed7b242fbaccd378edfbcb05a67"></a><!-- doxytag: member="OfxAccountContainer::add_to_main_tree" ref="0f746ed7b242fbaccd378edfbcb05a67" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxAccountContainer::add_to_main_tree           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add this container to the main tree. 
-<p>
-add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. <dl compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__account_8cpp-source.html#l00133">133</a> of file <a class="el" href="ofx__container__account_8cpp-source.html">ofx_container_account.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="5a64b04111a5fb3d7ac76deb1d936be3"></a><!-- doxytag: member="OfxAccountContainer::gen_event" ref="5a64b04111a5fb3d7ac76deb1d936be3" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual int OfxAccountContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="82735b303e3cafb6ac1f6a715fa4e6e8"></a><!-- doxytag: member="OfxAccountContainer::gen_event" ref="82735b303e3cafb6ac1f6a715fa4e6e8" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxAccountContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__account_8cpp-source.html#l00127">127</a> of file <a class="el" href="ofx__container__account_8cpp-source.html">ofx_container_account.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="8dc0972f64b251191e6aa509cb1f493b"></a><!-- doxytag: member="OfxAccountContainer::add_attribute" ref="8dc0972f64b251191e6aa509cb1f493b" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxAccountContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__account_8cpp-source.html#l00074">74</a> of file <a class="el" href="ofx__container__account_8cpp-source.html">ofx_container_account.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="995f1933b2ecb3e33f991c092fbf3af4"></a><!-- doxytag: member="OfxAccountContainer::add_to_main_tree" ref="995f1933b2ecb3e33f991c092fbf3af4" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxAccountContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__account_8cpp-source.html#l00133">133</a> of file <a class="el" href="ofx__container__account_8cpp-source.html">ofx_container_account.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="20381080f3bdd19af2b2c364f208cdf4"></a><!-- doxytag: member="OfxAccountContainer::gen_event" ref="20381080f3bdd19af2b2c364f208cdf4" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxAccountContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__account_8cpp-source.html#l00127">127</a> of file <a class="el" href="ofx__container__account_8cpp-source.html">ofx_container_account.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="8dc0972f64b251191e6aa509cb1f493b"></a><!-- doxytag: member="OfxAccountContainer::add_attribute" ref="8dc0972f64b251191e6aa509cb1f493b" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxAccountContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="995f1933b2ecb3e33f991c092fbf3af4"></a><!-- doxytag: member="OfxAccountContainer::add_to_main_tree" ref="995f1933b2ecb3e33f991c092fbf3af4" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxAccountContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="32af3ba39b8276f4f39b1cad85b6bc45"></a><!-- doxytag: member="OfxAccountContainer::gen_event" ref="32af3ba39b8276f4f39b1cad85b6bc45" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxAccountContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="8dc0972f64b251191e6aa509cb1f493b"></a><!-- doxytag: member="OfxAccountContainer::add_attribute" ref="8dc0972f64b251191e6aa509cb1f493b" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxAccountContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="995f1933b2ecb3e33f991c092fbf3af4"></a><!-- doxytag: member="OfxAccountContainer::add_to_main_tree" ref="995f1933b2ecb3e33f991c092fbf3af4" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxAccountContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="32af3ba39b8276f4f39b1cad85b6bc45"></a><!-- doxytag: member="OfxAccountContainer::gen_event" ref="32af3ba39b8276f4f39b1cad85b6bc45" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxAccountContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__account_8cpp-source.html">ofx_container_account.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp-source.html">fx-0.8.2/lib/ofx_container_account.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__account_8cpp-source.html">ofx_container_account.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp-source.html">fx-0.8.2/lib/ofx_container_account.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__container__account_8cpp-source.html">fx-0.9.0/lib/ofx_container_account.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxAccountContainer.png'
Binary files doc/html/classOfxAccountContainer.png and doc/html/classOfxAccountContainer.png differ
=== modified file 'doc/html/classOfxAccountInfoRequest.html'
--- doc/html/classOfxAccountInfoRequest.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxAccountInfoRequest.html	2008-02-06 17:25:16 +0000
@@ -1,123 +1,145 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxAccountInfoRequest Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxAccountInfoRequest Class Reference</h1><!-- doxytag: class="OfxAccountInfoRequest" --><!-- doxytag: inherits="OfxRequest,OfxRequest" --><p>Inheritance diagram for OfxAccountInfoRequest:
+  </ul>
+</div>
+<h1>OfxAccountInfoRequest Class Reference</h1><!-- doxytag: class="OfxAccountInfoRequest" --><!-- doxytag: inherits="OfxRequest,OfxRequest,OfxRequest" --><div class="dynheader">
+Inheritance diagram for OfxAccountInfoRequest:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxAccountInfoRequest.png" usemap="#OfxAccountInfoRequest_map" border="0" alt=""></center>
 <map name="OfxAccountInfoRequest_map">
-<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="77,56,221,80">
-<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="385,56,529,80">
-<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="0,0,144,24">
+<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="0,168,144,192">
+<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="308,168,452,192">
+<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="616,168,760,192">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="770,112,914,136">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="770,56,914,80">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="770,0,914,24">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="462,112,606,136">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="462,56,606,80">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="462,0,606,24">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="154,112,298,136">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="154,56,298,80">
 <area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="154,0,298,24">
-<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="308,0,452,24">
-<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="462,0,606,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 An account information request. 
 <p>
 This is an entire OFX aggregate, with all subordinate aggregates needed to log onto the OFX server of a single financial institution and download a list of all accounts for this user. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__request__accountinfo_8hh-source.html#l00037">37</a> of file <a class="el" href="ofx__request__accountinfo_8hh-source.html">ofx_request_accountinfo.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__request__accountinfo_8hh-source.html#l00037">37</a> of file <a class="el" href="ofx__request__accountinfo_8hh-source.html">ofx_request_accountinfo.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountInfoRequest.html#4035fb44fecca1b682e6a7c5e0b96743">OfxAccountInfoRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountInfoRequest.html#4035fb44fecca1b682e6a7c5e0b96743">OfxAccountInfoRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi)</td></tr>
 
 </table>
 <hr><h2>Constructor &amp; Destructor Documentation</h2>
-<a class="anchor" name="4035fb44fecca1b682e6a7c5e0b96743"></a><!-- doxytag: member="OfxAccountInfoRequest::OfxAccountInfoRequest" ref="4035fb44fecca1b682e6a7c5e0b96743" args="(const OfxFiLogin &amp;fi)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">OfxAccountInfoRequest::OfxAccountInfoRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>fi</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates the request aggregate to obtain an account list from this <code>fi</code>.<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="ofx__request__accountinfo_8cpp-source.html#l00074">74</a> of file <a class="el" href="ofx__request__accountinfo_8cpp-source.html">ofx_request_accountinfo.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="4035fb44fecca1b682e6a7c5e0b96743"></a><!-- doxytag: member="OfxAccountInfoRequest::OfxAccountInfoRequest" ref="4035fb44fecca1b682e6a7c5e0b96743" args="(const OfxFiLogin &amp;fi)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">OfxAccountInfoRequest::OfxAccountInfoRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>fi</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates the request aggregate to obtain an account list from this <code>fi</code>.<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
-  </table>
-</dl>
-    </td>
-  </tr>
-</table>
+<a class="anchor" name="95e70762fc3a59b38956fda4000cb1c8"></a><!-- doxytag: member="OfxAccountInfoRequest::OfxAccountInfoRequest" ref="95e70762fc3a59b38956fda4000cb1c8" args="(const OfxFiLogin &amp;fi)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxAccountInfoRequest::OfxAccountInfoRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the request aggregate to obtain an account list from this <code>fi</code>.<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="ofx__request__accountinfo_8cpp-source.html#l00074">74</a> of file <a class="el" href="ofx__request__accountinfo_8cpp-source.html">ofx_request_accountinfo.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="95e70762fc3a59b38956fda4000cb1c8"></a><!-- doxytag: member="OfxAccountInfoRequest::OfxAccountInfoRequest" ref="95e70762fc3a59b38956fda4000cb1c8" args="(const OfxFiLogin &amp;fi)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxAccountInfoRequest::OfxAccountInfoRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the request aggregate to obtain an account list from this <code>fi</code>.<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+  </table>
+</dl>
+
+</div>
+</div><p>
+<a class="anchor" name="95e70762fc3a59b38956fda4000cb1c8"></a><!-- doxytag: member="OfxAccountInfoRequest::OfxAccountInfoRequest" ref="95e70762fc3a59b38956fda4000cb1c8" args="(const OfxFiLogin &amp;fi)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxAccountInfoRequest::OfxAccountInfoRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the request aggregate to obtain an account list from this <code>fi</code>.<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+  </table>
+</dl>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__request__accountinfo_8hh-source.html">ofx_request_accountinfo.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8hh-source.html">fx-0.8.2/lib/ofx_request_accountinfo.hh</a><li><a class="el" href="ofx__request__accountinfo_8cpp-source.html">ofx_request_accountinfo.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp-source.html">fx-0.8.2/lib/ofx_request_accountinfo.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__request__accountinfo_8hh-source.html">ofx_request_accountinfo.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8hh-source.html">fx-0.8.2/lib/ofx_request_accountinfo.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8hh-source.html">fx-0.9.0/lib/ofx_request_accountinfo.hh</a><li><a class="el" href="ofx__request__accountinfo_8cpp-source.html">ofx_request_accountinfo.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp-source.html">fx-0.8.2/lib/ofx_request_accountinfo.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp-source.html">fx-0.9.0/lib/ofx_request_accountinfo.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxAccountInfoRequest.png'
Binary files doc/html/classOfxAccountInfoRequest.png and doc/html/classOfxAccountInfoRequest.png differ
=== modified file 'doc/html/classOfxAggregate.html'
--- doc/html/classOfxAggregate.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxAggregate.html	2008-02-06 17:25:16 +0000
@@ -1,379 +1,461 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxAggregate Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxAggregate Class Reference</h1><!-- doxytag: class="OfxAggregate" --><p>Inheritance diagram for OfxAggregate:
+  </ul>
+</div>
+<h1>OfxAggregate Class Reference</h1><!-- doxytag: class="OfxAggregate" --><div class="dynheader">
+Inheritance diagram for OfxAggregate:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxAggregate.png" usemap="#OfxAggregate_map" border="0" alt=""></center>
 <map name="OfxAggregate_map">
 <area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="0,56,144,80">
 <area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="308,56,452,80">
+<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="616,56,760,80">
 <area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="154,112,298,136">
 <area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="154,168,298,192">
-<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="154,224,298,248">
+<area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="154,224,298,248">
 <area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="154,280,298,304">
-<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="154,336,298,360">
-<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="154,392,298,416">
+<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="154,336,298,360">
+<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="154,392,298,416">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="154,448,298,472">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="154,504,298,528">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="154,560,298,584">
 <area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="462,112,606,136">
 <area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="462,168,606,192">
-<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="462,224,606,248">
+<area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="462,224,606,248">
 <area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="462,280,606,304">
-<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="462,336,606,360">
-<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="462,392,606,416">
+<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="462,336,606,360">
+<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="462,392,606,416">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="462,448,606,472">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="462,504,606,528">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="462,560,606,584">
+<area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="770,112,914,136">
+<area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="770,168,914,192">
+<area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="770,224,914,248">
+<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="770,280,914,304">
+<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="770,336,914,360">
+<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="770,392,914,416">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="770,448,914,472">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="770,504,914,528">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="770,560,914,584">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 A single aggregate as described in the OFX 1.02 specification. 
 <p>
 This aggregate has a tag, and optionally a number of subordinate elements and aggregates.<p>
 An example is: &lt;CCACCTINFO&gt; &lt;CCACCTFROM&gt; &lt;ACCTID&gt;1234 &lt;/CCACCTFROM&gt; &lt;SUPTXDL&gt;Y &lt;SVCSTATUS&gt;ACTIVE &lt;/CCACCTINFO&gt; 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__aggregate_8hh-source.html#l00042">42</a> of file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__aggregate_8hh-source.html#l00042">42</a> of file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#8c16fb0c23f9ad56329434307ee6c98b">OfxAggregate</a> (const string &amp;tag)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a> (const string &amp;tag, const string &amp;data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#cb67d7766c957f4a1cf8aaf58566ac8d">Add</a> (const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;sub)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a> (void) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#8c16fb0c23f9ad56329434307ee6c98b">OfxAggregate</a> (const string &amp;tag)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a> (const string &amp;tag, const string &amp;data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#cb67d7766c957f4a1cf8aaf58566ac8d">Add</a> (const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;sub)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a> (void) const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">OfxAggregate</a> (const string &amp;tag)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a> (const string &amp;tag, const string &amp;data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#2b729bb656f47efcf2bcfffaa22814e9">Add</a> (const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;sub)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">OfxAggregate</a> (const string &amp;tag)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a> (const string &amp;tag, const string &amp;data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#2b729bb656f47efcf2bcfffaa22814e9">Add</a> (const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;sub)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">OfxAggregate</a> (const string &amp;tag)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a> (const string &amp;tag, const string &amp;data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#2b729bb656f47efcf2bcfffaa22814e9">Add</a> (const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;sub)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a> (void) const </td></tr>
 
 </table>
 <hr><h2>Constructor &amp; Destructor Documentation</h2>
-<a class="anchor" name="8c16fb0c23f9ad56329434307ee6c98b"></a><!-- doxytag: member="OfxAggregate::OfxAggregate" ref="8c16fb0c23f9ad56329434307ee6c98b" args="(const string &amp;tag)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">OfxAggregate::OfxAggregate           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>tag</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates a new aggregate, using this tag<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>tag</em>&nbsp;</td><td>The tag of this aggregate </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="ofx__aggregate_8hh-source.html#l00050">50</a> of file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="8c16fb0c23f9ad56329434307ee6c98b"></a><!-- doxytag: member="OfxAggregate::OfxAggregate" ref="8c16fb0c23f9ad56329434307ee6c98b" args="(const string &amp;tag)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">OfxAggregate::OfxAggregate           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>tag</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates a new aggregate, using this tag<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>tag</em>&nbsp;</td><td>The tag of this aggregate </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html#l00050">50</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="cc6e48f024666176d3b6f1feb1acfd77"></a><!-- doxytag: member="OfxAggregate::OfxAggregate" ref="cc6e48f024666176d3b6f1feb1acfd77" args="(const string &amp;tag)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxAggregate::OfxAggregate           </td>
+          <td>(</td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>tag</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a new aggregate, using this tag<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>tag</em>&nbsp;</td><td>The tag of this aggregate </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="ofx__aggregate_8hh-source.html#l00050">50</a> of file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cc6e48f024666176d3b6f1feb1acfd77"></a><!-- doxytag: member="OfxAggregate::OfxAggregate" ref="cc6e48f024666176d3b6f1feb1acfd77" args="(const string &amp;tag)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxAggregate::OfxAggregate           </td>
+          <td>(</td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>tag</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a new aggregate, using this tag<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>tag</em>&nbsp;</td><td>The tag of this aggregate </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html#l00050">50</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cc6e48f024666176d3b6f1feb1acfd77"></a><!-- doxytag: member="OfxAggregate::OfxAggregate" ref="cc6e48f024666176d3b6f1feb1acfd77" args="(const string &amp;tag)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxAggregate::OfxAggregate           </td>
+          <td>(</td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>tag</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a new aggregate, using this tag<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>tag</em>&nbsp;</td><td>The tag of this aggregate </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html#l00050">50</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html">fx-0.9.0/lib/ofx_aggregate.hh</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="cb67d7766c957f4a1cf8aaf58566ac8d"></a><!-- doxytag: member="OfxAggregate::Add" ref="cb67d7766c957f4a1cf8aaf58566ac8d" args="(const OfxAggregate &amp;sub)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxAggregate::Add           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>sub</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Adds a subordinate aggregate to this aggregate<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>sub</em>&nbsp;</td><td>The aggregate to be added </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html#l00069">69</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="318996f061ff671c9738c938d795fb54"></a><!-- doxytag: member="OfxAggregate::Add" ref="318996f061ff671c9738c938d795fb54" args="(const string &amp;tag, const string &amp;data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxAggregate::Add           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>tag</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Adds an element to this aggregate<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>tag</em>&nbsp;</td><td>The tag of the element to be added </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>data</em>&nbsp;</td><td>The data of the element to be added </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html#l00059">59</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="cb67d7766c957f4a1cf8aaf58566ac8d"></a><!-- doxytag: member="OfxAggregate::Add" ref="cb67d7766c957f4a1cf8aaf58566ac8d" args="(const OfxAggregate &amp;sub)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxAggregate::Add           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>sub</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Adds a subordinate aggregate to this aggregate<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>sub</em>&nbsp;</td><td>The aggregate to be added </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="ofx__aggregate_8hh-source.html#l00069">69</a> of file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="318996f061ff671c9738c938d795fb54"></a><!-- doxytag: member="OfxAggregate::Add" ref="318996f061ff671c9738c938d795fb54" args="(const string &amp;tag, const string &amp;data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxAggregate::Add           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>tag</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Adds an element to this aggregate<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>tag</em>&nbsp;</td><td>The tag of the element to be added </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>data</em>&nbsp;</td><td>The data of the element to be added </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="ofx__aggregate_8hh-source.html#l00059">59</a> of file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.
-<p>
-Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00059">OfxStatementRequest::BankStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00078">OfxStatementRequest::CreditCardStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00101">OfxStatementRequest::InvestmentStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00175">libofx_request_payment_status()</a>, <a class="el" href="ofx__request__accountinfo_8cpp-source.html#l00074">OfxAccountInfoRequest::OfxAccountInfoRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00139">OfxPaymentRequest::OfxPaymentRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest::OfxStatementRequest()</a>, <a class="el" href="ofx__request_8cpp-source.html#l00088">OfxRequest::RequestMessage()</a>, and <a class="el" href="ofx__request_8cpp-source.html#l00066">OfxRequest::SignOnRequest()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="4ff2dff61ef3467b5ca95148018bcc1f"></a><!-- doxytag: member="OfxAggregate::Output" ref="4ff2dff61ef3467b5ca95148018bcc1f" args="(void) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">string OfxAggregate::Output           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap> const<code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Composes this aggregate into a string<p>
-<dl compact><dt><b>Returns:</b></dt><dd>string form of this aggregate </dd></dl>
-
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html#l00079">79</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="4ff2dff61ef3467b5ca95148018bcc1f"></a><!-- doxytag: member="OfxAggregate::Output" ref="4ff2dff61ef3467b5ca95148018bcc1f" args="(void) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">string OfxAggregate::Output           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap> const<code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Composes this aggregate into a string<p>
-<dl compact><dt><b>Returns:</b></dt><dd>string form of this aggregate </dd></dl>
-
-<p>
-Definition at line <a class="el" href="ofx__aggregate_8hh-source.html#l00079">79</a> of file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.
-<p>
-Referenced by <a class="el" href="ofx__aggregate_8hh-source.html#l00069">Add()</a>, <a class="el" href="ofx__request__accountinfo_8cpp-source.html#l00030">libofx_request_accountinfo()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00126">libofx_request_payment()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00175">libofx_request_payment_status()</a>, and <a class="el" href="ofx__request__statement_8cpp-source.html#l00031">libofx_request_statement()</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="5abc7ac34d575eaecde5f16310c766b8"></a><!-- doxytag: member="OfxAggregate::Add" ref="5abc7ac34d575eaecde5f16310c766b8" args="(const string &amp;tag, const string &amp;data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxAggregate::Add           </td>
+          <td>(</td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>tag</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Adds an element to this aggregate<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>tag</em>&nbsp;</td><td>The tag of the element to be added </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>data</em>&nbsp;</td><td>The data of the element to be added </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="ofx__aggregate_8hh-source.html#l00059">59</a> of file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00059">OfxStatementRequest::BankStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00086">OfxStatementRequest::CreditCardStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00109">OfxStatementRequest::InvestmentStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00191">libofx_request_payment_status()</a>, <a class="el" href="ofx__request__accountinfo_8cpp-source.html#l00074">OfxAccountInfoRequest::OfxAccountInfoRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00147">OfxPaymentRequest::OfxPaymentRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest::OfxStatementRequest()</a>, <a class="el" href="ofx__request_8cpp-source.html#l00110">OfxRequest::RequestMessage()</a>, and <a class="el" href="ofx__request_8cpp-source.html#l00082">OfxRequest::SignOnRequest()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2b729bb656f47efcf2bcfffaa22814e9"></a><!-- doxytag: member="OfxAggregate::Add" ref="2b729bb656f47efcf2bcfffaa22814e9" args="(const OfxAggregate &amp;sub)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxAggregate::Add           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>sub</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Adds a subordinate aggregate to this aggregate<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>sub</em>&nbsp;</td><td>The aggregate to be added </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="ofx__aggregate_8hh-source.html#l00069">69</a> of file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b430ce663510ff8eea83bbe0e3bedf6d"></a><!-- doxytag: member="OfxAggregate::Output" ref="b430ce663510ff8eea83bbe0e3bedf6d" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string OfxAggregate::Output           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Composes this aggregate into a string<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>string form of this aggregate </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__aggregate_8hh-source.html#l00079">79</a> of file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__aggregate_8hh-source.html#l00069">Add()</a>, <a class="el" href="ofx__request__accountinfo_8cpp-source.html#l00030">libofx_request_accountinfo()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00134">libofx_request_payment()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00191">libofx_request_payment_status()</a>, and <a class="el" href="ofx__request__statement_8cpp-source.html#l00031">libofx_request_statement()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5abc7ac34d575eaecde5f16310c766b8"></a><!-- doxytag: member="OfxAggregate::Add" ref="5abc7ac34d575eaecde5f16310c766b8" args="(const string &amp;tag, const string &amp;data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxAggregate::Add           </td>
+          <td>(</td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>tag</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Adds an element to this aggregate<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>tag</em>&nbsp;</td><td>The tag of the element to be added </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>data</em>&nbsp;</td><td>The data of the element to be added </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html#l00059">59</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2b729bb656f47efcf2bcfffaa22814e9"></a><!-- doxytag: member="OfxAggregate::Add" ref="2b729bb656f47efcf2bcfffaa22814e9" args="(const OfxAggregate &amp;sub)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxAggregate::Add           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>sub</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Adds a subordinate aggregate to this aggregate<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>sub</em>&nbsp;</td><td>The aggregate to be added </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html#l00069">69</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b430ce663510ff8eea83bbe0e3bedf6d"></a><!-- doxytag: member="OfxAggregate::Output" ref="b430ce663510ff8eea83bbe0e3bedf6d" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string OfxAggregate::Output           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Composes this aggregate into a string<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>string form of this aggregate </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html#l00079">79</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5abc7ac34d575eaecde5f16310c766b8"></a><!-- doxytag: member="OfxAggregate::Add" ref="5abc7ac34d575eaecde5f16310c766b8" args="(const string &amp;tag, const string &amp;data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxAggregate::Add           </td>
+          <td>(</td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>tag</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Adds an element to this aggregate<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>tag</em>&nbsp;</td><td>The tag of the element to be added </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>data</em>&nbsp;</td><td>The data of the element to be added </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html#l00059">59</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html">fx-0.9.0/lib/ofx_aggregate.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2b729bb656f47efcf2bcfffaa22814e9"></a><!-- doxytag: member="OfxAggregate::Add" ref="2b729bb656f47efcf2bcfffaa22814e9" args="(const OfxAggregate &amp;sub)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxAggregate::Add           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>sub</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Adds a subordinate aggregate to this aggregate<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>sub</em>&nbsp;</td><td>The aggregate to be added </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html#l00069">69</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html">fx-0.9.0/lib/ofx_aggregate.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b430ce663510ff8eea83bbe0e3bedf6d"></a><!-- doxytag: member="OfxAggregate::Output" ref="b430ce663510ff8eea83bbe0e3bedf6d" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string OfxAggregate::Output           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Composes this aggregate into a string<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>string form of this aggregate </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html#l00079">79</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html">fx-0.9.0/lib/ofx_aggregate.hh</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html">fx-0.9.0/lib/ofx_aggregate.hh</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxAggregate.png'
Binary files doc/html/classOfxAggregate.png and doc/html/classOfxAggregate.png differ
=== modified file 'doc/html/classOfxBalanceContainer.html'
--- doc/html/classOfxBalanceContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxBalanceContainer.html	2008-02-06 17:25:16 +0000
@@ -1,222 +1,240 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxBalanceContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxBalanceContainer Class Reference</h1><!-- doxytag: class="OfxBalanceContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer" --><p>Inheritance diagram for OfxBalanceContainer:
+  </ul>
+</div>
+<h1>OfxBalanceContainer Class Reference</h1><!-- doxytag: class="OfxBalanceContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer,OfxGenericContainer" --><div class="dynheader">
+Inheritance diagram for OfxBalanceContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxBalanceContainer.png" usemap="#OfxBalanceContainer_map" border="0" alt=""></center>
 <map name="OfxBalanceContainer_map">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="0,0,133,24">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="143,0,276,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="286,0,419,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 Represents the &lt;BALANCE&gt; OFX SGML entity. 
 <p>
-<a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a> is an auxiliary container (there is no matching data object in libofx.h) 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00106">106</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<a class="el" href="classOfxBalanceContainer.html" title="Represents the &lt;BALANCE&gt; OFX SGML entity.">OfxBalanceContainer</a> is an auxiliary container (there is no matching data object in libofx.h) 
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00106">106</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ced3ba2d0bf96c8a11393653fce83430"></a><!-- doxytag: member="OfxBalanceContainer::OfxBalanceContainer" ref="ced3ba2d0bf96c8a11393653fce83430" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#ced3ba2d0bf96c8a11393653fce83430">OfxBalanceContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c599f6e53e908ed329baab8ca0a52d56"></a><!-- doxytag: member="OfxBalanceContainer::~OfxBalanceContainer" ref="c599f6e53e908ed329baab8ca0a52d56" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#c599f6e53e908ed329baab8ca0a52d56">~OfxBalanceContainer</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#b73b3a71f83908f680a18bae93b81cce"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ced3ba2d0bf96c8a11393653fce83430"></a><!-- doxytag: member="OfxBalanceContainer::OfxBalanceContainer" ref="ced3ba2d0bf96c8a11393653fce83430" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxBalanceContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#b73b3a71f83908f680a18bae93b81cce"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="96baefa68988c2d9c2f46f553d40599f"></a><!-- doxytag: member="OfxBalanceContainer::OfxBalanceContainer" ref="96baefa68988c2d9c2f46f553d40599f" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#96baefa68988c2d9c2f46f553d40599f">OfxBalanceContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db4feb10b8e5328aab5025ff49fd43f5"></a><!-- doxytag: member="OfxBalanceContainer::~OfxBalanceContainer" ref="db4feb10b8e5328aab5025ff49fd43f5" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#db4feb10b8e5328aab5025ff49fd43f5">~OfxBalanceContainer</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#85951ca6d29aeace59a9ca86453e8abb"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="96baefa68988c2d9c2f46f553d40599f"></a><!-- doxytag: member="OfxBalanceContainer::OfxBalanceContainer" ref="96baefa68988c2d9c2f46f553d40599f" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxBalanceContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#85951ca6d29aeace59a9ca86453e8abb"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="96baefa68988c2d9c2f46f553d40599f"></a><!-- doxytag: member="OfxBalanceContainer::OfxBalanceContainer" ref="96baefa68988c2d9c2f46f553d40599f" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxBalanceContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#85951ca6d29aeace59a9ca86453e8abb"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">amount</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7ec2f084239fd4a2c62d5a969de0dc1d"></a><!-- doxytag: member="OfxBalanceContainer::amount_valid" ref="7ec2f084239fd4a2c62d5a969de0dc1d" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#6279f38dda6287846812f96e54a3e026">date</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c4f467bce968ab7dc878a2a999224d65"></a><!-- doxytag: member="OfxBalanceContainer::date_valid" ref="c4f467bce968ab7dc878a2a999224d65" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#c4f467bce968ab7dc878a2a999224d65">date_valid</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8ec139f87dfed172199cae86c4441c34"></a><!-- doxytag: member="OfxBalanceContainer::amount_valid" ref="8ec139f87dfed172199cae86c4441c34" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">date</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="63784a0db798c12aede0e3ff54888916"></a><!-- doxytag: member="OfxBalanceContainer::date_valid" ref="63784a0db798c12aede0e3ff54888916" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">date_valid</a></td></tr>
 
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="b73b3a71f83908f680a18bae93b81cce"></a><!-- doxytag: member="OfxBalanceContainer::add_attribute" ref="b73b3a71f83908f680a18bae93b81cce" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxBalanceContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b73b3a71f83908f680a18bae93b81cce"></a><!-- doxytag: member="OfxBalanceContainer::add_attribute" ref="b73b3a71f83908f680a18bae93b81cce" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxBalanceContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">156</a> of file <a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="85951ca6d29aeace59a9ca86453e8abb"></a><!-- doxytag: member="OfxBalanceContainer::add_attribute" ref="85951ca6d29aeace59a9ca86453e8abb" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxBalanceContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">156</a> of file <a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="85951ca6d29aeace59a9ca86453e8abb"></a><!-- doxytag: member="OfxBalanceContainer::add_attribute" ref="85951ca6d29aeace59a9ca86453e8abb" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxBalanceContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="85951ca6d29aeace59a9ca86453e8abb"></a><!-- doxytag: member="OfxBalanceContainer::add_attribute" ref="85951ca6d29aeace59a9ca86453e8abb" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxBalanceContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="fa9423ae0866062861a80312aa2dff3d"></a><!-- doxytag: member="OfxBalanceContainer::amount" ref="fa9423ae0866062861a80312aa2dff3d" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="fff1080e7dc3a6f6e09f1c0d9c1dc68f"></a><!-- doxytag: member="OfxBalanceContainer::amount" ref="fff1080e7dc3a6f6e09f1c0d9c1dc68f" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">double <a class="el" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">OfxBalanceContainer::amount</a>          </td>
+          <td class="memname">double <a class="el" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">OfxBalanceContainer::amount</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Interpretation depends on balance_type 
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00112">112</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">add_attribute()</a>, and <a class="el" href="ofx__container__statement_8cpp-source.html#l00073">OfxStatementContainer::add_balance()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="6279f38dda6287846812f96e54a3e026"></a><!-- doxytag: member="OfxBalanceContainer::date" ref="6279f38dda6287846812f96e54a3e026" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00112">112</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">add_attribute()</a>, and <a class="el" href="ofx__container__statement_8cpp-source.html#l00073">OfxStatementContainer::add_balance()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="63069560ec9ee3524688452b00f0a39d"></a><!-- doxytag: member="OfxBalanceContainer::date" ref="63069560ec9ee3524688452b00f0a39d" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">time_t <a class="el" href="classOfxBalanceContainer.html#6279f38dda6287846812f96e54a3e026">OfxBalanceContainer::date</a>          </td>
+          <td class="memname">time_t <a class="el" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">OfxBalanceContainer::date</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Effective date of the given balance 
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00114">114</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">add_attribute()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00114">114</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">add_attribute()</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.9.0/lib/ofx_containers_misc.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxBalanceContainer.png'
Binary files doc/html/classOfxBalanceContainer.png and doc/html/classOfxBalanceContainer.png differ
=== modified file 'doc/html/classOfxBankTransactionContainer.html'
--- doc/html/classOfxBankTransactionContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxBankTransactionContainer.html	2008-02-06 17:25:16 +0000
@@ -1,157 +1,196 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxBankTransactionContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxBankTransactionContainer Class Reference</h1><!-- doxytag: class="OfxBankTransactionContainer" --><!-- doxytag: inherits="OfxTransactionContainer,OfxTransactionContainer" --><p>Inheritance diagram for OfxBankTransactionContainer:
+  </ul>
+</div>
+<h1>OfxBankTransactionContainer Class Reference</h1><!-- doxytag: class="OfxBankTransactionContainer" --><!-- doxytag: inherits="OfxTransactionContainer,OfxTransactionContainer,OfxTransactionContainer" --><div class="dynheader">
+Inheritance diagram for OfxBankTransactionContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxBankTransactionContainer.png" usemap="#OfxBankTransactionContainer_map" border="0" alt=""></center>
 <map name="OfxBankTransactionContainer_map">
-<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="95,56,276,80">
-<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="477,56,658,80">
-<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="0,0,181,24">
+<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="0,168,181,192">
+<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="382,168,563,192">
+<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="764,168,945,192">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="955,112,1136,136">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="955,56,1136,80">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="955,0,1136,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="573,112,754,136">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="573,56,754,80">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="573,0,754,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="191,112,372,136">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="191,56,372,80">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="191,0,372,24">
-<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="382,0,563,24">
-<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="573,0,754,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 Represents a bank or credid card transaction. 
 <p>
 Built from &lt;STMTTRN&gt; OFX SGML entity 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00212">212</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00212">212</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="132e3ab795f765cbec2320e9961a7558"></a><!-- doxytag: member="OfxBankTransactionContainer::OfxBankTransactionContainer" ref="132e3ab795f765cbec2320e9961a7558" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBankTransactionContainer.html#132e3ab795f765cbec2320e9961a7558">OfxBankTransactionContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#c9878aff856a321afbe1d30375858d8f"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="132e3ab795f765cbec2320e9961a7558"></a><!-- doxytag: member="OfxBankTransactionContainer::OfxBankTransactionContainer" ref="132e3ab795f765cbec2320e9961a7558" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxBankTransactionContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#c9878aff856a321afbe1d30375858d8f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59d1936cd1cd0a66c4c0a8e993c123f4"></a><!-- doxytag: member="OfxBankTransactionContainer::OfxBankTransactionContainer" ref="59d1936cd1cd0a66c4c0a8e993c123f4" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBankTransactionContainer.html#59d1936cd1cd0a66c4c0a8e993c123f4">OfxBankTransactionContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#9978c004a174afd5d013ca9806464d6d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59d1936cd1cd0a66c4c0a8e993c123f4"></a><!-- doxytag: member="OfxBankTransactionContainer::OfxBankTransactionContainer" ref="59d1936cd1cd0a66c4c0a8e993c123f4" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxBankTransactionContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#9978c004a174afd5d013ca9806464d6d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59d1936cd1cd0a66c4c0a8e993c123f4"></a><!-- doxytag: member="OfxBankTransactionContainer::OfxBankTransactionContainer" ref="59d1936cd1cd0a66c4c0a8e993c123f4" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxBankTransactionContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#9978c004a174afd5d013ca9806464d6d"></a><br></td></tr>
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="c9878aff856a321afbe1d30375858d8f"></a><!-- doxytag: member="OfxBankTransactionContainer::add_attribute" ref="c9878aff856a321afbe1d30375858d8f" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxBankTransactionContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="c9878aff856a321afbe1d30375858d8f"></a><!-- doxytag: member="OfxBankTransactionContainer::add_attribute" ref="c9878aff856a321afbe1d30375858d8f" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxBankTransactionContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">161</a> of file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="9978c004a174afd5d013ca9806464d6d"></a><!-- doxytag: member="OfxBankTransactionContainer::add_attribute" ref="9978c004a174afd5d013ca9806464d6d" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxBankTransactionContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">161</a> of file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="9978c004a174afd5d013ca9806464d6d"></a><!-- doxytag: member="OfxBankTransactionContainer::add_attribute" ref="9978c004a174afd5d013ca9806464d6d" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxBankTransactionContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="9978c004a174afd5d013ca9806464d6d"></a><!-- doxytag: member="OfxBankTransactionContainer::add_attribute" ref="9978c004a174afd5d013ca9806464d6d" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxBankTransactionContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.8.2/lib/ofx_container_transaction.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.8.2/lib/ofx_container_transaction.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.9.0/lib/ofx_container_transaction.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxBankTransactionContainer.png'
Binary files doc/html/classOfxBankTransactionContainer.png and doc/html/classOfxBankTransactionContainer.png differ
=== modified file 'doc/html/classOfxDummyContainer.html'
--- doc/html/classOfxDummyContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxDummyContainer.html	2008-02-06 17:25:16 +0000
@@ -1,153 +1,187 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxDummyContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxDummyContainer Class Reference</h1><!-- doxytag: class="OfxDummyContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer" --><p>Inheritance diagram for OfxDummyContainer:
+  </ul>
+</div>
+<h1>OfxDummyContainer Class Reference</h1><!-- doxytag: class="OfxDummyContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer,OfxGenericContainer" --><div class="dynheader">
+Inheritance diagram for OfxDummyContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxDummyContainer.png" usemap="#OfxDummyContainer_map" border="0" alt=""></center>
 <map name="OfxDummyContainer_map">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="0,0,132,24">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="142,0,274,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="284,0,416,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 A container to holds OFX SGML elements that LibOFX knows nothing about. 
 <p>
-The <a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a> is used for elements (not data elements) that are not recognised. Note that recognised objects may very well be a children of an <a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a>. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00075">75</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+The <a class="el" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a> is used for elements (not data elements) that are not recognised. Note that recognised objects may very well be a children of an <a class="el" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>. 
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00075">75</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="26ed2ce0842ca533c80432080bb5d686"></a><!-- doxytag: member="OfxDummyContainer::OfxDummyContainer" ref="26ed2ce0842ca533c80432080bb5d686" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxDummyContainer.html#26ed2ce0842ca533c80432080bb5d686">OfxDummyContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#557663847ca8cf3d030d5d287bde4e02"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="26ed2ce0842ca533c80432080bb5d686"></a><!-- doxytag: member="OfxDummyContainer::OfxDummyContainer" ref="26ed2ce0842ca533c80432080bb5d686" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxDummyContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#557663847ca8cf3d030d5d287bde4e02"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b28080b768be9d5d36d8b7791591bbcd"></a><!-- doxytag: member="OfxDummyContainer::OfxDummyContainer" ref="b28080b768be9d5d36d8b7791591bbcd" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxDummyContainer.html#b28080b768be9d5d36d8b7791591bbcd">OfxDummyContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#20a4287788197b0a787d94d450b85db3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b28080b768be9d5d36d8b7791591bbcd"></a><!-- doxytag: member="OfxDummyContainer::OfxDummyContainer" ref="b28080b768be9d5d36d8b7791591bbcd" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxDummyContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#20a4287788197b0a787d94d450b85db3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b28080b768be9d5d36d8b7791591bbcd"></a><!-- doxytag: member="OfxDummyContainer::OfxDummyContainer" ref="b28080b768be9d5d36d8b7791591bbcd" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxDummyContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#20a4287788197b0a787d94d450b85db3"></a><br></td></tr>
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="557663847ca8cf3d030d5d287bde4e02"></a><!-- doxytag: member="OfxDummyContainer::add_attribute" ref="557663847ca8cf3d030d5d287bde4e02" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxDummyContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="557663847ca8cf3d030d5d287bde4e02"></a><!-- doxytag: member="OfxDummyContainer::add_attribute" ref="557663847ca8cf3d030d5d287bde4e02" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxDummyContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__containers__misc_8cpp-source.html#l00047">47</a> of file <a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="20a4287788197b0a787d94d450b85db3"></a><!-- doxytag: member="OfxDummyContainer::add_attribute" ref="20a4287788197b0a787d94d450b85db3" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxDummyContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__containers__misc_8cpp-source.html#l00047">47</a> of file <a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="20a4287788197b0a787d94d450b85db3"></a><!-- doxytag: member="OfxDummyContainer::add_attribute" ref="20a4287788197b0a787d94d450b85db3" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxDummyContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="20a4287788197b0a787d94d450b85db3"></a><!-- doxytag: member="OfxDummyContainer::add_attribute" ref="20a4287788197b0a787d94d450b85db3" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxDummyContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.9.0/lib/ofx_containers_misc.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxDummyContainer.png'
Binary files doc/html/classOfxDummyContainer.png and doc/html/classOfxDummyContainer.png differ
=== modified file 'doc/html/classOfxGenericContainer.html'
--- doc/html/classOfxGenericContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxGenericContainer.html	2008-02-06 17:25:16 +0000
@@ -1,417 +1,484 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxGenericContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxGenericContainer Class Reference</h1><!-- doxytag: class="OfxGenericContainer" --><p>Inheritance diagram for OfxGenericContainer:
+  </ul>
+</div>
+<h1>OfxGenericContainer Class Reference</h1><!-- doxytag: class="OfxGenericContainer" --><div class="dynheader">
+Inheritance diagram for OfxGenericContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxGenericContainer.png" usemap="#OfxGenericContainer_map" border="0" alt=""></center>
 <map name="OfxGenericContainer_map">
 <area href="classOfxAccountContainer.html" alt="OfxAccountContainer" shape="rect" coords="163,56,316,80">
 <area href="classOfxAccountContainer.html" alt="OfxAccountContainer" shape="rect" coords="163,112,316,136">
-<area href="classOfxBalanceContainer.html" alt="OfxBalanceContainer" shape="rect" coords="163,168,316,192">
+<area href="classOfxAccountContainer.html" alt="OfxAccountContainer" shape="rect" coords="163,168,316,192">
 <area href="classOfxBalanceContainer.html" alt="OfxBalanceContainer" shape="rect" coords="163,224,316,248">
-<area href="classOfxDummyContainer.html" alt="OfxDummyContainer" shape="rect" coords="163,280,316,304">
-<area href="classOfxDummyContainer.html" alt="OfxDummyContainer" shape="rect" coords="163,336,316,360">
-<area href="classOfxMainContainer.html" alt="OfxMainContainer" shape="rect" coords="163,392,316,416">
-<area href="classOfxMainContainer.html" alt="OfxMainContainer" shape="rect" coords="163,448,316,472">
-<area href="classOfxPushUpContainer.html" alt="OfxPushUpContainer" shape="rect" coords="163,504,316,528">
-<area href="classOfxPushUpContainer.html" alt="OfxPushUpContainer" shape="rect" coords="163,560,316,584">
-<area href="classOfxSecurityContainer.html" alt="OfxSecurityContainer" shape="rect" coords="163,616,316,640">
-<area href="classOfxSecurityContainer.html" alt="OfxSecurityContainer" shape="rect" coords="163,672,316,696">
-<area href="classOfxStatementContainer.html" alt="OfxStatementContainer" shape="rect" coords="163,728,316,752">
-<area href="classOfxStatementContainer.html" alt="OfxStatementContainer" shape="rect" coords="163,784,316,808">
-<area href="classOfxStatusContainer.html" alt="OfxStatusContainer" shape="rect" coords="163,840,316,864">
-<area href="classOfxStatusContainer.html" alt="OfxStatusContainer" shape="rect" coords="163,896,316,920">
-<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="163,952,316,976">
-<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="163,1008,316,1032">
+<area href="classOfxBalanceContainer.html" alt="OfxBalanceContainer" shape="rect" coords="163,280,316,304">
+<area href="classOfxBalanceContainer.html" alt="OfxBalanceContainer" shape="rect" coords="163,336,316,360">
+<area href="classOfxDummyContainer.html" alt="OfxDummyContainer" shape="rect" coords="163,392,316,416">
+<area href="classOfxDummyContainer.html" alt="OfxDummyContainer" shape="rect" coords="163,448,316,472">
+<area href="classOfxDummyContainer.html" alt="OfxDummyContainer" shape="rect" coords="163,504,316,528">
+<area href="classOfxMainContainer.html" alt="OfxMainContainer" shape="rect" coords="163,560,316,584">
+<area href="classOfxMainContainer.html" alt="OfxMainContainer" shape="rect" coords="163,616,316,640">
+<area href="classOfxMainContainer.html" alt="OfxMainContainer" shape="rect" coords="163,672,316,696">
+<area href="classOfxPushUpContainer.html" alt="OfxPushUpContainer" shape="rect" coords="163,728,316,752">
+<area href="classOfxPushUpContainer.html" alt="OfxPushUpContainer" shape="rect" coords="163,784,316,808">
+<area href="classOfxPushUpContainer.html" alt="OfxPushUpContainer" shape="rect" coords="163,840,316,864">
+<area href="classOfxSecurityContainer.html" alt="OfxSecurityContainer" shape="rect" coords="163,896,316,920">
+<area href="classOfxSecurityContainer.html" alt="OfxSecurityContainer" shape="rect" coords="163,952,316,976">
+<area href="classOfxSecurityContainer.html" alt="OfxSecurityContainer" shape="rect" coords="163,1008,316,1032">
+<area href="classOfxStatementContainer.html" alt="OfxStatementContainer" shape="rect" coords="163,1064,316,1088">
+<area href="classOfxStatementContainer.html" alt="OfxStatementContainer" shape="rect" coords="163,1120,316,1144">
+<area href="classOfxStatementContainer.html" alt="OfxStatementContainer" shape="rect" coords="163,1176,316,1200">
+<area href="classOfxStatusContainer.html" alt="OfxStatusContainer" shape="rect" coords="163,1232,316,1256">
+<area href="classOfxStatusContainer.html" alt="OfxStatusContainer" shape="rect" coords="163,1288,316,1312">
+<area href="classOfxStatusContainer.html" alt="OfxStatusContainer" shape="rect" coords="163,1344,316,1368">
+<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="163,1400,316,1424">
+<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="163,1456,316,1480">
+<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="163,1512,316,1536">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
-A generic container for an OFX SGML element. Every container inherits from <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a>. 
-<p>
-A hierarchy of containers is built as the file is parsed. The supported OFX elements all have a matching container. The others are assigned a <a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a>, so every OFX element creates a container as the file is par Note however that containers are destroyed as soon as the corresponding SGML element is closed. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00033">33</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+A generic container for an OFX SGML element. Every container inherits from <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>. 
+<p>
+A hierarchy of containers is built as the file is parsed. The supported OFX elements all have a matching container. The others are assigned a <a class="el" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>, so every OFX element creates a container as the file is par Note however that containers are destroyed as soon as the corresponding SGML element is closed. 
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00033">33</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e48e58d94a10dbe1d47c9aa63594c141"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="e48e58d94a10dbe1d47c9aa63594c141" args="(LibofxContext *p_libofx_context)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="49a8613c76ba89c27aad9ff33887f90f"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="49a8613c76ba89c27aad9ff33887f90f" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#49a8613c76ba89c27aad9ff33887f90f">OfxGenericContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5adffc48d493402fd48bbad937a692e6"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="5adffc48d493402fd48bbad937a692e6" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#5adffc48d493402fd48bbad937a692e6">OfxGenericContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="66cdbfa777837b67fe32053e63199249"></a><!-- doxytag: member="OfxGenericContainer::~OfxGenericContainer" ref="66cdbfa777837b67fe32053e63199249" args="()" -->
-virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#66cdbfa777837b67fe32053e63199249">~OfxGenericContainer</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#e759f97dafd5f7cc55467d9b1de50159"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#71db0643fef8ccf62dddbadf5805c0eb"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">add_to_main_tree</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main tree.  <a href="#3ac7545c12ab5bfd3c47a946ccc69fc0"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2fb3838619459bcf9c9f378151c22f1e"></a><!-- doxytag: member="OfxGenericContainer::getparent" ref="2fb3838619459bcf9c9f378151c22f1e" args="()" -->
-<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the parent container object (the one representing the containing OFX SGML element). <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e48e58d94a10dbe1d47c9aa63594c141"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="e48e58d94a10dbe1d47c9aa63594c141" args="(LibofxContext *p_libofx_context)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxGenericContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="49a8613c76ba89c27aad9ff33887f90f"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="49a8613c76ba89c27aad9ff33887f90f" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxGenericContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5adffc48d493402fd48bbad937a692e6"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="5adffc48d493402fd48bbad937a692e6" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxGenericContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="66cdbfa777837b67fe32053e63199249"></a><!-- doxytag: member="OfxGenericContainer::~OfxGenericContainer" ref="66cdbfa777837b67fe32053e63199249" args="()" -->
-virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#66cdbfa777837b67fe32053e63199249">~OfxGenericContainer</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#7c40bd25355c995e1caadb19ecafad85">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#7c40bd25355c995e1caadb19ecafad85"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#5e5430a7e8962f5a97ba71434a72093b">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#5e5430a7e8962f5a97ba71434a72093b"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#816dcc15a82874c7033475cb94362e00">add_to_main_tree</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main tree.  <a href="#816dcc15a82874c7033475cb94362e00"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3746e924cfe7b4af3c4fc082991d4c6c"></a><!-- doxytag: member="OfxGenericContainer::getparent" ref="3746e924cfe7b4af3c4fc082991d4c6c" args="()" -->
-<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#3746e924cfe7b4af3c4fc082991d4c6c">getparent</a> ()</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a304d5bef635e4771cc04f3d55b8faa0"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="a304d5bef635e4771cc04f3d55b8faa0" args="(LibofxContext *p_libofx_context)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3439790d6565423746d460be7510b888"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="3439790d6565423746d460be7510b888" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#3439790d6565423746d460be7510b888">OfxGenericContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2767854a4bd914130650ce49eade8f81"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="2767854a4bd914130650ce49eade8f81" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#2767854a4bd914130650ce49eade8f81">OfxGenericContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c9ee3f711630e091b036009a2c69de97"></a><!-- doxytag: member="OfxGenericContainer::~OfxGenericContainer" ref="c9ee3f711630e091b036009a2c69de97" args="()" -->
+virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">~OfxGenericContainer</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#6168716a931dc8e74bcb534fdadaf778"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#a8ffd0a68bcea4f0048b392af5078105"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#e9ddc283e5d9a2853d7e02b4d9584036"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3d6e18d61e9e8f43a956e50cc5f90597"></a><!-- doxytag: member="OfxGenericContainer::getparent" ref="3d6e18d61e9e8f43a956e50cc5f90597" args="()" -->
+<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597">getparent</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the parent container object (the one representing the containing OFX SGML element). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a304d5bef635e4771cc04f3d55b8faa0"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="a304d5bef635e4771cc04f3d55b8faa0" args="(LibofxContext *p_libofx_context)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxGenericContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3439790d6565423746d460be7510b888"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="3439790d6565423746d460be7510b888" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxGenericContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2767854a4bd914130650ce49eade8f81"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="2767854a4bd914130650ce49eade8f81" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxGenericContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c9ee3f711630e091b036009a2c69de97"></a><!-- doxytag: member="OfxGenericContainer::~OfxGenericContainer" ref="c9ee3f711630e091b036009a2c69de97" args="()" -->
+virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">~OfxGenericContainer</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#5de5c85a85aa1a35850c8528fd9c0fcd">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#5de5c85a85aa1a35850c8528fd9c0fcd"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#57d3ae11d686961d6d5745cd02576694">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#57d3ae11d686961d6d5745cd02576694"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#172bdf425c7b89f8c1129a40307cac6e">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#172bdf425c7b89f8c1129a40307cac6e"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="20c3e9b8e1c564b0050c446dd1371f5d"></a><!-- doxytag: member="OfxGenericContainer::getparent" ref="20c3e9b8e1c564b0050c446dd1371f5d" args="()" -->
+<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#20c3e9b8e1c564b0050c446dd1371f5d">getparent</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the parent container object (the one representing the containing OFX SGML element). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a304d5bef635e4771cc04f3d55b8faa0"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="a304d5bef635e4771cc04f3d55b8faa0" args="(LibofxContext *p_libofx_context)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxGenericContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3439790d6565423746d460be7510b888"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="3439790d6565423746d460be7510b888" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxGenericContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2767854a4bd914130650ce49eade8f81"></a><!-- doxytag: member="OfxGenericContainer::OfxGenericContainer" ref="2767854a4bd914130650ce49eade8f81" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxGenericContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c9ee3f711630e091b036009a2c69de97"></a><!-- doxytag: member="OfxGenericContainer::~OfxGenericContainer" ref="c9ee3f711630e091b036009a2c69de97" args="()" -->
+virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">~OfxGenericContainer</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#5de5c85a85aa1a35850c8528fd9c0fcd">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#5de5c85a85aa1a35850c8528fd9c0fcd"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#57d3ae11d686961d6d5745cd02576694">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#57d3ae11d686961d6d5745cd02576694"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#172bdf425c7b89f8c1129a40307cac6e">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#172bdf425c7b89f8c1129a40307cac6e"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="20c3e9b8e1c564b0050c446dd1371f5d"></a><!-- doxytag: member="OfxGenericContainer::getparent" ref="20c3e9b8e1c564b0050c446dd1371f5d" args="()" -->
+<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#20c3e9b8e1c564b0050c446dd1371f5d">getparent</a> ()</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the parent container object (the one representing the containing OFX SGML element). <br></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a71e65ff8f141a4b2df1860c994551a8"></a><!-- doxytag: member="OfxGenericContainer::parentcontainer" ref="a71e65ff8f141a4b2df1860c994551a8" args="" -->
-<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dedbff16e5cf82496342a9f5a0048c46"></a><!-- doxytag: member="OfxGenericContainer::libofx_context" ref="dedbff16e5cf82496342a9f5a0048c46" args="" -->
-<a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a71e65ff8f141a4b2df1860c994551a8"></a><!-- doxytag: member="OfxGenericContainer::parentcontainer" ref="a71e65ff8f141a4b2df1860c994551a8" args="" -->
-<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dedbff16e5cf82496342a9f5a0048c46"></a><!-- doxytag: member="OfxGenericContainer::libofx_context" ref="dedbff16e5cf82496342a9f5a0048c46" args="" -->
-<a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ff401a93eb35ca34b1e028dab30887ba"></a><!-- doxytag: member="OfxGenericContainer::parentcontainer" ref="ff401a93eb35ca34b1e028dab30887ba" args="" -->
+<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a2d199f4cd2a723ea2c935e83fbc340d"></a><!-- doxytag: member="OfxGenericContainer::libofx_context" ref="a2d199f4cd2a723ea2c935e83fbc340d" args="" -->
+<a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ff401a93eb35ca34b1e028dab30887ba"></a><!-- doxytag: member="OfxGenericContainer::parentcontainer" ref="ff401a93eb35ca34b1e028dab30887ba" args="" -->
+<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a2d199f4cd2a723ea2c935e83fbc340d"></a><!-- doxytag: member="OfxGenericContainer::libofx_context" ref="a2d199f4cd2a723ea2c935e83fbc340d" args="" -->
+<a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ff401a93eb35ca34b1e028dab30887ba"></a><!-- doxytag: member="OfxGenericContainer::parentcontainer" ref="ff401a93eb35ca34b1e028dab30887ba" args="" -->
+<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a2d199f4cd2a723ea2c935e83fbc340d"></a><!-- doxytag: member="OfxGenericContainer::libofx_context" ref="a2d199f4cd2a723ea2c935e83fbc340d" args="" -->
+<a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a></td></tr>
 
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="7c40bd25355c995e1caadb19ecafad85"></a><!-- doxytag: member="OfxGenericContainer::add_attribute" ref="7c40bd25355c995e1caadb19ecafad85" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual void OfxGenericContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented in <a class="el" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#0f4825ddd57813fc045b7f6d77337f75">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, and <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="e759f97dafd5f7cc55467d9b1de50159"></a><!-- doxytag: member="OfxGenericContainer::add_attribute" ref="e759f97dafd5f7cc55467d9b1de50159" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxGenericContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented in <a class="el" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#0f4825ddd57813fc045b7f6d77337f75">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, and <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__generic_8cpp-source.html#l00055">55</a> of file <a class="el" href="ofx__container__generic_8cpp-source.html">ofx_container_generic.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">OfxBalanceContainer::add_attribute()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00062">OfxPushUpContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, <a class="el" href="ofx__container__account_8cpp-source.html#l00074">OfxAccountContainer::add_attribute()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="816dcc15a82874c7033475cb94362e00"></a><!-- doxytag: member="OfxGenericContainer::add_to_main_tree" ref="816dcc15a82874c7033475cb94362e00" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual int OfxGenericContainer::add_to_main_tree           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add this container to the main tree. 
-<p>
-add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. <dl compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
-
-<p>
-Reimplemented in <a class="el" href="classOfxStatementContainer.html#19b7458f71a8e47e25525f81009c5146">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#06f05be00e89e4ce256eb709dcad4326">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#013d08423359102e1c596ad84a89e80f">OfxTransactionContainer</a>, <a class="el" href="classOfxStatementContainer.html#428dc6528715f6d2c71fd491af4d0db2">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#7b20f785d5de5457825a88432d876c07">OfxSecurityContainer</a>, and <a class="el" href="classOfxTransactionContainer.html#16b5fec1613ce8d3d52c338650a2b39f">OfxTransactionContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="3ac7545c12ab5bfd3c47a946ccc69fc0"></a><!-- doxytag: member="OfxGenericContainer::add_to_main_tree" ref="3ac7545c12ab5bfd3c47a946ccc69fc0" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxGenericContainer::add_to_main_tree           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add this container to the main tree. 
-<p>
-add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. <dl compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
-
-<p>
-Reimplemented in <a class="el" href="classOfxStatementContainer.html#19b7458f71a8e47e25525f81009c5146">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#06f05be00e89e4ce256eb709dcad4326">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#013d08423359102e1c596ad84a89e80f">OfxTransactionContainer</a>, <a class="el" href="classOfxStatementContainer.html#428dc6528715f6d2c71fd491af4d0db2">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#7b20f785d5de5457825a88432d876c07">OfxSecurityContainer</a>, and <a class="el" href="classOfxTransactionContainer.html#16b5fec1613ce8d3d52c338650a2b39f">OfxTransactionContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__generic_8cpp-source.html#l00072">72</a> of file <a class="el" href="ofx__container__generic_8cpp-source.html">ofx_container_generic.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="5e5430a7e8962f5a97ba71434a72093b"></a><!-- doxytag: member="OfxGenericContainer::gen_event" ref="5e5430a7e8962f5a97ba71434a72093b" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual int OfxGenericContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented in <a class="el" href="classOfxStatementContainer.html#69dba408b387ea2e474c0cd9cbca03a1">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#82735b303e3cafb6ac1f6a715fa4e6e8">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#a09d8de2d49cb79864dce68671f57400">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#c6619c52d4918a6f0e4b8e46920c26c7">OfxTransactionContainer</a>, <a class="el" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">OfxMainContainer</a>, <a class="el" href="classOfxStatementContainer.html#759e443a11dec9ff60fa77f9d59e31bd">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#5a64b04111a5fb3d7ac76deb1d936be3">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#462e1fa2a853fa589e040392df958249">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#a21eb3b0ed7da32dfec8a6f162e942f9">OfxTransactionContainer</a>, and <a class="el" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">OfxMainContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="71db0643fef8ccf62dddbadf5805c0eb"></a><!-- doxytag: member="OfxGenericContainer::gen_event" ref="71db0643fef8ccf62dddbadf5805c0eb" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxGenericContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented in <a class="el" href="classOfxStatementContainer.html#69dba408b387ea2e474c0cd9cbca03a1">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#82735b303e3cafb6ac1f6a715fa4e6e8">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#a09d8de2d49cb79864dce68671f57400">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#c6619c52d4918a6f0e4b8e46920c26c7">OfxTransactionContainer</a>, <a class="el" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">OfxMainContainer</a>, <a class="el" href="classOfxStatementContainer.html#759e443a11dec9ff60fa77f9d59e31bd">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#5a64b04111a5fb3d7ac76deb1d936be3">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#462e1fa2a853fa589e040392df958249">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#a21eb3b0ed7da32dfec8a6f162e942f9">OfxTransactionContainer</a>, and <a class="el" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">OfxMainContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__generic_8cpp-source.html#l00066">66</a> of file <a class="el" href="ofx__container__generic_8cpp-source.html">ofx_container_generic.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__main_8cpp-source.html#l00057">OfxMainContainer::add_container()</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="6168716a931dc8e74bcb534fdadaf778"></a><!-- doxytag: member="OfxGenericContainer::add_attribute" ref="6168716a931dc8e74bcb534fdadaf778" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxGenericContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented in <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, and <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__generic_8cpp-source.html#l00055">55</a> of file <a class="el" href="ofx__container__generic_8cpp-source.html">ofx_container_generic.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">OfxBalanceContainer::add_attribute()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00062">OfxPushUpContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, <a class="el" href="ofx__container__account_8cpp-source.html#l00074">OfxAccountContainer::add_attribute()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="a8ffd0a68bcea4f0048b392af5078105"></a><!-- doxytag: member="OfxGenericContainer::gen_event" ref="a8ffd0a68bcea4f0048b392af5078105" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxGenericContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented in <a class="el" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99">OfxTransactionContainer</a>, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>, <a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">OfxTransactionContainer</a>, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>, <a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">OfxTransactionContainer</a>, and <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__generic_8cpp-source.html#l00066">66</a> of file <a class="el" href="ofx__container__generic_8cpp-source.html">ofx_container_generic.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__main_8cpp-source.html#l00057">OfxMainContainer::add_container()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e9ddc283e5d9a2853d7e02b4d9584036"></a><!-- doxytag: member="OfxGenericContainer::add_to_main_tree" ref="e9ddc283e5d9a2853d7e02b4d9584036" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxGenericContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented in <a class="el" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d">OfxTransactionContainer</a>, <a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">OfxTransactionContainer</a>, <a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">OfxSecurityContainer</a>, and <a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">OfxTransactionContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__generic_8cpp-source.html#l00072">72</a> of file <a class="el" href="ofx__container__generic_8cpp-source.html">ofx_container_generic.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5de5c85a85aa1a35850c8528fd9c0fcd"></a><!-- doxytag: member="OfxGenericContainer::add_attribute" ref="5de5c85a85aa1a35850c8528fd9c0fcd" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual void OfxGenericContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented in <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, and <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="57d3ae11d686961d6d5745cd02576694"></a><!-- doxytag: member="OfxGenericContainer::gen_event" ref="57d3ae11d686961d6d5745cd02576694" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxGenericContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented in <a class="el" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99">OfxTransactionContainer</a>, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>, <a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">OfxTransactionContainer</a>, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>, <a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">OfxTransactionContainer</a>, and <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="172bdf425c7b89f8c1129a40307cac6e"></a><!-- doxytag: member="OfxGenericContainer::add_to_main_tree" ref="172bdf425c7b89f8c1129a40307cac6e" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxGenericContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented in <a class="el" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d">OfxTransactionContainer</a>, <a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">OfxTransactionContainer</a>, <a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">OfxSecurityContainer</a>, and <a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">OfxTransactionContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5de5c85a85aa1a35850c8528fd9c0fcd"></a><!-- doxytag: member="OfxGenericContainer::add_attribute" ref="5de5c85a85aa1a35850c8528fd9c0fcd" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual void OfxGenericContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented in <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, and <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="57d3ae11d686961d6d5745cd02576694"></a><!-- doxytag: member="OfxGenericContainer::gen_event" ref="57d3ae11d686961d6d5745cd02576694" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxGenericContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented in <a class="el" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99">OfxTransactionContainer</a>, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>, <a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">OfxTransactionContainer</a>, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>, <a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">OfxTransactionContainer</a>, and <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="172bdf425c7b89f8c1129a40307cac6e"></a><!-- doxytag: member="OfxGenericContainer::add_to_main_tree" ref="172bdf425c7b89f8c1129a40307cac6e" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxGenericContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented in <a class="el" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d">OfxTransactionContainer</a>, <a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">OfxSecurityContainer</a>, <a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">OfxTransactionContainer</a>, <a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">OfxStatementContainer</a>, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>, <a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">OfxSecurityContainer</a>, and <a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">OfxTransactionContainer</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="42f7ea95e7298c4c3f84c115e106ce25"></a><!-- doxytag: member="OfxGenericContainer::tag_identifier" ref="42f7ea95e7298c4c3f84c115e106ce25" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">string <a class="el" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">OfxGenericContainer::tag_identifier</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<a class="anchor" name="2cad6fe32c79d320b8808d1e88b4e18a"></a><!-- doxytag: member="OfxGenericContainer::type" ref="2cad6fe32c79d320b8808d1e88b4e18a" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string <a class="el" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">OfxGenericContainer::type</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The type of the object, often == tag_identifier 
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00035">35</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, <a class="el" href="ofx__container__generic_8cpp-source.html#l00055">add_attribute()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>, <a class="el" href="ofx__container__account_8cpp-source.html#l00036">OfxAccountContainer::OfxAccountContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00137">OfxBalanceContainer::OfxBalanceContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00041">OfxDummyContainer::OfxDummyContainer()</a>, <a class="el" href="ofx__container__generic_8cpp-source.html#l00031">OfxGenericContainer()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00259">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00056">OfxPushUpContainer::OfxPushUpContainer()</a>, <a class="el" href="ofx__container__security_8cpp-source.html#l00036">OfxSecurityContainer::OfxSecurityContainer()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00036">OfxStatementContainer::OfxStatementContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00072">OfxStatusContainer::OfxStatusContainer()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00036">OfxTransactionContainer::OfxTransactionContainer()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00071">OFXApplication::startElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00064">OFCApplication::startElement()</a>, and <a class="el" href="ofx__containers__misc_8cpp-source.html#l00145">OfxBalanceContainer::~OfxBalanceContainer()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2594ccb63eaf769a6b4b5d224411f031"></a><!-- doxytag: member="OfxGenericContainer::tag_identifier" ref="2594ccb63eaf769a6b4b5d224411f031" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string <a class="el" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">OfxGenericContainer::tag_identifier</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 The identifer of the creating tag 
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00036">36</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00047">OfxDummyContainer::add_attribute()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00073">OfxStatementContainer::add_balance()</a>, <a class="el" href="ofx__container__main_8cpp-source.html#l00057">OfxMainContainer::add_container()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>, <a class="el" href="ofx__container__generic_8cpp-source.html#l00031">OfxGenericContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00056">OfxPushUpContainer::OfxPushUpContainer()</a>, and <a class="el" href="ofx__containers__misc_8cpp-source.html#l00072">OfxStatusContainer::OfxStatusContainer()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="0008d81645273eedfdbd2ba59792b67c"></a><!-- doxytag: member="OfxGenericContainer::type" ref="0008d81645273eedfdbd2ba59792b67c" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">string <a class="el" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">OfxGenericContainer::type</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The type of the object, often == tag_identifier 
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00035">35</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, <a class="el" href="ofx__container__generic_8cpp-source.html#l00055">add_attribute()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>, <a class="el" href="ofx__container__account_8cpp-source.html#l00036">OfxAccountContainer::OfxAccountContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00137">OfxBalanceContainer::OfxBalanceContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00041">OfxDummyContainer::OfxDummyContainer()</a>, <a class="el" href="ofx__container__generic_8cpp-source.html#l00031">OfxGenericContainer()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00259">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00056">OfxPushUpContainer::OfxPushUpContainer()</a>, <a class="el" href="ofx__container__security_8cpp-source.html#l00036">OfxSecurityContainer::OfxSecurityContainer()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00036">OfxStatementContainer::OfxStatementContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00072">OfxStatusContainer::OfxStatusContainer()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00036">OfxTransactionContainer::OfxTransactionContainer()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00071">OFXApplication::startElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00064">OFCApplication::startElement()</a>, and <a class="el" href="ofx__containers__misc_8cpp-source.html#l00145">OfxBalanceContainer::~OfxBalanceContainer()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00036">36</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00047">OfxDummyContainer::add_attribute()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00073">OfxStatementContainer::add_balance()</a>, <a class="el" href="ofx__container__main_8cpp-source.html#l00057">OfxMainContainer::add_container()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>, <a class="el" href="ofx__container__generic_8cpp-source.html#l00031">OfxGenericContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00056">OfxPushUpContainer::OfxPushUpContainer()</a>, and <a class="el" href="ofx__containers__misc_8cpp-source.html#l00072">OfxStatusContainer::OfxStatusContainer()</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__generic_8cpp-source.html">ofx_container_generic.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp-source.html">fx-0.8.2/lib/ofx_container_generic.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__generic_8cpp-source.html">ofx_container_generic.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp-source.html">fx-0.8.2/lib/ofx_container_generic.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__container__generic_8cpp-source.html">fx-0.9.0/lib/ofx_container_generic.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxGenericContainer.png'
Binary files doc/html/classOfxGenericContainer.png and doc/html/classOfxGenericContainer.png differ
=== modified file 'doc/html/classOfxInvestmentTransactionContainer.html'
--- doc/html/classOfxInvestmentTransactionContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxInvestmentTransactionContainer.html	2008-02-06 17:25:16 +0000
@@ -1,157 +1,196 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxInvestmentTransactionContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxInvestmentTransactionContainer Class Reference</h1><!-- doxytag: class="OfxInvestmentTransactionContainer" --><!-- doxytag: inherits="OfxTransactionContainer,OfxTransactionContainer" --><p>Inheritance diagram for OfxInvestmentTransactionContainer:
+  </ul>
+</div>
+<h1>OfxInvestmentTransactionContainer Class Reference</h1><!-- doxytag: class="OfxInvestmentTransactionContainer" --><!-- doxytag: inherits="OfxTransactionContainer,OfxTransactionContainer,OfxTransactionContainer" --><div class="dynheader">
+Inheritance diagram for OfxInvestmentTransactionContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxInvestmentTransactionContainer.png" usemap="#OfxInvestmentTransactionContainer_map" border="0" alt=""></center>
 <map name="OfxInvestmentTransactionContainer_map">
-<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="111,56,323,80">
-<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="555,56,767,80">
-<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="0,0,212,24">
+<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="0,168,212,192">
+<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="444,168,656,192">
+<area href="classOfxTransactionContainer.html" alt="OfxTransactionContainer" shape="rect" coords="888,168,1100,192">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="1110,112,1322,136">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="1110,56,1322,80">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="1110,0,1322,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="666,112,878,136">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="666,56,878,80">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="666,0,878,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="222,112,434,136">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="222,56,434,80">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="222,0,434,24">
-<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="444,0,656,24">
-<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="666,0,878,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 Represents a bank or credid card transaction. 
 <p>
 Built from the diferent investment transaction OFX entity 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00222">222</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00222">222</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59ccb4b31579d47ce7981c24f5c9215b"></a><!-- doxytag: member="OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer" ref="59ccb4b31579d47ce7981c24f5c9215b" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxInvestmentTransactionContainer.html#59ccb4b31579d47ce7981c24f5c9215b">OfxInvestmentTransactionContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#3428032f05fb2219573bd86d51d3650d"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59ccb4b31579d47ce7981c24f5c9215b"></a><!-- doxytag: member="OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer" ref="59ccb4b31579d47ce7981c24f5c9215b" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxInvestmentTransactionContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#3428032f05fb2219573bd86d51d3650d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ffd3c5d7c722248c8b07c44d6495f2ed"></a><!-- doxytag: member="OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer" ref="ffd3c5d7c722248c8b07c44d6495f2ed" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxInvestmentTransactionContainer.html#ffd3c5d7c722248c8b07c44d6495f2ed">OfxInvestmentTransactionContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#9122d7feb698cf423f92ec03aecb1e45"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ffd3c5d7c722248c8b07c44d6495f2ed"></a><!-- doxytag: member="OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer" ref="ffd3c5d7c722248c8b07c44d6495f2ed" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxInvestmentTransactionContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#9122d7feb698cf423f92ec03aecb1e45"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ffd3c5d7c722248c8b07c44d6495f2ed"></a><!-- doxytag: member="OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer" ref="ffd3c5d7c722248c8b07c44d6495f2ed" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxInvestmentTransactionContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#9122d7feb698cf423f92ec03aecb1e45"></a><br></td></tr>
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="3428032f05fb2219573bd86d51d3650d"></a><!-- doxytag: member="OfxInvestmentTransactionContainer::add_attribute" ref="3428032f05fb2219573bd86d51d3650d" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxInvestmentTransactionContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="3428032f05fb2219573bd86d51d3650d"></a><!-- doxytag: member="OfxInvestmentTransactionContainer::add_attribute" ref="3428032f05fb2219573bd86d51d3650d" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxInvestmentTransactionContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">333</a> of file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="9122d7feb698cf423f92ec03aecb1e45"></a><!-- doxytag: member="OfxInvestmentTransactionContainer::add_attribute" ref="9122d7feb698cf423f92ec03aecb1e45" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxInvestmentTransactionContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">333</a> of file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="9122d7feb698cf423f92ec03aecb1e45"></a><!-- doxytag: member="OfxInvestmentTransactionContainer::add_attribute" ref="9122d7feb698cf423f92ec03aecb1e45" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxInvestmentTransactionContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="9122d7feb698cf423f92ec03aecb1e45"></a><!-- doxytag: member="OfxInvestmentTransactionContainer::add_attribute" ref="9122d7feb698cf423f92ec03aecb1e45" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxInvestmentTransactionContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.8.2/lib/ofx_container_transaction.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.8.2/lib/ofx_container_transaction.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.9.0/lib/ofx_container_transaction.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxInvestmentTransactionContainer.png'
Binary files doc/html/classOfxInvestmentTransactionContainer.png and doc/html/classOfxInvestmentTransactionContainer.png differ
=== modified file 'doc/html/classOfxMainContainer.html'
--- doc/html/classOfxMainContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxMainContainer.html	2008-02-06 17:25:16 +0000
@@ -1,164 +1,201 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxMainContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxMainContainer Class Reference</h1><!-- doxytag: class="OfxMainContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer" --><p>Inheritance diagram for OfxMainContainer:
+  </ul>
+</div>
+<h1>OfxMainContainer Class Reference</h1><!-- doxytag: class="OfxMainContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer,OfxGenericContainer" --><div class="dynheader">
+Inheritance diagram for OfxMainContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxMainContainer.png" usemap="#OfxMainContainer_map" border="0" alt=""></center>
 <map name="OfxMainContainer_map">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="0,0,132,24">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="142,0,274,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="284,0,416,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 The root container. Created by the &lt;OFX&gt; OFX element or by the export functions. 
 <p>
-The <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> maintains trees of processed ofx data structures which can be used to generate events in the right order, and eventually export in OFX and QIF formats and even generate matching OFX querys. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00236">236</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+The <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a> maintains trees of processed ofx data structures which can be used to generate events in the right order, and eventually export in OFX and QIF formats and even generate matching OFX querys. 
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00236">236</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fdf73d70e03bdb05c8aa621bbdec86a8"></a><!-- doxytag: member="OfxMainContainer::OfxMainContainer" ref="fdf73d70e03bdb05c8aa621bbdec86a8" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#fdf73d70e03bdb05c8aa621bbdec86a8">OfxMainContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7ab71728d866c0455ab4ca7f84d8447b"></a><!-- doxytag: member="OfxMainContainer::~OfxMainContainer" ref="7ab71728d866c0455ab4ca7f84d8447b" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#7ab71728d866c0455ab4ca7f84d8447b">~OfxMainContainer</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="22a388d36a6fe2e30d99f1cc1b8e79d5"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="22a388d36a6fe2e30d99f1cc1b8e79d5" args="(OfxGenericContainer *container)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a> (<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bf410014de8a1444aacd1f515ca5bb5b"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="bf410014de8a1444aacd1f515ca5bb5b" args="(OfxStatementContainer *container)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#bf410014de8a1444aacd1f515ca5bb5b">add_container</a> (<a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a> *container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dc93ac572d1114072c7f280cbd0da107"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="dc93ac572d1114072c7f280cbd0da107" args="(OfxAccountContainer *container)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#dc93ac572d1114072c7f280cbd0da107">add_container</a> (<a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a> *container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6df4b6527696c6a57fb0eafb46686fda"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="6df4b6527696c6a57fb0eafb46686fda" args="(OfxTransactionContainer *container)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#6df4b6527696c6a57fb0eafb46686fda">add_container</a> (<a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> *container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7a9cc1792a7a1e32decf3a81ce79101f"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="7a9cc1792a7a1e32decf3a81ce79101f" args="(OfxSecurityContainer *container)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#7a9cc1792a7a1e32decf3a81ce79101f">add_container</a> (<a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> *container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#a5356797205c2a7a1b674543c239fa3f"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="257204d0271f47d7f455169487960753"></a><!-- doxytag: member="OfxMainContainer::find_security" ref="257204d0271f47d7f455169487960753" args="(string unique_id)" -->
-<a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#257204d0271f47d7f455169487960753">find_security</a> (string unique_id)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fdf73d70e03bdb05c8aa621bbdec86a8"></a><!-- doxytag: member="OfxMainContainer::OfxMainContainer" ref="fdf73d70e03bdb05c8aa621bbdec86a8" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxMainContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="22a388d36a6fe2e30d99f1cc1b8e79d5"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="22a388d36a6fe2e30d99f1cc1b8e79d5" args="(OfxGenericContainer *container)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bf410014de8a1444aacd1f515ca5bb5b"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="bf410014de8a1444aacd1f515ca5bb5b" args="(OfxStatementContainer *container)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a> *container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dc93ac572d1114072c7f280cbd0da107"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="dc93ac572d1114072c7f280cbd0da107" args="(OfxAccountContainer *container)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a> *container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6df4b6527696c6a57fb0eafb46686fda"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="6df4b6527696c6a57fb0eafb46686fda" args="(OfxTransactionContainer *container)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> *container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7a9cc1792a7a1e32decf3a81ce79101f"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="7a9cc1792a7a1e32decf3a81ce79101f" args="(OfxSecurityContainer *container)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> *container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#a5356797205c2a7a1b674543c239fa3f"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1c753fccd11440bd1478996c17879110"></a><!-- doxytag: member="OfxMainContainer::find_security" ref="1c753fccd11440bd1478996c17879110" args="(string unique_id)" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bdecebdd778e0169bcb7389f8db0454d"></a><!-- doxytag: member="OfxMainContainer::OfxMainContainer" ref="bdecebdd778e0169bcb7389f8db0454d" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#bdecebdd778e0169bcb7389f8db0454d">OfxMainContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="195e97a1121a6efdf898bd1cc5c43f8f"></a><!-- doxytag: member="OfxMainContainer::~OfxMainContainer" ref="195e97a1121a6efdf898bd1cc5c43f8f" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#195e97a1121a6efdf898bd1cc5c43f8f">~OfxMainContainer</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bf9596f27e1f2382fe6f1054d2a00e1d"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="bf9596f27e1f2382fe6f1054d2a00e1d" args="(OfxGenericContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a> (<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4b1ee2f1b0fe365acf3037abee8cc7d2"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="4b1ee2f1b0fe365acf3037abee8cc7d2" args="(OfxStatementContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#4b1ee2f1b0fe365acf3037abee8cc7d2">add_container</a> (<a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0233b98484c114e449b22f67d5d8bafc"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="0233b98484c114e449b22f67d5d8bafc" args="(OfxAccountContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#0233b98484c114e449b22f67d5d8bafc">add_container</a> (<a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e60ff6ec23a3a54d08cb86f088105b29"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="e60ff6ec23a3a54d08cb86f088105b29" args="(OfxTransactionContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#e60ff6ec23a3a54d08cb86f088105b29">add_container</a> (<a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b99721779d57ad2ed3b5e3fab1329027"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="b99721779d57ad2ed3b5e3fab1329027" args="(OfxSecurityContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#b99721779d57ad2ed3b5e3fab1329027">add_container</a> (<a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#e0b60f837b87b912f70a6f19bab12c52"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="054cf887c77188c235d9b964ae44efa5"></a><!-- doxytag: member="OfxMainContainer::find_security" ref="054cf887c77188c235d9b964ae44efa5" args="(string unique_id)" -->
+<a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">find_security</a> (string unique_id)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bdecebdd778e0169bcb7389f8db0454d"></a><!-- doxytag: member="OfxMainContainer::OfxMainContainer" ref="bdecebdd778e0169bcb7389f8db0454d" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxMainContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bf9596f27e1f2382fe6f1054d2a00e1d"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="bf9596f27e1f2382fe6f1054d2a00e1d" args="(OfxGenericContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4b1ee2f1b0fe365acf3037abee8cc7d2"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="4b1ee2f1b0fe365acf3037abee8cc7d2" args="(OfxStatementContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0233b98484c114e449b22f67d5d8bafc"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="0233b98484c114e449b22f67d5d8bafc" args="(OfxAccountContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e60ff6ec23a3a54d08cb86f088105b29"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="e60ff6ec23a3a54d08cb86f088105b29" args="(OfxTransactionContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b99721779d57ad2ed3b5e3fab1329027"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="b99721779d57ad2ed3b5e3fab1329027" args="(OfxSecurityContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#e0b60f837b87b912f70a6f19bab12c52"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="66b524ae49a80b657f3eeea2ebf2db23"></a><!-- doxytag: member="OfxMainContainer::find_security" ref="66b524ae49a80b657f3eeea2ebf2db23" args="(string unique_id)" -->
+<a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><b>find_security</b> (string unique_id)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bdecebdd778e0169bcb7389f8db0454d"></a><!-- doxytag: member="OfxMainContainer::OfxMainContainer" ref="bdecebdd778e0169bcb7389f8db0454d" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxMainContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bf9596f27e1f2382fe6f1054d2a00e1d"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="bf9596f27e1f2382fe6f1054d2a00e1d" args="(OfxGenericContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4b1ee2f1b0fe365acf3037abee8cc7d2"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="4b1ee2f1b0fe365acf3037abee8cc7d2" args="(OfxStatementContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0233b98484c114e449b22f67d5d8bafc"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="0233b98484c114e449b22f67d5d8bafc" args="(OfxAccountContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e60ff6ec23a3a54d08cb86f088105b29"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="e60ff6ec23a3a54d08cb86f088105b29" args="(OfxTransactionContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b99721779d57ad2ed3b5e3fab1329027"></a><!-- doxytag: member="OfxMainContainer::add_container" ref="b99721779d57ad2ed3b5e3fab1329027" args="(OfxSecurityContainer *container)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_container</b> (<a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> *container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#e0b60f837b87b912f70a6f19bab12c52"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="66b524ae49a80b657f3eeea2ebf2db23"></a><!-- doxytag: member="OfxMainContainer::find_security" ref="66b524ae49a80b657f3eeea2ebf2db23" args="(string unique_id)" -->
 <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><b>find_security</b> (string unique_id)</td></tr>
 
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="a5356797205c2a7a1b674543c239fa3f"></a><!-- doxytag: member="OfxMainContainer::gen_event" ref="a5356797205c2a7a1b674543c239fa3f" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxMainContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a5356797205c2a7a1b674543c239fa3f"></a><!-- doxytag: member="OfxMainContainer::gen_event" ref="a5356797205c2a7a1b674543c239fa3f" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxMainContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__main_8cpp-source.html#l00154">154</a> of file <a class="el" href="ofx__container__main_8cpp-source.html">ofx_container_main.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="e0b60f837b87b912f70a6f19bab12c52"></a><!-- doxytag: member="OfxMainContainer::gen_event" ref="e0b60f837b87b912f70a6f19bab12c52" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxMainContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__main_8cpp-source.html#l00154">154</a> of file <a class="el" href="ofx__container__main_8cpp-source.html">ofx_container_main.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e0b60f837b87b912f70a6f19bab12c52"></a><!-- doxytag: member="OfxMainContainer::gen_event" ref="e0b60f837b87b912f70a6f19bab12c52" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxMainContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e0b60f837b87b912f70a6f19bab12c52"></a><!-- doxytag: member="OfxMainContainer::gen_event" ref="e0b60f837b87b912f70a6f19bab12c52" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxMainContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__main_8cpp-source.html">ofx_container_main.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__main_8cpp-source.html">fx-0.8.2/lib/ofx_container_main.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__main_8cpp-source.html">ofx_container_main.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__main_8cpp-source.html">fx-0.8.2/lib/ofx_container_main.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__container__main_8cpp-source.html">fx-0.9.0/lib/ofx_container_main.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxMainContainer.png'
Binary files doc/html/classOfxMainContainer.png and doc/html/classOfxMainContainer.png differ
=== modified file 'doc/html/classOfxPaymentRequest.html'
--- doc/html/classOfxPaymentRequest.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxPaymentRequest.html	2008-02-06 17:25:16 +0000
@@ -1,169 +1,215 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxPaymentRequest Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxPaymentRequest Class Reference</h1><!-- doxytag: class="OfxPaymentRequest" --><!-- doxytag: inherits="OfxRequest,OfxRequest" --><p>Inheritance diagram for OfxPaymentRequest:
+  </ul>
+</div>
+<h1>OfxPaymentRequest Class Reference</h1><!-- doxytag: class="OfxPaymentRequest" --><!-- doxytag: inherits="OfxRequest,OfxRequest,OfxRequest" --><div class="dynheader">
+Inheritance diagram for OfxPaymentRequest:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxPaymentRequest.png" usemap="#OfxPaymentRequest_map" border="0" alt=""></center>
 <map name="OfxPaymentRequest_map">
-<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="67,56,191,80">
-<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="335,56,459,80">
-<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="0,0,124,24">
+<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="0,168,124,192">
+<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="268,168,392,192">
+<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="536,168,660,192">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="670,112,794,136">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="670,56,794,80">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="670,0,794,24">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="402,112,526,136">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="402,56,526,80">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="402,0,526,24">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="134,112,258,136">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="134,56,258,80">
 <area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="134,0,258,24">
-<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="268,0,392,24">
-<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="402,0,526,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__request__statement_8hh-source.html#l00084">84</a> of file <a class="el" href="ofx__request__statement_8hh-source.html">ofx_request_statement.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__request__statement_8hh-source.html#l00084">84</a> of file <a class="el" href="ofx__request__statement_8hh-source.html">ofx_request_statement.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPaymentRequest.html#b50d18e9ca000fb6a8b277ef6f183dd3">OfxPaymentRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi, const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> &amp;account, const <a class="el" href="structOfxPayee.html">OfxPayee</a> &amp;payee, const <a class="el" href="structOfxPayment.html">OfxPayment</a> &amp;payment)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPaymentRequest.html#b50d18e9ca000fb6a8b277ef6f183dd3">OfxPaymentRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi, const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> &amp;account, const <a class="el" href="structOfxPayee.html">OfxPayee</a> &amp;payee, const <a class="el" href="structOfxPayment.html">OfxPayment</a> &amp;payment)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;account, const <a class="el" href="structOfxPayee.html">OfxPayee</a> &amp;payee, const <a class="el" href="structOfxPayment.html">OfxPayment</a> &amp;payment)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;account, const <a class="el" href="structOfxPayee.html">OfxPayee</a> &amp;payee, const <a class="el" href="structOfxPayment.html">OfxPayment</a> &amp;payment)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;account, const <a class="el" href="structOfxPayee.html">OfxPayee</a> &amp;payee, const <a class="el" href="structOfxPayment.html">OfxPayment</a> &amp;payment)</td></tr>
 
 </table>
 <hr><h2>Constructor &amp; Destructor Documentation</h2>
-<a class="anchor" name="b50d18e9ca000fb6a8b277ef6f183dd3"></a><!-- doxytag: member="OfxPaymentRequest::OfxPaymentRequest" ref="b50d18e9ca000fb6a8b277ef6f183dd3" args="(const OfxFiLogin &amp;fi, const OfxAccountInfo &amp;account, const OfxPayee &amp;payee, const OfxPayment &amp;payment)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">OfxPaymentRequest::OfxPaymentRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>fi</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>account</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const <a class="el" href="structOfxPayee.html">OfxPayee</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>payee</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const <a class="el" href="structOfxPayment.html">OfxPayment</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>payment</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates the request aggregate to submit a payment to this <code>fi</code> on this <code>account</code>, to this <code>payee</code> as described by this .<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>The account from which the payment should be made </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>payee</em>&nbsp;</td><td>The payee who should receive the payment </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>payment</em>&nbsp;</td><td>The details of the payment </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="ofx__request__statement_8cpp-source.html#l00139">139</a> of file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b50d18e9ca000fb6a8b277ef6f183dd3"></a><!-- doxytag: member="OfxPaymentRequest::OfxPaymentRequest" ref="b50d18e9ca000fb6a8b277ef6f183dd3" args="(const OfxFiLogin &amp;fi, const OfxAccountInfo &amp;account, const OfxPayee &amp;payee, const OfxPayment &amp;payment)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">OfxPaymentRequest::OfxPaymentRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>fi</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>account</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const <a class="el" href="structOfxPayee.html">OfxPayee</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>payee</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const <a class="el" href="structOfxPayment.html">OfxPayment</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>payment</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates the request aggregate to submit a payment to this <code>fi</code> on this <code>account</code>, to this <code>payee</code> as described by this .<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>The account from which the payment should be made </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>payee</em>&nbsp;</td><td>The payee who should receive the payment </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>payment</em>&nbsp;</td><td>The details of the payment </td></tr>
-  </table>
-</dl>
-    </td>
-  </tr>
-</table>
+<a class="anchor" name="ce1a35797c9b4d7a81f6cc43870bc909"></a><!-- doxytag: member="OfxPaymentRequest::OfxPaymentRequest" ref="ce1a35797c9b4d7a81f6cc43870bc909" args="(const OfxFiLogin &amp;fi, const OfxAccountData &amp;account, const OfxPayee &amp;payee, const OfxPayment &amp;payment)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxPaymentRequest::OfxPaymentRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>account</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxPayee.html">OfxPayee</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>payee</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxPayment.html">OfxPayment</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>payment</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the request aggregate to submit a payment to this <code>fi</code> on this <code>account</code>, to this <code>payee</code> as described by this .<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>The account from which the payment should be made </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>payee</em>&nbsp;</td><td>The payee who should receive the payment </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>payment</em>&nbsp;</td><td>The details of the payment </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="ofx__request__statement_8cpp-source.html#l00147">147</a> of file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="ce1a35797c9b4d7a81f6cc43870bc909"></a><!-- doxytag: member="OfxPaymentRequest::OfxPaymentRequest" ref="ce1a35797c9b4d7a81f6cc43870bc909" args="(const OfxFiLogin &amp;fi, const OfxAccountData &amp;account, const OfxPayee &amp;payee, const OfxPayment &amp;payment)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxPaymentRequest::OfxPaymentRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>account</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxPayee.html">OfxPayee</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>payee</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxPayment.html">OfxPayment</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>payment</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the request aggregate to submit a payment to this <code>fi</code> on this <code>account</code>, to this <code>payee</code> as described by this .<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>The account from which the payment should be made </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>payee</em>&nbsp;</td><td>The payee who should receive the payment </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>payment</em>&nbsp;</td><td>The details of the payment </td></tr>
+  </table>
+</dl>
+
+</div>
+</div><p>
+<a class="anchor" name="ce1a35797c9b4d7a81f6cc43870bc909"></a><!-- doxytag: member="OfxPaymentRequest::OfxPaymentRequest" ref="ce1a35797c9b4d7a81f6cc43870bc909" args="(const OfxFiLogin &amp;fi, const OfxAccountData &amp;account, const OfxPayee &amp;payee, const OfxPayment &amp;payment)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxPaymentRequest::OfxPaymentRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>account</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxPayee.html">OfxPayee</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>payee</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxPayment.html">OfxPayment</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>payment</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the request aggregate to submit a payment to this <code>fi</code> on this <code>account</code>, to this <code>payee</code> as described by this .<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>The account from which the payment should be made </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>payee</em>&nbsp;</td><td>The payee who should receive the payment </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>payment</em>&nbsp;</td><td>The details of the payment </td></tr>
+  </table>
+</dl>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__request__statement_8hh-source.html">ofx_request_statement.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8hh-source.html">fx-0.8.2/lib/ofx_request_statement.hh</a><li><a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html">fx-0.8.2/lib/ofx_request_statement.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__request__statement_8hh-source.html">ofx_request_statement.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8hh-source.html">fx-0.8.2/lib/ofx_request_statement.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8hh-source.html">fx-0.9.0/lib/ofx_request_statement.hh</a><li><a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html">fx-0.8.2/lib/ofx_request_statement.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp-source.html">fx-0.9.0/lib/ofx_request_statement.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxPaymentRequest.png'
Binary files doc/html/classOfxPaymentRequest.png and doc/html/classOfxPaymentRequest.png differ
=== modified file 'doc/html/classOfxPushUpContainer.html'
--- doc/html/classOfxPushUpContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxPushUpContainer.html	2008-02-06 17:25:16 +0000
@@ -1,153 +1,187 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxPushUpContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxPushUpContainer Class Reference</h1><!-- doxytag: class="OfxPushUpContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer" --><p>Inheritance diagram for OfxPushUpContainer:
+  </ul>
+</div>
+<h1>OfxPushUpContainer Class Reference</h1><!-- doxytag: class="OfxPushUpContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer,OfxGenericContainer" --><div class="dynheader">
+Inheritance diagram for OfxPushUpContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxPushUpContainer.png" usemap="#OfxPushUpContainer_map" border="0" alt=""></center>
 <map name="OfxPushUpContainer_map">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="0,0,132,24">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="142,0,274,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="284,0,416,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 A container to hold a OFX SGML element for which you want the parent to process it's data elements. 
 <p>
-When you use add_attribute on an <a class="el" href="classOfxPushUpContainer.html">OfxPushUpContainer</a>, the add_attribute is redirected to the parent container. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00085">85</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+When you use add_attribute on an <a class="el" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&#39;s...">OfxPushUpContainer</a>, the add_attribute is redirected to the parent container. 
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00085">85</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4b9de1f81c3214724c50e4125f5cfd5a"></a><!-- doxytag: member="OfxPushUpContainer::OfxPushUpContainer" ref="4b9de1f81c3214724c50e4125f5cfd5a" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPushUpContainer.html#4b9de1f81c3214724c50e4125f5cfd5a">OfxPushUpContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#186e4b21eb4e7a0174e68ef4db913861"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4b9de1f81c3214724c50e4125f5cfd5a"></a><!-- doxytag: member="OfxPushUpContainer::OfxPushUpContainer" ref="4b9de1f81c3214724c50e4125f5cfd5a" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxPushUpContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#186e4b21eb4e7a0174e68ef4db913861"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1fa2e01710b00ce7bdb80d5c9fbb3d2c"></a><!-- doxytag: member="OfxPushUpContainer::OfxPushUpContainer" ref="1fa2e01710b00ce7bdb80d5c9fbb3d2c" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPushUpContainer.html#1fa2e01710b00ce7bdb80d5c9fbb3d2c">OfxPushUpContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#192a69d44555a22ad7e8cb16d7db53f8"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1fa2e01710b00ce7bdb80d5c9fbb3d2c"></a><!-- doxytag: member="OfxPushUpContainer::OfxPushUpContainer" ref="1fa2e01710b00ce7bdb80d5c9fbb3d2c" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxPushUpContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#192a69d44555a22ad7e8cb16d7db53f8"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1fa2e01710b00ce7bdb80d5c9fbb3d2c"></a><!-- doxytag: member="OfxPushUpContainer::OfxPushUpContainer" ref="1fa2e01710b00ce7bdb80d5c9fbb3d2c" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxPushUpContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#192a69d44555a22ad7e8cb16d7db53f8"></a><br></td></tr>
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="186e4b21eb4e7a0174e68ef4db913861"></a><!-- doxytag: member="OfxPushUpContainer::add_attribute" ref="186e4b21eb4e7a0174e68ef4db913861" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxPushUpContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="186e4b21eb4e7a0174e68ef4db913861"></a><!-- doxytag: member="OfxPushUpContainer::add_attribute" ref="186e4b21eb4e7a0174e68ef4db913861" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxPushUpContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__containers__misc_8cpp-source.html#l00062">62</a> of file <a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="192a69d44555a22ad7e8cb16d7db53f8"></a><!-- doxytag: member="OfxPushUpContainer::add_attribute" ref="192a69d44555a22ad7e8cb16d7db53f8" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxPushUpContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__containers__misc_8cpp-source.html#l00062">62</a> of file <a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="192a69d44555a22ad7e8cb16d7db53f8"></a><!-- doxytag: member="OfxPushUpContainer::add_attribute" ref="192a69d44555a22ad7e8cb16d7db53f8" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxPushUpContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="192a69d44555a22ad7e8cb16d7db53f8"></a><!-- doxytag: member="OfxPushUpContainer::add_attribute" ref="192a69d44555a22ad7e8cb16d7db53f8" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxPushUpContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.9.0/lib/ofx_containers_misc.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxPushUpContainer.png'
Binary files doc/html/classOfxPushUpContainer.png and doc/html/classOfxPushUpContainer.png differ
=== modified file 'doc/html/classOfxRequest.html'
--- doc/html/classOfxRequest.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxRequest.html	2008-02-06 17:25:16 +0000
@@ -1,312 +1,372 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxRequest Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxRequest Class Reference</h1><!-- doxytag: class="OfxRequest" --><!-- doxytag: inherits="OfxAggregate,OfxAggregate" --><p>Inheritance diagram for OfxRequest:
+  </ul>
+</div>
+<h1>OfxRequest Class Reference</h1><!-- doxytag: class="OfxRequest" --><!-- doxytag: inherits="OfxAggregate,OfxAggregate,OfxAggregate" --><div class="dynheader">
+Inheritance diagram for OfxRequest:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxRequest.png" usemap="#OfxRequest_map" border="0" alt=""></center>
 <map name="OfxRequest_map">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="0,0,144,24">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="154,0,298,24">
 <area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="308,0,452,24">
-<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="462,0,606,24">
-<area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="0,112,144,136">
-<area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="154,112,298,136">
-<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="308,112,452,136">
-<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="462,112,606,136">
-<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="616,112,760,136">
-<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="770,112,914,136">
+<area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="308,112,452,136">
+<area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="308,168,452,192">
+<area href="classOfxAccountInfoRequest.html" alt="OfxAccountInfoRequest" shape="rect" coords="308,224,452,248">
+<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="308,280,452,304">
+<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="308,336,452,360">
+<area href="classOfxPaymentRequest.html" alt="OfxPaymentRequest" shape="rect" coords="308,392,452,416">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="308,448,452,472">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="308,504,452,528">
+<area href="classOfxStatementRequest.html" alt="OfxStatementRequest" shape="rect" coords="308,560,452,584">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 A generic request. 
 <p>
 This is an entire OFX aggregate, with all subordinate aggregates needed to log onto the OFX server of a single financial institution and process a request. The details of the particular request are up to subclasses of this one. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__request_8hh-source.html#l00036">36</a> of file <a class="el" href="ofx__request_8hh-source.html">ofx_request.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__request_8hh-source.html#l00036">36</a> of file <a class="el" href="ofx__request_8hh-source.html">ofx_request.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#1e44a0bea2084ac4805e478f43e42837">OfxRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a> (void) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a> (const string &amp;msgtype, const string &amp;trntype, const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;aggregate) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#1e44a0bea2084ac4805e478f43e42837">OfxRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a> (void) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a> (const string &amp;msgtype, const string &amp;trntype, const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;aggregate) const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">OfxRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a> (const string &amp;msgtype, const string &amp;trntype, const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;aggregate) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">OfxRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a> (const string &amp;msgtype, const string &amp;trntype, const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;aggregate) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">OfxRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a> (const string &amp;msgtype, const string &amp;trntype, const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;aggregate) const </td></tr>
 
 <tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="656e286ea5ffc6918a71cd521c5b95d3"></a><!-- doxytag: member="OfxRequest::m_login" ref="656e286ea5ffc6918a71cd521c5b95d3" args="" -->
-<a class="el" href="structOfxFiLogin.html">OfxFiLogin</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9c831dd85c20955e6d062e8b5f660e00"></a><!-- doxytag: member="OfxRequest::m_login" ref="9c831dd85c20955e6d062e8b5f660e00" args="" -->
+<a class="el" href="structOfxFiLogin.html">OfxFiLogin</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a></td></tr>
 
 </table>
 <hr><h2>Constructor &amp; Destructor Documentation</h2>
-<a class="anchor" name="1e44a0bea2084ac4805e478f43e42837"></a><!-- doxytag: member="OfxRequest::OfxRequest" ref="1e44a0bea2084ac4805e478f43e42837" args="(const OfxFiLogin &amp;fi)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">OfxRequest::OfxRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>fi</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates the generic request aggregate.<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="ofx__request_8hh-source.html#l00045">45</a> of file <a class="el" href="ofx__request_8hh-source.html">ofx_request.hh</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="1e44a0bea2084ac4805e478f43e42837"></a><!-- doxytag: member="OfxRequest::OfxRequest" ref="1e44a0bea2084ac4805e478f43e42837" args="(const OfxFiLogin &amp;fi)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">OfxRequest::OfxRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>fi</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [inline]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates the generic request aggregate.<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh-source.html#l00045">45</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh-source.html">fx-0.8.2/lib/ofx_request.hh</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="edf28b52122ebc61fab21bda14e611ea"></a><!-- doxytag: member="OfxRequest::OfxRequest" ref="edf28b52122ebc61fab21bda14e611ea" args="(const OfxFiLogin &amp;fi)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxRequest::OfxRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the generic request aggregate.<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="ofx__request_8hh-source.html#l00045">45</a> of file <a class="el" href="ofx__request_8hh-source.html">ofx_request.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="edf28b52122ebc61fab21bda14e611ea"></a><!-- doxytag: member="OfxRequest::OfxRequest" ref="edf28b52122ebc61fab21bda14e611ea" args="(const OfxFiLogin &amp;fi)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxRequest::OfxRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the generic request aggregate.<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh-source.html#l00045">45</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh-source.html">fx-0.8.2/lib/ofx_request.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="edf28b52122ebc61fab21bda14e611ea"></a><!-- doxytag: member="OfxRequest::OfxRequest" ref="edf28b52122ebc61fab21bda14e611ea" args="(const OfxFiLogin &amp;fi)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxRequest::OfxRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [inline]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the generic request aggregate.<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh-source.html#l00045">45</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh-source.html">fx-0.9.0/lib/ofx_request.hh</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="a544b825f95778918ab737d985466eb2"></a><!-- doxytag: member="OfxRequest::RequestMessage" ref="a544b825f95778918ab737d985466eb2" args="(const string &amp;msgtype, const string &amp;trntype, const OfxAggregate &amp;aggregate) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxRequest::RequestMessage           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>msgtype</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>trntype</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>aggregate</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"> const</td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates a message aggregate<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>msgtype</em>&nbsp;</td><td>The type of message. This will be prepended to "MSGSRQV1" to become the tagname of the overall aggregate </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>trntype</em>&nbsp;</td><td>The type of transactions being requested. This will be prepended to "TRNRQ" to become the tagname of the subordinate aggregate. </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>aggregate</em>&nbsp;</td><td>The actual contents of the message, which will be a sub aggregate of the xxxTRNRQ aggregate. </td></tr>
-  </table>
-</dl>
-<dl compact><dt><b>Returns:</b></dt><dd>The message aggregate created </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="a544b825f95778918ab737d985466eb2"></a><!-- doxytag: member="OfxRequest::RequestMessage" ref="a544b825f95778918ab737d985466eb2" args="(const string &amp;msgtype, const string &amp;trntype, const OfxAggregate &amp;aggregate) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxRequest::RequestMessage           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>msgtype</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>trntype</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>aggregate</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"> const</td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates a message aggregate<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>msgtype</em>&nbsp;</td><td>The type of message. This will be prepended to "MSGSRQV1" to become the tagname of the overall aggregate </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>trntype</em>&nbsp;</td><td>The type of transactions being requested. This will be prepended to "TRNRQ" to become the tagname of the subordinate aggregate. </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>aggregate</em>&nbsp;</td><td>The actual contents of the message, which will be a sub aggregate of the xxxTRNRQ aggregate. </td></tr>
-  </table>
-</dl>
-<dl compact><dt><b>Returns:</b></dt><dd>The message aggregate created </dd></dl>
-
-<p>
-Definition at line <a class="el" href="ofx__request_8cpp-source.html#l00088">88</a> of file <a class="el" href="ofx__request_8cpp-source.html">ofx_request.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00059">OfxStatementRequest::BankStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00078">OfxStatementRequest::CreditCardStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00101">OfxStatementRequest::InvestmentStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00175">libofx_request_payment_status()</a>, <a class="el" href="ofx__request__accountinfo_8cpp-source.html#l00074">OfxAccountInfoRequest::OfxAccountInfoRequest()</a>, and <a class="el" href="ofx__request__statement_8cpp-source.html#l00139">OfxPaymentRequest::OfxPaymentRequest()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="af46e4046c4baddbb096b1eb1b4c46a8"></a><!-- doxytag: member="OfxRequest::SignOnRequest" ref="af46e4046c4baddbb096b1eb1b4c46a8" args="(void) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxRequest::SignOnRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap> const</td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates a signon request aggregate, &lt;SIGNONMSGSRQV1&gt; &amp; &lt;SONRQ&gt;, sufficient to log this user into this financial institution.<p>
-<dl compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="af46e4046c4baddbb096b1eb1b4c46a8"></a><!-- doxytag: member="OfxRequest::SignOnRequest" ref="af46e4046c4baddbb096b1eb1b4c46a8" args="(void) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxRequest::SignOnRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap> const</td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates a signon request aggregate, &lt;SIGNONMSGSRQV1&gt; &amp; &lt;SONRQ&gt;, sufficient to log this user into this financial institution.<p>
-<dl compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
-
-<p>
-Definition at line <a class="el" href="ofx__request_8cpp-source.html#l00066">66</a> of file <a class="el" href="ofx__request_8cpp-source.html">ofx_request.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00175">libofx_request_payment_status()</a>, <a class="el" href="ofx__request__accountinfo_8cpp-source.html#l00074">OfxAccountInfoRequest::OfxAccountInfoRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00139">OfxPaymentRequest::OfxPaymentRequest()</a>, and <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest::OfxStatementRequest()</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="b653f985a56f4cff3e87a82c700f4450"></a><!-- doxytag: member="OfxRequest::SignOnRequest" ref="b653f985a56f4cff3e87a82c700f4450" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxRequest::SignOnRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const</td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a signon request aggregate, &lt;SIGNONMSGSRQV1&gt; &amp; &lt;SONRQ&gt;, sufficient to log this user into this financial institution.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__request_8cpp-source.html#l00082">82</a> of file <a class="el" href="ofx__request_8cpp-source.html">ofx_request.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00191">libofx_request_payment_status()</a>, <a class="el" href="ofx__request__accountinfo_8cpp-source.html#l00074">OfxAccountInfoRequest::OfxAccountInfoRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00147">OfxPaymentRequest::OfxPaymentRequest()</a>, and <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest::OfxStatementRequest()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e56ceb8ef12b9431dcd4d63eec60a377"></a><!-- doxytag: member="OfxRequest::RequestMessage" ref="e56ceb8ef12b9431dcd4d63eec60a377" args="(const string &amp;msgtype, const string &amp;trntype, const OfxAggregate &amp;aggregate) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxRequest::RequestMessage           </td>
+          <td>(</td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>msgtype</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>trntype</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>aggregate</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"> const</td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a message aggregate<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>msgtype</em>&nbsp;</td><td>The type of message. This will be prepended to "MSGSRQV1" to become the tagname of the overall aggregate </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>trntype</em>&nbsp;</td><td>The type of transactions being requested. This will be prepended to "TRNRQ" to become the tagname of the subordinate aggregate. </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>aggregate</em>&nbsp;</td><td>The actual contents of the message, which will be a sub aggregate of the xxxTRNRQ aggregate. </td></tr>
+  </table>
+</dl>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The message aggregate created </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__request_8cpp-source.html#l00110">110</a> of file <a class="el" href="ofx__request_8cpp-source.html">ofx_request.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00059">OfxStatementRequest::BankStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00086">OfxStatementRequest::CreditCardStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00109">OfxStatementRequest::InvestmentStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00191">libofx_request_payment_status()</a>, <a class="el" href="ofx__request__accountinfo_8cpp-source.html#l00074">OfxAccountInfoRequest::OfxAccountInfoRequest()</a>, and <a class="el" href="ofx__request__statement_8cpp-source.html#l00147">OfxPaymentRequest::OfxPaymentRequest()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b653f985a56f4cff3e87a82c700f4450"></a><!-- doxytag: member="OfxRequest::SignOnRequest" ref="b653f985a56f4cff3e87a82c700f4450" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxRequest::SignOnRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const</td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a signon request aggregate, &lt;SIGNONMSGSRQV1&gt; &amp; &lt;SONRQ&gt;, sufficient to log this user into this financial institution.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="e56ceb8ef12b9431dcd4d63eec60a377"></a><!-- doxytag: member="OfxRequest::RequestMessage" ref="e56ceb8ef12b9431dcd4d63eec60a377" args="(const string &amp;msgtype, const string &amp;trntype, const OfxAggregate &amp;aggregate) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxRequest::RequestMessage           </td>
+          <td>(</td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>msgtype</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>trntype</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>aggregate</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"> const</td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a message aggregate<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>msgtype</em>&nbsp;</td><td>The type of message. This will be prepended to "MSGSRQV1" to become the tagname of the overall aggregate </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>trntype</em>&nbsp;</td><td>The type of transactions being requested. This will be prepended to "TRNRQ" to become the tagname of the subordinate aggregate. </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>aggregate</em>&nbsp;</td><td>The actual contents of the message, which will be a sub aggregate of the xxxTRNRQ aggregate. </td></tr>
+  </table>
+</dl>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The message aggregate created </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="b653f985a56f4cff3e87a82c700f4450"></a><!-- doxytag: member="OfxRequest::SignOnRequest" ref="b653f985a56f4cff3e87a82c700f4450" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxRequest::SignOnRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const</td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a signon request aggregate, &lt;SIGNONMSGSRQV1&gt; &amp; &lt;SONRQ&gt;, sufficient to log this user into this financial institution.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="e56ceb8ef12b9431dcd4d63eec60a377"></a><!-- doxytag: member="OfxRequest::RequestMessage" ref="e56ceb8ef12b9431dcd4d63eec60a377" args="(const string &amp;msgtype, const string &amp;trntype, const OfxAggregate &amp;aggregate) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxRequest::RequestMessage           </td>
+          <td>(</td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>msgtype</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string &amp;&nbsp;</td>
+          <td class="paramname"> <em>trntype</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="classOfxAggregate.html">OfxAggregate</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>aggregate</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"> const</td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a message aggregate<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>msgtype</em>&nbsp;</td><td>The type of message. This will be prepended to "MSGSRQV1" to become the tagname of the overall aggregate </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>trntype</em>&nbsp;</td><td>The type of transactions being requested. This will be prepended to "TRNRQ" to become the tagname of the subordinate aggregate. </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>aggregate</em>&nbsp;</td><td>The actual contents of the message, which will be a sub aggregate of the xxxTRNRQ aggregate. </td></tr>
+  </table>
+</dl>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The message aggregate created </dd></dl>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__request_8hh-source.html">ofx_request.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh-source.html">fx-0.8.2/lib/ofx_request.hh</a><li><a class="el" href="ofx__request_8cpp-source.html">ofx_request.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp-source.html">fx-0.8.2/lib/ofx_request.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__request_8hh-source.html">ofx_request.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh-source.html">fx-0.8.2/lib/ofx_request.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh-source.html">fx-0.9.0/lib/ofx_request.hh</a><li><a class="el" href="ofx__request_8cpp-source.html">ofx_request.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp-source.html">fx-0.8.2/lib/ofx_request.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp-source.html">fx-0.9.0/lib/ofx_request.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxRequest.png'
Binary files doc/html/classOfxRequest.png and doc/html/classOfxRequest.png differ
=== modified file 'doc/html/classOfxSecurityContainer.html'
--- doc/html/classOfxSecurityContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxSecurityContainer.html	2008-02-06 17:25:16 +0000
@@ -1,302 +1,358 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxSecurityContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxSecurityContainer Class Reference</h1><!-- doxytag: class="OfxSecurityContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer" --><p>Inheritance diagram for OfxSecurityContainer:
+  </ul>
+</div>
+<h1>OfxSecurityContainer Class Reference</h1><!-- doxytag: class="OfxSecurityContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer,OfxGenericContainer" --><div class="dynheader">
+Inheritance diagram for OfxSecurityContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxSecurityContainer.png" usemap="#OfxSecurityContainer_map" border="0" alt=""></center>
 <map name="OfxSecurityContainer_map">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="0,0,134,24">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="144,0,278,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="288,0,422,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 Represents a security, such as a stock or bond. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00174">174</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00174">174</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7558803d35cebc4480bed38143a24b0b"></a><!-- doxytag: member="OfxSecurityContainer::OfxSecurityContainer" ref="7558803d35cebc4480bed38143a24b0b" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#7558803d35cebc4480bed38143a24b0b">OfxSecurityContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a12308340b14eeac46ac1d7c933369b4"></a><!-- doxytag: member="OfxSecurityContainer::~OfxSecurityContainer" ref="a12308340b14eeac46ac1d7c933369b4" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#a12308340b14eeac46ac1d7c933369b4">~OfxSecurityContainer</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#911f61d9b2f930d9550676e1e491003a"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#a09d8de2d49cb79864dce68671f57400">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#a09d8de2d49cb79864dce68671f57400"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#06f05be00e89e4ce256eb709dcad4326">add_to_main_tree</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main tree.  <a href="#06f05be00e89e4ce256eb709dcad4326"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7558803d35cebc4480bed38143a24b0b"></a><!-- doxytag: member="OfxSecurityContainer::OfxSecurityContainer" ref="7558803d35cebc4480bed38143a24b0b" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxSecurityContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#911f61d9b2f930d9550676e1e491003a"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#462e1fa2a853fa589e040392df958249">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#462e1fa2a853fa589e040392df958249"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#7b20f785d5de5457825a88432d876c07">add_to_main_tree</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main tree.  <a href="#7b20f785d5de5457825a88432d876c07"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6463edacc95fc03733c0e7fb6776c15f"></a><!-- doxytag: member="OfxSecurityContainer::OfxSecurityContainer" ref="6463edacc95fc03733c0e7fb6776c15f" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#6463edacc95fc03733c0e7fb6776c15f">OfxSecurityContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5205f0a09177451b4a6420da7420c256"></a><!-- doxytag: member="OfxSecurityContainer::~OfxSecurityContainer" ref="5205f0a09177451b4a6420da7420c256" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#5205f0a09177451b4a6420da7420c256">~OfxSecurityContainer</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#97f5d5e139d4cbba9790bedc06fa156e"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#22357ade2036de78947ac0cc0ce01f2d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#cbaa6366a60d903ee3b3748c9874157f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6463edacc95fc03733c0e7fb6776c15f"></a><!-- doxytag: member="OfxSecurityContainer::OfxSecurityContainer" ref="6463edacc95fc03733c0e7fb6776c15f" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxSecurityContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#97f5d5e139d4cbba9790bedc06fa156e"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#847cb92d3247bef45535f8000c688d07"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#ace001be26cc920eefdfc9d695e5f3d9"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6463edacc95fc03733c0e7fb6776c15f"></a><!-- doxytag: member="OfxSecurityContainer::OfxSecurityContainer" ref="6463edacc95fc03733c0e7fb6776c15f" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxSecurityContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#97f5d5e139d4cbba9790bedc06fa156e"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#847cb92d3247bef45535f8000c688d07"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#ace001be26cc920eefdfc9d695e5f3d9"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="aa00f8d29da3c229dbb732a03dafaa37"></a><!-- doxytag: member="OfxSecurityContainer::data" ref="aa00f8d29da3c229dbb732a03dafaa37" args="" -->
-<a class="el" href="structOfxSecurityData.html">OfxSecurityData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="43397c78bdf1a342ca566e7524d36f0d"></a><!-- doxytag: member="OfxSecurityContainer::data" ref="43397c78bdf1a342ca566e7524d36f0d" args="" -->
+<a class="el" href="structOfxSecurityData.html">OfxSecurityData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a></td></tr>
 
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="911f61d9b2f930d9550676e1e491003a"></a><!-- doxytag: member="OfxSecurityContainer::add_attribute" ref="911f61d9b2f930d9550676e1e491003a" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxSecurityContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="911f61d9b2f930d9550676e1e491003a"></a><!-- doxytag: member="OfxSecurityContainer::add_attribute" ref="911f61d9b2f930d9550676e1e491003a" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxSecurityContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__security_8cpp-source.html#l00045">45</a> of file <a class="el" href="ofx__container__security_8cpp-source.html">ofx_container_security.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="7b20f785d5de5457825a88432d876c07"></a><!-- doxytag: member="OfxSecurityContainer::add_to_main_tree" ref="7b20f785d5de5457825a88432d876c07" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual int OfxSecurityContainer::add_to_main_tree           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add this container to the main tree. 
-<p>
-add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. <dl compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="06f05be00e89e4ce256eb709dcad4326"></a><!-- doxytag: member="OfxSecurityContainer::add_to_main_tree" ref="06f05be00e89e4ce256eb709dcad4326" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxSecurityContainer::add_to_main_tree           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add this container to the main tree. 
-<p>
-add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. <dl compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__security_8cpp-source.html#l00090">90</a> of file <a class="el" href="ofx__container__security_8cpp-source.html">ofx_container_security.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="462e1fa2a853fa589e040392df958249"></a><!-- doxytag: member="OfxSecurityContainer::gen_event" ref="462e1fa2a853fa589e040392df958249" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual int OfxSecurityContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a09d8de2d49cb79864dce68671f57400"></a><!-- doxytag: member="OfxSecurityContainer::gen_event" ref="a09d8de2d49cb79864dce68671f57400" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxSecurityContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__security_8cpp-source.html#l00084">84</a> of file <a class="el" href="ofx__container__security_8cpp-source.html">ofx_container_security.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="97f5d5e139d4cbba9790bedc06fa156e"></a><!-- doxytag: member="OfxSecurityContainer::add_attribute" ref="97f5d5e139d4cbba9790bedc06fa156e" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxSecurityContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__security_8cpp-source.html#l00045">45</a> of file <a class="el" href="ofx__container__security_8cpp-source.html">ofx_container_security.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="22357ade2036de78947ac0cc0ce01f2d"></a><!-- doxytag: member="OfxSecurityContainer::gen_event" ref="22357ade2036de78947ac0cc0ce01f2d" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxSecurityContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__security_8cpp-source.html#l00084">84</a> of file <a class="el" href="ofx__container__security_8cpp-source.html">ofx_container_security.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cbaa6366a60d903ee3b3748c9874157f"></a><!-- doxytag: member="OfxSecurityContainer::add_to_main_tree" ref="cbaa6366a60d903ee3b3748c9874157f" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxSecurityContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__security_8cpp-source.html#l00090">90</a> of file <a class="el" href="ofx__container__security_8cpp-source.html">ofx_container_security.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="97f5d5e139d4cbba9790bedc06fa156e"></a><!-- doxytag: member="OfxSecurityContainer::add_attribute" ref="97f5d5e139d4cbba9790bedc06fa156e" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxSecurityContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="847cb92d3247bef45535f8000c688d07"></a><!-- doxytag: member="OfxSecurityContainer::gen_event" ref="847cb92d3247bef45535f8000c688d07" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxSecurityContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="ace001be26cc920eefdfc9d695e5f3d9"></a><!-- doxytag: member="OfxSecurityContainer::add_to_main_tree" ref="ace001be26cc920eefdfc9d695e5f3d9" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxSecurityContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="97f5d5e139d4cbba9790bedc06fa156e"></a><!-- doxytag: member="OfxSecurityContainer::add_attribute" ref="97f5d5e139d4cbba9790bedc06fa156e" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxSecurityContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="847cb92d3247bef45535f8000c688d07"></a><!-- doxytag: member="OfxSecurityContainer::gen_event" ref="847cb92d3247bef45535f8000c688d07" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxSecurityContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="ace001be26cc920eefdfc9d695e5f3d9"></a><!-- doxytag: member="OfxSecurityContainer::add_to_main_tree" ref="ace001be26cc920eefdfc9d695e5f3d9" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxSecurityContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__security_8cpp-source.html">ofx_container_security.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp-source.html">fx-0.8.2/lib/ofx_container_security.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__security_8cpp-source.html">ofx_container_security.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp-source.html">fx-0.8.2/lib/ofx_container_security.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__container__security_8cpp-source.html">fx-0.9.0/lib/ofx_container_security.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxSecurityContainer.png'
Binary files doc/html/classOfxSecurityContainer.png and doc/html/classOfxSecurityContainer.png differ
=== modified file 'doc/html/classOfxStatementContainer.html'
--- doc/html/classOfxStatementContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxStatementContainer.html	2008-02-06 17:25:16 +0000
@@ -1,316 +1,378 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxStatementContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxStatementContainer Class Reference</h1><!-- doxytag: class="OfxStatementContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer" --><p>Inheritance diagram for OfxStatementContainer:
+  </ul>
+</div>
+<h1>OfxStatementContainer Class Reference</h1><!-- doxytag: class="OfxStatementContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer,OfxGenericContainer" --><div class="dynheader">
+Inheritance diagram for OfxStatementContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxStatementContainer.png" usemap="#OfxStatementContainer_map" border="0" alt=""></center>
 <map name="OfxStatementContainer_map">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="0,0,141,24">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="151,0,292,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="302,0,443,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 Represents a statement for either a bank account or a credit card account. 
 <p>
 Can be built from either a &lt;STMTRS&gt; or a &lt;CCSTMTRS&gt; OFX SGML entity 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00129">129</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00129">129</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="99a5e289425841bdec04ebc7c48f4b89"></a><!-- doxytag: member="OfxStatementContainer::OfxStatementContainer" ref="99a5e289425841bdec04ebc7c48f4b89" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#99a5e289425841bdec04ebc7c48f4b89">OfxStatementContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="96e32e196d0d34197b20a95ade84499e"></a><!-- doxytag: member="OfxStatementContainer::~OfxStatementContainer" ref="96e32e196d0d34197b20a95ade84499e" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#96e32e196d0d34197b20a95ade84499e">~OfxStatementContainer</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#f9a83c1005ed96f0528fd3f9b31af8d1"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#19b7458f71a8e47e25525f81009c5146">add_to_main_tree</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main tree.  <a href="#19b7458f71a8e47e25525f81009c5146"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#69dba408b387ea2e474c0cd9cbca03a1">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#69dba408b387ea2e474c0cd9cbca03a1"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="874ef227d93fdc078cf396350fc9b678"></a><!-- doxytag: member="OfxStatementContainer::add_account" ref="874ef227d93fdc078cf396350fc9b678" args="(OfxAccountData *account_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#874ef227d93fdc078cf396350fc9b678">add_account</a> (<a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cf79a74290f3f0d0c9048f80c60b32e8"></a><!-- doxytag: member="OfxStatementContainer::add_balance" ref="cf79a74290f3f0d0c9048f80c60b32e8" args="(OfxBalanceContainer *ptr_balance_container)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#cf79a74290f3f0d0c9048f80c60b32e8">add_balance</a> (<a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a> *ptr_balance_container)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="99a5e289425841bdec04ebc7c48f4b89"></a><!-- doxytag: member="OfxStatementContainer::OfxStatementContainer" ref="99a5e289425841bdec04ebc7c48f4b89" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxStatementContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#f9a83c1005ed96f0528fd3f9b31af8d1"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#428dc6528715f6d2c71fd491af4d0db2">add_to_main_tree</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main tree.  <a href="#428dc6528715f6d2c71fd491af4d0db2"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#759e443a11dec9ff60fa77f9d59e31bd">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#759e443a11dec9ff60fa77f9d59e31bd"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="874ef227d93fdc078cf396350fc9b678"></a><!-- doxytag: member="OfxStatementContainer::add_account" ref="874ef227d93fdc078cf396350fc9b678" args="(OfxAccountData *account_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_account</b> (<a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cf79a74290f3f0d0c9048f80c60b32e8"></a><!-- doxytag: member="OfxStatementContainer::add_balance" ref="cf79a74290f3f0d0c9048f80c60b32e8" args="(OfxBalanceContainer *ptr_balance_container)" -->
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="974c762415e209a77957ccabca3a4506"></a><!-- doxytag: member="OfxStatementContainer::OfxStatementContainer" ref="974c762415e209a77957ccabca3a4506" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#974c762415e209a77957ccabca3a4506">OfxStatementContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="085def18d3414dc93d256b08d8f3ea2c"></a><!-- doxytag: member="OfxStatementContainer::~OfxStatementContainer" ref="085def18d3414dc93d256b08d8f3ea2c" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#085def18d3414dc93d256b08d8f3ea2c">~OfxStatementContainer</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#6e983ad3a842f76dd452a0aef1af0c57"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#4adfcf202dce4a8bfea9a05c7a137c1d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#0b0b76db66caad13b369e59604f14fc7"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="90996500eb442c33c2539eed823ec318"></a><!-- doxytag: member="OfxStatementContainer::add_account" ref="90996500eb442c33c2539eed823ec318" args="(OfxAccountData *account_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">add_account</a> (<a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="91534efc97834de2ddfc66e4e0e75b5c"></a><!-- doxytag: member="OfxStatementContainer::add_balance" ref="91534efc97834de2ddfc66e4e0e75b5c" args="(OfxBalanceContainer *ptr_balance_container)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#91534efc97834de2ddfc66e4e0e75b5c">add_balance</a> (<a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a> *ptr_balance_container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="974c762415e209a77957ccabca3a4506"></a><!-- doxytag: member="OfxStatementContainer::OfxStatementContainer" ref="974c762415e209a77957ccabca3a4506" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxStatementContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#6e983ad3a842f76dd452a0aef1af0c57"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#ca63153b74c6b4801e9b06a6f460e81d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#d611872172c612d1a2aa56946debd2f0"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="90996500eb442c33c2539eed823ec318"></a><!-- doxytag: member="OfxStatementContainer::add_account" ref="90996500eb442c33c2539eed823ec318" args="(OfxAccountData *account_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_account</b> (<a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="91534efc97834de2ddfc66e4e0e75b5c"></a><!-- doxytag: member="OfxStatementContainer::add_balance" ref="91534efc97834de2ddfc66e4e0e75b5c" args="(OfxBalanceContainer *ptr_balance_container)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_balance</b> (<a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a> *ptr_balance_container)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="974c762415e209a77957ccabca3a4506"></a><!-- doxytag: member="OfxStatementContainer::OfxStatementContainer" ref="974c762415e209a77957ccabca3a4506" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxStatementContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#6e983ad3a842f76dd452a0aef1af0c57"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#ca63153b74c6b4801e9b06a6f460e81d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#d611872172c612d1a2aa56946debd2f0"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="90996500eb442c33c2539eed823ec318"></a><!-- doxytag: member="OfxStatementContainer::add_account" ref="90996500eb442c33c2539eed823ec318" args="(OfxAccountData *account_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_account</b> (<a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="91534efc97834de2ddfc66e4e0e75b5c"></a><!-- doxytag: member="OfxStatementContainer::add_balance" ref="91534efc97834de2ddfc66e4e0e75b5c" args="(OfxBalanceContainer *ptr_balance_container)" -->
 void&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_balance</b> (<a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a> *ptr_balance_container)</td></tr>
 
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2b6a260b6babb03f929cb44f519172d9"></a><!-- doxytag: member="OfxStatementContainer::data" ref="2b6a260b6babb03f929cb44f519172d9" args="" -->
-<a class="el" href="structOfxStatementData.html">OfxStatementData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f645ef77c9844a86d8412d8c59f3b6fd"></a><!-- doxytag: member="OfxStatementContainer::data" ref="f645ef77c9844a86d8412d8c59f3b6fd" args="" -->
+<a class="el" href="structOfxStatementData.html">OfxStatementData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a></td></tr>
 
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="f9a83c1005ed96f0528fd3f9b31af8d1"></a><!-- doxytag: member="OfxStatementContainer::add_attribute" ref="f9a83c1005ed96f0528fd3f9b31af8d1" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxStatementContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="f9a83c1005ed96f0528fd3f9b31af8d1"></a><!-- doxytag: member="OfxStatementContainer::add_attribute" ref="f9a83c1005ed96f0528fd3f9b31af8d1" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxStatementContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">50</a> of file <a class="el" href="ofx__container__statement_8cpp-source.html">ofx_container_statement.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="428dc6528715f6d2c71fd491af4d0db2"></a><!-- doxytag: member="OfxStatementContainer::add_to_main_tree" ref="428dc6528715f6d2c71fd491af4d0db2" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual int OfxStatementContainer::add_to_main_tree           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add this container to the main tree. 
-<p>
-add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. <dl compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="19b7458f71a8e47e25525f81009c5146"></a><!-- doxytag: member="OfxStatementContainer::add_to_main_tree" ref="19b7458f71a8e47e25525f81009c5146" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxStatementContainer::add_to_main_tree           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add this container to the main tree. 
-<p>
-add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. <dl compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__statement_8cpp-source.html#l00089">89</a> of file <a class="el" href="ofx__container__statement_8cpp-source.html">ofx_container_statement.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="759e443a11dec9ff60fa77f9d59e31bd"></a><!-- doxytag: member="OfxStatementContainer::gen_event" ref="759e443a11dec9ff60fa77f9d59e31bd" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual int OfxStatementContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="69dba408b387ea2e474c0cd9cbca03a1"></a><!-- doxytag: member="OfxStatementContainer::gen_event" ref="69dba408b387ea2e474c0cd9cbca03a1" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxStatementContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__statement_8cpp-source.html#l00101">101</a> of file <a class="el" href="ofx__container__statement_8cpp-source.html">ofx_container_statement.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="6e983ad3a842f76dd452a0aef1af0c57"></a><!-- doxytag: member="OfxStatementContainer::add_attribute" ref="6e983ad3a842f76dd452a0aef1af0c57" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxStatementContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">50</a> of file <a class="el" href="ofx__container__statement_8cpp-source.html">ofx_container_statement.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4adfcf202dce4a8bfea9a05c7a137c1d"></a><!-- doxytag: member="OfxStatementContainer::add_to_main_tree" ref="4adfcf202dce4a8bfea9a05c7a137c1d" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxStatementContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__statement_8cpp-source.html#l00089">89</a> of file <a class="el" href="ofx__container__statement_8cpp-source.html">ofx_container_statement.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="0b0b76db66caad13b369e59604f14fc7"></a><!-- doxytag: member="OfxStatementContainer::gen_event" ref="0b0b76db66caad13b369e59604f14fc7" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxStatementContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__statement_8cpp-source.html#l00101">101</a> of file <a class="el" href="ofx__container__statement_8cpp-source.html">ofx_container_statement.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="6e983ad3a842f76dd452a0aef1af0c57"></a><!-- doxytag: member="OfxStatementContainer::add_attribute" ref="6e983ad3a842f76dd452a0aef1af0c57" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxStatementContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="ca63153b74c6b4801e9b06a6f460e81d"></a><!-- doxytag: member="OfxStatementContainer::add_to_main_tree" ref="ca63153b74c6b4801e9b06a6f460e81d" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxStatementContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="d611872172c612d1a2aa56946debd2f0"></a><!-- doxytag: member="OfxStatementContainer::gen_event" ref="d611872172c612d1a2aa56946debd2f0" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxStatementContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="6e983ad3a842f76dd452a0aef1af0c57"></a><!-- doxytag: member="OfxStatementContainer::add_attribute" ref="6e983ad3a842f76dd452a0aef1af0c57" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxStatementContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="ca63153b74c6b4801e9b06a6f460e81d"></a><!-- doxytag: member="OfxStatementContainer::add_to_main_tree" ref="ca63153b74c6b4801e9b06a6f460e81d" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxStatementContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="d611872172c612d1a2aa56946debd2f0"></a><!-- doxytag: member="OfxStatementContainer::gen_event" ref="d611872172c612d1a2aa56946debd2f0" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxStatementContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__statement_8cpp-source.html">ofx_container_statement.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp-source.html">fx-0.8.2/lib/ofx_container_statement.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__statement_8cpp-source.html">ofx_container_statement.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp-source.html">fx-0.8.2/lib/ofx_container_statement.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__container__statement_8cpp-source.html">fx-0.9.0/lib/ofx_container_statement.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxStatementContainer.png'
Binary files doc/html/classOfxStatementContainer.png and doc/html/classOfxStatementContainer.png differ
=== modified file 'doc/html/classOfxStatementRequest.html'
--- doc/html/classOfxStatementRequest.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxStatementRequest.html	2008-02-06 17:25:16 +0000
@@ -1,363 +1,426 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxStatementRequest Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxStatementRequest Class Reference</h1><!-- doxytag: class="OfxStatementRequest" --><!-- doxytag: inherits="OfxRequest,OfxRequest" --><p>Inheritance diagram for OfxStatementRequest:
+  </ul>
+</div>
+<h1>OfxStatementRequest Class Reference</h1><!-- doxytag: class="OfxStatementRequest" --><!-- doxytag: inherits="OfxRequest,OfxRequest,OfxRequest" --><div class="dynheader">
+Inheritance diagram for OfxStatementRequest:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxStatementRequest.png" usemap="#OfxStatementRequest_map" border="0" alt=""></center>
 <map name="OfxStatementRequest_map">
-<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="70,56,200,80">
-<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="350,56,480,80">
-<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="0,0,130,24">
+<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="0,168,130,192">
+<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="280,168,410,192">
+<area href="classOfxRequest.html" alt="OfxRequest" shape="rect" coords="560,168,690,192">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="700,112,830,136">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="700,56,830,80">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="700,0,830,24">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="420,112,550,136">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="420,56,550,80">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="420,0,550,24">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="140,112,270,136">
+<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="140,56,270,80">
 <area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="140,0,270,24">
-<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="280,0,410,24">
-<area href="classOfxAggregate.html" alt="OfxAggregate" shape="rect" coords="420,0,550,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 A statement request. 
 <p>
 This is an entire OFX aggregate, with all subordinate aggregates needed to log onto the OFX server of a single financial institution and download a statement for a single account. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__request__statement_8hh-source.html#l00037">37</a> of file <a class="el" href="ofx__request__statement_8hh-source.html">ofx_request_statement.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__request__statement_8hh-source.html#l00037">37</a> of file <a class="el" href="ofx__request__statement_8hh-source.html">ofx_request_statement.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#fda5e716b9f1848b4d009bfe338880f0">OfxStatementRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi, const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> &amp;account, time_t from)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#fda5e716b9f1848b4d009bfe338880f0">OfxStatementRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi, const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> &amp;account, time_t from)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;account, time_t from)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;account, time_t from)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;fi, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;account, time_t from)</td></tr>
 
 <tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#51f2f5168ae5a2c783bbc3f142546229">BankStatementRequest</a> (void) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#85760d6ec3d3a8881938b0742f5eb67e">CreditCardStatementRequest</a> (void) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#4196ff5900689c63697bc7ed7990a8a9">InvestmentStatementRequest</a> (void) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#51f2f5168ae5a2c783bbc3f142546229">BankStatementRequest</a> (void) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#85760d6ec3d3a8881938b0742f5eb67e">CreditCardStatementRequest</a> (void) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#4196ff5900689c63697bc7ed7990a8a9">InvestmentStatementRequest</a> (void) const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">BankStatementRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">CreditCardStatementRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">InvestmentStatementRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">BankStatementRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">CreditCardStatementRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">InvestmentStatementRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">BankStatementRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">CreditCardStatementRequest</a> (void) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">InvestmentStatementRequest</a> (void) const </td></tr>
 
 </table>
 <hr><h2>Constructor &amp; Destructor Documentation</h2>
-<a class="anchor" name="fda5e716b9f1848b4d009bfe338880f0"></a><!-- doxytag: member="OfxStatementRequest::OfxStatementRequest" ref="fda5e716b9f1848b4d009bfe338880f0" args="(const OfxFiLogin &amp;fi, const OfxAccountInfo &amp;account, time_t from)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">OfxStatementRequest::OfxStatementRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>fi</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>account</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>time_t&nbsp;</td>
-          <td class="mdname" nowrap> <em>from</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates the request aggregate to obtain a statement from this <code>fi</code> for this <code>account</code>, starting on this <code>start</code> date, ending today.<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>The account for which a statement is desired </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>start</em>&nbsp;</td><td>The beginning time of the statement period desired </td></tr>
-  </table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">44</a> of file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="fda5e716b9f1848b4d009bfe338880f0"></a><!-- doxytag: member="OfxStatementRequest::OfxStatementRequest" ref="fda5e716b9f1848b4d009bfe338880f0" args="(const OfxFiLogin &amp;fi, const OfxAccountInfo &amp;account, time_t from)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">OfxStatementRequest::OfxStatementRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>fi</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>account</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>time_t&nbsp;</td>
-          <td class="mdname" nowrap> <em>from</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates the request aggregate to obtain a statement from this <code>fi</code> for this <code>account</code>, starting on this <code>start</code> date, ending today.<p>
-<dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>The account for which a statement is desired </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>start</em>&nbsp;</td><td>The beginning time of the statement period desired </td></tr>
-  </table>
-</dl>
-    </td>
-  </tr>
-</table>
+<a class="anchor" name="26f2cb4111c3965436129c2bdfbf678b"></a><!-- doxytag: member="OfxStatementRequest::OfxStatementRequest" ref="26f2cb4111c3965436129c2bdfbf678b" args="(const OfxFiLogin &amp;fi, const OfxAccountData &amp;account, time_t from)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxStatementRequest::OfxStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>account</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">time_t&nbsp;</td>
+          <td class="paramname"> <em>from</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the request aggregate to obtain a statement from this <code>fi</code> for this <code>account</code>, starting on this <code>start</code> date, ending today.<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>The account for which a statement is desired </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>start</em>&nbsp;</td><td>The beginning time of the statement period desired </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">44</a> of file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="26f2cb4111c3965436129c2bdfbf678b"></a><!-- doxytag: member="OfxStatementRequest::OfxStatementRequest" ref="26f2cb4111c3965436129c2bdfbf678b" args="(const OfxFiLogin &amp;fi, const OfxAccountData &amp;account, time_t from)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxStatementRequest::OfxStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>account</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">time_t&nbsp;</td>
+          <td class="paramname"> <em>from</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the request aggregate to obtain a statement from this <code>fi</code> for this <code>account</code>, starting on this <code>start</code> date, ending today.<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>The account for which a statement is desired </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>start</em>&nbsp;</td><td>The beginning time of the statement period desired </td></tr>
+  </table>
+</dl>
+
+</div>
+</div><p>
+<a class="anchor" name="26f2cb4111c3965436129c2bdfbf678b"></a><!-- doxytag: member="OfxStatementRequest::OfxStatementRequest" ref="26f2cb4111c3965436129c2bdfbf678b" args="(const OfxFiLogin &amp;fi, const OfxAccountData &amp;account, time_t from)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">OfxStatementRequest::OfxStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>fi</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> &amp;&nbsp;</td>
+          <td class="paramname"> <em>account</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">time_t&nbsp;</td>
+          <td class="paramname"> <em>from</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates the request aggregate to obtain a statement from this <code>fi</code> for this <code>account</code>, starting on this <code>start</code> date, ending today.<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>The information needed to log on user into one financial institution </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>The account for which a statement is desired </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>start</em>&nbsp;</td><td>The beginning time of the statement period desired </td></tr>
+  </table>
+</dl>
+
+</div>
+</div><p>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="51f2f5168ae5a2c783bbc3f142546229"></a><!-- doxytag: member="OfxStatementRequest::BankStatementRequest" ref="51f2f5168ae5a2c783bbc3f142546229" args="(void) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::BankStatementRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap> const<code> [protected]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates a bank statement request aggregate, &lt;BANKMSGSRQV1&gt;, &lt;STMTTRNRQ&gt; &amp; &lt;STMTRQ&gt; for this account. Should only be used if this account is a BANK account.<p>
-<dl compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="51f2f5168ae5a2c783bbc3f142546229"></a><!-- doxytag: member="OfxStatementRequest::BankStatementRequest" ref="51f2f5168ae5a2c783bbc3f142546229" args="(void) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::BankStatementRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap> const<code> [protected]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates a bank statement request aggregate, &lt;BANKMSGSRQV1&gt;, &lt;STMTTRNRQ&gt; &amp; &lt;STMTRQ&gt; for this account. Should only be used if this account is a BANK account.<p>
-<dl compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
-
-<p>
-Definition at line <a class="el" href="ofx__request__statement_8cpp-source.html#l00059">59</a> of file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="85760d6ec3d3a8881938b0742f5eb67e"></a><!-- doxytag: member="OfxStatementRequest::CreditCardStatementRequest" ref="85760d6ec3d3a8881938b0742f5eb67e" args="(void) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::CreditCardStatementRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap> const<code> [protected]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates a credit card statement request aggregate, &lt;CREDITCARDMSGSRQV1&gt;, &lt;CCSTMTTRNRQ&gt; &amp; &lt;CCSTMTRQ&gt; for this account. Should only be used if this account is a CREDIT CARD account.<p>
-<dl compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="85760d6ec3d3a8881938b0742f5eb67e"></a><!-- doxytag: member="OfxStatementRequest::CreditCardStatementRequest" ref="85760d6ec3d3a8881938b0742f5eb67e" args="(void) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::CreditCardStatementRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap> const<code> [protected]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates a credit card statement request aggregate, &lt;CREDITCARDMSGSRQV1&gt;, &lt;CCSTMTTRNRQ&gt; &amp; &lt;CCSTMTRQ&gt; for this account. Should only be used if this account is a CREDIT CARD account.<p>
-<dl compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
-
-<p>
-Definition at line <a class="el" href="ofx__request__statement_8cpp-source.html#l00078">78</a> of file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="4196ff5900689c63697bc7ed7990a8a9"></a><!-- doxytag: member="OfxStatementRequest::InvestmentStatementRequest" ref="4196ff5900689c63697bc7ed7990a8a9" args="(void) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::InvestmentStatementRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap> const<code> [protected]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates an investment statement request aggregate, &lt;INSTMTMSGSRQV1&gt;, &lt;INVSTMTTRNRQ&gt; &amp; &lt;INVSTMTRQ&gt; for this account. Should only be used if this account is an INVESTMENT account.<p>
-<dl compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="4196ff5900689c63697bc7ed7990a8a9"></a><!-- doxytag: member="OfxStatementRequest::InvestmentStatementRequest" ref="4196ff5900689c63697bc7ed7990a8a9" args="(void) const " --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::InvestmentStatementRequest           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">void&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap> const<code> [protected]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Creates an investment statement request aggregate, &lt;INSTMTMSGSRQV1&gt;, &lt;INVSTMTTRNRQ&gt; &amp; &lt;INVSTMTRQ&gt; for this account. Should only be used if this account is an INVESTMENT account.<p>
-<dl compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
-
-<p>
-Definition at line <a class="el" href="ofx__request__statement_8cpp-source.html#l00101">101</a> of file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest()</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="42f8752cca60b057325785563d67e92f"></a><!-- doxytag: member="OfxStatementRequest::BankStatementRequest" ref="42f8752cca60b057325785563d67e92f" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::BankStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [protected]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a bank statement request aggregate, &lt;BANKMSGSRQV1&gt;, &lt;STMTTRNRQ&gt; &amp; &lt;STMTRQ&gt; for this account. Should only be used if this account is a BANK account.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__request__statement_8cpp-source.html#l00059">59</a> of file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="721c88927e57c1bc189b3e4b9410690d"></a><!-- doxytag: member="OfxStatementRequest::CreditCardStatementRequest" ref="721c88927e57c1bc189b3e4b9410690d" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::CreditCardStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [protected]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a credit card statement request aggregate, &lt;CREDITCARDMSGSRQV1&gt;, &lt;CCSTMTTRNRQ&gt; &amp; &lt;CCSTMTRQ&gt; for this account. Should only be used if this account is a CREDIT CARD account.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__request__statement_8cpp-source.html#l00086">86</a> of file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c3df87c5377e4d0d6f5944010527bea4"></a><!-- doxytag: member="OfxStatementRequest::InvestmentStatementRequest" ref="c3df87c5377e4d0d6f5944010527bea4" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::InvestmentStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [protected]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates an investment statement request aggregate, &lt;INSTMTMSGSRQV1&gt;, &lt;INVSTMTTRNRQ&gt; &amp; &lt;INVSTMTRQ&gt; for this account. Should only be used if this account is an INVESTMENT account.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__request__statement_8cpp-source.html#l00109">109</a> of file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="42f8752cca60b057325785563d67e92f"></a><!-- doxytag: member="OfxStatementRequest::BankStatementRequest" ref="42f8752cca60b057325785563d67e92f" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::BankStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [protected]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a bank statement request aggregate, &lt;BANKMSGSRQV1&gt;, &lt;STMTTRNRQ&gt; &amp; &lt;STMTRQ&gt; for this account. Should only be used if this account is a BANK account.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="721c88927e57c1bc189b3e4b9410690d"></a><!-- doxytag: member="OfxStatementRequest::CreditCardStatementRequest" ref="721c88927e57c1bc189b3e4b9410690d" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::CreditCardStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [protected]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a credit card statement request aggregate, &lt;CREDITCARDMSGSRQV1&gt;, &lt;CCSTMTTRNRQ&gt; &amp; &lt;CCSTMTRQ&gt; for this account. Should only be used if this account is a CREDIT CARD account.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="c3df87c5377e4d0d6f5944010527bea4"></a><!-- doxytag: member="OfxStatementRequest::InvestmentStatementRequest" ref="c3df87c5377e4d0d6f5944010527bea4" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::InvestmentStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [protected]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates an investment statement request aggregate, &lt;INSTMTMSGSRQV1&gt;, &lt;INVSTMTTRNRQ&gt; &amp; &lt;INVSTMTRQ&gt; for this account. Should only be used if this account is an INVESTMENT account.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="42f8752cca60b057325785563d67e92f"></a><!-- doxytag: member="OfxStatementRequest::BankStatementRequest" ref="42f8752cca60b057325785563d67e92f" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::BankStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [protected]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a bank statement request aggregate, &lt;BANKMSGSRQV1&gt;, &lt;STMTTRNRQ&gt; &amp; &lt;STMTRQ&gt; for this account. Should only be used if this account is a BANK account.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="721c88927e57c1bc189b3e4b9410690d"></a><!-- doxytag: member="OfxStatementRequest::CreditCardStatementRequest" ref="721c88927e57c1bc189b3e4b9410690d" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::CreditCardStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [protected]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates a credit card statement request aggregate, &lt;CREDITCARDMSGSRQV1&gt;, &lt;CCSTMTTRNRQ&gt; &amp; &lt;CCSTMTRQ&gt; for this account. Should only be used if this account is a CREDIT CARD account.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="c3df87c5377e4d0d6f5944010527bea4"></a><!-- doxytag: member="OfxStatementRequest::InvestmentStatementRequest" ref="c3df87c5377e4d0d6f5944010527bea4" args="(void) const " -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="classOfxAggregate.html">OfxAggregate</a> OfxStatementRequest::InvestmentStatementRequest           </td>
+          <td>(</td>
+          <td class="paramtype">void&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"> const<code> [protected]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates an investment statement request aggregate, &lt;INSTMTMSGSRQV1&gt;, &lt;INVSTMTTRNRQ&gt; &amp; &lt;INVSTMTRQ&gt; for this account. Should only be used if this account is an INVESTMENT account.<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>The request aggregate created </dd></dl>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__request__statement_8hh-source.html">ofx_request_statement.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8hh-source.html">fx-0.8.2/lib/ofx_request_statement.hh</a><li><a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html">fx-0.8.2/lib/ofx_request_statement.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__request__statement_8hh-source.html">ofx_request_statement.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8hh-source.html">fx-0.8.2/lib/ofx_request_statement.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8hh-source.html">fx-0.9.0/lib/ofx_request_statement.hh</a><li><a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html">fx-0.8.2/lib/ofx_request_statement.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp-source.html">fx-0.9.0/lib/ofx_request_statement.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxStatementRequest.png'
Binary files doc/html/classOfxStatementRequest.png and doc/html/classOfxStatementRequest.png differ
=== modified file 'doc/html/classOfxStatusContainer.html'
--- doc/html/classOfxStatusContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxStatusContainer.html	2008-02-06 17:25:16 +0000
@@ -1,158 +1,192 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxStatusContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxStatusContainer Class Reference</h1><!-- doxytag: class="OfxStatusContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer" --><p>Inheritance diagram for OfxStatusContainer:
+  </ul>
+</div>
+<h1>OfxStatusContainer Class Reference</h1><!-- doxytag: class="OfxStatusContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer,OfxGenericContainer" --><div class="dynheader">
+Inheritance diagram for OfxStatusContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxStatusContainer.png" usemap="#OfxStatusContainer_map" border="0" alt=""></center>
 <map name="OfxStatusContainer_map">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="0,0,132,24">
 <area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="142,0,274,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="284,0,416,24">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 Represents the &lt;STATUS&gt; OFX SGML entity. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00093">93</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00093">93</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7cbd9aaaf32aea591e58ae76486dd003"></a><!-- doxytag: member="OfxStatusContainer::OfxStatusContainer" ref="7cbd9aaaf32aea591e58ae76486dd003" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#7cbd9aaaf32aea591e58ae76486dd003">OfxStatusContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6ebbf3b4d3fbec14adf683168848ce95"></a><!-- doxytag: member="OfxStatusContainer::~OfxStatusContainer" ref="6ebbf3b4d3fbec14adf683168848ce95" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#6ebbf3b4d3fbec14adf683168848ce95">~OfxStatusContainer</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#a6d54c850a5e7fafee607c14a181281c"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7cbd9aaaf32aea591e58ae76486dd003"></a><!-- doxytag: member="OfxStatusContainer::OfxStatusContainer" ref="7cbd9aaaf32aea591e58ae76486dd003" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxStatusContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#a6d54c850a5e7fafee607c14a181281c"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5c46c8df8db712f6ad37b49fd6af5dc0"></a><!-- doxytag: member="OfxStatusContainer::OfxStatusContainer" ref="5c46c8df8db712f6ad37b49fd6af5dc0" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#5c46c8df8db712f6ad37b49fd6af5dc0">OfxStatusContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cedeebfa681e9b075c8168196752c2a8"></a><!-- doxytag: member="OfxStatusContainer::~OfxStatusContainer" ref="cedeebfa681e9b075c8168196752c2a8" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#cedeebfa681e9b075c8168196752c2a8">~OfxStatusContainer</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#eb1155c63fdbe5a6c5d46b891e3bb483"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5c46c8df8db712f6ad37b49fd6af5dc0"></a><!-- doxytag: member="OfxStatusContainer::OfxStatusContainer" ref="5c46c8df8db712f6ad37b49fd6af5dc0" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxStatusContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#eb1155c63fdbe5a6c5d46b891e3bb483"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5c46c8df8db712f6ad37b49fd6af5dc0"></a><!-- doxytag: member="OfxStatusContainer::OfxStatusContainer" ref="5c46c8df8db712f6ad37b49fd6af5dc0" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxStatusContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#eb1155c63fdbe5a6c5d46b891e3bb483"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0f874e1efc1981f82625afa63b6d0b27"></a><!-- doxytag: member="OfxStatusContainer::data" ref="0f874e1efc1981f82625afa63b6d0b27" args="" -->
-<a class="el" href="structOfxStatusData.html">OfxStatusData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a840ebd1b3ce1aeecdcae7b92a988e38"></a><!-- doxytag: member="OfxStatusContainer::data" ref="a840ebd1b3ce1aeecdcae7b92a988e38" args="" -->
+<a class="el" href="structOfxStatusData.html">OfxStatusData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a></td></tr>
 
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="a6d54c850a5e7fafee607c14a181281c"></a><!-- doxytag: member="OfxStatusContainer::add_attribute" ref="a6d54c850a5e7fafee607c14a181281c" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxStatusContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a6d54c850a5e7fafee607c14a181281c"></a><!-- doxytag: member="OfxStatusContainer::add_attribute" ref="a6d54c850a5e7fafee607c14a181281c" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxStatusContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">93</a> of file <a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="eb1155c63fdbe5a6c5d46b891e3bb483"></a><!-- doxytag: member="OfxStatusContainer::add_attribute" ref="eb1155c63fdbe5a6c5d46b891e3bb483" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxStatusContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">93</a> of file <a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="eb1155c63fdbe5a6c5d46b891e3bb483"></a><!-- doxytag: member="OfxStatusContainer::add_attribute" ref="eb1155c63fdbe5a6c5d46b891e3bb483" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxStatusContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="eb1155c63fdbe5a6c5d46b891e3bb483"></a><!-- doxytag: member="OfxStatusContainer::add_attribute" ref="eb1155c63fdbe5a6c5d46b891e3bb483" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxStatusContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.9.0/lib/ofx_containers_misc.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxStatusContainer.png'
Binary files doc/html/classOfxStatusContainer.png and doc/html/classOfxStatusContainer.png differ
=== modified file 'doc/html/classOfxTransactionContainer.html'
--- doc/html/classOfxTransactionContainer.html	2006-10-20 13:12:33 +0000
+++ doc/html/classOfxTransactionContainer.html	2008-02-06 17:25:16 +0000
@@ -1,318 +1,381 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxTransactionContainer Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxTransactionContainer Class Reference</h1><!-- doxytag: class="OfxTransactionContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer" --><p>Inheritance diagram for OfxTransactionContainer:
+  </ul>
+</div>
+<h1>OfxTransactionContainer Class Reference</h1><!-- doxytag: class="OfxTransactionContainer" --><!-- doxytag: inherits="OfxGenericContainer,OfxGenericContainer,OfxGenericContainer" --><div class="dynheader">
+Inheritance diagram for OfxTransactionContainer:</div>
+<div class="dynsection">
+
 <p><center><img src="classOfxTransactionContainer.png" usemap="#OfxTransactionContainer_map" border="0" alt=""></center>
 <map name="OfxTransactionContainer_map">
-<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="222,0,434,24">
-<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="444,0,656,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="333,0,545,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="555,0,767,24">
+<area href="classOfxGenericContainer.html" alt="OfxGenericContainer" shape="rect" coords="777,0,989,24">
 <area href="classOfxBankTransactionContainer.html" alt="OfxBankTransactionContainer" shape="rect" coords="0,112,212,136">
 <area href="classOfxBankTransactionContainer.html" alt="OfxBankTransactionContainer" shape="rect" coords="222,112,434,136">
-<area href="classOfxInvestmentTransactionContainer.html" alt="OfxInvestmentTransactionContainer" shape="rect" coords="444,112,656,136">
+<area href="classOfxBankTransactionContainer.html" alt="OfxBankTransactionContainer" shape="rect" coords="444,112,656,136">
 <area href="classOfxInvestmentTransactionContainer.html" alt="OfxInvestmentTransactionContainer" shape="rect" coords="666,112,878,136">
+<area href="classOfxInvestmentTransactionContainer.html" alt="OfxInvestmentTransactionContainer" shape="rect" coords="888,112,1100,136">
+<area href="classOfxInvestmentTransactionContainer.html" alt="OfxInvestmentTransactionContainer" shape="rect" coords="1110,112,1322,136">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 Represents a generic transaction. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00193">193</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__containers_8hh-source.html#l00193">193</a> of file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7bf1cc0fda751f2f653c2a64cb63fae2"></a><!-- doxytag: member="OfxTransactionContainer::OfxTransactionContainer" ref="7bf1cc0fda751f2f653c2a64cb63fae2" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#7bf1cc0fda751f2f653c2a64cb63fae2">OfxTransactionContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e7fa208ce9f9276dfe416161bc02ec34"></a><!-- doxytag: member="OfxTransactionContainer::~OfxTransactionContainer" ref="e7fa208ce9f9276dfe416161bc02ec34" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#e7fa208ce9f9276dfe416161bc02ec34">~OfxTransactionContainer</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#60add576d1940cf835642465dcd9723b"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="55909757ff4bd31fe8bc968f5be576b0"></a><!-- doxytag: member="OfxTransactionContainer::add_account" ref="55909757ff4bd31fe8bc968f5be576b0" args="(OfxAccountData *account_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#55909757ff4bd31fe8bc968f5be576b0">add_account</a> (<a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#c6619c52d4918a6f0e4b8e46920c26c7">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#c6619c52d4918a6f0e4b8e46920c26c7"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#013d08423359102e1c596ad84a89e80f">add_to_main_tree</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main tree.  <a href="#013d08423359102e1c596ad84a89e80f"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7bf1cc0fda751f2f653c2a64cb63fae2"></a><!-- doxytag: member="OfxTransactionContainer::OfxTransactionContainer" ref="7bf1cc0fda751f2f653c2a64cb63fae2" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxTransactionContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#0f4825ddd57813fc045b7f6d77337f75">add_attribute</a> (const string identifier, const string value)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#0f4825ddd57813fc045b7f6d77337f75"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="55909757ff4bd31fe8bc968f5be576b0"></a><!-- doxytag: member="OfxTransactionContainer::add_account" ref="55909757ff4bd31fe8bc968f5be576b0" args="(OfxAccountData *account_data)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_account</b> (<a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#a21eb3b0ed7da32dfec8a6f162e942f9">gen_event</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#a21eb3b0ed7da32dfec8a6f162e942f9"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#16b5fec1613ce8d3d52c338650a2b39f">add_to_main_tree</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main tree.  <a href="#16b5fec1613ce8d3d52c338650a2b39f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d43b43b1006be733490c4e25f8a41434"></a><!-- doxytag: member="OfxTransactionContainer::OfxTransactionContainer" ref="d43b43b1006be733490c4e25f8a41434" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#d43b43b1006be733490c4e25f8a41434">OfxTransactionContainer</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8c24bf77f0154df5bdf134ebac97b12e"></a><!-- doxytag: member="OfxTransactionContainer::~OfxTransactionContainer" ref="8c24bf77f0154df5bdf134ebac97b12e" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#8c24bf77f0154df5bdf134ebac97b12e">~OfxTransactionContainer</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#efafa4ee0b6745e46e40b5bcafb322e6"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c3228dd35282322803e75f9f9015422f"></a><!-- doxytag: member="OfxTransactionContainer::add_account" ref="c3228dd35282322803e75f9f9015422f" args="(OfxAccountData *account_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">add_account</a> (<a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#733ee231fef8e72248cd9ab78b169a99"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#f3e7ffa3a55d3c0c67229c436875ed1d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d43b43b1006be733490c4e25f8a41434"></a><!-- doxytag: member="OfxTransactionContainer::OfxTransactionContainer" ref="d43b43b1006be733490c4e25f8a41434" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxTransactionContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#2f1b9bed927fd4ae1b9f8dc7f70ba48b"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c3228dd35282322803e75f9f9015422f"></a><!-- doxytag: member="OfxTransactionContainer::add_account" ref="c3228dd35282322803e75f9f9015422f" args="(OfxAccountData *account_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_account</b> (<a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#7281e2998d54cac58cbdeb46ebe16ede"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#44769e07a94afa5f75ef8076729fc090"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d43b43b1006be733490c4e25f8a41434"></a><!-- doxytag: member="OfxTransactionContainer::OfxTransactionContainer" ref="d43b43b1006be733490c4e25f8a41434" args="(LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxTransactionContainer</b> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">add_attribute</a> (const string identifier, const string value)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add data to a container object.  <a href="#2f1b9bed927fd4ae1b9f8dc7f70ba48b"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c3228dd35282322803e75f9f9015422f"></a><!-- doxytag: member="OfxTransactionContainer::add_account" ref="c3228dd35282322803e75f9f9015422f" args="(OfxAccountData *account_data)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>add_account</b> (<a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">gen_event</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generate libofx.h events.  <a href="#7281e2998d54cac58cbdeb46ebe16ede"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">add_to_main_tree</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add this container to the main <a class="el" href="classtree.html">tree</a>.  <a href="#44769e07a94afa5f75ef8076729fc090"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db31eba1cef8d3cd678fd49fdb579417"></a><!-- doxytag: member="OfxTransactionContainer::data" ref="db31eba1cef8d3cd678fd49fdb579417" args="" -->
-<a class="el" href="structOfxTransactionData.html">OfxTransactionData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="309aeafe456a5fd7adb1f94adbfc91a1"></a><!-- doxytag: member="OfxTransactionContainer::data" ref="309aeafe456a5fd7adb1f94adbfc91a1" args="" -->
+<a class="el" href="structOfxTransactionData.html">OfxTransactionData</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a></td></tr>
 
 </table>
 <hr><h2>Member Function Documentation</h2>
-<a class="anchor" name="0f4825ddd57813fc045b7f6d77337f75"></a><!-- doxytag: member="OfxTransactionContainer::add_attribute" ref="0f4825ddd57813fc045b7f6d77337f75" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual void OfxTransactionContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.
-<p>
-Reimplemented in <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, and <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="60add576d1940cf835642465dcd9723b"></a><!-- doxytag: member="OfxTransactionContainer::add_attribute" ref="60add576d1940cf835642465dcd9723b" args="(const string identifier, const string value)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">void OfxTransactionContainer::add_attribute           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>identifier</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>value</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add data to a container object. 
-<p>
-Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
-  <table border="0" cellspacing="2" cellpadding="0">
-    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
-    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
-  </table>
-</dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a>.
-<p>
-Reimplemented in <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, and <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">93</a> of file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="16b5fec1613ce8d3d52c338650a2b39f"></a><!-- doxytag: member="OfxTransactionContainer::add_to_main_tree" ref="16b5fec1613ce8d3d52c338650a2b39f" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual int OfxTransactionContainer::add_to_main_tree           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add this container to the main tree. 
-<p>
-add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. <dl compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="013d08423359102e1c596ad84a89e80f"></a><!-- doxytag: member="OfxTransactionContainer::add_to_main_tree" ref="013d08423359102e1c596ad84a89e80f" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxTransactionContainer::add_to_main_tree           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Add this container to the main tree. 
-<p>
-add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. <dl compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__transaction_8cpp-source.html#l00079">79</a> of file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a21eb3b0ed7da32dfec8a6f162e942f9"></a><!-- doxytag: member="OfxTransactionContainer::gen_event" ref="a21eb3b0ed7da32dfec8a6f162e942f9" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">virtual int OfxTransactionContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="c6619c52d4918a6f0e4b8e46920c26c7"></a><!-- doxytag: member="OfxTransactionContainer::gen_event" ref="c6619c52d4918a6f0e4b8e46920c26c7" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int OfxTransactionContainer::gen_event           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap><code> [virtual]</code></td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generate libofx.h events. 
-<p>
-gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
-
-<p>
-Reimplemented from <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a>.
-<p>
-Definition at line <a class="el" href="ofx__container__transaction_8cpp-source.html#l00065">65</a> of file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="efafa4ee0b6745e46e40b5bcafb322e6"></a><!-- doxytag: member="OfxTransactionContainer::add_attribute" ref="efafa4ee0b6745e46e40b5bcafb322e6" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">void OfxTransactionContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+<p>Reimplemented in <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, and <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">93</a> of file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="733ee231fef8e72248cd9ab78b169a99"></a><!-- doxytag: member="OfxTransactionContainer::gen_event" ref="733ee231fef8e72248cd9ab78b169a99" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxTransactionContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__transaction_8cpp-source.html#l00065">65</a> of file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f3e7ffa3a55d3c0c67229c436875ed1d"></a><!-- doxytag: member="OfxTransactionContainer::add_to_main_tree" ref="f3e7ffa3a55d3c0c67229c436875ed1d" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int OfxTransactionContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+<p>Definition at line <a class="el" href="ofx__container__transaction_8cpp-source.html#l00079">79</a> of file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2f1b9bed927fd4ae1b9f8dc7f70ba48b"></a><!-- doxytag: member="OfxTransactionContainer::add_attribute" ref="2f1b9bed927fd4ae1b9f8dc7f70ba48b" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual void OfxTransactionContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+<p>Reimplemented in <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, and <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="7281e2998d54cac58cbdeb46ebe16ede"></a><!-- doxytag: member="OfxTransactionContainer::gen_event" ref="7281e2998d54cac58cbdeb46ebe16ede" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxTransactionContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="44769e07a94afa5f75ef8076729fc090"></a><!-- doxytag: member="OfxTransactionContainer::add_to_main_tree" ref="44769e07a94afa5f75ef8076729fc090" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxTransactionContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2f1b9bed927fd4ae1b9f8dc7f70ba48b"></a><!-- doxytag: member="OfxTransactionContainer::add_attribute" ref="2f1b9bed927fd4ae1b9f8dc7f70ba48b" args="(const string identifier, const string value)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual void OfxTransactionContainer::add_attribute           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>identifier</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>value</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add data to a container object. 
+<p>
+Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>identifier</em>&nbsp;</td><td>The name of the data element </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>value</em>&nbsp;</td><td>The concatenated string of the data </td></tr>
+  </table>
+</dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>.</p>
+
+<p>Reimplemented in <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>, and <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="7281e2998d54cac58cbdeb46ebe16ede"></a><!-- doxytag: member="OfxTransactionContainer::gen_event" ref="7281e2998d54cac58cbdeb46ebe16ede" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxTransactionContainer::gen_event           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generate libofx.h events. 
+<p>
+gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if a callback function vas called, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="44769e07a94afa5f75ef8076729fc090"></a><!-- doxytag: member="OfxTransactionContainer::add_to_main_tree" ref="44769e07a94afa5f75ef8076729fc090" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">virtual int OfxTransactionContainer::add_to_main_tree           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"><code> [virtual]</code></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Add this container to the main <a class="el" href="classtree.html">tree</a>. 
+<p>
+add_to_main_treegen_event will add the container to the main trees stored int the <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. <dl class="return" compact><dt><b>Returns:</b></dt><dd>true if successfull, false otherwise. </dd></dl>
+
+<p>Reimplemented from <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.8.2/lib/ofx_container_transaction.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a><li><a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.8.2/lib/ofx_container_transaction.cpp</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.9.0/lib/ofx_container_transaction.cpp</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classOfxTransactionContainer.png'
Binary files doc/html/classOfxTransactionContainer.png and doc/html/classOfxTransactionContainer.png differ
=== modified file 'doc/html/classtree.html'
--- doc/html/classtree.html	2006-10-20 13:12:33 +0000
+++ doc/html/classtree.html	2008-02-06 17:25:16 +0000
@@ -1,602 +1,838 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: tree&lt; T, tree_node_allocator &gt; Class Template Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>tree&lt; T, tree_node_allocator &gt; Class Template Reference</h1><!-- doxytag: class="tree" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 <h3>template&lt;class T, class tree_node_allocator = std::allocator&lt;tree_node_&lt;T&gt; &gt;&gt;<br>
  class tree&lt; T, tree_node_allocator &gt;</h3>
 
 
-<p>
-
-<p>
-Definition at line <a class="el" href="tree_8hh-source.html#l00103">103</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="tree_8hh-source.html#l00103">103</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6e12b3e8e7e08b824ea27a9ca7fa49da"></a><!-- doxytag: member="tree::value_type" ref="6e12b3e8e7e08b824ea27a9ca7fa49da" args="" -->
-typedef T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Value of the data stored at a node. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7e3cc3f2e7a5fb4edd554c9978642c29"></a><!-- doxytag: member="tree::iterator" ref="7e3cc3f2e7a5fb4edd554c9978642c29" args="" -->
-typedef <a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">iterator</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The default iterator type throughout the tree class. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6e12b3e8e7e08b824ea27a9ca7fa49da"></a><!-- doxytag: member="tree::value_type" ref="6e12b3e8e7e08b824ea27a9ca7fa49da" args="" -->
-typedef T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Value of the data stored at a node. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7e3cc3f2e7a5fb4edd554c9978642c29"></a><!-- doxytag: member="tree::iterator" ref="7e3cc3f2e7a5fb4edd554c9978642c29" args="" -->
-typedef <a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">iterator</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The default iterator type throughout the tree class. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1e7bcd21e7420f7922a1bca79080acfa"></a><!-- doxytag: member="tree::value_type" ref="1e7bcd21e7420f7922a1bca79080acfa" args="" -->
+typedef T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">value_type</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Value of the data stored at a node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2079982538b88d21fe1ccea34fe7ce0e"></a><!-- doxytag: member="tree::iterator" ref="2079982538b88d21fe1ccea34fe7ce0e" args="" -->
+typedef <br>
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e">iterator</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The default iterator type throughout the <a class="el" href="classtree.html">tree</a> class. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1e7bcd21e7420f7922a1bca79080acfa"></a><!-- doxytag: member="tree::value_type" ref="1e7bcd21e7420f7922a1bca79080acfa" args="" -->
+typedef T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">value_type</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Value of the data stored at a node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2079982538b88d21fe1ccea34fe7ce0e"></a><!-- doxytag: member="tree::iterator" ref="2079982538b88d21fe1ccea34fe7ce0e" args="" -->
+typedef <br>
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e">iterator</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The default iterator type throughout the <a class="el" href="classtree.html">tree</a> class. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1e7bcd21e7420f7922a1bca79080acfa"></a><!-- doxytag: member="tree::value_type" ref="1e7bcd21e7420f7922a1bca79080acfa" args="" -->
+typedef T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">value_type</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Value of the data stored at a node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2079982538b88d21fe1ccea34fe7ce0e"></a><!-- doxytag: member="tree::iterator" ref="2079982538b88d21fe1ccea34fe7ce0e" args="" -->
+typedef <br>
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e">iterator</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The default iterator type throughout the <a class="el" href="classtree.html">tree</a> class. <br></td></tr>
 <tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="29428ae7d18d30bc26dce69586736f6e"></a><!-- doxytag: member="tree::tree" ref="29428ae7d18d30bc26dce69586736f6e" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="565f863ea092305d06ab2007d86598de"></a><!-- doxytag: member="tree::tree" ref="565f863ea092305d06ab2007d86598de" args="(const T &amp;)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#565f863ea092305d06ab2007d86598de">tree</a> (const T &amp;)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6d418a154e9e54afdaee9748012daf40"></a><!-- doxytag: member="tree::tree" ref="6d418a154e9e54afdaee9748012daf40" args="(const iterator_base &amp;)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#6d418a154e9e54afdaee9748012daf40">tree</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8b739f1a6e5059ddf64cf3394e49bcb6"></a><!-- doxytag: member="tree::tree" ref="8b739f1a6e5059ddf64cf3394e49bcb6" args="(const tree&lt; T, tree_node_allocator &gt; &amp;)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#8b739f1a6e5059ddf64cf3394e49bcb6">tree</a> (const <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt; &amp;)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f00c3b34857694f4d02894b308b50e4b"></a><!-- doxytag: member="tree::~tree" ref="f00c3b34857694f4d02894b308b50e4b" args="()" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#f00c3b34857694f4d02894b308b50e4b">~tree</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d6defe76c212f37bba54135643e4955f"></a><!-- doxytag: member="tree::operator=" ref="d6defe76c212f37bba54135643e4955f" args="(const tree&lt; T, tree_node_allocator &gt; &amp;)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#d6defe76c212f37bba54135643e4955f">operator=</a> (const <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt; &amp;)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="11ef5dd7469082ebb7f98f08caf91c00"></a><!-- doxytag: member="tree::begin" ref="11ef5dd7469082ebb7f98f08caf91c00" args="() const " -->
-<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the beginning of the tree. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="076873ec5384d8f6a5f17b01da552852"></a><!-- doxytag: member="tree::end" ref="076873ec5384d8f6a5f17b01da552852" args="() const " -->
-<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the end of the tree. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6c02eb9372a46a6f75f5306501a2d328"></a><!-- doxytag: member="tree::begin_post" ref="6c02eb9372a46a6f75f5306501a2d328" args="() const " -->
-<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#6c02eb9372a46a6f75f5306501a2d328">begin_post</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return post-order iterator to the beginning of the tree. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="230eeb27fe063d07a18ee4020896c1cb"></a><!-- doxytag: member="tree::end_post" ref="230eeb27fe063d07a18ee4020896c1cb" args="() const " -->
-<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#230eeb27fe063d07a18ee4020896c1cb">end_post</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return post-order iterator to the end of the tree. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4e811cfdd89077e8a2d6a0e54ded5156"></a><!-- doxytag: member="tree::begin_fixed" ref="4e811cfdd89077e8a2d6a0e54ded5156" args="(const iterator_base &amp;, unsigned int) const " -->
-<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#4e811cfdd89077e8a2d6a0e54ded5156">begin_fixed</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;, unsigned int) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return fixed-depth iterator to the first node at a given depth. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2fbf1396c3067d11f47950fb879edbb9"></a><!-- doxytag: member="tree::end_fixed" ref="2fbf1396c3067d11f47950fb879edbb9" args="(const iterator_base &amp;, unsigned int) const " -->
-<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#2fbf1396c3067d11f47950fb879edbb9">end_fixed</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;, unsigned int) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return fixed-depth iterator to end of the nodes at given depth. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e0d9d063c13f84008a1026c74345f18f"></a><!-- doxytag: member="tree::begin" ref="e0d9d063c13f84008a1026c74345f18f" args="(const iterator_base &amp;) const " -->
-<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e0d9d063c13f84008a1026c74345f18f">begin</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return sibling iterator to the first child of given node. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bfae09dea2fd743fd4a4fa0ae6eb68f9"></a><!-- doxytag: member="tree::end" ref="bfae09dea2fd743fd4a4fa0ae6eb68f9" args="(const iterator_base &amp;) const " -->
-<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#bfae09dea2fd743fd4a4fa0ae6eb68f9">end</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return sibling iterator to the end of the children of a given node. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="a00c1035eb3750d402f0830196264e7f"></a><!-- doxytag: member="tree::parent" ref="a00c1035eb3750d402f0830196264e7f" args="(iter) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#a00c1035eb3750d402f0830196264e7f">parent</a> (iter) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the parent of a node. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="2521b543afdcb57b969e77c910141e12"></a><!-- doxytag: member="tree::previous_sibling" ref="2521b543afdcb57b969e77c910141e12" args="(iter) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#2521b543afdcb57b969e77c910141e12">previous_sibling</a> (iter) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the previous sibling of a node. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="0d28ed2bd76b14ee168f5497159e685f"></a><!-- doxytag: member="tree::next_sibling" ref="0d28ed2bd76b14ee168f5497159e685f" args="(iter) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#0d28ed2bd76b14ee168f5497159e685f">next_sibling</a> (iter) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the next sibling of a node. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="a6d518c3d4ab2359cce1e5bf50a675c0"></a><!-- doxytag: member="tree::next_at_same_depth" ref="a6d518c3d4ab2359cce1e5bf50a675c0" args="(iter) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#a6d518c3d4ab2359cce1e5bf50a675c0">next_at_same_depth</a> (iter) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the next node at a given depth. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e7dc77e5686e51be152d43ad01fed48d"></a><!-- doxytag: member="tree::clear" ref="e7dc77e5686e51be152d43ad01fed48d" args="()" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">clear</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase all nodes of the tree. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="fb19caa16588297c9674abb18c40a32a"></a><!-- doxytag: member="tree::erase" ref="fb19caa16588297c9674abb18c40a32a" args="(iter)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#fb19caa16588297c9674abb18c40a32a">erase</a> (iter)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase element at position pointed to by iterator, return incremented iterator. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0a3ebbed379f55e5550a7d213d0513d2"></a><!-- doxytag: member="tree::erase_children" ref="0a3ebbed379f55e5550a7d213d0513d2" args="(const iterator_base &amp;)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">erase_children</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase all children of the node pointed to by iterator. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="61f096e7fbd483ff1fc1b56fe25ffcf3"></a><!-- doxytag: member="tree::append_child" ref="61f096e7fbd483ff1fc1b56fe25ffcf3" args="(iter position)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert empty node as last child of node pointed to by position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="49df1c6371247b89892e0bb703a3074c"></a><!-- doxytag: member="tree::append_child" ref="49df1c6371247b89892e0bb703a3074c" args="(iter position, const T &amp;x)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#49df1c6371247b89892e0bb703a3074c">append_child</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as last child of node pointed to by position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="c35cc7e116ac7caced91fa1ae129073a"></a><!-- doxytag: member="tree::append_child" ref="c35cc7e116ac7caced91fa1ae129073a" args="(iter position, iter other_position)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#c35cc7e116ac7caced91fa1ae129073a">append_child</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, iter other_position)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append the node (plus its children) at other_position as a child of position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b73148412a532d3216fb9741bc8c4e67"></a><!-- doxytag: member="tree::append_children" ref="b73148412a532d3216fb9741bc8c4e67" args="(iter position, sibling_iterator from, sibling_iterator to)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#b73148412a532d3216fb9741bc8c4e67">append_children</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append the nodes in the from-to range (plus their children) as children of position. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e6749fed3d80f2b74bb6319c4eb2af73"></a><!-- doxytag: member="tree::set_head" ref="e6749fed3d80f2b74bb6319c4eb2af73" args="(const T &amp;x)" -->
-<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a> (const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Short-hand to insert topmost node in otherwise empty tree. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="fb3e3d6dd64410aa9af067e315c87360"></a><!-- doxytag: member="tree::insert" ref="fb3e3d6dd64410aa9af067e315c87360" args="(iter position, const T &amp;x)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as previous sibling of node pointed to by position. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e3847641b24788feda5a44c241d0054b"></a><!-- doxytag: member="tree::insert" ref="e3847641b24788feda5a44c241d0054b" args="(sibling_iterator position, const T &amp;x)" -->
-<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e3847641b24788feda5a44c241d0054b">insert</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of previous member. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="6c41a7abd2827c9193f03ea0a51e8e30"></a><!-- doxytag: member="tree::insert_subtree" ref="6c41a7abd2827c9193f03ea0a51e8e30" args="(iter position, const iterator_base &amp;subtree)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">insert_subtree</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;subtree)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node (with children) pointed to by subtree as previous sibling of node pointed to by position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="9be9c658ab428eb962c55bef3f872b47"></a><!-- doxytag: member="tree::insert_after" ref="9be9c658ab428eb962c55bef3f872b47" args="(iter position, const T &amp;x)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">insert_after</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as next sibling of node pointed to by position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="3839ca59210cc5171bc768552cc82dbe"></a><!-- doxytag: member="tree::replace" ref="3839ca59210cc5171bc768552cc82dbe" args="(iter position, const T &amp;x)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace node at 'position' with other node (keeping same children); 'position' becomes invalid. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="d4c8f84d956933e4137769a126b02cab"></a><!-- doxytag: member="tree::replace" ref="d4c8f84d956933e4137769a126b02cab" args="(iter position, const iterator_base &amp;from)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#d4c8f84d956933e4137769a126b02cab">replace</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;from)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace node at 'position' with subtree starting at 'from' (do not erase subtree at 'from'); see above. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="99c13db9741d7362312eed0ab1a76d61"></a><!-- doxytag: member="tree::replace" ref="99c13db9741d7362312eed0ab1a76d61" args="(sibling_iterator orig_begin, sibling_iterator orig_end, sibling_iterator new_begin, sibling_iterator new_end)" -->
-<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#99c13db9741d7362312eed0ab1a76d61">replace</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_end, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_end)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace string of siblings (plus their children) with copy of a new string (with children); see above. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="aa9c55593a7d52cde352a3dde80fbaf9"></a><!-- doxytag: member="tree::flatten" ref="aa9c55593a7d52cde352a3dde80fbaf9" args="(iter position)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#aa9c55593a7d52cde352a3dde80fbaf9">flatten</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move all children of node at 'position' to be siblings, returns position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="8b127e71944f9bd724c8398f948e9192"></a><!-- doxytag: member="tree::reparent" ref="8b127e71944f9bd724c8398f948e9192" args="(iter position, sibling_iterator begin, sibling_iterator end)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#8b127e71944f9bd724c8398f948e9192">reparent</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> end)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move nodes in range to be children of 'position'. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="bf241e0eb4ff50eda4f2f5220a86d728"></a><!-- doxytag: member="tree::reparent" ref="bf241e0eb4ff50eda4f2f5220a86d728" args="(iter position, iter from)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#bf241e0eb4ff50eda4f2f5220a86d728">reparent</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, iter from)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move all child nodes of 'from' to be children of 'position'. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="f4f74176002736b5ad91d07e37954e18"></a><!-- doxytag: member="tree::move_after" ref="f4f74176002736b5ad91d07e37954e18" args="(iter target, iter source)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#f4f74176002736b5ad91d07e37954e18">move_after</a> (iter target, iter source)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the next sibling of 'target'. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="0298006c1f5106ec81657fc1fc9d1cc3"></a><!-- doxytag: member="tree::move_before" ref="0298006c1f5106ec81657fc1fc9d1cc3" args="(iter target, iter source)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#0298006c1f5106ec81657fc1fc9d1cc3">move_before</a> (iter target, iter source)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the previous sibling of 'target'. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="8c1f99b308550e6eaa1e3ff7932dd7c3"></a><!-- doxytag: member="tree::move_ontop" ref="8c1f99b308550e6eaa1e3ff7932dd7c3" args="(iter target, iter source)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#8c1f99b308550e6eaa1e3ff7932dd7c3">move_ontop</a> (iter target, iter source)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the node at 'target' (erasing the node at 'target'). <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="66539d831037c85092fe6e3c309c6222"></a><!-- doxytag: member="tree::merge" ref="66539d831037c85092fe6e3c309c6222" args="(sibling_iterator, sibling_iterator, sibling_iterator, sibling_iterator, bool duplicate_leaves=false)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#66539d831037c85092fe6e3c309c6222">merge</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, bool duplicate_leaves=false)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Merge with other tree, creating new branches and leaves only if they are not already present. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d2a8822b04bc1b48da62adf35f1f2b7e"></a><!-- doxytag: member="tree::sort" ref="d2a8822b04bc1b48da62adf35f1f2b7e" args="(sibling_iterator from, sibling_iterator to, bool deep=false)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">sort</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, bool deep=false)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sort (std::sort only moves values of nodes, this one moves children as well). <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="2ef3d733ac457021985aa6ccfc12bad4"></a><!-- doxytag: member="tree::sort" ref="2ef3d733ac457021985aa6ccfc12bad4" args="(sibling_iterator from, sibling_iterator to, StrictWeakOrdering comp, bool deep=false)" -->
-template&lt;class StrictWeakOrdering&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#2ef3d733ac457021985aa6ccfc12bad4">sort</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, StrictWeakOrdering comp, bool deep=false)</td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4fee29597a52bb5d7c80d1d38abe7952"></a><!-- doxytag: member="tree::equal" ref="4fee29597a52bb5d7c80d1d38abe7952" args="(const iter &amp;one, const iter &amp;two, const iter &amp;three) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">equal</a> (const iter &amp;one, const iter &amp;two, const iter &amp;three) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare two ranges of nodes (compares nodes as well as tree structure). <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b94a0875a622596e7e624f250117e9e4"></a><!-- doxytag: member="tree::equal" ref="b94a0875a622596e7e624f250117e9e4" args="(const iter &amp;one, const iter &amp;two, const iter &amp;three, BinaryPredicate) const " -->
-template&lt;typename iter, class BinaryPredicate&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#b94a0875a622596e7e624f250117e9e4">equal</a> (const iter &amp;one, const iter &amp;two, const iter &amp;three, BinaryPredicate) const </td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="c8ed9b1eda534a67881553c59cc8cc9d"></a><!-- doxytag: member="tree::equal_subtree" ref="c8ed9b1eda534a67881553c59cc8cc9d" args="(const iter &amp;one, const iter &amp;two) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">equal_subtree</a> (const iter &amp;one, const iter &amp;two) const </td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="728582159c3d6b9b2a4890e95034a6d5"></a><!-- doxytag: member="tree::equal_subtree" ref="728582159c3d6b9b2a4890e95034a6d5" args="(const iter &amp;one, const iter &amp;two, BinaryPredicate) const " -->
-template&lt;typename iter, class BinaryPredicate&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#728582159c3d6b9b2a4890e95034a6d5">equal_subtree</a> (const iter &amp;one, const iter &amp;two, BinaryPredicate) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e0c63efd151b313a372d01f2dae19c0d"></a><!-- doxytag: member="tree::subtree" ref="e0c63efd151b313a372d01f2dae19c0d" args="(sibling_iterator from, sibling_iterator to) const " -->
-<a class="el" href="classtree.html">tree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">subtree</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Extract a new tree formed by the range of siblings plus all their children. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f2e644887f62d410ff310c7d73721f3e"></a><!-- doxytag: member="tree::subtree" ref="f2e644887f62d410ff310c7d73721f3e" args="(tree &amp;, sibling_iterator from, sibling_iterator to) const " -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#f2e644887f62d410ff310c7d73721f3e">subtree</a> (<a class="el" href="classtree.html">tree</a> &amp;, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="36b40bbffa2392b7a765cc74364b35d5"></a><!-- doxytag: member="tree::swap" ref="36b40bbffa2392b7a765cc74364b35d5" args="(sibling_iterator it)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#36b40bbffa2392b7a765cc74364b35d5">swap</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Exchange the node (plus subtree) with its sibling node (do nothing if no sibling present). <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="153ad4a2483c86e5f3647f131629400b"></a><!-- doxytag: member="tree::size" ref="153ad4a2483c86e5f3647f131629400b" args="() const " -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#153ad4a2483c86e5f3647f131629400b">size</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the total number of nodes. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="04cf6fc4add8819a389dcf7e107ad2bf"></a><!-- doxytag: member="tree::empty" ref="04cf6fc4add8819a389dcf7e107ad2bf" args="() const " -->
-bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#04cf6fc4add8819a389dcf7e107ad2bf">empty</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if tree is empty. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="464267273fcfac957e31e28937cf996b"></a><!-- doxytag: member="tree::depth" ref="464267273fcfac957e31e28937cf996b" args="(const iterator_base &amp;) const " -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#464267273fcfac957e31e28937cf996b">depth</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compute the depth to the root. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9e33e1e03c74f7fd67d0c8ab1b014f70"></a><!-- doxytag: member="tree::number_of_children" ref="9e33e1e03c74f7fd67d0c8ab1b014f70" args="(const iterator_base &amp;) const " -->
-unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the number of children of node at position. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="752796c631b632e0e3c3cecf348ff24e"></a><!-- doxytag: member="tree::number_of_siblings" ref="752796c631b632e0e3c3cecf348ff24e" args="(const iterator_base &amp;) const " -->
-unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">number_of_siblings</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the number of 'next' siblings of node at iterator. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b983b7823bc78d7a5efaf994938188a2"></a><!-- doxytag: member="tree::is_in_subtree" ref="b983b7823bc78d7a5efaf994938188a2" args="(const iterator_base &amp;position, const iterator_base &amp;begin, const iterator_base &amp;end) const " -->
-bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#b983b7823bc78d7a5efaf994938188a2">is_in_subtree</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;<a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;begin, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;end) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine whether node at position is in the subtrees with root in the range. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="701009e4869f78144556ebc4ce33750f"></a><!-- doxytag: member="tree::is_valid" ref="701009e4869f78144556ebc4ce33750f" args="(const iterator_base &amp;) const " -->
-bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#701009e4869f78144556ebc4ce33750f">is_valid</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine whether the iterator is an 'end' iterator and thus not actually pointing to a node. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e470529bbd14990a0272a82724b93217"></a><!-- doxytag: member="tree::index" ref="e470529bbd14990a0272a82724b93217" args="(sibling_iterator it) const " -->
-unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e470529bbd14990a0272a82724b93217">index</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine the index of a node in the range of siblings to which it belongs. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="853359c74d04faf26a086dca7c2c5dc1"></a><!-- doxytag: member="tree::child" ref="853359c74d04faf26a086dca7c2c5dc1" args="(const iterator_base &amp;position, unsigned int) const " -->
-<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#853359c74d04faf26a086dca7c2c5dc1">child</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;<a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, unsigned int) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Inverse of 'index': return the n-th child of the node at position. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="565f863ea092305d06ab2007d86598de"></a><!-- doxytag: member="tree::tree" ref="565f863ea092305d06ab2007d86598de" args="(const T &amp;)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>tree</b> (const T &amp;)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6d418a154e9e54afdaee9748012daf40"></a><!-- doxytag: member="tree::tree" ref="6d418a154e9e54afdaee9748012daf40" args="(const iterator_base &amp;)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>tree</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8b739f1a6e5059ddf64cf3394e49bcb6"></a><!-- doxytag: member="tree::tree" ref="8b739f1a6e5059ddf64cf3394e49bcb6" args="(const tree&lt; T, tree_node_allocator &gt; &amp;)" -->
-&nbsp;</td><td class="memItemRight" valign="bottom"><b>tree</b> (const <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt; &amp;)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d6defe76c212f37bba54135643e4955f"></a><!-- doxytag: member="tree::operator=" ref="d6defe76c212f37bba54135643e4955f" args="(const tree&lt; T, tree_node_allocator &gt; &amp;)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt; &amp;)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a847e0e8c79e5eed51b95acfe77214ba"></a><!-- doxytag: member="tree::begin" ref="a847e0e8c79e5eed51b95acfe77214ba" args="() const " -->
-<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a847e0e8c79e5eed51b95acfe77214ba">begin</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the beginning of the tree. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2beaa87ded21a06985ddf767f109841f"></a><!-- doxytag: member="tree::end" ref="2beaa87ded21a06985ddf767f109841f" args="() const " -->
-<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#2beaa87ded21a06985ddf767f109841f">end</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the end of the tree. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="94137d9430380b87f76355610d2f60fb"></a><!-- doxytag: member="tree::begin_post" ref="94137d9430380b87f76355610d2f60fb" args="() const " -->
-<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#94137d9430380b87f76355610d2f60fb">begin_post</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return post-order iterator to the beginning of the tree. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ed92fb7220a771b6f05dcb66205b56ee"></a><!-- doxytag: member="tree::end_post" ref="ed92fb7220a771b6f05dcb66205b56ee" args="() const " -->
-<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#ed92fb7220a771b6f05dcb66205b56ee">end_post</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return post-order iterator to the end of the tree. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c6259cb843b832e66a6351db4913712c"></a><!-- doxytag: member="tree::begin_fixed" ref="c6259cb843b832e66a6351db4913712c" args="(const iterator_base &amp;, unsigned int) const " -->
-<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#c6259cb843b832e66a6351db4913712c">begin_fixed</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;, unsigned int) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return fixed-depth iterator to the first node at a given depth. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2c491ca566c8ac3e850fcd1f64dcc729"></a><!-- doxytag: member="tree::end_fixed" ref="2c491ca566c8ac3e850fcd1f64dcc729" args="(const iterator_base &amp;, unsigned int) const " -->
-<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#2c491ca566c8ac3e850fcd1f64dcc729">end_fixed</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;, unsigned int) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return fixed-depth iterator to end of the nodes at given depth. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e5f2310caf80398be0cec94d12a067c7"></a><!-- doxytag: member="tree::begin" ref="e5f2310caf80398be0cec94d12a067c7" args="(const iterator_base &amp;) const " -->
-<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e5f2310caf80398be0cec94d12a067c7">begin</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return sibling iterator to the first child of given node. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="20490a4be9f2dac80ac8bfa31d596eeb"></a><!-- doxytag: member="tree::end" ref="20490a4be9f2dac80ac8bfa31d596eeb" args="(const iterator_base &amp;) const " -->
-<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#20490a4be9f2dac80ac8bfa31d596eeb">end</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return sibling iterator to the end of the children of a given node. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="a00c1035eb3750d402f0830196264e7f"></a><!-- doxytag: member="tree::parent" ref="a00c1035eb3750d402f0830196264e7f" args="(iter) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#a00c1035eb3750d402f0830196264e7f">parent</a> (iter) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the parent of a node. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="2521b543afdcb57b969e77c910141e12"></a><!-- doxytag: member="tree::previous_sibling" ref="2521b543afdcb57b969e77c910141e12" args="(iter) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#2521b543afdcb57b969e77c910141e12">previous_sibling</a> (iter) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the previous sibling of a node. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="0d28ed2bd76b14ee168f5497159e685f"></a><!-- doxytag: member="tree::next_sibling" ref="0d28ed2bd76b14ee168f5497159e685f" args="(iter) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#0d28ed2bd76b14ee168f5497159e685f">next_sibling</a> (iter) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the next sibling of a node. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="a6d518c3d4ab2359cce1e5bf50a675c0"></a><!-- doxytag: member="tree::next_at_same_depth" ref="a6d518c3d4ab2359cce1e5bf50a675c0" args="(iter) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#a6d518c3d4ab2359cce1e5bf50a675c0">next_at_same_depth</a> (iter) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the next node at a given depth. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e7dc77e5686e51be152d43ad01fed48d"></a><!-- doxytag: member="tree::clear" ref="e7dc77e5686e51be152d43ad01fed48d" args="()" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">clear</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase all nodes of the tree. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="fb19caa16588297c9674abb18c40a32a"></a><!-- doxytag: member="tree::erase" ref="fb19caa16588297c9674abb18c40a32a" args="(iter)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#fb19caa16588297c9674abb18c40a32a">erase</a> (iter)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase element at position pointed to by iterator, return incremented iterator. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0a3ebbed379f55e5550a7d213d0513d2"></a><!-- doxytag: member="tree::erase_children" ref="0a3ebbed379f55e5550a7d213d0513d2" args="(const iterator_base &amp;)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">erase_children</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase all children of the node pointed to by iterator. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="61f096e7fbd483ff1fc1b56fe25ffcf3"></a><!-- doxytag: member="tree::append_child" ref="61f096e7fbd483ff1fc1b56fe25ffcf3" args="(iter position)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert empty node as last child of node pointed to by position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="49df1c6371247b89892e0bb703a3074c"></a><!-- doxytag: member="tree::append_child" ref="49df1c6371247b89892e0bb703a3074c" args="(iter position, const T &amp;x)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#49df1c6371247b89892e0bb703a3074c">append_child</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as last child of node pointed to by position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="c35cc7e116ac7caced91fa1ae129073a"></a><!-- doxytag: member="tree::append_child" ref="c35cc7e116ac7caced91fa1ae129073a" args="(iter position, iter other_position)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#c35cc7e116ac7caced91fa1ae129073a">append_child</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, iter other_position)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append the node (plus its children) at other_position as a child of position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b73148412a532d3216fb9741bc8c4e67"></a><!-- doxytag: member="tree::append_children" ref="b73148412a532d3216fb9741bc8c4e67" args="(iter position, sibling_iterator from, sibling_iterator to)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#b73148412a532d3216fb9741bc8c4e67">append_children</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append the nodes in the from-to range (plus their children) as children of position. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8c10daaf0c6a2f540210b9d8dc2fa7d8"></a><!-- doxytag: member="tree::set_head" ref="8c10daaf0c6a2f540210b9d8dc2fa7d8" args="(const T &amp;x)" -->
-<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#8c10daaf0c6a2f540210b9d8dc2fa7d8">set_head</a> (const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Short-hand to insert topmost node in otherwise empty tree. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="fb3e3d6dd64410aa9af067e315c87360"></a><!-- doxytag: member="tree::insert" ref="fb3e3d6dd64410aa9af067e315c87360" args="(iter position, const T &amp;x)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as previous sibling of node pointed to by position. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a99ff53c3219b1605fd4531cdcf9de24"></a><!-- doxytag: member="tree::insert" ref="a99ff53c3219b1605fd4531cdcf9de24" args="(sibling_iterator position, const T &amp;x)" -->
-<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a99ff53c3219b1605fd4531cdcf9de24">insert</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of previous member. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="6c41a7abd2827c9193f03ea0a51e8e30"></a><!-- doxytag: member="tree::insert_subtree" ref="6c41a7abd2827c9193f03ea0a51e8e30" args="(iter position, const iterator_base &amp;subtree)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">insert_subtree</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;subtree)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node (with children) pointed to by subtree as previous sibling of node pointed to by position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="9be9c658ab428eb962c55bef3f872b47"></a><!-- doxytag: member="tree::insert_after" ref="9be9c658ab428eb962c55bef3f872b47" args="(iter position, const T &amp;x)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">insert_after</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as next sibling of node pointed to by position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="3839ca59210cc5171bc768552cc82dbe"></a><!-- doxytag: member="tree::replace" ref="3839ca59210cc5171bc768552cc82dbe" args="(iter position, const T &amp;x)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const T &amp;x)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace node at 'position' with other node (keeping same children); 'position' becomes invalid. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="d4c8f84d956933e4137769a126b02cab"></a><!-- doxytag: member="tree::replace" ref="d4c8f84d956933e4137769a126b02cab" args="(iter position, const iterator_base &amp;from)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#d4c8f84d956933e4137769a126b02cab">replace</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;from)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace node at 'position' with subtree starting at 'from' (do not erase subtree at 'from'); see above. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="98b0e26e51ce6d629fd3ddf6ead9baa6"></a><!-- doxytag: member="tree::replace" ref="98b0e26e51ce6d629fd3ddf6ead9baa6" args="(sibling_iterator orig_begin, sibling_iterator orig_end, sibling_iterator new_begin, sibling_iterator new_end)" -->
-<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#98b0e26e51ce6d629fd3ddf6ead9baa6">replace</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_end, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_end)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace string of siblings (plus their children) with copy of a new string (with children); see above. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="aa9c55593a7d52cde352a3dde80fbaf9"></a><!-- doxytag: member="tree::flatten" ref="aa9c55593a7d52cde352a3dde80fbaf9" args="(iter position)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#aa9c55593a7d52cde352a3dde80fbaf9">flatten</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move all children of node at 'position' to be siblings, returns position. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="8b127e71944f9bd724c8398f948e9192"></a><!-- doxytag: member="tree::reparent" ref="8b127e71944f9bd724c8398f948e9192" args="(iter position, sibling_iterator begin, sibling_iterator end)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#8b127e71944f9bd724c8398f948e9192">reparent</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> end)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move nodes in range to be children of 'position'. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="bf241e0eb4ff50eda4f2f5220a86d728"></a><!-- doxytag: member="tree::reparent" ref="bf241e0eb4ff50eda4f2f5220a86d728" args="(iter position, iter from)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#bf241e0eb4ff50eda4f2f5220a86d728">reparent</a> (iter <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, iter from)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move all child nodes of 'from' to be children of 'position'. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="f4f74176002736b5ad91d07e37954e18"></a><!-- doxytag: member="tree::move_after" ref="f4f74176002736b5ad91d07e37954e18" args="(iter target, iter source)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#f4f74176002736b5ad91d07e37954e18">move_after</a> (iter target, iter source)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the next sibling of 'target'. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="0298006c1f5106ec81657fc1fc9d1cc3"></a><!-- doxytag: member="tree::move_before" ref="0298006c1f5106ec81657fc1fc9d1cc3" args="(iter target, iter source)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#0298006c1f5106ec81657fc1fc9d1cc3">move_before</a> (iter target, iter source)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the previous sibling of 'target'. <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="8c1f99b308550e6eaa1e3ff7932dd7c3"></a><!-- doxytag: member="tree::move_ontop" ref="8c1f99b308550e6eaa1e3ff7932dd7c3" args="(iter target, iter source)" -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#8c1f99b308550e6eaa1e3ff7932dd7c3">move_ontop</a> (iter target, iter source)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the node at 'target' (erasing the node at 'target'). <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="66539d831037c85092fe6e3c309c6222"></a><!-- doxytag: member="tree::merge" ref="66539d831037c85092fe6e3c309c6222" args="(sibling_iterator, sibling_iterator, sibling_iterator, sibling_iterator, bool duplicate_leaves=false)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#66539d831037c85092fe6e3c309c6222">merge</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, bool duplicate_leaves=false)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Merge with other tree, creating new branches and leaves only if they are not already present. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d2a8822b04bc1b48da62adf35f1f2b7e"></a><!-- doxytag: member="tree::sort" ref="d2a8822b04bc1b48da62adf35f1f2b7e" args="(sibling_iterator from, sibling_iterator to, bool deep=false)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">sort</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, bool deep=false)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sort (std::sort only moves values of nodes, this one moves children as well). <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="2ef3d733ac457021985aa6ccfc12bad4"></a><!-- doxytag: member="tree::sort" ref="2ef3d733ac457021985aa6ccfc12bad4" args="(sibling_iterator from, sibling_iterator to, StrictWeakOrdering comp, bool deep=false)" -->
-template&lt;class StrictWeakOrdering&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>sort</b> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, StrictWeakOrdering comp, bool deep=false)</td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4fee29597a52bb5d7c80d1d38abe7952"></a><!-- doxytag: member="tree::equal" ref="4fee29597a52bb5d7c80d1d38abe7952" args="(const iter &amp;one, const iter &amp;two, const iter &amp;three) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">equal</a> (const iter &amp;one, const iter &amp;two, const iter &amp;three) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare two ranges of nodes (compares nodes as well as tree structure). <br></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b94a0875a622596e7e624f250117e9e4"></a><!-- doxytag: member="tree::equal" ref="b94a0875a622596e7e624f250117e9e4" args="(const iter &amp;one, const iter &amp;two, const iter &amp;three, BinaryPredicate) const " -->
-template&lt;typename iter, class BinaryPredicate&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>equal</b> (const iter &amp;one, const iter &amp;two, const iter &amp;three, BinaryPredicate) const </td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="c8ed9b1eda534a67881553c59cc8cc9d"></a><!-- doxytag: member="tree::equal_subtree" ref="c8ed9b1eda534a67881553c59cc8cc9d" args="(const iter &amp;one, const iter &amp;two) const " -->
-template&lt;typename iter&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>equal_subtree</b> (const iter &amp;one, const iter &amp;two) const </td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="728582159c3d6b9b2a4890e95034a6d5"></a><!-- doxytag: member="tree::equal_subtree" ref="728582159c3d6b9b2a4890e95034a6d5" args="(const iter &amp;one, const iter &amp;two, BinaryPredicate) const " -->
-template&lt;typename iter, class BinaryPredicate&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>equal_subtree</b> (const iter &amp;one, const iter &amp;two, BinaryPredicate) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a6f64a3b9eec68430b60353daa7681df"></a><!-- doxytag: member="tree::subtree" ref="a6f64a3b9eec68430b60353daa7681df" args="(sibling_iterator from, sibling_iterator to) const " -->
-<a class="el" href="classtree.html">tree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a6f64a3b9eec68430b60353daa7681df">subtree</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Extract a new tree formed by the range of siblings plus all their children. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f2e644887f62d410ff310c7d73721f3e"></a><!-- doxytag: member="tree::subtree" ref="f2e644887f62d410ff310c7d73721f3e" args="(tree &amp;, sibling_iterator from, sibling_iterator to) const " -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><b>subtree</b> (<a class="el" href="classtree.html">tree</a> &amp;, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) const </td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="36b40bbffa2392b7a765cc74364b35d5"></a><!-- doxytag: member="tree::swap" ref="36b40bbffa2392b7a765cc74364b35d5" args="(sibling_iterator it)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#36b40bbffa2392b7a765cc74364b35d5">swap</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Exchange the node (plus subtree) with its sibling node (do nothing if no sibling present). <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="153ad4a2483c86e5f3647f131629400b"></a><!-- doxytag: member="tree::size" ref="153ad4a2483c86e5f3647f131629400b" args="() const " -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#153ad4a2483c86e5f3647f131629400b">size</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the total number of nodes. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="04cf6fc4add8819a389dcf7e107ad2bf"></a><!-- doxytag: member="tree::empty" ref="04cf6fc4add8819a389dcf7e107ad2bf" args="() const " -->
-bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#04cf6fc4add8819a389dcf7e107ad2bf">empty</a> () const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if tree is empty. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="464267273fcfac957e31e28937cf996b"></a><!-- doxytag: member="tree::depth" ref="464267273fcfac957e31e28937cf996b" args="(const iterator_base &amp;) const " -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#464267273fcfac957e31e28937cf996b">depth</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compute the depth to the root. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9e33e1e03c74f7fd67d0c8ab1b014f70"></a><!-- doxytag: member="tree::number_of_children" ref="9e33e1e03c74f7fd67d0c8ab1b014f70" args="(const iterator_base &amp;) const " -->
-unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the number of children of node at position. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="752796c631b632e0e3c3cecf348ff24e"></a><!-- doxytag: member="tree::number_of_siblings" ref="752796c631b632e0e3c3cecf348ff24e" args="(const iterator_base &amp;) const " -->
-unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">number_of_siblings</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the number of 'next' siblings of node at iterator. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b983b7823bc78d7a5efaf994938188a2"></a><!-- doxytag: member="tree::is_in_subtree" ref="b983b7823bc78d7a5efaf994938188a2" args="(const iterator_base &amp;position, const iterator_base &amp;begin, const iterator_base &amp;end) const " -->
-bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#b983b7823bc78d7a5efaf994938188a2">is_in_subtree</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;<a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;begin, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;end) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine whether node at position is in the subtrees with root in the range. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="701009e4869f78144556ebc4ce33750f"></a><!-- doxytag: member="tree::is_valid" ref="701009e4869f78144556ebc4ce33750f" args="(const iterator_base &amp;) const " -->
-bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#701009e4869f78144556ebc4ce33750f">is_valid</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine whether the iterator is an 'end' iterator and thus not actually pointing to a node. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e470529bbd14990a0272a82724b93217"></a><!-- doxytag: member="tree::index" ref="e470529bbd14990a0272a82724b93217" args="(sibling_iterator it) const " -->
-unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e470529bbd14990a0272a82724b93217">index</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it) const </td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine the index of a node in the range of siblings to which it belongs. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fbe1ac6e9f493645a2972bc2342f8a2c"></a><!-- doxytag: member="tree::child" ref="fbe1ac6e9f493645a2972bc2342f8a2c" args="(const iterator_base &amp;position, unsigned int) const " -->
-<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#fbe1ac6e9f493645a2972bc2342f8a2c">child</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;<a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, unsigned int) const </td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a064a1d9dceac9b918c5247919a4a325"></a><!-- doxytag: member="tree::tree" ref="a064a1d9dceac9b918c5247919a4a325" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5925c012af64fe91a3a5ed39e3ba9d9a"></a><!-- doxytag: member="tree::tree" ref="5925c012af64fe91a3a5ed39e3ba9d9a" args="(const T &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#5925c012af64fe91a3a5ed39e3ba9d9a">tree</a> (const T &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b72378e7a772a82f90d91ef7493f27bc"></a><!-- doxytag: member="tree::tree" ref="b72378e7a772a82f90d91ef7493f27bc" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#b72378e7a772a82f90d91ef7493f27bc">tree</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e9e06b40929dfd33a1024bd422beedb6"></a><!-- doxytag: member="tree::tree" ref="e9e06b40929dfd33a1024bd422beedb6" args="(const tree&lt; T, tree_node_allocator &gt; &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e9e06b40929dfd33a1024bd422beedb6">tree</a> (const <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt; &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f0169b515c95f4299fd2d984137b7868"></a><!-- doxytag: member="tree::~tree" ref="f0169b515c95f4299fd2d984137b7868" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#f0169b515c95f4299fd2d984137b7868">~tree</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9561c0c73b0605f32bf82a026eaf216a"></a><!-- doxytag: member="tree::operator=" ref="9561c0c73b0605f32bf82a026eaf216a" args="(const tree&lt; T, tree_node_allocator &gt; &amp;)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#9561c0c73b0605f32bf82a026eaf216a">operator=</a> (const <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt; &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="76b3a629c0208d5ae5b4ffcd4492e05e"></a><!-- doxytag: member="tree::begin" ref="76b3a629c0208d5ae5b4ffcd4492e05e" args="() const " -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e">begin</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the beginning of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0d09fe9fd34fbfc9c9e4e28cb694448e"></a><!-- doxytag: member="tree::end" ref="0d09fe9fd34fbfc9c9e4e28cb694448e" args="() const " -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e">end</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the end of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="73c673d39fe46db7ca4e1533841cdbc0"></a><!-- doxytag: member="tree::begin_post" ref="73c673d39fe46db7ca4e1533841cdbc0" args="() const " -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#73c673d39fe46db7ca4e1533841cdbc0">begin_post</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return post-order iterator to the beginning of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d339ab550fc2718e84506e91960a177f"></a><!-- doxytag: member="tree::end_post" ref="d339ab550fc2718e84506e91960a177f" args="() const " -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#d339ab550fc2718e84506e91960a177f">end_post</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return post-order iterator to the end of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3e7ee34b9582cb6f0bd5b25f501a1057"></a><!-- doxytag: member="tree::begin_fixed" ref="3e7ee34b9582cb6f0bd5b25f501a1057" args="(const iterator_base &amp;, unsigned int) const " -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#3e7ee34b9582cb6f0bd5b25f501a1057">begin_fixed</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;, unsigned int) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return fixed-depth iterator to the first node at a given depth. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bab26c0edd25cc836ed768e32c034165"></a><!-- doxytag: member="tree::end_fixed" ref="bab26c0edd25cc836ed768e32c034165" args="(const iterator_base &amp;, unsigned int) const " -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#bab26c0edd25cc836ed768e32c034165">end_fixed</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;, unsigned int) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return fixed-depth iterator to end of the nodes at given depth. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a784ffa6dec85f52754dde8bd6a99aeb"></a><!-- doxytag: member="tree::begin" ref="a784ffa6dec85f52754dde8bd6a99aeb" args="(const iterator_base &amp;) const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a784ffa6dec85f52754dde8bd6a99aeb">begin</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return sibling iterator to the first child of given node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a6aa8b0c6af0f50bfc86592847759127"></a><!-- doxytag: member="tree::end" ref="a6aa8b0c6af0f50bfc86592847759127" args="(const iterator_base &amp;) const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a6aa8b0c6af0f50bfc86592847759127">end</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return sibling iterator to the end of the children of a given node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="aaaa1622d2d58ecda846640bd8f8bd28"></a><!-- doxytag: member="tree::parent" ref="aaaa1622d2d58ecda846640bd8f8bd28" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28">parent</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the parent of a node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="6d38ef0b2b73266cbc39ab021482bb50"></a><!-- doxytag: member="tree::previous_sibling" ref="6d38ef0b2b73266cbc39ab021482bb50" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50">previous_sibling</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the previous sibling of a node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4e3ea50e0949bd05e27ecb9c6b7162ff"></a><!-- doxytag: member="tree::next_sibling" ref="4e3ea50e0949bd05e27ecb9c6b7162ff" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff">next_sibling</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the next sibling of a node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="ce3b299e157ec177230a0144771b2a7e"></a><!-- doxytag: member="tree::next_at_same_depth" ref="ce3b299e157ec177230a0144771b2a7e" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#ce3b299e157ec177230a0144771b2a7e">next_at_same_depth</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the next node at a given depth. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a8cf6dfe17504abfc0ffabb5a4ba9d0a"></a><!-- doxytag: member="tree::clear" ref="a8cf6dfe17504abfc0ffabb5a4ba9d0a" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a">clear</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase all nodes of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="3eb424c89446ae17a747d2aca2cdda4b"></a><!-- doxytag: member="tree::erase" ref="3eb424c89446ae17a747d2aca2cdda4b" args="(iter)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b">erase</a> (iter)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase element at position pointed to by iterator, return incremented iterator. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="05d5fd71c206efc8ac30df5cd46176bc"></a><!-- doxytag: member="tree::erase_children" ref="05d5fd71c206efc8ac30df5cd46176bc" args="(const iterator_base &amp;)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc">erase_children</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase all children of the node pointed to by iterator. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="8d68e95f5088d48cb54fd6ae381729f0"></a><!-- doxytag: member="tree::append_child" ref="8d68e95f5088d48cb54fd6ae381729f0" args="(iter position)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0">append_child</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert empty node as last child of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="9318fa77c4e10ec0a9a26a0d08f182a2"></a><!-- doxytag: member="tree::append_child" ref="9318fa77c4e10ec0a9a26a0d08f182a2" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#9318fa77c4e10ec0a9a26a0d08f182a2">append_child</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as last child of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="1fb4734b783fed4a66c24130af67316e"></a><!-- doxytag: member="tree::append_child" ref="1fb4734b783fed4a66c24130af67316e" args="(iter position, iter other_position)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#1fb4734b783fed4a66c24130af67316e">append_child</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter other_position)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append the node (plus its children) at other_position as a child of position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="92ab22e0a98d8899c0d1b6c9d0a85465"></a><!-- doxytag: member="tree::append_children" ref="92ab22e0a98d8899c0d1b6c9d0a85465" args="(iter position, sibling_iterator from, sibling_iterator to)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465">append_children</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append the nodes in the from-to range (plus their children) as children of position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f11d736ea971ab93651350161f5a7535"></a><!-- doxytag: member="tree::set_head" ref="f11d736ea971ab93651350161f5a7535" args="(const T &amp;x)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#f11d736ea971ab93651350161f5a7535">set_head</a> (const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Short-hand to insert topmost node in otherwise empty <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="c3d19d3a42f91618267674f2c236aad9"></a><!-- doxytag: member="tree::insert" ref="c3d19d3a42f91618267674f2c236aad9" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#c3d19d3a42f91618267674f2c236aad9">insert</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as previous sibling of node pointed to by position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="429bbd485078981ef83b59a779d9f947"></a><!-- doxytag: member="tree::insert" ref="429bbd485078981ef83b59a779d9f947" args="(sibling_iterator position, const T &amp;x)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#429bbd485078981ef83b59a779d9f947">insert</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of previous member. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="d66d55d58b48ce0a8d7a5b41abe923d5"></a><!-- doxytag: member="tree::insert_subtree" ref="d66d55d58b48ce0a8d7a5b41abe923d5" args="(iter position, const iterator_base &amp;subtree)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5">insert_subtree</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;subtree)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node (with children) pointed to by subtree as previous sibling of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="215ab56bd13f59c661eb2298e373ff3e"></a><!-- doxytag: member="tree::insert_after" ref="215ab56bd13f59c661eb2298e373ff3e" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e">insert_after</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as next sibling of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4885e968c82655ebebea5d0927b7e9f4"></a><!-- doxytag: member="tree::replace" ref="4885e968c82655ebebea5d0927b7e9f4" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4">replace</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace node at 'position' with other node (keeping same children); 'position' becomes invalid. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="5d2ad4532598f26c84b1ab0ec84a5d62"></a><!-- doxytag: member="tree::replace" ref="5d2ad4532598f26c84b1ab0ec84a5d62" args="(iter position, const iterator_base &amp;from)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#5d2ad4532598f26c84b1ab0ec84a5d62">replace</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;from)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace node at 'position' with subtree starting at 'from' (do not erase subtree at 'from'); see above. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fc5bef13996f2fd939d83837aa8e090d"></a><!-- doxytag: member="tree::replace" ref="fc5bef13996f2fd939d83837aa8e090d" args="(sibling_iterator orig_begin, sibling_iterator orig_end, sibling_iterator new_begin, sibling_iterator new_end)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#fc5bef13996f2fd939d83837aa8e090d">replace</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_end, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_end)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace string of siblings (plus their children) with copy of a new string (with children); see above. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="479c8e3f748608a9b9fb91e58e18998c"></a><!-- doxytag: member="tree::flatten" ref="479c8e3f748608a9b9fb91e58e18998c" args="(iter position)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c">flatten</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move all children of node at 'position' to be siblings, returns position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="32b88523e2d5b6c78381b7da9455be5e"></a><!-- doxytag: member="tree::reparent" ref="32b88523e2d5b6c78381b7da9455be5e" args="(iter position, sibling_iterator begin, sibling_iterator end)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e">reparent</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> end)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move nodes in range to be children of 'position'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="021a394ff7139df8573e2cb80e6beaa2"></a><!-- doxytag: member="tree::reparent" ref="021a394ff7139df8573e2cb80e6beaa2" args="(iter position, iter from)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#021a394ff7139df8573e2cb80e6beaa2">reparent</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter from)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move all child nodes of 'from' to be children of 'position'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="e7f72ba46cd061f71720c731b4a9bf63"></a><!-- doxytag: member="tree::move_after" ref="e7f72ba46cd061f71720c731b4a9bf63" args="(iter target, iter source)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63">move_after</a> (iter target, iter source)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the next sibling of 'target'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b45aa15042445a81b13873d3ef4a2e86"></a><!-- doxytag: member="tree::move_before" ref="b45aa15042445a81b13873d3ef4a2e86" args="(iter target, iter source)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86">move_before</a> (iter target, iter source)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the previous sibling of 'target'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="a4f8b906b2758eec530e28387b819284"></a><!-- doxytag: member="tree::move_ontop" ref="a4f8b906b2758eec530e28387b819284" args="(iter target, iter source)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#a4f8b906b2758eec530e28387b819284">move_ontop</a> (iter target, iter source)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the node at 'target' (erasing the node at 'target'). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1e3cd901f8f8d8a3da0e1d32e9282db1"></a><!-- doxytag: member="tree::merge" ref="1e3cd901f8f8d8a3da0e1d32e9282db1" args="(sibling_iterator, sibling_iterator, sibling_iterator, sibling_iterator, bool duplicate_leaves=false)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1">merge</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, bool duplicate_leaves=false)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Merge with other <a class="el" href="classtree.html">tree</a>, creating new branches and leaves only if they are not already present. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="498ec42a5eb44cba8bf9ef6e7fd5db9e"></a><!-- doxytag: member="tree::sort" ref="498ec42a5eb44cba8bf9ef6e7fd5db9e" args="(sibling_iterator from, sibling_iterator to, bool deep=false)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e">sort</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, bool deep=false)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sort (std::sort only moves values of nodes, this one moves children as well). <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="f187f42c28a39304649ee41d3464f2ef"></a><!-- doxytag: member="tree::sort" ref="f187f42c28a39304649ee41d3464f2ef" args="(sibling_iterator from, sibling_iterator to, StrictWeakOrdering comp, bool deep=false)" -->
+template&lt;class StrictWeakOrdering&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#f187f42c28a39304649ee41d3464f2ef">sort</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, StrictWeakOrdering comp, bool deep=false)</td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="59488f63fc6ad997809d971c48ecfc04"></a><!-- doxytag: member="tree::equal" ref="59488f63fc6ad997809d971c48ecfc04" args="(const iter &amp;one, const iter &amp;two, const iter &amp;three) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#59488f63fc6ad997809d971c48ecfc04">equal</a> (const iter &amp;one, const iter &amp;two, const iter &amp;three) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare two ranges of nodes (compares nodes as well as <a class="el" href="classtree.html">tree</a> structure). <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="7ce7ff12a68be494b28925b2f7184a29"></a><!-- doxytag: member="tree::equal" ref="7ce7ff12a68be494b28925b2f7184a29" args="(const iter &amp;one, const iter &amp;two, const iter &amp;three, BinaryPredicate) const " -->
+template&lt;typename iter, class BinaryPredicate&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#7ce7ff12a68be494b28925b2f7184a29">equal</a> (const iter &amp;one, const iter &amp;two, const iter &amp;three, BinaryPredicate) const </td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="6e2e76dfa6f0f51ca6f573d73b0c1b28"></a><!-- doxytag: member="tree::equal_subtree" ref="6e2e76dfa6f0f51ca6f573d73b0c1b28" args="(const iter &amp;one, const iter &amp;two) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">equal_subtree</a> (const iter &amp;one, const iter &amp;two) const </td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="5e8445150c43058416d16b4846ff0f15"></a><!-- doxytag: member="tree::equal_subtree" ref="5e8445150c43058416d16b4846ff0f15" args="(const iter &amp;one, const iter &amp;two, BinaryPredicate) const " -->
+template&lt;typename iter, class BinaryPredicate&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#5e8445150c43058416d16b4846ff0f15">equal_subtree</a> (const iter &amp;one, const iter &amp;two, BinaryPredicate) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db61bebed6c56eb5641b0b7fab7fe625"></a><!-- doxytag: member="tree::subtree" ref="db61bebed6c56eb5641b0b7fab7fe625" args="(sibling_iterator from, sibling_iterator to) const " -->
+<a class="el" href="classtree.html">tree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625">subtree</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Extract a new <a class="el" href="classtree.html">tree</a> formed by the range of siblings plus all their children. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="830cccac50df183c44c6ff83cab5a27f"></a><!-- doxytag: member="tree::subtree" ref="830cccac50df183c44c6ff83cab5a27f" args="(tree &amp;, sibling_iterator from, sibling_iterator to) const " -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#830cccac50df183c44c6ff83cab5a27f">subtree</a> (<a class="el" href="classtree.html">tree</a> &amp;, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e842f9b70235bc2412b3c43bca759448"></a><!-- doxytag: member="tree::swap" ref="e842f9b70235bc2412b3c43bca759448" args="(sibling_iterator it)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e842f9b70235bc2412b3c43bca759448">swap</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Exchange the node (plus subtree) with its sibling node (do nothing if no sibling present). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="219ff1bfc99f78fd9a2db71f41891523"></a><!-- doxytag: member="tree::size" ref="219ff1bfc99f78fd9a2db71f41891523" args="() const " -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523">size</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the total number of nodes. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e9f7fd30c51443d46ca8941d5bc06da2"></a><!-- doxytag: member="tree::empty" ref="e9f7fd30c51443d46ca8941d5bc06da2" args="() const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2">empty</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if <a class="el" href="classtree.html">tree</a> is empty. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="16c66be75ca89c999a9c4a68497b05a1"></a><!-- doxytag: member="tree::depth" ref="16c66be75ca89c999a9c4a68497b05a1" args="(const iterator_base &amp;) const " -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1">depth</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compute the depth to the root. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="96f82a90a3e21e82f486f325b0cf9faa"></a><!-- doxytag: member="tree::number_of_children" ref="96f82a90a3e21e82f486f325b0cf9faa" args="(const iterator_base &amp;) const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa">number_of_children</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the number of children of node at position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3cddce970c4d44af57cf9ec0d7c3d009"></a><!-- doxytag: member="tree::number_of_siblings" ref="3cddce970c4d44af57cf9ec0d7c3d009" args="(const iterator_base &amp;) const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009">number_of_siblings</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the number of 'next' siblings of node at iterator. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="825e2106781e846bdd8732c117dc21db"></a><!-- doxytag: member="tree::is_in_subtree" ref="825e2106781e846bdd8732c117dc21db" args="(const iterator_base &amp;position, const iterator_base &amp;begin, const iterator_base &amp;end) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#825e2106781e846bdd8732c117dc21db">is_in_subtree</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;<a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;begin, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;end) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine whether node at position is in the subtrees with root in the range. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9605b028195248894dc8cf506cd256e3"></a><!-- doxytag: member="tree::is_valid" ref="9605b028195248894dc8cf506cd256e3" args="(const iterator_base &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#9605b028195248894dc8cf506cd256e3">is_valid</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine whether the iterator is an 'end' iterator and thus not actually pointing to a node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="de5ec1ba55f94165062e50d01ec35d86"></a><!-- doxytag: member="tree::index" ref="de5ec1ba55f94165062e50d01ec35d86" args="(sibling_iterator it) const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86">index</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine the index of a node in the range of siblings to which it belongs. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="446c722c82607f8b3243a9153b665d19"></a><!-- doxytag: member="tree::child" ref="446c722c82607f8b3243a9153b665d19" args="(const iterator_base &amp;position, unsigned int) const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#446c722c82607f8b3243a9153b665d19">child</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;<a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, unsigned int) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Inverse of 'index': return the n-th child of the node at position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5925c012af64fe91a3a5ed39e3ba9d9a"></a><!-- doxytag: member="tree::tree" ref="5925c012af64fe91a3a5ed39e3ba9d9a" args="(const T &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>tree</b> (const T &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b72378e7a772a82f90d91ef7493f27bc"></a><!-- doxytag: member="tree::tree" ref="b72378e7a772a82f90d91ef7493f27bc" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>tree</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e9e06b40929dfd33a1024bd422beedb6"></a><!-- doxytag: member="tree::tree" ref="e9e06b40929dfd33a1024bd422beedb6" args="(const tree&lt; T, tree_node_allocator &gt; &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>tree</b> (const <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt; &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9561c0c73b0605f32bf82a026eaf216a"></a><!-- doxytag: member="tree::operator=" ref="9561c0c73b0605f32bf82a026eaf216a" args="(const tree&lt; T, tree_node_allocator &gt; &amp;)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt; &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bb0b39dab780d42d75dfa71a1609462b"></a><!-- doxytag: member="tree::begin" ref="bb0b39dab780d42d75dfa71a1609462b" args="() const " -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#bb0b39dab780d42d75dfa71a1609462b">begin</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the beginning of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c51a8218d988dc75fe0a1a986cbfdd72"></a><!-- doxytag: member="tree::end" ref="c51a8218d988dc75fe0a1a986cbfdd72" args="() const " -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#c51a8218d988dc75fe0a1a986cbfdd72">end</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the end of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c589b0b9d7b7bec68232c37de5a7318f"></a><!-- doxytag: member="tree::begin_post" ref="c589b0b9d7b7bec68232c37de5a7318f" args="() const " -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#c589b0b9d7b7bec68232c37de5a7318f">begin_post</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return post-order iterator to the beginning of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="874c4d85ee7631a996874d32429ec575"></a><!-- doxytag: member="tree::end_post" ref="874c4d85ee7631a996874d32429ec575" args="() const " -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#874c4d85ee7631a996874d32429ec575">end_post</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return post-order iterator to the end of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="32efdda22e59c2e627fc8de2ea4b2729"></a><!-- doxytag: member="tree::begin_fixed" ref="32efdda22e59c2e627fc8de2ea4b2729" args="(const iterator_base &amp;, unsigned int) const " -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#32efdda22e59c2e627fc8de2ea4b2729">begin_fixed</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;, unsigned int) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return fixed-depth iterator to the first node at a given depth. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4dad5d0de897c6ff3062151e17ecd192"></a><!-- doxytag: member="tree::end_fixed" ref="4dad5d0de897c6ff3062151e17ecd192" args="(const iterator_base &amp;, unsigned int) const " -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#4dad5d0de897c6ff3062151e17ecd192">end_fixed</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;, unsigned int) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return fixed-depth iterator to end of the nodes at given depth. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7def49a7fab1b74d30bdf73fe27c3cfd"></a><!-- doxytag: member="tree::begin" ref="7def49a7fab1b74d30bdf73fe27c3cfd" args="(const iterator_base &amp;) const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#7def49a7fab1b74d30bdf73fe27c3cfd">begin</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return sibling iterator to the first child of given node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ee5bbcc93836876ebb7a4f85f9d562f3"></a><!-- doxytag: member="tree::end" ref="ee5bbcc93836876ebb7a4f85f9d562f3" args="(const iterator_base &amp;) const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#ee5bbcc93836876ebb7a4f85f9d562f3">end</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return sibling iterator to the end of the children of a given node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="aaaa1622d2d58ecda846640bd8f8bd28"></a><!-- doxytag: member="tree::parent" ref="aaaa1622d2d58ecda846640bd8f8bd28" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28">parent</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the parent of a node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="6d38ef0b2b73266cbc39ab021482bb50"></a><!-- doxytag: member="tree::previous_sibling" ref="6d38ef0b2b73266cbc39ab021482bb50" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50">previous_sibling</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the previous sibling of a node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4e3ea50e0949bd05e27ecb9c6b7162ff"></a><!-- doxytag: member="tree::next_sibling" ref="4e3ea50e0949bd05e27ecb9c6b7162ff" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff">next_sibling</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the next sibling of a node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="ce3b299e157ec177230a0144771b2a7e"></a><!-- doxytag: member="tree::next_at_same_depth" ref="ce3b299e157ec177230a0144771b2a7e" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#ce3b299e157ec177230a0144771b2a7e">next_at_same_depth</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the next node at a given depth. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a8cf6dfe17504abfc0ffabb5a4ba9d0a"></a><!-- doxytag: member="tree::clear" ref="a8cf6dfe17504abfc0ffabb5a4ba9d0a" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a">clear</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase all nodes of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="3eb424c89446ae17a747d2aca2cdda4b"></a><!-- doxytag: member="tree::erase" ref="3eb424c89446ae17a747d2aca2cdda4b" args="(iter)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b">erase</a> (iter)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase element at position pointed to by iterator, return incremented iterator. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="05d5fd71c206efc8ac30df5cd46176bc"></a><!-- doxytag: member="tree::erase_children" ref="05d5fd71c206efc8ac30df5cd46176bc" args="(const iterator_base &amp;)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc">erase_children</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase all children of the node pointed to by iterator. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="8d68e95f5088d48cb54fd6ae381729f0"></a><!-- doxytag: member="tree::append_child" ref="8d68e95f5088d48cb54fd6ae381729f0" args="(iter position)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0">append_child</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert empty node as last child of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="9318fa77c4e10ec0a9a26a0d08f182a2"></a><!-- doxytag: member="tree::append_child" ref="9318fa77c4e10ec0a9a26a0d08f182a2" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#9318fa77c4e10ec0a9a26a0d08f182a2">append_child</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as last child of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="1fb4734b783fed4a66c24130af67316e"></a><!-- doxytag: member="tree::append_child" ref="1fb4734b783fed4a66c24130af67316e" args="(iter position, iter other_position)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#1fb4734b783fed4a66c24130af67316e">append_child</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter other_position)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append the node (plus its children) at other_position as a child of position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="92ab22e0a98d8899c0d1b6c9d0a85465"></a><!-- doxytag: member="tree::append_children" ref="92ab22e0a98d8899c0d1b6c9d0a85465" args="(iter position, sibling_iterator from, sibling_iterator to)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465">append_children</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append the nodes in the from-to range (plus their children) as children of position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="16e33d0c3cd419a9fc8fd14e8d1a0768"></a><!-- doxytag: member="tree::set_head" ref="16e33d0c3cd419a9fc8fd14e8d1a0768" args="(const T &amp;x)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#16e33d0c3cd419a9fc8fd14e8d1a0768">set_head</a> (const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Short-hand to insert topmost node in otherwise empty <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="c3d19d3a42f91618267674f2c236aad9"></a><!-- doxytag: member="tree::insert" ref="c3d19d3a42f91618267674f2c236aad9" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#c3d19d3a42f91618267674f2c236aad9">insert</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as previous sibling of node pointed to by position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="228da1f727711e92bc8dd64b10f7dfff"></a><!-- doxytag: member="tree::insert" ref="228da1f727711e92bc8dd64b10f7dfff" args="(sibling_iterator position, const T &amp;x)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#228da1f727711e92bc8dd64b10f7dfff">insert</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of previous member. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="d66d55d58b48ce0a8d7a5b41abe923d5"></a><!-- doxytag: member="tree::insert_subtree" ref="d66d55d58b48ce0a8d7a5b41abe923d5" args="(iter position, const iterator_base &amp;subtree)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5">insert_subtree</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;subtree)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node (with children) pointed to by subtree as previous sibling of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="215ab56bd13f59c661eb2298e373ff3e"></a><!-- doxytag: member="tree::insert_after" ref="215ab56bd13f59c661eb2298e373ff3e" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e">insert_after</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as next sibling of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4885e968c82655ebebea5d0927b7e9f4"></a><!-- doxytag: member="tree::replace" ref="4885e968c82655ebebea5d0927b7e9f4" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4">replace</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace node at 'position' with other node (keeping same children); 'position' becomes invalid. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="5d2ad4532598f26c84b1ab0ec84a5d62"></a><!-- doxytag: member="tree::replace" ref="5d2ad4532598f26c84b1ab0ec84a5d62" args="(iter position, const iterator_base &amp;from)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#5d2ad4532598f26c84b1ab0ec84a5d62">replace</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;from)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace node at 'position' with subtree starting at 'from' (do not erase subtree at 'from'); see above. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="246ce66bdbc54066ff9b3f47df9adde3"></a><!-- doxytag: member="tree::replace" ref="246ce66bdbc54066ff9b3f47df9adde3" args="(sibling_iterator orig_begin, sibling_iterator orig_end, sibling_iterator new_begin, sibling_iterator new_end)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#246ce66bdbc54066ff9b3f47df9adde3">replace</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_end, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_end)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace string of siblings (plus their children) with copy of a new string (with children); see above. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="479c8e3f748608a9b9fb91e58e18998c"></a><!-- doxytag: member="tree::flatten" ref="479c8e3f748608a9b9fb91e58e18998c" args="(iter position)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c">flatten</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move all children of node at 'position' to be siblings, returns position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="32b88523e2d5b6c78381b7da9455be5e"></a><!-- doxytag: member="tree::reparent" ref="32b88523e2d5b6c78381b7da9455be5e" args="(iter position, sibling_iterator begin, sibling_iterator end)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e">reparent</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> end)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move nodes in range to be children of 'position'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="021a394ff7139df8573e2cb80e6beaa2"></a><!-- doxytag: member="tree::reparent" ref="021a394ff7139df8573e2cb80e6beaa2" args="(iter position, iter from)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#021a394ff7139df8573e2cb80e6beaa2">reparent</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter from)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move all child nodes of 'from' to be children of 'position'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="e7f72ba46cd061f71720c731b4a9bf63"></a><!-- doxytag: member="tree::move_after" ref="e7f72ba46cd061f71720c731b4a9bf63" args="(iter target, iter source)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63">move_after</a> (iter target, iter source)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the next sibling of 'target'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b45aa15042445a81b13873d3ef4a2e86"></a><!-- doxytag: member="tree::move_before" ref="b45aa15042445a81b13873d3ef4a2e86" args="(iter target, iter source)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86">move_before</a> (iter target, iter source)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the previous sibling of 'target'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="a4f8b906b2758eec530e28387b819284"></a><!-- doxytag: member="tree::move_ontop" ref="a4f8b906b2758eec530e28387b819284" args="(iter target, iter source)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#a4f8b906b2758eec530e28387b819284">move_ontop</a> (iter target, iter source)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the node at 'target' (erasing the node at 'target'). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1e3cd901f8f8d8a3da0e1d32e9282db1"></a><!-- doxytag: member="tree::merge" ref="1e3cd901f8f8d8a3da0e1d32e9282db1" args="(sibling_iterator, sibling_iterator, sibling_iterator, sibling_iterator, bool duplicate_leaves=false)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1">merge</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, bool duplicate_leaves=false)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Merge with other <a class="el" href="classtree.html">tree</a>, creating new branches and leaves only if they are not already present. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="498ec42a5eb44cba8bf9ef6e7fd5db9e"></a><!-- doxytag: member="tree::sort" ref="498ec42a5eb44cba8bf9ef6e7fd5db9e" args="(sibling_iterator from, sibling_iterator to, bool deep=false)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e">sort</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, bool deep=false)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sort (std::sort only moves values of nodes, this one moves children as well). <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="f187f42c28a39304649ee41d3464f2ef"></a><!-- doxytag: member="tree::sort" ref="f187f42c28a39304649ee41d3464f2ef" args="(sibling_iterator from, sibling_iterator to, StrictWeakOrdering comp, bool deep=false)" -->
+template&lt;class StrictWeakOrdering&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>sort</b> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, StrictWeakOrdering comp, bool deep=false)</td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="59488f63fc6ad997809d971c48ecfc04"></a><!-- doxytag: member="tree::equal" ref="59488f63fc6ad997809d971c48ecfc04" args="(const iter &amp;one, const iter &amp;two, const iter &amp;three) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#59488f63fc6ad997809d971c48ecfc04">equal</a> (const iter &amp;one, const iter &amp;two, const iter &amp;three) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare two ranges of nodes (compares nodes as well as <a class="el" href="classtree.html">tree</a> structure). <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="7ce7ff12a68be494b28925b2f7184a29"></a><!-- doxytag: member="tree::equal" ref="7ce7ff12a68be494b28925b2f7184a29" args="(const iter &amp;one, const iter &amp;two, const iter &amp;three, BinaryPredicate) const " -->
+template&lt;typename iter, class BinaryPredicate&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>equal</b> (const iter &amp;one, const iter &amp;two, const iter &amp;three, BinaryPredicate) const </td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="6e2e76dfa6f0f51ca6f573d73b0c1b28"></a><!-- doxytag: member="tree::equal_subtree" ref="6e2e76dfa6f0f51ca6f573d73b0c1b28" args="(const iter &amp;one, const iter &amp;two) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>equal_subtree</b> (const iter &amp;one, const iter &amp;two) const </td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="5e8445150c43058416d16b4846ff0f15"></a><!-- doxytag: member="tree::equal_subtree" ref="5e8445150c43058416d16b4846ff0f15" args="(const iter &amp;one, const iter &amp;two, BinaryPredicate) const " -->
+template&lt;typename iter, class BinaryPredicate&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>equal_subtree</b> (const iter &amp;one, const iter &amp;two, BinaryPredicate) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5948cb430e05082d3c7ee9e89b726af5"></a><!-- doxytag: member="tree::subtree" ref="5948cb430e05082d3c7ee9e89b726af5" args="(sibling_iterator from, sibling_iterator to) const " -->
+<a class="el" href="classtree.html">tree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#5948cb430e05082d3c7ee9e89b726af5">subtree</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Extract a new <a class="el" href="classtree.html">tree</a> formed by the range of siblings plus all their children. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="830cccac50df183c44c6ff83cab5a27f"></a><!-- doxytag: member="tree::subtree" ref="830cccac50df183c44c6ff83cab5a27f" args="(tree &amp;, sibling_iterator from, sibling_iterator to) const " -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>subtree</b> (<a class="el" href="classtree.html">tree</a> &amp;, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e842f9b70235bc2412b3c43bca759448"></a><!-- doxytag: member="tree::swap" ref="e842f9b70235bc2412b3c43bca759448" args="(sibling_iterator it)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e842f9b70235bc2412b3c43bca759448">swap</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Exchange the node (plus subtree) with its sibling node (do nothing if no sibling present). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="219ff1bfc99f78fd9a2db71f41891523"></a><!-- doxytag: member="tree::size" ref="219ff1bfc99f78fd9a2db71f41891523" args="() const " -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523">size</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the total number of nodes. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e9f7fd30c51443d46ca8941d5bc06da2"></a><!-- doxytag: member="tree::empty" ref="e9f7fd30c51443d46ca8941d5bc06da2" args="() const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2">empty</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if <a class="el" href="classtree.html">tree</a> is empty. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="16c66be75ca89c999a9c4a68497b05a1"></a><!-- doxytag: member="tree::depth" ref="16c66be75ca89c999a9c4a68497b05a1" args="(const iterator_base &amp;) const " -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1">depth</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compute the depth to the root. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="96f82a90a3e21e82f486f325b0cf9faa"></a><!-- doxytag: member="tree::number_of_children" ref="96f82a90a3e21e82f486f325b0cf9faa" args="(const iterator_base &amp;) const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa">number_of_children</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the number of children of node at position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3cddce970c4d44af57cf9ec0d7c3d009"></a><!-- doxytag: member="tree::number_of_siblings" ref="3cddce970c4d44af57cf9ec0d7c3d009" args="(const iterator_base &amp;) const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009">number_of_siblings</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the number of 'next' siblings of node at iterator. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="825e2106781e846bdd8732c117dc21db"></a><!-- doxytag: member="tree::is_in_subtree" ref="825e2106781e846bdd8732c117dc21db" args="(const iterator_base &amp;position, const iterator_base &amp;begin, const iterator_base &amp;end) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#825e2106781e846bdd8732c117dc21db">is_in_subtree</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;<a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;begin, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;end) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine whether node at position is in the subtrees with root in the range. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9605b028195248894dc8cf506cd256e3"></a><!-- doxytag: member="tree::is_valid" ref="9605b028195248894dc8cf506cd256e3" args="(const iterator_base &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#9605b028195248894dc8cf506cd256e3">is_valid</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine whether the iterator is an 'end' iterator and thus not actually pointing to a node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="de5ec1ba55f94165062e50d01ec35d86"></a><!-- doxytag: member="tree::index" ref="de5ec1ba55f94165062e50d01ec35d86" args="(sibling_iterator it) const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86">index</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine the index of a node in the range of siblings to which it belongs. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a614f997d8c45de7a5ea25733ac036be"></a><!-- doxytag: member="tree::child" ref="a614f997d8c45de7a5ea25733ac036be" args="(const iterator_base &amp;position, unsigned int) const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a614f997d8c45de7a5ea25733ac036be">child</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;<a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, unsigned int) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Inverse of 'index': return the n-th child of the node at position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5925c012af64fe91a3a5ed39e3ba9d9a"></a><!-- doxytag: member="tree::tree" ref="5925c012af64fe91a3a5ed39e3ba9d9a" args="(const T &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>tree</b> (const T &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b72378e7a772a82f90d91ef7493f27bc"></a><!-- doxytag: member="tree::tree" ref="b72378e7a772a82f90d91ef7493f27bc" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>tree</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e9e06b40929dfd33a1024bd422beedb6"></a><!-- doxytag: member="tree::tree" ref="e9e06b40929dfd33a1024bd422beedb6" args="(const tree&lt; T, tree_node_allocator &gt; &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>tree</b> (const <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt; &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9561c0c73b0605f32bf82a026eaf216a"></a><!-- doxytag: member="tree::operator=" ref="9561c0c73b0605f32bf82a026eaf216a" args="(const tree&lt; T, tree_node_allocator &gt; &amp;)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt; &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bb0b39dab780d42d75dfa71a1609462b"></a><!-- doxytag: member="tree::begin" ref="bb0b39dab780d42d75dfa71a1609462b" args="() const " -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#bb0b39dab780d42d75dfa71a1609462b">begin</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the beginning of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c51a8218d988dc75fe0a1a986cbfdd72"></a><!-- doxytag: member="tree::end" ref="c51a8218d988dc75fe0a1a986cbfdd72" args="() const " -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#c51a8218d988dc75fe0a1a986cbfdd72">end</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the end of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c589b0b9d7b7bec68232c37de5a7318f"></a><!-- doxytag: member="tree::begin_post" ref="c589b0b9d7b7bec68232c37de5a7318f" args="() const " -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#c589b0b9d7b7bec68232c37de5a7318f">begin_post</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return post-order iterator to the beginning of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="874c4d85ee7631a996874d32429ec575"></a><!-- doxytag: member="tree::end_post" ref="874c4d85ee7631a996874d32429ec575" args="() const " -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#874c4d85ee7631a996874d32429ec575">end_post</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return post-order iterator to the end of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="32efdda22e59c2e627fc8de2ea4b2729"></a><!-- doxytag: member="tree::begin_fixed" ref="32efdda22e59c2e627fc8de2ea4b2729" args="(const iterator_base &amp;, unsigned int) const " -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#32efdda22e59c2e627fc8de2ea4b2729">begin_fixed</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;, unsigned int) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return fixed-depth iterator to the first node at a given depth. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4dad5d0de897c6ff3062151e17ecd192"></a><!-- doxytag: member="tree::end_fixed" ref="4dad5d0de897c6ff3062151e17ecd192" args="(const iterator_base &amp;, unsigned int) const " -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#4dad5d0de897c6ff3062151e17ecd192">end_fixed</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;, unsigned int) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return fixed-depth iterator to end of the nodes at given depth. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7def49a7fab1b74d30bdf73fe27c3cfd"></a><!-- doxytag: member="tree::begin" ref="7def49a7fab1b74d30bdf73fe27c3cfd" args="(const iterator_base &amp;) const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#7def49a7fab1b74d30bdf73fe27c3cfd">begin</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return sibling iterator to the first child of given node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ee5bbcc93836876ebb7a4f85f9d562f3"></a><!-- doxytag: member="tree::end" ref="ee5bbcc93836876ebb7a4f85f9d562f3" args="(const iterator_base &amp;) const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#ee5bbcc93836876ebb7a4f85f9d562f3">end</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return sibling iterator to the end of the children of a given node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="aaaa1622d2d58ecda846640bd8f8bd28"></a><!-- doxytag: member="tree::parent" ref="aaaa1622d2d58ecda846640bd8f8bd28" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28">parent</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the parent of a node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="6d38ef0b2b73266cbc39ab021482bb50"></a><!-- doxytag: member="tree::previous_sibling" ref="6d38ef0b2b73266cbc39ab021482bb50" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50">previous_sibling</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the previous sibling of a node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4e3ea50e0949bd05e27ecb9c6b7162ff"></a><!-- doxytag: member="tree::next_sibling" ref="4e3ea50e0949bd05e27ecb9c6b7162ff" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff">next_sibling</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the next sibling of a node. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="ce3b299e157ec177230a0144771b2a7e"></a><!-- doxytag: member="tree::next_at_same_depth" ref="ce3b299e157ec177230a0144771b2a7e" args="(iter) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#ce3b299e157ec177230a0144771b2a7e">next_at_same_depth</a> (iter) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return iterator to the next node at a given depth. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a8cf6dfe17504abfc0ffabb5a4ba9d0a"></a><!-- doxytag: member="tree::clear" ref="a8cf6dfe17504abfc0ffabb5a4ba9d0a" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a">clear</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase all nodes of the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="3eb424c89446ae17a747d2aca2cdda4b"></a><!-- doxytag: member="tree::erase" ref="3eb424c89446ae17a747d2aca2cdda4b" args="(iter)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b">erase</a> (iter)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase element at position pointed to by iterator, return incremented iterator. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="05d5fd71c206efc8ac30df5cd46176bc"></a><!-- doxytag: member="tree::erase_children" ref="05d5fd71c206efc8ac30df5cd46176bc" args="(const iterator_base &amp;)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc">erase_children</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Erase all children of the node pointed to by iterator. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="8d68e95f5088d48cb54fd6ae381729f0"></a><!-- doxytag: member="tree::append_child" ref="8d68e95f5088d48cb54fd6ae381729f0" args="(iter position)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0">append_child</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert empty node as last child of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="9318fa77c4e10ec0a9a26a0d08f182a2"></a><!-- doxytag: member="tree::append_child" ref="9318fa77c4e10ec0a9a26a0d08f182a2" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#9318fa77c4e10ec0a9a26a0d08f182a2">append_child</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as last child of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="1fb4734b783fed4a66c24130af67316e"></a><!-- doxytag: member="tree::append_child" ref="1fb4734b783fed4a66c24130af67316e" args="(iter position, iter other_position)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#1fb4734b783fed4a66c24130af67316e">append_child</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter other_position)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append the node (plus its children) at other_position as a child of position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="92ab22e0a98d8899c0d1b6c9d0a85465"></a><!-- doxytag: member="tree::append_children" ref="92ab22e0a98d8899c0d1b6c9d0a85465" args="(iter position, sibling_iterator from, sibling_iterator to)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465">append_children</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append the nodes in the from-to range (plus their children) as children of position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="16e33d0c3cd419a9fc8fd14e8d1a0768"></a><!-- doxytag: member="tree::set_head" ref="16e33d0c3cd419a9fc8fd14e8d1a0768" args="(const T &amp;x)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#16e33d0c3cd419a9fc8fd14e8d1a0768">set_head</a> (const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Short-hand to insert topmost node in otherwise empty <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="c3d19d3a42f91618267674f2c236aad9"></a><!-- doxytag: member="tree::insert" ref="c3d19d3a42f91618267674f2c236aad9" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#c3d19d3a42f91618267674f2c236aad9">insert</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as previous sibling of node pointed to by position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="228da1f727711e92bc8dd64b10f7dfff"></a><!-- doxytag: member="tree::insert" ref="228da1f727711e92bc8dd64b10f7dfff" args="(sibling_iterator position, const T &amp;x)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#228da1f727711e92bc8dd64b10f7dfff">insert</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialisation of previous member. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="d66d55d58b48ce0a8d7a5b41abe923d5"></a><!-- doxytag: member="tree::insert_subtree" ref="d66d55d58b48ce0a8d7a5b41abe923d5" args="(iter position, const iterator_base &amp;subtree)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5">insert_subtree</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;subtree)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node (with children) pointed to by subtree as previous sibling of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="215ab56bd13f59c661eb2298e373ff3e"></a><!-- doxytag: member="tree::insert_after" ref="215ab56bd13f59c661eb2298e373ff3e" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e">insert_after</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert node as next sibling of node pointed to by position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="4885e968c82655ebebea5d0927b7e9f4"></a><!-- doxytag: member="tree::replace" ref="4885e968c82655ebebea5d0927b7e9f4" args="(iter position, const T &amp;x)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4">replace</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const T &amp;x)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace node at 'position' with other node (keeping same children); 'position' becomes invalid. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="5d2ad4532598f26c84b1ab0ec84a5d62"></a><!-- doxytag: member="tree::replace" ref="5d2ad4532598f26c84b1ab0ec84a5d62" args="(iter position, const iterator_base &amp;from)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#5d2ad4532598f26c84b1ab0ec84a5d62">replace</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;from)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace node at 'position' with subtree starting at 'from' (do not erase subtree at 'from'); see above. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="246ce66bdbc54066ff9b3f47df9adde3"></a><!-- doxytag: member="tree::replace" ref="246ce66bdbc54066ff9b3f47df9adde3" args="(sibling_iterator orig_begin, sibling_iterator orig_end, sibling_iterator new_begin, sibling_iterator new_end)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#246ce66bdbc54066ff9b3f47df9adde3">replace</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_end, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_end)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace string of siblings (plus their children) with copy of a new string (with children); see above. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="479c8e3f748608a9b9fb91e58e18998c"></a><!-- doxytag: member="tree::flatten" ref="479c8e3f748608a9b9fb91e58e18998c" args="(iter position)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c">flatten</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move all children of node at 'position' to be siblings, returns position. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="32b88523e2d5b6c78381b7da9455be5e"></a><!-- doxytag: member="tree::reparent" ref="32b88523e2d5b6c78381b7da9455be5e" args="(iter position, sibling_iterator begin, sibling_iterator end)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e">reparent</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> begin, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> end)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move nodes in range to be children of 'position'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="021a394ff7139df8573e2cb80e6beaa2"></a><!-- doxytag: member="tree::reparent" ref="021a394ff7139df8573e2cb80e6beaa2" args="(iter position, iter from)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#021a394ff7139df8573e2cb80e6beaa2">reparent</a> (iter <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter from)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move all child nodes of 'from' to be children of 'position'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="e7f72ba46cd061f71720c731b4a9bf63"></a><!-- doxytag: member="tree::move_after" ref="e7f72ba46cd061f71720c731b4a9bf63" args="(iter target, iter source)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63">move_after</a> (iter target, iter source)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the next sibling of 'target'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b45aa15042445a81b13873d3ef4a2e86"></a><!-- doxytag: member="tree::move_before" ref="b45aa15042445a81b13873d3ef4a2e86" args="(iter target, iter source)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86">move_before</a> (iter target, iter source)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the previous sibling of 'target'. <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="a4f8b906b2758eec530e28387b819284"></a><!-- doxytag: member="tree::move_ontop" ref="a4f8b906b2758eec530e28387b819284" args="(iter target, iter source)" -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">iter&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#a4f8b906b2758eec530e28387b819284">move_ontop</a> (iter target, iter source)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Move 'source' node (plus its children) to become the node at 'target' (erasing the node at 'target'). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1e3cd901f8f8d8a3da0e1d32e9282db1"></a><!-- doxytag: member="tree::merge" ref="1e3cd901f8f8d8a3da0e1d32e9282db1" args="(sibling_iterator, sibling_iterator, sibling_iterator, sibling_iterator, bool duplicate_leaves=false)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1">merge</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, bool duplicate_leaves=false)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Merge with other <a class="el" href="classtree.html">tree</a>, creating new branches and leaves only if they are not already present. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="498ec42a5eb44cba8bf9ef6e7fd5db9e"></a><!-- doxytag: member="tree::sort" ref="498ec42a5eb44cba8bf9ef6e7fd5db9e" args="(sibling_iterator from, sibling_iterator to, bool deep=false)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e">sort</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, bool deep=false)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sort (std::sort only moves values of nodes, this one moves children as well). <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="f187f42c28a39304649ee41d3464f2ef"></a><!-- doxytag: member="tree::sort" ref="f187f42c28a39304649ee41d3464f2ef" args="(sibling_iterator from, sibling_iterator to, StrictWeakOrdering comp, bool deep=false)" -->
+template&lt;class StrictWeakOrdering&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>sort</b> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, StrictWeakOrdering comp, bool deep=false)</td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="59488f63fc6ad997809d971c48ecfc04"></a><!-- doxytag: member="tree::equal" ref="59488f63fc6ad997809d971c48ecfc04" args="(const iter &amp;one, const iter &amp;two, const iter &amp;three) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtree.html#59488f63fc6ad997809d971c48ecfc04">equal</a> (const iter &amp;one, const iter &amp;two, const iter &amp;three) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare two ranges of nodes (compares nodes as well as <a class="el" href="classtree.html">tree</a> structure). <br></td></tr>
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="7ce7ff12a68be494b28925b2f7184a29"></a><!-- doxytag: member="tree::equal" ref="7ce7ff12a68be494b28925b2f7184a29" args="(const iter &amp;one, const iter &amp;two, const iter &amp;three, BinaryPredicate) const " -->
+template&lt;typename iter, class BinaryPredicate&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>equal</b> (const iter &amp;one, const iter &amp;two, const iter &amp;three, BinaryPredicate) const </td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="6e2e76dfa6f0f51ca6f573d73b0c1b28"></a><!-- doxytag: member="tree::equal_subtree" ref="6e2e76dfa6f0f51ca6f573d73b0c1b28" args="(const iter &amp;one, const iter &amp;two) const " -->
+template&lt;typename iter&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>equal_subtree</b> (const iter &amp;one, const iter &amp;two) const </td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="5e8445150c43058416d16b4846ff0f15"></a><!-- doxytag: member="tree::equal_subtree" ref="5e8445150c43058416d16b4846ff0f15" args="(const iter &amp;one, const iter &amp;two, BinaryPredicate) const " -->
+template&lt;typename iter, class BinaryPredicate&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memTemplItemRight" valign="bottom"><b>equal_subtree</b> (const iter &amp;one, const iter &amp;two, BinaryPredicate) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5948cb430e05082d3c7ee9e89b726af5"></a><!-- doxytag: member="tree::subtree" ref="5948cb430e05082d3c7ee9e89b726af5" args="(sibling_iterator from, sibling_iterator to) const " -->
+<a class="el" href="classtree.html">tree</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#5948cb430e05082d3c7ee9e89b726af5">subtree</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Extract a new <a class="el" href="classtree.html">tree</a> formed by the range of siblings plus all their children. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="830cccac50df183c44c6ff83cab5a27f"></a><!-- doxytag: member="tree::subtree" ref="830cccac50df183c44c6ff83cab5a27f" args="(tree &amp;, sibling_iterator from, sibling_iterator to) const " -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><b>subtree</b> (<a class="el" href="classtree.html">tree</a> &amp;, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e842f9b70235bc2412b3c43bca759448"></a><!-- doxytag: member="tree::swap" ref="e842f9b70235bc2412b3c43bca759448" args="(sibling_iterator it)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e842f9b70235bc2412b3c43bca759448">swap</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Exchange the node (plus subtree) with its sibling node (do nothing if no sibling present). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="219ff1bfc99f78fd9a2db71f41891523"></a><!-- doxytag: member="tree::size" ref="219ff1bfc99f78fd9a2db71f41891523" args="() const " -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523">size</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the total number of nodes. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e9f7fd30c51443d46ca8941d5bc06da2"></a><!-- doxytag: member="tree::empty" ref="e9f7fd30c51443d46ca8941d5bc06da2" args="() const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2">empty</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Check if <a class="el" href="classtree.html">tree</a> is empty. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="16c66be75ca89c999a9c4a68497b05a1"></a><!-- doxytag: member="tree::depth" ref="16c66be75ca89c999a9c4a68497b05a1" args="(const iterator_base &amp;) const " -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1">depth</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compute the depth to the root. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="96f82a90a3e21e82f486f325b0cf9faa"></a><!-- doxytag: member="tree::number_of_children" ref="96f82a90a3e21e82f486f325b0cf9faa" args="(const iterator_base &amp;) const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa">number_of_children</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the number of children of node at position. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3cddce970c4d44af57cf9ec0d7c3d009"></a><!-- doxytag: member="tree::number_of_siblings" ref="3cddce970c4d44af57cf9ec0d7c3d009" args="(const iterator_base &amp;) const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009">number_of_siblings</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Count the number of 'next' siblings of node at iterator. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="825e2106781e846bdd8732c117dc21db"></a><!-- doxytag: member="tree::is_in_subtree" ref="825e2106781e846bdd8732c117dc21db" args="(const iterator_base &amp;position, const iterator_base &amp;begin, const iterator_base &amp;end) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#825e2106781e846bdd8732c117dc21db">is_in_subtree</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;<a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;begin, const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;end) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine whether node at position is in the subtrees with root in the range. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9605b028195248894dc8cf506cd256e3"></a><!-- doxytag: member="tree::is_valid" ref="9605b028195248894dc8cf506cd256e3" args="(const iterator_base &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#9605b028195248894dc8cf506cd256e3">is_valid</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine whether the iterator is an 'end' iterator and thus not actually pointing to a node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="de5ec1ba55f94165062e50d01ec35d86"></a><!-- doxytag: member="tree::index" ref="de5ec1ba55f94165062e50d01ec35d86" args="(sibling_iterator it) const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86">index</a> (<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it) const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Determine the index of a node in the range of siblings to which it belongs. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a614f997d8c45de7a5ea25733ac036be"></a><!-- doxytag: member="tree::child" ref="a614f997d8c45de7a5ea25733ac036be" args="(const iterator_base &amp;position, unsigned int) const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#a614f997d8c45de7a5ea25733ac036be">child</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;<a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, unsigned int) const </td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Inverse of 'index': return the n-th child of the node at position. <br></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fbb20670ecc61fe9ad3e7bd502227397"></a><!-- doxytag: member="tree::head" ref="fbb20670ecc61fe9ad3e7bd502227397" args="" -->
-<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e45df182e3702084c6bd147d6479cc08"></a><!-- doxytag: member="tree::feet" ref="e45df182e3702084c6bd147d6479cc08" args="" -->
-<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fbb20670ecc61fe9ad3e7bd502227397"></a><!-- doxytag: member="tree::head" ref="fbb20670ecc61fe9ad3e7bd502227397" args="" -->
-<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="10991cbf1497e125c0ef04d6e292e32b"></a><!-- doxytag: member="tree::head" ref="10991cbf1497e125c0ef04d6e292e32b" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e1dbb80115ba483e37d081a2256c239b"></a><!-- doxytag: member="tree::feet" ref="e1dbb80115ba483e37d081a2256c239b" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="10991cbf1497e125c0ef04d6e292e32b"></a><!-- doxytag: member="tree::head" ref="10991cbf1497e125c0ef04d6e292e32b" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="10991cbf1497e125c0ef04d6e292e32b"></a><!-- doxytag: member="tree::head" ref="10991cbf1497e125c0ef04d6e292e32b" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a></td></tr>
 
 <tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ce325844a601660acbe7687991f8a225"></a><!-- doxytag: member="tree::tree_node" ref="ce325844a601660acbe7687991f8a225" args="" -->
-typedef <a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ce325844a601660acbe7687991f8a225"></a><!-- doxytag: member="tree::tree_node" ref="ce325844a601660acbe7687991f8a225" args="" -->
-typedef <a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="672d078d87ae97c58b732a940d7b8ca8"></a><!-- doxytag: member="tree::tree_node" ref="672d078d87ae97c58b732a940d7b8ca8" args="" -->
+typedef <a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="672d078d87ae97c58b732a940d7b8ca8"></a><!-- doxytag: member="tree::tree_node" ref="672d078d87ae97c58b732a940d7b8ca8" args="" -->
+typedef <a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="672d078d87ae97c58b732a940d7b8ca8"></a><!-- doxytag: member="tree::tree_node" ref="672d078d87ae97c58b732a940d7b8ca8" args="" -->
+typedef <a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a></td></tr>
 
 <tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><b>compare_nodes</b></td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator class for two nodes of a tree (used for sorting and searching). <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><b>compare_nodes</b></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator class for two nodes of a tree (used for sorting and searching). <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterator which traverses only the nodes at a given depth from the root.  <a href="classtree_1_1fixed__depth__iterator.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterator which traverses only the nodes at a given depth from the root.  <a href="classtree_1_1fixed__depth__iterator.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html">iterator_base</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Base class for iterators, only pointers stored, no traversal logic.  <a href="classtree_1_1iterator__base.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html">iterator_base</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Base class for iterators, only pointers stored, no traversal logic.  <a href="classtree_1_1iterator__base.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base__less.html">iterator_base_less</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator class for iterators (compares the actual node content, not pointer values).  <a href="classtree_1_1iterator__base__less.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base__less.html">iterator_base_less</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator class for iterators (compares the actual node content, not pointer values).  <a href="classtree_1_1iterator__base__less.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Depth-first iterator, first accessing the children, then the node itself.  <a href="classtree_1_1post__order__iterator.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Depth-first iterator, first accessing the children, then the node itself.  <a href="classtree_1_1post__order__iterator.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Depth-first iterator, first accessing the node, then its children.  <a href="classtree_1_1pre__order__iterator.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Depth-first iterator, first accessing the node, then its children.  <a href="classtree_1_1pre__order__iterator.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterator which traverses only the nodes which are siblings of each other.  <a href="classtree_1_1sibling__iterator.html#_details">More...</a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator class for two nodes of a <a class="el" href="classtree.html">tree</a> (used for sorting and searching). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterator which traverses only the nodes at a given depth from the root.  <a href="classtree_1_1fixed__depth__iterator.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html">iterator_base</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Base class for iterators, only pointers stored, no traversal logic.  <a href="classtree_1_1iterator__base.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base__less.html">iterator_base_less</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Comparator class for iterators (compares the actual node content, not pointer values).  <a href="classtree_1_1iterator__base__less.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Depth-first iterator, first accessing the children, then the node itself.  <a href="classtree_1_1post__order__iterator.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Depth-first iterator, first accessing the node, then its children.  <a href="classtree_1_1pre__order__iterator.html#_details">More...</a><br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterator which traverses only the nodes which are siblings of each other.  <a href="classtree_1_1sibling__iterator.html#_details">More...</a><br></td></tr>
 </table>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="tree_8hh-source.html">tree.hh</a><li><a class="el" href="fx-0_88_82_2lib_2tree_8hh-source.html">fx-0.8.2/lib/tree.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="tree_8hh-source.html">tree.hh</a><li><a class="el" href="fx-0_88_82_2lib_2tree_8hh-source.html">fx-0.8.2/lib/tree.hh</a><li><a class="el" href="fx-0_89_80_2lib_2tree_8hh-source.html">fx-0.9.0/lib/tree.hh</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classtree_1_1fixed__depth__iterator.html'
--- doc/html/classtree_1_1fixed__depth__iterator.html	2006-10-20 13:12:33 +0000
+++ doc/html/classtree_1_1fixed__depth__iterator.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,173 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="nav">
 <a class="el" href="classtree.html">tree</a>::<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a></div>
-<h1>tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator Class Reference</h1><!-- doxytag: class="tree::fixed_depth_iterator" --><hr><a name="_details"></a><h2>Detailed Description</h2>
+<h1>tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator Class Reference</h1><!-- doxytag: class="tree::fixed_depth_iterator" --><!-- doxytag: inherits="tree::iterator_base,tree::iterator_base,tree::iterator_base" --><div class="dynheader">
+Inheritance diagram for tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator:</div>
+<div class="dynsection">
+
+<p><center><img src="classtree_1_1fixed__depth__iterator.png" usemap="#tree< T, tree_node_allocator >::fixed_depth_iterator_map" border="0" alt=""></center>
+<map name="tree< T, tree_node_allocator >::fixed_depth_iterator_map">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="0,0,305,24">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="315,0,620,24">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="630,0,935,24">
+</map>
+</div>
+<hr><a name="_details"></a><h2>Detailed Description</h2>
 <h3>template&lt;class T, class tree_node_allocator = std::allocator&lt;tree_node_&lt;T&gt; &gt;&gt;<br>
  class tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</h3>
 
 Iterator which traverses only the nodes at a given depth from the root. 
-<p>
-
-<p>
-Definition at line <a class="el" href="tree_8hh-source.html#l00198">198</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="tree_8hh-source.html#l00198">198</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="10f1d20ec2b62e4370a560ebcd84ad54"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="10f1d20ec2b62e4370a560ebcd84ad54" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">fixed_depth_iterator</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a9c0c41473a4d70efa17d7906829823c"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="a9c0c41473a4d70efa17d7906829823c" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#a9c0c41473a4d70efa17d7906829823c">fixed_depth_iterator</a> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="64403be9e04a8e4929531b8e227b5d94"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="64403be9e04a8e4929531b8e227b5d94" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#64403be9e04a8e4929531b8e227b5d94">fixed_depth_iterator</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="949317e3e8a986e72e0a8dbb79a00b03"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="949317e3e8a986e72e0a8dbb79a00b03" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#949317e3e8a986e72e0a8dbb79a00b03">fixed_depth_iterator</a> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4416f43946317c249652270fec7c84a6"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="4416f43946317c249652270fec7c84a6" args="(const fixed_depth_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#4416f43946317c249652270fec7c84a6">fixed_depth_iterator</a> (const <a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cb39be8cb92b1acd5aca197ad6df179b"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator==" ref="cb39be8cb92b1acd5aca197ad6df179b" args="(const fixed_depth_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="978b6d94930a7a6e4f3464fa24e502b8"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator!=" ref="978b6d94930a7a6e4f3464fa24e502b8" args="(const fixed_depth_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="71bcee62caa033974d5c0d94ab0dc0c6"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator++" ref="71bcee62caa033974d5c0d94ab0dc0c6" args="()" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#71bcee62caa033974d5c0d94ab0dc0c6">operator++</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="39a2c5b5048ec0dfff33fbb55bd7767e"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator--" ref="39a2c5b5048ec0dfff33fbb55bd7767e" args="()" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#39a2c5b5048ec0dfff33fbb55bd7767e">operator--</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f1a1bf2404498a385611f938c2d6a750"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator++" ref="f1a1bf2404498a385611f938c2d6a750" args="(int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#f1a1bf2404498a385611f938c2d6a750">operator++</a> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b404acdf3639ea5e5ce2ae65b77b94c7"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator--" ref="b404acdf3639ea5e5ce2ae65b77b94c7" args="(int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#b404acdf3639ea5e5ce2ae65b77b94c7">operator--</a> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6909c400794c6feb49d75b99dbf6aa00"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator+=" ref="6909c400794c6feb49d75b99dbf6aa00" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#6909c400794c6feb49d75b99dbf6aa00">operator+=</a> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e8ccf119ae29e96044d9a4eeca2a539d"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator-=" ref="e8ccf119ae29e96044d9a4eeca2a539d" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#e8ccf119ae29e96044d9a4eeca2a539d">operator-=</a> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a9c0c41473a4d70efa17d7906829823c"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="a9c0c41473a4d70efa17d7906829823c" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>fixed_depth_iterator</b> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="64403be9e04a8e4929531b8e227b5d94"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="64403be9e04a8e4929531b8e227b5d94" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>fixed_depth_iterator</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="949317e3e8a986e72e0a8dbb79a00b03"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="949317e3e8a986e72e0a8dbb79a00b03" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>fixed_depth_iterator</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4416f43946317c249652270fec7c84a6"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="4416f43946317c249652270fec7c84a6" args="(const fixed_depth_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>fixed_depth_iterator</b> (const <a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cb39be8cb92b1acd5aca197ad6df179b"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator==" ref="cb39be8cb92b1acd5aca197ad6df179b" args="(const fixed_depth_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="978b6d94930a7a6e4f3464fa24e502b8"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator!=" ref="978b6d94930a7a6e4f3464fa24e502b8" args="(const fixed_depth_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e77dd7bea8fd5c8ef2279a8ca6d11286"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator++" ref="e77dd7bea8fd5c8ef2279a8ca6d11286" args="()" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b2292f843baa4c56a242cd8f61d0cda3"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator--" ref="b2292f843baa4c56a242cd8f61d0cda3" args="()" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="389dedb2b470df539ec048815f07635e"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator++" ref="389dedb2b470df539ec048815f07635e" args="(int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7106151e4541535bf04803973afc62e5"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator--" ref="7106151e4541535bf04803973afc62e5" args="(int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2a0752ad49777e4acb64d1975ced741d"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator+=" ref="2a0752ad49777e4acb64d1975ced741d" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6e84b8fad30e81c25c4ba1ec7b230202"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator-=" ref="6e84b8fad30e81c25c4ba1ec7b230202" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a9c0c41473a4d70efa17d7906829823c"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="a9c0c41473a4d70efa17d7906829823c" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>fixed_depth_iterator</b> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="64403be9e04a8e4929531b8e227b5d94"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="64403be9e04a8e4929531b8e227b5d94" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>fixed_depth_iterator</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="949317e3e8a986e72e0a8dbb79a00b03"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="949317e3e8a986e72e0a8dbb79a00b03" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>fixed_depth_iterator</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4416f43946317c249652270fec7c84a6"></a><!-- doxytag: member="tree::fixed_depth_iterator::fixed_depth_iterator" ref="4416f43946317c249652270fec7c84a6" args="(const fixed_depth_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>fixed_depth_iterator</b> (const <a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cb39be8cb92b1acd5aca197ad6df179b"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator==" ref="cb39be8cb92b1acd5aca197ad6df179b" args="(const fixed_depth_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="978b6d94930a7a6e4f3464fa24e502b8"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator!=" ref="978b6d94930a7a6e4f3464fa24e502b8" args="(const fixed_depth_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e77dd7bea8fd5c8ef2279a8ca6d11286"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator++" ref="e77dd7bea8fd5c8ef2279a8ca6d11286" args="()" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b2292f843baa4c56a242cd8f61d0cda3"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator--" ref="b2292f843baa4c56a242cd8f61d0cda3" args="()" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="389dedb2b470df539ec048815f07635e"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator++" ref="389dedb2b470df539ec048815f07635e" args="(int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7106151e4541535bf04803973afc62e5"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator--" ref="7106151e4541535bf04803973afc62e5" args="(int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2a0752ad49777e4acb64d1975ced741d"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator+=" ref="2a0752ad49777e4acb64d1975ced741d" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6e84b8fad30e81c25c4ba1ec7b230202"></a><!-- doxytag: member="tree::fixed_depth_iterator::operator-=" ref="6e84b8fad30e81c25c4ba1ec7b230202" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (unsigned int)</td></tr>
+
+<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5f6c92f12c4281e94e950ccd70833985"></a><!-- doxytag: member="tree::fixed_depth_iterator::first_parent_" ref="5f6c92f12c4281e94e950ccd70833985" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5f6c92f12c4281e94e950ccd70833985"></a><!-- doxytag: member="tree::fixed_depth_iterator::first_parent_" ref="5f6c92f12c4281e94e950ccd70833985" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5f6c92f12c4281e94e950ccd70833985"></a><!-- doxytag: member="tree::fixed_depth_iterator::first_parent_" ref="5f6c92f12c4281e94e950ccd70833985" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a></td></tr>
+
 </table>
-<hr>The documentation for this class was generated from the following file:<ul>
-<li><a class="el" href="tree_8hh-source.html">tree.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<hr>The documentation for this class was generated from the following files:<ul>
+<li><a class="el" href="tree_8hh-source.html">tree.hh</a><li><a class="el" href="fx-0_88_82_2lib_2tree_8hh-source.html">fx-0.8.2/lib/tree.hh</a><li><a class="el" href="fx-0_89_80_2lib_2tree_8hh-source.html">fx-0.9.0/lib/tree.hh</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classtree_1_1fixed__depth__iterator.png'
Binary files doc/html/classtree_1_1fixed__depth__iterator.png and doc/html/classtree_1_1fixed__depth__iterator.png differ
=== modified file 'doc/html/classtree_1_1iterator__base.html'
--- doc/html/classtree_1_1iterator__base.html	2006-10-20 13:12:33 +0000
+++ doc/html/classtree_1_1iterator__base.html	2008-02-06 17:25:16 +0000
@@ -1,52 +1,205 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: tree&lt; T, tree_node_allocator &gt;::iterator_base Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="nav">
 <a class="el" href="classtree.html">tree</a>::<a class="el" href="classtree_1_1iterator__base.html">iterator_base</a></div>
-<h1>tree&lt; T, tree_node_allocator &gt;::iterator_base Class Reference</h1><!-- doxytag: class="tree::iterator_base" --><p>Inheritance diagram for tree&lt; T, tree_node_allocator &gt;::iterator_base:
+<h1>tree&lt; T, tree_node_allocator &gt;::iterator_base Class Reference</h1><!-- doxytag: class="tree::iterator_base" --><div class="dynheader">
+Inheritance diagram for tree&lt; T, tree_node_allocator &gt;::iterator_base:</div>
+<div class="dynsection">
+
 <p><center><img src="classtree_1_1iterator__base.png" usemap="#tree< T, tree_node_allocator >::iterator_base_map" border="0" alt=""></center>
 <map name="tree< T, tree_node_allocator >::iterator_base_map">
 <area href="classtree_1_1fixed__depth__iterator.html" alt="tree< T, tree_node_allocator >::fixed_depth_iterator" shape="rect" coords="315,56,620,80">
 <area href="classtree_1_1fixed__depth__iterator.html" alt="tree< T, tree_node_allocator >::fixed_depth_iterator" shape="rect" coords="315,112,620,136">
-<area href="classtree_1_1post__order__iterator.html" alt="tree< T, tree_node_allocator >::post_order_iterator" shape="rect" coords="315,168,620,192">
+<area href="classtree_1_1fixed__depth__iterator.html" alt="tree< T, tree_node_allocator >::fixed_depth_iterator" shape="rect" coords="315,168,620,192">
 <area href="classtree_1_1post__order__iterator.html" alt="tree< T, tree_node_allocator >::post_order_iterator" shape="rect" coords="315,224,620,248">
-<area href="classtree_1_1pre__order__iterator.html" alt="tree< T, tree_node_allocator >::pre_order_iterator" shape="rect" coords="315,280,620,304">
-<area href="classtree_1_1pre__order__iterator.html" alt="tree< T, tree_node_allocator >::pre_order_iterator" shape="rect" coords="315,336,620,360">
-<area href="classtree_1_1sibling__iterator.html" alt="tree< T, tree_node_allocator >::sibling_iterator" shape="rect" coords="315,392,620,416">
-<area href="classtree_1_1sibling__iterator.html" alt="tree< T, tree_node_allocator >::sibling_iterator" shape="rect" coords="315,448,620,472">
+<area href="classtree_1_1post__order__iterator.html" alt="tree< T, tree_node_allocator >::post_order_iterator" shape="rect" coords="315,280,620,304">
+<area href="classtree_1_1post__order__iterator.html" alt="tree< T, tree_node_allocator >::post_order_iterator" shape="rect" coords="315,336,620,360">
+<area href="classtree_1_1pre__order__iterator.html" alt="tree< T, tree_node_allocator >::pre_order_iterator" shape="rect" coords="315,392,620,416">
+<area href="classtree_1_1pre__order__iterator.html" alt="tree< T, tree_node_allocator >::pre_order_iterator" shape="rect" coords="315,448,620,472">
+<area href="classtree_1_1pre__order__iterator.html" alt="tree< T, tree_node_allocator >::pre_order_iterator" shape="rect" coords="315,504,620,528">
+<area href="classtree_1_1sibling__iterator.html" alt="tree< T, tree_node_allocator >::sibling_iterator" shape="rect" coords="315,560,620,584">
+<area href="classtree_1_1sibling__iterator.html" alt="tree< T, tree_node_allocator >::sibling_iterator" shape="rect" coords="315,616,620,640">
+<area href="classtree_1_1sibling__iterator.html" alt="tree< T, tree_node_allocator >::sibling_iterator" shape="rect" coords="315,672,620,696">
 </map>
+</div>
 <hr><a name="_details"></a><h2>Detailed Description</h2>
 <h3>template&lt;class T, class tree_node_allocator = std::allocator&lt;tree_node_&lt;T&gt; &gt;&gt;<br>
  class tree&lt; T, tree_node_allocator &gt;::iterator_base</h3>
 
 Base class for iterators, only pointers stored, no traversal logic. 
-<p>
-
-<p>
-Definition at line <a class="el" href="tree_8hh-source.html#l00126">126</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="tree_8hh-source.html#l00126">126</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ab430bec9e607ae24cdd2bdffe3faf70"></a><!-- doxytag: member="tree::iterator_base::value_type" ref="ab430bec9e607ae24cdd2bdffe3faf70" args="" -->
+typedef T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">value_type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0665bed45269b6f7b97809ea9920008e"></a><!-- doxytag: member="tree::iterator_base::pointer" ref="0665bed45269b6f7b97809ea9920008e" args="" -->
+typedef T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">pointer</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="063faf883017de195e7e72cf55be6914"></a><!-- doxytag: member="tree::iterator_base::reference" ref="063faf883017de195e7e72cf55be6914" args="" -->
+typedef T &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">reference</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a2b239ac4db713d5b191e696584a9076"></a><!-- doxytag: member="tree::iterator_base::size_type" ref="a2b239ac4db713d5b191e696584a9076" args="" -->
+typedef size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">size_type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="eff66472181aa05d50c7ffe4a91dc4c0"></a><!-- doxytag: member="tree::iterator_base::difference_type" ref="eff66472181aa05d50c7ffe4a91dc4c0" args="" -->
+typedef ptrdiff_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">difference_type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7d0ace14418254eaab7526f1d0aabf40"></a><!-- doxytag: member="tree::iterator_base::iterator_category" ref="7d0ace14418254eaab7526f1d0aabf40" args="" -->
+typedef <br>
+std::bidirectional_iterator_tag&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">iterator_category</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ab430bec9e607ae24cdd2bdffe3faf70"></a><!-- doxytag: member="tree::iterator_base::value_type" ref="ab430bec9e607ae24cdd2bdffe3faf70" args="" -->
+typedef T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">value_type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0665bed45269b6f7b97809ea9920008e"></a><!-- doxytag: member="tree::iterator_base::pointer" ref="0665bed45269b6f7b97809ea9920008e" args="" -->
+typedef T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">pointer</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="063faf883017de195e7e72cf55be6914"></a><!-- doxytag: member="tree::iterator_base::reference" ref="063faf883017de195e7e72cf55be6914" args="" -->
+typedef T &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">reference</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a2b239ac4db713d5b191e696584a9076"></a><!-- doxytag: member="tree::iterator_base::size_type" ref="a2b239ac4db713d5b191e696584a9076" args="" -->
+typedef size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">size_type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="eff66472181aa05d50c7ffe4a91dc4c0"></a><!-- doxytag: member="tree::iterator_base::difference_type" ref="eff66472181aa05d50c7ffe4a91dc4c0" args="" -->
+typedef ptrdiff_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">difference_type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7d0ace14418254eaab7526f1d0aabf40"></a><!-- doxytag: member="tree::iterator_base::iterator_category" ref="7d0ace14418254eaab7526f1d0aabf40" args="" -->
+typedef <br>
+std::bidirectional_iterator_tag&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">iterator_category</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ab430bec9e607ae24cdd2bdffe3faf70"></a><!-- doxytag: member="tree::iterator_base::value_type" ref="ab430bec9e607ae24cdd2bdffe3faf70" args="" -->
+typedef T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">value_type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0665bed45269b6f7b97809ea9920008e"></a><!-- doxytag: member="tree::iterator_base::pointer" ref="0665bed45269b6f7b97809ea9920008e" args="" -->
+typedef T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">pointer</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="063faf883017de195e7e72cf55be6914"></a><!-- doxytag: member="tree::iterator_base::reference" ref="063faf883017de195e7e72cf55be6914" args="" -->
+typedef T &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">reference</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a2b239ac4db713d5b191e696584a9076"></a><!-- doxytag: member="tree::iterator_base::size_type" ref="a2b239ac4db713d5b191e696584a9076" args="" -->
+typedef size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">size_type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="eff66472181aa05d50c7ffe4a91dc4c0"></a><!-- doxytag: member="tree::iterator_base::difference_type" ref="eff66472181aa05d50c7ffe4a91dc4c0" args="" -->
+typedef ptrdiff_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">difference_type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7d0ace14418254eaab7526f1d0aabf40"></a><!-- doxytag: member="tree::iterator_base::iterator_category" ref="7d0ace14418254eaab7526f1d0aabf40" args="" -->
+typedef <br>
+std::bidirectional_iterator_tag&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">iterator_category</a></td></tr>
+
+<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1be2e6802acca5f281ddc7e5d67bd61c"></a><!-- doxytag: member="tree::iterator_base::iterator_base" ref="1be2e6802acca5f281ddc7e5d67bd61c" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dd6dda19c2febebabbc5e769365dc4dd"></a><!-- doxytag: member="tree::iterator_base::iterator_base" ref="dd6dda19c2febebabbc5e769365dc4dd" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#dd6dda19c2febebabbc5e769365dc4dd">iterator_base</a> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ada7cbe4d4f9a5ec29db78d10712edc6"></a><!-- doxytag: member="tree::iterator_base::operator *" ref="ada7cbe4d4f9a5ec29db78d10712edc6" args="() const " -->
+T &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#ada7cbe4d4f9a5ec29db78d10712edc6">operator *</a> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bd9c59569df7d8be5a50c835c180f4dc"></a><!-- doxytag: member="tree::iterator_base::operator-&gt;" ref="bd9c59569df7d8be5a50c835c180f4dc" args="() const " -->
+T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#bd9c59569df7d8be5a50c835c180f4dc">operator-&gt;</a> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0be7989b9dd4c5bcdcc0d47a56d11fb"></a><!-- doxytag: member="tree::iterator_base::skip_children" ref="a0be7989b9dd4c5bcdcc0d47a56d11fb" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb">skip_children</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">When called, the next increment/decrement skips children of this node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="435004214270928d106dd4c8f6a36f17"></a><!-- doxytag: member="tree::iterator_base::number_of_children" ref="435004214270928d106dd4c8f6a36f17" args="() const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17">number_of_children</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of children of the node pointed to by the iterator. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7fad2f6cc1a6a667b5c71bb16c9b84e5"></a><!-- doxytag: member="tree::iterator_base::begin" ref="7fad2f6cc1a6a667b5c71bb16c9b84e5" args="() const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="399dabd62f0659c02bfda59b26bdeefe"></a><!-- doxytag: member="tree::iterator_base::end" ref="399dabd62f0659c02bfda59b26bdeefe" args="() const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dd6dda19c2febebabbc5e769365dc4dd"></a><!-- doxytag: member="tree::iterator_base::iterator_base" ref="dd6dda19c2febebabbc5e769365dc4dd" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>iterator_base</b> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="94cf8a4bf99a53f6a01e6bc982ab883f"></a><!-- doxytag: member="tree::iterator_base::operator *" ref="94cf8a4bf99a53f6a01e6bc982ab883f" args="() const " -->
+T &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator *</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4beab82ac9c08f0963b57eb14ece1b1e"></a><!-- doxytag: member="tree::iterator_base::operator-&gt;" ref="4beab82ac9c08f0963b57eb14ece1b1e" args="() const " -->
+T *&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-&gt;</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0be7989b9dd4c5bcdcc0d47a56d11fb"></a><!-- doxytag: member="tree::iterator_base::skip_children" ref="a0be7989b9dd4c5bcdcc0d47a56d11fb" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb">skip_children</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">When called, the next increment/decrement skips children of this node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="435004214270928d106dd4c8f6a36f17"></a><!-- doxytag: member="tree::iterator_base::number_of_children" ref="435004214270928d106dd4c8f6a36f17" args="() const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17">number_of_children</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of children of the node pointed to by the iterator. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2210a1aed2fcba9181811649d88d5f2b"></a><!-- doxytag: member="tree::iterator_base::begin" ref="2210a1aed2fcba9181811649d88d5f2b" args="() const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>begin</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7440e7f974e98b98b2acfee06daf1eca"></a><!-- doxytag: member="tree::iterator_base::end" ref="7440e7f974e98b98b2acfee06daf1eca" args="() const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>end</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dd6dda19c2febebabbc5e769365dc4dd"></a><!-- doxytag: member="tree::iterator_base::iterator_base" ref="dd6dda19c2febebabbc5e769365dc4dd" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>iterator_base</b> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="94cf8a4bf99a53f6a01e6bc982ab883f"></a><!-- doxytag: member="tree::iterator_base::operator *" ref="94cf8a4bf99a53f6a01e6bc982ab883f" args="() const " -->
+T &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator *</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4beab82ac9c08f0963b57eb14ece1b1e"></a><!-- doxytag: member="tree::iterator_base::operator-&gt;" ref="4beab82ac9c08f0963b57eb14ece1b1e" args="() const " -->
+T *&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-&gt;</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0be7989b9dd4c5bcdcc0d47a56d11fb"></a><!-- doxytag: member="tree::iterator_base::skip_children" ref="a0be7989b9dd4c5bcdcc0d47a56d11fb" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb">skip_children</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">When called, the next increment/decrement skips children of this node. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="435004214270928d106dd4c8f6a36f17"></a><!-- doxytag: member="tree::iterator_base::number_of_children" ref="435004214270928d106dd4c8f6a36f17" args="() const " -->
+unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17">number_of_children</a> () const </td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of children of the node pointed to by the iterator. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2210a1aed2fcba9181811649d88d5f2b"></a><!-- doxytag: member="tree::iterator_base::begin" ref="2210a1aed2fcba9181811649d88d5f2b" args="() const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>begin</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7440e7f974e98b98b2acfee06daf1eca"></a><!-- doxytag: member="tree::iterator_base::end" ref="7440e7f974e98b98b2acfee06daf1eca" args="() const " -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>end</b> () const </td></tr>
+
+<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8e012d9505968cd1b51afab5bb4f2bf0"></a><!-- doxytag: member="tree::iterator_base::node" ref="8e012d9505968cd1b51afab5bb4f2bf0" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8e012d9505968cd1b51afab5bb4f2bf0"></a><!-- doxytag: member="tree::iterator_base::node" ref="8e012d9505968cd1b51afab5bb4f2bf0" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8e012d9505968cd1b51afab5bb4f2bf0"></a><!-- doxytag: member="tree::iterator_base::node" ref="8e012d9505968cd1b51afab5bb4f2bf0" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a></td></tr>
+
+<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="88239267268c728952e0cd89b9326e82"></a><!-- doxytag: member="tree::iterator_base::skip_current_children_" ref="88239267268c728952e0cd89b9326e82" args="" -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">skip_current_children_</a></td></tr>
+
 </table>
-<hr>The documentation for this class was generated from the following file:<ul>
-<li><a class="el" href="tree_8hh-source.html">tree.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<hr>The documentation for this class was generated from the following files:<ul>
+<li><a class="el" href="tree_8hh-source.html">tree.hh</a><li><a class="el" href="fx-0_88_82_2lib_2tree_8hh-source.html">fx-0.8.2/lib/tree.hh</a><li><a class="el" href="fx-0_89_80_2lib_2tree_8hh-source.html">fx-0.9.0/lib/tree.hh</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classtree_1_1iterator__base.png'
Binary files doc/html/classtree_1_1iterator__base.png and doc/html/classtree_1_1iterator__base.png differ
=== modified file 'doc/html/classtree_1_1iterator__base__less.html'
--- doc/html/classtree_1_1iterator__base__less.html	2006-10-20 13:12:33 +0000
+++ doc/html/classtree_1_1iterator__base__less.html	2008-02-06 17:25:16 +0000
@@ -1,23 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: tree&lt; T, tree_node_allocator &gt;::iterator_base_less Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="nav">
 <a class="el" href="classtree.html">tree</a>::<a class="el" href="classtree_1_1iterator__base__less.html">iterator_base_less</a></div>
 <h1>tree&lt; T, tree_node_allocator &gt;::iterator_base_less Class Reference</h1><!-- doxytag: class="tree::iterator_base_less" --><hr><a name="_details"></a><h2>Detailed Description</h2>
@@ -25,16 +27,24 @@
  class tree&lt; T, tree_node_allocator &gt;::iterator_base_less</h3>
 
 Comparator class for iterators (compares the actual node content, not pointer values). 
-<p>
-
-<p>
-Definition at line <a class="el" href="tree_8hh-source.html#l00364">364</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="tree_8hh-source.html#l00364">364</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b"></a><!-- doxytag: member="tree::iterator_base_less::operator()" ref="3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b" args="(const typename tree&lt; T, tree_node_allocator &gt;::iterator_base &amp;one, const typename tree&lt; T, tree_node_allocator &gt;::iterator_base &amp;two) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base__less.html#3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b">operator()</a> (const typename <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt;::<a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;one, const typename <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt;::<a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;two) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b"></a><!-- doxytag: member="tree::iterator_base_less::operator()" ref="3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b" args="(const typename tree&lt; T, tree_node_allocator &gt;::iterator_base &amp;one, const typename tree&lt; T, tree_node_allocator &gt;::iterator_base &amp;two) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base__less.html#3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b">operator()</a> (const typename <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt;::<a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;one, const typename <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt;::<a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;two) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b"></a><!-- doxytag: member="tree::iterator_base_less::operator()" ref="3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b" args="(const typename tree&lt; T, tree_node_allocator &gt;::iterator_base &amp;one, const typename tree&lt; T, tree_node_allocator &gt;::iterator_base &amp;two) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1iterator__base__less.html#3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b">operator()</a> (const typename <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt;::<a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;one, const typename <a class="el" href="classtree.html">tree</a>&lt; T, tree_node_allocator &gt;::<a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;two) const </td></tr>
+
 </table>
-<hr>The documentation for this class was generated from the following file:<ul>
-<li><a class="el" href="tree_8hh-source.html">tree.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<hr>The documentation for this class was generated from the following files:<ul>
+<li><a class="el" href="tree_8hh-source.html">tree.hh</a><li><a class="el" href="fx-0_88_82_2lib_2tree_8hh-source.html">fx-0.8.2/lib/tree.hh</a><li><a class="el" href="fx-0_89_80_2lib_2tree_8hh-source.html">fx-0.9.0/lib/tree.hh</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classtree_1_1post__order__iterator.html'
--- doc/html/classtree_1_1post__order__iterator.html	2006-10-20 13:12:33 +0000
+++ doc/html/classtree_1_1post__order__iterator.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,166 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: tree&lt; T, tree_node_allocator &gt;::post_order_iterator Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="nav">
 <a class="el" href="classtree.html">tree</a>::<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a></div>
-<h1>tree&lt; T, tree_node_allocator &gt;::post_order_iterator Class Reference</h1><!-- doxytag: class="tree::post_order_iterator" --><hr><a name="_details"></a><h2>Detailed Description</h2>
+<h1>tree&lt; T, tree_node_allocator &gt;::post_order_iterator Class Reference</h1><!-- doxytag: class="tree::post_order_iterator" --><!-- doxytag: inherits="tree::iterator_base,tree::iterator_base,tree::iterator_base" --><div class="dynheader">
+Inheritance diagram for tree&lt; T, tree_node_allocator &gt;::post_order_iterator:</div>
+<div class="dynsection">
+
+<p><center><img src="classtree_1_1post__order__iterator.png" usemap="#tree< T, tree_node_allocator >::post_order_iterator_map" border="0" alt=""></center>
+<map name="tree< T, tree_node_allocator >::post_order_iterator_map">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="0,0,301,24">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="311,0,612,24">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="622,0,923,24">
+</map>
+</div>
+<hr><a name="_details"></a><h2>Detailed Description</h2>
 <h3>template&lt;class T, class tree_node_allocator = std::allocator&lt;tree_node_&lt;T&gt; &gt;&gt;<br>
  class tree&lt; T, tree_node_allocator &gt;::post_order_iterator</h3>
 
 Depth-first iterator, first accessing the children, then the node itself. 
-<p>
-
-<p>
-Definition at line <a class="el" href="tree_8hh-source.html#l00174">174</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="tree_8hh-source.html#l00174">174</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f6d2a1ff77da1ca318447faef819fb22"></a><!-- doxytag: member="tree::post_order_iterator::post_order_iterator" ref="f6d2a1ff77da1ca318447faef819fb22" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">post_order_iterator</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="add3e555f6a69c1799cb5b9b12e3ef48"></a><!-- doxytag: member="tree::post_order_iterator::post_order_iterator" ref="add3e555f6a69c1799cb5b9b12e3ef48" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#add3e555f6a69c1799cb5b9b12e3ef48">post_order_iterator</a> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bbe898c229fab7e833da744a76aca5ab"></a><!-- doxytag: member="tree::post_order_iterator::post_order_iterator" ref="bbe898c229fab7e833da744a76aca5ab" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#bbe898c229fab7e833da744a76aca5ab">post_order_iterator</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d1bba922181132f5c41a6ebd5230abe9"></a><!-- doxytag: member="tree::post_order_iterator::post_order_iterator" ref="d1bba922181132f5c41a6ebd5230abe9" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#d1bba922181132f5c41a6ebd5230abe9">post_order_iterator</a> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b1303f191d6bc8a62e5f03fa53466ec4"></a><!-- doxytag: member="tree::post_order_iterator::operator==" ref="b1303f191d6bc8a62e5f03fa53466ec4" args="(const post_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#b1303f191d6bc8a62e5f03fa53466ec4">operator==</a> (const <a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59f0d0d145f27ed094a69214e1831102"></a><!-- doxytag: member="tree::post_order_iterator::operator!=" ref="59f0d0d145f27ed094a69214e1831102" args="(const post_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#59f0d0d145f27ed094a69214e1831102">operator!=</a> (const <a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="baba42c4ecb0a0bb8b21b0c28dfa3009"></a><!-- doxytag: member="tree::post_order_iterator::operator++" ref="baba42c4ecb0a0bb8b21b0c28dfa3009" args="()" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#baba42c4ecb0a0bb8b21b0c28dfa3009">operator++</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f70bbd10b24ca0cf1c674e4ef40899db"></a><!-- doxytag: member="tree::post_order_iterator::operator--" ref="f70bbd10b24ca0cf1c674e4ef40899db" args="()" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#f70bbd10b24ca0cf1c674e4ef40899db">operator--</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7041325e846017886e7c43d9c1c2cddb"></a><!-- doxytag: member="tree::post_order_iterator::operator++" ref="7041325e846017886e7c43d9c1c2cddb" args="(int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#7041325e846017886e7c43d9c1c2cddb">operator++</a> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f2c0df6c235853aa2191d02a557a1fea"></a><!-- doxytag: member="tree::post_order_iterator::operator--" ref="f2c0df6c235853aa2191d02a557a1fea" args="(int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#f2c0df6c235853aa2191d02a557a1fea">operator--</a> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0b6c2246f41b0a2ff8e4c9d9efcee879"></a><!-- doxytag: member="tree::post_order_iterator::operator+=" ref="0b6c2246f41b0a2ff8e4c9d9efcee879" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#0b6c2246f41b0a2ff8e4c9d9efcee879">operator+=</a> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="93b7ddae75f30985a0d81f38bcbaa306"></a><!-- doxytag: member="tree::post_order_iterator::operator-=" ref="93b7ddae75f30985a0d81f38bcbaa306" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#93b7ddae75f30985a0d81f38bcbaa306">operator-=</a> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ca4676b4986854521cfa2c7d84f62204"></a><!-- doxytag: member="tree::post_order_iterator::descend_all" ref="ca4676b4986854521cfa2c7d84f62204" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#ca4676b4986854521cfa2c7d84f62204">descend_all</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set iterator to the first child as deep as possible down the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="add3e555f6a69c1799cb5b9b12e3ef48"></a><!-- doxytag: member="tree::post_order_iterator::post_order_iterator" ref="add3e555f6a69c1799cb5b9b12e3ef48" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>post_order_iterator</b> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bbe898c229fab7e833da744a76aca5ab"></a><!-- doxytag: member="tree::post_order_iterator::post_order_iterator" ref="bbe898c229fab7e833da744a76aca5ab" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>post_order_iterator</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d1bba922181132f5c41a6ebd5230abe9"></a><!-- doxytag: member="tree::post_order_iterator::post_order_iterator" ref="d1bba922181132f5c41a6ebd5230abe9" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>post_order_iterator</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b1303f191d6bc8a62e5f03fa53466ec4"></a><!-- doxytag: member="tree::post_order_iterator::operator==" ref="b1303f191d6bc8a62e5f03fa53466ec4" args="(const post_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59f0d0d145f27ed094a69214e1831102"></a><!-- doxytag: member="tree::post_order_iterator::operator!=" ref="59f0d0d145f27ed094a69214e1831102" args="(const post_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b8ad55ba6f519c0de824febfd60c2ef5"></a><!-- doxytag: member="tree::post_order_iterator::operator++" ref="b8ad55ba6f519c0de824febfd60c2ef5" args="()" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="46455696bb8c7b3a5f5d7f839d082a4a"></a><!-- doxytag: member="tree::post_order_iterator::operator--" ref="46455696bb8c7b3a5f5d7f839d082a4a" args="()" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cc4078dee13103e26f304edf68e9f981"></a><!-- doxytag: member="tree::post_order_iterator::operator++" ref="cc4078dee13103e26f304edf68e9f981" args="(int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e328a620179d18a4bded05e3238932c8"></a><!-- doxytag: member="tree::post_order_iterator::operator--" ref="e328a620179d18a4bded05e3238932c8" args="(int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c8860d9d66d6c00de578d043235f5da8"></a><!-- doxytag: member="tree::post_order_iterator::operator+=" ref="c8860d9d66d6c00de578d043235f5da8" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="29fbb6bca7d06a09305aa5e9821361e1"></a><!-- doxytag: member="tree::post_order_iterator::operator-=" ref="29fbb6bca7d06a09305aa5e9821361e1" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ca4676b4986854521cfa2c7d84f62204"></a><!-- doxytag: member="tree::post_order_iterator::descend_all" ref="ca4676b4986854521cfa2c7d84f62204" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#ca4676b4986854521cfa2c7d84f62204">descend_all</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set iterator to the first child as deep as possible down the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="add3e555f6a69c1799cb5b9b12e3ef48"></a><!-- doxytag: member="tree::post_order_iterator::post_order_iterator" ref="add3e555f6a69c1799cb5b9b12e3ef48" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>post_order_iterator</b> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bbe898c229fab7e833da744a76aca5ab"></a><!-- doxytag: member="tree::post_order_iterator::post_order_iterator" ref="bbe898c229fab7e833da744a76aca5ab" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>post_order_iterator</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d1bba922181132f5c41a6ebd5230abe9"></a><!-- doxytag: member="tree::post_order_iterator::post_order_iterator" ref="d1bba922181132f5c41a6ebd5230abe9" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>post_order_iterator</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b1303f191d6bc8a62e5f03fa53466ec4"></a><!-- doxytag: member="tree::post_order_iterator::operator==" ref="b1303f191d6bc8a62e5f03fa53466ec4" args="(const post_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59f0d0d145f27ed094a69214e1831102"></a><!-- doxytag: member="tree::post_order_iterator::operator!=" ref="59f0d0d145f27ed094a69214e1831102" args="(const post_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b8ad55ba6f519c0de824febfd60c2ef5"></a><!-- doxytag: member="tree::post_order_iterator::operator++" ref="b8ad55ba6f519c0de824febfd60c2ef5" args="()" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="46455696bb8c7b3a5f5d7f839d082a4a"></a><!-- doxytag: member="tree::post_order_iterator::operator--" ref="46455696bb8c7b3a5f5d7f839d082a4a" args="()" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cc4078dee13103e26f304edf68e9f981"></a><!-- doxytag: member="tree::post_order_iterator::operator++" ref="cc4078dee13103e26f304edf68e9f981" args="(int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e328a620179d18a4bded05e3238932c8"></a><!-- doxytag: member="tree::post_order_iterator::operator--" ref="e328a620179d18a4bded05e3238932c8" args="(int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c8860d9d66d6c00de578d043235f5da8"></a><!-- doxytag: member="tree::post_order_iterator::operator+=" ref="c8860d9d66d6c00de578d043235f5da8" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="29fbb6bca7d06a09305aa5e9821361e1"></a><!-- doxytag: member="tree::post_order_iterator::operator-=" ref="29fbb6bca7d06a09305aa5e9821361e1" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ca4676b4986854521cfa2c7d84f62204"></a><!-- doxytag: member="tree::post_order_iterator::descend_all" ref="ca4676b4986854521cfa2c7d84f62204" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1post__order__iterator.html#ca4676b4986854521cfa2c7d84f62204">descend_all</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set iterator to the first child as deep as possible down the <a class="el" href="classtree.html">tree</a>. <br></td></tr>
 </table>
-<hr>The documentation for this class was generated from the following file:<ul>
-<li><a class="el" href="tree_8hh-source.html">tree.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<hr>The documentation for this class was generated from the following files:<ul>
+<li><a class="el" href="tree_8hh-source.html">tree.hh</a><li><a class="el" href="fx-0_88_82_2lib_2tree_8hh-source.html">fx-0.8.2/lib/tree.hh</a><li><a class="el" href="fx-0_89_80_2lib_2tree_8hh-source.html">fx-0.9.0/lib/tree.hh</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classtree_1_1post__order__iterator.png'
Binary files doc/html/classtree_1_1post__order__iterator.png and doc/html/classtree_1_1post__order__iterator.png differ
=== modified file 'doc/html/classtree_1_1pre__order__iterator.html'
--- doc/html/classtree_1_1pre__order__iterator.html	2006-10-20 13:12:33 +0000
+++ doc/html/classtree_1_1pre__order__iterator.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,154 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: tree&lt; T, tree_node_allocator &gt;::pre_order_iterator Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="nav">
 <a class="el" href="classtree.html">tree</a>::<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a></div>
-<h1>tree&lt; T, tree_node_allocator &gt;::pre_order_iterator Class Reference</h1><!-- doxytag: class="tree::pre_order_iterator" --><hr><a name="_details"></a><h2>Detailed Description</h2>
+<h1>tree&lt; T, tree_node_allocator &gt;::pre_order_iterator Class Reference</h1><!-- doxytag: class="tree::pre_order_iterator" --><!-- doxytag: inherits="tree::iterator_base,tree::iterator_base,tree::iterator_base" --><div class="dynheader">
+Inheritance diagram for tree&lt; T, tree_node_allocator &gt;::pre_order_iterator:</div>
+<div class="dynsection">
+
+<p><center><img src="classtree_1_1pre__order__iterator.png" usemap="#tree< T, tree_node_allocator >::pre_order_iterator_map" border="0" alt=""></center>
+<map name="tree< T, tree_node_allocator >::pre_order_iterator_map">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="0,0,297,24">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="307,0,604,24">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="614,0,911,24">
+</map>
+</div>
+<hr><a name="_details"></a><h2>Detailed Description</h2>
 <h3>template&lt;class T, class tree_node_allocator = std::allocator&lt;tree_node_&lt;T&gt; &gt;&gt;<br>
  class tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</h3>
 
 Depth-first iterator, first accessing the node, then its children. 
-<p>
-
-<p>
-Definition at line <a class="el" href="tree_8hh-source.html#l00156">156</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="tree_8hh-source.html#l00156">156</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="aa4abe430ae678fa7d7753d9599be049"></a><!-- doxytag: member="tree::pre_order_iterator::pre_order_iterator" ref="aa4abe430ae678fa7d7753d9599be049" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">pre_order_iterator</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="afdaf0da69c4406b916c14c5589fa391"></a><!-- doxytag: member="tree::pre_order_iterator::pre_order_iterator" ref="afdaf0da69c4406b916c14c5589fa391" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#afdaf0da69c4406b916c14c5589fa391">pre_order_iterator</a> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="969cfeb31a2e92d1a64d9f2945bbedf7"></a><!-- doxytag: member="tree::pre_order_iterator::pre_order_iterator" ref="969cfeb31a2e92d1a64d9f2945bbedf7" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#969cfeb31a2e92d1a64d9f2945bbedf7">pre_order_iterator</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2705495c89beecc86107ca742a35507f"></a><!-- doxytag: member="tree::pre_order_iterator::pre_order_iterator" ref="2705495c89beecc86107ca742a35507f" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#2705495c89beecc86107ca742a35507f">pre_order_iterator</a> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ea8dee1bfc2450608b2b35d26a9f11b7"></a><!-- doxytag: member="tree::pre_order_iterator::operator==" ref="ea8dee1bfc2450608b2b35d26a9f11b7" args="(const pre_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#ea8dee1bfc2450608b2b35d26a9f11b7">operator==</a> (const <a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="14425c7743e9a6da2d96b172a85d2bed"></a><!-- doxytag: member="tree::pre_order_iterator::operator!=" ref="14425c7743e9a6da2d96b172a85d2bed" args="(const pre_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#14425c7743e9a6da2d96b172a85d2bed">operator!=</a> (const <a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="07b77d1591ad7f05e4531489561d36d2"></a><!-- doxytag: member="tree::pre_order_iterator::operator++" ref="07b77d1591ad7f05e4531489561d36d2" args="()" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#07b77d1591ad7f05e4531489561d36d2">operator++</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4e2dd21653724b6413d9949caf9bb107"></a><!-- doxytag: member="tree::pre_order_iterator::operator--" ref="4e2dd21653724b6413d9949caf9bb107" args="()" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#4e2dd21653724b6413d9949caf9bb107">operator--</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d99a34d4c6cbfaa1de621b276a363856"></a><!-- doxytag: member="tree::pre_order_iterator::operator++" ref="d99a34d4c6cbfaa1de621b276a363856" args="(int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#d99a34d4c6cbfaa1de621b276a363856">operator++</a> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9ccab7bd408c6d0a221f69d11f7f3717"></a><!-- doxytag: member="tree::pre_order_iterator::operator--" ref="9ccab7bd408c6d0a221f69d11f7f3717" args="(int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#9ccab7bd408c6d0a221f69d11f7f3717">operator--</a> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5ab66cd50ae22c9b246231b41b7720f5"></a><!-- doxytag: member="tree::pre_order_iterator::operator+=" ref="5ab66cd50ae22c9b246231b41b7720f5" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#5ab66cd50ae22c9b246231b41b7720f5">operator+=</a> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="722aedfd8f8be3490324a587d17cb133"></a><!-- doxytag: member="tree::pre_order_iterator::operator-=" ref="722aedfd8f8be3490324a587d17cb133" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1pre__order__iterator.html#722aedfd8f8be3490324a587d17cb133">operator-=</a> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="afdaf0da69c4406b916c14c5589fa391"></a><!-- doxytag: member="tree::pre_order_iterator::pre_order_iterator" ref="afdaf0da69c4406b916c14c5589fa391" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>pre_order_iterator</b> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="969cfeb31a2e92d1a64d9f2945bbedf7"></a><!-- doxytag: member="tree::pre_order_iterator::pre_order_iterator" ref="969cfeb31a2e92d1a64d9f2945bbedf7" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>pre_order_iterator</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2705495c89beecc86107ca742a35507f"></a><!-- doxytag: member="tree::pre_order_iterator::pre_order_iterator" ref="2705495c89beecc86107ca742a35507f" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>pre_order_iterator</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ea8dee1bfc2450608b2b35d26a9f11b7"></a><!-- doxytag: member="tree::pre_order_iterator::operator==" ref="ea8dee1bfc2450608b2b35d26a9f11b7" args="(const pre_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="14425c7743e9a6da2d96b172a85d2bed"></a><!-- doxytag: member="tree::pre_order_iterator::operator!=" ref="14425c7743e9a6da2d96b172a85d2bed" args="(const pre_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="324dca3f1624b49efb99b8775dea0fec"></a><!-- doxytag: member="tree::pre_order_iterator::operator++" ref="324dca3f1624b49efb99b8775dea0fec" args="()" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ce7725a02838521706440ac7005f7356"></a><!-- doxytag: member="tree::pre_order_iterator::operator--" ref="ce7725a02838521706440ac7005f7356" args="()" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0e195d144235d8563e85d70ae256cb7b"></a><!-- doxytag: member="tree::pre_order_iterator::operator++" ref="0e195d144235d8563e85d70ae256cb7b" args="(int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b6ea5882bb878653a03575e04f600d53"></a><!-- doxytag: member="tree::pre_order_iterator::operator--" ref="b6ea5882bb878653a03575e04f600d53" args="(int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dab061ba7ea94e3b36571e800e9d9be6"></a><!-- doxytag: member="tree::pre_order_iterator::operator+=" ref="dab061ba7ea94e3b36571e800e9d9be6" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="67ad14c51a142909ab74da05b9127db0"></a><!-- doxytag: member="tree::pre_order_iterator::operator-=" ref="67ad14c51a142909ab74da05b9127db0" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="afdaf0da69c4406b916c14c5589fa391"></a><!-- doxytag: member="tree::pre_order_iterator::pre_order_iterator" ref="afdaf0da69c4406b916c14c5589fa391" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>pre_order_iterator</b> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="969cfeb31a2e92d1a64d9f2945bbedf7"></a><!-- doxytag: member="tree::pre_order_iterator::pre_order_iterator" ref="969cfeb31a2e92d1a64d9f2945bbedf7" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>pre_order_iterator</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2705495c89beecc86107ca742a35507f"></a><!-- doxytag: member="tree::pre_order_iterator::pre_order_iterator" ref="2705495c89beecc86107ca742a35507f" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>pre_order_iterator</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ea8dee1bfc2450608b2b35d26a9f11b7"></a><!-- doxytag: member="tree::pre_order_iterator::operator==" ref="ea8dee1bfc2450608b2b35d26a9f11b7" args="(const pre_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="14425c7743e9a6da2d96b172a85d2bed"></a><!-- doxytag: member="tree::pre_order_iterator::operator!=" ref="14425c7743e9a6da2d96b172a85d2bed" args="(const pre_order_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="324dca3f1624b49efb99b8775dea0fec"></a><!-- doxytag: member="tree::pre_order_iterator::operator++" ref="324dca3f1624b49efb99b8775dea0fec" args="()" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ce7725a02838521706440ac7005f7356"></a><!-- doxytag: member="tree::pre_order_iterator::operator--" ref="ce7725a02838521706440ac7005f7356" args="()" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0e195d144235d8563e85d70ae256cb7b"></a><!-- doxytag: member="tree::pre_order_iterator::operator++" ref="0e195d144235d8563e85d70ae256cb7b" args="(int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b6ea5882bb878653a03575e04f600d53"></a><!-- doxytag: member="tree::pre_order_iterator::operator--" ref="b6ea5882bb878653a03575e04f600d53" args="(int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dab061ba7ea94e3b36571e800e9d9be6"></a><!-- doxytag: member="tree::pre_order_iterator::operator+=" ref="dab061ba7ea94e3b36571e800e9d9be6" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="67ad14c51a142909ab74da05b9127db0"></a><!-- doxytag: member="tree::pre_order_iterator::operator-=" ref="67ad14c51a142909ab74da05b9127db0" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (unsigned int)</td></tr>
+
 </table>
-<hr>The documentation for this class was generated from the following file:<ul>
-<li><a class="el" href="tree_8hh-source.html">tree.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<hr>The documentation for this class was generated from the following files:<ul>
+<li><a class="el" href="tree_8hh-source.html">tree.hh</a><li><a class="el" href="fx-0_88_82_2lib_2tree_8hh-source.html">fx-0.8.2/lib/tree.hh</a><li><a class="el" href="fx-0_89_80_2lib_2tree_8hh-source.html">fx-0.9.0/lib/tree.hh</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classtree_1_1pre__order__iterator.png'
Binary files doc/html/classtree_1_1pre__order__iterator.png and doc/html/classtree_1_1pre__order__iterator.png differ
=== modified file 'doc/html/classtree_1_1sibling__iterator.html'
--- doc/html/classtree_1_1sibling__iterator.html	2006-10-20 13:12:33 +0000
+++ doc/html/classtree_1_1sibling__iterator.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,182 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: tree&lt; T, tree_node_allocator &gt;::sibling_iterator Class Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="nav">
 <a class="el" href="classtree.html">tree</a>::<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a></div>
-<h1>tree&lt; T, tree_node_allocator &gt;::sibling_iterator Class Reference</h1><!-- doxytag: class="tree::sibling_iterator" --><hr><a name="_details"></a><h2>Detailed Description</h2>
+<h1>tree&lt; T, tree_node_allocator &gt;::sibling_iterator Class Reference</h1><!-- doxytag: class="tree::sibling_iterator" --><!-- doxytag: inherits="tree::iterator_base,tree::iterator_base,tree::iterator_base" --><div class="dynheader">
+Inheritance diagram for tree&lt; T, tree_node_allocator &gt;::sibling_iterator:</div>
+<div class="dynsection">
+
+<p><center><img src="classtree_1_1sibling__iterator.png" usemap="#tree< T, tree_node_allocator >::sibling_iterator_map" border="0" alt=""></center>
+<map name="tree< T, tree_node_allocator >::sibling_iterator_map">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="0,0,276,24">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="286,0,562,24">
+<area href="classtree_1_1iterator__base.html" alt="tree< T, tree_node_allocator >::iterator_base" shape="rect" coords="572,0,848,24">
+</map>
+</div>
+<hr><a name="_details"></a><h2>Detailed Description</h2>
 <h3>template&lt;class T, class tree_node_allocator = std::allocator&lt;tree_node_&lt;T&gt; &gt;&gt;<br>
  class tree&lt; T, tree_node_allocator &gt;::sibling_iterator</h3>
 
 Iterator which traverses only the nodes which are siblings of each other. 
-<p>
-
-<p>
-Definition at line <a class="el" href="tree_8hh-source.html#l00222">222</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="tree_8hh-source.html#l00222">222</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="daaf56c800ed241d36802abab3925a2a"></a><!-- doxytag: member="tree::sibling_iterator::sibling_iterator" ref="daaf56c800ed241d36802abab3925a2a" args="()" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">sibling_iterator</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7ddfa2fffd76fdd78b97973408a80528"></a><!-- doxytag: member="tree::sibling_iterator::sibling_iterator" ref="7ddfa2fffd76fdd78b97973408a80528" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#7ddfa2fffd76fdd78b97973408a80528">sibling_iterator</a> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8def7a6f3e109876cb003f4254885ca0"></a><!-- doxytag: member="tree::sibling_iterator::sibling_iterator" ref="8def7a6f3e109876cb003f4254885ca0" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#8def7a6f3e109876cb003f4254885ca0">sibling_iterator</a> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="093ea4798a85b0d52e5db20a876bc0d3"></a><!-- doxytag: member="tree::sibling_iterator::sibling_iterator" ref="093ea4798a85b0d52e5db20a876bc0d3" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#093ea4798a85b0d52e5db20a876bc0d3">sibling_iterator</a> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f235d7b64b7d2654437482bab80c797b"></a><!-- doxytag: member="tree::sibling_iterator::operator==" ref="f235d7b64b7d2654437482bab80c797b" args="(const sibling_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#f235d7b64b7d2654437482bab80c797b">operator==</a> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2f4b2c5112c9d16f65852bc84d34c9c9"></a><!-- doxytag: member="tree::sibling_iterator::operator!=" ref="2f4b2c5112c9d16f65852bc84d34c9c9" args="(const sibling_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#2f4b2c5112c9d16f65852bc84d34c9c9">operator!=</a> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8d0d647a7843432b5ccc18724fcc3493"></a><!-- doxytag: member="tree::sibling_iterator::operator++" ref="8d0d647a7843432b5ccc18724fcc3493" args="()" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#8d0d647a7843432b5ccc18724fcc3493">operator++</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7e91377755da77acd20d5b9356f7498e"></a><!-- doxytag: member="tree::sibling_iterator::operator--" ref="7e91377755da77acd20d5b9356f7498e" args="()" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#7e91377755da77acd20d5b9356f7498e">operator--</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="66b73e99c5425620a5e282fe23cdfd98"></a><!-- doxytag: member="tree::sibling_iterator::operator++" ref="66b73e99c5425620a5e282fe23cdfd98" args="(int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#66b73e99c5425620a5e282fe23cdfd98">operator++</a> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="eac6e7802aabdf7050b314af8d56c81d"></a><!-- doxytag: member="tree::sibling_iterator::operator--" ref="eac6e7802aabdf7050b314af8d56c81d" args="(int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#eac6e7802aabdf7050b314af8d56c81d">operator--</a> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d36b6994a50c0f73154b08ab35abf336"></a><!-- doxytag: member="tree::sibling_iterator::operator+=" ref="d36b6994a50c0f73154b08ab35abf336" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#d36b6994a50c0f73154b08ab35abf336">operator+=</a> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f7b0a37317400fe16a1ad422c1ee6fa1"></a><!-- doxytag: member="tree::sibling_iterator::operator-=" ref="f7b0a37317400fe16a1ad422c1ee6fa1" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#f7b0a37317400fe16a1ad422c1ee6fa1">operator-=</a> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="faed5294cdf5a6679c788fff0196c2a8"></a><!-- doxytag: member="tree::sibling_iterator::range_first" ref="faed5294cdf5a6679c788fff0196c2a8" args="() const " -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#faed5294cdf5a6679c788fff0196c2a8">range_first</a> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="85438655c23ba60d2a4f83787e3dcf48"></a><!-- doxytag: member="tree::sibling_iterator::range_last" ref="85438655c23ba60d2a4f83787e3dcf48" args="() const " -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">range_last</a> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7ddfa2fffd76fdd78b97973408a80528"></a><!-- doxytag: member="tree::sibling_iterator::sibling_iterator" ref="7ddfa2fffd76fdd78b97973408a80528" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>sibling_iterator</b> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8def7a6f3e109876cb003f4254885ca0"></a><!-- doxytag: member="tree::sibling_iterator::sibling_iterator" ref="8def7a6f3e109876cb003f4254885ca0" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>sibling_iterator</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="093ea4798a85b0d52e5db20a876bc0d3"></a><!-- doxytag: member="tree::sibling_iterator::sibling_iterator" ref="093ea4798a85b0d52e5db20a876bc0d3" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>sibling_iterator</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f235d7b64b7d2654437482bab80c797b"></a><!-- doxytag: member="tree::sibling_iterator::operator==" ref="f235d7b64b7d2654437482bab80c797b" args="(const sibling_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2f4b2c5112c9d16f65852bc84d34c9c9"></a><!-- doxytag: member="tree::sibling_iterator::operator!=" ref="2f4b2c5112c9d16f65852bc84d34c9c9" args="(const sibling_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f0f1750b61a078dc15e4a7ab084663e3"></a><!-- doxytag: member="tree::sibling_iterator::operator++" ref="f0f1750b61a078dc15e4a7ab084663e3" args="()" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="afa4ce042dda93b0f05fa5575356155d"></a><!-- doxytag: member="tree::sibling_iterator::operator--" ref="afa4ce042dda93b0f05fa5575356155d" args="()" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c751b5adac471f16fe7c2652150568fa"></a><!-- doxytag: member="tree::sibling_iterator::operator++" ref="c751b5adac471f16fe7c2652150568fa" args="(int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c2d25649846d41ac8f0f254849daab68"></a><!-- doxytag: member="tree::sibling_iterator::operator--" ref="c2d25649846d41ac8f0f254849daab68" args="(int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="65c969c8aa5d008746daa33a773e322a"></a><!-- doxytag: member="tree::sibling_iterator::operator+=" ref="65c969c8aa5d008746daa33a773e322a" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="967350aa8a38fe9d93df318a89a26c54"></a><!-- doxytag: member="tree::sibling_iterator::operator-=" ref="967350aa8a38fe9d93df318a89a26c54" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="94e3803330fb3ec0739453f66fa81511"></a><!-- doxytag: member="tree::sibling_iterator::range_first" ref="94e3803330fb3ec0739453f66fa81511" args="() const " -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><b>range_first</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4c225988a8c73f5693a3654abe847b58"></a><!-- doxytag: member="tree::sibling_iterator::range_last" ref="4c225988a8c73f5693a3654abe847b58" args="() const " -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><b>range_last</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7ddfa2fffd76fdd78b97973408a80528"></a><!-- doxytag: member="tree::sibling_iterator::sibling_iterator" ref="7ddfa2fffd76fdd78b97973408a80528" args="(tree_node *)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>sibling_iterator</b> (<a class="el" href="classtree__node__.html">tree_node</a> *)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8def7a6f3e109876cb003f4254885ca0"></a><!-- doxytag: member="tree::sibling_iterator::sibling_iterator" ref="8def7a6f3e109876cb003f4254885ca0" args="(const sibling_iterator &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>sibling_iterator</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="093ea4798a85b0d52e5db20a876bc0d3"></a><!-- doxytag: member="tree::sibling_iterator::sibling_iterator" ref="093ea4798a85b0d52e5db20a876bc0d3" args="(const iterator_base &amp;)" -->
+&nbsp;</td><td class="memItemRight" valign="bottom"><b>sibling_iterator</b> (const <a class="el" href="classtree_1_1iterator__base.html">iterator_base</a> &amp;)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f235d7b64b7d2654437482bab80c797b"></a><!-- doxytag: member="tree::sibling_iterator::operator==" ref="f235d7b64b7d2654437482bab80c797b" args="(const sibling_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator==</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2f4b2c5112c9d16f65852bc84d34c9c9"></a><!-- doxytag: member="tree::sibling_iterator::operator!=" ref="2f4b2c5112c9d16f65852bc84d34c9c9" args="(const sibling_iterator &amp;) const " -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator!=</b> (const <a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;) const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f0f1750b61a078dc15e4a7ab084663e3"></a><!-- doxytag: member="tree::sibling_iterator::operator++" ref="f0f1750b61a078dc15e4a7ab084663e3" args="()" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="afa4ce042dda93b0f05fa5575356155d"></a><!-- doxytag: member="tree::sibling_iterator::operator--" ref="afa4ce042dda93b0f05fa5575356155d" args="()" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c751b5adac471f16fe7c2652150568fa"></a><!-- doxytag: member="tree::sibling_iterator::operator++" ref="c751b5adac471f16fe7c2652150568fa" args="(int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator++</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c2d25649846d41ac8f0f254849daab68"></a><!-- doxytag: member="tree::sibling_iterator::operator--" ref="c2d25649846d41ac8f0f254849daab68" args="(int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator--</b> (int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="65c969c8aa5d008746daa33a773e322a"></a><!-- doxytag: member="tree::sibling_iterator::operator+=" ref="65c969c8aa5d008746daa33a773e322a" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="967350aa8a38fe9d93df318a89a26c54"></a><!-- doxytag: member="tree::sibling_iterator::operator-=" ref="967350aa8a38fe9d93df318a89a26c54" args="(unsigned int)" -->
+<a class="el" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (unsigned int)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="94e3803330fb3ec0739453f66fa81511"></a><!-- doxytag: member="tree::sibling_iterator::range_first" ref="94e3803330fb3ec0739453f66fa81511" args="() const " -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><b>range_first</b> () const </td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4c225988a8c73f5693a3654abe847b58"></a><!-- doxytag: member="tree::sibling_iterator::range_last" ref="4c225988a8c73f5693a3654abe847b58" args="() const " -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><b>range_last</b> () const </td></tr>
+
+<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="204f7449ee908f982d21cc3d334d25bc"></a><!-- doxytag: member="tree::sibling_iterator::parent_" ref="204f7449ee908f982d21cc3d334d25bc" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="204f7449ee908f982d21cc3d334d25bc"></a><!-- doxytag: member="tree::sibling_iterator::parent_" ref="204f7449ee908f982d21cc3d334d25bc" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="204f7449ee908f982d21cc3d334d25bc"></a><!-- doxytag: member="tree::sibling_iterator::parent_" ref="204f7449ee908f982d21cc3d334d25bc" args="" -->
+<a class="el" href="classtree__node__.html">tree_node</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a></td></tr>
+
 </table>
-<hr>The documentation for this class was generated from the following file:<ul>
-<li><a class="el" href="tree_8hh-source.html">tree.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<hr>The documentation for this class was generated from the following files:<ul>
+<li><a class="el" href="tree_8hh-source.html">tree.hh</a><li><a class="el" href="fx-0_88_82_2lib_2tree_8hh-source.html">fx-0.8.2/lib/tree.hh</a><li><a class="el" href="fx-0_89_80_2lib_2tree_8hh-source.html">fx-0.9.0/lib/tree.hh</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/classtree_1_1sibling__iterator.png'
Binary files doc/html/classtree_1_1sibling__iterator.png and doc/html/classtree_1_1sibling__iterator.png differ
=== modified file 'doc/html/classtree__node__.html'
--- doc/html/classtree__node__.html	2006-10-20 13:12:33 +0000
+++ doc/html/classtree__node__.html	2008-02-06 17:25:16 +0000
@@ -1,72 +1,87 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: tree_node_&lt; T &gt; Class Template Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>tree_node_&lt; T &gt; Class Template Reference</h1><!-- doxytag: class="tree_node_" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 <h3>template&lt;class T&gt;<br>
  class tree_node_&lt; T &gt;</h3>
 
-A node in the tree, combining links to other nodes as well as the actual data. 
-<p>
-
-<p>
-Definition at line <a class="el" href="tree_8hh-source.html#l00094">94</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+A node in the <a class="el" href="classtree.html">tree</a>, combining links to other nodes as well as the actual data. 
+<p>Definition at line <a class="el" href="tree_8hh-source.html#l00094">94</a> of file <a class="el" href="tree_8hh-source.html">tree.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bcaaa94a4e6fc6223e89be4f5b9276d9"></a><!-- doxytag: member="tree_node_::parent" ref="bcaaa94a4e6fc6223e89be4f5b9276d9" args="" -->
-<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9639ccb36cb660e3dc429bccf6e09c50"></a><!-- doxytag: member="tree_node_::first_child" ref="9639ccb36cb660e3dc429bccf6e09c50" args="" -->
-<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f8b222dacdcdf6ca9f24f7a410e36f20"></a><!-- doxytag: member="tree_node_::last_child" ref="f8b222dacdcdf6ca9f24f7a410e36f20" args="" -->
-<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3dfb7ec8612428977956b9654364d7e0"></a><!-- doxytag: member="tree_node_::prev_sibling" ref="3dfb7ec8612428977956b9654364d7e0" args="" -->
-<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0d68e7676373568245853ea4a29c3fe1"></a><!-- doxytag: member="tree_node_::next_sibling" ref="0d68e7676373568245853ea4a29c3fe1" args="" -->
-<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ec3d00d908b82e0d429a431e566fed95"></a><!-- doxytag: member="tree_node_::data" ref="ec3d00d908b82e0d429a431e566fed95" args="" -->
-T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bcaaa94a4e6fc6223e89be4f5b9276d9"></a><!-- doxytag: member="tree_node_::parent" ref="bcaaa94a4e6fc6223e89be4f5b9276d9" args="" -->
-<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9639ccb36cb660e3dc429bccf6e09c50"></a><!-- doxytag: member="tree_node_::first_child" ref="9639ccb36cb660e3dc429bccf6e09c50" args="" -->
-<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f8b222dacdcdf6ca9f24f7a410e36f20"></a><!-- doxytag: member="tree_node_::last_child" ref="f8b222dacdcdf6ca9f24f7a410e36f20" args="" -->
-<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3dfb7ec8612428977956b9654364d7e0"></a><!-- doxytag: member="tree_node_::prev_sibling" ref="3dfb7ec8612428977956b9654364d7e0" args="" -->
-<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0d68e7676373568245853ea4a29c3fe1"></a><!-- doxytag: member="tree_node_::next_sibling" ref="0d68e7676373568245853ea4a29c3fe1" args="" -->
-<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="60597bf2f8288fdd616c52f8a5a4e477"></a><!-- doxytag: member="tree_node_::parent" ref="60597bf2f8288fdd616c52f8a5a4e477" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d51591496e654515b662095f70d1fc1a"></a><!-- doxytag: member="tree_node_::first_child" ref="d51591496e654515b662095f70d1fc1a" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="611d3c41c716dae6bf2012e3d9152933"></a><!-- doxytag: member="tree_node_::last_child" ref="611d3c41c716dae6bf2012e3d9152933" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e7b8325f91c0b4460552cef6b9aec159"></a><!-- doxytag: member="tree_node_::prev_sibling" ref="e7b8325f91c0b4460552cef6b9aec159" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="195a647282d6ab1de50d9ac87aa42bce"></a><!-- doxytag: member="tree_node_::next_sibling" ref="195a647282d6ab1de50d9ac87aa42bce" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4c15077a3ad0552413d1268ee4be1bef"></a><!-- doxytag: member="tree_node_::data" ref="4c15077a3ad0552413d1268ee4be1bef" args="" -->
+T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="60597bf2f8288fdd616c52f8a5a4e477"></a><!-- doxytag: member="tree_node_::parent" ref="60597bf2f8288fdd616c52f8a5a4e477" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d51591496e654515b662095f70d1fc1a"></a><!-- doxytag: member="tree_node_::first_child" ref="d51591496e654515b662095f70d1fc1a" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="611d3c41c716dae6bf2012e3d9152933"></a><!-- doxytag: member="tree_node_::last_child" ref="611d3c41c716dae6bf2012e3d9152933" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e7b8325f91c0b4460552cef6b9aec159"></a><!-- doxytag: member="tree_node_::prev_sibling" ref="e7b8325f91c0b4460552cef6b9aec159" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="195a647282d6ab1de50d9ac87aa42bce"></a><!-- doxytag: member="tree_node_::next_sibling" ref="195a647282d6ab1de50d9ac87aa42bce" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="60597bf2f8288fdd616c52f8a5a4e477"></a><!-- doxytag: member="tree_node_::parent" ref="60597bf2f8288fdd616c52f8a5a4e477" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d51591496e654515b662095f70d1fc1a"></a><!-- doxytag: member="tree_node_::first_child" ref="d51591496e654515b662095f70d1fc1a" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="611d3c41c716dae6bf2012e3d9152933"></a><!-- doxytag: member="tree_node_::last_child" ref="611d3c41c716dae6bf2012e3d9152933" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e7b8325f91c0b4460552cef6b9aec159"></a><!-- doxytag: member="tree_node_::prev_sibling" ref="e7b8325f91c0b4460552cef6b9aec159" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="195a647282d6ab1de50d9ac87aa42bce"></a><!-- doxytag: member="tree_node_::next_sibling" ref="195a647282d6ab1de50d9ac87aa42bce" args="" -->
+<a class="el" href="classtree__node__.html">tree_node_</a>&lt; T &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a></td></tr>
 
 </table>
 <hr>The documentation for this class was generated from the following files:<ul>
-<li><a class="el" href="tree_8hh-source.html">tree.hh</a><li><a class="el" href="fx-0_88_82_2lib_2tree_8hh-source.html">fx-0.8.2/lib/tree.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="tree_8hh-source.html">tree.hh</a><li><a class="el" href="fx-0_88_82_2lib_2tree_8hh-source.html">fx-0.8.2/lib/tree.hh</a><li><a class="el" href="fx-0_89_80_2lib_2tree_8hh-source.html">fx-0.9.0/lib/tree.hh</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/config_8h-source.html'
--- doc/html/config_8h-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/config_8h-source.html	2008-02-06 17:25:16 +0000
@@ -1,153 +1,194 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: config.h Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
-<h1>config.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* config.h.  Generated by configure.  */</span>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>config.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* config.h.  Generated from config.h.in by configure.  */</span>
 <a name="l00002"></a>00002 <span class="comment">/* config.h.in.  Generated from configure.in by autoheader.  */</span>
 <a name="l00003"></a>00003 
-<a name="l00004"></a>00004 <span class="comment">/* Define to 1 if you have the &lt;dlfcn.h&gt; header file. */</span>
-<a name="l00005"></a>00005 <span class="preprocessor">#define HAVE_DLFCN_H 1</span>
-<a name="l00006"></a>00006 <span class="preprocessor"></span>
-<a name="l00007"></a>00007 <span class="comment">/* Define to 1 if you have the &lt;EventGenerator.h&gt; header file. */</span>
-<a name="l00008"></a>00008 <span class="preprocessor">#define HAVE_EVENTGENERATOR_H 1</span>
+<a name="l00004"></a>00004 <span class="comment">/* if DLL is to be built */</span>
+<a name="l00005"></a>00005 <span class="comment">/* #undef BUILDING_DLL */</span>
+<a name="l00006"></a>00006 
+<a name="l00007"></a>00007 <span class="comment">/* Define to 1 if you have the &lt;dlfcn.h&gt; header file. */</span>
+<a name="l00008"></a>00008 <span class="preprocessor">#define HAVE_DLFCN_H 1</span>
 <a name="l00009"></a>00009 <span class="preprocessor"></span>
-<a name="l00010"></a>00010 <span class="comment">/* Define to 1 if you have the &lt;getopt.h&gt; header file. */</span>
-<a name="l00011"></a>00011 <span class="preprocessor">#define HAVE_GETOPT_H 1</span>
+<a name="l00010"></a>00010 <span class="comment">/* Define to 1 if you have the &lt;EventGenerator.h&gt; header file. */</span>
+<a name="l00011"></a>00011 <span class="preprocessor">#define HAVE_EVENTGENERATOR_H 1</span>
 <a name="l00012"></a>00012 <span class="preprocessor"></span>
-<a name="l00013"></a>00013 <span class="comment">/* Define to 1 if you have the `getopt_long' function. */</span>
-<a name="l00014"></a>00014 <span class="preprocessor">#define HAVE_GETOPT_LONG 1</span>
+<a name="l00013"></a>00013 <span class="comment">/* Define to 1 if you have the &lt;getopt.h&gt; header file. */</span>
+<a name="l00014"></a>00014 <span class="preprocessor">#define HAVE_GETOPT_H 1</span>
 <a name="l00015"></a>00015 <span class="preprocessor"></span>
-<a name="l00016"></a>00016 <span class="comment">/* Define to 1 if you have the &lt;inttypes.h&gt; header file. */</span>
-<a name="l00017"></a>00017 <span class="preprocessor">#define HAVE_INTTYPES_H 1</span>
+<a name="l00016"></a>00016 <span class="comment">/* Define to 1 if you have the `getopt_long' function. */</span>
+<a name="l00017"></a>00017 <span class="preprocessor">#define HAVE_GETOPT_LONG 1</span>
 <a name="l00018"></a>00018 <span class="preprocessor"></span>
-<a name="l00019"></a>00019 <span class="comment">/* Define to 1 if you have a functional curl library. */</span>
-<a name="l00020"></a>00020 <span class="preprocessor">#define HAVE_LIBCURL 1</span>
+<a name="l00019"></a>00019 <span class="comment">/* Defined if libxml++ is available */</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#define HAVE_ICONV 1</span>
 <a name="l00021"></a>00021 <span class="preprocessor"></span>
-<a name="l00022"></a>00022 <span class="comment">/* Defined if libxml++ is available */</span>
-<a name="l00023"></a>00023 <span class="preprocessor">#define HAVE_LIBXMLPP 1</span>
+<a name="l00022"></a>00022 <span class="comment">/* Define to 1 if you have the &lt;inttypes.h&gt; header file. */</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#define HAVE_INTTYPES_H 1</span>
 <a name="l00024"></a>00024 <span class="preprocessor"></span>
-<a name="l00025"></a>00025 <span class="comment">/* Define to 1 if you have the &lt;memory.h&gt; header file. */</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#define HAVE_MEMORY_H 1</span>
+<a name="l00025"></a>00025 <span class="comment">/* Define to 1 if you have a functional curl library. */</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#define HAVE_LIBCURL 1</span>
 <a name="l00027"></a>00027 <span class="preprocessor"></span>
-<a name="l00028"></a>00028 <span class="comment">/* Define to 1 if you have the &lt;ParserEventGeneratorKit.h&gt; header file. */</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#define HAVE_PARSEREVENTGENERATORKIT_H 1</span>
+<a name="l00028"></a>00028 <span class="comment">/* Defined if libxml++ is available */</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#define HAVE_LIBXMLPP 1</span>
 <a name="l00030"></a>00030 <span class="preprocessor"></span>
-<a name="l00031"></a>00031 <span class="comment">/* Define to 1 if you have the &lt;SGMLApplication.h&gt; header file. */</span>
-<a name="l00032"></a>00032 <span class="preprocessor">#define HAVE_SGMLAPPLICATION_H 1</span>
+<a name="l00031"></a>00031 <span class="comment">/* Define to 1 if you have the &lt;memory.h&gt; header file. */</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#define HAVE_MEMORY_H 1</span>
 <a name="l00033"></a>00033 <span class="preprocessor"></span>
-<a name="l00034"></a>00034 <span class="comment">/* Define to 1 if you have the &lt;stdint.h&gt; header file. */</span>
-<a name="l00035"></a>00035 <span class="preprocessor">#define HAVE_STDINT_H 1</span>
+<a name="l00034"></a>00034 <span class="comment">/* Define to 1 if you have the &lt;ParserEventGeneratorKit.h&gt; header file. */</span>
+<a name="l00035"></a>00035 <span class="preprocessor">#define HAVE_PARSEREVENTGENERATORKIT_H 1</span>
 <a name="l00036"></a>00036 <span class="preprocessor"></span>
-<a name="l00037"></a>00037 <span class="comment">/* Define to 1 if you have the &lt;stdlib.h&gt; header file. */</span>
-<a name="l00038"></a>00038 <span class="preprocessor">#define HAVE_STDLIB_H 1</span>
+<a name="l00037"></a>00037 <span class="comment">/* Define to 1 if you have the &lt;SGMLApplication.h&gt; header file. */</span>
+<a name="l00038"></a>00038 <span class="preprocessor">#define HAVE_SGMLAPPLICATION_H 1</span>
 <a name="l00039"></a>00039 <span class="preprocessor"></span>
-<a name="l00040"></a>00040 <span class="comment">/* Define to 1 if you have the &lt;strings.h&gt; header file. */</span>
-<a name="l00041"></a>00041 <span class="preprocessor">#define HAVE_STRINGS_H 1</span>
+<a name="l00040"></a>00040 <span class="comment">/* Define to 1 if you have the &lt;stdint.h&gt; header file. */</span>
+<a name="l00041"></a>00041 <span class="preprocessor">#define HAVE_STDINT_H 1</span>
 <a name="l00042"></a>00042 <span class="preprocessor"></span>
-<a name="l00043"></a>00043 <span class="comment">/* Define to 1 if you have the &lt;string.h&gt; header file. */</span>
-<a name="l00044"></a>00044 <span class="preprocessor">#define HAVE_STRING_H 1</span>
+<a name="l00043"></a>00043 <span class="comment">/* Define to 1 if you have the &lt;stdlib.h&gt; header file. */</span>
+<a name="l00044"></a>00044 <span class="preprocessor">#define HAVE_STDLIB_H 1</span>
 <a name="l00045"></a>00045 <span class="preprocessor"></span>
-<a name="l00046"></a>00046 <span class="comment">/* Define to 1 if you have the &lt;sys/stat.h&gt; header file. */</span>
-<a name="l00047"></a>00047 <span class="preprocessor">#define HAVE_SYS_STAT_H 1</span>
+<a name="l00046"></a>00046 <span class="comment">/* Define to 1 if you have the &lt;strings.h&gt; header file. */</span>
+<a name="l00047"></a>00047 <span class="preprocessor">#define HAVE_STRINGS_H 1</span>
 <a name="l00048"></a>00048 <span class="preprocessor"></span>
-<a name="l00049"></a>00049 <span class="comment">/* Define to 1 if you have the &lt;sys/types.h&gt; header file. */</span>
-<a name="l00050"></a>00050 <span class="preprocessor">#define HAVE_SYS_TYPES_H 1</span>
+<a name="l00049"></a>00049 <span class="comment">/* Define to 1 if you have the &lt;string.h&gt; header file. */</span>
+<a name="l00050"></a>00050 <span class="preprocessor">#define HAVE_STRING_H 1</span>
 <a name="l00051"></a>00051 <span class="preprocessor"></span>
-<a name="l00052"></a>00052 <span class="comment">/* Define to 1 if you have the &lt;unistd.h&gt; header file. */</span>
-<a name="l00053"></a>00053 <span class="preprocessor">#define HAVE_UNISTD_H 1</span>
+<a name="l00052"></a>00052 <span class="comment">/* Define to 1 if you have the &lt;sys/stat.h&gt; header file. */</span>
+<a name="l00053"></a>00053 <span class="preprocessor">#define HAVE_SYS_STAT_H 1</span>
 <a name="l00054"></a>00054 <span class="preprocessor"></span>
-<a name="l00055"></a>00055 <span class="comment">/* Defined if libcurl supports AsynchDNS */</span>
-<a name="l00056"></a>00056 <span class="comment">/* #undef LIBCURL_FEATURE_ASYNCHDNS */</span>
-<a name="l00057"></a>00057 
-<a name="l00058"></a>00058 <span class="comment">/* Defined if libcurl supports IPv6 */</span>
-<a name="l00059"></a>00059 <span class="preprocessor">#define LIBCURL_FEATURE_IPV6 1</span>
+<a name="l00055"></a>00055 <span class="comment">/* Define to 1 if you have the &lt;sys/types.h&gt; header file. */</span>
+<a name="l00056"></a>00056 <span class="preprocessor">#define HAVE_SYS_TYPES_H 1</span>
+<a name="l00057"></a>00057 <span class="preprocessor"></span>
+<a name="l00058"></a>00058 <span class="comment">/* Define to 1 if you have the &lt;unistd.h&gt; header file. */</span>
+<a name="l00059"></a>00059 <span class="preprocessor">#define HAVE_UNISTD_H 1</span>
 <a name="l00060"></a>00060 <span class="preprocessor"></span>
-<a name="l00061"></a>00061 <span class="comment">/* Defined if libcurl supports KRB4 */</span>
-<a name="l00062"></a>00062 <span class="comment">/* #undef LIBCURL_FEATURE_KRB4 */</span>
+<a name="l00061"></a>00061 <span class="comment">/* Defined if libcurl supports AsynchDNS */</span>
+<a name="l00062"></a>00062 <span class="comment">/* #undef LIBCURL_FEATURE_ASYNCHDNS */</span>
 <a name="l00063"></a>00063 
-<a name="l00064"></a>00064 <span class="comment">/* Defined if libcurl supports libz */</span>
-<a name="l00065"></a>00065 <span class="preprocessor">#define LIBCURL_FEATURE_LIBZ 1</span>
+<a name="l00064"></a>00064 <span class="comment">/* Defined if libcurl supports IPv6 */</span>
+<a name="l00065"></a>00065 <span class="preprocessor">#define LIBCURL_FEATURE_IPV6 1</span>
 <a name="l00066"></a>00066 <span class="preprocessor"></span>
-<a name="l00067"></a>00067 <span class="comment">/* Defined if libcurl supports SSL */</span>
-<a name="l00068"></a>00068 <span class="preprocessor">#define LIBCURL_FEATURE_SSL 1</span>
-<a name="l00069"></a>00069 <span class="preprocessor"></span>
-<a name="l00070"></a>00070 <span class="comment">/* Defined if libcurl supports DICT */</span>
-<a name="l00071"></a>00071 <span class="preprocessor">#define LIBCURL_PROTOCOL_DICT 1</span>
+<a name="l00067"></a>00067 <span class="comment">/* Defined if libcurl supports KRB4 */</span>
+<a name="l00068"></a>00068 <span class="comment">/* #undef LIBCURL_FEATURE_KRB4 */</span>
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 <span class="comment">/* Defined if libcurl supports libz */</span>
+<a name="l00071"></a>00071 <span class="preprocessor">#define LIBCURL_FEATURE_LIBZ 1</span>
 <a name="l00072"></a>00072 <span class="preprocessor"></span>
-<a name="l00073"></a>00073 <span class="comment">/* Defined if libcurl supports FILE */</span>
-<a name="l00074"></a>00074 <span class="preprocessor">#define LIBCURL_PROTOCOL_FILE 1</span>
+<a name="l00073"></a>00073 <span class="comment">/* Defined if libcurl supports SSL */</span>
+<a name="l00074"></a>00074 <span class="preprocessor">#define LIBCURL_FEATURE_SSL 1</span>
 <a name="l00075"></a>00075 <span class="preprocessor"></span>
-<a name="l00076"></a>00076 <span class="comment">/* Defined if libcurl supports FTP */</span>
-<a name="l00077"></a>00077 <span class="preprocessor">#define LIBCURL_PROTOCOL_FTP 1</span>
+<a name="l00076"></a>00076 <span class="comment">/* Defined if libcurl supports DICT */</span>
+<a name="l00077"></a>00077 <span class="preprocessor">#define LIBCURL_PROTOCOL_DICT 1</span>
 <a name="l00078"></a>00078 <span class="preprocessor"></span>
-<a name="l00079"></a>00079 <span class="comment">/* Defined if libcurl supports FTPS */</span>
-<a name="l00080"></a>00080 <span class="preprocessor">#define LIBCURL_PROTOCOL_FTPS 1</span>
+<a name="l00079"></a>00079 <span class="comment">/* Defined if libcurl supports FILE */</span>
+<a name="l00080"></a>00080 <span class="preprocessor">#define LIBCURL_PROTOCOL_FILE 1</span>
 <a name="l00081"></a>00081 <span class="preprocessor"></span>
-<a name="l00082"></a>00082 <span class="comment">/* Defined if libcurl supports GOPHER */</span>
-<a name="l00083"></a>00083 <span class="preprocessor">#define LIBCURL_PROTOCOL_GOPHER 1</span>
+<a name="l00082"></a>00082 <span class="comment">/* Defined if libcurl supports FTP */</span>
+<a name="l00083"></a>00083 <span class="preprocessor">#define LIBCURL_PROTOCOL_FTP 1</span>
 <a name="l00084"></a>00084 <span class="preprocessor"></span>
-<a name="l00085"></a>00085 <span class="comment">/* Defined if libcurl supports HTTP */</span>
-<a name="l00086"></a>00086 <span class="preprocessor">#define LIBCURL_PROTOCOL_HTTP 1</span>
-<a name="l00087"></a>00087 <span class="preprocessor"></span>
-<a name="l00088"></a>00088 <span class="comment">/* Defined if libcurl supports HTTPS */</span>
-<a name="l00089"></a>00089 <span class="preprocessor">#define LIBCURL_PROTOCOL_HTTPS 1</span>
-<a name="l00090"></a>00090 <span class="preprocessor"></span>
-<a name="l00091"></a>00091 <span class="comment">/* Defined if libcurl supports LDAP */</span>
-<a name="l00092"></a>00092 <span class="preprocessor">#define LIBCURL_PROTOCOL_LDAP 1</span>
+<a name="l00085"></a>00085 <span class="comment">/* Defined if libcurl supports FTPS */</span>
+<a name="l00086"></a>00086 <span class="comment">/* #undef LIBCURL_PROTOCOL_FTPS */</span>
+<a name="l00087"></a>00087 
+<a name="l00088"></a>00088 <span class="comment">/* Defined if libcurl supports GOPHER */</span>
+<a name="l00089"></a>00089 <span class="comment">/* #undef LIBCURL_PROTOCOL_GOPHER */</span>
+<a name="l00090"></a>00090 
+<a name="l00091"></a>00091 <span class="comment">/* Defined if libcurl supports HTTP */</span>
+<a name="l00092"></a>00092 <span class="preprocessor">#define LIBCURL_PROTOCOL_HTTP 1</span>
 <a name="l00093"></a>00093 <span class="preprocessor"></span>
-<a name="l00094"></a>00094 <span class="comment">/* Defined if libcurl supports TELNET */</span>
-<a name="l00095"></a>00095 <span class="preprocessor">#define LIBCURL_PROTOCOL_TELNET 1</span>
-<a name="l00096"></a>00096 <span class="preprocessor"></span>
-<a name="l00097"></a>00097 <span class="comment">/* Name of package */</span>
-<a name="l00098"></a>00098 <span class="preprocessor">#define PACKAGE "libofx"</span>
+<a name="l00094"></a>00094 <span class="comment">/* Defined if libcurl supports HTTPS */</span>
+<a name="l00095"></a>00095 <span class="comment">/* #undef LIBCURL_PROTOCOL_HTTPS */</span>
+<a name="l00096"></a>00096 
+<a name="l00097"></a>00097 <span class="comment">/* Defined if libcurl supports LDAP */</span>
+<a name="l00098"></a>00098 <span class="preprocessor">#define LIBCURL_PROTOCOL_LDAP 1</span>
 <a name="l00099"></a>00099 <span class="preprocessor"></span>
-<a name="l00100"></a>00100 <span class="comment">/* Define to the address where bug reports for this package should be sent. */</span>
-<a name="l00101"></a>00101 <span class="preprocessor">#define PACKAGE_BUGREPORT ""</span>
+<a name="l00100"></a>00100 <span class="comment">/* Defined if libcurl supports TELNET */</span>
+<a name="l00101"></a>00101 <span class="preprocessor">#define LIBCURL_PROTOCOL_TELNET 1</span>
 <a name="l00102"></a>00102 <span class="preprocessor"></span>
-<a name="l00103"></a>00103 <span class="comment">/* Define to the full name of this package. */</span>
-<a name="l00104"></a>00104 <span class="preprocessor">#define PACKAGE_NAME ""</span>
-<a name="l00105"></a>00105 <span class="preprocessor"></span>
-<a name="l00106"></a>00106 <span class="comment">/* Define to the full name and version of this package. */</span>
-<a name="l00107"></a>00107 <span class="preprocessor">#define PACKAGE_STRING ""</span>
-<a name="l00108"></a>00108 <span class="preprocessor"></span>
-<a name="l00109"></a>00109 <span class="comment">/* Define to the one symbol short name of this package. */</span>
-<a name="l00110"></a>00110 <span class="preprocessor">#define PACKAGE_TARNAME ""</span>
-<a name="l00111"></a>00111 <span class="preprocessor"></span>
-<a name="l00112"></a>00112 <span class="comment">/* Define to the version of this package. */</span>
-<a name="l00113"></a>00113 <span class="preprocessor">#define PACKAGE_VERSION ""</span>
+<a name="l00103"></a>00103 <span class="comment">/* if BeOS is used */</span>
+<a name="l00104"></a>00104 <span class="comment">/* #undef OS_BEOS */</span>
+<a name="l00105"></a>00105 
+<a name="l00106"></a>00106 <span class="comment">/* if Apple Darwin is used */</span>
+<a name="l00107"></a>00107 <span class="comment">/* #undef OS_DARWIN */</span>
+<a name="l00108"></a>00108 
+<a name="l00109"></a>00109 <span class="comment">/* if FreeBSD is used */</span>
+<a name="l00110"></a>00110 <span class="comment">/* #undef OS_FREEBSD */</span>
+<a name="l00111"></a>00111 
+<a name="l00112"></a>00112 <span class="comment">/* if linux is used */</span>
+<a name="l00113"></a>00113 <span class="preprocessor">#define OS_LINUX 1</span>
 <a name="l00114"></a>00114 <span class="preprocessor"></span>
-<a name="l00115"></a>00115 <span class="comment">/* SP_MULTI_BYTE value from when OpenSP was compiled */</span>
-<a name="l00116"></a>00116 <span class="preprocessor">#define SP_MULTI_BYTE 1</span>
+<a name="l00115"></a>00115 <span class="comment">/* host system */</span>
+<a name="l00116"></a>00116 <span class="preprocessor">#define OS_NAME "i686-pc-linux-gnu"</span>
 <a name="l00117"></a>00117 <span class="preprocessor"></span>
-<a name="l00118"></a>00118 <span class="comment">/* Define to 1 if you have the ANSI C header files. */</span>
-<a name="l00119"></a>00119 <span class="preprocessor">#define STDC_HEADERS 1</span>
-<a name="l00120"></a>00120 <span class="preprocessor"></span>
-<a name="l00121"></a>00121 <span class="comment">/* Version number of package */</span>
-<a name="l00122"></a>00122 <span class="preprocessor">#define VERSION "0.8.2"</span>
-<a name="l00123"></a>00123 <span class="preprocessor"></span>
-<a name="l00124"></a>00124 <span class="comment">/* Define to 1 if your processor stores words with the most significant byte</span>
-<a name="l00125"></a>00125 <span class="comment">   first (like Motorola and SPARC, unlike Intel and VAX). */</span>
-<a name="l00126"></a>00126 <span class="comment">/* #undef WORDS_BIGENDIAN */</span>
-<a name="l00127"></a>00127 
-<a name="l00128"></a>00128 <span class="comment">/* Define curl_free() as free() if our version of curl lacks curl_free. */</span>
-<a name="l00129"></a>00129 <span class="comment">/* #undef curl_free */</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:21 2006 for LibOFX by&nbsp;
+<a name="l00118"></a>00118 <span class="comment">/* if NetBSD is used */</span>
+<a name="l00119"></a>00119 <span class="comment">/* #undef OS_NETBSD */</span>
+<a name="l00120"></a>00120 
+<a name="l00121"></a>00121 <span class="comment">/* if OpenBSD is used */</span>
+<a name="l00122"></a>00122 <span class="comment">/* #undef OS_OPENBSD */</span>
+<a name="l00123"></a>00123 
+<a name="l00124"></a>00124 <span class="comment">/* if PalmOS is used */</span>
+<a name="l00125"></a>00125 <span class="comment">/* #undef OS_PALMOS */</span>
+<a name="l00126"></a>00126 
+<a name="l00127"></a>00127 <span class="comment">/* if this is a POSIX system */</span>
+<a name="l00128"></a>00128 <span class="preprocessor">#define OS_POSIX 1</span>
+<a name="l00129"></a>00129 <span class="preprocessor"></span>
+<a name="l00130"></a>00130 <span class="comment">/* host system */</span>
+<a name="l00131"></a>00131 <span class="preprocessor">#define OS_SHORTNAME "linux"</span>
+<a name="l00132"></a>00132 <span class="preprocessor"></span>
+<a name="l00133"></a>00133 <span class="comment">/* if Solaris is used */</span>
+<a name="l00134"></a>00134 <span class="comment">/* #undef OS_SOLARIS */</span>
+<a name="l00135"></a>00135 
+<a name="l00136"></a>00136 <span class="comment">/* system type */</span>
+<a name="l00137"></a>00137 <span class="preprocessor">#define OS_TYPE "posix"</span>
+<a name="l00138"></a>00138 <span class="preprocessor"></span>
+<a name="l00139"></a>00139 <span class="comment">/* if WIN32 is used */</span>
+<a name="l00140"></a>00140 <span class="comment">/* #undef OS_WIN32 */</span>
+<a name="l00141"></a>00141 
+<a name="l00142"></a>00142 <span class="comment">/* Name of package */</span>
+<a name="l00143"></a>00143 <span class="preprocessor">#define PACKAGE "libofx"</span>
+<a name="l00144"></a>00144 <span class="preprocessor"></span>
+<a name="l00145"></a>00145 <span class="comment">/* Define to the address where bug reports for this package should be sent. */</span>
+<a name="l00146"></a>00146 <span class="preprocessor">#define PACKAGE_BUGREPORT ""</span>
+<a name="l00147"></a>00147 <span class="preprocessor"></span>
+<a name="l00148"></a>00148 <span class="comment">/* Define to the full name of this package. */</span>
+<a name="l00149"></a>00149 <span class="preprocessor">#define PACKAGE_NAME ""</span>
+<a name="l00150"></a>00150 <span class="preprocessor"></span>
+<a name="l00151"></a>00151 <span class="comment">/* Define to the full name and version of this package. */</span>
+<a name="l00152"></a>00152 <span class="preprocessor">#define PACKAGE_STRING ""</span>
+<a name="l00153"></a>00153 <span class="preprocessor"></span>
+<a name="l00154"></a>00154 <span class="comment">/* Define to the one symbol short name of this package. */</span>
+<a name="l00155"></a>00155 <span class="preprocessor">#define PACKAGE_TARNAME ""</span>
+<a name="l00156"></a>00156 <span class="preprocessor"></span>
+<a name="l00157"></a>00157 <span class="comment">/* Define to the version of this package. */</span>
+<a name="l00158"></a>00158 <span class="preprocessor">#define PACKAGE_VERSION ""</span>
+<a name="l00159"></a>00159 <span class="preprocessor"></span>
+<a name="l00160"></a>00160 <span class="comment">/* SP_MULTI_BYTE value from when OpenSP was compiled */</span>
+<a name="l00161"></a>00161 <span class="preprocessor">#define SP_MULTI_BYTE 1</span>
+<a name="l00162"></a>00162 <span class="preprocessor"></span>
+<a name="l00163"></a>00163 <span class="comment">/* Define to 1 if you have the ANSI C header files. */</span>
+<a name="l00164"></a>00164 <span class="preprocessor">#define STDC_HEADERS 1</span>
+<a name="l00165"></a>00165 <span class="preprocessor"></span>
+<a name="l00166"></a>00166 <span class="comment">/* Version number of package */</span>
+<a name="l00167"></a>00167 <span class="preprocessor">#define VERSION "0.9.0"</span>
+<a name="l00168"></a>00168 <span class="preprocessor"></span>
+<a name="l00169"></a>00169 <span class="comment">/* Define to 1 if your processor stores words with the most significant byte</span>
+<a name="l00170"></a>00170 <span class="comment">   first (like Motorola and SPARC, unlike Intel and VAX). */</span>
+<a name="l00171"></a>00171 <span class="comment">/* #undef WORDS_BIGENDIAN */</span>
+<a name="l00172"></a>00172 
+<a name="l00173"></a>00173 <span class="comment">/* Define curl_free() as free() if our version of curl lacks curl_free. */</span>
+<a name="l00174"></a>00174 <span class="comment">/* #undef curl_free */</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/context_8cpp-source.html'
--- doc/html/context_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/context_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: context.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>context.cpp</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
 <a name="l00005"></a>00005 <span class="comment">/***************************************************************************</span>
 <a name="l00006"></a>00006 <span class="comment"> *                                                                         *</span>
@@ -33,8 +29,8 @@
 <a name="l00017"></a>00017 
 <a name="l00018"></a>00018 
 <a name="l00019"></a>00019 
-<a name="l00020"></a><a class="code" href="classLibofxContext.html#28abb9b82158ca0b42bccc27b1da9edf">00020</a> <a class="code" href="classLibofxContext.html#28abb9b82158ca0b42bccc27b1da9edf">LibofxContext::LibofxContext</a>()
-<a name="l00021"></a>00021   :_current_file_type(<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>)
+<a name="l00020"></a><a class="code" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">00020</a> <a class="code" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext::LibofxContext</a>()
+<a name="l00021"></a>00021   :_current_file_type(<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>)
 <a name="l00022"></a>00022   ,_statusCallback(0)
 <a name="l00023"></a>00023   ,_accountCallback(0)
 <a name="l00024"></a>00024   ,_securityCallback(0)
@@ -51,24 +47,24 @@
 <a name="l00035"></a>00035 
 <a name="l00036"></a>00036 
 <a name="l00037"></a>00037 
-<a name="l00038"></a><a class="code" href="classLibofxContext.html#eac15ac8f1f140020ca7737317b1eb6c">00038</a> <a class="code" href="classLibofxContext.html#eac15ac8f1f140020ca7737317b1eb6c">LibofxContext::~LibofxContext</a>(){
+<a name="l00038"></a><a class="code" href="classLibofxContext.html#08c06eedebc157876ff10c76570836e3">00038</a> <a class="code" href="classLibofxContext.html#08c06eedebc157876ff10c76570836e3">LibofxContext::~LibofxContext</a>(){
 <a name="l00039"></a>00039 }
 <a name="l00040"></a>00040 
 <a name="l00041"></a>00041 
 <a name="l00042"></a>00042 
-<a name="l00043"></a><a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">00043</a> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">LibofxContext::currentFileType</a>()<span class="keyword"> const</span>{
+<a name="l00043"></a><a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">00043</a> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">LibofxContext::currentFileType</a>()<span class="keyword"> const</span>{
 <a name="l00044"></a>00044   <span class="keywordflow">return</span> _current_file_type;
 <a name="l00045"></a>00045 }
 <a name="l00046"></a>00046 
 <a name="l00047"></a>00047 
 <a name="l00048"></a>00048 
-<a name="l00049"></a><a class="code" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">00049</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">LibofxContext::setCurrentFileType</a>(<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> t) {
+<a name="l00049"></a><a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">00049</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">LibofxContext::setCurrentFileType</a>(<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> t) {
 <a name="l00050"></a>00050   _current_file_type=t;
 <a name="l00051"></a>00051 }
 <a name="l00052"></a>00052 
 <a name="l00053"></a>00053 
 <a name="l00054"></a>00054 
-<a name="l00055"></a><a class="code" href="classLibofxContext.html#302efef8abcde0b6f1a76fa1f62ae828">00055</a> <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#302efef8abcde0b6f1a76fa1f62ae828">LibofxContext::statementCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html">OfxStatementData</a> data){
+<a name="l00055"></a><a class="code" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">00055</a> <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">LibofxContext::statementCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data){
 <a name="l00056"></a>00056   <span class="keywordflow">if</span> (_statementCallback)
 <a name="l00057"></a>00057     <span class="keywordflow">return</span> _statementCallback(data, _statementData);
 <a name="l00058"></a>00058   <span class="keywordflow">return</span> 0;
@@ -76,7 +72,7 @@
 <a name="l00060"></a>00060 
 <a name="l00061"></a>00061 
 <a name="l00062"></a>00062 
-<a name="l00063"></a><a class="code" href="classLibofxContext.html#acdfbe18123b9ceff1c9fe425196bc9e">00063</a> <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#acdfbe18123b9ceff1c9fe425196bc9e">LibofxContext::accountCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html">OfxAccountData</a> data){
+<a name="l00063"></a><a class="code" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">00063</a> <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">LibofxContext::accountCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data){
 <a name="l00064"></a>00064   <span class="keywordflow">if</span> (_accountCallback)
 <a name="l00065"></a>00065     <span class="keywordflow">return</span> _accountCallback(data, _accountData);
 <a name="l00066"></a>00066   <span class="keywordflow">return</span> 0;
@@ -84,7 +80,7 @@
 <a name="l00068"></a>00068 
 <a name="l00069"></a>00069 
 <a name="l00070"></a>00070 
-<a name="l00071"></a><a class="code" href="classLibofxContext.html#ceb3a8c832fdd024f34d0e2e19fb12e7">00071</a> <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#ceb3a8c832fdd024f34d0e2e19fb12e7">LibofxContext::transactionCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html">OfxTransactionData</a> data){
+<a name="l00071"></a><a class="code" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">00071</a> <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">LibofxContext::transactionCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data){
 <a name="l00072"></a>00072   <span class="keywordflow">if</span> (_transactionCallback)
 <a name="l00073"></a>00073     <span class="keywordflow">return</span> _transactionCallback(data, _transactionData);
 <a name="l00074"></a>00074   <span class="keywordflow">return</span> 0;
@@ -92,7 +88,7 @@
 <a name="l00076"></a>00076 
 <a name="l00077"></a>00077 
 <a name="l00078"></a>00078 
-<a name="l00079"></a><a class="code" href="classLibofxContext.html#a540fb9a3910bca4671b4cc6d248888f">00079</a> <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#a540fb9a3910bca4671b4cc6d248888f">LibofxContext::securityCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> data) {
+<a name="l00079"></a><a class="code" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">00079</a> <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">LibofxContext::securityCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> data) {
 <a name="l00080"></a>00080   <span class="keywordflow">if</span> (_securityCallback)
 <a name="l00081"></a>00081     <span class="keywordflow">return</span> _securityCallback(data, _securityData);
 <a name="l00082"></a>00082   <span class="keywordflow">return</span> 0;
@@ -100,14 +96,14 @@
 <a name="l00084"></a>00084 
 <a name="l00085"></a>00085 
 <a name="l00086"></a>00086 
-<a name="l00087"></a><a class="code" href="classLibofxContext.html#f2c0a10b25d27f5bcb36dc259d91a69f">00087</a> <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#f2c0a10b25d27f5bcb36dc259d91a69f">LibofxContext::statusCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html">OfxStatusData</a> data) {
+<a name="l00087"></a><a class="code" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">00087</a> <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">LibofxContext::statusCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> data) {
 <a name="l00088"></a>00088   <span class="keywordflow">if</span> (_statusCallback)
 <a name="l00089"></a>00089     <span class="keywordflow">return</span> _statusCallback(data, _statusData);
 <a name="l00090"></a>00090   <span class="keywordflow">return</span> 0;
 <a name="l00091"></a>00091 }
 <a name="l00092"></a>00092 
 <a name="l00093"></a>00093 
-<a name="l00094"></a><a class="code" href="classLibofxContext.html#573c4d84e50efad5a3a2e67a65f63603">00094</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#573c4d84e50efad5a3a2e67a65f63603">LibofxContext::setStatusCallback</a>(<a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb,
+<a name="l00094"></a><a class="code" href="classLibofxContext.html#c9a366e3bc8db89ef721e1e2ef57a8d6">00094</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#c9a366e3bc8db89ef721e1e2ef57a8d6">LibofxContext::setStatusCallback</a>(<a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb,
 <a name="l00095"></a>00095                                       <span class="keywordtype">void</span> *user_data){
 <a name="l00096"></a>00096   _statusCallback=cb;
 <a name="l00097"></a>00097   _statusData=user_data;
@@ -115,7 +111,7 @@
 <a name="l00099"></a>00099 
 <a name="l00100"></a>00100 
 <a name="l00101"></a>00101 
-<a name="l00102"></a><a class="code" href="classLibofxContext.html#d5a7eca14f0c674369c23c6d99891b45">00102</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d5a7eca14f0c674369c23c6d99891b45">LibofxContext::setAccountCallback</a>(<a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb,
+<a name="l00102"></a><a class="code" href="classLibofxContext.html#b02f2c152eb2639e3b02dcbd919036b8">00102</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#b02f2c152eb2639e3b02dcbd919036b8">LibofxContext::setAccountCallback</a>(<a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb,
 <a name="l00103"></a>00103                                        <span class="keywordtype">void</span> *user_data){
 <a name="l00104"></a>00104   _accountCallback=cb;
 <a name="l00105"></a>00105   _accountData=user_data;
@@ -123,7 +119,7 @@
 <a name="l00107"></a>00107 
 <a name="l00108"></a>00108 
 <a name="l00109"></a>00109 
-<a name="l00110"></a><a class="code" href="classLibofxContext.html#24264bc6e3bf0e72c1bd724ec49ecf36">00110</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#24264bc6e3bf0e72c1bd724ec49ecf36">LibofxContext::setSecurityCallback</a>(<a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb,
+<a name="l00110"></a><a class="code" href="classLibofxContext.html#d3ab77c33566ca7227613e1fbb36ea1b">00110</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d3ab77c33566ca7227613e1fbb36ea1b">LibofxContext::setSecurityCallback</a>(<a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb,
 <a name="l00111"></a>00111                                         <span class="keywordtype">void</span> *user_data){
 <a name="l00112"></a>00112   _securityCallback=cb;
 <a name="l00113"></a>00113   _securityData=user_data;
@@ -131,7 +127,7 @@
 <a name="l00115"></a>00115 
 <a name="l00116"></a>00116 
 <a name="l00117"></a>00117 
-<a name="l00118"></a><a class="code" href="classLibofxContext.html#47596f40547ac590dc02de0ecf37a09f">00118</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#47596f40547ac590dc02de0ecf37a09f">LibofxContext::setTransactionCallback</a>(<a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb,
+<a name="l00118"></a><a class="code" href="classLibofxContext.html#d5575fed475d9a755d71ff1f90d7ea98">00118</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d5575fed475d9a755d71ff1f90d7ea98">LibofxContext::setTransactionCallback</a>(<a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb,
 <a name="l00119"></a>00119                                            <span class="keywordtype">void</span> *user_data){
 <a name="l00120"></a>00120   _transactionCallback=cb;
 <a name="l00121"></a>00121   _transactionData=user_data;
@@ -139,7 +135,7 @@
 <a name="l00123"></a>00123 
 <a name="l00124"></a>00124 
 <a name="l00125"></a>00125 
-<a name="l00126"></a><a class="code" href="classLibofxContext.html#b205f609b1e459b381aacdbbf5555c5f">00126</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#b205f609b1e459b381aacdbbf5555c5f">LibofxContext::setStatementCallback</a>(<a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb,
+<a name="l00126"></a><a class="code" href="classLibofxContext.html#8a1337b72f678900606b924806603855">00126</a> <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#8a1337b72f678900606b924806603855">LibofxContext::setStatementCallback</a>(<a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb,
 <a name="l00127"></a>00127                                          <span class="keywordtype">void</span> *user_data){
 <a name="l00128"></a>00128   _statementCallback=cb;
 <a name="l00129"></a>00129   _statementData=user_data;
@@ -151,72 +147,81 @@
 <a name="l00135"></a>00135 
 <a name="l00136"></a>00136 
 <a name="l00137"></a>00137 
-<a name="l00140"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">00140</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> <a class="code" href="inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">libofx_get_new_context</a>(){
-<a name="l00141"></a>00141   <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code" href="classLibofxContext.html">LibofxContext</a>();
+<a name="l00140"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0">00140</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> <a class="code" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0" title="Initialise the library and return a new context.">libofx_get_new_context</a>(){
+<a name="l00141"></a>00141   <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext</a>();
 <a name="l00142"></a>00142 }
 <a name="l00143"></a>00143 
-<a name="l00144"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">00144</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">libofx_free_context</a>( <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context_param){
+<a name="l00144"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf">00144</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf" title="Free all ressources used by this context.">libofx_free_context</a>( <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context_param){
 <a name="l00145"></a>00145   <span class="keyword">delete</span> (<a class="code" href="classLibofxContext.html">LibofxContext</a> *)libofx_context_param;
 <a name="l00146"></a>00146   <span class="keywordflow">return</span> 0;
 <a name="l00147"></a>00147 }
 <a name="l00148"></a>00148 
 <a name="l00149"></a>00149 
 <a name="l00150"></a>00150 
-<a name="l00151"></a>00151 
-<a name="l00152"></a>00152 <span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
-<a name="l00153"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">00153</a>   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">ofx_set_status_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00154"></a>00154                          <a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb,
-<a name="l00155"></a>00155                          <span class="keywordtype">void</span> *user_data){
-<a name="l00156"></a>00156     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setStatusCallback(cb, user_data);
-<a name="l00157"></a>00157   }
+<a name="l00151"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">00151</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">libofx_set_dtd_dir</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context,
+<a name="l00152"></a>00152                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s) {
+<a name="l00153"></a>00153   ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)libofx_context)-&gt;setDtdDir(s);
+<a name="l00154"></a>00154 }
+<a name="l00155"></a>00155 
+<a name="l00156"></a>00156 
+<a name="l00157"></a>00157 
 <a name="l00158"></a>00158 
 <a name="l00159"></a>00159 
-<a name="l00160"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">00160</a>   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">ofx_set_account_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00161"></a>00161                           <a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb,
-<a name="l00162"></a>00162                           <span class="keywordtype">void</span> *user_data){
-<a name="l00163"></a>00163     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setAccountCallback(cb, user_data);
-<a name="l00164"></a>00164   }
-<a name="l00165"></a>00165 
-<a name="l00166"></a>00166 
+<a name="l00160"></a>00160 
+<a name="l00161"></a>00161 <span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
+<a name="l00162"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">00162</a>   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">ofx_set_status_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00163"></a>00163                          <a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb,
+<a name="l00164"></a>00164                          <span class="keywordtype">void</span> *user_data){
+<a name="l00165"></a>00165     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setStatusCallback(cb, user_data);
+<a name="l00166"></a>00166   }
 <a name="l00167"></a>00167 
-<a name="l00168"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">00168</a>   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">ofx_set_security_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00169"></a>00169                            <a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb,
-<a name="l00170"></a>00170                            <span class="keywordtype">void</span> *user_data){
-<a name="l00171"></a>00171     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setSecurityCallback(cb, user_data);
-<a name="l00172"></a>00172   }
-<a name="l00173"></a>00173 
+<a name="l00168"></a>00168 
+<a name="l00169"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">00169</a>   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00170"></a>00170                           <a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb,
+<a name="l00171"></a>00171                           <span class="keywordtype">void</span> *user_data){
+<a name="l00172"></a>00172     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setAccountCallback(cb, user_data);
+<a name="l00173"></a>00173   }
 <a name="l00174"></a>00174 
 <a name="l00175"></a>00175 
-<a name="l00176"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">00176</a>   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">ofx_set_transaction_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00177"></a>00177                               <a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb,
-<a name="l00178"></a>00178                               <span class="keywordtype">void</span> *user_data){
-<a name="l00179"></a>00179     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setTransactionCallback(cb, user_data);
-<a name="l00180"></a>00180   }
-<a name="l00181"></a>00181 
+<a name="l00176"></a>00176 
+<a name="l00177"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">00177</a>   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">ofx_set_security_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00178"></a>00178                            <a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb,
+<a name="l00179"></a>00179                            <span class="keywordtype">void</span> *user_data){
+<a name="l00180"></a>00180     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setSecurityCallback(cb, user_data);
+<a name="l00181"></a>00181   }
 <a name="l00182"></a>00182 
 <a name="l00183"></a>00183 
-<a name="l00184"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">00184</a>   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">ofx_set_statement_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00185"></a>00185                             <a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb,
-<a name="l00186"></a>00186                             <span class="keywordtype">void</span> *user_data){
-<a name="l00187"></a>00187     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setStatementCallback(cb, user_data);
-<a name="l00188"></a>00188   }
-<a name="l00189"></a>00189 
+<a name="l00184"></a>00184 
+<a name="l00185"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">00185</a>   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00186"></a>00186                               <a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb,
+<a name="l00187"></a>00187                               <span class="keywordtype">void</span> *user_data){
+<a name="l00188"></a>00188     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setTransactionCallback(cb, user_data);
+<a name="l00189"></a>00189   }
 <a name="l00190"></a>00190 
 <a name="l00191"></a>00191 
 <a name="l00192"></a>00192 
-<a name="l00193"></a>00193 }
-<a name="l00194"></a>00194 
-<a name="l00195"></a>00195 
-<a name="l00196"></a>00196 
-<a name="l00197"></a>00197 
+<a name="l00193"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">00193</a>   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00194"></a>00194                             <a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb,
+<a name="l00195"></a>00195                             <span class="keywordtype">void</span> *user_data){
+<a name="l00196"></a>00196     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setStatementCallback(cb, user_data);
+<a name="l00197"></a>00197   }
 <a name="l00198"></a>00198 
 <a name="l00199"></a>00199 
 <a name="l00200"></a>00200 
 <a name="l00201"></a>00201 
-<a name="l00202"></a>00202 
+<a name="l00202"></a>00202 }
 <a name="l00203"></a>00203 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:21 2006 for LibOFX by&nbsp;
+<a name="l00204"></a>00204 
+<a name="l00205"></a>00205 
+<a name="l00206"></a>00206 
+<a name="l00207"></a>00207 
+<a name="l00208"></a>00208 
+<a name="l00209"></a>00209 
+<a name="l00210"></a>00210 
+<a name="l00211"></a>00211 
+<a name="l00212"></a>00212 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/context_8hh-source.html'
--- doc/html/context_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/context_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: context.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>context.hh</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
 <a name="l00005"></a>00005 <span class="comment">/***************************************************************************</span>
 <a name="l00006"></a>00006 <span class="comment"> *                                                                         *</span>
@@ -31,54 +27,62 @@
 <a name="l00015"></a>00015 <span class="preprocessor"></span><span class="preprocessor">#define CONTEXT_H</span>
 <a name="l00016"></a>00016 <span class="preprocessor"></span><span class="preprocessor">#include &lt;string.h&gt;</span>
 <a name="l00017"></a>00017 <span class="preprocessor">#include &lt;time.h&gt;</span>               <span class="comment">// for time_t</span>
-<a name="l00018"></a>00018 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
 <a name="l00019"></a>00019 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
 <a name="l00020"></a>00020 
-<a name="l00021"></a>00021 <span class="keyword">using namespace </span>std;
-<a name="l00022"></a><a class="code" href="classLibofxContext.html">00022</a> <span class="keyword">class </span><a class="code" href="classLibofxContext.html">LibofxContext</a> {
-<a name="l00023"></a>00023 <span class="keyword">private</span>:
-<a name="l00024"></a>00024   <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> _current_file_type;
-<a name="l00025"></a>00025 
-<a name="l00026"></a>00026   <a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> _statusCallback;
-<a name="l00027"></a>00027   <a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> _accountCallback;
-<a name="l00028"></a>00028   <a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> _securityCallback;
-<a name="l00029"></a>00029   <a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> _transactionCallback;
-<a name="l00030"></a>00030   <a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> _statementCallback;
-<a name="l00031"></a>00031 
-<a name="l00032"></a>00032   <span class="keywordtype">void</span> * _statementData;
-<a name="l00033"></a>00033   <span class="keywordtype">void</span> * _accountData;
-<a name="l00034"></a>00034   <span class="keywordtype">void</span> * _transactionData;
-<a name="l00035"></a>00035   <span class="keywordtype">void</span> * _securityData;
-<a name="l00036"></a>00036   <span class="keywordtype">void</span> * _statusData;
-<a name="l00037"></a>00037 
-<a name="l00038"></a>00038 <span class="keyword">public</span>:
-<a name="l00039"></a>00039   <a class="code" href="classLibofxContext.html#28abb9b82158ca0b42bccc27b1da9edf">LibofxContext</a>();
-<a name="l00040"></a>00040   <a class="code" href="classLibofxContext.html#eac15ac8f1f140020ca7737317b1eb6c">~LibofxContext</a>();
-<a name="l00041"></a>00041 
-<a name="l00042"></a>00042   <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>() <span class="keyword">const</span>;
-<a name="l00043"></a>00043   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">setCurrentFileType</a>(<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> t);
-<a name="l00044"></a>00044 
-<a name="l00045"></a>00045   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#302efef8abcde0b6f1a76fa1f62ae828">statementCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html">OfxStatementData</a> data);
-<a name="l00046"></a>00046   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#acdfbe18123b9ceff1c9fe425196bc9e">accountCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html">OfxAccountData</a> data);
-<a name="l00047"></a>00047   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#ceb3a8c832fdd024f34d0e2e19fb12e7">transactionCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html">OfxTransactionData</a> data);
-<a name="l00048"></a>00048   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#a540fb9a3910bca4671b4cc6d248888f">securityCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> data);
-<a name="l00049"></a>00049   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#f2c0a10b25d27f5bcb36dc259d91a69f">statusCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html">OfxStatusData</a> data);
-<a name="l00050"></a>00050 
-<a name="l00051"></a>00051   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#573c4d84e50efad5a3a2e67a65f63603">setStatusCallback</a>(<a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb, <span class="keywordtype">void</span> *user_data);
-<a name="l00052"></a>00052   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d5a7eca14f0c674369c23c6d99891b45">setAccountCallback</a>(<a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb, <span class="keywordtype">void</span> *user_data);
-<a name="l00053"></a>00053   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#24264bc6e3bf0e72c1bd724ec49ecf36">setSecurityCallback</a>(<a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb, <span class="keywordtype">void</span> *user_data);
-<a name="l00054"></a>00054   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#47596f40547ac590dc02de0ecf37a09f">setTransactionCallback</a>(<a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb, <span class="keywordtype">void</span> *user_data);
-<a name="l00055"></a>00055   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#b205f609b1e459b381aacdbbf5555c5f">setStatementCallback</a>(<a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb, <span class="keywordtype">void</span> *user_data);
-<a name="l00056"></a>00056 
-<a name="l00057"></a>00057 
-<a name="l00058"></a>00058 };<span class="comment">//End class LibofxContext</span>
-<a name="l00059"></a>00059 
-<a name="l00060"></a>00060 
-<a name="l00061"></a>00061 
-<a name="l00062"></a>00062 
-<a name="l00063"></a>00063 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00022"></a>00022 
+<a name="l00023"></a>00023 
+<a name="l00024"></a>00024 <span class="keyword">using namespace </span>std;
+<a name="l00025"></a><a class="code" href="classLibofxContext.html">00025</a> <span class="keyword">class </span><a class="code" href="classLibofxContext.html">LibofxContext</a> {
+<a name="l00026"></a>00026 <span class="keyword">private</span>:
+<a name="l00027"></a>00027   <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> _current_file_type;
+<a name="l00028"></a>00028 
+<a name="l00029"></a>00029   <a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> _statusCallback;
+<a name="l00030"></a>00030   <a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> _accountCallback;
+<a name="l00031"></a>00031   <a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> _securityCallback;
+<a name="l00032"></a>00032   <a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> _transactionCallback;
+<a name="l00033"></a>00033   <a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> _statementCallback;
+<a name="l00034"></a>00034 
+<a name="l00035"></a>00035   <span class="keywordtype">void</span> * _statementData;
+<a name="l00036"></a>00036   <span class="keywordtype">void</span> * _accountData;
+<a name="l00037"></a>00037   <span class="keywordtype">void</span> * _transactionData;
+<a name="l00038"></a>00038   <span class="keywordtype">void</span> * _securityData;
+<a name="l00039"></a>00039   <span class="keywordtype">void</span> * _statusData;
+<a name="l00040"></a>00040 
+<a name="l00041"></a>00041   std::string _dtdDir;
+<a name="l00042"></a>00042 
+<a name="l00043"></a>00043 <span class="keyword">public</span>:
+<a name="l00044"></a>00044   <a class="code" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext</a>();
+<a name="l00045"></a>00045   <a class="code" href="classLibofxContext.html#08c06eedebc157876ff10c76570836e3">~LibofxContext</a>();
+<a name="l00046"></a>00046 
+<a name="l00047"></a>00047   <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>() <span class="keyword">const</span>;
+<a name="l00048"></a>00048   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">setCurrentFileType</a>(<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> t);
+<a name="l00049"></a>00049 
+<a name="l00050"></a><a class="code" href="classLibofxContext.html#6dae6a246107b895953e071896891cca">00050</a>   <span class="keyword">const</span> std::string &amp;<a class="code" href="classLibofxContext.html#6dae6a246107b895953e071896891cca">dtdDir</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> _dtdDir;};
+<a name="l00051"></a><a class="code" href="classLibofxContext.html#4980d93a2eaadae7c6ff2cff26be003d">00051</a>   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#4980d93a2eaadae7c6ff2cff26be003d">setDtdDir</a>(<span class="keyword">const</span> std::string &amp;s) {_dtdDir=s;};
+<a name="l00052"></a>00052 
+<a name="l00053"></a>00053   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">statementCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data);
+<a name="l00054"></a>00054   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">accountCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data);
+<a name="l00055"></a>00055   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">transactionCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data);
+<a name="l00056"></a>00056   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">securityCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> data);
+<a name="l00057"></a>00057   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">statusCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> data);
+<a name="l00058"></a>00058 
+<a name="l00059"></a>00059   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#c9a366e3bc8db89ef721e1e2ef57a8d6">setStatusCallback</a>(<a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00060"></a>00060   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#b02f2c152eb2639e3b02dcbd919036b8">setAccountCallback</a>(<a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00061"></a>00061   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d3ab77c33566ca7227613e1fbb36ea1b">setSecurityCallback</a>(<a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00062"></a>00062   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d5575fed475d9a755d71ff1f90d7ea98">setTransactionCallback</a>(<a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00063"></a>00063   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#8a1337b72f678900606b924806603855">setStatementCallback</a>(<a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00064"></a>00064 
+<a name="l00065"></a>00065 
+<a name="l00066"></a>00066 };<span class="comment">//End class LibofxContext</span>
+<a name="l00067"></a>00067 
+<a name="l00068"></a>00068 
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 
+<a name="l00071"></a>00071 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/doxygen.css'
--- doc/html/doxygen.css	2006-10-20 13:12:33 +0000
+++ doc/html/doxygen.css	2008-02-06 17:25:16 +0000
@@ -80,7 +80,7 @@
 A:hover { text-decoration: none; background-color: #f2f2ff }
 DL.el { margin-left: -1cm }
 .fragment {
-       font-family: Fixed, monospace;
+       font-family: monospace, fixed;
        font-size: 95%;
 }
 PRE.fragment {
@@ -96,14 +96,7 @@
 	padding-bottom: 4px;
 }
 DIV.ah { background-color: black; font-weight: bold; color: #ffffff; margin-bottom: 3px; margin-top: 3px }
-TD.md { background-color: #F4F4FB; font-weight: bold; }
-TD.mdPrefix {
-       background-color: #F4F4FB;
-       color: #606060;
-	font-size: 80%;
-}
-TD.mdname1 { background-color: #F4F4FB; font-weight: bold; color: #602020; }
-TD.mdname { background-color: #F4F4FB; font-weight: bold; color: #602020; width: 600px; }
+
 DIV.groupHeader {
        margin-left: 16px;
        margin-top: 12px;
@@ -156,13 +149,6 @@
 SPAN.preprocessor  { color: #806020 }
 SPAN.stringliteral { color: #002080 }
 SPAN.charliteral   { color: #008080 }
-.mdTable {
-	border: 1px solid #868686;
-	background-color: #F4F4FB;
-}
-.mdRow {
-	padding: 8px 10px;
-}
 .mdescLeft {
        padding: 0px 8px 4px 8px;
 	font-size: 80%;
@@ -308,3 +294,65 @@
      border-top: 1px solid black;
 }
 
+/* Style for detailed member documentation */
+.memtemplate {
+  font-size: 80%;
+  color: #606060;
+  font-weight: normal;
+} 
+.memnav { 
+  background-color: #e8eef2;
+  border: 1px solid #84b0c7;
+  text-align: center;
+  margin: 2px;
+  margin-right: 15px;
+  padding: 2px;
+}
+.memitem {
+  padding: 4px;
+  background-color: #eef3f5;
+  border-width: 1px;
+  border-style: solid;
+  border-color: #dedeee;
+  -moz-border-radius: 8px 8px 8px 8px;
+}
+.memname {
+  white-space: nowrap;
+  font-weight: bold;
+}
+.memdoc{
+  padding-left: 10px;
+}
+.memproto {
+  background-color: #d5e1e8;
+  width: 100%;
+  border-width: 1px;
+  border-style: solid;
+  border-color: #84b0c7;
+  font-weight: bold;
+  -moz-border-radius: 8px 8px 8px 8px;
+}
+.paramkey {
+  text-align: right;
+}
+.paramtype {
+  white-space: nowrap;
+}
+.paramname {
+  color: #602020;
+  font-style: italic;
+  white-space: nowrap;
+}
+/* End Styling for detailed member documentation */
+
+/* for the tree view */
+.ftvtree {
+	font-family: sans-serif;
+	margin:0.5em;
+}
+.directory { font-size: 9pt; font-weight: bold; }
+.directory h3 { margin: 0px; margin-top: 1em; font-size: 11pt; }
+.directory > h3 { margin-top: 0; }
+.directory p { margin: 0px; white-space: nowrap; }
+.directory div { display: none; margin: 0px; }
+.directory img { vertical-align: -30%; }

=== modified file 'doc/html/file__preproc_8cpp-source.html'
--- doc/html/file__preproc_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/file__preproc_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: file_preproc.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>file_preproc.cpp</h1><a href="file__preproc_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">          file_preproc.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,27 +32,27 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__preproc_8hh.html">ofx_preproc.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__preproc_8hh.html" title="Preprocessing of the OFX files before parsing.">ofx_preproc.hh</a>"</span>
 <a name="l00028"></a>00028 <span class="preprocessor">#include "context.hh"</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="file__preproc_8hh.html">file_preproc.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="file__preproc_8hh.html" title="Preprocessing of the OFX files before parsing.">file_preproc.hh</a>"</span>
 <a name="l00030"></a>00030 
 <a name="l00031"></a>00031 <span class="keyword">using namespace </span>std;
-<a name="l00032"></a><a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">00032</a> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a> = 1024;
+<a name="l00032"></a><a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">00032</a> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024;
 <a name="l00033"></a>00033 
 <a name="l00034"></a>00034 <span class="comment">/* get_file_type_description returns a string description of a LibofxFileType </span>
 <a name="l00035"></a>00035 <span class="comment"> * suitable for debugging output or user communication.</span>
 <a name="l00036"></a>00036 <span class="comment"> */</span>
-<a name="l00037"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">00037</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx_get_file_format_description</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> file_format)
+<a name="l00037"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e">00037</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format)
 <a name="l00038"></a>00038 {
 <a name="l00039"></a>00039   <span class="keyword">const</span> <span class="keywordtype">char</span> * retval = <span class="stringliteral">"UNKNOWN (File format couldn't be sucessfully identified)"</span>;
 <a name="l00040"></a>00040 
-<a name="l00041"></a>00041   <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">format</a>!=<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>; i++)
+<a name="l00041"></a>00041   <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>!=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>; i++)
 <a name="l00042"></a>00042     {
-<a name="l00043"></a>00043       <span class="keywordflow">if</span>(<a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].format==file_format)
+<a name="l00043"></a>00043       <span class="keywordflow">if</span>(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].format==file_format)
 <a name="l00044"></a>00044         {
-<a name="l00045"></a>00045           retval = <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].description;
+<a name="l00045"></a>00045           retval = <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">description</a>;
 <a name="l00046"></a>00046         }
 <a name="l00047"></a>00047     }
 <a name="l00048"></a>00048   <span class="keywordflow">return</span> retval;
@@ -65,68 +61,68 @@
 <a name="l00051"></a>00051 <span class="comment">/*</span>
 <a name="l00052"></a>00052 <span class="comment">libofx_get_file_type returns a proper enum from a file type string. </span>
 <a name="l00053"></a>00053 <span class="comment">*/</span>
-<a name="l00054"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">00054</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">libofx_get_file_format_from_str</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">const</span> <span class="keywordtype">char</span> * file_type_string)
+<a name="l00054"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a">00054</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a" title="libofx_get_file_type returns a proper enum from a file type string.">libofx_get_file_format_from_str</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">const</span> <span class="keywordtype">char</span> * file_type_string)
 <a name="l00055"></a>00055 {
-<a name="l00056"></a>00056   <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> retval = <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">UNKNOWN</a>;
-<a name="l00057"></a>00057   <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">format</a>!=<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>; i++)
+<a name="l00056"></a>00056   <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> retval = <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>;
+<a name="l00057"></a>00057   <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>!=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>; i++)
 <a name="l00058"></a>00058     {
-<a name="l00059"></a>00059       <span class="keywordflow">if</span>(strcmp(<a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].format_name, file_type_string)==0)
+<a name="l00059"></a>00059       <span class="keywordflow">if</span>(strcmp(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].format_name, file_type_string)==0)
 <a name="l00060"></a>00060         {
-<a name="l00061"></a>00061           retval = <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].format;
+<a name="l00061"></a>00061           retval = <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>;
 <a name="l00062"></a>00062         }
 <a name="l00063"></a>00063     }
 <a name="l00064"></a>00064   <span class="keywordflow">return</span> retval;
 <a name="l00065"></a>00065 }
 <a name="l00066"></a>00066 
-<a name="l00067"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">00067</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">libofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> p_libofx_context, <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename, <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> p_file_type)
+<a name="l00067"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805">00067</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805" title="libofx_proc_file is the entry point of the library.">libofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> p_libofx_context, <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename, <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> p_file_type)
 <a name="l00068"></a>00068 {
 <a name="l00069"></a>00069   <a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context = (<a class="code" href="classLibofxContext.html">LibofxContext</a> *) p_libofx_context;
 <a name="l00070"></a>00070 
-<a name="l00071"></a>00071   <span class="keywordflow">if</span>(p_file_type==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">AUTODETECT</a>)
+<a name="l00071"></a>00071   <span class="keywordflow">if</span>(p_file_type==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>)
 <a name="l00072"></a>00072     {
-<a name="l00073"></a>00073       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>, string(<span class="stringliteral">"libofx_proc_file(): File format not specified, autodecting..."</span>));
-<a name="l00074"></a>00074       libofx_context-&gt;<a class="code" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">setCurrentFileType</a>(<a class="code" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a>(p_filename));
-<a name="l00075"></a>00075       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(INFO, string(<span class="stringliteral">"libofx_proc_file(): Detected file format: "</span>)+
-<a name="l00076"></a>00076                   <a class="code" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx_get_file_format_description</a>(<a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>,
-<a name="l00077"></a>00077                                                      libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>() ));
+<a name="l00073"></a>00073       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): File format not specified, autodecting..."</span>));
+<a name="l00074"></a>00074       libofx_context-&gt;<a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">setCurrentFileType</a>(<a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(p_filename));
+<a name="l00075"></a>00075       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): Detected file format: "</span>)+
+<a name="l00076"></a>00076                   <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>,
+<a name="l00077"></a>00077                                                      libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>() ));
 <a name="l00078"></a>00078     }
 <a name="l00079"></a>00079   <span class="keywordflow">else</span>
 <a name="l00080"></a>00080     {
-<a name="l00081"></a>00081       libofx_context-&gt;<a class="code" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">setCurrentFileType</a>(<a class="code" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a>(p_filename));
-<a name="l00082"></a>00082       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>,
-<a name="l00083"></a>00083                   string(<span class="stringliteral">"libofx_proc_file(): File format forced to: "</span>)+
-<a name="l00084"></a>00084                   <a class="code" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx_get_file_format_description</a>(<a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>,
-<a name="l00085"></a>00085                                                      libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>() ));
+<a name="l00081"></a>00081       libofx_context-&gt;<a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">setCurrentFileType</a>(<a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(p_filename));
+<a name="l00082"></a>00082       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,
+<a name="l00083"></a>00083                   <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): File format forced to: "</span>)+
+<a name="l00084"></a>00084                   <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>,
+<a name="l00085"></a>00085                                                      libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>() ));
 <a name="l00086"></a>00086     }
 <a name="l00087"></a>00087 
-<a name="l00088"></a>00088   <span class="keywordflow">switch</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>())
+<a name="l00088"></a>00088   <span class="keywordflow">switch</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>())
 <a name="l00089"></a>00089     {
-<a name="l00090"></a>00090     <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>: <a class="code" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_proc_file</a>(libofx_context, p_filename);
+<a name="l00090"></a>00090     <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>: <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(libofx_context, p_filename);
 <a name="l00091"></a>00091       <span class="keywordflow">break</span>;
-<a name="l00092"></a>00092     <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>: <a class="code" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_proc_file</a>(libofx_context, p_filename);
+<a name="l00092"></a>00092     <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>: <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(libofx_context, p_filename);
 <a name="l00093"></a>00093       <span class="keywordflow">break</span>;
-<a name="l00094"></a>00094     <span class="keywordflow">default</span>: <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, string(<span class="stringliteral">"libofx_proc_file(): Detected file format not yet supported ou couldn't detect file format; aborting."</span>));
+<a name="l00094"></a>00094     <span class="keywordflow">default</span>: <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): Detected file format not yet supported ou couldn't detect file format; aborting."</span>));
 <a name="l00095"></a>00095     }
 <a name="l00096"></a>00096   <span class="keywordflow">return</span> 0;
 <a name="l00097"></a>00097 }
 <a name="l00098"></a>00098 
-<a name="l00099"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8hh.html#66c966ce570524cb29e39babf2f303d5">00099</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename)
+<a name="l00099"></a><a class="code" href="fx-0_89_80_2lib_2file__preproc_8hh.html#34e14069654b16390599d24154b1f8d0">00099</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename)
 <a name="l00100"></a>00100 {
-<a name="l00101"></a>00101   <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> retval = <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">UNKNOWN</a>;
+<a name="l00101"></a>00101   <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> retval = <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>;
 <a name="l00102"></a>00102   ifstream input_file;
-<a name="l00103"></a>00103   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>];
-<a name="l00104"></a>00104   string s_buffer;
+<a name="l00103"></a>00103   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>];
+<a name="l00104"></a>00104   <span class="keywordtype">string</span> s_buffer;
 <a name="l00105"></a>00105   <span class="keywordtype">bool</span> type_found=<span class="keyword">false</span>;
 <a name="l00106"></a>00106   
 <a name="l00107"></a>00107   <span class="keywordflow">if</span>(p_filename!=NULL&amp;&amp;strcmp(p_filename,<span class="stringliteral">""</span>)!=0)
 <a name="l00108"></a>00108     {
-<a name="l00109"></a>00109       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, string(<span class="stringliteral">"libofx_detect_file_type():Opening file: "</span>)+p_filename);
+<a name="l00109"></a>00109       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_detect_file_type():Opening file: "</span>)+p_filename);
 <a name="l00110"></a>00110       
 <a name="l00111"></a>00111       input_file.open(p_filename);
 <a name="l00112"></a>00112       
 <a name="l00113"></a>00113       <span class="keywordflow">if</span>(!input_file)
 <a name="l00114"></a>00114         {
-<a name="l00115"></a>00115           <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type():Unable to open the input file "</span>+string(p_filename));
+<a name="l00115"></a>00115           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type():Unable to open the input file "</span>+<span class="keywordtype">string</span>(p_filename));
 <a name="l00116"></a>00116           <span class="keywordflow">return</span> retval;
 <a name="l00117"></a>00117         }
 <a name="l00118"></a>00118       <span class="keywordflow">else</span>
@@ -148,14 +144,14 @@
 <a name="l00134"></a>00134               
 <a name="l00135"></a>00135               <span class="keywordflow">if</span>(s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>)!=string::npos||s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>)!=string::npos)
 <a name="l00136"></a>00136                 {
-<a name="l00137"></a>00137                   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"libofx_detect_file_type():&lt;OFX&gt; tag has been found"</span>);
-<a name="l00138"></a>00138                   retval=<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>;
+<a name="l00137"></a>00137                   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"libofx_detect_file_type():&lt;OFX&gt; tag has been found"</span>);
+<a name="l00138"></a>00138                   retval=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>;
 <a name="l00139"></a>00139                   type_found=<span class="keyword">true</span>;
 <a name="l00140"></a>00140                 }
 <a name="l00141"></a>00141               <span class="keywordflow">else</span> <span class="keywordflow">if</span>(s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>)!=string::npos||s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>)!=string::npos)
 <a name="l00142"></a>00142                 {
-<a name="l00143"></a>00143                   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"libofx_detect_file_type():&lt;OFC&gt; tag has been found"</span>);
-<a name="l00144"></a>00144                   retval=<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>;
+<a name="l00143"></a>00143                   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"libofx_detect_file_type():&lt;OFC&gt; tag has been found"</span>);
+<a name="l00144"></a>00144                   retval=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>;
 <a name="l00145"></a>00145                   type_found=<span class="keyword">true</span>;
 <a name="l00146"></a>00146                 }
 <a name="l00147"></a>00147               
@@ -164,10 +160,10 @@
 <a name="l00150"></a>00150       input_file.close();
 <a name="l00151"></a>00151     }
 <a name="l00152"></a>00152   <span class="keywordflow">else</span>{
-<a name="l00153"></a>00153     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type(): No input file specified"</span>);
+<a name="l00153"></a>00153     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type(): No input file specified"</span>);
 <a name="l00154"></a>00154   }
-<a name="l00155"></a>00155   <span class="keywordflow">if</span>(retval==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">UNKNOWN</a>)
-<a name="l00156"></a>00156     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type(): Failed to identify input file format"</span>);
+<a name="l00155"></a>00155   <span class="keywordflow">if</span>(retval==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>)
+<a name="l00156"></a>00156     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type(): Failed to identify input file format"</span>);
 <a name="l00157"></a>00157   <span class="keywordflow">return</span> retval;
 <a name="l00158"></a>00158 }
 <a name="l00159"></a>00159   
@@ -175,8 +171,8 @@
 <a name="l00161"></a>00161 
 <a name="l00162"></a>00162 
 <a name="l00163"></a>00163 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/file__preproc_8cpp.html'
--- doc/html/file__preproc_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/file__preproc_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,75 +1,63 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: file_preproc.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>file_preproc.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 File type detection, etc. 
 <p>
 Implements AutoDetection of file type, and handoff to specific parsers. 
-<p>
-Definition in file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.
+<p>Definition in file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="file__preproc_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8cpp.html#02f1a3ffa44b420a4c04018a7c609673">libofx_get_file_format_description</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> file_format)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">get_file_format_description returns a string description of a LibofxFileType.  <a href="#02f1a3ffa44b420a4c04018a7c609673"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8cpp.html#ff38c12e4e1b9537d55f1ef4c4b8556d">libofx_get_file_format_from_str</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], const char *file_type_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_get_file_type returns a proper enum from a file type string.  <a href="#ff38c12e4e1b9537d55f1ef4c4b8556d"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8cpp.html#a89d39d1d9d75a129183026eca85c967">libofx_proc_file</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> p_libofx_context, const char *p_filename, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> p_file_type)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_proc_file is the entry point of the library.  <a href="#a89d39d1d9d75a129183026eca85c967"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a> (const char *p_filename)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_detect_file_type tries to analyze a file to determine it's format.  <a href="#66c966ce570524cb29e39babf2f303d5"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">libofx_get_file_format_description</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">get_file_format_description returns a string description of a LibofxFileType.  <a href="#01e232aea6806e09e048c98c94a49b66"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">libofx_get_file_format_from_str</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], const char *file_type_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_get_file_type returns a proper enum from a file type string.  <a href="#3bf84ecbf6ca512ea73d204c64972dbc"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">libofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> p_libofx_context, const char *p_filename, <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> p_file_type)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_proc_file is the entry point of the library.  <a href="#29b78b5f31a8c75206a8e2b4d665099f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">libofx_detect_file_type</a> (const char *p_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_detect_file_type tries to analyze a file to determine it's format.  <a href="#34e14069654b16390599d24154b1f8d0"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9eee3543dcaefab6e13ffd2868c07aaa"></a><!-- doxytag: member="file_preproc.cpp::READ_BUFFER_SIZE" ref="9eee3543dcaefab6e13ffd2868c07aaa" args="" -->
-const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a> = 1024</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3a4f15870bd5573d14fceb17c65162ee"></a><!-- doxytag: member="file_preproc.cpp::READ_BUFFER_SIZE" ref="3a4f15870bd5573d14fceb17c65162ee" args="" -->
+const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024</td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="66c966ce570524cb29e39babf2f303d5"></a><!-- doxytag: member="file_preproc.cpp::libofx_detect_file_type" ref="66c966ce570524cb29e39babf2f303d5" args="(const char *p_filename)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="34e14069654b16390599d24154b1f8d0"></a><!-- doxytag: member="file_preproc.cpp::libofx_detect_file_type" ref="34e14069654b16390599d24154b1f8d0" args="(const char *p_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> libofx_detect_file_type           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const char *&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>p_filename</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_detect_file_type           </td>
+          <td>(</td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_detect_file_type tries to analyze a file to determine it's format. 
@@ -79,147 +67,123 @@
     <tr><td valign="top"></td><td valign="top"><em>p_filename</em>&nbsp;</td><td>File name of the file to process </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>Detected file format, UNKNOWN if unsuccessfull. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00099">99</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.
-<p>
-Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00067">libofx_proc_file()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="02f1a3ffa44b420a4c04018a7c609673"></a><!-- doxytag: member="file_preproc.cpp::libofx_get_file_format_description" ref="02f1a3ffa44b420a4c04018a7c609673" args="(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">const char* libofx_get_file_format_description           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>format_list</em>[], </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>file_format</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>Detected file format, UNKNOWN if unsuccessfull. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00099">99</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00067">libofx_proc_file()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="01e232aea6806e09e048c98c94a49b66"></a><!-- doxytag: member="file_preproc.cpp::libofx_get_file_format_description" ref="01e232aea6806e09e048c98c94a49b66" args="(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* libofx_get_file_format_description           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>file_format</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 get_file_format_description returns a string description of a LibofxFileType. 
 <p>
-The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList  The file format which should match one of the formats in the list. <dl compact><dt><b>Returns:</b></dt><dd>null terminated string suitable for debugging output or user communication. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00037">37</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ff38c12e4e1b9537d55f1ef4c4b8556d"></a><!-- doxytag: member="file_preproc.cpp::libofx_get_file_format_from_str" ref="ff38c12e4e1b9537d55f1ef4c4b8556d" args="(const struct LibofxFileFormatInfo format_list[], const char *file_type_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> libofx_get_file_format_from_str           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>format_list</em>[], </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>file_type_string</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList  The file format which should match one of the formats in the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>null terminated string suitable for debugging output or user communication. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00037">37</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3bf84ecbf6ca512ea73d204c64972dbc"></a><!-- doxytag: member="file_preproc.cpp::libofx_get_file_format_from_str" ref="3bf84ecbf6ca512ea73d204c64972dbc" args="(const struct LibofxFileFormatInfo format_list[], const char *file_type_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_get_file_format_from_str           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>file_type_string</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_get_file_type returns a proper enum from a file type string. 
 <p>
-The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList  The string which contain the file format matching one of the format_name of the list. <dl compact><dt><b>Returns:</b></dt><dd>the file format, or UNKNOWN if the format wasn't recognised. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00054">54</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a89d39d1d9d75a129183026eca85c967"></a><!-- doxytag: member="file_preproc.cpp::libofx_proc_file" ref="a89d39d1d9d75a129183026eca85c967" args="(LibofxContextPtr p_libofx_context, const char *p_filename, LibofxFileFormat p_file_type)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int libofx_proc_file           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>p_filename</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ftype</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList  The string which contain the file format matching one of the format_name of the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>the file format, or UNKNOWN if the format wasn't recognised. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00054">54</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="29b78b5f31a8c75206a8e2b4d665099f"></a><!-- doxytag: member="file_preproc.cpp::libofx_proc_file" ref="29b78b5f31a8c75206a8e2b4d665099f" args="(LibofxContextPtr p_libofx_context, const char *p_filename, LibofxFileFormat p_file_type)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>ftype</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_proc_file is the entry point of the library. 
 <p>
 libofx_proc_file must be called by the client, with a list of 1 or more OFX files to be parsed in command line format. 
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00067">67</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00067">67</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/file__preproc_8hh-source.html'
--- doc/html/file__preproc_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/file__preproc_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: file_preproc.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>file_preproc.hh</h1><a href="file__preproc_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          file_preproc.hh</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -34,11 +30,11 @@
 <a name="l00020"></a>00020 <span class="preprocessor">#ifndef FILE_PREPROC_H</span>
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define FILE_PREPROC_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
-<a name="l00029"></a>00029 <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename);
+<a name="l00029"></a>00029 <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename);
 <a name="l00030"></a>00030 
 <a name="l00031"></a>00031 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/file__preproc_8hh.html'
--- doc/html/file__preproc_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/file__preproc_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,62 +1,50 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: file_preproc.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>file_preproc.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Preprocessing of the OFX files before parsing. 
 <p>
 Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD. 
-<p>
-Definition in file <a class="el" href="file__preproc_8hh-source.html">file_preproc.hh</a>.
+<p>Definition in file <a class="el" href="file__preproc_8hh-source.html">file_preproc.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="file__preproc_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8hh.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a> (const char *p_filename)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="file__preproc_8hh.html#34e14069654b16390599d24154b1f8d0">libofx_detect_file_type</a> (const char *p_filename)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_detect_file_type tries to analyze a file to determine it's format.  <a href="#66c966ce570524cb29e39babf2f303d5"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_detect_file_type tries to analyze a file to determine it's format.  <a href="#34e14069654b16390599d24154b1f8d0"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="66c966ce570524cb29e39babf2f303d5"></a><!-- doxytag: member="file_preproc.hh::libofx_detect_file_type" ref="66c966ce570524cb29e39babf2f303d5" args="(const char *p_filename)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="34e14069654b16390599d24154b1f8d0"></a><!-- doxytag: member="file_preproc.hh::libofx_detect_file_type" ref="34e14069654b16390599d24154b1f8d0" args="(const char *p_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> libofx_detect_file_type           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const char *&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>p_filename</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_detect_file_type           </td>
+          <td>(</td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_detect_file_type tries to analyze a file to determine it's format. 
@@ -66,14 +54,14 @@
     <tr><td valign="top"></td><td valign="top"><em>p_filename</em>&nbsp;</td><td>File name of the file to process </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>Detected file format, UNKNOWN if unsuccessfull. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00099">99</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>Detected file format, UNKNOWN if unsuccessfull. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00099">99</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/files.html'
--- doc/html/files.html	2006-10-20 13:12:33 +0000
+++ doc/html/files.html	2008-02-06 17:25:16 +0000
@@ -1,105 +1,150 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: File Index</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="files.html"><span>File&nbsp;List</span></a></li>
     <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>LibOFX File List</h1>Here is a list of all documented files with brief descriptions:<table>
+  <tr><td class="indexkey"><b>ofxconnect/cmdline.c</b> <a href="ofxconnect_2cmdline_8c-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>ofxdump/cmdline.c</b> <a href="ofxdump_2cmdline_8c-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>ofxconnect/cmdline.h</b> <a href="ofxconnect_2cmdline_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>ofxdump/cmdline.h</b> <a href="ofxdump_2cmdline_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>config.h</b> <a href="config_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>context.cpp</b> <a href="context_8cpp-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>fx-0.8.2/lib/context.cpp</b> <a href="fx-0_88_82_2lib_2context_8cpp-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>fx-0.9.0/lib/context.cpp</b> <a href="fx-0_89_80_2lib_2context_8cpp-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>context.hh</b> <a href="context_8hh-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>fx-0.8.2/lib/context.hh</b> <a href="fx-0_88_82_2lib_2context_8hh-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>fx-0.9.0/lib/context.hh</b> <a href="fx-0_89_80_2lib_2context_8hh-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><a class="el" href="file__preproc_8cpp.html">file_preproc.cpp</a> <a href="file__preproc_8cpp-source.html">[code]</a></td><td class="indexvalue">File type detection, etc </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html">fx-0.8.2/lib/file_preproc.cpp</a> <a href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">[code]</a></td><td class="indexvalue">File type detection, etc </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html">fx-0.9.0/lib/file_preproc.cpp</a> <a href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html">[code]</a></td><td class="indexvalue">File type detection, etc </td></tr>
   <tr><td class="indexkey"><a class="el" href="file__preproc_8hh.html">file_preproc.hh</a> <a href="file__preproc_8hh-source.html">[code]</a></td><td class="indexvalue">Preprocessing of the OFX files before parsing </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8hh.html">fx-0.8.2/lib/file_preproc.hh</a> <a href="fx-0_88_82_2lib_2file__preproc_8hh-source.html">[code]</a></td><td class="indexvalue">Preprocessing of the OFX files before parsing </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2file__preproc_8hh.html">fx-0.9.0/lib/file_preproc.hh</a> <a href="fx-0_89_80_2lib_2file__preproc_8hh-source.html">[code]</a></td><td class="indexvalue">Preprocessing of the OFX files before parsing </td></tr>
   <tr><td class="indexkey"><b>getopt.c</b> <a href="getopt_8c-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>fx-0.8.2/lib/getopt.c</b> <a href="fx-0_88_82_2lib_2getopt_8c-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>fx-0.9.0/lib/getopt.c</b> <a href="fx-0_89_80_2lib_2getopt_8c-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>getopt1.c</b> <a href="getopt1_8c-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>fx-0.8.2/lib/getopt1.c</b> <a href="fx-0_88_82_2lib_2getopt1_8c-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>fx-0.9.0/lib/getopt1.c</b> <a href="fx-0_89_80_2lib_2getopt1_8c-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>gnugetopt.h</b> <a href="gnugetopt_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>fx-0.8.2/lib/gnugetopt.h</b> <a href="fx-0_88_82_2lib_2gnugetopt_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>fx-0.9.0/lib/gnugetopt.h</b> <a href="fx-0_89_80_2lib_2gnugetopt_8h-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><a class="el" href="inc_2libofx_8h.html">inc/libofx.h</a> <a href="inc_2libofx_8h-source.html">[code]</a></td><td class="indexvalue">Main header file containing the LibOfx API </td></tr>
   <tr><td class="indexkey"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx-0.8.2/inc/libofx.h</a> <a href="libofx-0_88_82_2inc_2libofx_8h-source.html">[code]</a></td><td class="indexvalue">Main header file containing the LibOfx API </td></tr>
+  <tr><td class="indexkey"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html">libofx-0.9.0/inc/libofx.h</a> <a href="libofx-0_89_80_2inc_2libofx_8h-source.html">[code]</a></td><td class="indexvalue">Main header file containing the LibOfx API </td></tr>
   <tr><td class="indexkey"><b>main_doc.c</b> <a href="main__doc_8c-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><a class="el" href="messages_8cpp.html">messages.cpp</a> <a href="messages_8cpp-source.html">[code]</a></td><td class="indexvalue">Message IO functionality </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html">fx-0.8.2/lib/messages.cpp</a> <a href="fx-0_88_82_2lib_2messages_8cpp-source.html">[code]</a></td><td class="indexvalue">Message IO functionality </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html">fx-0.9.0/lib/messages.cpp</a> <a href="fx-0_89_80_2lib_2messages_8cpp-source.html">[code]</a></td><td class="indexvalue">Message IO functionality </td></tr>
   <tr><td class="indexkey"><a class="el" href="messages_8hh.html">messages.hh</a> <a href="messages_8hh-source.html">[code]</a></td><td class="indexvalue">Message IO functionality </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2messages_8hh.html">fx-0.8.2/lib/messages.hh</a> <a href="fx-0_88_82_2lib_2messages_8hh-source.html">[code]</a></td><td class="indexvalue">Message IO functionality </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2messages_8hh.html">fx-0.9.0/lib/messages.hh</a> <a href="fx-0_89_80_2lib_2messages_8hh-source.html">[code]</a></td><td class="indexvalue">Message IO functionality </td></tr>
   <tr><td class="indexkey"><a class="el" href="nodeparser_8cpp.html">nodeparser.cpp</a> <a href="nodeparser_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of nodeparser object, which facilitiates searching for nodes in an XML file using a notation similiar to XPath </td></tr>
   <tr><td class="indexkey"><a class="el" href="nodeparser_8h.html">nodeparser.h</a> <a href="nodeparser_8h-source.html">[code]</a></td><td class="indexvalue">Declaration of nodeparser object, which facilitiates searching for nodes in an XML file using a notation similiar to XPath </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofc__sgml_8cpp.html">ofc_sgml.cpp</a> <a href="ofc__sgml_8cpp-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html">fx-0.8.2/lib/ofc_sgml.cpp</a> <a href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html">fx-0.9.0/lib/ofc_sgml.cpp</a> <a href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofc__sgml_8hh.html">ofc_sgml.hh</a> <a href="ofc__sgml_8hh-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html">fx-0.8.2/lib/ofc_sgml.hh</a> <a href="fx-0_88_82_2lib_2ofc__sgml_8hh-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8hh.html">fx-0.9.0/lib/ofc_sgml.hh</a> <a href="fx-0_89_80_2lib_2ofc__sgml_8hh-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx2qif_8c.html">ofx2qif.c</a> <a href="ofx2qif_8c-source.html">[code]</a></td><td class="indexvalue">Code for ofx2qif utility. C example code </td></tr>
-  <tr><td class="indexkey"><a class="el" href="ofx__aggregate_8hh.html">ofx_aggregate.hh</a> <a href="ofx__aggregate_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of <a class="el" href="classOfxAggregate.html">OfxAggregate</a> which allows you to construct a single OFX aggregate </td></tr>
-  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh.html">fx-0.8.2/lib/ofx_aggregate.hh</a> <a href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of <a class="el" href="classOfxAggregate.html">OfxAggregate</a> which allows you to construct a single OFX aggregate </td></tr>
-  <tr><td class="indexkey"><a class="el" href="ofx__container__account_8cpp.html">ofx_container_account.cpp</a> <a href="ofx__container__account_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a> for bank, credit card and investment accounts </td></tr>
-  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp.html">fx-0.8.2/lib/ofx_container_account.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__account_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a> for bank, credit card and investment accounts </td></tr>
-  <tr><td class="indexkey"><a class="el" href="ofx__container__generic_8cpp.html">ofx_container_generic.cpp</a> <a href="ofx__container__generic_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> </td></tr>
-  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp.html">fx-0.8.2/lib/ofx_container_generic.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__generic_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a> </td></tr>
-  <tr><td class="indexkey"><a class="el" href="ofx__container__main_8cpp.html">ofx_container_main.cpp</a> <a href="ofx__container__main_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> </td></tr>
-  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__main_8cpp.html">fx-0.8.2/lib/ofx_container_main.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__main_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> </td></tr>
-  <tr><td class="indexkey"><a class="el" href="ofx__container__security_8cpp.html">ofx_container_security.cpp</a> <a href="ofx__container__security_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> for stocks, bonds, mutual funds, etc </td></tr>
-  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp.html">fx-0.8.2/lib/ofx_container_security.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__security_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> for stocks, bonds, mutual funds, etc </td></tr>
-  <tr><td class="indexkey"><a class="el" href="ofx__container__statement_8cpp.html">ofx_container_statement.cpp</a> <a href="ofx__container__statement_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a> for bank statements, credit cart statements, etc </td></tr>
-  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp.html">fx-0.8.2/lib/ofx_container_statement.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__statement_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a> for bank statements, credit cart statements, etc </td></tr>
-  <tr><td class="indexkey"><a class="el" href="ofx__container__transaction_8cpp.html">ofx_container_transaction.cpp</a> <a href="ofx__container__transaction_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a> and <a class="el" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a> </td></tr>
-  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html">fx-0.8.2/lib/ofx_container_transaction.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a> and <a class="el" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a> </td></tr>
+  <tr><td class="indexkey"><a class="el" href="ofx__aggregate_8hh.html">ofx_aggregate.hh</a> <a href="ofx__aggregate_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of <a class="el" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> which allows you to construct a single OFX aggregate </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh.html">fx-0.8.2/lib/ofx_aggregate.hh</a> <a href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of <a class="el" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> which allows you to construct a single OFX aggregate </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh.html">fx-0.9.0/lib/ofx_aggregate.hh</a> <a href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of <a class="el" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> which allows you to construct a single OFX aggregate </td></tr>
+  <tr><td class="indexkey"><a class="el" href="ofx__container__account_8cpp.html">ofx_container_account.cpp</a> <a href="ofx__container__account_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> for bank, credit card and investment accounts </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp.html">fx-0.8.2/lib/ofx_container_account.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__account_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> for bank, credit card and investment accounts </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__container__account_8cpp.html">fx-0.9.0/lib/ofx_container_account.cpp</a> <a href="fx-0_89_80_2lib_2ofx__container__account_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> for bank, credit card and investment accounts </td></tr>
+  <tr><td class="indexkey"><a class="el" href="ofx__container__generic_8cpp.html">ofx_container_generic.cpp</a> <a href="ofx__container__generic_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp.html">fx-0.8.2/lib/ofx_container_generic.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__generic_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__container__generic_8cpp.html">fx-0.9.0/lib/ofx_container_generic.cpp</a> <a href="fx-0_89_80_2lib_2ofx__container__generic_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> </td></tr>
+  <tr><td class="indexkey"><a class="el" href="ofx__container__main_8cpp.html">ofx_container_main.cpp</a> <a href="ofx__container__main_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a> </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__main_8cpp.html">fx-0.8.2/lib/ofx_container_main.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__main_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a> </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__container__main_8cpp.html">fx-0.9.0/lib/ofx_container_main.cpp</a> <a href="fx-0_89_80_2lib_2ofx__container__main_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a> </td></tr>
+  <tr><td class="indexkey"><a class="el" href="ofx__container__security_8cpp.html">ofx_container_security.cpp</a> <a href="ofx__container__security_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> for stocks, bonds, mutual funds, etc </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp.html">fx-0.8.2/lib/ofx_container_security.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__security_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> for stocks, bonds, mutual funds, etc </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__container__security_8cpp.html">fx-0.9.0/lib/ofx_container_security.cpp</a> <a href="fx-0_89_80_2lib_2ofx__container__security_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> for stocks, bonds, mutual funds, etc </td></tr>
+  <tr><td class="indexkey"><a class="el" href="ofx__container__statement_8cpp.html">ofx_container_statement.cpp</a> <a href="ofx__container__statement_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> for bank statements, credit cart statements, etc </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp.html">fx-0.8.2/lib/ofx_container_statement.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__statement_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> for bank statements, credit cart statements, etc </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__container__statement_8cpp.html">fx-0.9.0/lib/ofx_container_statement.cpp</a> <a href="fx-0_89_80_2lib_2ofx__container__statement_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> for bank statements, credit cart statements, etc </td></tr>
+  <tr><td class="indexkey"><a class="el" href="ofx__container__transaction_8cpp.html">ofx_container_transaction.cpp</a> <a href="ofx__container__transaction_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> and <a class="el" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a> </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html">fx-0.8.2/lib/ofx_container_transaction.cpp</a> <a href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> and <a class="el" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a> </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp.html">fx-0.9.0/lib/ofx_container_transaction.cpp</a> <a href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of <a class="el" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> and <a class="el" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a> </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__containers_8hh.html">ofx_containers.hh</a> <a href="ofx__containers_8hh-source.html">[code]</a></td><td class="indexvalue">LibOFX internal object code </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh.html">fx-0.8.2/lib/ofx_containers.hh</a> <a href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">[code]</a></td><td class="indexvalue">LibOFX internal object code </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh.html">fx-0.9.0/lib/ofx_containers.hh</a> <a href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">[code]</a></td><td class="indexvalue">LibOFX internal object code </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__containers__misc_8cpp.html">ofx_containers_misc.cpp</a> <a href="ofx__containers__misc_8cpp-source.html">[code]</a></td><td class="indexvalue">LibOFX internal object code </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a> <a href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">[code]</a></td><td class="indexvalue">LibOFX internal object code </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp.html">fx-0.9.0/lib/ofx_containers_misc.cpp</a> <a href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp-source.html">[code]</a></td><td class="indexvalue">LibOFX internal object code </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__error__msg_8hh.html">ofx_error_msg.hh</a> <a href="ofx__error__msg_8hh-source.html">[code]</a></td><td class="indexvalue">OFX error code management functionnality </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html">fx-0.8.2/lib/ofx_error_msg.hh</a> <a href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">[code]</a></td><td class="indexvalue">OFX error code management functionnality </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html">fx-0.9.0/lib/ofx_error_msg.hh</a> <a href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html">[code]</a></td><td class="indexvalue">OFX error code management functionnality </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__preproc_8cpp.html">ofx_preproc.cpp</a> <a href="ofx__preproc_8cpp-source.html">[code]</a></td><td class="indexvalue">Preprocessing of the OFX files before parsing </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html">fx-0.8.2/lib/ofx_preproc.cpp</a> <a href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">[code]</a></td><td class="indexvalue">Preprocessing of the OFX files before parsing </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html">fx-0.9.0/lib/ofx_preproc.cpp</a> <a href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html">[code]</a></td><td class="indexvalue">Preprocessing of the OFX files before parsing </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__preproc_8hh.html">ofx_preproc.hh</a> <a href="ofx__preproc_8hh-source.html">[code]</a></td><td class="indexvalue">Preprocessing of the OFX files before parsing </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html">fx-0.8.2/lib/ofx_preproc.hh</a> <a href="fx-0_88_82_2lib_2ofx__preproc_8hh-source.html">[code]</a></td><td class="indexvalue">Preprocessing of the OFX files before parsing </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html">fx-0.9.0/lib/ofx_preproc.hh</a> <a href="fx-0_89_80_2lib_2ofx__preproc_8hh-source.html">[code]</a></td><td class="indexvalue">Preprocessing of the OFX files before parsing </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__request_8cpp.html">ofx_request.cpp</a> <a href="ofx__request_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of an OfxRequests to create an OFX file containing a generic request </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html">fx-0.8.2/lib/ofx_request.cpp</a> <a href="fx-0_88_82_2lib_2ofx__request_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of an OfxRequests to create an OFX file containing a generic request </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html">fx-0.9.0/lib/ofx_request.cpp</a> <a href="fx-0_89_80_2lib_2ofx__request_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of an OfxRequests to create an OFX file containing a generic request </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__request_8hh.html">ofx_request.hh</a> <a href="ofx__request_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of an OfxRequests to create an OFX file containing a generic request </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html">fx-0.8.2/lib/ofx_request.hh</a> <a href="fx-0_88_82_2lib_2ofx__request_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of an OfxRequests to create an OFX file containing a generic request </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html">fx-0.9.0/lib/ofx_request.hh</a> <a href="fx-0_89_80_2lib_2ofx__request_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of an OfxRequests to create an OFX file containing a generic request </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__request__accountinfo_8cpp.html">ofx_request_accountinfo.cpp</a> <a href="ofx__request__accountinfo_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of libofx_request_accountinfo to create an OFX file containing a request for all account info at this FI for this user </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html">fx-0.8.2/lib/ofx_request_accountinfo.cpp</a> <a href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of libofx_request_accountinfo to create an OFX file containing a request for all account info at this FI for this user </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp.html">fx-0.9.0/lib/ofx_request_accountinfo.cpp</a> <a href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of libofx_request_accountinfo to create an OFX file containing a request for all account info at this FI for this user </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__request__accountinfo_8hh.html">ofx_request_accountinfo.hh</a> <a href="ofx__request__accountinfo_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of OfxRequestAccountInfo create an OFX file containing a request for all account info at this FI for this user </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8hh.html">fx-0.8.2/lib/ofx_request_accountinfo.hh</a> <a href="fx-0_88_82_2lib_2ofx__request__accountinfo_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of OfxRequestAccountInfo create an OFX file containing a request for all account info at this FI for this user </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8hh.html">fx-0.9.0/lib/ofx_request_accountinfo.hh</a> <a href="fx-0_89_80_2lib_2ofx__request__accountinfo_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of OfxRequestAccountInfo create an OFX file containing a request for all account info at this FI for this user </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__request__statement_8cpp.html">ofx_request_statement.cpp</a> <a href="ofx__request__statement_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of libofx_request_statement to create an OFX file containing a request for a statement </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html">fx-0.8.2/lib/ofx_request_statement.cpp</a> <a href="fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of libofx_request_statement to create an OFX file containing a request for a statement </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html">fx-0.9.0/lib/ofx_request_statement.cpp</a> <a href="fx-0_89_80_2lib_2ofx__request__statement_8cpp-source.html">[code]</a></td><td class="indexvalue">Implementation of libofx_request_statement to create an OFX file containing a request for a statement </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__request__statement_8hh.html">ofx_request_statement.hh</a> <a href="ofx__request__statement_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of libofx_request_statement to create an OFX file containing a request for a statement </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8hh.html">fx-0.8.2/lib/ofx_request_statement.hh</a> <a href="fx-0_88_82_2lib_2ofx__request__statement_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of libofx_request_statement to create an OFX file containing a request for a statement </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8hh.html">fx-0.9.0/lib/ofx_request_statement.hh</a> <a href="fx-0_89_80_2lib_2ofx__request__statement_8hh-source.html">[code]</a></td><td class="indexvalue">Declaration of libofx_request_statement to create an OFX file containing a request for a statement </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__sgml_8cpp.html">ofx_sgml.cpp</a> <a href="ofx__sgml_8cpp-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html">fx-0.8.2/lib/ofx_sgml.cpp</a> <a href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html">fx-0.9.0/lib/ofx_sgml.cpp</a> <a href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__sgml_8hh.html">ofx_sgml.hh</a> <a href="ofx__sgml_8hh-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html">fx-0.8.2/lib/ofx_sgml.hh</a> <a href="fx-0_88_82_2lib_2ofx__sgml_8hh-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8hh.html">fx-0.9.0/lib/ofx_sgml.hh</a> <a href="fx-0_89_80_2lib_2ofx__sgml_8hh-source.html">[code]</a></td><td class="indexvalue">OFX/SGML parsing functionnality </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__utilities_8cpp.html">ofx_utilities.cpp</a> <a href="ofx__utilities_8cpp-source.html">[code]</a></td><td class="indexvalue">Various simple functions for type conversion &amp; al </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html">fx-0.8.2/lib/ofx_utilities.cpp</a> <a href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">[code]</a></td><td class="indexvalue">Various simple functions for type conversion &amp; al </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html">fx-0.9.0/lib/ofx_utilities.cpp</a> <a href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html">[code]</a></td><td class="indexvalue">Various simple functions for type conversion &amp; al </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofx__utilities_8hh.html">ofx_utilities.hh</a> <a href="ofx__utilities_8hh-source.html">[code]</a></td><td class="indexvalue">Various simple functions for type conversion &amp; al </td></tr>
   <tr><td class="indexkey"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">fx-0.8.2/lib/ofx_utilities.hh</a> <a href="fx-0_88_82_2lib_2ofx__utilities_8hh-source.html">[code]</a></td><td class="indexvalue">Various simple functions for type conversion &amp; al </td></tr>
+  <tr><td class="indexkey"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html">fx-0.9.0/lib/ofx_utilities.hh</a> <a href="fx-0_89_80_2lib_2ofx__utilities_8hh-source.html">[code]</a></td><td class="indexvalue">Various simple functions for type conversion &amp; al </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofxconnect_8cpp.html">ofxconnect.cpp</a> <a href="ofxconnect_8cpp-source.html">[code]</a></td><td class="indexvalue">Code for ofxconnect utility. C++ example code </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofxdump_8cpp.html">ofxdump.cpp</a> <a href="ofxdump_8cpp-source.html">[code]</a></td><td class="indexvalue">Code for ofxdump utility. C++ example code </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofxpartner_8cpp.html">ofxpartner.cpp</a> <a href="ofxpartner_8cpp-source.html">[code]</a></td><td class="indexvalue">Methods for connecting to the OFX partner server to retrieve OFX server information </td></tr>
   <tr><td class="indexkey"><a class="el" href="ofxpartner_8h.html">ofxpartner.h</a> <a href="ofxpartner_8h-source.html">[code]</a></td><td class="indexvalue">Methods for connecting to the OFX partner server to retrieve OFX server information </td></tr>
   <tr><td class="indexkey"><b>tree.hh</b> <a href="tree_8hh-source.html">[code]</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><b>fx-0.8.2/lib/tree.hh</b> <a href="fx-0_88_82_2lib_2tree_8hh-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>fx-0.9.0/lib/tree.hh</b> <a href="fx-0_89_80_2lib_2tree_8hh-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>win32.cpp</b> <a href="win32_8cpp-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>fx-0.9.0/lib/win32.cpp</b> <a href="fx-0_89_80_2lib_2win32_8cpp-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>win32.hh</b> <a href="win32_8hh-source.html">[code]</a></td><td class="indexvalue"></td></tr>
+  <tr><td class="indexkey"><b>fx-0.9.0/lib/win32.hh</b> <a href="fx-0_89_80_2lib_2win32_8hh-source.html">[code]</a></td><td class="indexvalue"></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:21 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions.html'
--- doc/html/functions.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -30,7 +32,7 @@
 </div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html#index_a"><span>a</span></a></li>
+    <li class="current"><a href="functions.html#index_a"><span>a</span></a></li>
     <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
     <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
     <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
@@ -59,36 +61,141 @@
 <p>
 <h3><a class="anchor" name="index_a">- a -</a></h3><ul>
 <li>account
-: <a class="el" href="structOfxPayment.html#d57648ec18e28322c8cc71fce995f083">OfxPayment</a><li>account_id
-: <a class="el" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">OfxStatementData</a>, <a class="el" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">OfxTransactionData</a>, <a class="el" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">OfxAccountData</a><li>account_id_valid
-: <a class="el" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">OfxStatementData</a>, <a class="el" href="structOfxTransactionData.html#02095f6be8951af8640d6e4d96e6a7c7">OfxTransactionData</a>, <a class="el" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">OfxAccountData</a><li>account_name
-: <a class="el" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">OfxAccountData</a><li>account_number
-: <a class="el" href="structOfxAccountData.html#4055a6a7c29f5d7227a21143c15827cc">OfxAccountData</a><li>account_number_valid
-: <a class="el" href="structOfxAccountData.html#4f3d55c94002500f9f3e3b398a71f9b0">OfxAccountData</a><li>account_ptr
-: <a class="el" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">OfxStatementData</a>, <a class="el" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">OfxTransactionData</a>, <a class="el" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">OfxStatementData</a>, <a class="el" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">OfxTransactionData</a><li>account_type
-: <a class="el" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">OfxAccountData</a><li>account_type_valid
-: <a class="el" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">OfxAccountData</a><li>accountCallback()
-: <a class="el" href="classLibofxContext.html#acdfbe18123b9ceff1c9fe425196bc9e">LibofxContext</a><li>accountid
-: <a class="el" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">OfxAccountInfo</a><li>accountlist
-: <a class="el" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">OfxFiServiceInfo</a><li>AccountType
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">OfxAccountData</a><li>Add()
-: <a class="el" href="classOfxAggregate.html#cb67d7766c957f4a1cf8aaf58566ac8d">OfxAggregate</a><li>add_account()
-: <a class="el" href="classOfxTransactionContainer.html#55909757ff4bd31fe8bc968f5be576b0">OfxTransactionContainer</a>, <a class="el" href="classOfxStatementContainer.html#874ef227d93fdc078cf396350fc9b678">OfxStatementContainer</a><li>add_attribute()
-: <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, <a class="el" href="classOfxTransactionContainer.html#0f4825ddd57813fc045b7f6d77337f75">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">OfxStatementContainer</a>, <a class="el" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">OfxBalanceContainer</a>, <a class="el" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">OfxStatusContainer</a>, <a class="el" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">OfxPushUpContainer</a>, <a class="el" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">OfxDummyContainer</a>, <a class="el" href="classOfxGenericContainer.html#7c40bd25355c995e1caadb19ecafad85">OfxGenericContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, <a class="el" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">OfxStatementContainer</a>, <a class="el" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">OfxBalanceContainer</a>, <a class="el" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">OfxStatusContainer</a>, <a class="el" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">OfxPushUpContainer</a>, <a class="el" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">OfxDummyContainer</a>, <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a><li>add_balance()
-: <a class="el" href="classOfxStatementContainer.html#cf79a74290f3f0d0c9048f80c60b32e8">OfxStatementContainer</a><li>add_container()
-: <a class="el" href="classOfxMainContainer.html#7a9cc1792a7a1e32decf3a81ce79101f">OfxMainContainer</a><li>add_to_main_tree()
-: <a class="el" href="classOfxTransactionContainer.html#16b5fec1613ce8d3d52c338650a2b39f">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#7b20f785d5de5457825a88432d876c07">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#428dc6528715f6d2c71fd491af4d0db2">OfxStatementContainer</a>, <a class="el" href="classOfxGenericContainer.html#816dcc15a82874c7033475cb94362e00">OfxGenericContainer</a>, <a class="el" href="classOfxTransactionContainer.html#013d08423359102e1c596ad84a89e80f">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#06f05be00e89e4ce256eb709dcad4326">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#19b7458f71a8e47e25525f81009c5146">OfxStatementContainer</a>, <a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer</a><li>address1
-: <a class="el" href="structOfxPayee.html#3509ec9ece608232be3ffc63b4077d27">OfxPayee</a><li>amount
-: <a class="el" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">OfxBalanceContainer</a>, <a class="el" href="structOfxPayment.html#fb1972bf3033b4604422d21273bb8d4e">OfxPayment</a>, <a class="el" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">OfxTransactionData</a><li>amount_valid
-: <a class="el" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">OfxBalanceContainer</a>, <a class="el" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">OfxTransactionData</a><li>append_child()
-: <a class="el" href="classtree.html#c35cc7e116ac7caced91fa1ae129073a">tree&lt; T, tree_node_allocator &gt;</a><li>append_children()
-: <a class="el" href="classtree.html#b73148412a532d3216fb9741bc8c4e67">tree&lt; T, tree_node_allocator &gt;</a><li>available_balance
-: <a class="el" href="structOfxStatementData.html#da9c55ec9c74912447df814e9d4cca91">OfxStatementData</a><li>available_balance_date
-: <a class="el" href="structOfxStatementData.html#bbed79d9d703d99258707077ec8fb237">OfxStatementData</a><li>available_balance_date_valid
-: <a class="el" href="structOfxStatementData.html#b43a960e67c71cd8b7c91376ca12d462">OfxStatementData</a><li>available_balance_valid
-: <a class="el" href="structOfxStatementData.html#2b21efec7e7c885db13af63230c1a76d">OfxStatementData</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxPayment.html#851acab467352b911fa62781657ce328">OfxPayment</a>
+<li>account_id
+: <a class="el" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">OfxAccountData</a>
+, <a class="el" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">OfxStatementData</a>
+, <a class="el" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">OfxTransactionData</a>
+<li>account_id_valid
+: <a class="el" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">OfxAccountData</a>
+, <a class="el" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">OfxTransactionData</a>
+, <a class="el" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">OfxStatementData</a>
+<li>account_name
+: <a class="el" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">OfxAccountData</a>
+<li>account_number
+: <a class="el" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">OfxAccountData</a>
+<li>account_number_valid
+: <a class="el" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">OfxAccountData</a>
+<li>account_ptr
+: <a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">OfxStatementData</a>
+, <a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">OfxTransactionData</a>
+, <a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">OfxStatementData</a>
+, <a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">OfxTransactionData</a>
+, <a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">OfxStatementData</a>
+, <a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">OfxTransactionData</a>
+<li>account_type
+: <a class="el" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">OfxAccountData</a>
+<li>account_type_valid
+: <a class="el" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">OfxAccountData</a>
+<li>accountCallback()
+: <a class="el" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">LibofxContext</a>
+<li>accountinfo_req_given
+: <a class="el" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956">gengetopt_args_info</a>
+<li>accountinfo_req_help
+: <a class="el" href="structgengetopt__args__info.html#4be453d9448470057d85b2d77498b1cf">gengetopt_args_info</a>
+<li>accountlist
+: <a class="el" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">OfxFiServiceInfo</a>
+<li>AccountType
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData</a>
+<li>acct_arg
+: <a class="el" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281">gengetopt_args_info</a>
+<li>acct_given
+: <a class="el" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4">gengetopt_args_info</a>
+<li>acct_help
+: <a class="el" href="structgengetopt__args__info.html#c920c934e2095025f1d7048522a57c5e">gengetopt_args_info</a>
+<li>acct_orig
+: <a class="el" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55">gengetopt_args_info</a>
+<li>Add()
+: <a class="el" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">OfxAggregate</a>
+<li>add_account()
+: <a class="el" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">OfxStatementContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">OfxTransactionContainer</a>
+<li>add_attribute()
+: <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>
+, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>
+, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">OfxTransactionContainer</a>
+, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>
+, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>
+, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>
+, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>
+, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>
+, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>
+, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>
+, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>
+, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#5de5c85a85aa1a35850c8528fd9c0fcd">OfxGenericContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">OfxTransactionContainer</a>
+, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>
+, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>
+, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>
+, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>
+, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>
+, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#5de5c85a85aa1a35850c8528fd9c0fcd">OfxGenericContainer</a>
+<li>add_balance()
+: <a class="el" href="classOfxStatementContainer.html#91534efc97834de2ddfc66e4e0e75b5c">OfxStatementContainer</a>
+<li>add_container()
+: <a class="el" href="classOfxMainContainer.html#4b1ee2f1b0fe365acf3037abee8cc7d2">OfxMainContainer</a>
+<li>add_to_main_tree()
+: <a class="el" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d">OfxTransactionContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f">OfxSecurityContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">OfxStatementContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#172bdf425c7b89f8c1129a40307cac6e">OfxGenericContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">OfxSecurityContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d">OfxStatementContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#172bdf425c7b89f8c1129a40307cac6e">OfxGenericContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">OfxTransactionContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">OfxStatementContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">OfxSecurityContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">OfxTransactionContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>
+<li>address1
+: <a class="el" href="structOfxPayee.html#985439daf6ac8a7a34c92e5f9e829901">OfxPayee</a>
+<li>allsupport_given
+: <a class="el" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19">gengetopt_args_info</a>
+<li>allsupport_help
+: <a class="el" href="structgengetopt__args__info.html#5257baf4b7c30840141c1891e59d6c29">gengetopt_args_info</a>
+<li>amount
+: <a class="el" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">OfxBalanceContainer</a>
+, <a class="el" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">OfxTransactionData</a>
+, <a class="el" href="structOfxPayment.html#ce2679ca7e17d6ba7a79cf03399beb8a">OfxPayment</a>
+<li>amount_valid
+: <a class="el" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">OfxBalanceContainer</a>
+, <a class="el" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">OfxTransactionData</a>
+<li>append_child()
+: <a class="el" href="classtree.html#9318fa77c4e10ec0a9a26a0d08f182a2">tree&lt; T, tree_node_allocator &gt;</a>
+<li>append_children()
+: <a class="el" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465">tree&lt; T, tree_node_allocator &gt;</a>
+<li>appid
+: <a class="el" href="structOfxFiLogin.html#0589bf38951c4e698236146c019d4cd1">OfxFiLogin</a>
+<li>appver
+: <a class="el" href="structOfxFiLogin.html#f870ca3b27992fb53f203d23f33d097c">OfxFiLogin</a>
+<li>available_balance
+: <a class="el" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">OfxStatementData</a>
+<li>available_balance_date
+: <a class="el" href="structOfxStatementData.html#5062a88aaae023cd5506db8991187c1c">OfxStatementData</a>
+<li>available_balance_date_valid
+: <a class="el" href="structOfxStatementData.html#4c2936f050f1cacd32e11e294dd96de6">OfxStatementData</a>
+<li>available_balance_valid
+: <a class="el" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">OfxStatementData</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x62.html'
--- doc/html/functions_0x62.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x62.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -31,7 +33,7 @@
 <div class="tabs">
   <ul>
     <li><a href="functions.html#index_a"><span>a</span></a></li>
-    <li id="current"><a href="functions_0x62.html#index_b"><span>b</span></a></li>
+    <li class="current"><a href="functions_0x62.html#index_b"><span>b</span></a></li>
     <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
     <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
     <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
@@ -58,22 +60,60 @@
 Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:
 <p>
 <h3><a class="anchor" name="index_b">- b -</a></h3><ul>
+<li>bank_arg
+: <a class="el" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb">gengetopt_args_info</a>
+<li>bank_fipid_given
+: <a class="el" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c">gengetopt_args_info</a>
+<li>bank_fipid_help
+: <a class="el" href="structgengetopt__args__info.html#ab3262dc76580b273d03506a73b20307">gengetopt_args_info</a>
+<li>bank_given
+: <a class="el" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad">gengetopt_args_info</a>
+<li>bank_help
+: <a class="el" href="structgengetopt__args__info.html#fb33dfc28db6399e4c13f94d12b30ed7">gengetopt_args_info</a>
 <li>bank_id
-: <a class="el" href="structOfxAccountData.html#b52ce38f9b338995155193e251a913eb">OfxAccountData</a><li>bank_id_valid
-: <a class="el" href="structOfxAccountData.html#383072a07037bd2a6e3b3bdd2dd8ce68">OfxAccountData</a><li>bankid
-: <a class="el" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">OfxAccountInfo</a><li>BankStatementRequest()
-: <a class="el" href="classOfxStatementRequest.html#51f2f5168ae5a2c783bbc3f142546229">OfxStatementRequest</a><li>begin()
-: <a class="el" href="classtree.html#e5f2310caf80398be0cec94d12a067c7">tree&lt; T, tree_node_allocator &gt;</a><li>begin_fixed()
-: <a class="el" href="classtree.html#c6259cb843b832e66a6351db4913712c">tree&lt; T, tree_node_allocator &gt;</a><li>begin_post()
-: <a class="el" href="classtree.html#94137d9430380b87f76355610d2f60fb">tree&lt; T, tree_node_allocator &gt;</a><li>billpay
-: <a class="el" href="structOfxFiServiceInfo.html#41f3e3e7d5e090592791c8132fe14030">OfxFiServiceInfo</a><li>branch_id
-: <a class="el" href="structOfxAccountData.html#392911775b01dcd1fa08f8aae8d6354b">OfxAccountData</a><li>branch_id_valid
-: <a class="el" href="structOfxAccountData.html#a90da480f5333cb62e65abff64fc8ca1">OfxAccountData</a><li>broker_id
-: <a class="el" href="structOfxAccountData.html#638e07ea5ceae389d128b18451a92c3f">OfxAccountData</a><li>broker_id_valid
-: <a class="el" href="structOfxAccountData.html#18c96bae133fcb04c8f5cdadd2d785ca">OfxAccountData</a><li>brokerid
-: <a class="el" href="structOfxAccountInfo.html#1b8903e24442ff02fc0a12ee0592cae6">OfxAccountInfo</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">OfxAccountData</a>
+<li>bank_id_valid
+: <a class="el" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">OfxAccountData</a>
+<li>bank_list_given
+: <a class="el" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce">gengetopt_args_info</a>
+<li>bank_list_help
+: <a class="el" href="structgengetopt__args__info.html#e99e7e36843e9eb0108778a1068c24a8">gengetopt_args_info</a>
+<li>bank_orig
+: <a class="el" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a">gengetopt_args_info</a>
+<li>bank_services_given
+: <a class="el" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5">gengetopt_args_info</a>
+<li>bank_services_help
+: <a class="el" href="structgengetopt__args__info.html#f111269f0c20c2f07cfcc1d8b3e976cf">gengetopt_args_info</a>
+<li>BankStatementRequest()
+: <a class="el" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">OfxStatementRequest</a>
+<li>begin()
+: <a class="el" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+, <a class="el" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>begin_fixed()
+: <a class="el" href="classtree.html#3e7ee34b9582cb6f0bd5b25f501a1057">tree&lt; T, tree_node_allocator &gt;</a>
+<li>begin_post()
+: <a class="el" href="classtree.html#c589b0b9d7b7bec68232c37de5a7318f">tree&lt; T, tree_node_allocator &gt;</a>
+<li>billpay
+: <a class="el" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">OfxFiServiceInfo</a>
+<li>branch_id
+: <a class="el" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">OfxAccountData</a>
+<li>branch_id_valid
+: <a class="el" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">OfxAccountData</a>
+<li>broker_arg
+: <a class="el" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d">gengetopt_args_info</a>
+<li>broker_given
+: <a class="el" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172">gengetopt_args_info</a>
+<li>broker_help
+: <a class="el" href="structgengetopt__args__info.html#3c4dc59196e3c4ef57b3a6d1cf439629">gengetopt_args_info</a>
+<li>broker_id
+: <a class="el" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">OfxAccountData</a>
+<li>broker_id_valid
+: <a class="el" href="structOfxAccountData.html#59defd36706bd332e080dcf56437dabf">OfxAccountData</a>
+<li>broker_orig
+: <a class="el" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6">gengetopt_args_info</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x63.html'
--- doc/html/functions_0x63.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x63.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -32,7 +34,7 @@
   <ul>
     <li><a href="functions.html#index_a"><span>a</span></a></li>
     <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
-    <li id="current"><a href="functions_0x63.html#index_c"><span>c</span></a></li>
+    <li class="current"><a href="functions_0x63.html#index_c"><span>c</span></a></li>
     <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
     <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
     <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
@@ -58,22 +60,47 @@
 Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:
 <p>
 <h3><a class="anchor" name="index_c">- c -</a></h3><ul>
+<li>check_ambiguity
+: <a class="el" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4">cmdline_parser_params</a>
 <li>check_number
-: <a class="el" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">OfxTransactionData</a><li>check_number_valid
-: <a class="el" href="structOfxTransactionData.html#8b49156636e8dc3b1f56ae91955765b4">OfxTransactionData</a><li>child()
-: <a class="el" href="classtree.html#fbe1ac6e9f493645a2972bc2342f8a2c">tree&lt; T, tree_node_allocator &gt;</a><li>city
-: <a class="el" href="structOfxPayee.html#4b3bd752ae504378f3bd3822e969b2fa">OfxPayee</a><li>clear()
-: <a class="el" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">tree&lt; T, tree_node_allocator &gt;</a><li>code
-: <a class="el" href="structErrorMsg.html#95f22180acb45e48ab748671ff12fee8">ErrorMsg</a>, <a class="el" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">OfxStatusData</a><li>code_valid
-: <a class="el" href="structOfxStatusData.html#69d5e443877e2e9300197a6057060a68">OfxStatusData</a><li>commission
-: <a class="el" href="structOfxTransactionData.html#37fb3882c1bc7079e47d2007af1ca028">OfxTransactionData</a><li>commission_valid
-: <a class="el" href="structOfxTransactionData.html#86d8e5fc00290bb173c1b6b948c35dd3">OfxTransactionData</a><li>CreditCardStatementRequest()
-: <a class="el" href="classOfxStatementRequest.html#85760d6ec3d3a8881938b0742f5eb67e">OfxStatementRequest</a><li>currency
-: <a class="el" href="structOfxCurrency.html#178b53e406a02275243f1e1e483220e8">OfxCurrency</a>, <a class="el" href="structOfxStatementData.html#8c016ce953f1d4d3d08573f0181f7fc8">OfxStatementData</a>, <a class="el" href="structOfxSecurityData.html#6f943b5de690b0c8e3577ee32dc0f682">OfxSecurityData</a>, <a class="el" href="structOfxAccountData.html#c32bd379c1cdf26d0dfdb0d4992ba9e0">OfxAccountData</a><li>currency_valid
-: <a class="el" href="structOfxStatementData.html#2e01678983fb37679da62d982932301a">OfxStatementData</a>, <a class="el" href="structOfxSecurityData.html#b510698f4aadf98dea2a38774afecf36">OfxSecurityData</a>, <a class="el" href="structOfxAccountData.html#ec553bba34510a9085d8395ae57eb4d2">OfxAccountData</a><li>currentFileType()
-: <a class="el" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">LibofxContext</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">OfxTransactionData</a>
+<li>check_number_valid
+: <a class="el" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">OfxTransactionData</a>
+<li>check_required
+: <a class="el" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6">cmdline_parser_params</a>
+<li>child()
+: <a class="el" href="classtree.html#446c722c82607f8b3243a9153b665d19">tree&lt; T, tree_node_allocator &gt;</a>
+<li>city
+: <a class="el" href="structOfxPayee.html#03d236ffc1640ecc56640c4e29093215">OfxPayee</a>
+<li>clear()
+: <a class="el" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a">tree&lt; T, tree_node_allocator &gt;</a>
+<li>code
+: <a class="el" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">OfxStatusData</a>
+, <a class="el" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">ErrorMsg</a>
+<li>code_valid
+: <a class="el" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">OfxStatusData</a>
+<li>command_group_counter
+: <a class="el" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481">gengetopt_args_info</a>
+<li>commission
+: <a class="el" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">OfxTransactionData</a>
+<li>commission_valid
+: <a class="el" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">OfxTransactionData</a>
+<li>CreditCardStatementRequest()
+: <a class="el" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">OfxStatementRequest</a>
+<li>currency
+: <a class="el" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">OfxAccountData</a>
+, <a class="el" href="structOfxCurrency.html#b161a37469e797c6762d7dd909819332">OfxCurrency</a>
+, <a class="el" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">OfxSecurityData</a>
+, <a class="el" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">OfxStatementData</a>
+<li>currency_valid
+: <a class="el" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">OfxSecurityData</a>
+, <a class="el" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">OfxStatementData</a>
+, <a class="el" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">OfxAccountData</a>
+<li>currentFileType()
+: <a class="el" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">LibofxContext</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x64.html'
--- doc/html/functions_0x64.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x64.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -33,7 +35,7 @@
     <li><a href="functions.html#index_a"><span>a</span></a></li>
     <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
     <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
-    <li id="current"><a href="functions_0x64.html#index_d"><span>d</span></a></li>
+    <li class="current"><a href="functions_0x64.html#index_d"><span>d</span></a></li>
     <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
     <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
     <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
@@ -59,28 +61,67 @@
 <p>
 <h3><a class="anchor" name="index_d">- d -</a></h3><ul>
 <li>data
-: <a class="el" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">OFXApplication</a>, <a class="el" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">OFCApplication</a>, <a class="el" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">OFXApplication</a>, <a class="el" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">OFCApplication</a>, <a class="el" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">tree_node_&lt; T &gt;</a>, <a class="el" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">OfxStatementContainer</a>, <a class="el" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">OfxStatusContainer</a><li>date
-: <a class="el" href="classOfxBalanceContainer.html#6279f38dda6287846812f96e54a3e026">OfxBalanceContainer</a><li>date_end
-: <a class="el" href="structOfxStatementData.html#9a9474d4266ee8362691de638eb2b95b">OfxStatementData</a><li>date_end_valid
-: <a class="el" href="structOfxStatementData.html#da9e71bfc700d9836f8ed1a0a5394d68">OfxStatementData</a><li>date_funds_available
-: <a class="el" href="structOfxTransactionData.html#be9a3435e5c27396714b915bbec892d9">OfxTransactionData</a><li>date_funds_available_valid
-: <a class="el" href="structOfxTransactionData.html#a279f61654ffc1119f4a7a0475314b8f">OfxTransactionData</a><li>date_initiated
-: <a class="el" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">OfxTransactionData</a><li>date_initiated_valid
-: <a class="el" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">OfxTransactionData</a><li>date_posted
-: <a class="el" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">OfxTransactionData</a><li>date_posted_valid
-: <a class="el" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">OfxTransactionData</a><li>date_start
-: <a class="el" href="structOfxStatementData.html#e309f20e09668f4d0cf852f771d2cc16">OfxStatementData</a><li>date_start_valid
-: <a class="el" href="structOfxStatementData.html#dc9f69ca4ccb9ce8b2ee99a633ce1663">OfxStatementData</a><li>date_unitprice
-: <a class="el" href="structOfxSecurityData.html#2be22a41f746673f06ea6b6820cc17e9">OfxSecurityData</a><li>date_unitprice_valid
-: <a class="el" href="structOfxSecurityData.html#45533d8f177dc2a329d03c5e79f0dd14">OfxSecurityData</a><li>date_valid
-: <a class="el" href="classOfxBalanceContainer.html#c4f467bce968ab7dc878a2a999224d65">OfxBalanceContainer</a><li>datedue
-: <a class="el" href="structOfxPayment.html#9b30730015e0bdcf6661eadcb82b6698">OfxPayment</a><li>depth()
-: <a class="el" href="classtree.html#464267273fcfac957e31e28937cf996b">tree&lt; T, tree_node_allocator &gt;</a><li>descend_all()
-: <a class="el" href="classtree_1_1post__order__iterator.html#1015e1938df756864245f1f015b9cd0e">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a><li>description
-: <a class="el" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">ErrorMsg</a>, <a class="el" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">OfxStatusData</a>, <a class="el" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">LibofxFileFormatInfo</a>, <a class="el" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">ErrorMsg</a>, <a class="el" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">OfxStatusData</a>, <a class="el" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">LibofxFileFormatInfo</a><li>difference_type
-: <a class="el" href="classtree_1_1iterator__base.html#ebbd8db196719de8eff9735650c352df">tree&lt; T, tree_node_allocator &gt;::iterator_base</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">OfxStatusContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">OfxStatementContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">OfxSecurityContainer</a>
+, <a class="el" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">OFCApplication</a>
+, <a class="el" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">OfxTransactionContainer</a>
+, <a class="el" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">OFCApplication</a>
+, <a class="el" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">OfxAccountContainer</a>
+, <a class="el" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">tree_node_&lt; T &gt;</a>
+, <a class="el" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">OFCApplication</a>
+<li>date
+: <a class="el" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">OfxBalanceContainer</a>
+<li>date_end
+: <a class="el" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">OfxStatementData</a>
+<li>date_end_valid
+: <a class="el" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">OfxStatementData</a>
+<li>date_funds_available
+: <a class="el" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">OfxTransactionData</a>
+<li>date_funds_available_valid
+: <a class="el" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">OfxTransactionData</a>
+<li>date_initiated
+: <a class="el" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">OfxTransactionData</a>
+<li>date_initiated_valid
+: <a class="el" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">OfxTransactionData</a>
+<li>date_posted
+: <a class="el" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">OfxTransactionData</a>
+<li>date_posted_valid
+: <a class="el" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">OfxTransactionData</a>
+<li>date_start
+: <a class="el" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">OfxStatementData</a>
+<li>date_start_valid
+: <a class="el" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">OfxStatementData</a>
+<li>date_unitprice
+: <a class="el" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">OfxSecurityData</a>
+<li>date_unitprice_valid
+: <a class="el" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">OfxSecurityData</a>
+<li>date_valid
+: <a class="el" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">OfxBalanceContainer</a>
+<li>datedue
+: <a class="el" href="structOfxPayment.html#8c7bf483dba9043d5c49993756681e7b">OfxPayment</a>
+<li>depth()
+: <a class="el" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1">tree&lt; T, tree_node_allocator &gt;</a>
+<li>descend_all()
+: <a class="el" href="classtree_1_1post__order__iterator.html#ca4676b4986854521cfa2c7d84f62204">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+<li>description
+: <a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">ErrorMsg</a>
+, <a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">LibofxFileFormatInfo</a>
+, <a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">ErrorMsg</a>
+, <a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">LibofxFileFormatInfo</a>
+, <a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">OfxStatusData</a>
+, <a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">LibofxFileFormatInfo</a>
+, <a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">OfxStatusData</a>
+<li>difference_type
+: <a class="el" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>dtdDir()
+: <a class="el" href="classLibofxContext.html#6dae6a246107b895953e071896891cca">LibofxContext</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x65.html'
--- doc/html/functions_0x65.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x65.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -34,7 +36,7 @@
     <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
     <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
     <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
-    <li id="current"><a href="functions_0x65.html#index_e"><span>e</span></a></li>
+    <li class="current"><a href="functions_0x65.html#index_e"><span>e</span></a></li>
     <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
     <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
     <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
@@ -59,20 +61,40 @@
 <p>
 <h3><a class="anchor" name="index_e">- e -</a></h3><ul>
 <li>empty()
-: <a class="el" href="classtree.html#04cf6fc4add8819a389dcf7e107ad2bf">tree&lt; T, tree_node_allocator &gt;</a><li>end()
-: <a class="el" href="classtree.html#20490a4be9f2dac80ac8bfa31d596eeb">tree&lt; T, tree_node_allocator &gt;</a><li>end_fixed()
-: <a class="el" href="classtree.html#2c491ca566c8ac3e850fcd1f64dcc729">tree&lt; T, tree_node_allocator &gt;</a><li>end_post()
-: <a class="el" href="classtree.html#ed92fb7220a771b6f05dcb66205b56ee">tree&lt; T, tree_node_allocator &gt;</a><li>endElement()
-: <a class="el" href="classOFXApplication.html#ace0e849787a64724ddecc2b266b8cac">OFXApplication</a>, <a class="el" href="classOFCApplication.html#7682bf9a0e592eba3219e1b51fc26936">OFCApplication</a>, <a class="el" href="classOFXApplication.html#ace0e849787a64724ddecc2b266b8cac">OFXApplication</a>, <a class="el" href="classOFCApplication.html#7682bf9a0e592eba3219e1b51fc26936">OFCApplication</a><li>equal()
-: <a class="el" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">tree&lt; T, tree_node_allocator &gt;</a><li>equal_subtree()
-: <a class="el" href="classtree.html#728582159c3d6b9b2a4890e95034a6d5">tree&lt; T, tree_node_allocator &gt;</a><li>erase()
-: <a class="el" href="classtree.html#fb19caa16588297c9674abb18c40a32a">tree&lt; T, tree_node_allocator &gt;</a><li>erase_children()
-: <a class="el" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">tree&lt; T, tree_node_allocator &gt;</a><li>error()
-: <a class="el" href="classOFXApplication.html#ed9647aa1aa0351b461904187804a4ce">OFXApplication</a>, <a class="el" href="classOFCApplication.html#97dd26803339b3066d6f08215c9ec2f0">OFCApplication</a>, <a class="el" href="classOFXApplication.html#ed9647aa1aa0351b461904187804a4ce">OFXApplication</a>, <a class="el" href="classOFCApplication.html#97dd26803339b3066d6f08215c9ec2f0">OFCApplication</a><li>ERROR
-: <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8">OfxStatusData</a><li>exchange_rate
-: <a class="el" href="structOfxCurrency.html#978f8a9698789bb843d19fa39d972f2f">OfxCurrency</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2">tree&lt; T, tree_node_allocator &gt;</a>
+<li>end()
+: <a class="el" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+, <a class="el" href="classtree.html#ee5bbcc93836876ebb7a4f85f9d562f3">tree&lt; T, tree_node_allocator &gt;</a>
+<li>end_fixed()
+: <a class="el" href="classtree.html#bab26c0edd25cc836ed768e32c034165">tree&lt; T, tree_node_allocator &gt;</a>
+<li>end_post()
+: <a class="el" href="classtree.html#874c4d85ee7631a996874d32429ec575">tree&lt; T, tree_node_allocator &gt;</a>
+<li>endElement()
+: <a class="el" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">OFXApplication</a>
+<li>equal()
+: <a class="el" href="classtree.html#59488f63fc6ad997809d971c48ecfc04">tree&lt; T, tree_node_allocator &gt;</a>
+<li>equal_subtree()
+: <a class="el" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">tree&lt; T, tree_node_allocator &gt;</a>
+<li>erase()
+: <a class="el" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b">tree&lt; T, tree_node_allocator &gt;</a>
+<li>erase_children()
+: <a class="el" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc">tree&lt; T, tree_node_allocator &gt;</a>
+<li>error()
+: <a class="el" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3">OFCApplication</a>
+<li>ERROR
+: <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">OfxStatusData</a>
+<li>error()
+: <a class="el" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb">OFXApplication</a>
+<li>exchange_rate
+: <a class="el" href="structOfxCurrency.html#42189e2f5c6b57cf09cb75689a6c1b88">OfxCurrency</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x66.html'
--- doc/html/functions_0x66.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x66.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -35,7 +37,7 @@
     <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
     <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
     <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
-    <li id="current"><a href="functions_0x66.html#index_f"><span>f</span></a></li>
+    <li class="current"><a href="functions_0x66.html#index_f"><span>f</span></a></li>
     <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
     <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
     <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
@@ -59,25 +61,61 @@
 <p>
 <h3><a class="anchor" name="index_f">- f -</a></h3><ul>
 <li>fees
-: <a class="el" href="structOfxTransactionData.html#e3ec90702e1e5abbae847c77eb9cfc0e">OfxTransactionData</a><li>fees_valid
-: <a class="el" href="structOfxTransactionData.html#fed8f3953c6f8d1d346be5c61501a93e">OfxTransactionData</a><li>feet
-: <a class="el" href="classtree.html#e45df182e3702084c6bd147d6479cc08">tree&lt; T, tree_node_allocator &gt;</a><li>fi_id
-: <a class="el" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">OfxTransactionData</a><li>fi_id_corrected
-: <a class="el" href="structOfxTransactionData.html#9db59281d0b9883e307da469e45c5e25">OfxTransactionData</a><li>fi_id_corrected_valid
-: <a class="el" href="structOfxTransactionData.html#760693682215d56c510ddf222514d18e">OfxTransactionData</a><li>fi_id_correction_action
-: <a class="el" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">OfxTransactionData</a><li>fi_id_correction_action_valid
-: <a class="el" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">OfxTransactionData</a><li>fi_id_valid
-: <a class="el" href="structOfxTransactionData.html#9922d2151c43440ffe643fbf8cc1bb36">OfxTransactionData</a><li>fid
-: <a class="el" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">OfxFiLogin</a>, <a class="el" href="structOfxFiServiceInfo.html#2dbea9cf2b6881ee430000a168cd8338">OfxFiServiceInfo</a><li>find_security()
-: <a class="el" href="classOfxMainContainer.html#257204d0271f47d7f455169487960753">OfxMainContainer</a><li>first_child
-: <a class="el" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">tree_node_&lt; T &gt;</a><li>first_parent_
-: <a class="el" href="classtree_1_1fixed__depth__iterator.html#7571c412f3df322bbdb1411960532e93">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a><li>flag
-: <a class="el" href="structoption.html#8f77295b521f0c6c955608190229d4a3">option</a><li>flatten()
-: <a class="el" href="classtree.html#aa9c55593a7d52cde352a3dde80fbaf9">tree&lt; T, tree_node_allocator &gt;</a><li>format
-: <a class="el" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">LibofxFileFormatInfo</a><li>format_name
-: <a class="el" href="structLibofxFileFormatInfo.html#d2cedb4565d24bf632fb95d3974e316b">LibofxFileFormatInfo</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">OfxTransactionData</a>
+<li>fees_valid
+: <a class="el" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">OfxTransactionData</a>
+<li>feet
+: <a class="el" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">tree&lt; T, tree_node_allocator &gt;</a>
+<li>fi_id
+: <a class="el" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">OfxTransactionData</a>
+<li>fi_id_corrected
+: <a class="el" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">OfxTransactionData</a>
+<li>fi_id_corrected_valid
+: <a class="el" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">OfxTransactionData</a>
+<li>fi_id_correction_action
+: <a class="el" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">OfxTransactionData</a>
+<li>fi_id_correction_action_valid
+: <a class="el" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">OfxTransactionData</a>
+<li>fi_id_valid
+: <a class="el" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">OfxTransactionData</a>
+<li>fid
+: <a class="el" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">OfxFiServiceInfo</a>
+, <a class="el" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">OfxFiLogin</a>
+<li>fid_arg
+: <a class="el" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a">gengetopt_args_info</a>
+<li>fid_given
+: <a class="el" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc">gengetopt_args_info</a>
+<li>fid_help
+: <a class="el" href="structgengetopt__args__info.html#84c60df905af5f51d5c5a0a88dd3dc39">gengetopt_args_info</a>
+<li>fid_orig
+: <a class="el" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361">gengetopt_args_info</a>
+<li>find_security()
+: <a class="el" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">OfxMainContainer</a>
+<li>fipid_arg
+: <a class="el" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f">gengetopt_args_info</a>
+<li>fipid_given
+: <a class="el" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea">gengetopt_args_info</a>
+<li>fipid_help
+: <a class="el" href="structgengetopt__args__info.html#76c14337823cdcfa195a192d0aaa1426">gengetopt_args_info</a>
+<li>fipid_orig
+: <a class="el" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e">gengetopt_args_info</a>
+<li>first_child
+: <a class="el" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">tree_node_&lt; T &gt;</a>
+<li>first_parent_
+: <a class="el" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+<li>fixed_depth_iterator()
+: <a class="el" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+<li>flag
+: <a class="el" href="structoption.html#b366eea5fe7be25c1928328ba715e353">option</a>
+<li>flatten()
+: <a class="el" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c">tree&lt; T, tree_node_allocator &gt;</a>
+<li>format
+: <a class="el" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">LibofxFileFormatInfo</a>
+<li>format_name
+: <a class="el" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">LibofxFileFormatInfo</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x67.html'
--- doc/html/functions_0x67.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x67.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -36,7 +38,7 @@
     <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
     <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
     <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
-    <li id="current"><a href="functions_0x67.html#index_g"><span>g</span></a></li>
+    <li class="current"><a href="functions_0x67.html#index_g"><span>g</span></a></li>
     <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
     <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
     <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
@@ -59,10 +61,29 @@
 <p>
 <h3><a class="anchor" name="index_g">- g -</a></h3><ul>
 <li>gen_event()
-: <a class="el" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">OfxMainContainer</a>, <a class="el" href="classOfxTransactionContainer.html#a21eb3b0ed7da32dfec8a6f162e942f9">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#462e1fa2a853fa589e040392df958249">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#5a64b04111a5fb3d7ac76deb1d936be3">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#759e443a11dec9ff60fa77f9d59e31bd">OfxStatementContainer</a>, <a class="el" href="classOfxGenericContainer.html#5e5430a7e8962f5a97ba71434a72093b">OfxGenericContainer</a>, <a class="el" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">OfxMainContainer</a>, <a class="el" href="classOfxTransactionContainer.html#c6619c52d4918a6f0e4b8e46920c26c7">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#a09d8de2d49cb79864dce68671f57400">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#82735b303e3cafb6ac1f6a715fa4e6e8">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#69dba408b387ea2e474c0cd9cbca03a1">OfxStatementContainer</a>, <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a><li>getparent()
-: <a class="el" href="classOfxGenericContainer.html#3746e924cfe7b4af3c4fc082991d4c6c">OfxGenericContainer</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7">OfxStatementContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d">OfxSecurityContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">OfxStatementContainer</a>
+, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">OfxSecurityContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">OfxTransactionContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">OfxAccountContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">OfxStatementContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#57d3ae11d686961d6d5745cd02576694">OfxGenericContainer</a>
+, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">OfxTransactionContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">OfxSecurityContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">OfxAccountContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99">OfxTransactionContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#57d3ae11d686961d6d5745cd02576694">OfxGenericContainer</a>
+, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4">OfxAccountContainer</a>
+<li>getparent()
+: <a class="el" href="classOfxGenericContainer.html#20c3e9b8e1c564b0050c446dd1371f5d">OfxGenericContainer</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x68.html'
--- doc/html/functions_0x68.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x68.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -37,7 +39,7 @@
     <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
     <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
     <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
-    <li id="current"><a href="functions_0x68.html#index_h"><span>h</span></a></li>
+    <li class="current"><a href="functions_0x68.html#index_h"><span>h</span></a></li>
     <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
     <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
     <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
@@ -59,10 +61,18 @@
 <p>
 <h3><a class="anchor" name="index_h">- h -</a></h3><ul>
 <li>has_arg
-: <a class="el" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">option</a><li>head
-: <a class="el" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">option</a>
+<li>head
+: <a class="el" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">tree&lt; T, tree_node_allocator &gt;</a>
+<li>header_version
+: <a class="el" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">OfxFiLogin</a>
+<li>help_given
+: <a class="el" href="structgengetopt__args__info.html#fcc22c3f15bfc05d4d36824cbb2b661c">gengetopt_args_info</a>
+<li>help_help
+: <a class="el" href="structgengetopt__args__info.html#fb4efa68a6f43a4d112e9b96ffe89101">gengetopt_args_info</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x69.html'
--- doc/html/functions_0x69.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x69.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -38,7 +40,7 @@
     <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
     <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
     <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
-    <li id="current"><a href="functions_0x69.html#index_i"><span>i</span></a></li>
+    <li class="current"><a href="functions_0x69.html#index_i"><span>i</span></a></li>
     <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
     <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
     <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
@@ -58,22 +60,51 @@
 Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:
 <p>
 <h3><a class="anchor" name="index_i">- i -</a></h3><ul>
+<li>import_format_arg
+: <a class="el" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd">gengetopt_args_info</a>
+<li>import_format_given
+: <a class="el" href="structgengetopt__args__info.html#74de3df4be73e27a34c25f3c9caa8842">gengetopt_args_info</a>
+<li>import_format_help
+: <a class="el" href="structgengetopt__args__info.html#67f0c3406ca68e20cdadaf5e281625a2">gengetopt_args_info</a>
+<li>import_format_orig
+: <a class="el" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06">gengetopt_args_info</a>
 <li>index()
-: <a class="el" href="classtree.html#e470529bbd14990a0272a82724b93217">tree&lt; T, tree_node_allocator &gt;</a><li>INFO
-: <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2">OfxStatusData</a><li>insert()
-: <a class="el" href="classtree.html#a99ff53c3219b1605fd4531cdcf9de24">tree&lt; T, tree_node_allocator &gt;</a><li>insert_after()
-: <a class="el" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">tree&lt; T, tree_node_allocator &gt;</a><li>insert_subtree()
-: <a class="el" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">tree&lt; T, tree_node_allocator &gt;</a><li>investments
-: <a class="el" href="structOfxFiServiceInfo.html#a390b4cdb30ff1c96114b77c0e0737f6">OfxFiServiceInfo</a><li>InvestmentStatementRequest()
-: <a class="el" href="classOfxStatementRequest.html#4196ff5900689c63697bc7ed7990a8a9">OfxStatementRequest</a><li>invtransactiontype
-: <a class="el" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">OfxTransactionData</a><li>invtransactiontype_valid
-: <a class="el" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">OfxTransactionData</a><li>is_in_subtree()
-: <a class="el" href="classtree.html#b983b7823bc78d7a5efaf994938188a2">tree&lt; T, tree_node_allocator &gt;</a><li>is_valid()
-: <a class="el" href="classtree.html#701009e4869f78144556ebc4ce33750f">tree&lt; T, tree_node_allocator &gt;</a><li>iterator
-: <a class="el" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">tree&lt; T, tree_node_allocator &gt;</a><li>iterator_category
-: <a class="el" href="classtree_1_1iterator__base.html#42e7358332b27206caab9be4a1000591">tree&lt; T, tree_node_allocator &gt;::iterator_base</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86">tree&lt; T, tree_node_allocator &gt;</a>
+<li>INFO
+: <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">OfxStatusData</a>
+<li>initialize
+: <a class="el" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11">cmdline_parser_params</a>
+<li>inputs
+: <a class="el" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c">gengetopt_args_info</a>
+<li>inputs_num
+: <a class="el" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c">gengetopt_args_info</a>
+<li>insert()
+: <a class="el" href="classtree.html#228da1f727711e92bc8dd64b10f7dfff">tree&lt; T, tree_node_allocator &gt;</a>
+<li>insert_after()
+: <a class="el" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>insert_subtree()
+: <a class="el" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5">tree&lt; T, tree_node_allocator &gt;</a>
+<li>investments
+: <a class="el" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">OfxFiServiceInfo</a>
+<li>InvestmentStatementRequest()
+: <a class="el" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">OfxStatementRequest</a>
+<li>invtransactiontype
+: <a class="el" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">OfxTransactionData</a>
+<li>invtransactiontype_valid
+: <a class="el" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">OfxTransactionData</a>
+<li>is_in_subtree()
+: <a class="el" href="classtree.html#825e2106781e846bdd8732c117dc21db">tree&lt; T, tree_node_allocator &gt;</a>
+<li>is_valid()
+: <a class="el" href="classtree.html#9605b028195248894dc8cf506cd256e3">tree&lt; T, tree_node_allocator &gt;</a>
+<li>iterator
+: <a class="el" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>iterator_base()
+: <a class="el" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>iterator_category
+: <a class="el" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x6c.html'
--- doc/html/functions_0x6c.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x6c.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -39,7 +41,7 @@
     <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
     <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
     <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
-    <li id="current"><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
+    <li class="current"><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
     <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
     <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
     <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
@@ -59,15 +61,26 @@
 <p>
 <h3><a class="anchor" name="index_l">- l -</a></h3><ul>
 <li>last_child
-: <a class="el" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">tree_node_&lt; T &gt;</a><li>ledger_balance
-: <a class="el" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">OfxStatementData</a><li>ledger_balance_date
-: <a class="el" href="structOfxStatementData.html#6c67dd7b0665b531e773f543fc7fb81c">OfxStatementData</a><li>ledger_balance_date_valid
-: <a class="el" href="structOfxStatementData.html#156eaa5cdf06cfbb42f671d53e32f4c8">OfxStatementData</a><li>ledger_balance_valid
-: <a class="el" href="structOfxStatementData.html#36aa92a5090a5b005003a56d030bfe2d">OfxStatementData</a><li>libofx_context
-: <a class="el" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">OfxGenericContainer</a><li>LibofxContext()
-: <a class="el" href="classLibofxContext.html#28abb9b82158ca0b42bccc27b1da9edf">LibofxContext</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">tree_node_&lt; T &gt;</a>
+<li>ledger_balance
+: <a class="el" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">OfxStatementData</a>
+<li>ledger_balance_date
+: <a class="el" href="structOfxStatementData.html#57f9892d09da4a6d69c44b7f9af45fc0">OfxStatementData</a>
+<li>ledger_balance_date_valid
+: <a class="el" href="structOfxStatementData.html#765dfa1991995af8a2c72b774df6cb6d">OfxStatementData</a>
+<li>ledger_balance_valid
+: <a class="el" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">OfxStatementData</a>
+<li>libofx_context
+: <a class="el" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">OfxGenericContainer</a>
+<li>LibofxContext()
+: <a class="el" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext</a>
+<li>list_import_formats_given
+: <a class="el" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068">gengetopt_args_info</a>
+<li>list_import_formats_help
+: <a class="el" href="structgengetopt__args__info.html#c4b7c58b32c755377a6c7fcafbfa3d3f">gengetopt_args_info</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x6d.html'
--- doc/html/functions_0x6d.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x6d.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -40,7 +42,7 @@
     <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
     <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
     <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
-    <li id="current"><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
+    <li class="current"><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
     <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
     <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
     <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
@@ -59,18 +61,67 @@
 <p>
 <h3><a class="anchor" name="index_m">- m -</a></h3><ul>
 <li>m_login
-: <a class="el" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">OfxRequest</a><li>marketing_info
-: <a class="el" href="structOfxStatementData.html#fb61c45788b7da6fde86b94c39721b35">OfxStatementData</a><li>marketing_info_valid
-: <a class="el" href="structOfxStatementData.html#51882ec4112a0784458335387a2307d9">OfxStatementData</a><li>memo
-: <a class="el" href="structOfxPayment.html#e63577fa1dc3cff71b5dd6f09b0bd86a">OfxPayment</a>, <a class="el" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">OfxSecurityData</a><li>memo_valid
-: <a class="el" href="structOfxTransactionData.html#eccceb6745312b5bdcd919056e7d987f">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#fca86ce1faa30e4dcd6e31ff8fb8ab76">OfxSecurityData</a><li>merge()
-: <a class="el" href="classtree.html#66539d831037c85092fe6e3c309c6222">tree&lt; T, tree_node_allocator &gt;</a><li>move_after()
-: <a class="el" href="classtree.html#f4f74176002736b5ad91d07e37954e18">tree&lt; T, tree_node_allocator &gt;</a><li>move_before()
-: <a class="el" href="classtree.html#0298006c1f5106ec81657fc1fc9d1cc3">tree&lt; T, tree_node_allocator &gt;</a><li>move_ontop()
-: <a class="el" href="classtree.html#8c1f99b308550e6eaa1e3ff7932dd7c3">tree&lt; T, tree_node_allocator &gt;</a><li>must_convert
-: <a class="el" href="structOfxCurrency.html#7c4a8c93761859e996614694a973081c">OfxCurrency</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">OfxRequest</a>
+<li>marketing_info
+: <a class="el" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">OfxStatementData</a>
+<li>marketing_info_valid
+: <a class="el" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">OfxStatementData</a>
+<li>memo
+: <a class="el" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">OfxSecurityData</a>
+, <a class="el" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">OfxTransactionData</a>
+, <a class="el" href="structOfxPayment.html#3d6cbc61b6b1561f6a641bedcb5d25f5">OfxPayment</a>
+<li>memo_valid
+: <a class="el" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">OfxTransactionData</a>
+, <a class="el" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">OfxSecurityData</a>
+<li>merge()
+: <a class="el" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1">tree&lt; T, tree_node_allocator &gt;</a>
+<li>move_after()
+: <a class="el" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63">tree&lt; T, tree_node_allocator &gt;</a>
+<li>move_before()
+: <a class="el" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86">tree&lt; T, tree_node_allocator &gt;</a>
+<li>move_ontop()
+: <a class="el" href="classtree.html#a4f8b906b2758eec530e28387b819284">tree&lt; T, tree_node_allocator &gt;</a>
+<li>msg_debug_flag
+: <a class="el" href="structgengetopt__args__info.html#6816290fe582d0705947859d0c7934c5">gengetopt_args_info</a>
+<li>msg_debug_given
+: <a class="el" href="structgengetopt__args__info.html#85d6ce6864169669a8234b1d27f0978f">gengetopt_args_info</a>
+<li>msg_debug_help
+: <a class="el" href="structgengetopt__args__info.html#709980d4e8c7d3c8ab01d1dfee7589c1">gengetopt_args_info</a>
+<li>msg_error_flag
+: <a class="el" href="structgengetopt__args__info.html#b1b6520555a34ca4a39feaed3365af6d">gengetopt_args_info</a>
+<li>msg_error_given
+: <a class="el" href="structgengetopt__args__info.html#f797b906ea2db4dc0c302e589f130dc5">gengetopt_args_info</a>
+<li>msg_error_help
+: <a class="el" href="structgengetopt__args__info.html#0b4c076b2876844650aa2aec275f5684">gengetopt_args_info</a>
+<li>msg_info_flag
+: <a class="el" href="structgengetopt__args__info.html#74ac0d99a57abc9a1088d356f87e7197">gengetopt_args_info</a>
+<li>msg_info_given
+: <a class="el" href="structgengetopt__args__info.html#2aa86a497519afc4db0a525f3854470c">gengetopt_args_info</a>
+<li>msg_info_help
+: <a class="el" href="structgengetopt__args__info.html#2491c609276fe4795f7caeb0d9baec1b">gengetopt_args_info</a>
+<li>msg_parser_flag
+: <a class="el" href="structgengetopt__args__info.html#59f4d83dff3e538372141bbfe3576762">gengetopt_args_info</a>
+<li>msg_parser_given
+: <a class="el" href="structgengetopt__args__info.html#b3f6a3ef39527fbcedd989afe6a36dd0">gengetopt_args_info</a>
+<li>msg_parser_help
+: <a class="el" href="structgengetopt__args__info.html#44d331d24edd73a287609be9ad293753">gengetopt_args_info</a>
+<li>msg_status_flag
+: <a class="el" href="structgengetopt__args__info.html#1301d1fa05fef326526db58a63cfc6fd">gengetopt_args_info</a>
+<li>msg_status_given
+: <a class="el" href="structgengetopt__args__info.html#d205671e6055ea4e51a6af081fe317fd">gengetopt_args_info</a>
+<li>msg_status_help
+: <a class="el" href="structgengetopt__args__info.html#552341af51d5f58f88ceb5fc229e998d">gengetopt_args_info</a>
+<li>msg_warning_flag
+: <a class="el" href="structgengetopt__args__info.html#7dc02d27a0e51eb388b2bd48f834658c">gengetopt_args_info</a>
+<li>msg_warning_given
+: <a class="el" href="structgengetopt__args__info.html#b6b10f2a7687e6a512cf3bbcc7ddda61">gengetopt_args_info</a>
+<li>msg_warning_help
+: <a class="el" href="structgengetopt__args__info.html#b37e89030d7bc1b94cd44a6b6cc4c042">gengetopt_args_info</a>
+<li>must_convert
+: <a class="el" href="structOfxCurrency.html#19eb1ccd12664af9dfdb55d67641f32d">OfxCurrency</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x6e.html'
--- doc/html/functions_0x6e.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x6e.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -41,7 +43,7 @@
     <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
     <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
     <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
-    <li id="current"><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
+    <li class="current"><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
     <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
     <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
     <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
@@ -59,18 +61,42 @@
 <p>
 <h3><a class="anchor" name="index_n">- n -</a></h3><ul>
 <li>name
-: <a class="el" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">ErrorMsg</a>, <a class="el" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">option</a>, <a class="el" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">OfxStatusData</a>, <a class="el" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">ErrorMsg</a>, <a class="el" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">option</a>, <a class="el" href="structOfxPayee.html#244c3b827ff9a03b64819e004b6c2703">OfxPayee</a>, <a class="el" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">OfxTransactionData</a>, <a class="el" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">OfxStatusData</a><li>name_valid
-: <a class="el" href="structOfxTransactionData.html#b3c75cdec303b138889b3de61e75c869">OfxTransactionData</a><li>newunits
-: <a class="el" href="structOfxTransactionData.html#f0b75e90de07492e9aed6a57d879e358">OfxTransactionData</a><li>newunits_valid
-: <a class="el" href="structOfxTransactionData.html#fd317e28426dce6b508872d5a15d1651">OfxTransactionData</a><li>next_at_same_depth()
-: <a class="el" href="classtree.html#a6d518c3d4ab2359cce1e5bf50a675c0">tree&lt; T, tree_node_allocator &gt;</a><li>next_sibling
-: <a class="el" href="classtree.html#0d28ed2bd76b14ee168f5497159e685f">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">tree_node_&lt; T &gt;</a><li>node
-: <a class="el" href="classtree_1_1iterator__base.html#a3aa82cf685e610fad186b419930535b">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>NodeParser()
-: <a class="el" href="classNodeParser.html#893f3c87161c086fa60e04bceac036bc">NodeParser</a><li>number_of_children()
-: <a class="el" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree_1_1iterator__base.html#05b1146c2f1804fb990808e74ed79ec8">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>, <a class="el" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree_1_1iterator__base.html#05b1146c2f1804fb990808e74ed79ec8">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>number_of_siblings()
-: <a class="el" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">OfxStatusData</a>
+, <a class="el" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">OfxTransactionData</a>
+, <a class="el" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">option</a>
+, <a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">ErrorMsg</a>
+, <a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">OfxStatusData</a>
+, <a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">ErrorMsg</a>
+, <a class="el" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">option</a>
+, <a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">ErrorMsg</a>
+, <a class="el" href="structOfxPayee.html#2ad9e35d86d1f7432114048a55bb5a73">OfxPayee</a>
+, <a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">OfxStatusData</a>
+, <a class="el" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">option</a>
+<li>name_valid
+: <a class="el" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">OfxTransactionData</a>
+<li>newunits
+: <a class="el" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">OfxTransactionData</a>
+<li>newunits_valid
+: <a class="el" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">OfxTransactionData</a>
+<li>next_at_same_depth()
+: <a class="el" href="classtree.html#ce3b299e157ec177230a0144771b2a7e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>next_sibling()
+: <a class="el" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff">tree&lt; T, tree_node_allocator &gt;</a>
+, <a class="el" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">tree_node_&lt; T &gt;</a>
+, <a class="el" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff">tree&lt; T, tree_node_allocator &gt;</a>
+<li>node
+: <a class="el" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>NodeParser()
+: <a class="el" href="classNodeParser.html#1e7806e95140ee7decf7785ed990d179">NodeParser</a>
+<li>number_of_children()
+: <a class="el" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa">tree&lt; T, tree_node_allocator &gt;</a>
+, <a class="el" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+, <a class="el" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa">tree&lt; T, tree_node_allocator &gt;</a>
+<li>number_of_siblings()
+: <a class="el" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x6f.html'
--- doc/html/functions_0x6f.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x6f.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -42,7 +44,7 @@
     <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
     <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
     <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
-    <li id="current"><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
+    <li class="current"><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
     <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
     <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
     <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
@@ -59,43 +61,132 @@
 <p>
 <h3><a class="anchor" name="index_o">- o -</a></h3><ul>
 <li>OFCApplication()
-: <a class="el" href="classOFCApplication.html#39738e0a8d50ff17e33655c959594d83">OFCApplication</a><li>OFX_CHECKING
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9">OfxAccountData</a><li>OFX_CMA
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f">OfxAccountData</a><li>OFX_CREDITCARD
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471">OfxAccountData</a><li>OFX_CREDITLINE
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89">OfxAccountData</a><li>ofx_element_name
-: <a class="el" href="structOfxStatusData.html#659b7102e14a4d3e02bf0757ee1b12b9">OfxStatusData</a><li>ofx_element_name_valid
-: <a class="el" href="structOfxStatusData.html#39fa34d1bc8c87c27b118479cecd5bf6">OfxStatusData</a><li>OFX_INVESTMENT
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">OfxAccountData</a><li>OFX_MONEYMRKT
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493">OfxAccountData</a><li>OFX_SAVINGS
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957">OfxAccountData</a><li>OfxAccountContainer()
-: <a class="el" href="classOfxAccountContainer.html#83a97e5b5253e7e140eaa3e997c5961d">OfxAccountContainer</a><li>OfxAccountInfoRequest()
-: <a class="el" href="classOfxAccountInfoRequest.html#4035fb44fecca1b682e6a7c5e0b96743">OfxAccountInfoRequest</a><li>OfxAggregate()
-: <a class="el" href="classOfxAggregate.html#8c16fb0c23f9ad56329434307ee6c98b">OfxAggregate</a><li>OFXApplication()
-: <a class="el" href="classOFXApplication.html#1d6f09a412e09451f1ed1eff491b7d44">OFXApplication</a><li>OfxBalanceContainer()
-: <a class="el" href="classOfxBalanceContainer.html#ced3ba2d0bf96c8a11393653fce83430">OfxBalanceContainer</a><li>OfxBankTransactionContainer()
-: <a class="el" href="classOfxBankTransactionContainer.html#132e3ab795f765cbec2320e9961a7558">OfxBankTransactionContainer</a><li>OfxDummyContainer()
-: <a class="el" href="classOfxDummyContainer.html#26ed2ce0842ca533c80432080bb5d686">OfxDummyContainer</a><li>OfxGenericContainer()
-: <a class="el" href="classOfxGenericContainer.html#5adffc48d493402fd48bbad937a692e6">OfxGenericContainer</a><li>OfxInvestmentTransactionContainer()
-: <a class="el" href="classOfxInvestmentTransactionContainer.html#59ccb4b31579d47ce7981c24f5c9215b">OfxInvestmentTransactionContainer</a><li>OfxMainContainer()
-: <a class="el" href="classOfxMainContainer.html#fdf73d70e03bdb05c8aa621bbdec86a8">OfxMainContainer</a><li>OfxPaymentRequest()
-: <a class="el" href="classOfxPaymentRequest.html#b50d18e9ca000fb6a8b277ef6f183dd3">OfxPaymentRequest</a><li>OfxPushUpContainer()
-: <a class="el" href="classOfxPushUpContainer.html#4b9de1f81c3214724c50e4125f5cfd5a">OfxPushUpContainer</a><li>OfxRequest()
-: <a class="el" href="classOfxRequest.html#1e44a0bea2084ac4805e478f43e42837">OfxRequest</a><li>OfxSecurityContainer()
-: <a class="el" href="classOfxSecurityContainer.html#7558803d35cebc4480bed38143a24b0b">OfxSecurityContainer</a><li>OfxStatementContainer()
-: <a class="el" href="classOfxStatementContainer.html#99a5e289425841bdec04ebc7c48f4b89">OfxStatementContainer</a><li>OfxStatementRequest()
-: <a class="el" href="classOfxStatementRequest.html#fda5e716b9f1848b4d009bfe338880f0">OfxStatementRequest</a><li>OfxStatusContainer()
-: <a class="el" href="classOfxStatusContainer.html#7cbd9aaaf32aea591e58ae76486dd003">OfxStatusContainer</a><li>OfxTransactionContainer()
-: <a class="el" href="classOfxTransactionContainer.html#7bf1cc0fda751f2f653c2a64cb63fae2">OfxTransactionContainer</a><li>oldunits
-: <a class="el" href="structOfxTransactionData.html#57a0bf358659ac3c28eb330ae8c0abb9">OfxTransactionData</a><li>oldunits_valid
-: <a class="el" href="structOfxTransactionData.html#5129a4ab98abe2227338d4d5cef94e53">OfxTransactionData</a><li>openEntityChange()
-: <a class="el" href="classOFXApplication.html#7274f22992407878a8f20f7239b4b9f0">OFXApplication</a>, <a class="el" href="classOFCApplication.html#867567a68eeb21a294a1791436ee77d6">OFCApplication</a>, <a class="el" href="classOFXApplication.html#7274f22992407878a8f20f7239b4b9f0">OFXApplication</a>, <a class="el" href="classOFCApplication.html#867567a68eeb21a294a1791436ee77d6">OFCApplication</a><li>operator()()
-: <a class="el" href="classtree_1_1iterator__base__less.html#bd569dd543c428fea5acec7e7d0b02ea">tree&lt; T, tree_node_allocator &gt;::iterator_base_less</a><li>operator=()
-: <a class="el" href="classtree.html#d6defe76c212f37bba54135643e4955f">tree&lt; T, tree_node_allocator &gt;</a><li>org
-: <a class="el" href="structOfxFiLogin.html#4b44e09e0f415913fea555001554cd3d">OfxFiLogin</a>, <a class="el" href="structOfxFiServiceInfo.html#73a4c5b29a004bb210c751636b2352db">OfxFiServiceInfo</a><li>Output()
-: <a class="el" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">OfxAggregate</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">OFCApplication</a>
+<li>OFX_CHECKING
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OfxAccountData</a>
+<li>OFX_CMA
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OfxAccountData</a>
+<li>OFX_CREDITCARD
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OfxAccountData</a>
+<li>OFX_CREDITLINE
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OfxAccountData</a>
+<li>ofx_element_name
+: <a class="el" href="structOfxStatusData.html#d49b449f9d4bf1746d71728cd1f5b925">OfxStatusData</a>
+<li>ofx_element_name_valid
+: <a class="el" href="structOfxStatusData.html#011f73b45f88aac63ec44727ed6b306d">OfxStatusData</a>
+<li>OFX_INVESTMENT
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OfxAccountData</a>
+<li>OFX_MONEYMRKT
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OfxAccountData</a>
+<li>OFX_SAVINGS
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OfxAccountData</a>
+<li>OfxAccountContainer()
+: <a class="el" href="classOfxAccountContainer.html#da1972a79e8c8096184ea7a22968f35c">OfxAccountContainer</a>
+<li>OfxAccountInfoRequest()
+: <a class="el" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest</a>
+<li>OfxAggregate()
+: <a class="el" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">OfxAggregate</a>
+<li>OFXApplication()
+: <a class="el" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">OFXApplication</a>
+<li>OfxBalanceContainer()
+: <a class="el" href="classOfxBalanceContainer.html#96baefa68988c2d9c2f46f553d40599f">OfxBalanceContainer</a>
+<li>OfxBankTransactionContainer()
+: <a class="el" href="classOfxBankTransactionContainer.html#59d1936cd1cd0a66c4c0a8e993c123f4">OfxBankTransactionContainer</a>
+<li>OfxDummyContainer()
+: <a class="el" href="classOfxDummyContainer.html#b28080b768be9d5d36d8b7791591bbcd">OfxDummyContainer</a>
+<li>OfxGenericContainer()
+: <a class="el" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>
+<li>OfxInvestmentTransactionContainer()
+: <a class="el" href="classOfxInvestmentTransactionContainer.html#ffd3c5d7c722248c8b07c44d6495f2ed">OfxInvestmentTransactionContainer</a>
+<li>OfxMainContainer()
+: <a class="el" href="classOfxMainContainer.html#bdecebdd778e0169bcb7389f8db0454d">OfxMainContainer</a>
+<li>OfxPaymentRequest()
+: <a class="el" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest</a>
+<li>OfxPushUpContainer()
+: <a class="el" href="classOfxPushUpContainer.html#1fa2e01710b00ce7bdb80d5c9fbb3d2c">OfxPushUpContainer</a>
+<li>OfxRequest()
+: <a class="el" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">OfxRequest</a>
+<li>OfxSecurityContainer()
+: <a class="el" href="classOfxSecurityContainer.html#6463edacc95fc03733c0e7fb6776c15f">OfxSecurityContainer</a>
+<li>OfxStatementContainer()
+: <a class="el" href="classOfxStatementContainer.html#974c762415e209a77957ccabca3a4506">OfxStatementContainer</a>
+<li>OfxStatementRequest()
+: <a class="el" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest</a>
+<li>OfxStatusContainer()
+: <a class="el" href="classOfxStatusContainer.html#5c46c8df8db712f6ad37b49fd6af5dc0">OfxStatusContainer</a>
+<li>OfxTransactionContainer()
+: <a class="el" href="classOfxTransactionContainer.html#d43b43b1006be733490c4e25f8a41434">OfxTransactionContainer</a>
+<li>oldunits
+: <a class="el" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">OfxTransactionData</a>
+<li>oldunits_valid
+: <a class="el" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">OfxTransactionData</a>
+<li>openEntityChange()
+: <a class="el" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">OFXApplication</a>
+<li>operator *()
+: <a class="el" href="classtree_1_1iterator__base.html#ada7cbe4d4f9a5ec29db78d10712edc6">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>operator!=()
+: <a class="el" href="classtree_1_1post__order__iterator.html#59f0d0d145f27ed094a69214e1831102">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#14425c7743e9a6da2d96b172a85d2bed">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#2f4b2c5112c9d16f65852bc84d34c9c9">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>operator()()
+: <a class="el" href="classtree_1_1iterator__base__less.html#3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b">tree&lt; T, tree_node_allocator &gt;::iterator_base_less</a>
+<li>operator++()
+: <a class="el" href="classtree_1_1fixed__depth__iterator.html#71bcee62caa033974d5c0d94ab0dc0c6">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#8d0d647a7843432b5ccc18724fcc3493">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+, <a class="el" href="classtree_1_1post__order__iterator.html#7041325e846017886e7c43d9c1c2cddb">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#66b73e99c5425620a5e282fe23cdfd98">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#07b77d1591ad7f05e4531489561d36d2">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1post__order__iterator.html#baba42c4ecb0a0bb8b21b0c28dfa3009">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+<li>operator+=()
+: <a class="el" href="classtree_1_1post__order__iterator.html#0b6c2246f41b0a2ff8e4c9d9efcee879">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#5ab66cd50ae22c9b246231b41b7720f5">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1fixed__depth__iterator.html#6909c400794c6feb49d75b99dbf6aa00">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#d36b6994a50c0f73154b08ab35abf336">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>operator--()
+: <a class="el" href="classtree_1_1pre__order__iterator.html#4e2dd21653724b6413d9949caf9bb107">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1post__order__iterator.html#f70bbd10b24ca0cf1c674e4ef40899db">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1fixed__depth__iterator.html#39a2c5b5048ec0dfff33fbb55bd7767e">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#7e91377755da77acd20d5b9356f7498e">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+, <a class="el" href="classtree_1_1post__order__iterator.html#f2c0df6c235853aa2191d02a557a1fea">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#eac6e7802aabdf7050b314af8d56c81d">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#9ccab7bd408c6d0a221f69d11f7f3717">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1fixed__depth__iterator.html#b404acdf3639ea5e5ce2ae65b77b94c7">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+<li>operator-=()
+: <a class="el" href="classtree_1_1fixed__depth__iterator.html#e8ccf119ae29e96044d9a4eeca2a539d">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#722aedfd8f8be3490324a587d17cb133">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1post__order__iterator.html#93b7ddae75f30985a0d81f38bcbaa306">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#f7b0a37317400fe16a1ad422c1ee6fa1">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>operator-&gt;()
+: <a class="el" href="classtree_1_1iterator__base.html#bd9c59569df7d8be5a50c835c180f4dc">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>operator=()
+: <a class="el" href="classtree.html#9561c0c73b0605f32bf82a026eaf216a">tree&lt; T, tree_node_allocator &gt;</a>
+<li>operator==()
+: <a class="el" href="classtree_1_1post__order__iterator.html#b1303f191d6bc8a62e5f03fa53466ec4">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#ea8dee1bfc2450608b2b35d26a9f11b7">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#f235d7b64b7d2654437482bab80c797b">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>org
+: <a class="el" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">OfxFiLogin</a>
+, <a class="el" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">OfxFiServiceInfo</a>
+<li>org_arg
+: <a class="el" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb">gengetopt_args_info</a>
+<li>org_given
+: <a class="el" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de">gengetopt_args_info</a>
+<li>org_help
+: <a class="el" href="structgengetopt__args__info.html#2e3a29aa53fb59100168f4e558c584c6">gengetopt_args_info</a>
+<li>org_orig
+: <a class="el" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c">gengetopt_args_info</a>
+<li>Output()
+: <a class="el" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">OfxAggregate</a>
+<li>override
+: <a class="el" href="structcmdline__parser__params.html#d3ff9d69146e69a47506782197b5675c">cmdline_parser_params</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x70.html'
--- doc/html/functions_0x70.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x70.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -43,7 +45,7 @@
     <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
     <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
     <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
-    <li id="current"><a href="functions_0x70.html#index_p"><span>p</span></a></li>
+    <li class="current"><a href="functions_0x70.html#index_p"><span>p</span></a></li>
     <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
     <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
     <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
@@ -59,19 +61,61 @@
 <p>
 <h3><a class="anchor" name="index_p">- p -</a></h3><ul>
 <li>parent
-: <a class="el" href="classtree.html#a00c1035eb3750d402f0830196264e7f">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">tree_node_&lt; T &gt;</a><li>parent_
-: <a class="el" href="classtree_1_1sibling__iterator.html#605ea84e128041819927947e219e021f">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a><li>parentcontainer
-: <a class="el" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">OfxGenericContainer</a><li>Path()
-: <a class="el" href="classNodeParser.html#22c2d39370bac30cc4dbbae93116f6a7">NodeParser</a><li>payee_id
-: <a class="el" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">OfxTransactionData</a><li>payee_id_valid
-: <a class="el" href="structOfxTransactionData.html#b2bdd11a3085660e89da09c86aeb9643">OfxTransactionData</a><li>phone
-: <a class="el" href="structOfxPayee.html#c79b99be08186762285da39f91948627">OfxPayee</a><li>pointer
-: <a class="el" href="classtree_1_1iterator__base.html#da03d0e3df9658b06bfaff826688cc7e">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>postalcode
-: <a class="el" href="structOfxPayee.html#a07d96270910acde171ebe29a8a263c2">OfxPayee</a><li>prev_sibling
-: <a class="el" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">tree_node_&lt; T &gt;</a><li>previous_sibling()
-: <a class="el" href="classtree.html#2521b543afdcb57b969e77c910141e12">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">tree_node_&lt; T &gt;</a>
+, <a class="el" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28">tree&lt; T, tree_node_allocator &gt;</a>
+, <a class="el" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">tree_node_&lt; T &gt;</a>
+, <a class="el" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28">tree&lt; T, tree_node_allocator &gt;</a>
+<li>parent_
+: <a class="el" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>parentcontainer
+: <a class="el" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">OfxGenericContainer</a>
+<li>pass_arg
+: <a class="el" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0">gengetopt_args_info</a>
+<li>pass_given
+: <a class="el" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed">gengetopt_args_info</a>
+<li>pass_help
+: <a class="el" href="structgengetopt__args__info.html#b14ac501dd6a3c97f36725d4b7852048">gengetopt_args_info</a>
+<li>pass_orig
+: <a class="el" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c">gengetopt_args_info</a>
+<li>past_arg
+: <a class="el" href="structgengetopt__args__info.html#9654176cd23987658362a4f8f9d74a01">gengetopt_args_info</a>
+<li>past_given
+: <a class="el" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796">gengetopt_args_info</a>
+<li>past_help
+: <a class="el" href="structgengetopt__args__info.html#474b9f887a1722596b39e69142da2791">gengetopt_args_info</a>
+<li>past_orig
+: <a class="el" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05">gengetopt_args_info</a>
+<li>Path()
+: <a class="el" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">NodeParser</a>
+<li>payee_id
+: <a class="el" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">OfxTransactionData</a>
+<li>payee_id_valid
+: <a class="el" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">OfxTransactionData</a>
+<li>payment_req_given
+: <a class="el" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086">gengetopt_args_info</a>
+<li>payment_req_help
+: <a class="el" href="structgengetopt__args__info.html#0f72ced1e0e2397a641715877de66801">gengetopt_args_info</a>
+<li>paymentinquiry_req_given
+: <a class="el" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e">gengetopt_args_info</a>
+<li>paymentinquiry_req_help
+: <a class="el" href="structgengetopt__args__info.html#72aac6ef17e0f55000f20feb7ecb6c74">gengetopt_args_info</a>
+<li>phone
+: <a class="el" href="structOfxPayee.html#90f01576639fa04ff30a4c8836b6491f">OfxPayee</a>
+<li>pointer
+: <a class="el" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>post_order_iterator()
+: <a class="el" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+<li>postalcode
+: <a class="el" href="structOfxPayee.html#b23cc650855fe8313f3a984a76b233cb">OfxPayee</a>
+<li>pre_order_iterator()
+: <a class="el" href="classtree_1_1pre__order__iterator.html#2705495c89beecc86107ca742a35507f">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+<li>prev_sibling
+: <a class="el" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">tree_node_&lt; T &gt;</a>
+<li>previous_sibling()
+: <a class="el" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x72.html'
--- doc/html/functions_0x72.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x72.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -44,7 +46,7 @@
     <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
     <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
     <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
-    <li id="current"><a href="functions_0x72.html#index_r"><span>r</span></a></li>
+    <li class="current"><a href="functions_0x72.html#index_r"><span>r</span></a></li>
     <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
     <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
     <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
@@ -58,15 +60,25 @@
 Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:
 <p>
 <h3><a class="anchor" name="index_r">- r -</a></h3><ul>
+<li>range_first()
+: <a class="el" href="classtree_1_1sibling__iterator.html#faed5294cdf5a6679c788fff0196c2a8">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>range_last()
+: <a class="el" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
 <li>reference
-: <a class="el" href="classtree_1_1iterator__base.html#35ff9b8029f33c2e0469bad23764f9d2">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>reference_number
-: <a class="el" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">OfxTransactionData</a><li>reference_number_valid
-: <a class="el" href="structOfxTransactionData.html#6cca71dde5d0ced4458e4cc4d9be17e5">OfxTransactionData</a><li>reparent()
-: <a class="el" href="classtree.html#bf241e0eb4ff50eda4f2f5220a86d728">tree&lt; T, tree_node_allocator &gt;</a><li>replace()
-: <a class="el" href="classtree.html#98b0e26e51ce6d629fd3ddf6ead9baa6">tree&lt; T, tree_node_allocator &gt;</a><li>RequestMessage()
-: <a class="el" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">OfxRequest</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>reference_number
+: <a class="el" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">OfxTransactionData</a>
+<li>reference_number_valid
+: <a class="el" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">OfxTransactionData</a>
+<li>reparent()
+: <a class="el" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>replace()
+: <a class="el" href="classtree.html#246ce66bdbc54066ff9b3f47df9adde3">tree&lt; T, tree_node_allocator &gt;</a>
+<li>RequestMessage()
+: <a class="el" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">OfxRequest</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x73.html'
--- doc/html/functions_0x73.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x73.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -45,7 +47,7 @@
     <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
     <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
     <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
-    <li id="current"><a href="functions_0x73.html#index_s"><span>s</span></a></li>
+    <li class="current"><a href="functions_0x73.html#index_s"><span>s</span></a></li>
     <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
     <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
     <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
@@ -59,43 +61,87 @@
 <p>
 <h3><a class="anchor" name="index_s">- s -</a></h3><ul>
 <li>secname
-: <a class="el" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">OfxSecurityData</a><li>secname_valid
-: <a class="el" href="structOfxSecurityData.html#2ac745aadacd3adff898b02c29a8ee50">OfxSecurityData</a><li>security_data_ptr
-: <a class="el" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">OfxTransactionData</a><li>security_data_valid
-: <a class="el" href="structOfxTransactionData.html#e778083e6550c520a2855a28367cd4cb">OfxTransactionData</a><li>securityCallback()
-: <a class="el" href="classLibofxContext.html#a540fb9a3910bca4671b4cc6d248888f">LibofxContext</a><li>Select()
-: <a class="el" href="classNodeParser.html#46a4cac3739e6f65538054a36eaed9ab">NodeParser</a><li>server_message
-: <a class="el" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">OfxStatusData</a><li>server_message_valid
-: <a class="el" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">OfxStatusData</a><li>server_transaction_id
-: <a class="el" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">OfxTransactionData</a><li>server_transaction_id_valid
-: <a class="el" href="structOfxTransactionData.html#ac773a8cfd36ea8dcbff4a0173a5178d">OfxTransactionData</a><li>set_head()
-: <a class="el" href="classtree.html#8c10daaf0c6a2f540210b9d8dc2fa7d8">tree&lt; T, tree_node_allocator &gt;</a><li>setAccountCallback()
-: <a class="el" href="classLibofxContext.html#d5a7eca14f0c674369c23c6d99891b45">LibofxContext</a><li>setCurrentFileType()
-: <a class="el" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">LibofxContext</a><li>setSecurityCallback()
-: <a class="el" href="classLibofxContext.html#24264bc6e3bf0e72c1bd724ec49ecf36">LibofxContext</a><li>setStatementCallback()
-: <a class="el" href="classLibofxContext.html#b205f609b1e459b381aacdbbf5555c5f">LibofxContext</a><li>setStatusCallback()
-: <a class="el" href="classLibofxContext.html#573c4d84e50efad5a3a2e67a65f63603">LibofxContext</a><li>setTransactionCallback()
-: <a class="el" href="classLibofxContext.html#47596f40547ac590dc02de0ecf37a09f">LibofxContext</a><li>Severity
-: <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">OfxStatusData</a><li>severity
-: <a class="el" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">OfxStatusData</a><li>severity_valid
-: <a class="el" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">OfxStatusData</a><li>SignOnRequest()
-: <a class="el" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">OfxRequest</a><li>size()
-: <a class="el" href="classtree.html#153ad4a2483c86e5f3647f131629400b">tree&lt; T, tree_node_allocator &gt;</a><li>size_type
-: <a class="el" href="classtree_1_1iterator__base.html#4976a767b9690e1cd1e22282baef899f">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>skip_children()
-: <a class="el" href="classtree_1_1iterator__base.html#45d168623e6fc3c7549f7d250b5fb7b9">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>skip_current_children_
-: <a class="el" href="classtree_1_1iterator__base.html#dc8121d0962f718bc628b325de66bb4f">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>sort()
-: <a class="el" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">tree&lt; T, tree_node_allocator &gt;</a><li>standard_industrial_code
-: <a class="el" href="structOfxTransactionData.html#3283c78f62957daba020a89f5f5ff632">OfxTransactionData</a><li>standard_industrial_code_valid
-: <a class="el" href="structOfxTransactionData.html#84c2f46550c8158d87074bba6d57d592">OfxTransactionData</a><li>startElement()
-: <a class="el" href="classOFXApplication.html#35de080ed9b0892f329a4fde4afb10be">OFXApplication</a>, <a class="el" href="classOFCApplication.html#18809e20feba29f025168077e1e8d0b8">OFCApplication</a>, <a class="el" href="classOFXApplication.html#35de080ed9b0892f329a4fde4afb10be">OFXApplication</a>, <a class="el" href="classOFCApplication.html#18809e20feba29f025168077e1e8d0b8">OFCApplication</a><li>state
-: <a class="el" href="structOfxPayee.html#05962d6b480e93be8ee06c6890aff0eb">OfxPayee</a><li>statementCallback()
-: <a class="el" href="classLibofxContext.html#302efef8abcde0b6f1a76fa1f62ae828">LibofxContext</a><li>statements
-: <a class="el" href="structOfxFiServiceInfo.html#c02b7fbdca5599cfa064887cddf94804">OfxFiServiceInfo</a><li>statusCallback()
-: <a class="el" href="classLibofxContext.html#f2c0a10b25d27f5bcb36dc259d91a69f">LibofxContext</a><li>subtree()
-: <a class="el" href="classtree.html#a6f64a3b9eec68430b60353daa7681df">tree&lt; T, tree_node_allocator &gt;</a><li>swap()
-: <a class="el" href="classtree.html#36b40bbffa2392b7a765cc74364b35d5">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">OfxSecurityData</a>
+<li>secname_valid
+: <a class="el" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">OfxSecurityData</a>
+<li>security_data_ptr
+: <a class="el" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">OfxTransactionData</a>
+<li>security_data_valid
+: <a class="el" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">OfxTransactionData</a>
+<li>securityCallback()
+: <a class="el" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">LibofxContext</a>
+<li>Select()
+: <a class="el" href="classNodeParser.html#a94fa78e9dbb1495dbbb894bd712f6c0">NodeParser</a>
+<li>server_message
+: <a class="el" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">OfxStatusData</a>
+<li>server_message_valid
+: <a class="el" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">OfxStatusData</a>
+<li>server_transaction_id
+: <a class="el" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">OfxTransactionData</a>
+<li>server_transaction_id_valid
+: <a class="el" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">OfxTransactionData</a>
+<li>set_head()
+: <a class="el" href="classtree.html#16e33d0c3cd419a9fc8fd14e8d1a0768">tree&lt; T, tree_node_allocator &gt;</a>
+<li>setAccountCallback()
+: <a class="el" href="classLibofxContext.html#b02f2c152eb2639e3b02dcbd919036b8">LibofxContext</a>
+<li>setCurrentFileType()
+: <a class="el" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">LibofxContext</a>
+<li>setDtdDir()
+: <a class="el" href="classLibofxContext.html#4980d93a2eaadae7c6ff2cff26be003d">LibofxContext</a>
+<li>setSecurityCallback()
+: <a class="el" href="classLibofxContext.html#d3ab77c33566ca7227613e1fbb36ea1b">LibofxContext</a>
+<li>setStatementCallback()
+: <a class="el" href="classLibofxContext.html#8a1337b72f678900606b924806603855">LibofxContext</a>
+<li>setStatusCallback()
+: <a class="el" href="classLibofxContext.html#c9a366e3bc8db89ef721e1e2ef57a8d6">LibofxContext</a>
+<li>setTransactionCallback()
+: <a class="el" href="classLibofxContext.html#d5575fed475d9a755d71ff1f90d7ea98">LibofxContext</a>
+<li>severity
+: <a class="el" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">OfxStatusData</a>
+<li>Severity
+: <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData</a>
+<li>severity_valid
+: <a class="el" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">OfxStatusData</a>
+<li>sibling_iterator()
+: <a class="el" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>SignOnRequest()
+: <a class="el" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">OfxRequest</a>
+<li>size()
+: <a class="el" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523">tree&lt; T, tree_node_allocator &gt;</a>
+<li>size_type
+: <a class="el" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>skip_children()
+: <a class="el" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>skip_current_children_
+: <a class="el" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>sort()
+: <a class="el" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>standard_industrial_code
+: <a class="el" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">OfxTransactionData</a>
+<li>standard_industrial_code_valid
+: <a class="el" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">OfxTransactionData</a>
+<li>startElement()
+: <a class="el" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05">OFCApplication</a>
+<li>state
+: <a class="el" href="structOfxPayee.html#d93547c7b47ed9d2428c0516fec2ed55">OfxPayee</a>
+<li>statement_req_given
+: <a class="el" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5">gengetopt_args_info</a>
+<li>statement_req_help
+: <a class="el" href="structgengetopt__args__info.html#fbe386debf0da8acde6af35927d47d0f">gengetopt_args_info</a>
+<li>statementCallback()
+: <a class="el" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">LibofxContext</a>
+<li>statements
+: <a class="el" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">OfxFiServiceInfo</a>
+<li>statusCallback()
+: <a class="el" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">LibofxContext</a>
+<li>subtree()
+: <a class="el" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625">tree&lt; T, tree_node_allocator &gt;</a>
+<li>swap()
+: <a class="el" href="classtree.html#e842f9b70235bc2412b3c43bca759448">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x74.html'
--- doc/html/functions_0x74.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x74.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -46,7 +48,7 @@
     <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
     <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
     <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
-    <li id="current"><a href="functions_0x74.html#index_t"><span>t</span></a></li>
+    <li class="current"><a href="functions_0x74.html#index_t"><span>t</span></a></li>
     <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
     <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
     <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
@@ -59,18 +61,44 @@
 <p>
 <h3><a class="anchor" name="index_t">- t -</a></h3><ul>
 <li>tag_identifier
-: <a class="el" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">OfxGenericContainer</a><li>Text()
-: <a class="el" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">NodeParser</a><li>ticker
-: <a class="el" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">OfxSecurityData</a><li>ticker_valid
-: <a class="el" href="structOfxSecurityData.html#832eb4d40a617065f39d6543ae5cfdd4">OfxSecurityData</a><li>transactionCallback()
-: <a class="el" href="classLibofxContext.html#ceb3a8c832fdd024f34d0e2e19fb12e7">LibofxContext</a><li>transactiontype
-: <a class="el" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">OfxTransactionData</a><li>transactiontype_valid
-: <a class="el" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">OfxTransactionData</a><li>tree()
-: <a class="el" href="classtree.html#8b739f1a6e5059ddf64cf3394e49bcb6">tree&lt; T, tree_node_allocator &gt;</a><li>tree_node
-: <a class="el" href="classtree.html#ce325844a601660acbe7687991f8a225">tree&lt; T, tree_node_allocator &gt;</a><li>type
-: <a class="el" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">OfxGenericContainer</a>, <a class="el" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">OfxAccountInfo</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">OfxGenericContainer</a>
+<li>Text()
+: <a class="el" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">NodeParser</a>
+<li>ticker
+: <a class="el" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">OfxSecurityData</a>
+<li>ticker_valid
+: <a class="el" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">OfxSecurityData</a>
+<li>transactionCallback()
+: <a class="el" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">LibofxContext</a>
+<li>transactiontype
+: <a class="el" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">OfxTransactionData</a>
+<li>transactiontype_valid
+: <a class="el" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">OfxTransactionData</a>
+<li>tree()
+: <a class="el" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt; T, tree_node_allocator &gt;</a>
+<li>tree_node
+: <a class="el" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree&lt; T, tree_node_allocator &gt;</a>
+<li>trid_arg
+: <a class="el" href="structgengetopt__args__info.html#88eed5f134272a39745075b5001d76b4">gengetopt_args_info</a>
+<li>trid_given
+: <a class="el" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc">gengetopt_args_info</a>
+<li>trid_help
+: <a class="el" href="structgengetopt__args__info.html#29239afc79b8c1f937ab01b6b71dc0e0">gengetopt_args_info</a>
+<li>trid_orig
+: <a class="el" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20">gengetopt_args_info</a>
+<li>type
+: <a class="el" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">OfxGenericContainer</a>
+<li>type_arg
+: <a class="el" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e">gengetopt_args_info</a>
+<li>type_given
+: <a class="el" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1">gengetopt_args_info</a>
+<li>type_help
+: <a class="el" href="structgengetopt__args__info.html#3c39a4f94b8c4b5621d6c41e6fbbfcc9">gengetopt_args_info</a>
+<li>type_orig
+: <a class="el" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83">gengetopt_args_info</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x75.html'
--- doc/html/functions_0x75.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x75.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -47,7 +49,7 @@
     <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
     <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
     <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
-    <li id="current"><a href="functions_0x75.html#index_u"><span>u</span></a></li>
+    <li class="current"><a href="functions_0x75.html#index_u"><span>u</span></a></li>
     <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
     <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
     <li><a href="functions_0x7e.html#index_~"><span>~</span></a></li>
@@ -59,19 +61,52 @@
 <p>
 <h3><a class="anchor" name="index_u">- u -</a></h3><ul>
 <li>unique_id
-: <a class="el" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">OfxSecurityData</a><li>unique_id_type
-: <a class="el" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">OfxSecurityData</a><li>unique_id_type_valid
-: <a class="el" href="structOfxTransactionData.html#7470f4b24458c5fc1ae4d32e04578832">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#fa8afe497229c9f561b734b784af4136">OfxSecurityData</a><li>unique_id_valid
-: <a class="el" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#7a07e05b7a7de7cbc93ef5819e08cdfb">OfxSecurityData</a><li>unitprice
-: <a class="el" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#e3c6ea360c7dce731d263c1f83b5cbd9">OfxSecurityData</a><li>unitprice_valid
-: <a class="el" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#6527ef1b5444ad8dcc5c9f3e53b93abc">OfxSecurityData</a><li>units
-: <a class="el" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">OfxTransactionData</a><li>units_valid
-: <a class="el" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">OfxTransactionData</a><li>url
-: <a class="el" href="structOfxFiServiceInfo.html#892b7434b389b85d67ece222f5dc1bdb">OfxFiServiceInfo</a><li>userid
-: <a class="el" href="structOfxFiLogin.html#7513251178c3f4d9b665132436428cdf">OfxFiLogin</a><li>userpass
-: <a class="el" href="structOfxFiLogin.html#2995949d8c307d2434ad82a61dbb6f1e">OfxFiLogin</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">OfxSecurityData</a>
+, <a class="el" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">OfxTransactionData</a>
+<li>unique_id_type
+: <a class="el" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">OfxTransactionData</a>
+, <a class="el" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">OfxSecurityData</a>
+<li>unique_id_type_valid
+: <a class="el" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">OfxSecurityData</a>
+, <a class="el" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">OfxTransactionData</a>
+<li>unique_id_valid
+: <a class="el" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">OfxTransactionData</a>
+, <a class="el" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">OfxSecurityData</a>
+<li>unitprice
+: <a class="el" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">OfxSecurityData</a>
+, <a class="el" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">OfxTransactionData</a>
+<li>unitprice_valid
+: <a class="el" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">OfxSecurityData</a>
+, <a class="el" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">OfxTransactionData</a>
+<li>units
+: <a class="el" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">OfxTransactionData</a>
+<li>units_valid
+: <a class="el" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">OfxTransactionData</a>
+<li>url
+: <a class="el" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">OfxFiServiceInfo</a>
+<li>url_arg
+: <a class="el" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354">gengetopt_args_info</a>
+<li>url_given
+: <a class="el" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd">gengetopt_args_info</a>
+<li>url_help
+: <a class="el" href="structgengetopt__args__info.html#567440f30f9c9175e2aab392d325a42f">gengetopt_args_info</a>
+<li>url_orig
+: <a class="el" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30">gengetopt_args_info</a>
+<li>user_arg
+: <a class="el" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e">gengetopt_args_info</a>
+<li>user_given
+: <a class="el" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e">gengetopt_args_info</a>
+<li>user_help
+: <a class="el" href="structgengetopt__args__info.html#50ca2748823a107ad8a252c0b0a7fe11">gengetopt_args_info</a>
+<li>user_orig
+: <a class="el" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91">gengetopt_args_info</a>
+<li>userid
+: <a class="el" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">OfxFiLogin</a>
+<li>userpass
+: <a class="el" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">OfxFiLogin</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x76.html'
--- doc/html/functions_0x76.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x76.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -48,7 +50,7 @@
     <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
     <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
     <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
-    <li id="current"><a href="functions_0x76.html#index_v"><span>v</span></a></li>
+    <li class="current"><a href="functions_0x76.html#index_v"><span>v</span></a></li>
     <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
     <li><a href="functions_0x7e.html#index_~"><span>~</span></a></li>
   </ul>
@@ -59,10 +61,19 @@
 <p>
 <h3><a class="anchor" name="index_v">- v -</a></h3><ul>
 <li>val
-: <a class="el" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">option</a><li>value_type
-: <a class="el" href="classtree_1_1iterator__base.html#4e4ebb94593d3fb0557b5826efffbb22">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>, <a class="el" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree_1_1iterator__base.html#4e4ebb94593d3fb0557b5826efffbb22">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>, <a class="el" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">option</a>
+<li>value_type
+: <a class="el" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">tree&lt; T, tree_node_allocator &gt;</a>
+, <a class="el" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+, <a class="el" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">tree&lt; T, tree_node_allocator &gt;</a>
+, <a class="el" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>version_given
+: <a class="el" href="structgengetopt__args__info.html#18b7279f3b637b9e9192a88fc26973ae">gengetopt_args_info</a>
+<li>version_help
+: <a class="el" href="structgengetopt__args__info.html#def454ea6f3ff4114ae5009e58360cfc">gengetopt_args_info</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x77.html'
--- doc/html/functions_0x77.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x77.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -49,7 +51,7 @@
     <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
     <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
     <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
-    <li id="current"><a href="functions_0x77.html#index_w"><span>w</span></a></li>
+    <li class="current"><a href="functions_0x77.html#index_w"><span>w</span></a></li>
     <li><a href="functions_0x7e.html#index_~"><span>~</span></a></li>
   </ul>
 </div>
@@ -59,9 +61,10 @@
 <p>
 <h3><a class="anchor" name="index_w">- w -</a></h3><ul>
 <li>WARN
-: <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267">OfxStatusData</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">OfxStatusData</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_0x7e.html'
--- doc/html/functions_0x7e.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_0x7e.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
@@ -50,7 +52,7 @@
     <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
     <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
     <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
-    <li id="current"><a href="functions_0x7e.html#index_~"><span>~</span></a></li>
+    <li class="current"><a href="functions_0x7e.html#index_~"><span>~</span></a></li>
   </ul>
 </div>
 
@@ -59,19 +61,30 @@
 <p>
 <h3><a class="anchor" name="index_~">- ~ -</a></h3><ul>
 <li>~LibofxContext()
-: <a class="el" href="classLibofxContext.html#eac15ac8f1f140020ca7737317b1eb6c">LibofxContext</a><li>~OfxAccountContainer()
-: <a class="el" href="classOfxAccountContainer.html#d5b83e05e06a60a7d0a874b8778fa27c">OfxAccountContainer</a><li>~OFXApplication()
-: <a class="el" href="classOFXApplication.html#553e023a72e3595ded7f64997e6a6fd1">OFXApplication</a><li>~OfxBalanceContainer()
-: <a class="el" href="classOfxBalanceContainer.html#c599f6e53e908ed329baab8ca0a52d56">OfxBalanceContainer</a><li>~OfxGenericContainer()
-: <a class="el" href="classOfxGenericContainer.html#66cdbfa777837b67fe32053e63199249">OfxGenericContainer</a><li>~OfxMainContainer()
-: <a class="el" href="classOfxMainContainer.html#7ab71728d866c0455ab4ca7f84d8447b">OfxMainContainer</a><li>~OfxSecurityContainer()
-: <a class="el" href="classOfxSecurityContainer.html#a12308340b14eeac46ac1d7c933369b4">OfxSecurityContainer</a><li>~OfxStatementContainer()
-: <a class="el" href="classOfxStatementContainer.html#96e32e196d0d34197b20a95ade84499e">OfxStatementContainer</a><li>~OfxStatusContainer()
-: <a class="el" href="classOfxStatusContainer.html#6ebbf3b4d3fbec14adf683168848ce95">OfxStatusContainer</a><li>~OfxTransactionContainer()
-: <a class="el" href="classOfxTransactionContainer.html#e7fa208ce9f9276dfe416161bc02ec34">OfxTransactionContainer</a><li>~tree()
-: <a class="el" href="classtree.html#f00c3b34857694f4d02894b308b50e4b">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classLibofxContext.html#08c06eedebc157876ff10c76570836e3">LibofxContext</a>
+<li>~OfxAccountContainer()
+: <a class="el" href="classOfxAccountContainer.html#64691a91027e92c8cbc5bb1240d3f1b8">OfxAccountContainer</a>
+<li>~OFXApplication()
+: <a class="el" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">OFXApplication</a>
+<li>~OfxBalanceContainer()
+: <a class="el" href="classOfxBalanceContainer.html#db4feb10b8e5328aab5025ff49fd43f5">OfxBalanceContainer</a>
+<li>~OfxGenericContainer()
+: <a class="el" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">OfxGenericContainer</a>
+<li>~OfxMainContainer()
+: <a class="el" href="classOfxMainContainer.html#195e97a1121a6efdf898bd1cc5c43f8f">OfxMainContainer</a>
+<li>~OfxSecurityContainer()
+: <a class="el" href="classOfxSecurityContainer.html#5205f0a09177451b4a6420da7420c256">OfxSecurityContainer</a>
+<li>~OfxStatementContainer()
+: <a class="el" href="classOfxStatementContainer.html#085def18d3414dc93d256b08d8f3ea2c">OfxStatementContainer</a>
+<li>~OfxStatusContainer()
+: <a class="el" href="classOfxStatusContainer.html#cedeebfa681e9b075c8168196752c2a8">OfxStatusContainer</a>
+<li>~OfxTransactionContainer()
+: <a class="el" href="classOfxTransactionContainer.html#8c24bf77f0154df5bdf134ebac97b12e">OfxTransactionContainer</a>
+<li>~tree()
+: <a class="el" href="classtree.html#f0169b515c95f4299fd2d984137b7868">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_enum.html'
--- doc/html/functions_enum.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_enum.html	2008-02-06 17:25:16 +0000
@@ -1,30 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields - Enumerations</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
-    <li id="current"><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li class="current"><a href="functions_enum.html"><span>Enumerations</span></a></li>
     <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
   </ul>
 </div>
@@ -32,10 +34,12 @@
 <p>
 <ul>
 <li>AccountType
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">OfxAccountData</a><li>Severity
-: <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">OfxStatusData</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData</a>
+<li>Severity
+: <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_eval.html'
--- doc/html/functions_eval.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_eval.html	2008-02-06 17:25:16 +0000
@@ -1,23 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields - Enumerator</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="functions.html"><span>All</span></a></li>
@@ -25,25 +27,35 @@
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
     <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
-    <li id="current"><a href="functions_eval.html"><span>Enumerator</span></a></li>
+    <li class="current"><a href="functions_eval.html"><span>Enumerator</span></a></li>
   </ul>
 </div>
 &nbsp;
 <p>
 <ul>
 <li>ERROR
-: <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8">OfxStatusData</a><li>INFO
-: <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2">OfxStatusData</a><li>OFX_CHECKING
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9">OfxAccountData</a><li>OFX_CMA
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f">OfxAccountData</a><li>OFX_CREDITCARD
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471">OfxAccountData</a><li>OFX_CREDITLINE
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89">OfxAccountData</a><li>OFX_INVESTMENT
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">OfxAccountData</a><li>OFX_MONEYMRKT
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493">OfxAccountData</a><li>OFX_SAVINGS
-: <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957">OfxAccountData</a><li>WARN
-: <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267">OfxStatusData</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">OfxStatusData</a>
+<li>INFO
+: <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">OfxStatusData</a>
+<li>OFX_CHECKING
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OfxAccountData</a>
+<li>OFX_CMA
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OfxAccountData</a>
+<li>OFX_CREDITCARD
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OfxAccountData</a>
+<li>OFX_CREDITLINE
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OfxAccountData</a>
+<li>OFX_INVESTMENT
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OfxAccountData</a>
+<li>OFX_MONEYMRKT
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OfxAccountData</a>
+<li>OFX_SAVINGS
+: <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OfxAccountData</a>
+<li>WARN
+: <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">OfxStatusData</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_func.html'
--- doc/html/functions_func.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_func.html	2008-02-06 17:25:16 +0000
@@ -1,27 +1,29 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields - Functions</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="functions.html"><span>All</span></a></li>
-    <li id="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
     <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
@@ -30,23 +32,23 @@
 </div>
 <div class="tabs">
   <ul>
-    <li><a href="#index_a"><span>a</span></a></li>
-    <li><a href="#index_b"><span>b</span></a></li>
-    <li><a href="#index_c"><span>c</span></a></li>
-    <li><a href="#index_d"><span>d</span></a></li>
-    <li><a href="#index_e"><span>e</span></a></li>
-    <li><a href="#index_f"><span>f</span></a></li>
-    <li><a href="#index_g"><span>g</span></a></li>
-    <li><a href="#index_i"><span>i</span></a></li>
-    <li><a href="#index_l"><span>l</span></a></li>
-    <li><a href="#index_m"><span>m</span></a></li>
-    <li><a href="#index_n"><span>n</span></a></li>
-    <li><a href="#index_o"><span>o</span></a></li>
-    <li><a href="#index_p"><span>p</span></a></li>
-    <li><a href="#index_r"><span>r</span></a></li>
-    <li><a href="#index_s"><span>s</span></a></li>
-    <li><a href="#index_t"><span>t</span></a></li>
-    <li><a href="#index_~"><span>~</span></a></li>
+    <li class="current"><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
   </ul>
 </div>
 
@@ -55,152 +57,71 @@
 <p>
 <h3><a class="anchor" name="index_a">- a -</a></h3><ul>
 <li>accountCallback()
-: <a class="el" href="classLibofxContext.html#acdfbe18123b9ceff1c9fe425196bc9e">LibofxContext</a><li>Add()
-: <a class="el" href="classOfxAggregate.html#cb67d7766c957f4a1cf8aaf58566ac8d">OfxAggregate</a><li>add_account()
-: <a class="el" href="classOfxTransactionContainer.html#55909757ff4bd31fe8bc968f5be576b0">OfxTransactionContainer</a>, <a class="el" href="classOfxStatementContainer.html#874ef227d93fdc078cf396350fc9b678">OfxStatementContainer</a><li>add_attribute()
-: <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, <a class="el" href="classOfxTransactionContainer.html#0f4825ddd57813fc045b7f6d77337f75">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">OfxStatementContainer</a>, <a class="el" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">OfxBalanceContainer</a>, <a class="el" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">OfxStatusContainer</a>, <a class="el" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">OfxPushUpContainer</a>, <a class="el" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">OfxDummyContainer</a>, <a class="el" href="classOfxGenericContainer.html#7c40bd25355c995e1caadb19ecafad85">OfxGenericContainer</a>, <a class="el" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer</a>, <a class="el" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">OfxStatementContainer</a>, <a class="el" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">OfxBalanceContainer</a>, <a class="el" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">OfxStatusContainer</a>, <a class="el" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">OfxPushUpContainer</a>, <a class="el" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">OfxDummyContainer</a>, <a class="el" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer</a><li>add_balance()
-: <a class="el" href="classOfxStatementContainer.html#cf79a74290f3f0d0c9048f80c60b32e8">OfxStatementContainer</a><li>add_container()
-: <a class="el" href="classOfxMainContainer.html#7a9cc1792a7a1e32decf3a81ce79101f">OfxMainContainer</a><li>add_to_main_tree()
-: <a class="el" href="classOfxTransactionContainer.html#16b5fec1613ce8d3d52c338650a2b39f">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#7b20f785d5de5457825a88432d876c07">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#428dc6528715f6d2c71fd491af4d0db2">OfxStatementContainer</a>, <a class="el" href="classOfxGenericContainer.html#816dcc15a82874c7033475cb94362e00">OfxGenericContainer</a>, <a class="el" href="classOfxTransactionContainer.html#013d08423359102e1c596ad84a89e80f">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#06f05be00e89e4ce256eb709dcad4326">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#19b7458f71a8e47e25525f81009c5146">OfxStatementContainer</a>, <a class="el" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer</a><li>append_child()
-: <a class="el" href="classtree.html#c35cc7e116ac7caced91fa1ae129073a">tree&lt; T, tree_node_allocator &gt;</a><li>append_children()
-: <a class="el" href="classtree.html#b73148412a532d3216fb9741bc8c4e67">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
-<li>BankStatementRequest()
-: <a class="el" href="classOfxStatementRequest.html#51f2f5168ae5a2c783bbc3f142546229">OfxStatementRequest</a><li>begin()
-: <a class="el" href="classtree.html#e5f2310caf80398be0cec94d12a067c7">tree&lt; T, tree_node_allocator &gt;</a><li>begin_fixed()
-: <a class="el" href="classtree.html#c6259cb843b832e66a6351db4913712c">tree&lt; T, tree_node_allocator &gt;</a><li>begin_post()
-: <a class="el" href="classtree.html#94137d9430380b87f76355610d2f60fb">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
-<li>child()
-: <a class="el" href="classtree.html#fbe1ac6e9f493645a2972bc2342f8a2c">tree&lt; T, tree_node_allocator &gt;</a><li>clear()
-: <a class="el" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">tree&lt; T, tree_node_allocator &gt;</a><li>CreditCardStatementRequest()
-: <a class="el" href="classOfxStatementRequest.html#85760d6ec3d3a8881938b0742f5eb67e">OfxStatementRequest</a><li>currentFileType()
-: <a class="el" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">LibofxContext</a></ul>
-<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
-<li>data()
-: <a class="el" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">OFXApplication</a>, <a class="el" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">OFCApplication</a>, <a class="el" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">OFXApplication</a>, <a class="el" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">OFCApplication</a>, <a class="el" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">tree_node_&lt; T &gt;</a>, <a class="el" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">OfxStatementContainer</a>, <a class="el" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">OfxStatusContainer</a><li>depth()
-: <a class="el" href="classtree.html#464267273fcfac957e31e28937cf996b">tree&lt; T, tree_node_allocator &gt;</a><li>descend_all()
-: <a class="el" href="classtree_1_1post__order__iterator.html#1015e1938df756864245f1f015b9cd0e">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a></ul>
-<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
-<li>empty()
-: <a class="el" href="classtree.html#04cf6fc4add8819a389dcf7e107ad2bf">tree&lt; T, tree_node_allocator &gt;</a><li>end()
-: <a class="el" href="classtree.html#20490a4be9f2dac80ac8bfa31d596eeb">tree&lt; T, tree_node_allocator &gt;</a><li>end_fixed()
-: <a class="el" href="classtree.html#2c491ca566c8ac3e850fcd1f64dcc729">tree&lt; T, tree_node_allocator &gt;</a><li>end_post()
-: <a class="el" href="classtree.html#ed92fb7220a771b6f05dcb66205b56ee">tree&lt; T, tree_node_allocator &gt;</a><li>endElement()
-: <a class="el" href="classOFXApplication.html#ace0e849787a64724ddecc2b266b8cac">OFXApplication</a>, <a class="el" href="classOFCApplication.html#7682bf9a0e592eba3219e1b51fc26936">OFCApplication</a>, <a class="el" href="classOFXApplication.html#ace0e849787a64724ddecc2b266b8cac">OFXApplication</a>, <a class="el" href="classOFCApplication.html#7682bf9a0e592eba3219e1b51fc26936">OFCApplication</a><li>equal()
-: <a class="el" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">tree&lt; T, tree_node_allocator &gt;</a><li>equal_subtree()
-: <a class="el" href="classtree.html#728582159c3d6b9b2a4890e95034a6d5">tree&lt; T, tree_node_allocator &gt;</a><li>erase()
-: <a class="el" href="classtree.html#fb19caa16588297c9674abb18c40a32a">tree&lt; T, tree_node_allocator &gt;</a><li>erase_children()
-: <a class="el" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">tree&lt; T, tree_node_allocator &gt;</a><li>error()
-: <a class="el" href="classOFXApplication.html#ed9647aa1aa0351b461904187804a4ce">OFXApplication</a>, <a class="el" href="classOFCApplication.html#97dd26803339b3066d6f08215c9ec2f0">OFCApplication</a>, <a class="el" href="classOFXApplication.html#ed9647aa1aa0351b461904187804a4ce">OFXApplication</a>, <a class="el" href="classOFCApplication.html#97dd26803339b3066d6f08215c9ec2f0">OFCApplication</a></ul>
-<h3><a class="anchor" name="index_f">- f -</a></h3><ul>
-<li>find_security()
-: <a class="el" href="classOfxMainContainer.html#257204d0271f47d7f455169487960753">OfxMainContainer</a><li>flatten()
-: <a class="el" href="classtree.html#aa9c55593a7d52cde352a3dde80fbaf9">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<h3><a class="anchor" name="index_g">- g -</a></h3><ul>
-<li>gen_event()
-: <a class="el" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">OfxMainContainer</a>, <a class="el" href="classOfxTransactionContainer.html#a21eb3b0ed7da32dfec8a6f162e942f9">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#462e1fa2a853fa589e040392df958249">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#5a64b04111a5fb3d7ac76deb1d936be3">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#759e443a11dec9ff60fa77f9d59e31bd">OfxStatementContainer</a>, <a class="el" href="classOfxGenericContainer.html#5e5430a7e8962f5a97ba71434a72093b">OfxGenericContainer</a>, <a class="el" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">OfxMainContainer</a>, <a class="el" href="classOfxTransactionContainer.html#c6619c52d4918a6f0e4b8e46920c26c7">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#a09d8de2d49cb79864dce68671f57400">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#82735b303e3cafb6ac1f6a715fa4e6e8">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#69dba408b387ea2e474c0cd9cbca03a1">OfxStatementContainer</a>, <a class="el" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer</a><li>getparent()
-: <a class="el" href="classOfxGenericContainer.html#3746e924cfe7b4af3c4fc082991d4c6c">OfxGenericContainer</a></ul>
-<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
-<li>index()
-: <a class="el" href="classtree.html#e470529bbd14990a0272a82724b93217">tree&lt; T, tree_node_allocator &gt;</a><li>insert()
-: <a class="el" href="classtree.html#a99ff53c3219b1605fd4531cdcf9de24">tree&lt; T, tree_node_allocator &gt;</a><li>insert_after()
-: <a class="el" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">tree&lt; T, tree_node_allocator &gt;</a><li>insert_subtree()
-: <a class="el" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">tree&lt; T, tree_node_allocator &gt;</a><li>InvestmentStatementRequest()
-: <a class="el" href="classOfxStatementRequest.html#4196ff5900689c63697bc7ed7990a8a9">OfxStatementRequest</a><li>is_in_subtree()
-: <a class="el" href="classtree.html#b983b7823bc78d7a5efaf994938188a2">tree&lt; T, tree_node_allocator &gt;</a><li>is_valid()
-: <a class="el" href="classtree.html#701009e4869f78144556ebc4ce33750f">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
-<li>LibofxContext()
-: <a class="el" href="classLibofxContext.html#28abb9b82158ca0b42bccc27b1da9edf">LibofxContext</a></ul>
-<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
-<li>merge()
-: <a class="el" href="classtree.html#66539d831037c85092fe6e3c309c6222">tree&lt; T, tree_node_allocator &gt;</a><li>move_after()
-: <a class="el" href="classtree.html#f4f74176002736b5ad91d07e37954e18">tree&lt; T, tree_node_allocator &gt;</a><li>move_before()
-: <a class="el" href="classtree.html#0298006c1f5106ec81657fc1fc9d1cc3">tree&lt; T, tree_node_allocator &gt;</a><li>move_ontop()
-: <a class="el" href="classtree.html#8c1f99b308550e6eaa1e3ff7932dd7c3">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<h3><a class="anchor" name="index_n">- n -</a></h3><ul>
-<li>next_at_same_depth()
-: <a class="el" href="classtree.html#a6d518c3d4ab2359cce1e5bf50a675c0">tree&lt; T, tree_node_allocator &gt;</a><li>next_sibling()
-: <a class="el" href="classtree.html#0d28ed2bd76b14ee168f5497159e685f">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">tree_node_&lt; T &gt;</a><li>NodeParser()
-: <a class="el" href="classNodeParser.html#893f3c87161c086fa60e04bceac036bc">NodeParser</a><li>number_of_children()
-: <a class="el" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree_1_1iterator__base.html#05b1146c2f1804fb990808e74ed79ec8">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>, <a class="el" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree_1_1iterator__base.html#05b1146c2f1804fb990808e74ed79ec8">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>number_of_siblings()
-: <a class="el" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
-<li>OFCApplication()
-: <a class="el" href="classOFCApplication.html#39738e0a8d50ff17e33655c959594d83">OFCApplication</a><li>OfxAccountContainer()
-: <a class="el" href="classOfxAccountContainer.html#83a97e5b5253e7e140eaa3e997c5961d">OfxAccountContainer</a><li>OfxAccountInfoRequest()
-: <a class="el" href="classOfxAccountInfoRequest.html#4035fb44fecca1b682e6a7c5e0b96743">OfxAccountInfoRequest</a><li>OfxAggregate()
-: <a class="el" href="classOfxAggregate.html#8c16fb0c23f9ad56329434307ee6c98b">OfxAggregate</a><li>OFXApplication()
-: <a class="el" href="classOFXApplication.html#1d6f09a412e09451f1ed1eff491b7d44">OFXApplication</a><li>OfxBalanceContainer()
-: <a class="el" href="classOfxBalanceContainer.html#ced3ba2d0bf96c8a11393653fce83430">OfxBalanceContainer</a><li>OfxBankTransactionContainer()
-: <a class="el" href="classOfxBankTransactionContainer.html#132e3ab795f765cbec2320e9961a7558">OfxBankTransactionContainer</a><li>OfxDummyContainer()
-: <a class="el" href="classOfxDummyContainer.html#26ed2ce0842ca533c80432080bb5d686">OfxDummyContainer</a><li>OfxGenericContainer()
-: <a class="el" href="classOfxGenericContainer.html#5adffc48d493402fd48bbad937a692e6">OfxGenericContainer</a><li>OfxInvestmentTransactionContainer()
-: <a class="el" href="classOfxInvestmentTransactionContainer.html#59ccb4b31579d47ce7981c24f5c9215b">OfxInvestmentTransactionContainer</a><li>OfxMainContainer()
-: <a class="el" href="classOfxMainContainer.html#fdf73d70e03bdb05c8aa621bbdec86a8">OfxMainContainer</a><li>OfxPaymentRequest()
-: <a class="el" href="classOfxPaymentRequest.html#b50d18e9ca000fb6a8b277ef6f183dd3">OfxPaymentRequest</a><li>OfxPushUpContainer()
-: <a class="el" href="classOfxPushUpContainer.html#4b9de1f81c3214724c50e4125f5cfd5a">OfxPushUpContainer</a><li>OfxRequest()
-: <a class="el" href="classOfxRequest.html#1e44a0bea2084ac4805e478f43e42837">OfxRequest</a><li>OfxSecurityContainer()
-: <a class="el" href="classOfxSecurityContainer.html#7558803d35cebc4480bed38143a24b0b">OfxSecurityContainer</a><li>OfxStatementContainer()
-: <a class="el" href="classOfxStatementContainer.html#99a5e289425841bdec04ebc7c48f4b89">OfxStatementContainer</a><li>OfxStatementRequest()
-: <a class="el" href="classOfxStatementRequest.html#fda5e716b9f1848b4d009bfe338880f0">OfxStatementRequest</a><li>OfxStatusContainer()
-: <a class="el" href="classOfxStatusContainer.html#7cbd9aaaf32aea591e58ae76486dd003">OfxStatusContainer</a><li>OfxTransactionContainer()
-: <a class="el" href="classOfxTransactionContainer.html#7bf1cc0fda751f2f653c2a64cb63fae2">OfxTransactionContainer</a><li>openEntityChange()
-: <a class="el" href="classOFXApplication.html#7274f22992407878a8f20f7239b4b9f0">OFXApplication</a>, <a class="el" href="classOFCApplication.html#867567a68eeb21a294a1791436ee77d6">OFCApplication</a>, <a class="el" href="classOFXApplication.html#7274f22992407878a8f20f7239b4b9f0">OFXApplication</a>, <a class="el" href="classOFCApplication.html#867567a68eeb21a294a1791436ee77d6">OFCApplication</a><li>operator()()
-: <a class="el" href="classtree_1_1iterator__base__less.html#bd569dd543c428fea5acec7e7d0b02ea">tree&lt; T, tree_node_allocator &gt;::iterator_base_less</a><li>operator=()
-: <a class="el" href="classtree.html#d6defe76c212f37bba54135643e4955f">tree&lt; T, tree_node_allocator &gt;</a><li>Output()
-: <a class="el" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">OfxAggregate</a></ul>
-<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
-<li>parent()
-: <a class="el" href="classtree.html#a00c1035eb3750d402f0830196264e7f">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">tree_node_&lt; T &gt;</a><li>Path()
-: <a class="el" href="classNodeParser.html#22c2d39370bac30cc4dbbae93116f6a7">NodeParser</a><li>previous_sibling()
-: <a class="el" href="classtree.html#2521b543afdcb57b969e77c910141e12">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
-<li>reparent()
-: <a class="el" href="classtree.html#bf241e0eb4ff50eda4f2f5220a86d728">tree&lt; T, tree_node_allocator &gt;</a><li>replace()
-: <a class="el" href="classtree.html#98b0e26e51ce6d629fd3ddf6ead9baa6">tree&lt; T, tree_node_allocator &gt;</a><li>RequestMessage()
-: <a class="el" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">OfxRequest</a></ul>
-<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
-<li>securityCallback()
-: <a class="el" href="classLibofxContext.html#a540fb9a3910bca4671b4cc6d248888f">LibofxContext</a><li>Select()
-: <a class="el" href="classNodeParser.html#46a4cac3739e6f65538054a36eaed9ab">NodeParser</a><li>set_head()
-: <a class="el" href="classtree.html#8c10daaf0c6a2f540210b9d8dc2fa7d8">tree&lt; T, tree_node_allocator &gt;</a><li>setAccountCallback()
-: <a class="el" href="classLibofxContext.html#d5a7eca14f0c674369c23c6d99891b45">LibofxContext</a><li>setCurrentFileType()
-: <a class="el" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">LibofxContext</a><li>setSecurityCallback()
-: <a class="el" href="classLibofxContext.html#24264bc6e3bf0e72c1bd724ec49ecf36">LibofxContext</a><li>setStatementCallback()
-: <a class="el" href="classLibofxContext.html#b205f609b1e459b381aacdbbf5555c5f">LibofxContext</a><li>setStatusCallback()
-: <a class="el" href="classLibofxContext.html#573c4d84e50efad5a3a2e67a65f63603">LibofxContext</a><li>setTransactionCallback()
-: <a class="el" href="classLibofxContext.html#47596f40547ac590dc02de0ecf37a09f">LibofxContext</a><li>SignOnRequest()
-: <a class="el" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">OfxRequest</a><li>size()
-: <a class="el" href="classtree.html#153ad4a2483c86e5f3647f131629400b">tree&lt; T, tree_node_allocator &gt;</a><li>skip_children()
-: <a class="el" href="classtree_1_1iterator__base.html#45d168623e6fc3c7549f7d250b5fb7b9">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>sort()
-: <a class="el" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">tree&lt; T, tree_node_allocator &gt;</a><li>startElement()
-: <a class="el" href="classOFXApplication.html#35de080ed9b0892f329a4fde4afb10be">OFXApplication</a>, <a class="el" href="classOFCApplication.html#18809e20feba29f025168077e1e8d0b8">OFCApplication</a>, <a class="el" href="classOFXApplication.html#35de080ed9b0892f329a4fde4afb10be">OFXApplication</a>, <a class="el" href="classOFCApplication.html#18809e20feba29f025168077e1e8d0b8">OFCApplication</a><li>statementCallback()
-: <a class="el" href="classLibofxContext.html#302efef8abcde0b6f1a76fa1f62ae828">LibofxContext</a><li>statusCallback()
-: <a class="el" href="classLibofxContext.html#f2c0a10b25d27f5bcb36dc259d91a69f">LibofxContext</a><li>subtree()
-: <a class="el" href="classtree.html#a6f64a3b9eec68430b60353daa7681df">tree&lt; T, tree_node_allocator &gt;</a><li>swap()
-: <a class="el" href="classtree.html#36b40bbffa2392b7a765cc74364b35d5">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
-<li>Text()
-: <a class="el" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">NodeParser</a><li>transactionCallback()
-: <a class="el" href="classLibofxContext.html#ceb3a8c832fdd024f34d0e2e19fb12e7">LibofxContext</a><li>tree()
-: <a class="el" href="classtree.html#8b739f1a6e5059ddf64cf3394e49bcb6">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<h3><a class="anchor" name="index_~">- ~ -</a></h3><ul>
-<li>~LibofxContext()
-: <a class="el" href="classLibofxContext.html#eac15ac8f1f140020ca7737317b1eb6c">LibofxContext</a><li>~OfxAccountContainer()
-: <a class="el" href="classOfxAccountContainer.html#d5b83e05e06a60a7d0a874b8778fa27c">OfxAccountContainer</a><li>~OFXApplication()
-: <a class="el" href="classOFXApplication.html#553e023a72e3595ded7f64997e6a6fd1">OFXApplication</a><li>~OfxBalanceContainer()
-: <a class="el" href="classOfxBalanceContainer.html#c599f6e53e908ed329baab8ca0a52d56">OfxBalanceContainer</a><li>~OfxGenericContainer()
-: <a class="el" href="classOfxGenericContainer.html#66cdbfa777837b67fe32053e63199249">OfxGenericContainer</a><li>~OfxMainContainer()
-: <a class="el" href="classOfxMainContainer.html#7ab71728d866c0455ab4ca7f84d8447b">OfxMainContainer</a><li>~OfxSecurityContainer()
-: <a class="el" href="classOfxSecurityContainer.html#a12308340b14eeac46ac1d7c933369b4">OfxSecurityContainer</a><li>~OfxStatementContainer()
-: <a class="el" href="classOfxStatementContainer.html#96e32e196d0d34197b20a95ade84499e">OfxStatementContainer</a><li>~OfxStatusContainer()
-: <a class="el" href="classOfxStatusContainer.html#6ebbf3b4d3fbec14adf683168848ce95">OfxStatusContainer</a><li>~OfxTransactionContainer()
-: <a class="el" href="classOfxTransactionContainer.html#e7fa208ce9f9276dfe416161bc02ec34">OfxTransactionContainer</a><li>~tree()
-: <a class="el" href="classtree.html#f00c3b34857694f4d02894b308b50e4b">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">LibofxContext</a>
+<li>Add()
+: <a class="el" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">OfxAggregate</a>
+<li>add_account()
+: <a class="el" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">OfxStatementContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">OfxTransactionContainer</a>
+<li>add_attribute()
+: <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#5de5c85a85aa1a35850c8528fd9c0fcd">OfxGenericContainer</a>
+, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>
+, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>
+, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">OfxTransactionContainer</a>
+, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>
+, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">OfxGenericContainer</a>
+, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">OfxTransactionContainer</a>
+, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#5de5c85a85aa1a35850c8528fd9c0fcd">OfxGenericContainer</a>
+, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>
+, <a class="el" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">OfxDummyContainer</a>
+, <a class="el" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">OfxPushUpContainer</a>
+, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>
+, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>
+, <a class="el" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">OfxStatusContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">OfxAccountContainer</a>
+, <a class="el" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">OfxBalanceContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">OfxSecurityContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#2f1b9bed927fd4ae1b9f8dc7f70ba48b">OfxTransactionContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">OfxStatementContainer</a>
+, <a class="el" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">OfxBankTransactionContainer</a>
+, <a class="el" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">OfxInvestmentTransactionContainer</a>
+<li>add_balance()
+: <a class="el" href="classOfxStatementContainer.html#91534efc97834de2ddfc66e4e0e75b5c">OfxStatementContainer</a>
+<li>add_container()
+: <a class="el" href="classOfxMainContainer.html#e60ff6ec23a3a54d08cb86f088105b29">OfxMainContainer</a>
+<li>add_to_main_tree()
+: <a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">OfxStatementContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">OfxGenericContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">OfxSecurityContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">OfxTransactionContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#ace001be26cc920eefdfc9d695e5f3d9">OfxSecurityContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#172bdf425c7b89f8c1129a40307cac6e">OfxGenericContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#ca63153b74c6b4801e9b06a6f460e81d">OfxStatementContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f">OfxSecurityContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#172bdf425c7b89f8c1129a40307cac6e">OfxGenericContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d">OfxStatementContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d">OfxTransactionContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">OfxAccountContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#44769e07a94afa5f75ef8076729fc090">OfxTransactionContainer</a>
+<li>append_child()
+: <a class="el" href="classtree.html#1fb4734b783fed4a66c24130af67316e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>append_children()
+: <a class="el" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== added file 'doc/html/functions_func_0x62.html'
--- doc/html/functions_func_0x62.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x62.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,73 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li class="current"><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
+<li>BankStatementRequest()
+: <a class="el" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">OfxStatementRequest</a>
+<li>begin()
+: <a class="el" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+, <a class="el" href="classtree.html#7def49a7fab1b74d30bdf73fe27c3cfd">tree&lt; T, tree_node_allocator &gt;</a>
+<li>begin_fixed()
+: <a class="el" href="classtree.html#32efdda22e59c2e627fc8de2ea4b2729">tree&lt; T, tree_node_allocator &gt;</a>
+<li>begin_post()
+: <a class="el" href="classtree.html#c589b0b9d7b7bec68232c37de5a7318f">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x63.html'
--- doc/html/functions_func_0x63.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x63.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,72 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li class="current"><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
+<li>child()
+: <a class="el" href="classtree.html#446c722c82607f8b3243a9153b665d19">tree&lt; T, tree_node_allocator &gt;</a>
+<li>clear()
+: <a class="el" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a">tree&lt; T, tree_node_allocator &gt;</a>
+<li>CreditCardStatementRequest()
+: <a class="el" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">OfxStatementRequest</a>
+<li>currentFileType()
+: <a class="el" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">LibofxContext</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x64.html'
--- doc/html/functions_func_0x64.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x64.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,75 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li class="current"><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
+<li>data()
+: <a class="el" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">OFXApplication</a>
+<li>depth()
+: <a class="el" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1">tree&lt; T, tree_node_allocator &gt;</a>
+<li>descend_all()
+: <a class="el" href="classtree_1_1post__order__iterator.html#ca4676b4986854521cfa2c7d84f62204">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+<li>dtdDir()
+: <a class="el" href="classLibofxContext.html#6dae6a246107b895953e071896891cca">LibofxContext</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x65.html'
--- doc/html/functions_func_0x65.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x65.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,94 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li class="current"><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
+<li>empty()
+: <a class="el" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2">tree&lt; T, tree_node_allocator &gt;</a>
+<li>end()
+: <a class="el" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+, <a class="el" href="classtree.html#ee5bbcc93836876ebb7a4f85f9d562f3">tree&lt; T, tree_node_allocator &gt;</a>
+<li>end_fixed()
+: <a class="el" href="classtree.html#bab26c0edd25cc836ed768e32c034165">tree&lt; T, tree_node_allocator &gt;</a>
+<li>end_post()
+: <a class="el" href="classtree.html#874c4d85ee7631a996874d32429ec575">tree&lt; T, tree_node_allocator &gt;</a>
+<li>endElement()
+: <a class="el" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">OFXApplication</a>
+<li>equal()
+: <a class="el" href="classtree.html#59488f63fc6ad997809d971c48ecfc04">tree&lt; T, tree_node_allocator &gt;</a>
+<li>equal_subtree()
+: <a class="el" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">tree&lt; T, tree_node_allocator &gt;</a>
+<li>erase()
+: <a class="el" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b">tree&lt; T, tree_node_allocator &gt;</a>
+<li>erase_children()
+: <a class="el" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc">tree&lt; T, tree_node_allocator &gt;</a>
+<li>error()
+: <a class="el" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb">OFXApplication</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x66.html'
--- doc/html/functions_func_0x66.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x66.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,70 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li class="current"><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_f">- f -</a></h3><ul>
+<li>find_security()
+: <a class="el" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">OfxMainContainer</a>
+<li>fixed_depth_iterator()
+: <a class="el" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+<li>flatten()
+: <a class="el" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x67.html'
--- doc/html/functions_func_0x67.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x67.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,85 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li class="current"><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_g">- g -</a></h3><ul>
+<li>gen_event()
+: <a class="el" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">OfxGenericContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7">OfxStatementContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d">OfxSecurityContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">OfxStatementContainer</a>
+, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">OfxSecurityContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">OfxTransactionContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">OfxAccountContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#d611872172c612d1a2aa56946debd2f0">OfxStatementContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#57d3ae11d686961d6d5745cd02576694">OfxGenericContainer</a>
+, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#7281e2998d54cac58cbdeb46ebe16ede">OfxTransactionContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#847cb92d3247bef45535f8000c688d07">OfxSecurityContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#32af3ba39b8276f4f39b1cad85b6bc45">OfxAccountContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99">OfxTransactionContainer</a>
+, <a class="el" href="classOfxGenericContainer.html#57d3ae11d686961d6d5745cd02576694">OfxGenericContainer</a>
+, <a class="el" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">OfxMainContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4">OfxAccountContainer</a>
+<li>getparent()
+: <a class="el" href="classOfxGenericContainer.html#20c3e9b8e1c564b0050c446dd1371f5d">OfxGenericContainer</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x69.html'
--- doc/html/functions_func_0x69.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x69.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,80 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li class="current"><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
+<li>index()
+: <a class="el" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86">tree&lt; T, tree_node_allocator &gt;</a>
+<li>insert()
+: <a class="el" href="classtree.html#c3d19d3a42f91618267674f2c236aad9">tree&lt; T, tree_node_allocator &gt;</a>
+<li>insert_after()
+: <a class="el" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>insert_subtree()
+: <a class="el" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5">tree&lt; T, tree_node_allocator &gt;</a>
+<li>InvestmentStatementRequest()
+: <a class="el" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">OfxStatementRequest</a>
+<li>is_in_subtree()
+: <a class="el" href="classtree.html#825e2106781e846bdd8732c117dc21db">tree&lt; T, tree_node_allocator &gt;</a>
+<li>is_valid()
+: <a class="el" href="classtree.html#9605b028195248894dc8cf506cd256e3">tree&lt; T, tree_node_allocator &gt;</a>
+<li>iterator_base()
+: <a class="el" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x6c.html'
--- doc/html/functions_func_0x6c.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x6c.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,66 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li class="current"><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
+<li>LibofxContext()
+: <a class="el" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x6d.html'
--- doc/html/functions_func_0x6d.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x6d.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,72 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li class="current"><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
+<li>merge()
+: <a class="el" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1">tree&lt; T, tree_node_allocator &gt;</a>
+<li>move_after()
+: <a class="el" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63">tree&lt; T, tree_node_allocator &gt;</a>
+<li>move_before()
+: <a class="el" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86">tree&lt; T, tree_node_allocator &gt;</a>
+<li>move_ontop()
+: <a class="el" href="classtree.html#a4f8b906b2758eec530e28387b819284">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x6e.html'
--- doc/html/functions_func_0x6e.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x6e.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,77 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li class="current"><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_n">- n -</a></h3><ul>
+<li>next_at_same_depth()
+: <a class="el" href="classtree.html#ce3b299e157ec177230a0144771b2a7e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>next_sibling()
+: <a class="el" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff">tree&lt; T, tree_node_allocator &gt;</a>
+<li>NodeParser()
+: <a class="el" href="classNodeParser.html#27485b1323433cd1f008fba38150cc89">NodeParser</a>
+<li>number_of_children()
+: <a class="el" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa">tree&lt; T, tree_node_allocator &gt;</a>
+, <a class="el" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+, <a class="el" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa">tree&lt; T, tree_node_allocator &gt;</a>
+, <a class="el" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>number_of_siblings()
+: <a class="el" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x6f.html'
--- doc/html/functions_func_0x6f.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x6f.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,152 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li class="current"><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
+<li>OFCApplication()
+: <a class="el" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">OFCApplication</a>
+<li>OfxAccountContainer()
+: <a class="el" href="classOfxAccountContainer.html#da1972a79e8c8096184ea7a22968f35c">OfxAccountContainer</a>
+<li>OfxAccountInfoRequest()
+: <a class="el" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest</a>
+<li>OfxAggregate()
+: <a class="el" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">OfxAggregate</a>
+<li>OFXApplication()
+: <a class="el" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">OFXApplication</a>
+<li>OfxBalanceContainer()
+: <a class="el" href="classOfxBalanceContainer.html#96baefa68988c2d9c2f46f553d40599f">OfxBalanceContainer</a>
+<li>OfxBankTransactionContainer()
+: <a class="el" href="classOfxBankTransactionContainer.html#59d1936cd1cd0a66c4c0a8e993c123f4">OfxBankTransactionContainer</a>
+<li>OfxDummyContainer()
+: <a class="el" href="classOfxDummyContainer.html#b28080b768be9d5d36d8b7791591bbcd">OfxDummyContainer</a>
+<li>OfxGenericContainer()
+: <a class="el" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>
+<li>OfxInvestmentTransactionContainer()
+: <a class="el" href="classOfxInvestmentTransactionContainer.html#ffd3c5d7c722248c8b07c44d6495f2ed">OfxInvestmentTransactionContainer</a>
+<li>OfxMainContainer()
+: <a class="el" href="classOfxMainContainer.html#bdecebdd778e0169bcb7389f8db0454d">OfxMainContainer</a>
+<li>OfxPaymentRequest()
+: <a class="el" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest</a>
+<li>OfxPushUpContainer()
+: <a class="el" href="classOfxPushUpContainer.html#1fa2e01710b00ce7bdb80d5c9fbb3d2c">OfxPushUpContainer</a>
+<li>OfxRequest()
+: <a class="el" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">OfxRequest</a>
+<li>OfxSecurityContainer()
+: <a class="el" href="classOfxSecurityContainer.html#6463edacc95fc03733c0e7fb6776c15f">OfxSecurityContainer</a>
+<li>OfxStatementContainer()
+: <a class="el" href="classOfxStatementContainer.html#974c762415e209a77957ccabca3a4506">OfxStatementContainer</a>
+<li>OfxStatementRequest()
+: <a class="el" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest</a>
+<li>OfxStatusContainer()
+: <a class="el" href="classOfxStatusContainer.html#5c46c8df8db712f6ad37b49fd6af5dc0">OfxStatusContainer</a>
+<li>OfxTransactionContainer()
+: <a class="el" href="classOfxTransactionContainer.html#d43b43b1006be733490c4e25f8a41434">OfxTransactionContainer</a>
+<li>openEntityChange()
+: <a class="el" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">OFXApplication</a>
+<li>operator *()
+: <a class="el" href="classtree_1_1iterator__base.html#ada7cbe4d4f9a5ec29db78d10712edc6">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>operator!=()
+: <a class="el" href="classtree_1_1pre__order__iterator.html#14425c7743e9a6da2d96b172a85d2bed">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1post__order__iterator.html#59f0d0d145f27ed094a69214e1831102">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#2f4b2c5112c9d16f65852bc84d34c9c9">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>operator()()
+: <a class="el" href="classtree_1_1iterator__base__less.html#3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b">tree&lt; T, tree_node_allocator &gt;::iterator_base_less</a>
+<li>operator++()
+: <a class="el" href="classtree_1_1post__order__iterator.html#baba42c4ecb0a0bb8b21b0c28dfa3009">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#07b77d1591ad7f05e4531489561d36d2">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1post__order__iterator.html#7041325e846017886e7c43d9c1c2cddb">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1fixed__depth__iterator.html#71bcee62caa033974d5c0d94ab0dc0c6">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#8d0d647a7843432b5ccc18724fcc3493">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>operator+=()
+: <a class="el" href="classtree_1_1fixed__depth__iterator.html#6909c400794c6feb49d75b99dbf6aa00">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+, <a class="el" href="classtree_1_1post__order__iterator.html#0b6c2246f41b0a2ff8e4c9d9efcee879">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#d36b6994a50c0f73154b08ab35abf336">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#5ab66cd50ae22c9b246231b41b7720f5">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+<li>operator--()
+: <a class="el" href="classtree_1_1post__order__iterator.html#f2c0df6c235853aa2191d02a557a1fea">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1fixed__depth__iterator.html#b404acdf3639ea5e5ce2ae65b77b94c7">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#eac6e7802aabdf7050b314af8d56c81d">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+, <a class="el" href="classtree_1_1fixed__depth__iterator.html#39a2c5b5048ec0dfff33fbb55bd7767e">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#4e2dd21653724b6413d9949caf9bb107">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1post__order__iterator.html#f70bbd10b24ca0cf1c674e4ef40899db">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#9ccab7bd408c6d0a221f69d11f7f3717">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#7e91377755da77acd20d5b9356f7498e">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>operator-=()
+: <a class="el" href="classtree_1_1post__order__iterator.html#93b7ddae75f30985a0d81f38bcbaa306">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#f7b0a37317400fe16a1ad422c1ee6fa1">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#722aedfd8f8be3490324a587d17cb133">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+, <a class="el" href="classtree_1_1fixed__depth__iterator.html#e8ccf119ae29e96044d9a4eeca2a539d">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+<li>operator-&gt;()
+: <a class="el" href="classtree_1_1iterator__base.html#bd9c59569df7d8be5a50c835c180f4dc">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>operator=()
+: <a class="el" href="classtree.html#9561c0c73b0605f32bf82a026eaf216a">tree&lt; T, tree_node_allocator &gt;</a>
+<li>operator==()
+: <a class="el" href="classtree_1_1post__order__iterator.html#b1303f191d6bc8a62e5f03fa53466ec4">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+, <a class="el" href="classtree_1_1sibling__iterator.html#f235d7b64b7d2654437482bab80c797b">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+, <a class="el" href="classtree_1_1pre__order__iterator.html#ea8dee1bfc2450608b2b35d26a9f11b7">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+<li>Output()
+: <a class="el" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">OfxAggregate</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x70.html'
--- doc/html/functions_func_0x70.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x70.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,74 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li class="current"><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
+<li>parent()
+: <a class="el" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28">tree&lt; T, tree_node_allocator &gt;</a>
+<li>Path()
+: <a class="el" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">NodeParser</a>
+<li>post_order_iterator()
+: <a class="el" href="classtree_1_1post__order__iterator.html#bbe898c229fab7e833da744a76aca5ab">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+<li>pre_order_iterator()
+: <a class="el" href="classtree_1_1pre__order__iterator.html#afdaf0da69c4406b916c14c5589fa391">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+<li>previous_sibling()
+: <a class="el" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x72.html'
--- doc/html/functions_func_0x72.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x72.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,74 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li class="current"><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
+<li>range_first()
+: <a class="el" href="classtree_1_1sibling__iterator.html#faed5294cdf5a6679c788fff0196c2a8">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>range_last()
+: <a class="el" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>reparent()
+: <a class="el" href="classtree.html#021a394ff7139df8573e2cb80e6beaa2">tree&lt; T, tree_node_allocator &gt;</a>
+<li>replace()
+: <a class="el" href="classtree.html#5d2ad4532598f26c84b1ab0ec84a5d62">tree&lt; T, tree_node_allocator &gt;</a>
+<li>RequestMessage()
+: <a class="el" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">OfxRequest</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x73.html'
--- doc/html/functions_func_0x73.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x73.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,108 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li class="current"><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
+<li>securityCallback()
+: <a class="el" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">LibofxContext</a>
+<li>Select()
+: <a class="el" href="classNodeParser.html#a94fa78e9dbb1495dbbb894bd712f6c0">NodeParser</a>
+<li>set_head()
+: <a class="el" href="classtree.html#16e33d0c3cd419a9fc8fd14e8d1a0768">tree&lt; T, tree_node_allocator &gt;</a>
+<li>setAccountCallback()
+: <a class="el" href="classLibofxContext.html#b02f2c152eb2639e3b02dcbd919036b8">LibofxContext</a>
+<li>setCurrentFileType()
+: <a class="el" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">LibofxContext</a>
+<li>setDtdDir()
+: <a class="el" href="classLibofxContext.html#4980d93a2eaadae7c6ff2cff26be003d">LibofxContext</a>
+<li>setSecurityCallback()
+: <a class="el" href="classLibofxContext.html#d3ab77c33566ca7227613e1fbb36ea1b">LibofxContext</a>
+<li>setStatementCallback()
+: <a class="el" href="classLibofxContext.html#8a1337b72f678900606b924806603855">LibofxContext</a>
+<li>setStatusCallback()
+: <a class="el" href="classLibofxContext.html#c9a366e3bc8db89ef721e1e2ef57a8d6">LibofxContext</a>
+<li>setTransactionCallback()
+: <a class="el" href="classLibofxContext.html#d5575fed475d9a755d71ff1f90d7ea98">LibofxContext</a>
+<li>sibling_iterator()
+: <a class="el" href="classtree_1_1sibling__iterator.html#8def7a6f3e109876cb003f4254885ca0">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>SignOnRequest()
+: <a class="el" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">OfxRequest</a>
+<li>size()
+: <a class="el" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523">tree&lt; T, tree_node_allocator &gt;</a>
+<li>skip_children()
+: <a class="el" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>sort()
+: <a class="el" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>startElement()
+: <a class="el" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05">OFCApplication</a>
+, <a class="el" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77">OFXApplication</a>
+, <a class="el" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05">OFCApplication</a>
+<li>statementCallback()
+: <a class="el" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">LibofxContext</a>
+<li>statusCallback()
+: <a class="el" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">LibofxContext</a>
+<li>subtree()
+: <a class="el" href="classtree.html#830cccac50df183c44c6ff83cab5a27f">tree&lt; T, tree_node_allocator &gt;</a>
+<li>swap()
+: <a class="el" href="classtree.html#e842f9b70235bc2412b3c43bca759448">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x74.html'
--- doc/html/functions_func_0x74.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x74.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,70 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li class="current"><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
+<li>Text()
+: <a class="el" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">NodeParser</a>
+<li>transactionCallback()
+: <a class="el" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">LibofxContext</a>
+<li>tree()
+: <a class="el" href="classtree.html#b72378e7a772a82f90d91ef7493f27bc">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_func_0x7e.html'
--- doc/html/functions_func_0x7e.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_func_0x7e.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,86 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Functions</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
+    <li><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_func.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
+    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
+    <li class="current"><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_~">- ~ -</a></h3><ul>
+<li>~LibofxContext()
+: <a class="el" href="classLibofxContext.html#08c06eedebc157876ff10c76570836e3">LibofxContext</a>
+<li>~OfxAccountContainer()
+: <a class="el" href="classOfxAccountContainer.html#64691a91027e92c8cbc5bb1240d3f1b8">OfxAccountContainer</a>
+<li>~OFXApplication()
+: <a class="el" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">OFXApplication</a>
+<li>~OfxBalanceContainer()
+: <a class="el" href="classOfxBalanceContainer.html#db4feb10b8e5328aab5025ff49fd43f5">OfxBalanceContainer</a>
+<li>~OfxGenericContainer()
+: <a class="el" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">OfxGenericContainer</a>
+<li>~OfxMainContainer()
+: <a class="el" href="classOfxMainContainer.html#195e97a1121a6efdf898bd1cc5c43f8f">OfxMainContainer</a>
+<li>~OfxSecurityContainer()
+: <a class="el" href="classOfxSecurityContainer.html#5205f0a09177451b4a6420da7420c256">OfxSecurityContainer</a>
+<li>~OfxStatementContainer()
+: <a class="el" href="classOfxStatementContainer.html#085def18d3414dc93d256b08d8f3ea2c">OfxStatementContainer</a>
+<li>~OfxStatusContainer()
+: <a class="el" href="classOfxStatusContainer.html#cedeebfa681e9b075c8168196752c2a8">OfxStatusContainer</a>
+<li>~OfxTransactionContainer()
+: <a class="el" href="classOfxTransactionContainer.html#8c24bf77f0154df5bdf134ebac97b12e">OfxTransactionContainer</a>
+<li>~tree()
+: <a class="el" href="classtree.html#f0169b515c95f4299fd2d984137b7868">tree&lt; T, tree_node_allocator &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== modified file 'doc/html/functions_type.html'
--- doc/html/functions_type.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_type.html	2008-02-06 17:25:16 +0000
@@ -1,29 +1,31 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields - Typedefs</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
     <li><a href="functions_vars.html"><span>Variables</span></a></li>
-    <li id="current"><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li class="current"><a href="functions_type.html"><span>Typedefs</span></a></li>
     <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
     <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
   </ul>
@@ -32,16 +34,29 @@
 <p>
 <ul>
 <li>difference_type
-: <a class="el" href="classtree_1_1iterator__base.html#ebbd8db196719de8eff9735650c352df">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>iterator
-: <a class="el" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">tree&lt; T, tree_node_allocator &gt;</a><li>iterator_category
-: <a class="el" href="classtree_1_1iterator__base.html#42e7358332b27206caab9be4a1000591">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>pointer
-: <a class="el" href="classtree_1_1iterator__base.html#da03d0e3df9658b06bfaff826688cc7e">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>reference
-: <a class="el" href="classtree_1_1iterator__base.html#35ff9b8029f33c2e0469bad23764f9d2">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>size_type
-: <a class="el" href="classtree_1_1iterator__base.html#4976a767b9690e1cd1e22282baef899f">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>tree_node
-: <a class="el" href="classtree.html#ce325844a601660acbe7687991f8a225">tree&lt; T, tree_node_allocator &gt;</a><li>value_type
-: <a class="el" href="classtree_1_1iterator__base.html#4e4ebb94593d3fb0557b5826efffbb22">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>, <a class="el" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree_1_1iterator__base.html#4e4ebb94593d3fb0557b5826efffbb22">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>, <a class="el" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>iterator
+: <a class="el" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e">tree&lt; T, tree_node_allocator &gt;</a>
+<li>iterator_category
+: <a class="el" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>pointer
+: <a class="el" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>reference
+: <a class="el" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>size_type
+: <a class="el" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>tree_node
+: <a class="el" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree&lt; T, tree_node_allocator &gt;</a>
+<li>value_type
+: <a class="el" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">tree&lt; T, tree_node_allocator &gt;</a>
+, <a class="el" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+, <a class="el" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">tree&lt; T, tree_node_allocator &gt;</a>
+, <a class="el" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+, <a class="el" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">tree&lt; T, tree_node_allocator &gt;</a>
+, <a class="el" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/functions_vars.html'
--- doc/html/functions_vars.html	2006-10-20 13:12:33 +0000
+++ doc/html/functions_vars.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields - Variables</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li id="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="functions.html"><span>All</span></a></li>
     <li><a href="functions_func.html"><span>Functions</span></a></li>
-    <li id="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
     <li><a href="functions_type.html"><span>Typedefs</span></a></li>
     <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
     <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
@@ -30,24 +32,24 @@
 </div>
 <div class="tabs">
   <ul>
-    <li><a href="#index_a"><span>a</span></a></li>
-    <li><a href="#index_b"><span>b</span></a></li>
-    <li><a href="#index_c"><span>c</span></a></li>
-    <li><a href="#index_d"><span>d</span></a></li>
-    <li><a href="#index_e"><span>e</span></a></li>
-    <li><a href="#index_f"><span>f</span></a></li>
-    <li><a href="#index_h"><span>h</span></a></li>
-    <li><a href="#index_i"><span>i</span></a></li>
-    <li><a href="#index_l"><span>l</span></a></li>
-    <li><a href="#index_m"><span>m</span></a></li>
-    <li><a href="#index_n"><span>n</span></a></li>
-    <li><a href="#index_o"><span>o</span></a></li>
-    <li><a href="#index_p"><span>p</span></a></li>
-    <li><a href="#index_r"><span>r</span></a></li>
-    <li><a href="#index_s"><span>s</span></a></li>
-    <li><a href="#index_t"><span>t</span></a></li>
-    <li><a href="#index_u"><span>u</span></a></li>
-    <li><a href="#index_v"><span>v</span></a></li>
+    <li class="current"><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
   </ul>
 </div>
 
@@ -56,182 +58,74 @@
 <p>
 <h3><a class="anchor" name="index_a">- a -</a></h3><ul>
 <li>account
-: <a class="el" href="structOfxPayment.html#d57648ec18e28322c8cc71fce995f083">OfxPayment</a><li>account_id
-: <a class="el" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">OfxStatementData</a>, <a class="el" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">OfxTransactionData</a>, <a class="el" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">OfxAccountData</a><li>account_id_valid
-: <a class="el" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">OfxStatementData</a>, <a class="el" href="structOfxTransactionData.html#02095f6be8951af8640d6e4d96e6a7c7">OfxTransactionData</a>, <a class="el" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">OfxAccountData</a><li>account_name
-: <a class="el" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">OfxAccountData</a><li>account_number
-: <a class="el" href="structOfxAccountData.html#4055a6a7c29f5d7227a21143c15827cc">OfxAccountData</a><li>account_number_valid
-: <a class="el" href="structOfxAccountData.html#4f3d55c94002500f9f3e3b398a71f9b0">OfxAccountData</a><li>account_ptr
-: <a class="el" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">OfxStatementData</a>, <a class="el" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">OfxTransactionData</a>, <a class="el" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">OfxStatementData</a>, <a class="el" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">OfxTransactionData</a><li>account_type
-: <a class="el" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">OfxAccountData</a><li>account_type_valid
-: <a class="el" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">OfxAccountData</a><li>accountid
-: <a class="el" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">OfxAccountInfo</a><li>accountlist
-: <a class="el" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">OfxFiServiceInfo</a><li>address1
-: <a class="el" href="structOfxPayee.html#3509ec9ece608232be3ffc63b4077d27">OfxPayee</a><li>amount
-: <a class="el" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">OfxBalanceContainer</a>, <a class="el" href="structOfxPayment.html#fb1972bf3033b4604422d21273bb8d4e">OfxPayment</a>, <a class="el" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">OfxTransactionData</a><li>amount_valid
-: <a class="el" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">OfxBalanceContainer</a>, <a class="el" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">OfxTransactionData</a><li>available_balance
-: <a class="el" href="structOfxStatementData.html#da9c55ec9c74912447df814e9d4cca91">OfxStatementData</a><li>available_balance_date
-: <a class="el" href="structOfxStatementData.html#bbed79d9d703d99258707077ec8fb237">OfxStatementData</a><li>available_balance_date_valid
-: <a class="el" href="structOfxStatementData.html#b43a960e67c71cd8b7c91376ca12d462">OfxStatementData</a><li>available_balance_valid
-: <a class="el" href="structOfxStatementData.html#2b21efec7e7c885db13af63230c1a76d">OfxStatementData</a></ul>
-<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
-<li>bank_id
-: <a class="el" href="structOfxAccountData.html#b52ce38f9b338995155193e251a913eb">OfxAccountData</a><li>bank_id_valid
-: <a class="el" href="structOfxAccountData.html#383072a07037bd2a6e3b3bdd2dd8ce68">OfxAccountData</a><li>bankid
-: <a class="el" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">OfxAccountInfo</a><li>billpay
-: <a class="el" href="structOfxFiServiceInfo.html#41f3e3e7d5e090592791c8132fe14030">OfxFiServiceInfo</a><li>branch_id
-: <a class="el" href="structOfxAccountData.html#392911775b01dcd1fa08f8aae8d6354b">OfxAccountData</a><li>branch_id_valid
-: <a class="el" href="structOfxAccountData.html#a90da480f5333cb62e65abff64fc8ca1">OfxAccountData</a><li>broker_id
-: <a class="el" href="structOfxAccountData.html#638e07ea5ceae389d128b18451a92c3f">OfxAccountData</a><li>broker_id_valid
-: <a class="el" href="structOfxAccountData.html#18c96bae133fcb04c8f5cdadd2d785ca">OfxAccountData</a><li>brokerid
-: <a class="el" href="structOfxAccountInfo.html#1b8903e24442ff02fc0a12ee0592cae6">OfxAccountInfo</a></ul>
-<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
-<li>check_number
-: <a class="el" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">OfxTransactionData</a><li>check_number_valid
-: <a class="el" href="structOfxTransactionData.html#8b49156636e8dc3b1f56ae91955765b4">OfxTransactionData</a><li>city
-: <a class="el" href="structOfxPayee.html#4b3bd752ae504378f3bd3822e969b2fa">OfxPayee</a><li>code
-: <a class="el" href="structErrorMsg.html#95f22180acb45e48ab748671ff12fee8">ErrorMsg</a>, <a class="el" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">OfxStatusData</a><li>code_valid
-: <a class="el" href="structOfxStatusData.html#69d5e443877e2e9300197a6057060a68">OfxStatusData</a><li>commission
-: <a class="el" href="structOfxTransactionData.html#37fb3882c1bc7079e47d2007af1ca028">OfxTransactionData</a><li>commission_valid
-: <a class="el" href="structOfxTransactionData.html#86d8e5fc00290bb173c1b6b948c35dd3">OfxTransactionData</a><li>currency
-: <a class="el" href="structOfxCurrency.html#178b53e406a02275243f1e1e483220e8">OfxCurrency</a>, <a class="el" href="structOfxStatementData.html#8c016ce953f1d4d3d08573f0181f7fc8">OfxStatementData</a>, <a class="el" href="structOfxSecurityData.html#6f943b5de690b0c8e3577ee32dc0f682">OfxSecurityData</a>, <a class="el" href="structOfxAccountData.html#c32bd379c1cdf26d0dfdb0d4992ba9e0">OfxAccountData</a><li>currency_valid
-: <a class="el" href="structOfxStatementData.html#2e01678983fb37679da62d982932301a">OfxStatementData</a>, <a class="el" href="structOfxSecurityData.html#b510698f4aadf98dea2a38774afecf36">OfxSecurityData</a>, <a class="el" href="structOfxAccountData.html#ec553bba34510a9085d8395ae57eb4d2">OfxAccountData</a></ul>
-<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
-<li>data
-: <a class="el" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">OFXApplication</a>, <a class="el" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">OFCApplication</a>, <a class="el" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">OFXApplication</a>, <a class="el" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">OFCApplication</a>, <a class="el" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">tree_node_&lt; T &gt;</a>, <a class="el" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">OfxTransactionContainer</a>, <a class="el" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">OfxSecurityContainer</a>, <a class="el" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">OfxAccountContainer</a>, <a class="el" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">OfxStatementContainer</a>, <a class="el" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">OfxStatusContainer</a><li>date
-: <a class="el" href="classOfxBalanceContainer.html#6279f38dda6287846812f96e54a3e026">OfxBalanceContainer</a><li>date_end
-: <a class="el" href="structOfxStatementData.html#9a9474d4266ee8362691de638eb2b95b">OfxStatementData</a><li>date_end_valid
-: <a class="el" href="structOfxStatementData.html#da9e71bfc700d9836f8ed1a0a5394d68">OfxStatementData</a><li>date_funds_available
-: <a class="el" href="structOfxTransactionData.html#be9a3435e5c27396714b915bbec892d9">OfxTransactionData</a><li>date_funds_available_valid
-: <a class="el" href="structOfxTransactionData.html#a279f61654ffc1119f4a7a0475314b8f">OfxTransactionData</a><li>date_initiated
-: <a class="el" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">OfxTransactionData</a><li>date_initiated_valid
-: <a class="el" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">OfxTransactionData</a><li>date_posted
-: <a class="el" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">OfxTransactionData</a><li>date_posted_valid
-: <a class="el" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">OfxTransactionData</a><li>date_start
-: <a class="el" href="structOfxStatementData.html#e309f20e09668f4d0cf852f771d2cc16">OfxStatementData</a><li>date_start_valid
-: <a class="el" href="structOfxStatementData.html#dc9f69ca4ccb9ce8b2ee99a633ce1663">OfxStatementData</a><li>date_unitprice
-: <a class="el" href="structOfxSecurityData.html#2be22a41f746673f06ea6b6820cc17e9">OfxSecurityData</a><li>date_unitprice_valid
-: <a class="el" href="structOfxSecurityData.html#45533d8f177dc2a329d03c5e79f0dd14">OfxSecurityData</a><li>date_valid
-: <a class="el" href="classOfxBalanceContainer.html#c4f467bce968ab7dc878a2a999224d65">OfxBalanceContainer</a><li>datedue
-: <a class="el" href="structOfxPayment.html#9b30730015e0bdcf6661eadcb82b6698">OfxPayment</a><li>description
-: <a class="el" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">ErrorMsg</a>, <a class="el" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">OfxStatusData</a>, <a class="el" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">LibofxFileFormatInfo</a>, <a class="el" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">ErrorMsg</a>, <a class="el" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">OfxStatusData</a>, <a class="el" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">LibofxFileFormatInfo</a></ul>
-<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
-<li>exchange_rate
-: <a class="el" href="structOfxCurrency.html#978f8a9698789bb843d19fa39d972f2f">OfxCurrency</a></ul>
-<h3><a class="anchor" name="index_f">- f -</a></h3><ul>
-<li>fees
-: <a class="el" href="structOfxTransactionData.html#e3ec90702e1e5abbae847c77eb9cfc0e">OfxTransactionData</a><li>fees_valid
-: <a class="el" href="structOfxTransactionData.html#fed8f3953c6f8d1d346be5c61501a93e">OfxTransactionData</a><li>feet
-: <a class="el" href="classtree.html#e45df182e3702084c6bd147d6479cc08">tree&lt; T, tree_node_allocator &gt;</a><li>fi_id
-: <a class="el" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">OfxTransactionData</a><li>fi_id_corrected
-: <a class="el" href="structOfxTransactionData.html#9db59281d0b9883e307da469e45c5e25">OfxTransactionData</a><li>fi_id_corrected_valid
-: <a class="el" href="structOfxTransactionData.html#760693682215d56c510ddf222514d18e">OfxTransactionData</a><li>fi_id_correction_action
-: <a class="el" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">OfxTransactionData</a><li>fi_id_correction_action_valid
-: <a class="el" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">OfxTransactionData</a><li>fi_id_valid
-: <a class="el" href="structOfxTransactionData.html#9922d2151c43440ffe643fbf8cc1bb36">OfxTransactionData</a><li>fid
-: <a class="el" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">OfxFiLogin</a>, <a class="el" href="structOfxFiServiceInfo.html#2dbea9cf2b6881ee430000a168cd8338">OfxFiServiceInfo</a><li>first_child
-: <a class="el" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">tree_node_&lt; T &gt;</a><li>first_parent_
-: <a class="el" href="classtree_1_1fixed__depth__iterator.html#7571c412f3df322bbdb1411960532e93">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a><li>flag
-: <a class="el" href="structoption.html#8f77295b521f0c6c955608190229d4a3">option</a><li>format
-: <a class="el" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">LibofxFileFormatInfo</a><li>format_name
-: <a class="el" href="structLibofxFileFormatInfo.html#d2cedb4565d24bf632fb95d3974e316b">LibofxFileFormatInfo</a></ul>
-<h3><a class="anchor" name="index_h">- h -</a></h3><ul>
-<li>has_arg
-: <a class="el" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">option</a><li>head
-: <a class="el" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">tree&lt; T, tree_node_allocator &gt;</a></ul>
-<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
-<li>investments
-: <a class="el" href="structOfxFiServiceInfo.html#a390b4cdb30ff1c96114b77c0e0737f6">OfxFiServiceInfo</a><li>invtransactiontype
-: <a class="el" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">OfxTransactionData</a><li>invtransactiontype_valid
-: <a class="el" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">OfxTransactionData</a></ul>
-<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
-<li>last_child
-: <a class="el" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">tree_node_&lt; T &gt;</a><li>ledger_balance
-: <a class="el" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">OfxStatementData</a><li>ledger_balance_date
-: <a class="el" href="structOfxStatementData.html#6c67dd7b0665b531e773f543fc7fb81c">OfxStatementData</a><li>ledger_balance_date_valid
-: <a class="el" href="structOfxStatementData.html#156eaa5cdf06cfbb42f671d53e32f4c8">OfxStatementData</a><li>ledger_balance_valid
-: <a class="el" href="structOfxStatementData.html#36aa92a5090a5b005003a56d030bfe2d">OfxStatementData</a><li>libofx_context
-: <a class="el" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">OfxGenericContainer</a></ul>
-<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
-<li>m_login
-: <a class="el" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">OfxRequest</a><li>marketing_info
-: <a class="el" href="structOfxStatementData.html#fb61c45788b7da6fde86b94c39721b35">OfxStatementData</a><li>marketing_info_valid
-: <a class="el" href="structOfxStatementData.html#51882ec4112a0784458335387a2307d9">OfxStatementData</a><li>memo
-: <a class="el" href="structOfxPayment.html#e63577fa1dc3cff71b5dd6f09b0bd86a">OfxPayment</a>, <a class="el" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">OfxSecurityData</a><li>memo_valid
-: <a class="el" href="structOfxTransactionData.html#eccceb6745312b5bdcd919056e7d987f">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#fca86ce1faa30e4dcd6e31ff8fb8ab76">OfxSecurityData</a><li>must_convert
-: <a class="el" href="structOfxCurrency.html#7c4a8c93761859e996614694a973081c">OfxCurrency</a></ul>
-<h3><a class="anchor" name="index_n">- n -</a></h3><ul>
-<li>name
-: <a class="el" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">ErrorMsg</a>, <a class="el" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">option</a>, <a class="el" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">OfxStatusData</a>, <a class="el" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">ErrorMsg</a>, <a class="el" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">option</a>, <a class="el" href="structOfxPayee.html#244c3b827ff9a03b64819e004b6c2703">OfxPayee</a>, <a class="el" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">OfxTransactionData</a>, <a class="el" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">OfxStatusData</a><li>name_valid
-: <a class="el" href="structOfxTransactionData.html#b3c75cdec303b138889b3de61e75c869">OfxTransactionData</a><li>newunits
-: <a class="el" href="structOfxTransactionData.html#f0b75e90de07492e9aed6a57d879e358">OfxTransactionData</a><li>newunits_valid
-: <a class="el" href="structOfxTransactionData.html#fd317e28426dce6b508872d5a15d1651">OfxTransactionData</a><li>next_sibling
-: <a class="el" href="classtree.html#0d28ed2bd76b14ee168f5497159e685f">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">tree_node_&lt; T &gt;</a><li>node
-: <a class="el" href="classtree_1_1iterator__base.html#a3aa82cf685e610fad186b419930535b">tree&lt; T, tree_node_allocator &gt;::iterator_base</a></ul>
-<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
-<li>ofx_element_name
-: <a class="el" href="structOfxStatusData.html#659b7102e14a4d3e02bf0757ee1b12b9">OfxStatusData</a><li>ofx_element_name_valid
-: <a class="el" href="structOfxStatusData.html#39fa34d1bc8c87c27b118479cecd5bf6">OfxStatusData</a><li>oldunits
-: <a class="el" href="structOfxTransactionData.html#57a0bf358659ac3c28eb330ae8c0abb9">OfxTransactionData</a><li>oldunits_valid
-: <a class="el" href="structOfxTransactionData.html#5129a4ab98abe2227338d4d5cef94e53">OfxTransactionData</a><li>org
-: <a class="el" href="structOfxFiLogin.html#4b44e09e0f415913fea555001554cd3d">OfxFiLogin</a>, <a class="el" href="structOfxFiServiceInfo.html#73a4c5b29a004bb210c751636b2352db">OfxFiServiceInfo</a></ul>
-<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
-<li>parent
-: <a class="el" href="classtree.html#a00c1035eb3750d402f0830196264e7f">tree&lt; T, tree_node_allocator &gt;</a>, <a class="el" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">tree_node_&lt; T &gt;</a><li>parent_
-: <a class="el" href="classtree_1_1sibling__iterator.html#605ea84e128041819927947e219e021f">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a><li>parentcontainer
-: <a class="el" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">OfxGenericContainer</a><li>payee_id
-: <a class="el" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">OfxTransactionData</a><li>payee_id_valid
-: <a class="el" href="structOfxTransactionData.html#b2bdd11a3085660e89da09c86aeb9643">OfxTransactionData</a><li>phone
-: <a class="el" href="structOfxPayee.html#c79b99be08186762285da39f91948627">OfxPayee</a><li>postalcode
-: <a class="el" href="structOfxPayee.html#a07d96270910acde171ebe29a8a263c2">OfxPayee</a><li>prev_sibling
-: <a class="el" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">tree_node_&lt; T &gt;</a></ul>
-<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
-<li>reference_number
-: <a class="el" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">OfxTransactionData</a><li>reference_number_valid
-: <a class="el" href="structOfxTransactionData.html#6cca71dde5d0ced4458e4cc4d9be17e5">OfxTransactionData</a></ul>
-<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
-<li>secname
-: <a class="el" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">OfxSecurityData</a><li>secname_valid
-: <a class="el" href="structOfxSecurityData.html#2ac745aadacd3adff898b02c29a8ee50">OfxSecurityData</a><li>security_data_ptr
-: <a class="el" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">OfxTransactionData</a><li>security_data_valid
-: <a class="el" href="structOfxTransactionData.html#e778083e6550c520a2855a28367cd4cb">OfxTransactionData</a><li>server_message
-: <a class="el" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">OfxStatusData</a><li>server_message_valid
-: <a class="el" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">OfxStatusData</a><li>server_transaction_id
-: <a class="el" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">OfxTransactionData</a><li>server_transaction_id_valid
-: <a class="el" href="structOfxTransactionData.html#ac773a8cfd36ea8dcbff4a0173a5178d">OfxTransactionData</a><li>severity
-: <a class="el" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">OfxStatusData</a><li>severity_valid
-: <a class="el" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">OfxStatusData</a><li>skip_current_children_
-: <a class="el" href="classtree_1_1iterator__base.html#dc8121d0962f718bc628b325de66bb4f">tree&lt; T, tree_node_allocator &gt;::iterator_base</a><li>standard_industrial_code
-: <a class="el" href="structOfxTransactionData.html#3283c78f62957daba020a89f5f5ff632">OfxTransactionData</a><li>standard_industrial_code_valid
-: <a class="el" href="structOfxTransactionData.html#84c2f46550c8158d87074bba6d57d592">OfxTransactionData</a><li>state
-: <a class="el" href="structOfxPayee.html#05962d6b480e93be8ee06c6890aff0eb">OfxPayee</a><li>statements
-: <a class="el" href="structOfxFiServiceInfo.html#c02b7fbdca5599cfa064887cddf94804">OfxFiServiceInfo</a></ul>
-<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
-<li>tag_identifier
-: <a class="el" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">OfxGenericContainer</a><li>ticker
-: <a class="el" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">OfxSecurityData</a><li>ticker_valid
-: <a class="el" href="structOfxSecurityData.html#832eb4d40a617065f39d6543ae5cfdd4">OfxSecurityData</a><li>transactiontype
-: <a class="el" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">OfxTransactionData</a><li>transactiontype_valid
-: <a class="el" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">OfxTransactionData</a><li>type
-: <a class="el" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">OfxGenericContainer</a>, <a class="el" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">OfxAccountInfo</a></ul>
-<h3><a class="anchor" name="index_u">- u -</a></h3><ul>
-<li>unique_id
-: <a class="el" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">OfxSecurityData</a><li>unique_id_type
-: <a class="el" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">OfxSecurityData</a><li>unique_id_type_valid
-: <a class="el" href="structOfxTransactionData.html#7470f4b24458c5fc1ae4d32e04578832">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#fa8afe497229c9f561b734b784af4136">OfxSecurityData</a><li>unique_id_valid
-: <a class="el" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#7a07e05b7a7de7cbc93ef5819e08cdfb">OfxSecurityData</a><li>unitprice
-: <a class="el" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#e3c6ea360c7dce731d263c1f83b5cbd9">OfxSecurityData</a><li>unitprice_valid
-: <a class="el" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">OfxTransactionData</a>, <a class="el" href="structOfxSecurityData.html#6527ef1b5444ad8dcc5c9f3e53b93abc">OfxSecurityData</a><li>units
-: <a class="el" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">OfxTransactionData</a><li>units_valid
-: <a class="el" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">OfxTransactionData</a><li>url
-: <a class="el" href="structOfxFiServiceInfo.html#892b7434b389b85d67ece222f5dc1bdb">OfxFiServiceInfo</a><li>userid
-: <a class="el" href="structOfxFiLogin.html#7513251178c3f4d9b665132436428cdf">OfxFiLogin</a><li>userpass
-: <a class="el" href="structOfxFiLogin.html#2995949d8c307d2434ad82a61dbb6f1e">OfxFiLogin</a></ul>
-<h3><a class="anchor" name="index_v">- v -</a></h3><ul>
-<li>val
-: <a class="el" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">option</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+: <a class="el" href="structOfxPayment.html#851acab467352b911fa62781657ce328">OfxPayment</a>
+<li>account_id
+: <a class="el" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">OfxAccountData</a>
+, <a class="el" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">OfxStatementData</a>
+, <a class="el" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">OfxTransactionData</a>
+<li>account_id_valid
+: <a class="el" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">OfxAccountData</a>
+, <a class="el" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">OfxTransactionData</a>
+, <a class="el" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">OfxStatementData</a>
+<li>account_name
+: <a class="el" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">OfxAccountData</a>
+<li>account_number
+: <a class="el" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">OfxAccountData</a>
+<li>account_number_valid
+: <a class="el" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">OfxAccountData</a>
+<li>account_ptr
+: <a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">OfxStatementData</a>
+, <a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">OfxTransactionData</a>
+, <a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">OfxStatementData</a>
+, <a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">OfxTransactionData</a>
+, <a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">OfxStatementData</a>
+, <a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">OfxTransactionData</a>
+<li>account_type
+: <a class="el" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">OfxAccountData</a>
+<li>account_type_valid
+: <a class="el" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">OfxAccountData</a>
+<li>accountinfo_req_given
+: <a class="el" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956">gengetopt_args_info</a>
+<li>accountinfo_req_help
+: <a class="el" href="structgengetopt__args__info.html#4be453d9448470057d85b2d77498b1cf">gengetopt_args_info</a>
+<li>accountlist
+: <a class="el" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">OfxFiServiceInfo</a>
+<li>acct_arg
+: <a class="el" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281">gengetopt_args_info</a>
+<li>acct_given
+: <a class="el" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4">gengetopt_args_info</a>
+<li>acct_help
+: <a class="el" href="structgengetopt__args__info.html#c920c934e2095025f1d7048522a57c5e">gengetopt_args_info</a>
+<li>acct_orig
+: <a class="el" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55">gengetopt_args_info</a>
+<li>address1
+: <a class="el" href="structOfxPayee.html#985439daf6ac8a7a34c92e5f9e829901">OfxPayee</a>
+<li>allsupport_given
+: <a class="el" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19">gengetopt_args_info</a>
+<li>allsupport_help
+: <a class="el" href="structgengetopt__args__info.html#5257baf4b7c30840141c1891e59d6c29">gengetopt_args_info</a>
+<li>amount
+: <a class="el" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">OfxBalanceContainer</a>
+, <a class="el" href="structOfxPayment.html#ce2679ca7e17d6ba7a79cf03399beb8a">OfxPayment</a>
+, <a class="el" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">OfxTransactionData</a>
+<li>amount_valid
+: <a class="el" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">OfxTransactionData</a>
+, <a class="el" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">OfxBalanceContainer</a>
+<li>appid
+: <a class="el" href="structOfxFiLogin.html#0589bf38951c4e698236146c019d4cd1">OfxFiLogin</a>
+<li>appver
+: <a class="el" href="structOfxFiLogin.html#f870ca3b27992fb53f203d23f33d097c">OfxFiLogin</a>
+<li>available_balance
+: <a class="el" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">OfxStatementData</a>
+<li>available_balance_date
+: <a class="el" href="structOfxStatementData.html#5062a88aaae023cd5506db8991187c1c">OfxStatementData</a>
+<li>available_balance_date_valid
+: <a class="el" href="structOfxStatementData.html#4c2936f050f1cacd32e11e294dd96de6">OfxStatementData</a>
+<li>available_balance_valid
+: <a class="el" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">OfxStatementData</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== added file 'doc/html/functions_vars_0x62.html'
--- doc/html/functions_vars_0x62.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x62.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,107 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li class="current"><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
+<li>bank_arg
+: <a class="el" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb">gengetopt_args_info</a>
+<li>bank_fipid_given
+: <a class="el" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c">gengetopt_args_info</a>
+<li>bank_fipid_help
+: <a class="el" href="structgengetopt__args__info.html#ab3262dc76580b273d03506a73b20307">gengetopt_args_info</a>
+<li>bank_given
+: <a class="el" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad">gengetopt_args_info</a>
+<li>bank_help
+: <a class="el" href="structgengetopt__args__info.html#fb33dfc28db6399e4c13f94d12b30ed7">gengetopt_args_info</a>
+<li>bank_id
+: <a class="el" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">OfxAccountData</a>
+<li>bank_id_valid
+: <a class="el" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">OfxAccountData</a>
+<li>bank_list_given
+: <a class="el" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce">gengetopt_args_info</a>
+<li>bank_list_help
+: <a class="el" href="structgengetopt__args__info.html#e99e7e36843e9eb0108778a1068c24a8">gengetopt_args_info</a>
+<li>bank_orig
+: <a class="el" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a">gengetopt_args_info</a>
+<li>bank_services_given
+: <a class="el" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5">gengetopt_args_info</a>
+<li>bank_services_help
+: <a class="el" href="structgengetopt__args__info.html#f111269f0c20c2f07cfcc1d8b3e976cf">gengetopt_args_info</a>
+<li>billpay
+: <a class="el" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">OfxFiServiceInfo</a>
+<li>branch_id
+: <a class="el" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">OfxAccountData</a>
+<li>branch_id_valid
+: <a class="el" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">OfxAccountData</a>
+<li>broker_arg
+: <a class="el" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d">gengetopt_args_info</a>
+<li>broker_given
+: <a class="el" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172">gengetopt_args_info</a>
+<li>broker_help
+: <a class="el" href="structgengetopt__args__info.html#3c4dc59196e3c4ef57b3a6d1cf439629">gengetopt_args_info</a>
+<li>broker_id
+: <a class="el" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">OfxAccountData</a>
+<li>broker_id_valid
+: <a class="el" href="structOfxAccountData.html#59defd36706bd332e080dcf56437dabf">OfxAccountData</a>
+<li>broker_orig
+: <a class="el" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6">gengetopt_args_info</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x63.html'
--- doc/html/functions_vars_0x63.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x63.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,95 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li class="current"><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
+<li>check_ambiguity
+: <a class="el" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4">cmdline_parser_params</a>
+<li>check_number
+: <a class="el" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">OfxTransactionData</a>
+<li>check_number_valid
+: <a class="el" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">OfxTransactionData</a>
+<li>check_required
+: <a class="el" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6">cmdline_parser_params</a>
+<li>city
+: <a class="el" href="structOfxPayee.html#03d236ffc1640ecc56640c4e29093215">OfxPayee</a>
+<li>code
+: <a class="el" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">OfxStatusData</a>
+, <a class="el" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">ErrorMsg</a>
+<li>code_valid
+: <a class="el" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">OfxStatusData</a>
+<li>command_group_counter
+: <a class="el" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481">gengetopt_args_info</a>
+<li>commission
+: <a class="el" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">OfxTransactionData</a>
+<li>commission_valid
+: <a class="el" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">OfxTransactionData</a>
+<li>currency
+: <a class="el" href="structOfxCurrency.html#b161a37469e797c6762d7dd909819332">OfxCurrency</a>
+, <a class="el" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">OfxStatementData</a>
+, <a class="el" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">OfxAccountData</a>
+, <a class="el" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">OfxSecurityData</a>
+<li>currency_valid
+: <a class="el" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">OfxSecurityData</a>
+, <a class="el" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">OfxAccountData</a>
+, <a class="el" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">OfxStatementData</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x64.html'
--- doc/html/functions_vars_0x64.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x64.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,111 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li class="current"><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
+<li>data
+: <a class="el" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">OfxStatusContainer</a>
+, <a class="el" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">OfxStatementContainer</a>
+, <a class="el" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">OfxSecurityContainer</a>
+, <a class="el" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">OfxTransactionContainer</a>
+, <a class="el" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">OfxAccountContainer</a>
+, <a class="el" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">tree_node_&lt; T &gt;</a>
+<li>date
+: <a class="el" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">OfxBalanceContainer</a>
+<li>date_end
+: <a class="el" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">OfxStatementData</a>
+<li>date_end_valid
+: <a class="el" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">OfxStatementData</a>
+<li>date_funds_available
+: <a class="el" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">OfxTransactionData</a>
+<li>date_funds_available_valid
+: <a class="el" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">OfxTransactionData</a>
+<li>date_initiated
+: <a class="el" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">OfxTransactionData</a>
+<li>date_initiated_valid
+: <a class="el" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">OfxTransactionData</a>
+<li>date_posted
+: <a class="el" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">OfxTransactionData</a>
+<li>date_posted_valid
+: <a class="el" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">OfxTransactionData</a>
+<li>date_start
+: <a class="el" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">OfxStatementData</a>
+<li>date_start_valid
+: <a class="el" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">OfxStatementData</a>
+<li>date_unitprice
+: <a class="el" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">OfxSecurityData</a>
+<li>date_unitprice_valid
+: <a class="el" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">OfxSecurityData</a>
+<li>date_valid
+: <a class="el" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">OfxBalanceContainer</a>
+<li>datedue
+: <a class="el" href="structOfxPayment.html#8c7bf483dba9043d5c49993756681e7b">OfxPayment</a>
+<li>description
+: <a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">OfxStatusData</a>
+, <a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">ErrorMsg</a>
+, <a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">LibofxFileFormatInfo</a>
+, <a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">ErrorMsg</a>
+, <a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">OfxStatusData</a>
+, <a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">ErrorMsg</a>
+, <a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">LibofxFileFormatInfo</a>
+, <a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">OfxStatusData</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x65.html'
--- doc/html/functions_vars_0x65.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x65.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,67 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li class="current"><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
+<li>exchange_rate
+: <a class="el" href="structOfxCurrency.html#42189e2f5c6b57cf09cb75689a6c1b88">OfxCurrency</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x66.html'
--- doc/html/functions_vars_0x66.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x66.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,112 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li class="current"><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_f">- f -</a></h3><ul>
+<li>fees
+: <a class="el" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">OfxTransactionData</a>
+<li>fees_valid
+: <a class="el" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">OfxTransactionData</a>
+<li>feet
+: <a class="el" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">tree&lt; T, tree_node_allocator &gt;</a>
+<li>fi_id
+: <a class="el" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">OfxTransactionData</a>
+<li>fi_id_corrected
+: <a class="el" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">OfxTransactionData</a>
+<li>fi_id_corrected_valid
+: <a class="el" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">OfxTransactionData</a>
+<li>fi_id_correction_action
+: <a class="el" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">OfxTransactionData</a>
+<li>fi_id_correction_action_valid
+: <a class="el" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">OfxTransactionData</a>
+<li>fi_id_valid
+: <a class="el" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">OfxTransactionData</a>
+<li>fid
+: <a class="el" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">OfxFiServiceInfo</a>
+, <a class="el" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">OfxFiLogin</a>
+<li>fid_arg
+: <a class="el" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a">gengetopt_args_info</a>
+<li>fid_given
+: <a class="el" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc">gengetopt_args_info</a>
+<li>fid_help
+: <a class="el" href="structgengetopt__args__info.html#84c60df905af5f51d5c5a0a88dd3dc39">gengetopt_args_info</a>
+<li>fid_orig
+: <a class="el" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361">gengetopt_args_info</a>
+<li>fipid_arg
+: <a class="el" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f">gengetopt_args_info</a>
+<li>fipid_given
+: <a class="el" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea">gengetopt_args_info</a>
+<li>fipid_help
+: <a class="el" href="structgengetopt__args__info.html#76c14337823cdcfa195a192d0aaa1426">gengetopt_args_info</a>
+<li>fipid_orig
+: <a class="el" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e">gengetopt_args_info</a>
+<li>first_child
+: <a class="el" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">tree_node_&lt; T &gt;</a>
+<li>first_parent_
+: <a class="el" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+<li>flag
+: <a class="el" href="structoption.html#b366eea5fe7be25c1928328ba715e353">option</a>
+<li>format
+: <a class="el" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">LibofxFileFormatInfo</a>
+<li>format_name
+: <a class="el" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">LibofxFileFormatInfo</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x68.html'
--- doc/html/functions_vars_0x68.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x68.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,75 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li class="current"><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_h">- h -</a></h3><ul>
+<li>has_arg
+: <a class="el" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">option</a>
+<li>head
+: <a class="el" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">tree&lt; T, tree_node_allocator &gt;</a>
+<li>header_version
+: <a class="el" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">OfxFiLogin</a>
+<li>help_given
+: <a class="el" href="structgengetopt__args__info.html#fcc22c3f15bfc05d4d36824cbb2b661c">gengetopt_args_info</a>
+<li>help_help
+: <a class="el" href="structgengetopt__args__info.html#fb4efa68a6f43a4d112e9b96ffe89101">gengetopt_args_info</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x69.html'
--- doc/html/functions_vars_0x69.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x69.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,85 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li class="current"><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
+<li>import_format_arg
+: <a class="el" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd">gengetopt_args_info</a>
+<li>import_format_given
+: <a class="el" href="structgengetopt__args__info.html#74de3df4be73e27a34c25f3c9caa8842">gengetopt_args_info</a>
+<li>import_format_help
+: <a class="el" href="structgengetopt__args__info.html#67f0c3406ca68e20cdadaf5e281625a2">gengetopt_args_info</a>
+<li>import_format_orig
+: <a class="el" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06">gengetopt_args_info</a>
+<li>initialize
+: <a class="el" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11">cmdline_parser_params</a>
+<li>inputs
+: <a class="el" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c">gengetopt_args_info</a>
+<li>inputs_num
+: <a class="el" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c">gengetopt_args_info</a>
+<li>investments
+: <a class="el" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">OfxFiServiceInfo</a>
+<li>invtransactiontype
+: <a class="el" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">OfxTransactionData</a>
+<li>invtransactiontype_valid
+: <a class="el" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">OfxTransactionData</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x6c.html'
--- doc/html/functions_vars_0x6c.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x6c.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,81 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li class="current"><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
+<li>last_child
+: <a class="el" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">tree_node_&lt; T &gt;</a>
+<li>ledger_balance
+: <a class="el" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">OfxStatementData</a>
+<li>ledger_balance_date
+: <a class="el" href="structOfxStatementData.html#57f9892d09da4a6d69c44b7f9af45fc0">OfxStatementData</a>
+<li>ledger_balance_date_valid
+: <a class="el" href="structOfxStatementData.html#765dfa1991995af8a2c72b774df6cb6d">OfxStatementData</a>
+<li>ledger_balance_valid
+: <a class="el" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">OfxStatementData</a>
+<li>libofx_context
+: <a class="el" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">OfxGenericContainer</a>
+<li>list_import_formats_given
+: <a class="el" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068">gengetopt_args_info</a>
+<li>list_import_formats_help
+: <a class="el" href="structgengetopt__args__info.html#c4b7c58b32c755377a6c7fcafbfa3d3f">gengetopt_args_info</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x6d.html'
--- doc/html/functions_vars_0x6d.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x6d.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,116 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li class="current"><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
+<li>m_login
+: <a class="el" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">OfxRequest</a>
+<li>marketing_info
+: <a class="el" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">OfxStatementData</a>
+<li>marketing_info_valid
+: <a class="el" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">OfxStatementData</a>
+<li>memo
+: <a class="el" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">OfxSecurityData</a>
+, <a class="el" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">OfxTransactionData</a>
+, <a class="el" href="structOfxPayment.html#3d6cbc61b6b1561f6a641bedcb5d25f5">OfxPayment</a>
+<li>memo_valid
+: <a class="el" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">OfxTransactionData</a>
+, <a class="el" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">OfxSecurityData</a>
+<li>msg_debug_flag
+: <a class="el" href="structgengetopt__args__info.html#6816290fe582d0705947859d0c7934c5">gengetopt_args_info</a>
+<li>msg_debug_given
+: <a class="el" href="structgengetopt__args__info.html#85d6ce6864169669a8234b1d27f0978f">gengetopt_args_info</a>
+<li>msg_debug_help
+: <a class="el" href="structgengetopt__args__info.html#709980d4e8c7d3c8ab01d1dfee7589c1">gengetopt_args_info</a>
+<li>msg_error_flag
+: <a class="el" href="structgengetopt__args__info.html#b1b6520555a34ca4a39feaed3365af6d">gengetopt_args_info</a>
+<li>msg_error_given
+: <a class="el" href="structgengetopt__args__info.html#f797b906ea2db4dc0c302e589f130dc5">gengetopt_args_info</a>
+<li>msg_error_help
+: <a class="el" href="structgengetopt__args__info.html#0b4c076b2876844650aa2aec275f5684">gengetopt_args_info</a>
+<li>msg_info_flag
+: <a class="el" href="structgengetopt__args__info.html#74ac0d99a57abc9a1088d356f87e7197">gengetopt_args_info</a>
+<li>msg_info_given
+: <a class="el" href="structgengetopt__args__info.html#2aa86a497519afc4db0a525f3854470c">gengetopt_args_info</a>
+<li>msg_info_help
+: <a class="el" href="structgengetopt__args__info.html#2491c609276fe4795f7caeb0d9baec1b">gengetopt_args_info</a>
+<li>msg_parser_flag
+: <a class="el" href="structgengetopt__args__info.html#59f4d83dff3e538372141bbfe3576762">gengetopt_args_info</a>
+<li>msg_parser_given
+: <a class="el" href="structgengetopt__args__info.html#b3f6a3ef39527fbcedd989afe6a36dd0">gengetopt_args_info</a>
+<li>msg_parser_help
+: <a class="el" href="structgengetopt__args__info.html#44d331d24edd73a287609be9ad293753">gengetopt_args_info</a>
+<li>msg_status_flag
+: <a class="el" href="structgengetopt__args__info.html#1301d1fa05fef326526db58a63cfc6fd">gengetopt_args_info</a>
+<li>msg_status_given
+: <a class="el" href="structgengetopt__args__info.html#d205671e6055ea4e51a6af081fe317fd">gengetopt_args_info</a>
+<li>msg_status_help
+: <a class="el" href="structgengetopt__args__info.html#552341af51d5f58f88ceb5fc229e998d">gengetopt_args_info</a>
+<li>msg_warning_flag
+: <a class="el" href="structgengetopt__args__info.html#7dc02d27a0e51eb388b2bd48f834658c">gengetopt_args_info</a>
+<li>msg_warning_given
+: <a class="el" href="structgengetopt__args__info.html#b6b10f2a7687e6a512cf3bbcc7ddda61">gengetopt_args_info</a>
+<li>msg_warning_help
+: <a class="el" href="structgengetopt__args__info.html#b37e89030d7bc1b94cd44a6b6cc4c042">gengetopt_args_info</a>
+<li>must_convert
+: <a class="el" href="structOfxCurrency.html#19eb1ccd12664af9dfdb55d67641f32d">OfxCurrency</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x6e.html'
--- doc/html/functions_vars_0x6e.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x6e.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,87 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li class="current"><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_n">- n -</a></h3><ul>
+<li>name
+: <a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">OfxStatusData</a>
+, <a class="el" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">OfxTransactionData</a>
+, <a class="el" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">option</a>
+, <a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">ErrorMsg</a>
+, <a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">OfxStatusData</a>
+, <a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">ErrorMsg</a>
+, <a class="el" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">option</a>
+, <a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">ErrorMsg</a>
+, <a class="el" href="structOfxPayee.html#2ad9e35d86d1f7432114048a55bb5a73">OfxPayee</a>
+, <a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">OfxStatusData</a>
+, <a class="el" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">option</a>
+<li>name_valid
+: <a class="el" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">OfxTransactionData</a>
+<li>newunits
+: <a class="el" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">OfxTransactionData</a>
+<li>newunits_valid
+: <a class="el" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">OfxTransactionData</a>
+<li>next_sibling
+: <a class="el" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">tree_node_&lt; T &gt;</a>
+<li>node
+: <a class="el" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x6f.html'
--- doc/html/functions_vars_0x6f.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x6f.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,86 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li class="current"><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
+<li>ofx_element_name
+: <a class="el" href="structOfxStatusData.html#d49b449f9d4bf1746d71728cd1f5b925">OfxStatusData</a>
+<li>ofx_element_name_valid
+: <a class="el" href="structOfxStatusData.html#011f73b45f88aac63ec44727ed6b306d">OfxStatusData</a>
+<li>oldunits
+: <a class="el" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">OfxTransactionData</a>
+<li>oldunits_valid
+: <a class="el" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">OfxTransactionData</a>
+<li>org
+: <a class="el" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">OfxFiServiceInfo</a>
+, <a class="el" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">OfxFiLogin</a>
+<li>org_arg
+: <a class="el" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb">gengetopt_args_info</a>
+<li>org_given
+: <a class="el" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de">gengetopt_args_info</a>
+<li>org_help
+: <a class="el" href="structgengetopt__args__info.html#2e3a29aa53fb59100168f4e558c584c6">gengetopt_args_info</a>
+<li>org_orig
+: <a class="el" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c">gengetopt_args_info</a>
+<li>override
+: <a class="el" href="structcmdline__parser__params.html#d3ff9d69146e69a47506782197b5675c">cmdline_parser_params</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x70.html'
--- doc/html/functions_vars_0x70.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x70.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,105 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li class="current"><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
+<li>parent
+: <a class="el" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">tree_node_&lt; T &gt;</a>
+<li>parent_
+: <a class="el" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li>parentcontainer
+: <a class="el" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">OfxGenericContainer</a>
+<li>pass_arg
+: <a class="el" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0">gengetopt_args_info</a>
+<li>pass_given
+: <a class="el" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed">gengetopt_args_info</a>
+<li>pass_help
+: <a class="el" href="structgengetopt__args__info.html#b14ac501dd6a3c97f36725d4b7852048">gengetopt_args_info</a>
+<li>pass_orig
+: <a class="el" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c">gengetopt_args_info</a>
+<li>past_arg
+: <a class="el" href="structgengetopt__args__info.html#9654176cd23987658362a4f8f9d74a01">gengetopt_args_info</a>
+<li>past_given
+: <a class="el" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796">gengetopt_args_info</a>
+<li>past_help
+: <a class="el" href="structgengetopt__args__info.html#474b9f887a1722596b39e69142da2791">gengetopt_args_info</a>
+<li>past_orig
+: <a class="el" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05">gengetopt_args_info</a>
+<li>payee_id
+: <a class="el" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">OfxTransactionData</a>
+<li>payee_id_valid
+: <a class="el" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">OfxTransactionData</a>
+<li>payment_req_given
+: <a class="el" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086">gengetopt_args_info</a>
+<li>payment_req_help
+: <a class="el" href="structgengetopt__args__info.html#0f72ced1e0e2397a641715877de66801">gengetopt_args_info</a>
+<li>paymentinquiry_req_given
+: <a class="el" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e">gengetopt_args_info</a>
+<li>paymentinquiry_req_help
+: <a class="el" href="structgengetopt__args__info.html#72aac6ef17e0f55000f20feb7ecb6c74">gengetopt_args_info</a>
+<li>phone
+: <a class="el" href="structOfxPayee.html#90f01576639fa04ff30a4c8836b6491f">OfxPayee</a>
+<li>postalcode
+: <a class="el" href="structOfxPayee.html#b23cc650855fe8313f3a984a76b233cb">OfxPayee</a>
+<li>prev_sibling
+: <a class="el" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">tree_node_&lt; T &gt;</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x72.html'
--- doc/html/functions_vars_0x72.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x72.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,69 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li class="current"><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
+<li>reference_number
+: <a class="el" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">OfxTransactionData</a>
+<li>reference_number_valid
+: <a class="el" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">OfxTransactionData</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x73.html'
--- doc/html/functions_vars_0x73.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x73.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,99 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li class="current"><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
+<li>secname
+: <a class="el" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">OfxSecurityData</a>
+<li>secname_valid
+: <a class="el" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">OfxSecurityData</a>
+<li>security_data_ptr
+: <a class="el" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">OfxTransactionData</a>
+<li>security_data_valid
+: <a class="el" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">OfxTransactionData</a>
+<li>server_message
+: <a class="el" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">OfxStatusData</a>
+<li>server_message_valid
+: <a class="el" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">OfxStatusData</a>
+<li>server_transaction_id
+: <a class="el" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">OfxTransactionData</a>
+<li>server_transaction_id_valid
+: <a class="el" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">OfxTransactionData</a>
+<li>severity
+: <a class="el" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">OfxStatusData</a>
+<li>severity_valid
+: <a class="el" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">OfxStatusData</a>
+<li>skip_current_children_
+: <a class="el" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
+<li>standard_industrial_code
+: <a class="el" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">OfxTransactionData</a>
+<li>standard_industrial_code_valid
+: <a class="el" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">OfxTransactionData</a>
+<li>state
+: <a class="el" href="structOfxPayee.html#d93547c7b47ed9d2428c0516fec2ed55">OfxPayee</a>
+<li>statement_req_given
+: <a class="el" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5">gengetopt_args_info</a>
+<li>statement_req_help
+: <a class="el" href="structgengetopt__args__info.html#fbe386debf0da8acde6af35927d47d0f">gengetopt_args_info</a>
+<li>statements
+: <a class="el" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">OfxFiServiceInfo</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x74.html'
--- doc/html/functions_vars_0x74.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x74.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,93 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li class="current"><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
+<li>tag_identifier
+: <a class="el" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">OfxGenericContainer</a>
+<li>ticker
+: <a class="el" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">OfxSecurityData</a>
+<li>ticker_valid
+: <a class="el" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">OfxSecurityData</a>
+<li>transactiontype
+: <a class="el" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">OfxTransactionData</a>
+<li>transactiontype_valid
+: <a class="el" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">OfxTransactionData</a>
+<li>trid_arg
+: <a class="el" href="structgengetopt__args__info.html#88eed5f134272a39745075b5001d76b4">gengetopt_args_info</a>
+<li>trid_given
+: <a class="el" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc">gengetopt_args_info</a>
+<li>trid_help
+: <a class="el" href="structgengetopt__args__info.html#29239afc79b8c1f937ab01b6b71dc0e0">gengetopt_args_info</a>
+<li>trid_orig
+: <a class="el" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20">gengetopt_args_info</a>
+<li>type
+: <a class="el" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">OfxGenericContainer</a>
+<li>type_arg
+: <a class="el" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e">gengetopt_args_info</a>
+<li>type_given
+: <a class="el" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1">gengetopt_args_info</a>
+<li>type_help
+: <a class="el" href="structgengetopt__args__info.html#3c39a4f94b8c4b5621d6c41e6fbbfcc9">gengetopt_args_info</a>
+<li>type_orig
+: <a class="el" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83">gengetopt_args_info</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x75.html'
--- doc/html/functions_vars_0x75.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x75.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,109 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li class="current"><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_u">- u -</a></h3><ul>
+<li>unique_id
+: <a class="el" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">OfxSecurityData</a>
+, <a class="el" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">OfxTransactionData</a>
+<li>unique_id_type
+: <a class="el" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">OfxTransactionData</a>
+, <a class="el" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">OfxSecurityData</a>
+<li>unique_id_type_valid
+: <a class="el" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">OfxSecurityData</a>
+, <a class="el" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">OfxTransactionData</a>
+<li>unique_id_valid
+: <a class="el" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">OfxTransactionData</a>
+, <a class="el" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">OfxSecurityData</a>
+<li>unitprice
+: <a class="el" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">OfxSecurityData</a>
+, <a class="el" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">OfxTransactionData</a>
+<li>unitprice_valid
+: <a class="el" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">OfxSecurityData</a>
+, <a class="el" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">OfxTransactionData</a>
+<li>units
+: <a class="el" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">OfxTransactionData</a>
+<li>units_valid
+: <a class="el" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">OfxTransactionData</a>
+<li>url
+: <a class="el" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">OfxFiServiceInfo</a>
+<li>url_arg
+: <a class="el" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354">gengetopt_args_info</a>
+<li>url_given
+: <a class="el" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd">gengetopt_args_info</a>
+<li>url_help
+: <a class="el" href="structgengetopt__args__info.html#567440f30f9c9175e2aab392d325a42f">gengetopt_args_info</a>
+<li>url_orig
+: <a class="el" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30">gengetopt_args_info</a>
+<li>user_arg
+: <a class="el" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e">gengetopt_args_info</a>
+<li>user_given
+: <a class="el" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e">gengetopt_args_info</a>
+<li>user_help
+: <a class="el" href="structgengetopt__args__info.html#50ca2748823a107ad8a252c0b0a7fe11">gengetopt_args_info</a>
+<li>user_orig
+: <a class="el" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91">gengetopt_args_info</a>
+<li>userid
+: <a class="el" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">OfxFiLogin</a>
+<li>userpass
+: <a class="el" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">OfxFiLogin</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/functions_vars_0x76.html'
--- doc/html/functions_vars_0x76.html	1970-01-01 00:00:00 +0000
+++ doc/html/functions_vars_0x76.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,71 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields - Variables</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions.html"><span>All</span></a></li>
+    <li><a href="functions_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="functions_vars.html"><span>Variables</span></a></li>
+    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
+    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="functions_vars.html#index_a"><span>a</span></a></li>
+    <li><a href="functions_vars_0x62.html#index_b"><span>b</span></a></li>
+    <li><a href="functions_vars_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="functions_vars_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="functions_vars_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="functions_vars_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="functions_vars_0x68.html#index_h"><span>h</span></a></li>
+    <li><a href="functions_vars_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="functions_vars_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="functions_vars_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="functions_vars_0x6e.html#index_n"><span>n</span></a></li>
+    <li><a href="functions_vars_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="functions_vars_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="functions_vars_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="functions_vars_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="functions_vars_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="functions_vars_0x75.html#index_u"><span>u</span></a></li>
+    <li class="current"><a href="functions_vars_0x76.html#index_v"><span>v</span></a></li>
+  </ul>
+</div>
+
+<p>
+&nbsp;
+<p>
+<h3><a class="anchor" name="index_v">- v -</a></h3><ul>
+<li>val
+: <a class="el" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">option</a>
+<li>version_given
+: <a class="el" href="structgengetopt__args__info.html#18b7279f3b637b9e9192a88fc26973ae">gengetopt_args_info</a>
+<li>version_help
+: <a class="el" href="structgengetopt__args__info.html#def454ea6f3ff4114ae5009e58360cfc">gengetopt_args_info</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== modified file 'doc/html/fx-0_88_82_2lib_2context_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2context_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2context_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: context.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>context.cpp</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
 <a name="l00005"></a>00005 <span class="comment">/***************************************************************************</span>
 <a name="l00006"></a>00006 <span class="comment"> *                                                                         *</span>
@@ -33,8 +29,8 @@
 <a name="l00017"></a>00017 
 <a name="l00018"></a>00018 
 <a name="l00019"></a>00019 
-<a name="l00020"></a>00020 <a class="code" href="classLibofxContext.html#28abb9b82158ca0b42bccc27b1da9edf">LibofxContext::LibofxContext</a>()
-<a name="l00021"></a>00021   :_current_file_type(<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>)
+<a name="l00020"></a>00020 <a class="code" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext::LibofxContext</a>()
+<a name="l00021"></a>00021   :_current_file_type(<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>)
 <a name="l00022"></a>00022   ,_statusCallback(0)
 <a name="l00023"></a>00023   ,_accountCallback(0)
 <a name="l00024"></a>00024   ,_securityCallback(0)
@@ -51,24 +47,24 @@
 <a name="l00035"></a>00035 
 <a name="l00036"></a>00036 
 <a name="l00037"></a>00037 
-<a name="l00038"></a>00038 <a class="code" href="classLibofxContext.html#eac15ac8f1f140020ca7737317b1eb6c">LibofxContext::~LibofxContext</a>(){
+<a name="l00038"></a>00038 <a class="code" href="classLibofxContext.html#08c06eedebc157876ff10c76570836e3">LibofxContext::~LibofxContext</a>(){
 <a name="l00039"></a>00039 }
 <a name="l00040"></a>00040 
 <a name="l00041"></a>00041 
 <a name="l00042"></a>00042 
-<a name="l00043"></a>00043 <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">LibofxContext::currentFileType</a>()<span class="keyword"> const</span>{
+<a name="l00043"></a>00043 <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">LibofxContext::currentFileType</a>()<span class="keyword"> const</span>{
 <a name="l00044"></a>00044   <span class="keywordflow">return</span> _current_file_type;
 <a name="l00045"></a>00045 }
 <a name="l00046"></a>00046 
 <a name="l00047"></a>00047 
 <a name="l00048"></a>00048 
-<a name="l00049"></a>00049 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">LibofxContext::setCurrentFileType</a>(<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> t) {
+<a name="l00049"></a>00049 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">LibofxContext::setCurrentFileType</a>(<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> t) {
 <a name="l00050"></a>00050   _current_file_type=t;
 <a name="l00051"></a>00051 }
 <a name="l00052"></a>00052 
 <a name="l00053"></a>00053 
 <a name="l00054"></a>00054 
-<a name="l00055"></a>00055 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#302efef8abcde0b6f1a76fa1f62ae828">LibofxContext::statementCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html">OfxStatementData</a> data){
+<a name="l00055"></a>00055 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">LibofxContext::statementCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data){
 <a name="l00056"></a>00056   <span class="keywordflow">if</span> (_statementCallback)
 <a name="l00057"></a>00057     <span class="keywordflow">return</span> _statementCallback(data, _statementData);
 <a name="l00058"></a>00058   <span class="keywordflow">return</span> 0;
@@ -76,7 +72,7 @@
 <a name="l00060"></a>00060 
 <a name="l00061"></a>00061 
 <a name="l00062"></a>00062 
-<a name="l00063"></a>00063 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#acdfbe18123b9ceff1c9fe425196bc9e">LibofxContext::accountCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html">OfxAccountData</a> data){
+<a name="l00063"></a>00063 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">LibofxContext::accountCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data){
 <a name="l00064"></a>00064   <span class="keywordflow">if</span> (_accountCallback)
 <a name="l00065"></a>00065     <span class="keywordflow">return</span> _accountCallback(data, _accountData);
 <a name="l00066"></a>00066   <span class="keywordflow">return</span> 0;
@@ -84,7 +80,7 @@
 <a name="l00068"></a>00068 
 <a name="l00069"></a>00069 
 <a name="l00070"></a>00070 
-<a name="l00071"></a>00071 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#ceb3a8c832fdd024f34d0e2e19fb12e7">LibofxContext::transactionCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html">OfxTransactionData</a> data){
+<a name="l00071"></a>00071 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">LibofxContext::transactionCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data){
 <a name="l00072"></a>00072   <span class="keywordflow">if</span> (_transactionCallback)
 <a name="l00073"></a>00073     <span class="keywordflow">return</span> _transactionCallback(data, _transactionData);
 <a name="l00074"></a>00074   <span class="keywordflow">return</span> 0;
@@ -92,7 +88,7 @@
 <a name="l00076"></a>00076 
 <a name="l00077"></a>00077 
 <a name="l00078"></a>00078 
-<a name="l00079"></a>00079 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#a540fb9a3910bca4671b4cc6d248888f">LibofxContext::securityCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> data) {
+<a name="l00079"></a>00079 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">LibofxContext::securityCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> data) {
 <a name="l00080"></a>00080   <span class="keywordflow">if</span> (_securityCallback)
 <a name="l00081"></a>00081     <span class="keywordflow">return</span> _securityCallback(data, _securityData);
 <a name="l00082"></a>00082   <span class="keywordflow">return</span> 0;
@@ -100,14 +96,14 @@
 <a name="l00084"></a>00084 
 <a name="l00085"></a>00085 
 <a name="l00086"></a>00086 
-<a name="l00087"></a>00087 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#f2c0a10b25d27f5bcb36dc259d91a69f">LibofxContext::statusCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html">OfxStatusData</a> data) {
+<a name="l00087"></a>00087 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">LibofxContext::statusCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> data) {
 <a name="l00088"></a>00088   <span class="keywordflow">if</span> (_statusCallback)
 <a name="l00089"></a>00089     <span class="keywordflow">return</span> _statusCallback(data, _statusData);
 <a name="l00090"></a>00090   <span class="keywordflow">return</span> 0;
 <a name="l00091"></a>00091 }
 <a name="l00092"></a>00092 
 <a name="l00093"></a>00093 
-<a name="l00094"></a>00094 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#573c4d84e50efad5a3a2e67a65f63603">LibofxContext::setStatusCallback</a>(<a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb,
+<a name="l00094"></a>00094 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#c9a366e3bc8db89ef721e1e2ef57a8d6">LibofxContext::setStatusCallback</a>(<a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb,
 <a name="l00095"></a>00095                                       <span class="keywordtype">void</span> *user_data){
 <a name="l00096"></a>00096   _statusCallback=cb;
 <a name="l00097"></a>00097   _statusData=user_data;
@@ -115,7 +111,7 @@
 <a name="l00099"></a>00099 
 <a name="l00100"></a>00100 
 <a name="l00101"></a>00101 
-<a name="l00102"></a>00102 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d5a7eca14f0c674369c23c6d99891b45">LibofxContext::setAccountCallback</a>(<a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb,
+<a name="l00102"></a>00102 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#b02f2c152eb2639e3b02dcbd919036b8">LibofxContext::setAccountCallback</a>(<a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb,
 <a name="l00103"></a>00103                                        <span class="keywordtype">void</span> *user_data){
 <a name="l00104"></a>00104   _accountCallback=cb;
 <a name="l00105"></a>00105   _accountData=user_data;
@@ -123,7 +119,7 @@
 <a name="l00107"></a>00107 
 <a name="l00108"></a>00108 
 <a name="l00109"></a>00109 
-<a name="l00110"></a>00110 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#24264bc6e3bf0e72c1bd724ec49ecf36">LibofxContext::setSecurityCallback</a>(<a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb,
+<a name="l00110"></a>00110 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d3ab77c33566ca7227613e1fbb36ea1b">LibofxContext::setSecurityCallback</a>(<a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb,
 <a name="l00111"></a>00111                                         <span class="keywordtype">void</span> *user_data){
 <a name="l00112"></a>00112   _securityCallback=cb;
 <a name="l00113"></a>00113   _securityData=user_data;
@@ -131,7 +127,7 @@
 <a name="l00115"></a>00115 
 <a name="l00116"></a>00116 
 <a name="l00117"></a>00117 
-<a name="l00118"></a>00118 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#47596f40547ac590dc02de0ecf37a09f">LibofxContext::setTransactionCallback</a>(<a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb,
+<a name="l00118"></a>00118 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d5575fed475d9a755d71ff1f90d7ea98">LibofxContext::setTransactionCallback</a>(<a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb,
 <a name="l00119"></a>00119                                            <span class="keywordtype">void</span> *user_data){
 <a name="l00120"></a>00120   _transactionCallback=cb;
 <a name="l00121"></a>00121   _transactionData=user_data;
@@ -139,7 +135,7 @@
 <a name="l00123"></a>00123 
 <a name="l00124"></a>00124 
 <a name="l00125"></a>00125 
-<a name="l00126"></a>00126 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#b205f609b1e459b381aacdbbf5555c5f">LibofxContext::setStatementCallback</a>(<a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb,
+<a name="l00126"></a>00126 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#8a1337b72f678900606b924806603855">LibofxContext::setStatementCallback</a>(<a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb,
 <a name="l00127"></a>00127                                          <span class="keywordtype">void</span> *user_data){
 <a name="l00128"></a>00128   _statementCallback=cb;
 <a name="l00129"></a>00129   _statementData=user_data;
@@ -151,11 +147,11 @@
 <a name="l00135"></a>00135 
 <a name="l00136"></a>00136 
 <a name="l00137"></a>00137 
-<a name="l00140"></a>00140 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> <a class="code" href="inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">libofx_get_new_context</a>(){
-<a name="l00141"></a>00141   <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code" href="classLibofxContext.html">LibofxContext</a>();
+<a name="l00140"></a>00140 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> <a class="code" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0" title="Initialise the library and return a new context.">libofx_get_new_context</a>(){
+<a name="l00141"></a>00141   <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext</a>();
 <a name="l00142"></a>00142 }
 <a name="l00143"></a>00143 
-<a name="l00144"></a>00144 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">libofx_free_context</a>( <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context_param){
+<a name="l00144"></a>00144 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf" title="Free all ressources used by this context.">libofx_free_context</a>( <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context_param){
 <a name="l00145"></a>00145   <span class="keyword">delete</span> (<a class="code" href="classLibofxContext.html">LibofxContext</a> *)libofx_context_param;
 <a name="l00146"></a>00146   <span class="keywordflow">return</span> 0;
 <a name="l00147"></a>00147 }
@@ -164,39 +160,39 @@
 <a name="l00150"></a>00150 
 <a name="l00151"></a>00151 
 <a name="l00152"></a>00152 <span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
-<a name="l00153"></a>00153   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">ofx_set_status_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00154"></a>00154                          <a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb,
+<a name="l00153"></a>00153   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">ofx_set_status_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00154"></a>00154                          <a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb,
 <a name="l00155"></a>00155                          <span class="keywordtype">void</span> *user_data){
 <a name="l00156"></a>00156     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setStatusCallback(cb, user_data);
 <a name="l00157"></a>00157   }
 <a name="l00158"></a>00158 
 <a name="l00159"></a>00159 
-<a name="l00160"></a>00160   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">ofx_set_account_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00161"></a>00161                           <a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb,
+<a name="l00160"></a>00160   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00161"></a>00161                           <a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb,
 <a name="l00162"></a>00162                           <span class="keywordtype">void</span> *user_data){
 <a name="l00163"></a>00163     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setAccountCallback(cb, user_data);
 <a name="l00164"></a>00164   }
 <a name="l00165"></a>00165 
 <a name="l00166"></a>00166 
 <a name="l00167"></a>00167 
-<a name="l00168"></a>00168   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">ofx_set_security_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00169"></a>00169                            <a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb,
+<a name="l00168"></a>00168   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">ofx_set_security_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00169"></a>00169                            <a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb,
 <a name="l00170"></a>00170                            <span class="keywordtype">void</span> *user_data){
 <a name="l00171"></a>00171     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setSecurityCallback(cb, user_data);
 <a name="l00172"></a>00172   }
 <a name="l00173"></a>00173 
 <a name="l00174"></a>00174 
 <a name="l00175"></a>00175 
-<a name="l00176"></a>00176   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">ofx_set_transaction_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00177"></a>00177                               <a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb,
+<a name="l00176"></a>00176   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00177"></a>00177                               <a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb,
 <a name="l00178"></a>00178                               <span class="keywordtype">void</span> *user_data){
 <a name="l00179"></a>00179     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setTransactionCallback(cb, user_data);
 <a name="l00180"></a>00180   }
 <a name="l00181"></a>00181 
 <a name="l00182"></a>00182 
 <a name="l00183"></a>00183 
-<a name="l00184"></a>00184   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">ofx_set_statement_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00185"></a>00185                             <a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb,
+<a name="l00184"></a>00184   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00185"></a>00185                             <a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb,
 <a name="l00186"></a>00186                             <span class="keywordtype">void</span> *user_data){
 <a name="l00187"></a>00187     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setStatementCallback(cb, user_data);
 <a name="l00188"></a>00188   }
@@ -215,8 +211,8 @@
 <a name="l00201"></a>00201 
 <a name="l00202"></a>00202 
 <a name="l00203"></a>00203 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2context_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2context_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2context_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: context.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>context.hh</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
 <a name="l00005"></a>00005 <span class="comment">/***************************************************************************</span>
 <a name="l00006"></a>00006 <span class="comment"> *                                                                         *</span>
@@ -31,19 +27,19 @@
 <a name="l00015"></a>00015 <span class="preprocessor"></span><span class="preprocessor">#define CONTEXT_H</span>
 <a name="l00016"></a>00016 <span class="preprocessor"></span><span class="preprocessor">#include &lt;string.h&gt;</span>
 <a name="l00017"></a>00017 <span class="preprocessor">#include &lt;time.h&gt;</span>               <span class="comment">// for time_t</span>
-<a name="l00018"></a>00018 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
 <a name="l00019"></a>00019 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
 <a name="l00020"></a>00020 
 <a name="l00021"></a>00021 <span class="keyword">using namespace </span>std;
 <a name="l00022"></a>00022 <span class="keyword">class </span><a class="code" href="classLibofxContext.html">LibofxContext</a> {
 <a name="l00023"></a>00023 <span class="keyword">private</span>:
-<a name="l00024"></a>00024   <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> _current_file_type;
+<a name="l00024"></a>00024   <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> _current_file_type;
 <a name="l00025"></a>00025 
-<a name="l00026"></a>00026   <a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> _statusCallback;
-<a name="l00027"></a>00027   <a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> _accountCallback;
-<a name="l00028"></a>00028   <a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> _securityCallback;
-<a name="l00029"></a>00029   <a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> _transactionCallback;
-<a name="l00030"></a>00030   <a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> _statementCallback;
+<a name="l00026"></a>00026   <a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> _statusCallback;
+<a name="l00027"></a>00027   <a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> _accountCallback;
+<a name="l00028"></a>00028   <a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> _securityCallback;
+<a name="l00029"></a>00029   <a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> _transactionCallback;
+<a name="l00030"></a>00030   <a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> _statementCallback;
 <a name="l00031"></a>00031 
 <a name="l00032"></a>00032   <span class="keywordtype">void</span> * _statementData;
 <a name="l00033"></a>00033   <span class="keywordtype">void</span> * _accountData;
@@ -52,23 +48,23 @@
 <a name="l00036"></a>00036   <span class="keywordtype">void</span> * _statusData;
 <a name="l00037"></a>00037 
 <a name="l00038"></a>00038 <span class="keyword">public</span>:
-<a name="l00039"></a>00039   <a class="code" href="classLibofxContext.html#28abb9b82158ca0b42bccc27b1da9edf">LibofxContext</a>();
-<a name="l00040"></a>00040   <a class="code" href="classLibofxContext.html#eac15ac8f1f140020ca7737317b1eb6c">~LibofxContext</a>();
+<a name="l00039"></a>00039   <a class="code" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext</a>();
+<a name="l00040"></a>00040   <a class="code" href="classLibofxContext.html#08c06eedebc157876ff10c76570836e3">~LibofxContext</a>();
 <a name="l00041"></a>00041 
-<a name="l00042"></a>00042   <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>() <span class="keyword">const</span>;
-<a name="l00043"></a>00043   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">setCurrentFileType</a>(<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> t);
+<a name="l00042"></a>00042   <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>() <span class="keyword">const</span>;
+<a name="l00043"></a>00043   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">setCurrentFileType</a>(<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> t);
 <a name="l00044"></a>00044 
-<a name="l00045"></a>00045   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#302efef8abcde0b6f1a76fa1f62ae828">statementCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html">OfxStatementData</a> data);
-<a name="l00046"></a>00046   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#acdfbe18123b9ceff1c9fe425196bc9e">accountCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html">OfxAccountData</a> data);
-<a name="l00047"></a>00047   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#ceb3a8c832fdd024f34d0e2e19fb12e7">transactionCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html">OfxTransactionData</a> data);
-<a name="l00048"></a>00048   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#a540fb9a3910bca4671b4cc6d248888f">securityCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> data);
-<a name="l00049"></a>00049   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#f2c0a10b25d27f5bcb36dc259d91a69f">statusCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html">OfxStatusData</a> data);
+<a name="l00045"></a>00045   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">statementCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data);
+<a name="l00046"></a>00046   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">accountCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data);
+<a name="l00047"></a>00047   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">transactionCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data);
+<a name="l00048"></a>00048   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">securityCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> data);
+<a name="l00049"></a>00049   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">statusCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> data);
 <a name="l00050"></a>00050 
-<a name="l00051"></a>00051   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#573c4d84e50efad5a3a2e67a65f63603">setStatusCallback</a>(<a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb, <span class="keywordtype">void</span> *user_data);
-<a name="l00052"></a>00052   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d5a7eca14f0c674369c23c6d99891b45">setAccountCallback</a>(<a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb, <span class="keywordtype">void</span> *user_data);
-<a name="l00053"></a>00053   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#24264bc6e3bf0e72c1bd724ec49ecf36">setSecurityCallback</a>(<a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb, <span class="keywordtype">void</span> *user_data);
-<a name="l00054"></a>00054   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#47596f40547ac590dc02de0ecf37a09f">setTransactionCallback</a>(<a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb, <span class="keywordtype">void</span> *user_data);
-<a name="l00055"></a>00055   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#b205f609b1e459b381aacdbbf5555c5f">setStatementCallback</a>(<a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00051"></a>00051   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#c9a366e3bc8db89ef721e1e2ef57a8d6">setStatusCallback</a>(<a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00052"></a>00052   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#b02f2c152eb2639e3b02dcbd919036b8">setAccountCallback</a>(<a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00053"></a>00053   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d3ab77c33566ca7227613e1fbb36ea1b">setSecurityCallback</a>(<a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00054"></a>00054   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d5575fed475d9a755d71ff1f90d7ea98">setTransactionCallback</a>(<a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00055"></a>00055   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#8a1337b72f678900606b924806603855">setStatementCallback</a>(<a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb, <span class="keywordtype">void</span> *user_data);
 <a name="l00056"></a>00056 
 <a name="l00057"></a>00057 
 <a name="l00058"></a>00058 };<span class="comment">//End class LibofxContext</span>
@@ -77,8 +73,8 @@
 <a name="l00061"></a>00061 
 <a name="l00062"></a>00062 
 <a name="l00063"></a>00063 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2file__preproc_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2file__preproc_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2file__preproc_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: file_preproc.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>file_preproc.cpp</h1><a href="fx-0_88_82_2lib_2file__preproc_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">          file_preproc.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,27 +32,27 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html">ofx_preproc.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html" title="Preprocessing of the OFX files before parsing.">ofx_preproc.hh</a>"</span>
 <a name="l00028"></a>00028 <span class="preprocessor">#include "context.hh"</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2file__preproc_8hh.html">file_preproc.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2file__preproc_8hh.html" title="Preprocessing of the OFX files before parsing.">file_preproc.hh</a>"</span>
 <a name="l00030"></a>00030 
 <a name="l00031"></a>00031 <span class="keyword">using namespace </span>std;
-<a name="l00032"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">00032</a> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a> = 1024;
+<a name="l00032"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">00032</a> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024;
 <a name="l00033"></a>00033 
 <a name="l00034"></a>00034 <span class="comment">/* get_file_type_description returns a string description of a LibofxFileType </span>
 <a name="l00035"></a>00035 <span class="comment"> * suitable for debugging output or user communication.</span>
 <a name="l00036"></a>00036 <span class="comment"> */</span>
-<a name="l00037"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#02f1a3ffa44b420a4c04018a7c609673">00037</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx_get_file_format_description</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> file_format)
+<a name="l00037"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">00037</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format)
 <a name="l00038"></a>00038 {
 <a name="l00039"></a>00039   <span class="keyword">const</span> <span class="keywordtype">char</span> * retval = <span class="stringliteral">"UNKNOWN (File format couldn't be sucessfully identified)"</span>;
 <a name="l00040"></a>00040 
-<a name="l00041"></a>00041   <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">format</a>!=<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>; i++)
+<a name="l00041"></a>00041   <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>!=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>; i++)
 <a name="l00042"></a>00042     {
-<a name="l00043"></a>00043       <span class="keywordflow">if</span>(<a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].format==file_format)
+<a name="l00043"></a>00043       <span class="keywordflow">if</span>(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].format==file_format)
 <a name="l00044"></a>00044         {
-<a name="l00045"></a>00045           retval = <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].description;
+<a name="l00045"></a>00045           retval = <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">description</a>;
 <a name="l00046"></a>00046         }
 <a name="l00047"></a>00047     }
 <a name="l00048"></a>00048   <span class="keywordflow">return</span> retval;
@@ -65,68 +61,68 @@
 <a name="l00051"></a>00051 <span class="comment">/*</span>
 <a name="l00052"></a>00052 <span class="comment">libofx_get_file_type returns a proper enum from a file type string. </span>
 <a name="l00053"></a>00053 <span class="comment">*/</span>
-<a name="l00054"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#ff38c12e4e1b9537d55f1ef4c4b8556d">00054</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">libofx_get_file_format_from_str</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">const</span> <span class="keywordtype">char</span> * file_type_string)
+<a name="l00054"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">00054</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a" title="libofx_get_file_type returns a proper enum from a file type string.">libofx_get_file_format_from_str</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">const</span> <span class="keywordtype">char</span> * file_type_string)
 <a name="l00055"></a>00055 {
-<a name="l00056"></a>00056   <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> retval = <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">UNKNOWN</a>;
-<a name="l00057"></a>00057   <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">format</a>!=<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>; i++)
+<a name="l00056"></a>00056   <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> retval = <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>;
+<a name="l00057"></a>00057   <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>!=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>; i++)
 <a name="l00058"></a>00058     {
-<a name="l00059"></a>00059       <span class="keywordflow">if</span>(strcmp(<a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].format_name, file_type_string)==0)
+<a name="l00059"></a>00059       <span class="keywordflow">if</span>(strcmp(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].format_name, file_type_string)==0)
 <a name="l00060"></a>00060         {
-<a name="l00061"></a>00061           retval = <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].format;
+<a name="l00061"></a>00061           retval = <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>;
 <a name="l00062"></a>00062         }
 <a name="l00063"></a>00063     }
 <a name="l00064"></a>00064   <span class="keywordflow">return</span> retval;
 <a name="l00065"></a>00065 }
 <a name="l00066"></a>00066 
-<a name="l00067"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#a89d39d1d9d75a129183026eca85c967">00067</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">libofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> p_libofx_context, <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename, <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> p_file_type)
+<a name="l00067"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">00067</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805" title="libofx_proc_file is the entry point of the library.">libofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> p_libofx_context, <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename, <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> p_file_type)
 <a name="l00068"></a>00068 {
 <a name="l00069"></a>00069   <a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context = (<a class="code" href="classLibofxContext.html">LibofxContext</a> *) p_libofx_context;
 <a name="l00070"></a>00070 
-<a name="l00071"></a>00071   <span class="keywordflow">if</span>(p_file_type==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">AUTODETECT</a>)
+<a name="l00071"></a>00071   <span class="keywordflow">if</span>(p_file_type==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>)
 <a name="l00072"></a>00072     {
-<a name="l00073"></a>00073       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>, string(<span class="stringliteral">"libofx_proc_file(): File format not specified, autodecting..."</span>));
-<a name="l00074"></a>00074       libofx_context-&gt;<a class="code" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">setCurrentFileType</a>(<a class="code" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a>(p_filename));
-<a name="l00075"></a>00075       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(INFO, string(<span class="stringliteral">"libofx_proc_file(): Detected file format: "</span>)+
-<a name="l00076"></a>00076                   <a class="code" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx_get_file_format_description</a>(<a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>,
-<a name="l00077"></a>00077                                                      libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>() ));
+<a name="l00073"></a>00073       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): File format not specified, autodecting..."</span>));
+<a name="l00074"></a>00074       libofx_context-&gt;<a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">setCurrentFileType</a>(<a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(p_filename));
+<a name="l00075"></a>00075       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): Detected file format: "</span>)+
+<a name="l00076"></a>00076                   <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>,
+<a name="l00077"></a>00077                                                      libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>() ));
 <a name="l00078"></a>00078     }
 <a name="l00079"></a>00079   <span class="keywordflow">else</span>
 <a name="l00080"></a>00080     {
-<a name="l00081"></a>00081       libofx_context-&gt;<a class="code" href="classLibofxContext.html#2346c06f0effbcb6de0296662de49780">setCurrentFileType</a>(<a class="code" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a>(p_filename));
-<a name="l00082"></a>00082       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>,
-<a name="l00083"></a>00083                   string(<span class="stringliteral">"libofx_proc_file(): File format forced to: "</span>)+
-<a name="l00084"></a>00084                   <a class="code" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx_get_file_format_description</a>(<a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>,
-<a name="l00085"></a>00085                                                      libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>() ));
+<a name="l00081"></a>00081       libofx_context-&gt;<a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">setCurrentFileType</a>(<a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(p_filename));
+<a name="l00082"></a>00082       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,
+<a name="l00083"></a>00083                   <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): File format forced to: "</span>)+
+<a name="l00084"></a>00084                   <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>,
+<a name="l00085"></a>00085                                                      libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>() ));
 <a name="l00086"></a>00086     }
 <a name="l00087"></a>00087 
-<a name="l00088"></a>00088   <span class="keywordflow">switch</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>())
+<a name="l00088"></a>00088   <span class="keywordflow">switch</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>())
 <a name="l00089"></a>00089     {
-<a name="l00090"></a>00090     <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>: <a class="code" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_proc_file</a>(libofx_context, p_filename);
+<a name="l00090"></a>00090     <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>: <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(libofx_context, p_filename);
 <a name="l00091"></a>00091       <span class="keywordflow">break</span>;
-<a name="l00092"></a>00092     <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>: <a class="code" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_proc_file</a>(libofx_context, p_filename);
+<a name="l00092"></a>00092     <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>: <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(libofx_context, p_filename);
 <a name="l00093"></a>00093       <span class="keywordflow">break</span>;
-<a name="l00094"></a>00094     <span class="keywordflow">default</span>: <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, string(<span class="stringliteral">"libofx_proc_file(): Detected file format not yet supported ou couldn't detect file format; aborting."</span>));
+<a name="l00094"></a>00094     <span class="keywordflow">default</span>: <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): Detected file format not yet supported ou couldn't detect file format; aborting."</span>));
 <a name="l00095"></a>00095     }
 <a name="l00096"></a>00096   <span class="keywordflow">return</span> 0;
 <a name="l00097"></a>00097 }
 <a name="l00098"></a>00098 
-<a name="l00099"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">00099</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename)
+<a name="l00099"></a><a class="code" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">00099</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename)
 <a name="l00100"></a>00100 {
-<a name="l00101"></a>00101   <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> retval = <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">UNKNOWN</a>;
+<a name="l00101"></a>00101   <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> retval = <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>;
 <a name="l00102"></a>00102   ifstream input_file;
-<a name="l00103"></a>00103   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>];
-<a name="l00104"></a>00104   string s_buffer;
+<a name="l00103"></a>00103   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>];
+<a name="l00104"></a>00104   <span class="keywordtype">string</span> s_buffer;
 <a name="l00105"></a>00105   <span class="keywordtype">bool</span> type_found=<span class="keyword">false</span>;
 <a name="l00106"></a>00106   
 <a name="l00107"></a>00107   <span class="keywordflow">if</span>(p_filename!=NULL&amp;&amp;strcmp(p_filename,<span class="stringliteral">""</span>)!=0)
 <a name="l00108"></a>00108     {
-<a name="l00109"></a>00109       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, string(<span class="stringliteral">"libofx_detect_file_type():Opening file: "</span>)+p_filename);
+<a name="l00109"></a>00109       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_detect_file_type():Opening file: "</span>)+p_filename);
 <a name="l00110"></a>00110       
 <a name="l00111"></a>00111       input_file.open(p_filename);
 <a name="l00112"></a>00112       
 <a name="l00113"></a>00113       <span class="keywordflow">if</span>(!input_file)
 <a name="l00114"></a>00114         {
-<a name="l00115"></a>00115           <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type():Unable to open the input file "</span>+string(p_filename));
+<a name="l00115"></a>00115           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type():Unable to open the input file "</span>+<span class="keywordtype">string</span>(p_filename));
 <a name="l00116"></a>00116           <span class="keywordflow">return</span> retval;
 <a name="l00117"></a>00117         }
 <a name="l00118"></a>00118       <span class="keywordflow">else</span>
@@ -148,14 +144,14 @@
 <a name="l00134"></a>00134               
 <a name="l00135"></a>00135               <span class="keywordflow">if</span>(s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>)!=string::npos||s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>)!=string::npos)
 <a name="l00136"></a>00136                 {
-<a name="l00137"></a>00137                   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"libofx_detect_file_type():&lt;OFX&gt; tag has been found"</span>);
-<a name="l00138"></a>00138                   retval=<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>;
+<a name="l00137"></a>00137                   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"libofx_detect_file_type():&lt;OFX&gt; tag has been found"</span>);
+<a name="l00138"></a>00138                   retval=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>;
 <a name="l00139"></a>00139                   type_found=<span class="keyword">true</span>;
 <a name="l00140"></a>00140                 }
 <a name="l00141"></a>00141               <span class="keywordflow">else</span> <span class="keywordflow">if</span>(s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>)!=string::npos||s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>)!=string::npos)
 <a name="l00142"></a>00142                 {
-<a name="l00143"></a>00143                   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"libofx_detect_file_type():&lt;OFC&gt; tag has been found"</span>);
-<a name="l00144"></a>00144                   retval=<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>;
+<a name="l00143"></a>00143                   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"libofx_detect_file_type():&lt;OFC&gt; tag has been found"</span>);
+<a name="l00144"></a>00144                   retval=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>;
 <a name="l00145"></a>00145                   type_found=<span class="keyword">true</span>;
 <a name="l00146"></a>00146                 }
 <a name="l00147"></a>00147               
@@ -164,10 +160,10 @@
 <a name="l00150"></a>00150       input_file.close();
 <a name="l00151"></a>00151     }
 <a name="l00152"></a>00152   <span class="keywordflow">else</span>{
-<a name="l00153"></a>00153     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type(): No input file specified"</span>);
+<a name="l00153"></a>00153     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type(): No input file specified"</span>);
 <a name="l00154"></a>00154   }
-<a name="l00155"></a>00155   <span class="keywordflow">if</span>(retval==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">UNKNOWN</a>)
-<a name="l00156"></a>00156     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type(): Failed to identify input file format"</span>);
+<a name="l00155"></a>00155   <span class="keywordflow">if</span>(retval==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>)
+<a name="l00156"></a>00156     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type(): Failed to identify input file format"</span>);
 <a name="l00157"></a>00157   <span class="keywordflow">return</span> retval;
 <a name="l00158"></a>00158 }
 <a name="l00159"></a>00159   
@@ -175,8 +171,8 @@
 <a name="l00161"></a>00161 
 <a name="l00162"></a>00162 
 <a name="l00163"></a>00163 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2file__preproc_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2file__preproc_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2file__preproc_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,75 +1,63 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: file_preproc.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>file_preproc.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 File type detection, etc. 
 <p>
 Implements AutoDetection of file type, and handoff to specific parsers. 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">fx-0.8.2/lib/file_preproc.cpp</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">fx-0.8.2/lib/file_preproc.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#02f1a3ffa44b420a4c04018a7c609673">libofx_get_file_format_description</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> file_format)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">get_file_format_description returns a string description of a LibofxFileType.  <a href="#02f1a3ffa44b420a4c04018a7c609673"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#ff38c12e4e1b9537d55f1ef4c4b8556d">libofx_get_file_format_from_str</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], const char *file_type_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_get_file_type returns a proper enum from a file type string.  <a href="#ff38c12e4e1b9537d55f1ef4c4b8556d"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#a89d39d1d9d75a129183026eca85c967">libofx_proc_file</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> p_libofx_context, const char *p_filename, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> p_file_type)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_proc_file is the entry point of the library.  <a href="#a89d39d1d9d75a129183026eca85c967"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a> (const char *p_filename)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_detect_file_type tries to analyze a file to determine it's format.  <a href="#66c966ce570524cb29e39babf2f303d5"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">libofx_get_file_format_description</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">get_file_format_description returns a string description of a LibofxFileType.  <a href="#01e232aea6806e09e048c98c94a49b66"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">libofx_get_file_format_from_str</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], const char *file_type_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_get_file_type returns a proper enum from a file type string.  <a href="#3bf84ecbf6ca512ea73d204c64972dbc"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">libofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> p_libofx_context, const char *p_filename, <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> p_file_type)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_proc_file is the entry point of the library.  <a href="#29b78b5f31a8c75206a8e2b4d665099f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">libofx_detect_file_type</a> (const char *p_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_detect_file_type tries to analyze a file to determine it's format.  <a href="#34e14069654b16390599d24154b1f8d0"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9eee3543dcaefab6e13ffd2868c07aaa"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.cpp::READ_BUFFER_SIZE" ref="9eee3543dcaefab6e13ffd2868c07aaa" args="" -->
-const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a> = 1024</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3a4f15870bd5573d14fceb17c65162ee"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.cpp::READ_BUFFER_SIZE" ref="3a4f15870bd5573d14fceb17c65162ee" args="" -->
+const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024</td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="66c966ce570524cb29e39babf2f303d5"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.cpp::libofx_detect_file_type" ref="66c966ce570524cb29e39babf2f303d5" args="(const char *p_filename)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="34e14069654b16390599d24154b1f8d0"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.cpp::libofx_detect_file_type" ref="34e14069654b16390599d24154b1f8d0" args="(const char *p_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> libofx_detect_file_type           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const char *&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>p_filename</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_detect_file_type           </td>
+          <td>(</td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_detect_file_type tries to analyze a file to determine it's format. 
@@ -79,145 +67,121 @@
     <tr><td valign="top"></td><td valign="top"><em>p_filename</em>&nbsp;</td><td>File name of the file to process </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>Detected file format, UNKNOWN if unsuccessfull. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html#l00099">99</a> of file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">fx-0.8.2/lib/file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="02f1a3ffa44b420a4c04018a7c609673"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.cpp::libofx_get_file_format_description" ref="02f1a3ffa44b420a4c04018a7c609673" args="(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">const char* libofx_get_file_format_description           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>format_list</em>[], </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>file_format</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>Detected file format, UNKNOWN if unsuccessfull. </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html#l00099">99</a> of file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">fx-0.8.2/lib/file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="01e232aea6806e09e048c98c94a49b66"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.cpp::libofx_get_file_format_description" ref="01e232aea6806e09e048c98c94a49b66" args="(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* libofx_get_file_format_description           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>file_format</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 get_file_format_description returns a string description of a LibofxFileType. 
 <p>
-The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList  The file format which should match one of the formats in the list. <dl compact><dt><b>Returns:</b></dt><dd>null terminated string suitable for debugging output or user communication. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html#l00037">37</a> of file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">fx-0.8.2/lib/file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ff38c12e4e1b9537d55f1ef4c4b8556d"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.cpp::libofx_get_file_format_from_str" ref="ff38c12e4e1b9537d55f1ef4c4b8556d" args="(const struct LibofxFileFormatInfo format_list[], const char *file_type_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> libofx_get_file_format_from_str           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>format_list</em>[], </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>file_type_string</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList  The file format which should match one of the formats in the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>null terminated string suitable for debugging output or user communication. </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html#l00037">37</a> of file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">fx-0.8.2/lib/file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3bf84ecbf6ca512ea73d204c64972dbc"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.cpp::libofx_get_file_format_from_str" ref="3bf84ecbf6ca512ea73d204c64972dbc" args="(const struct LibofxFileFormatInfo format_list[], const char *file_type_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_get_file_format_from_str           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>file_type_string</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_get_file_type returns a proper enum from a file type string. 
 <p>
-The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList  The string which contain the file format matching one of the format_name of the list. <dl compact><dt><b>Returns:</b></dt><dd>the file format, or UNKNOWN if the format wasn't recognised. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html#l00054">54</a> of file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">fx-0.8.2/lib/file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a89d39d1d9d75a129183026eca85c967"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.cpp::libofx_proc_file" ref="a89d39d1d9d75a129183026eca85c967" args="(LibofxContextPtr p_libofx_context, const char *p_filename, LibofxFileFormat p_file_type)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int libofx_proc_file           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>p_filename</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ftype</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList  The string which contain the file format matching one of the format_name of the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>the file format, or UNKNOWN if the format wasn't recognised. </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html#l00054">54</a> of file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">fx-0.8.2/lib/file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="29b78b5f31a8c75206a8e2b4d665099f"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.cpp::libofx_proc_file" ref="29b78b5f31a8c75206a8e2b4d665099f" args="(LibofxContextPtr p_libofx_context, const char *p_filename, LibofxFileFormat p_file_type)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>ftype</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_proc_file is the entry point of the library. 
 <p>
 libofx_proc_file must be called by the client, with a list of 1 or more OFX files to be parsed in command line format. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html#l00067">67</a> of file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">fx-0.8.2/lib/file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html#l00067">67</a> of file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp-source.html">fx-0.8.2/lib/file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2file__preproc_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2file__preproc_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2file__preproc_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: file_preproc.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>file_preproc.hh</h1><a href="fx-0_88_82_2lib_2file__preproc_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          file_preproc.hh</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -34,11 +30,11 @@
 <a name="l00020"></a>00020 <span class="preprocessor">#ifndef FILE_PREPROC_H</span>
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define FILE_PREPROC_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
-<a name="l00029"></a>00029 <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename);
+<a name="l00029"></a>00029 <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename);
 <a name="l00030"></a>00030 
 <a name="l00031"></a>00031 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2file__preproc_8hh.html'
--- doc/html/fx-0_88_82_2lib_2file__preproc_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2file__preproc_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,62 +1,50 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: file_preproc.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>file_preproc.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Preprocessing of the OFX files before parsing. 
 <p>
 Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD. 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8hh-source.html">fx-0.8.2/lib/file_preproc.hh</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2file__preproc_8hh-source.html">fx-0.8.2/lib/file_preproc.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2file__preproc_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8hh.html#66c966ce570524cb29e39babf2f303d5">libofx_detect_file_type</a> (const char *p_filename)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2file__preproc_8hh.html#34e14069654b16390599d24154b1f8d0">libofx_detect_file_type</a> (const char *p_filename)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_detect_file_type tries to analyze a file to determine it's format.  <a href="#66c966ce570524cb29e39babf2f303d5"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_detect_file_type tries to analyze a file to determine it's format.  <a href="#34e14069654b16390599d24154b1f8d0"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="66c966ce570524cb29e39babf2f303d5"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.hh::libofx_detect_file_type" ref="66c966ce570524cb29e39babf2f303d5" args="(const char *p_filename)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="34e14069654b16390599d24154b1f8d0"></a><!-- doxytag: member="fx-0.8.2/lib/file_preproc.hh::libofx_detect_file_type" ref="34e14069654b16390599d24154b1f8d0" args="(const char *p_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> libofx_detect_file_type           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const char *&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>p_filename</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_detect_file_type           </td>
+          <td>(</td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_detect_file_type tries to analyze a file to determine it's format. 
@@ -66,14 +54,14 @@
     <tr><td valign="top"></td><td valign="top"><em>p_filename</em>&nbsp;</td><td>File name of the file to process </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>Detected file format, UNKNOWN if unsuccessfull. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00099">99</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>Detected file format, UNKNOWN if unsuccessfull. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00099">99</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2getopt1_8c-source.html'
--- doc/html/fx-0_88_82_2lib_2getopt1_8c-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2getopt1_8c-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: getopt1.c Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>getopt1.c</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* getopt_long and getopt_long_only entry points for GNU getopt.</span>
 <a name="l00002"></a>00002 <span class="comment">   Copyright (C) 1987,88,89,90,91,92,93,94,96,97,98</span>
 <a name="l00003"></a>00003 <span class="comment">     Free Software Foundation, Inc.</span>
@@ -117,7 +113,7 @@
 <a name="l00098"></a>00098 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
 <a name="l00099"></a>00099 
 <a name="l00100"></a>00100 <span class="keywordtype">int</span>
-<a name="l00101"></a>00101 <a class="code" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">main</a> (argc, argv)
+<a name="l00101"></a>00101 <a class="code" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (argc, argv)
 <a name="l00102"></a>00102      int argc;
 <a name="l00103"></a>00103      <span class="keywordtype">char</span> **argv;
 <a name="l00104"></a>00104 {
@@ -147,7 +143,7 @@
 <a name="l00128"></a>00128       <span class="keywordflow">switch</span> (c)
 <a name="l00129"></a>00129         {
 <a name="l00130"></a>00130         <span class="keywordflow">case</span> 0:
-<a name="l00131"></a>00131           printf (<span class="stringliteral">"option %s"</span>, long_options[option_index].<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>);
+<a name="l00131"></a>00131           printf (<span class="stringliteral">"option %s"</span>, long_options[option_index].<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
 <a name="l00132"></a>00132           <span class="keywordflow">if</span> (optarg)
 <a name="l00133"></a>00133             printf (<span class="stringliteral">" with arg %s"</span>, optarg);
 <a name="l00134"></a>00134           printf (<span class="stringliteral">"\n"</span>);
@@ -205,8 +201,8 @@
 <a name="l00186"></a>00186 }
 <a name="l00187"></a>00187 
 <a name="l00188"></a>00188 <span class="preprocessor">#endif </span><span class="comment">/* TEST */</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2getopt_8c-source.html'
--- doc/html/fx-0_88_82_2lib_2getopt_8c-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2getopt_8c-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: getopt.c Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>getopt.c</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* Getopt for GNU.</span>
 <a name="l00002"></a>00002 <span class="comment">   NOTE: getopt is now part of the C library, so if you don't know what</span>
 <a name="l00003"></a>00003 <span class="comment">   "Keep this file name-space clean" means, talk to drepper@gnu.org</span>
@@ -668,11 +664,11 @@
 <a name="l00649"></a>00649 
 <a name="l00650"></a>00650       <span class="comment">/* Test all long options for either exact match</span>
 <a name="l00651"></a>00651 <span class="comment">         or abbreviated matches.  */</span>
-<a name="l00652"></a>00652       <span class="keywordflow">for</span> (p = longopts, option_index = 0; p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>; p++, option_index++)
-<a name="l00653"></a>00653         <span class="keywordflow">if</span> (!strncmp (p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>, nextchar, nameend - nextchar))
+<a name="l00652"></a>00652       <span class="keywordflow">for</span> (p = longopts, option_index = 0; p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>; p++, option_index++)
+<a name="l00653"></a>00653         <span class="keywordflow">if</span> (!strncmp (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>, nextchar, nameend - nextchar))
 <a name="l00654"></a>00654           {
-<a name="l00655"></a>00655             if ((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) (nameend - nextchar)
-<a name="l00656"></a>00656                 == (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) strlen (p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>))
+<a name="l00655"></a>00655             <span class="keywordflow">if</span> ((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) (nameend - nextchar)
+<a name="l00656"></a>00656                 == (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) strlen (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>))
 <a name="l00657"></a>00657               {
 <a name="l00658"></a>00658                 <span class="comment">/* Exact match found.  */</span>
 <a name="l00659"></a>00659                 pfound = p;
@@ -687,9 +683,9 @@
 <a name="l00668"></a>00668                 indfound = option_index;
 <a name="l00669"></a>00669               }
 <a name="l00670"></a>00670             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (long_only
-<a name="l00671"></a>00671                      || pfound-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a> != p-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a>
-<a name="l00672"></a>00672                      || pfound-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a> != p-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>
-<a name="l00673"></a>00673                      || pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a> != p-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>)
+<a name="l00671"></a>00671                      || pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a> != p-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>
+<a name="l00672"></a>00672                      || pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a> != p-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>
+<a name="l00673"></a>00673                      || pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a> != p-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>)
 <a name="l00674"></a>00674               <span class="comment">/* Second or later nonexact match found.  */</span>
 <a name="l00675"></a>00675               ambig = 1;
 <a name="l00676"></a>00676           }
@@ -713,7 +709,7 @@
 <a name="l00694"></a>00694             {
 <a name="l00695"></a>00695               <span class="comment">/* Don't test has_arg with &gt;, because some C compilers don't</span>
 <a name="l00696"></a>00696 <span class="comment">                 allow it to be used on enums.  */</span>
-<a name="l00697"></a>00697               <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a>)
+<a name="l00697"></a>00697               <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>)
 <a name="l00698"></a>00698                 optarg = nameend + 1;
 <a name="l00699"></a>00699               <span class="keywordflow">else</span>
 <a name="l00700"></a>00700                 {
@@ -723,21 +719,21 @@
 <a name="l00704"></a>00704                         <span class="comment">/* --option */</span>
 <a name="l00705"></a>00705                         fprintf (stderr,
 <a name="l00706"></a>00706                                  _(<span class="stringliteral">"%s: option `--%s' doesn't allow an argument\n"</span>),
-<a name="l00707"></a>00707                                  argv[0], pfound-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>);
+<a name="l00707"></a>00707                                  argv[0], pfound-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
 <a name="l00708"></a>00708                       <span class="keywordflow">else</span>
 <a name="l00709"></a>00709                         <span class="comment">/* +option or -option */</span>
 <a name="l00710"></a>00710                         fprintf (stderr,
 <a name="l00711"></a>00711                                  _(<span class="stringliteral">"%s: option `%c%s' doesn't allow an argument\n"</span>),
-<a name="l00712"></a>00712                                  argv[0], argv[optind - 1][0], pfound-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>);
+<a name="l00712"></a>00712                                  argv[0], argv[optind - 1][0], pfound-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
 <a name="l00713"></a>00713                     }
 <a name="l00714"></a>00714 
 <a name="l00715"></a>00715                   nextchar += strlen (nextchar);
 <a name="l00716"></a>00716 
-<a name="l00717"></a>00717                   optopt = pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00717"></a>00717                   optopt = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00718"></a>00718                   <span class="keywordflow">return</span> <span class="charliteral">'?'</span>;
 <a name="l00719"></a>00719                 }
 <a name="l00720"></a>00720             }
-<a name="l00721"></a>00721           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a> == 1)
+<a name="l00721"></a>00721           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a> == 1)
 <a name="l00722"></a>00722             {
 <a name="l00723"></a>00723               <span class="keywordflow">if</span> (optind &lt; argc)
 <a name="l00724"></a>00724                 optarg = argv[optind++];
@@ -748,19 +744,19 @@
 <a name="l00729"></a>00729                            _(<span class="stringliteral">"%s: option `%s' requires an argument\n"</span>),
 <a name="l00730"></a>00730                            argv[0], argv[optind - 1]);
 <a name="l00731"></a>00731                   nextchar += strlen (nextchar);
-<a name="l00732"></a>00732                   optopt = pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00732"></a>00732                   optopt = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00733"></a>00733                   <span class="keywordflow">return</span> optstring[0] == <span class="charliteral">':'</span> ? <span class="charliteral">':'</span> : <span class="charliteral">'?'</span>;
 <a name="l00734"></a>00734                 }
 <a name="l00735"></a>00735             }
 <a name="l00736"></a>00736           nextchar += strlen (nextchar);
 <a name="l00737"></a>00737           <span class="keywordflow">if</span> (longind != NULL)
 <a name="l00738"></a>00738             *longind = option_index;
-<a name="l00739"></a>00739           <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>)
+<a name="l00739"></a>00739           <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>)
 <a name="l00740"></a>00740             {
-<a name="l00741"></a>00741               *(pfound-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>) = pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00741"></a>00741               *(pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>) = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00742"></a>00742               <span class="keywordflow">return</span> 0;
 <a name="l00743"></a>00743             }
-<a name="l00744"></a>00744           <span class="keywordflow">return</span> pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00744"></a>00744           <span class="keywordflow">return</span> pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00745"></a>00745         }
 <a name="l00746"></a>00746 
 <a name="l00747"></a>00747       <span class="comment">/* Can't find it as a long option.  If this is not getopt_long_only,</span>
@@ -860,10 +856,10 @@
 <a name="l00841"></a>00841 
 <a name="l00842"></a>00842         <span class="comment">/* Test all long options for either exact match</span>
 <a name="l00843"></a>00843 <span class="comment">           or abbreviated matches.  */</span>
-<a name="l00844"></a>00844         <span class="keywordflow">for</span> (p = longopts, option_index = 0; p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>; p++, option_index++)
-<a name="l00845"></a>00845           <span class="keywordflow">if</span> (!strncmp (p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>, nextchar, nameend - nextchar))
+<a name="l00844"></a>00844         <span class="keywordflow">for</span> (p = longopts, option_index = 0; p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>; p++, option_index++)
+<a name="l00845"></a>00845           <span class="keywordflow">if</span> (!strncmp (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>, nextchar, nameend - nextchar))
 <a name="l00846"></a>00846             {
-<a name="l00847"></a>00847               if ((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) (nameend - nextchar) == strlen (p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>))
+<a name="l00847"></a>00847               <span class="keywordflow">if</span> ((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) (nameend - nextchar) == strlen (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>))
 <a name="l00848"></a>00848                 {
 <a name="l00849"></a>00849                   <span class="comment">/* Exact match found.  */</span>
 <a name="l00850"></a>00850                   pfound = p;
@@ -897,20 +893,20 @@
 <a name="l00878"></a>00878               {
 <a name="l00879"></a>00879                 <span class="comment">/* Don't test has_arg with &gt;, because some C compilers don't</span>
 <a name="l00880"></a>00880 <span class="comment">                   allow it to be used on enums.  */</span>
-<a name="l00881"></a>00881                 <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a>)
+<a name="l00881"></a>00881                 <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>)
 <a name="l00882"></a>00882                   optarg = nameend + 1;
 <a name="l00883"></a>00883                 <span class="keywordflow">else</span>
 <a name="l00884"></a>00884                   {
 <a name="l00885"></a>00885                     <span class="keywordflow">if</span> (print_errors)
 <a name="l00886"></a>00886                       fprintf (stderr, _(<span class="stringliteral">"\</span>
 <a name="l00887"></a>00887 <span class="stringliteral">%s: option `-W %s' doesn't allow an argument\n"</span>),
-<a name="l00888"></a>00888                                argv[0], pfound-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>);
+<a name="l00888"></a>00888                                argv[0], pfound-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
 <a name="l00889"></a>00889 
 <a name="l00890"></a>00890                     nextchar += strlen (nextchar);
 <a name="l00891"></a>00891                     <span class="keywordflow">return</span> <span class="charliteral">'?'</span>;
 <a name="l00892"></a>00892                   }
 <a name="l00893"></a>00893               }
-<a name="l00894"></a>00894             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a> == 1)
+<a name="l00894"></a>00894             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a> == 1)
 <a name="l00895"></a>00895               {
 <a name="l00896"></a>00896                 <span class="keywordflow">if</span> (optind &lt; argc)
 <a name="l00897"></a>00897                   optarg = argv[optind++];
@@ -927,12 +923,12 @@
 <a name="l00908"></a>00908             nextchar += strlen (nextchar);
 <a name="l00909"></a>00909             <span class="keywordflow">if</span> (longind != NULL)
 <a name="l00910"></a>00910               *longind = option_index;
-<a name="l00911"></a>00911             <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>)
+<a name="l00911"></a>00911             <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>)
 <a name="l00912"></a>00912               {
-<a name="l00913"></a>00913                 *(pfound-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>) = pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00913"></a>00913                 *(pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>) = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00914"></a>00914                 <span class="keywordflow">return</span> 0;
 <a name="l00915"></a>00915               }
-<a name="l00916"></a>00916             <span class="keywordflow">return</span> pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00916"></a>00916             <span class="keywordflow">return</span> pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00917"></a>00917           }
 <a name="l00918"></a>00918           nextchar = NULL;
 <a name="l00919"></a>00919           <span class="keywordflow">return</span> <span class="charliteral">'W'</span>;   <span class="comment">/* Let the application handle it.   */</span>
@@ -1007,7 +1003,7 @@
 <a name="l00988"></a>00988 <span class="comment">   the above definition of `getopt'.  */</span>
 <a name="l00989"></a>00989 
 <a name="l00990"></a>00990 <span class="keywordtype">int</span>
-<a name="l00991"></a>00991 <a class="code" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">main</a> (argc, argv)
+<a name="l00991"></a>00991 <a class="code" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (argc, argv)
 <a name="l00992"></a>00992      int argc;
 <a name="l00993"></a>00993      <span class="keywordtype">char</span> **argv;
 <a name="l00994"></a>00994 {
@@ -1072,8 +1068,8 @@
 <a name="l01053"></a>01053 }
 <a name="l01054"></a>01054 
 <a name="l01055"></a>01055 <span class="preprocessor">#endif </span><span class="comment">/* TEST */</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2gnugetopt_8h-source.html'
--- doc/html/fx-0_88_82_2lib_2gnugetopt_8h-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2gnugetopt_8h-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: gnugetopt.h Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>gnugetopt.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* Declarations for getopt.</span>
 <a name="l00002"></a>00002 <span class="comment">   Copyright (C) 1989-1994, 1996-1999, 2001 Free Software Foundation, Inc.</span>
 <a name="l00003"></a>00003 <span class="comment">   This file is part of the GNU C Library.</span>
@@ -113,15 +109,15 @@
 <a name="l00094"></a>00094 <span class="keyword">struct </span><a class="code" href="structoption.html">option</a>
 <a name="l00095"></a>00095 {
 <a name="l00096"></a>00096 <span class="preprocessor"># if (defined __STDC__ &amp;&amp; __STDC__) || defined __cplusplus</span>
-<a name="l00097"></a>00097 <span class="preprocessor"></span>  <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>;
+<a name="l00097"></a>00097 <span class="preprocessor"></span>  <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>;
 <a name="l00098"></a>00098 <span class="preprocessor"># else</span>
-<a name="l00099"></a><a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">00099</a> <span class="preprocessor"></span>  <span class="keywordtype">char</span> *<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>;
+<a name="l00099"></a><a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">00099</a> <span class="preprocessor"></span>  <span class="keywordtype">char</span> *<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>;
 <a name="l00100"></a>00100 <span class="preprocessor"># endif</span>
 <a name="l00101"></a>00101 <span class="preprocessor"></span>  <span class="comment">/* has_arg can't be an enum because some compilers complain about</span>
 <a name="l00102"></a>00102 <span class="comment">     type mismatches in all the code that assumes it is an int.  */</span>
-<a name="l00103"></a>00103   <span class="keywordtype">int</span> <a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a>;
-<a name="l00104"></a><a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">00104</a>   <span class="keywordtype">int</span> *<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>;
-<a name="l00105"></a>00105   <span class="keywordtype">int</span> <a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00103"></a>00103   <span class="keywordtype">int</span> <a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>;
+<a name="l00104"></a><a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">00104</a>   <span class="keywordtype">int</span> *<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>;
+<a name="l00105"></a>00105   <span class="keywordtype">int</span> <a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00106"></a>00106 };
 <a name="l00107"></a>00107 
 <a name="l00108"></a>00108 <span class="comment">/* Names for the values of the `has_arg' field of `struct option'.  */</span>
@@ -197,8 +193,8 @@
 <a name="l00178"></a>00178 <span class="preprocessor">#undef __need_getopt</span>
 <a name="l00179"></a>00179 <span class="preprocessor"></span>
 <a name="l00180"></a>00180 <span class="preprocessor">#endif </span><span class="comment">/* getopt.h */</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2messages_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2messages_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2messages_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: messages.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>messages.cpp</h1><a href="fx-0_88_82_2lib_2messages_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_messages.cpp  </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -35,30 +31,30 @@
 <a name="l00019"></a>00019 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00020"></a>00020 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00021"></a>00021 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00022"></a>00022 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00023"></a>00023 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
 <a name="l00024"></a>00024 
-<a name="l00025"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">00025</a> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>; 
-<a name="l00026"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">00026</a> SGMLApplication::Position <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>; 
-<a name="l00028"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">00028</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">ofx_PARSER_msg</a> = <span class="keyword">false</span>; 
-<a name="l00029"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">00029</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">ofx_DEBUG_msg</a> = <span class="keyword">false</span>;
-<a name="l00030"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">00030</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">ofx_DEBUG1_msg</a> = <span class="keyword">false</span>;
-<a name="l00031"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">00031</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">ofx_DEBUG2_msg</a> = <span class="keyword">false</span>;
-<a name="l00032"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">00032</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">ofx_DEBUG3_msg</a> = <span class="keyword">false</span>;
-<a name="l00033"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">00033</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">ofx_DEBUG4_msg</a> = <span class="keyword">false</span>;
-<a name="l00034"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">00034</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">ofx_DEBUG5_msg</a> = <span class="keyword">false</span>;
-<a name="l00035"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">00035</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">ofx_STATUS_msg</a> = <span class="keyword">false</span>;
-<a name="l00036"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">00036</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">ofx_INFO_msg</a> = <span class="keyword">false</span>;
-<a name="l00037"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">00037</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">ofx_WARNING_msg</a> = <span class="keyword">false</span>;
-<a name="l00038"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">00038</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">ofx_ERROR_msg</a> = <span class="keyword">false</span>;
-<a name="l00039"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">00039</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">ofx_show_position</a> = <span class="keyword">true</span>;
-<a name="l00041"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">00041</a> <span class="keywordtype">void</span> <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>()
+<a name="l00025"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">00025</a> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>; 
+<a name="l00026"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#4da8008b6f110050513003edf67a2495">00026</a> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>; 
+<a name="l00028"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">00028</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a> = <span class="keyword">false</span>; 
+<a name="l00029"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">00029</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a> = <span class="keyword">false</span>;
+<a name="l00030"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">00030</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a> = <span class="keyword">false</span>;
+<a name="l00031"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">00031</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a> = <span class="keyword">false</span>;
+<a name="l00032"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">00032</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a> = <span class="keyword">false</span>;
+<a name="l00033"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">00033</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a> = <span class="keyword">false</span>;
+<a name="l00034"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">00034</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a> = <span class="keyword">false</span>;
+<a name="l00035"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">00035</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a> = <span class="keyword">false</span>;
+<a name="l00036"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">00036</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a> = <span class="keyword">false</span>;
+<a name="l00037"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">00037</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a> = <span class="keyword">false</span>;
+<a name="l00038"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">00038</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a> = <span class="keyword">false</span>;
+<a name="l00039"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">00039</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> = <span class="keyword">true</span>;
+<a name="l00041"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">00041</a> <span class="keywordtype">void</span> <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>()
 <a name="l00042"></a>00042 {
-<a name="l00043"></a>00043   <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>;
-<a name="l00044"></a>00044   <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>;
+<a name="l00043"></a>00043   <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>;
+<a name="l00044"></a>00044   <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>;
 <a name="l00045"></a>00045 
 <a name="l00046"></a>00046 
-<a name="l00047"></a>00047   <span class="keywordflow">if</span>((<a class="code" href="messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">ofx_show_position</a> == <span class="keyword">true</span>))
+<a name="l00047"></a>00047   <span class="keywordflow">if</span>((<a class="code" href="messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> == <span class="keyword">true</span>))
 <a name="l00048"></a>00048     {
 <a name="l00049"></a>00049       SGMLApplication::Location *location = <span class="keyword">new</span> SGMLApplication::Location(entity_ptr, position);
 <a name="l00050"></a>00050       cerr &lt;&lt; <span class="stringliteral">"(Above message occured on Line "</span>&lt;&lt;location-&gt;lineNumber&lt;&lt;<span class="stringliteral">", Column "</span>&lt;&lt;location-&gt;columnNumber&lt;&lt;<span class="stringliteral">")"</span>&lt;&lt;endl;
@@ -66,87 +62,87 @@
 <a name="l00052"></a>00052     }
 <a name="l00053"></a>00053 }
 <a name="l00054"></a>00054 
-<a name="l00058"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">00058</a> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> error_type, <span class="keyword">const</span> string message)
+<a name="l00058"></a><a class="code" href="fx-0_88_82_2lib_2messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">00058</a> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type, <span class="keyword">const</span> <span class="keywordtype">string</span> message)
 <a name="l00059"></a>00059 {
 <a name="l00060"></a>00060 
 <a name="l00061"></a>00061 
 <a name="l00062"></a>00062   <span class="keywordflow">switch</span>  (error_type){
-<a name="l00063"></a>00063   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a> :
-<a name="l00064"></a>00064     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">ofx_DEBUG_msg</a>==<span class="keyword">true</span>){
+<a name="l00063"></a>00063   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a> :
+<a name="l00064"></a>00064     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a>==<span class="keyword">true</span>){
 <a name="l00065"></a>00065       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00066"></a>00066       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00066"></a>00066       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00067"></a>00067     }
 <a name="l00068"></a>00068     <span class="keywordflow">break</span>;
-<a name="l00069"></a>00069   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252">DEBUG1</a> :
-<a name="l00070"></a>00070     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">ofx_DEBUG1_msg</a>==<span class="keyword">true</span>){
+<a name="l00069"></a>00069   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a> :
+<a name="l00070"></a>00070     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a>==<span class="keyword">true</span>){
 <a name="l00071"></a>00071       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG1: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00072"></a>00072       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00072"></a>00072       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00073"></a>00073     }
 <a name="l00074"></a>00074     <span class="keywordflow">break</span>;
-<a name="l00075"></a>00075   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719">DEBUG2</a> :
-<a name="l00076"></a>00076     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">ofx_DEBUG2_msg</a>==<span class="keyword">true</span>){
+<a name="l00075"></a>00075   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a> :
+<a name="l00076"></a>00076     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a>==<span class="keyword">true</span>){
 <a name="l00077"></a>00077       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG2: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00078"></a>00078       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00078"></a>00078       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00079"></a>00079     }
 <a name="l00080"></a>00080     <span class="keywordflow">break</span>;
-<a name="l00081"></a>00081   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252">DEBUG3</a> :
-<a name="l00082"></a>00082     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">ofx_DEBUG3_msg</a>==<span class="keyword">true</span>){
+<a name="l00081"></a>00081   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a> :
+<a name="l00082"></a>00082     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a>==<span class="keyword">true</span>){
 <a name="l00083"></a>00083       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG3: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00084"></a>00084       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00084"></a>00084       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00085"></a>00085     }
 <a name="l00086"></a>00086     <span class="keywordflow">break</span>;
-<a name="l00087"></a>00087   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">DEBUG4</a> :
-<a name="l00088"></a>00088     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">ofx_DEBUG4_msg</a>==<span class="keyword">true</span>){
+<a name="l00087"></a>00087   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a> :
+<a name="l00088"></a>00088     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a>==<span class="keyword">true</span>){
 <a name="l00089"></a>00089       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG4: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00090"></a>00090       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00090"></a>00090       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00091"></a>00091     }
 <a name="l00092"></a>00092     <span class="keywordflow">break</span>;
-<a name="l00093"></a>00093   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf">DEBUG5</a> :
-<a name="l00094"></a>00094     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">ofx_DEBUG5_msg</a>==<span class="keyword">true</span>){
+<a name="l00093"></a>00093   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a> :
+<a name="l00094"></a>00094     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a>==<span class="keyword">true</span>){
 <a name="l00095"></a>00095       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG5: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00096"></a>00096       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00096"></a>00096       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00097"></a>00097     }
 <a name="l00098"></a>00098     <span class="keywordflow">break</span>;
-<a name="l00099"></a>00099   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">STATUS</a> :
-<a name="l00100"></a>00100     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">ofx_STATUS_msg</a>==<span class="keyword">true</span>){
+<a name="l00099"></a>00099   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> :
+<a name="l00100"></a>00100     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a>==<span class="keyword">true</span>){
 <a name="l00101"></a>00101       cerr &lt;&lt; <span class="stringliteral">"LibOFX STATUS: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00103"></a>00103     }
 <a name="l00104"></a>00104     <span class="keywordflow">break</span>;
-<a name="l00105"></a>00105   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a> :
-<a name="l00106"></a>00106     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">ofx_INFO_msg</a>==<span class="keyword">true</span>){
+<a name="l00105"></a>00105   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a> :
+<a name="l00106"></a>00106     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a>==<span class="keyword">true</span>){
 <a name="l00107"></a>00107       cerr &lt;&lt; <span class="stringliteral">"LibOFX INFO: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00108"></a>00108       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00108"></a>00108       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00109"></a>00109     }
 <a name="l00110"></a>00110     <span class="keywordflow">break</span>;
-<a name="l00111"></a>00111   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">WARNING</a> :
-<a name="l00112"></a>00112     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">ofx_WARNING_msg</a>==<span class="keyword">true</span>){
+<a name="l00111"></a>00111   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a> :
+<a name="l00112"></a>00112     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a>==<span class="keyword">true</span>){
 <a name="l00113"></a>00113       cerr &lt;&lt; <span class="stringliteral">"LibOFX WARNING: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00114"></a>00114       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00114"></a>00114       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00115"></a>00115     }
 <a name="l00116"></a>00116     <span class="keywordflow">break</span>;
-<a name="l00117"></a>00117   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a> :
-<a name="l00118"></a>00118     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">ofx_ERROR_msg</a>==<span class="keyword">true</span>){
+<a name="l00117"></a>00117   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a> :
+<a name="l00118"></a>00118     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a>==<span class="keyword">true</span>){
 <a name="l00119"></a>00119       cerr &lt;&lt; <span class="stringliteral">"LibOFX ERROR: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00120"></a>00120       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00120"></a>00120       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00121"></a>00121     }
 <a name="l00122"></a>00122     <span class="keywordflow">break</span>;
-<a name="l00123"></a>00123   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a> :
-<a name="l00124"></a>00124     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">ofx_PARSER_msg</a>==<span class="keyword">true</span>){
+<a name="l00123"></a>00123   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a> :
+<a name="l00124"></a>00124     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a>==<span class="keyword">true</span>){
 <a name="l00125"></a>00125       cerr &lt;&lt; <span class="stringliteral">"LibOFX PARSER: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00126"></a>00126       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00126"></a>00126       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00127"></a>00127     }
 <a name="l00128"></a>00128     <span class="keywordflow">break</span>;
 <a name="l00129"></a>00129   <span class="keywordflow">default</span>:
 <a name="l00130"></a>00130     cerr &lt;&lt; <span class="stringliteral">"LibOFX UNKNOWN ERROR CLASS, This is a bug in LibOFX\n"</span>;
-<a name="l00131"></a>00131     <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00131"></a>00131     <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00132"></a>00132   }
 <a name="l00133"></a>00133 
 <a name="l00134"></a>00134   <span class="keywordflow">return</span> 0;
 <a name="l00135"></a>00135 }
 <a name="l00136"></a>00136 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2messages_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2messages_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2messages_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,465 +1,341 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: messages.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>messages.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Message IO functionality. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2messages_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6f6c15fa39f4977b6eafc60be5d3409b"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::show_line_number" ref="6f6c15fa39f4977b6eafc60be5d3409b" args="()" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> error_type, const string message)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Message output function.  <a href="#99c5e187aa2ee7e5e08fb6e77d63bfe3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="38700caf40614c44e567a90d53cdfe37"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::show_line_number" ref="38700caf40614c44e567a90d53cdfe37" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">message_out</a> (<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type, const string message)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Message output function.  <a href="#6af6947c1ec6fcbefd793f80c26d90fa"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">ofx_PARSER_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">ofx_DEBUG_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">ofx_DEBUG1_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">ofx_DEBUG2_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">ofx_DEBUG3_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">ofx_DEBUG4_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">ofx_DEBUG5_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">ofx_STATUS_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">ofx_INFO_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">ofx_WARNING_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">ofx_ERROR_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">ofx_show_position</a> = true</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> = true</td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="99c5e187aa2ee7e5e08fb6e77d63bfe3"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::message_out" ref="99c5e187aa2ee7e5e08fb6e77d63bfe3" args="(OfxMsgType error_type, const string message)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int message_out           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>error_type</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>message</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="6af6947c1ec6fcbefd793f80c26d90fa"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::message_out" ref="6af6947c1ec6fcbefd793f80c26d90fa" args="(OfxMsgType error_type, const string message)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int message_out           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>&nbsp;</td>
+          <td class="paramname"> <em>error_type</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>message</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Message output function. 
 <p>
 Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00058">58</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00058">58</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="c8e1fbbf7434010d88e4ebb6b2c56340"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::entity_ptr" ref="c8e1fbbf7434010d88e4ebb6b2c56340" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="adaa870f35b4a4fb6b268ae8ea872ccf"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::entity_ptr" ref="adaa870f35b4a4fb6b268ae8ea872ccf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>          </td>
+          <td class="memname">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="4823e184d0350f64bccc6761cf4ca2dd"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG1_msg" ref="4823e184d0350f64bccc6761cf4ca2dd" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="7a6f1ae26a09b234af9fb6f53466de41"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG1_msg" ref="7a6f1ae26a09b234af9fb6f53466de41" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">ofx_DEBUG1_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, debug level 1 messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00030">30</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="9e5ef2460cbedcf9fa16cc32b28ea3aa"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG2_msg" ref="9e5ef2460cbedcf9fa16cc32b28ea3aa" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00030">30</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="8ad3c6505850cff41f658a18acee7241"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG2_msg" ref="8ad3c6505850cff41f658a18acee7241" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">ofx_DEBUG2_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, debug level 2 messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00031">31</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="199dfceb3a69bcaf8bf34c5b69cde892"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG3_msg" ref="199dfceb3a69bcaf8bf34c5b69cde892" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00031">31</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="1983d755b7b1a219f589e6d77271dfbb"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG3_msg" ref="1983d755b7b1a219f589e6d77271dfbb" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">ofx_DEBUG3_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, debug level 3 messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00032">32</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="8f234b772fe96045cc3bbc439cca3300"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG4_msg" ref="8f234b772fe96045cc3bbc439cca3300" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00032">32</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3a8a00a07c729647b1d1f94954419cb9"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG4_msg" ref="3a8a00a07c729647b1d1f94954419cb9" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">ofx_DEBUG4_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, debug level 4 messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00033">33</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="1aadca7c4dd23c7a68f17cebe6da5e19"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG5_msg" ref="1aadca7c4dd23c7a68f17cebe6da5e19" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00033">33</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="68ffc5302d8befcf6e415ac219120162"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG5_msg" ref="68ffc5302d8befcf6e415ac219120162" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">ofx_DEBUG5_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, debug level 5 messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00034">34</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="08ed1d96da2de393d14e023f9efc0137"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG_msg" ref="08ed1d96da2de393d14e023f9efc0137" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00034">34</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="114453d10ab7a0a82485eb535ea2cad6"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_DEBUG_msg" ref="114453d10ab7a0a82485eb535ea2cad6" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">ofx_DEBUG_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, general debug messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00029">29</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="3328f7d06b8155c8ce3b2074d43f98f7"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_ERROR_msg" ref="3328f7d06b8155c8ce3b2074d43f98f7" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00029">29</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2b3d2ad175f65de9d36f47f959741f72"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_ERROR_msg" ref="2b3d2ad175f65de9d36f47f959741f72" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">ofx_ERROR_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, error messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00038">38</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="183c9908fa85da05c37ce32ef86984ae"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_INFO_msg" ref="183c9908fa85da05c37ce32ef86984ae" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00038">38</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="228b326318901fc303c91ed75f45ba64"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_INFO_msg" ref="228b326318901fc303c91ed75f45ba64" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">ofx_INFO_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, information messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00036">36</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="2ea3d64bbb6d9dc986500e7d1934c3f4"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_PARSER_msg" ref="2ea3d64bbb6d9dc986500e7d1934c3f4" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00036">36</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c58dfba31a4541023b331efa4f3a5079"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_PARSER_msg" ref="c58dfba31a4541023b331efa4f3a5079" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">ofx_PARSER_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, parser events will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00028">28</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="fa8f5185763c6e612f0f71ac71c028ee"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_show_position" ref="fa8f5185763c6e612f0f71ac71c028ee" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00028">28</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2f4750bf79b46b0259dd883afd45842a"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_show_position" ref="2f4750bf79b46b0259dd883afd45842a" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">ofx_show_position</a> = true          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> = true          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, the line number will be shown after any error 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00039">39</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="dae823046f8c9180c2cb8271cf890e49"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_STATUS_msg" ref="dae823046f8c9180c2cb8271cf890e49" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00039">39</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="9d3605349a492ff39e5b2a006d773cbf"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_STATUS_msg" ref="9d3605349a492ff39e5b2a006d773cbf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">ofx_STATUS_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, status messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00035">35</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="efda1947c61fbeab27f5bee4d9d8565c"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_WARNING_msg" ref="efda1947c61fbeab27f5bee4d9d8565c" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00035">35</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="906d9d0b5311d914db311210f9cdce58"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::ofx_WARNING_msg" ref="906d9d0b5311d914db311210f9cdce58" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">ofx_WARNING_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, warning messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00037">37</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d4db2383832ddcfb93e4e02ce1cb102b"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::position" ref="d4db2383832ddcfb93e4e02ce1cb102b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00037">37</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4da8008b6f110050513003edf67a2495"></a><!-- doxytag: member="fx-0.8.2/lib/messages.cpp::position" ref="4da8008b6f110050513003edf67a2495" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::Position <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>          </td>
+          <td class="memname">SGMLApplication::Position <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8cpp-source.html">fx-0.8.2/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2messages_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2messages_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2messages_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: messages.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>messages.hh</h1><a href="fx-0_88_82_2lib_2messages_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_messages.h</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -34,25 +30,25 @@
 <a name="l00018"></a>00018 <span class="preprocessor">#ifndef OFX_MESSAGES_H</span>
 <a name="l00019"></a>00019 <span class="preprocessor"></span><span class="preprocessor">#define OFX_MESSAGES_H</span>
 <a name="l00020"></a>00020 <span class="preprocessor"></span>
-<a name="l00023"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">00023</a> <span class="keyword">enum</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a>{
-<a name="l00024"></a>00024   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,       
-<a name="l00025"></a>00025   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252">DEBUG1</a>,      
-<a name="l00026"></a>00026   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719">DEBUG2</a>,      
-<a name="l00027"></a>00027   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252">DEBUG3</a>,      
-<a name="l00028"></a>00028   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">DEBUG4</a>,      
-<a name="l00029"></a>00029   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf">DEBUG5</a>,      
-<a name="l00030"></a>00030   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">STATUS</a> = 10, 
-<a name="l00031"></a>00031   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>,        
-<a name="l00032"></a>00032   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">WARNING</a>,     
-<a name="l00033"></a>00033   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,       
-<a name="l00034"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">00034</a>   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>       
+<a name="l00023"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">00023</a> <span class="keyword">enum</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>{
+<a name="l00024"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">00024</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,       
+<a name="l00025"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">00025</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>,      
+<a name="l00026"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">00026</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>,      
+<a name="l00027"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">00027</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>,      
+<a name="l00028"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">00028</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>,      
+<a name="l00029"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">00029</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>,      
+<a name="l00030"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">00030</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> = 10, 
+<a name="l00031"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">00031</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,        
+<a name="l00032"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">00032</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>,     
+<a name="l00033"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">00033</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,       
+<a name="l00034"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">00034</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>       
 <a name="l00035"></a>00035 };
 <a name="l00036"></a>00036 <span class="keyword">using namespace </span>std;
-<a name="l00038"></a>00038 <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> type, <span class="keyword">const</span> string message);
+<a name="l00038"></a>00038 <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> type, <span class="keyword">const</span> <span class="keywordtype">string</span> message);
 <a name="l00039"></a>00039 
 <a name="l00040"></a>00040 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2messages_8hh.html'
--- doc/html/fx-0_88_82_2lib_2messages_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2messages_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,152 +1,204 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: messages.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>messages.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Message IO functionality. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2messages_8hh-source.html">fx-0.8.2/lib/messages.hh</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2messages_8hh-source.html">fx-0.8.2/lib/messages.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2messages_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> { <br>
-&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, 
-<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252">DEBUG1</a>, 
-<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719">DEBUG2</a>, 
-<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252">DEBUG3</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">DEBUG4</a>, 
-<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf">DEBUG5</a>, 
-<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">STATUS</a> =  10, 
-<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">WARNING</a>, 
-<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, 
-<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> =  10, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> =  10, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> =  10, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>
 <br>
  }</td></tr>
 
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#15597c0646783f472203d52c3f7e581a">message_out</a> (<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> type, const string message)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#6f56d85178951a91c7a06ea0538aa2d4">message_out</a> (<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> type, const string message)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Message output function.  <a href="#15597c0646783f472203d52c3f7e581a"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Message output function.  <a href="#6f56d85178951a91c7a06ea0538aa2d4"></a><br></td></tr>
 </table>
 <hr><h2>Enumeration Type Documentation</h2>
-<a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e"></a><!-- doxytag: member="fx-0.8.2/lib/messages.hh::OfxMsgType" ref="7a1786af43f15890c2e84ec7d6f0ea4e" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69"></a><!-- doxytag: member="fx-0.8.2/lib/messages.hh::OfxMsgType" ref="7cd03dafa59895bc306bf220b7b85f69" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a>          </td>
+          <td class="memname">enum <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 The OfxMsgType enum describe's the type of message being sent, so the application/user/library can decide if it will be printed to stdout <dl compact><dt><b>Enumerator: </b></dt><dd>
 <table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786"></a><!-- doxytag: member="DEBUG" ref="7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786" args="" -->DEBUG</em>&nbsp;</td><td>
-General debug messages </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252"></a><!-- doxytag: member="DEBUG1" ref="7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252" args="" -->DEBUG1</em>&nbsp;</td><td>
-Debug level 1 </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719"></a><!-- doxytag: member="DEBUG2" ref="7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719" args="" -->DEBUG2</em>&nbsp;</td><td>
-Debug level 2 </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252"></a><!-- doxytag: member="DEBUG3" ref="7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252" args="" -->DEBUG3</em>&nbsp;</td><td>
-Debug level 3 </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75"></a><!-- doxytag: member="DEBUG4" ref="7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75" args="" -->DEBUG4</em>&nbsp;</td><td>
-Debug level 4 </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf"></a><!-- doxytag: member="DEBUG5" ref="7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf" args="" -->DEBUG5</em>&nbsp;</td><td>
-Debug level 5 </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0"></a><!-- doxytag: member="STATUS" ref="7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0" args="" -->STATUS</em>&nbsp;</td><td>
-For major processing event (End of parsing, etc.) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65"></a><!-- doxytag: member="INFO" ref="7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65" args="" -->INFO</em>&nbsp;</td><td>
-For minor processing event </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d"></a><!-- doxytag: member="WARNING" ref="7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d" args="" -->WARNING</em>&nbsp;</td><td>
-Warning message </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9"></a><!-- doxytag: member="ERROR" ref="7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9" args="" -->ERROR</em>&nbsp;</td><td>
-Error message </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e"></a><!-- doxytag: member="PARSER" ref="7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e" args="" -->PARSER</em>&nbsp;</td><td>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f"></a><!-- doxytag: member="DEBUG" ref="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f" args="" -->DEBUG</em>&nbsp;</td><td>
+General debug messages </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7"></a><!-- doxytag: member="DEBUG1" ref="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7" args="" -->DEBUG1</em>&nbsp;</td><td>
+Debug level 1 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd"></a><!-- doxytag: member="DEBUG2" ref="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd" args="" -->DEBUG2</em>&nbsp;</td><td>
+Debug level 2 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896"></a><!-- doxytag: member="DEBUG3" ref="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896" args="" -->DEBUG3</em>&nbsp;</td><td>
+Debug level 3 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67"></a><!-- doxytag: member="DEBUG4" ref="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67" args="" -->DEBUG4</em>&nbsp;</td><td>
+Debug level 4 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76"></a><!-- doxytag: member="DEBUG5" ref="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76" args="" -->DEBUG5</em>&nbsp;</td><td>
+Debug level 5 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97"></a><!-- doxytag: member="STATUS" ref="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97" args="" -->STATUS</em>&nbsp;</td><td>
+For major processing event (End of parsing, etc.) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806"></a><!-- doxytag: member="INFO" ref="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806" args="" -->INFO</em>&nbsp;</td><td>
+For minor processing event </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81"></a><!-- doxytag: member="WARNING" ref="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81" args="" -->WARNING</em>&nbsp;</td><td>
+Warning message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90"></a><!-- doxytag: member="ERROR" ref="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90" args="" -->ERROR</em>&nbsp;</td><td>
+Error message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b"></a><!-- doxytag: member="PARSER" ref="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b" args="" -->PARSER</em>&nbsp;</td><td>
+Parser events </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f"></a><!-- doxytag: member="DEBUG" ref="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f" args="" -->DEBUG</em>&nbsp;</td><td>
+General debug messages </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7"></a><!-- doxytag: member="DEBUG1" ref="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7" args="" -->DEBUG1</em>&nbsp;</td><td>
+Debug level 1 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd"></a><!-- doxytag: member="DEBUG2" ref="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd" args="" -->DEBUG2</em>&nbsp;</td><td>
+Debug level 2 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896"></a><!-- doxytag: member="DEBUG3" ref="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896" args="" -->DEBUG3</em>&nbsp;</td><td>
+Debug level 3 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67"></a><!-- doxytag: member="DEBUG4" ref="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67" args="" -->DEBUG4</em>&nbsp;</td><td>
+Debug level 4 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76"></a><!-- doxytag: member="DEBUG5" ref="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76" args="" -->DEBUG5</em>&nbsp;</td><td>
+Debug level 5 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97"></a><!-- doxytag: member="STATUS" ref="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97" args="" -->STATUS</em>&nbsp;</td><td>
+For major processing event (End of parsing, etc.) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806"></a><!-- doxytag: member="INFO" ref="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806" args="" -->INFO</em>&nbsp;</td><td>
+For minor processing event </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81"></a><!-- doxytag: member="WARNING" ref="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81" args="" -->WARNING</em>&nbsp;</td><td>
+Warning message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90"></a><!-- doxytag: member="ERROR" ref="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90" args="" -->ERROR</em>&nbsp;</td><td>
+Error message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b"></a><!-- doxytag: member="PARSER" ref="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b" args="" -->PARSER</em>&nbsp;</td><td>
+Parser events </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f"></a><!-- doxytag: member="DEBUG" ref="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f" args="" -->DEBUG</em>&nbsp;</td><td>
+General debug messages </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7"></a><!-- doxytag: member="DEBUG1" ref="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7" args="" -->DEBUG1</em>&nbsp;</td><td>
+Debug level 1 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd"></a><!-- doxytag: member="DEBUG2" ref="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd" args="" -->DEBUG2</em>&nbsp;</td><td>
+Debug level 2 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896"></a><!-- doxytag: member="DEBUG3" ref="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896" args="" -->DEBUG3</em>&nbsp;</td><td>
+Debug level 3 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67"></a><!-- doxytag: member="DEBUG4" ref="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67" args="" -->DEBUG4</em>&nbsp;</td><td>
+Debug level 4 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76"></a><!-- doxytag: member="DEBUG5" ref="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76" args="" -->DEBUG5</em>&nbsp;</td><td>
+Debug level 5 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97"></a><!-- doxytag: member="STATUS" ref="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97" args="" -->STATUS</em>&nbsp;</td><td>
+For major processing event (End of parsing, etc.) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806"></a><!-- doxytag: member="INFO" ref="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806" args="" -->INFO</em>&nbsp;</td><td>
+For minor processing event </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81"></a><!-- doxytag: member="WARNING" ref="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81" args="" -->WARNING</em>&nbsp;</td><td>
+Warning message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90"></a><!-- doxytag: member="ERROR" ref="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90" args="" -->ERROR</em>&nbsp;</td><td>
+Error message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b"></a><!-- doxytag: member="PARSER" ref="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b" args="" -->PARSER</em>&nbsp;</td><td>
 Parser events </td></tr>
 </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8hh-source.html#l00023">23</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8hh-source.html">fx-0.8.2/lib/messages.hh</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2messages_8hh-source.html#l00023">23</a> of file <a class="el" href="fx-0_88_82_2lib_2messages_8hh-source.html">fx-0.8.2/lib/messages.hh</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="15597c0646783f472203d52c3f7e581a"></a><!-- doxytag: member="fx-0.8.2/lib/messages.hh::message_out" ref="15597c0646783f472203d52c3f7e581a" args="(OfxMsgType type, const string message)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int message_out           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>error_type</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>message</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="6f56d85178951a91c7a06ea0538aa2d4"></a><!-- doxytag: member="fx-0.8.2/lib/messages.hh::message_out" ref="6f56d85178951a91c7a06ea0538aa2d4" args="(OfxMsgType type, const string message)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int message_out           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>&nbsp;</td>
+          <td class="paramname"> <em>error_type</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>message</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Message output function. 
 <p>
 Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00058">58</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00058">58</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofc_sgml.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofc_sgml.cpp</h1><a href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.cpp</span>
 <a name="l00003"></a>00003 <span class="comment">                          -------------------</span>
@@ -40,59 +36,59 @@
 <a name="l00026"></a>00026 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00027"></a>00027 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00028"></a>00028 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html">ofc_sgml.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofc_sgml.hh</a>"</span>
 <a name="l00034"></a>00034 
 <a name="l00035"></a>00035 <span class="keyword">using namespace </span>std;
 <a name="l00036"></a>00036 
 <a name="l00037"></a>00037 
-<a name="l00038"></a>00038 <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>;
-<a name="l00039"></a>00039 <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>;
-<a name="l00040"></a>00040 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00038"></a>00038 <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>;
+<a name="l00039"></a>00039 <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>;
+<a name="l00040"></a>00040 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00041"></a>00041 
-<a name="l00044"></a>00044 <span class="keyword">class </span><a class="code" href="classOFCApplication.html">OFCApplication</a> : <span class="keyword">public</span> SGMLApplication{
+<a name="l00044"></a>00044 <span class="keyword">class </span><a class="code" href="classOFCApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFCApplication</a> : <span class="keyword">public</span> SGMLApplication{
 <a name="l00045"></a>00045 <span class="keyword">private</span>:
-<a name="l00046"></a>00046   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *curr_container_element; 
-<a name="l00047"></a>00047   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *tmp_container_element;
+<a name="l00046"></a>00046   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *curr_container_element; 
+<a name="l00047"></a>00047   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *tmp_container_element;
 <a name="l00048"></a>00048   <span class="keywordtype">bool</span> is_data_element; 
-<a name="l00049"></a>00049   string incoming_data; 
+<a name="l00049"></a>00049   <span class="keywordtype">string</span> incoming_data; 
 <a name="l00050"></a>00050   <a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context;
 <a name="l00051"></a>00051  <span class="keyword">public</span>:
-<a name="l00052"></a><a class="code" href="classOFCApplication.html#39738e0a8d50ff17e33655c959594d83">00052</a>   <a class="code" href="classOFCApplication.html#39738e0a8d50ff17e33655c959594d83">OFCApplication</a> (<a class="code" href="classLibofxContext.html">LibofxContext</a> * p_libofx_context)
+<a name="l00052"></a><a class="code" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">00052</a>   <a class="code" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">OFCApplication</a> (<a class="code" href="classLibofxContext.html">LibofxContext</a> * p_libofx_context)
 <a name="l00053"></a>00053   {
-<a name="l00054"></a>00054     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>=NULL;
+<a name="l00054"></a>00054     MainContainer=NULL;
 <a name="l00055"></a>00055     curr_container_element = NULL;
 <a name="l00056"></a>00056     is_data_element = <span class="keyword">false</span>;
 <a name="l00057"></a>00057     libofx_context=p_libofx_context;
 <a name="l00058"></a>00058   }
 <a name="l00059"></a>00059   
-<a name="l00064"></a><a class="code" href="classOFCApplication.html#18809e20feba29f025168077e1e8d0b8">00064</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#18809e20feba29f025168077e1e8d0b8">startElement</a> (<span class="keyword">const</span> StartElementEvent &amp; event)
+<a name="l00064"></a><a class="code" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05">00064</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05" title="Callback: Start of an OFX element.">startElement</a> (<span class="keyword">const</span> StartElementEvent &amp; event)
 <a name="l00065"></a>00065   {
-<a name="l00066"></a>00066     string identifier;
-<a name="l00067"></a>00067     <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.gi, identifier);
-<a name="l00068"></a>00068     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"startElement event received from OpenSP for element "</span> + identifier);
+<a name="l00066"></a>00066     <span class="keywordtype">string</span> identifier;
+<a name="l00067"></a>00067     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
+<a name="l00068"></a>00068     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"startElement event received from OpenSP for element "</span> + identifier);
 <a name="l00069"></a>00069     
-<a name="l00070"></a>00070     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00070"></a>00070     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00071"></a>00071 
 <a name="l00072"></a>00072     <span class="keywordflow">switch</span> (event.contentType)
 <a name="l00073"></a>00073       {
-<a name="l00074"></a>00074       <span class="keywordflow">case</span> StartElementEvent::empty:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::empty\n"</span>);
+<a name="l00074"></a>00074       <span class="keywordflow">case</span> StartElementEvent::empty:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::empty\n"</span>);
 <a name="l00075"></a>00075         <span class="keywordflow">break</span>;
-<a name="l00076"></a>00076       <span class="keywordflow">case</span> StartElementEvent::cdata:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::cdata\n"</span>);
+<a name="l00076"></a>00076       <span class="keywordflow">case</span> StartElementEvent::cdata:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::cdata\n"</span>);
 <a name="l00077"></a>00077         <span class="keywordflow">break</span>;
-<a name="l00078"></a>00078       <span class="keywordflow">case</span> StartElementEvent::rcdata:   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::rcdata\n"</span>);
+<a name="l00078"></a>00078       <span class="keywordflow">case</span> StartElementEvent::rcdata:   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::rcdata\n"</span>);
 <a name="l00079"></a>00079         <span class="keywordflow">break</span>;
-<a name="l00080"></a>00080       <span class="keywordflow">case</span> StartElementEvent::mixed:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"StartElementEvent::mixed"</span>);
+<a name="l00080"></a>00080       <span class="keywordflow">case</span> StartElementEvent::mixed:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::mixed"</span>);
 <a name="l00081"></a>00081         is_data_element = <span class="keyword">true</span>;
 <a name="l00082"></a>00082         <span class="keywordflow">break</span>;
-<a name="l00083"></a>00083       <span class="keywordflow">case</span> StartElementEvent::element:  <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"StartElementEvent::element"</span>);
+<a name="l00083"></a>00083       <span class="keywordflow">case</span> StartElementEvent::element:  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::element"</span>);
 <a name="l00084"></a>00084         is_data_element = <span class="keyword">false</span>;
 <a name="l00085"></a>00085         <span class="keywordflow">break</span>;
 <a name="l00086"></a>00086       <span class="keywordflow">default</span>:
-<a name="l00087"></a>00087         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Unknow SGML content type?!?!?!? OpenSP interface changed?"</span>);
+<a name="l00087"></a>00087         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Unknow SGML content type?!?!?!? OpenSP interface changed?"</span>);
 <a name="l00088"></a>00088       }
 <a name="l00089"></a>00089     
 <a name="l00090"></a>00090     <span class="keywordflow">if</span> (is_data_element == <span class="keyword">false</span>)
@@ -101,38 +97,38 @@
 <a name="l00093"></a>00093 
 <a name="l00094"></a>00094         <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"OFC"</span>)
 <a name="l00095"></a>00095           {
-<a name="l00096"></a>00096             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00097"></a>00097             <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = <span class="keyword">new</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> (libofx_context, curr_container_element, identifier);
-<a name="l00098"></a>00098             curr_container_element = <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00096"></a>00096             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00097"></a>00097             MainContainer = <span class="keyword">new</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00098"></a>00098             curr_container_element = MainContainer;
 <a name="l00099"></a>00099           }
 <a name="l00100"></a>00100         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STATUS"</span>)
 <a name="l00101"></a>00101           {
-<a name="l00102"></a>00102             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00103"></a>00103             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatusContainer.html">OfxStatusContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00102"></a>00102             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00103"></a>00103             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatusContainer.html" title="Represents the &amp;lt;STATUS&amp;gt; OFX SGML entity.">OfxStatusContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00104"></a>00104           }
 <a name="l00105"></a>00105         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"ACCTSTMT"</span>)
 <a name="l00106"></a>00106           {
-<a name="l00107"></a>00107             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00108"></a>00108             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00107"></a>00107             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00108"></a>00108             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00109"></a>00109           }
 <a name="l00110"></a>00110         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STMTRS"</span>)
 <a name="l00111"></a>00111           {
-<a name="l00112"></a>00112             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00112"></a>00112             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
 <a name="l00113"></a>00113             <span class="comment">//STMTRS ignored, we will process it's attributes directly inside the STATEMENT,</span>
-<a name="l00114"></a>00114             <span class="keywordflow">if</span>(curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
+<a name="l00114"></a>00114             <span class="keywordflow">if</span>(curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
 <a name="l00115"></a>00115               {
-<a name="l00116"></a>00116                 <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found while not inside a STATEMENT container"</span>);
+<a name="l00116"></a>00116                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found while not inside a STATEMENT container"</span>);
 <a name="l00117"></a>00117               }
 <a name="l00118"></a>00118             <span class="keywordflow">else</span>
 <a name="l00119"></a>00119               {
-<a name="l00120"></a>00120                 curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00120"></a>00120                 curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00121"></a>00121               }
 <a name="l00122"></a>00122           }
 <a name="l00123"></a>00123         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"GENTRN"</span> ||
 <a name="l00124"></a>00124                  identifier == <span class="stringliteral">"STMTTRN"</span>)
 <a name="l00125"></a>00125           {
-<a name="l00126"></a>00126             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00127"></a>00127             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00126"></a>00126             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00127"></a>00127             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00128"></a>00128           }
 <a name="l00129"></a>00129         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"BUYDEBT"</span> ||
 <a name="l00130"></a>00130                 identifier == <span class="stringliteral">"BUYMF"</span> ||
@@ -155,8 +151,8 @@
 <a name="l00147"></a>00147                 identifier == <span class="stringliteral">"SPLIT"</span> ||
 <a name="l00148"></a>00148                 identifier == <span class="stringliteral">"TRANSFER"</span> )
 <a name="l00149"></a>00149           {
-<a name="l00150"></a>00150             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00151"></a>00151             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00150"></a>00150             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00151"></a>00151             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00152"></a>00152           }
 <a name="l00153"></a>00153         <span class="comment">/*The following is a list of OFX elements whose attributes will be processed by the parent container*/</span>
 <a name="l00154"></a>00154         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"INVBUY"</span> ||
@@ -164,191 +160,191 @@
 <a name="l00156"></a>00156                  identifier == <span class="stringliteral">"INVTRAN"</span> ||
 <a name="l00157"></a>00157                  identifier == <span class="stringliteral">"SECID"</span>)
 <a name="l00158"></a>00158           {
-<a name="l00159"></a>00159             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00160"></a>00160             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00159"></a>00159             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00160"></a>00160             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00161"></a>00161           }
 <a name="l00162"></a>00162 
 <a name="l00163"></a>00163         <span class="comment">/* The different types of accounts */</span>
 <a name="l00164"></a>00164         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"ACCOUNT"</span>||
 <a name="l00165"></a>00165                  identifier == <span class="stringliteral">"ACCTFROM"</span> )
 <a name="l00166"></a>00166           {
-<a name="l00167"></a>00167             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00168"></a>00168             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00167"></a>00167             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00168"></a>00168             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00169"></a>00169           }
 <a name="l00170"></a>00170         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"SECINFO"</span>)
 <a name="l00171"></a>00171           {
-<a name="l00172"></a>00172             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00173"></a>00173             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00172"></a>00172             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00173"></a>00173             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00174"></a>00174           }
 <a name="l00175"></a>00175         <span class="comment">/* The different types of balances */</span>
 <a name="l00176"></a>00176         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"LEDGERBAL"</span> || identifier == <span class="stringliteral">"AVAILBAL"</span>)
 <a name="l00177"></a>00177           {
-<a name="l00178"></a>00178             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00179"></a>00179             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBalanceContainer.html">OfxBalanceContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00178"></a>00178             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00179"></a>00179             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00180"></a>00180           }
 <a name="l00181"></a>00181         <span class="keywordflow">else</span>
 <a name="l00182"></a>00182           {
 <a name="l00183"></a>00183             <span class="comment">/* We dont know this OFX element, so we create a dummy container */</span>
-<a name="l00184"></a>00184             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxDummyContainer.html">OfxDummyContainer</a>(libofx_context, curr_container_element, identifier);
+<a name="l00184"></a>00184             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>(libofx_context, curr_container_element, identifier);
 <a name="l00185"></a>00185           }
 <a name="l00186"></a>00186       }
 <a name="l00187"></a>00187     <span class="keywordflow">else</span>
 <a name="l00188"></a>00188       {
 <a name="l00189"></a>00189         <span class="comment">/* The element was a data element.  OpenSP will call one or several data() callback with the data */</span>
-<a name="l00190"></a>00190         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Data element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00190"></a>00190         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Data element "</span> + identifier + <span class="stringliteral">" found"</span>);
 <a name="l00191"></a>00191         <span class="comment">/* There is a bug in OpenSP 1.3.4, which won't send endElement Event for some elements, and will instead send an error like "document type does not allow element "MESSAGE" here".  Incoming_data should be empty in such a case, but it will not be if the endElement event was skiped. So we empty it, so at least the last element has a chance of having valid data */</span> 
 <a name="l00192"></a>00192         <span class="keywordflow">if</span> (incoming_data != <span class="stringliteral">""</span>)
 <a name="l00193"></a>00193           {
-<a name="l00194"></a>00194             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"startElement: incoming_data should be empty! You are probably using OpenSP &lt;= 1.3.4.  The folowing data was lost: "</span> + incoming_data );
+<a name="l00194"></a>00194             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"startElement: incoming_data should be empty! You are probably using OpenSP &lt;= 1.3.4.  The folowing data was lost: "</span> + incoming_data );
 <a name="l00195"></a>00195             incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00196"></a>00196           }
 <a name="l00197"></a>00197       }
 <a name="l00198"></a>00198   }
 <a name="l00199"></a>00199 
-<a name="l00204"></a><a class="code" href="classOFCApplication.html#7682bf9a0e592eba3219e1b51fc26936">00204</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#7682bf9a0e592eba3219e1b51fc26936">endElement</a> (<span class="keyword">const</span> EndElementEvent &amp; event)
+<a name="l00204"></a><a class="code" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">00204</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f" title="Callback: End of an OFX element.">endElement</a> (<span class="keyword">const</span> EndElementEvent &amp; event)
 <a name="l00205"></a>00205   {
-<a name="l00206"></a>00206     string identifier;
+<a name="l00206"></a>00206     <span class="keywordtype">string</span> identifier;
 <a name="l00207"></a>00207     <span class="keywordtype">bool</span> end_element_for_data_element;
 <a name="l00208"></a>00208 
-<a name="l00209"></a>00209     <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.gi, identifier);
+<a name="l00209"></a>00209     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
 <a name="l00210"></a>00210     end_element_for_data_element=is_data_element;
-<a name="l00211"></a>00211     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"endElement event received from OpenSP for element "</span> + identifier);
+<a name="l00211"></a>00211     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement event received from OpenSP for element "</span> + identifier);
 <a name="l00212"></a>00212 
-<a name="l00213"></a>00213     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00213"></a>00213     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00214"></a>00214     <span class="keywordflow">if</span> (curr_container_element == NULL)
 <a name="l00215"></a>00215       {
-<a name="l00216"></a>00216         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" without a open element (NULL pointer)"</span>);
+<a name="l00216"></a>00216         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" without a open element (NULL pointer)"</span>);
 <a name="l00217"></a>00217         incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00218"></a>00218       }
 <a name="l00219"></a>00219     <span class="keywordflow">else</span> <span class="comment">//curr_container_element != NULL</span>
 <a name="l00220"></a>00220       {
 <a name="l00221"></a>00221         <span class="keywordflow">if</span> (end_element_for_data_element == <span class="keyword">true</span>)
 <a name="l00222"></a>00222           {
-<a name="l00223"></a>00223             incoming_data = <a class="code" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a>(incoming_data);
+<a name="l00223"></a>00223             incoming_data = <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(incoming_data);
 <a name="l00224"></a>00224             
-<a name="l00225"></a>00225             curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">add_attribute</a> (identifier, incoming_data);
-<a name="l00226"></a>00226             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"endElement: Added data '"</span> + incoming_data + <span class="stringliteral">"' from "</span> + identifier + <span class="stringliteral">" to "</span> + curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a> + <span class="stringliteral">" container_element"</span>);
+<a name="l00225"></a>00225             curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a> (identifier, incoming_data);
+<a name="l00226"></a>00226             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement: Added data '"</span> + incoming_data + <span class="stringliteral">"' from "</span> + identifier + <span class="stringliteral">" to "</span> + curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> + <span class="stringliteral">" container_element"</span>);
 <a name="l00227"></a>00227             incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00228"></a>00228             is_data_element=<span class="keyword">false</span>;
 <a name="l00229"></a>00229           }
 <a name="l00230"></a>00230         <span class="keywordflow">else</span>
 <a name="l00231"></a>00231           {
-<a name="l00232"></a>00232             <span class="keywordflow">if</span> (identifier == curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>)
+<a name="l00232"></a>00232             <span class="keywordflow">if</span> (identifier == curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>)
 <a name="l00233"></a>00233               {
 <a name="l00234"></a>00234                 <span class="keywordflow">if</span>(incoming_data!=<span class="stringliteral">""</span>)
 <a name="l00235"></a>00235                   {
-<a name="l00236"></a>00236                     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"End tag for non data element "</span>+identifier+<span class="stringliteral">", incoming data should be empty but contains: "</span>+incoming_data+<span class="stringliteral">" DATA HAS BEEN LOST SOMEWHERE!"</span>);
+<a name="l00236"></a>00236                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"End tag for non data element "</span>+identifier+<span class="stringliteral">", incoming data should be empty but contains: "</span>+incoming_data+<span class="stringliteral">" DATA HAS BEEN LOST SOMEWHERE!"</span>);
 <a name="l00237"></a>00237                   }
 <a name="l00238"></a>00238 
 <a name="l00239"></a>00239                 <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"OFX"</span>)
 <a name="l00240"></a>00240                   {
 <a name="l00241"></a>00241                     <span class="comment">/* The main container is a special case */</span>
 <a name="l00242"></a>00242                     tmp_container_element = curr_container_element;
-<a name="l00243"></a>00243                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a> ();
-<a name="l00244"></a>00244                     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">gen_event</a>();
-<a name="l00245"></a>00245                     <span class="keyword">delete</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
-<a name="l00246"></a>00246                     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = NULL;
-<a name="l00247"></a>00247                     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, MainContainer destroyed"</span>);
+<a name="l00243"></a>00243                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00244"></a>00244                     MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00245"></a>00245                     <span class="keyword">delete</span> MainContainer;
+<a name="l00246"></a>00246                     MainContainer = NULL;
+<a name="l00247"></a>00247                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, MainContainer destroyed"</span>);
 <a name="l00248"></a>00248                   }
 <a name="l00249"></a>00249                 <span class="keywordflow">else</span> 
 <a name="l00250"></a>00250                   {
 <a name="l00251"></a>00251                     tmp_container_element = curr_container_element;
-<a name="l00252"></a>00252                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a> ();
-<a name="l00253"></a>00253                     <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00252"></a>00252                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00253"></a>00253                     <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00254"></a>00254                       {
-<a name="l00255"></a>00255                         tmp_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">add_to_main_tree</a>();
-<a name="l00256"></a>00256                         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, object added to MainContainer"</span>);
+<a name="l00255"></a>00255                         tmp_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00256"></a>00256                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, object added to MainContainer"</span>);
 <a name="l00257"></a>00257                       }
 <a name="l00258"></a>00258                     <span class="keywordflow">else</span>
 <a name="l00259"></a>00259                       {
-<a name="l00260"></a>00260                         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"MainContainer is NULL trying to add element "</span> + identifier);
+<a name="l00260"></a>00260                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"MainContainer is NULL trying to add element "</span> + identifier);
 <a name="l00261"></a>00261                       }
 <a name="l00262"></a>00262                   }
 <a name="l00263"></a>00263               }
 <a name="l00264"></a>00264             <span class="keywordflow">else</span>
 <a name="l00265"></a>00265               {
-<a name="l00266"></a>00266                 <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" but a "</span>+curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>+<span class="stringliteral">" is currently open."</span>);
+<a name="l00266"></a>00266                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" but a "</span>+curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" is currently open."</span>);
 <a name="l00267"></a>00267               }
 <a name="l00268"></a>00268           }
 <a name="l00269"></a>00269       }
 <a name="l00270"></a>00270   }
 <a name="l00271"></a>00271   
-<a name="l00276"></a><a class="code" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">00276</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">data</a> (<span class="keyword">const</span> DataEvent &amp; event)
+<a name="l00276"></a><a class="code" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">00276</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf" title="Callback: Data from an OFX element.">data</a> (<span class="keyword">const</span> DataEvent &amp; event)
 <a name="l00277"></a>00277   {
-<a name="l00278"></a>00278     string tmp;
-<a name="l00279"></a>00279     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
-<a name="l00280"></a>00280     <a class="code" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a> (event.data, incoming_data);
-<a name="l00281"></a>00281     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"data event received from OpenSP, incoming_data is now: "</span> + incoming_data);
+<a name="l00278"></a>00278     <span class="keywordtype">string</span> tmp;
+<a name="l00279"></a>00279     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00280"></a>00280     <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a> (event.data, incoming_data);
+<a name="l00281"></a>00281     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"data event received from OpenSP, incoming_data is now: "</span> + incoming_data);
 <a name="l00282"></a>00282   }
 <a name="l00283"></a>00283 
-<a name="l00288"></a><a class="code" href="classOFCApplication.html#97dd26803339b3066d6f08215c9ec2f0">00288</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#97dd26803339b3066d6f08215c9ec2f0">error</a> (<span class="keyword">const</span> ErrorEvent &amp; event)
+<a name="l00288"></a><a class="code" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3">00288</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3" title="Callback: SGML parse error.">error</a> (<span class="keyword">const</span> ErrorEvent &amp; event)
 <a name="l00289"></a>00289   {
-<a name="l00290"></a>00290     string message;
-<a name="l00291"></a>00291     string string_buf;
-<a name="l00292"></a>00292     <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00290"></a>00290     <span class="keywordtype">string</span> message;
+<a name="l00291"></a>00291     <span class="keywordtype">string</span> string_buf;
+<a name="l00292"></a>00292     <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00293"></a>00293 
-<a name="l00294"></a>00294     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00294"></a>00294     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00295"></a>00295     message = message + <span class="stringliteral">"OpenSP parser: "</span>;
 <a name="l00296"></a>00296     <span class="keywordflow">switch</span> (event.type){
 <a name="l00297"></a>00297     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::quantity:
 <a name="l00298"></a>00298       message = message + <span class="stringliteral">"quantity (Exceeding a quantity limit):"</span>;
-<a name="l00299"></a>00299       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00299"></a>00299       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00300"></a>00300       <span class="keywordflow">break</span>;
 <a name="l00301"></a>00301     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::idref:
 <a name="l00302"></a>00302       message = message + <span class="stringliteral">"idref (An IDREF to a non-existent ID):"</span>;
-<a name="l00303"></a>00303       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00303"></a>00303       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00304"></a>00304       <span class="keywordflow">break</span>;
 <a name="l00305"></a>00305     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::capacity:
 <a name="l00306"></a>00306       message = message + <span class="stringliteral">"capacity (Exceeding a capacity limit):"</span>;
-<a name="l00307"></a>00307       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00307"></a>00307       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00308"></a>00308       <span class="keywordflow">break</span>;
 <a name="l00309"></a>00309     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::otherError:
 <a name="l00310"></a>00310       message = message + <span class="stringliteral">"otherError (misc parse error):"</span>;
-<a name="l00311"></a>00311       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00311"></a>00311       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00312"></a>00312       <span class="keywordflow">break</span>;
 <a name="l00313"></a>00313     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::warning:
 <a name="l00314"></a>00314       message = message + <span class="stringliteral">"warning (Not actually an error.):"</span>;
-<a name="l00315"></a>00315       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">WARNING</a>;
+<a name="l00315"></a>00315       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>;
 <a name="l00316"></a>00316       <span class="keywordflow">break</span>;
 <a name="l00317"></a>00317     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::info:
 <a name="l00318"></a>00318       message =  message + <span class="stringliteral">"info (An informationnal message.  Not actually an error):"</span>;
-<a name="l00319"></a>00319       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>;
+<a name="l00319"></a>00319       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>;
 <a name="l00320"></a>00320       <span class="keywordflow">break</span>;
 <a name="l00321"></a>00321     <span class="keywordflow">default</span>:
 <a name="l00322"></a>00322       message = message + <span class="stringliteral">"OpenSP sent an unknown error to LibOFX (You probably have a newer version of OpenSP):"</span>;
 <a name="l00323"></a>00323     }
-<a name="l00324"></a>00324     message =   message + <span class="stringliteral">"\n"</span> + <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.message, string_buf);
-<a name="l00325"></a>00325     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (error_type, message);
+<a name="l00324"></a>00324     message =   message + <span class="stringliteral">"\n"</span> + <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.message, string_buf);
+<a name="l00325"></a>00325     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (error_type, message);
 <a name="l00326"></a>00326   }
 <a name="l00327"></a>00327 
-<a name="l00332"></a><a class="code" href="classOFCApplication.html#867567a68eeb21a294a1791436ee77d6">00332</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#867567a68eeb21a294a1791436ee77d6">openEntityChange</a> (<span class="keyword">const</span> OpenEntityPtr &amp; para_entity_ptr)
+<a name="l00332"></a><a class="code" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">00332</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c" title="Callback: Receive internal OpenSP state.">openEntityChange</a> (<span class="keyword">const</span> OpenEntityPtr &amp; para_entity_ptr)
 <a name="l00333"></a>00333   {
-<a name="l00334"></a>00334     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"openEntityChange()\n"</span>);
-<a name="l00335"></a>00335     <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a> = para_entity_ptr;
+<a name="l00334"></a>00334     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"openEntityChange()\n"</span>);
+<a name="l00335"></a>00335     <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a> = para_entity_ptr;
 <a name="l00336"></a>00336 
 <a name="l00337"></a>00337   };
 <a name="l00338"></a>00338 
 <a name="l00339"></a>00339 <span class="keyword">private</span>:
 <a name="l00340"></a>00340 };
 <a name="l00341"></a>00341 
-<a name="l00345"></a><a class="code" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">00345</a> <span class="keywordtype">int</span> <a class="code" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
+<a name="l00345"></a><a class="code" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">00345</a> <span class="keywordtype">int</span> <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
 <a name="l00346"></a>00346 {
-<a name="l00347"></a>00347   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Begin ofx_proc_sgml()"</span>);
-<a name="l00348"></a>00348   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[0]);
-<a name="l00349"></a>00349   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[1]);
-<a name="l00350"></a>00350   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[2]);
+<a name="l00347"></a>00347   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Begin ofx_proc_sgml()"</span>);
+<a name="l00348"></a>00348   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[0]);
+<a name="l00349"></a>00349   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[1]);
+<a name="l00350"></a>00350   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[2]);
 <a name="l00351"></a>00351   
 <a name="l00352"></a>00352   ParserEventGeneratorKit parserKit;
 <a name="l00353"></a>00353   parserKit.setOption (ParserEventGeneratorKit::showOpenEntities);
 <a name="l00354"></a>00354   EventGenerator *egp = parserKit.makeEventGenerator (argc, argv);
 <a name="l00355"></a>00355   egp-&gt;inhibitMessages (<span class="keyword">true</span>);  <span class="comment">/* Error output is handled by libofx not OpenSP */</span>
-<a name="l00356"></a>00356   <a class="code" href="classOFCApplication.html">OFCApplication</a> *app = <span class="keyword">new</span> <a class="code" href="classOFCApplication.html">OFCApplication</a>(libofx_context);
+<a name="l00356"></a>00356   <a class="code" href="classOFCApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFCApplication</a> *app = <span class="keyword">new</span> <a class="code" href="classOFCApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFCApplication</a>(libofx_context);
 <a name="l00357"></a>00357   <span class="keywordtype">unsigned</span> nErrors = egp-&gt;run (*app); <span class="comment">/* Begin parsing */</span>
 <a name="l00358"></a>00358   <span class="keyword">delete</span> egp;
 <a name="l00359"></a>00359   <span class="keywordflow">return</span> nErrors &gt; 0;
 <a name="l00360"></a>00360 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofc__sgml_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofc__sgml_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofc__sgml_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofc_sgml.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofc_sgml.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 OFX/SGML parsing functionnality. 
 <p>
 Almost all of the SGML parser specific code is contained in this file (some is in messages.cpp and ofx_utilities.cpp). To understand this file you must read the documentation of OpenSP's generic interface: see <a href="http://openjade.sourceforge.net/">http://openjade.sourceforge.net/</a> 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.</p>
+
 <p>
 
 <p>
@@ -33,119 +29,95 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This object is driven by OpenSP as it parses the SGML from the ofx file(s).  <a href="classOFCApplication.html#_details">More...</a><br></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">ofc_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#cf526ca0ea3e6ed91c719bfb686663f7"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#ee7c042ff1c1d0ee11c693a9617735e5"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="fx-0.8.2/lib/ofc_sgml.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.8.2/lib/ofc_sgml.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="cf526ca0ea3e6ed91c719bfb686663f7"></a><!-- doxytag: member="fx-0.8.2/lib/ofc_sgml.cpp::ofc_proc_sgml" ref="cf526ca0ea3e6ed91c719bfb686663f7" args="(LibofxContext *libofx_context, int argc, char *argv[])" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int ofc_proc_sgml           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>argc</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>argv</em>[]</td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="ee7c042ff1c1d0ee11c693a9617735e5"></a><!-- doxytag: member="fx-0.8.2/lib/ofc_sgml.cpp::ofc_proc_sgml" ref="ee7c042ff1c1d0ee11c693a9617735e5" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofc_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses a DTD and OFX file(s). 
 <p>
 ofc_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00345">345</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html#l00345">345</a> of file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp-source.html">fx-0.8.2/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="c8e1fbbf7434010d88e4ebb6b2c56340"></a><!-- doxytag: member="fx-0.8.2/lib/ofc_sgml.cpp::entity_ptr" ref="c8e1fbbf7434010d88e4ebb6b2c56340" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d4db2383832ddcfb93e4e02ce1cb102b"></a><!-- doxytag: member="fx-0.8.2/lib/ofc_sgml.cpp::position" ref="d4db2383832ddcfb93e4e02ce1cb102b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::Position <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a class="anchor" name="adaa870f35b4a4fb6b268ae8ea872ccf"></a><!-- doxytag: member="fx-0.8.2/lib/ofc_sgml.cpp::entity_ptr" ref="adaa870f35b4a4fb6b268ae8ea872ccf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4da8008b6f110050513003edf67a2495"></a><!-- doxytag: member="fx-0.8.2/lib/ofc_sgml.cpp::position" ref="4da8008b6f110050513003edf67a2495" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::Position <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofc__sgml_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2ofc__sgml_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofc__sgml_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofc_sgml.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofc_sgml.hh</h1><a href="fx-0_88_82_2lib_2ofc__sgml_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.h</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,11 +32,11 @@
 <a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define OFC_SGML_H</span>
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include "context.hh"</span>
 <a name="l00022"></a>00022 
-<a name="l00024"></a>00024 <span class="keywordtype">int</span> <a class="code" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);
+<a name="l00024"></a>00024 <span class="keywordtype">int</span> <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);
 <a name="l00025"></a>00025 
 <a name="l00026"></a>00026 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofc__sgml_8hh.html'
--- doc/html/fx-0_88_82_2lib_2ofc__sgml_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofc__sgml_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,88 +1,76 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofc_sgml.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofc_sgml.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 OFX/SGML parsing functionnality. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8hh-source.html">fx-0.8.2/lib/ofc_sgml.hh</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8hh-source.html">fx-0.8.2/lib/ofc_sgml.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofc__sgml_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html#ee7c042ff1c1d0ee11c693a9617735e5">ofc_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#cf526ca0ea3e6ed91c719bfb686663f7"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#ee7c042ff1c1d0ee11c693a9617735e5"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="cf526ca0ea3e6ed91c719bfb686663f7"></a><!-- doxytag: member="fx-0.8.2/lib/ofc_sgml.hh::ofc_proc_sgml" ref="cf526ca0ea3e6ed91c719bfb686663f7" args="(LibofxContext *libofx_context, int argc, char *argv[])" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int ofc_proc_sgml           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>argc</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>argv</em>[]</td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="ee7c042ff1c1d0ee11c693a9617735e5"></a><!-- doxytag: member="fx-0.8.2/lib/ofc_sgml.hh::ofc_proc_sgml" ref="ee7c042ff1c1d0ee11c693a9617735e5" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofc_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses a DTD and OFX file(s). 
 <p>
 ofc_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
-<p>
-Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00345">345</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00345">345</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_aggregate.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_aggregate.hh</h1><a href="fx-0_88_82_2lib_2ofx__aggregate_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_aggregate.hh </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -39,35 +35,35 @@
 <a name="l00024"></a>00024 
 <a name="l00025"></a>00025 <span class="keyword">using namespace </span>std;
 <a name="l00026"></a>00026 
-<a name="l00042"></a>00042 <span class="keyword">class </span><a class="code" href="classOfxAggregate.html">OfxAggregate</a>
+<a name="l00042"></a>00042 <span class="keyword">class </span><a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>
 <a name="l00043"></a>00043 {
 <a name="l00044"></a>00044 <span class="keyword">public</span>:
-<a name="l00050"></a><a class="code" href="classOfxAggregate.html#8c16fb0c23f9ad56329434307ee6c98b">00050</a>   <a class="code" href="classOfxAggregate.html#8c16fb0c23f9ad56329434307ee6c98b">OfxAggregate</a>( <span class="keyword">const</span> string&amp; tag ): m_tag( tag ) 
+<a name="l00050"></a><a class="code" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">00050</a>   <a class="code" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">OfxAggregate</a>( <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; tag ): m_tag( tag ) 
 <a name="l00051"></a>00051   {}
 <a name="l00052"></a>00052   
-<a name="l00059"></a><a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">00059</a>   <span class="keywordtype">void</span> <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="keyword">const</span> string&amp; tag, <span class="keyword">const</span> string&amp; data )
+<a name="l00059"></a><a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">00059</a>   <span class="keywordtype">void</span> <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; tag, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; data )
 <a name="l00060"></a>00060   {
 <a name="l00061"></a>00061     m_contents += string(<span class="stringliteral">"&lt;"</span>) + tag + string(<span class="stringliteral">"&gt;"</span>) + data + string(<span class="stringliteral">"\r\n"</span>);
 <a name="l00062"></a>00062   }
 <a name="l00063"></a>00063   
-<a name="l00069"></a><a class="code" href="classOfxAggregate.html#cb67d7766c957f4a1cf8aaf58566ac8d">00069</a>   <span class="keywordtype">void</span> <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html">OfxAggregate</a>&amp; sub ) 
+<a name="l00069"></a><a class="code" href="classOfxAggregate.html#2b729bb656f47efcf2bcfffaa22814e9">00069</a>   <span class="keywordtype">void</span> <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>&amp; sub ) 
 <a name="l00070"></a>00070   {
-<a name="l00071"></a>00071     m_contents += sub.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
+<a name="l00071"></a>00071     m_contents += sub.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
 <a name="l00072"></a>00072   }
 <a name="l00073"></a>00073  
-<a name="l00079"></a><a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">00079</a>   string <a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>( <span class="keywordtype">void</span> )<span class="keyword"> const</span>
+<a name="l00079"></a><a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">00079</a>   <span class="keywordtype">string</span> <a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>( <span class="keywordtype">void</span> )<span class="keyword"> const</span>
 <a name="l00080"></a>00080 <span class="keyword">  </span>{
 <a name="l00081"></a>00081     <span class="keywordflow">return</span> string(<span class="stringliteral">"&lt;"</span>) + m_tag + string(<span class="stringliteral">"&gt;\r\n"</span>) + m_contents + string(<span class="stringliteral">"&lt;/"</span>) + m_tag + string(<span class="stringliteral">"&gt;\r\n"</span>);
 <a name="l00082"></a>00082   }
 <a name="l00083"></a>00083 
 <a name="l00084"></a>00084 <span class="keyword">private</span>:
-<a name="l00085"></a>00085   string m_tag;
-<a name="l00086"></a>00086   string m_contents;
+<a name="l00085"></a>00085   <span class="keywordtype">string</span> m_tag;
+<a name="l00086"></a>00086   <span class="keywordtype">string</span> m_contents;
 <a name="l00087"></a>00087 };
 <a name="l00088"></a>00088 
 <a name="l00089"></a>00089 <span class="preprocessor">#endif // OFX_AGGREGATE_H</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__aggregate_8hh.html'
--- doc/html/fx-0_88_82_2lib_2ofx__aggregate_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__aggregate_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_aggregate.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_aggregate.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Declaration of <a class="el" href="classOfxAggregate.html">OfxAggregate</a> which allows you to construct a single OFX aggregate. 
-<p>
-
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a>.
+Declaration of <a class="el" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> which allows you to construct a single OFX aggregate. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh-source.html">fx-0.8.2/lib/ofx_aggregate.hh</a>.</p>
+
 <p>
 
 <p>
@@ -33,8 +29,8 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A single aggregate as described in the OFX 1.02 specification.  <a href="classOfxAggregate.html#_details">More...</a><br></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__account_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__account_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__account_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_account.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_account.cpp</h1><a href="fx-0_88_82_2lib_2ofx__container__account_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_account.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,22 +33,22 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00031"></a>00031 
 <a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
 <a name="l00033"></a>00033 <span class="comment"> *                      OfxAccountContainer                                *</span>
 <a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
 <a name="l00035"></a>00035 
-<a name="l00036"></a>00036 <a class="code" href="classOfxAccountContainer.html#83a97e5b5253e7e140eaa3e997c5961d">OfxAccountContainer::OfxAccountContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00036"></a>00036 <a class="code" href="classOfxAccountContainer.html#da1972a79e8c8096184ea7a22968f35c">OfxAccountContainer::OfxAccountContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00038"></a>00038 {
-<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>));
-<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"ACCOUNT"</span>;
+<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>));
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"ACCOUNT"</span>;
 <a name="l00041"></a>00041   strcpy(bankid,<span class="stringliteral">""</span>);
 <a name="l00042"></a>00042   strcpy(branchid,<span class="stringliteral">""</span>);
 <a name="l00043"></a>00043   strcpy(acctid,<span class="stringliteral">""</span>);
@@ -62,22 +58,22 @@
 <a name="l00047"></a>00047     {
 <a name="l00048"></a>00048       <span class="comment">/*Set the type for a creditcard account.  Bank account specific </span>
 <a name="l00049"></a>00049 <span class="comment">        OFX elements will set this attribute elsewhere */</span>
-<a name="l00050"></a>00050       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a> = <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471">OFX_CREDITCARD</a>;
-<a name="l00051"></a>00051       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a> = <span class="keyword">true</span>;
+<a name="l00050"></a>00050       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>;
+<a name="l00051"></a>00051       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a> = <span class="keyword">true</span>;
 <a name="l00052"></a>00052     }
 <a name="l00053"></a>00053   <span class="keywordflow">if</span>(para_tag_identifier== <span class="stringliteral">"INVACCTFROM"</span>)
 <a name="l00054"></a>00054     {
 <a name="l00055"></a>00055       <span class="comment">/*Set the type for an investment account.  Bank account specific </span>
 <a name="l00056"></a>00056 <span class="comment">        OFX elements will set this attribute elsewhere */</span>
-<a name="l00057"></a>00057       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a> = <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">OFX_INVESTMENT</a>;
-<a name="l00058"></a>00058       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a> = <span class="keyword">true</span>;
+<a name="l00057"></a>00057       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>;
+<a name="l00058"></a>00058       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a> = <span class="keyword">true</span>;
 <a name="l00059"></a>00059     }
-<a name="l00060"></a>00060   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>!=NULL&amp;&amp;((<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>)-&gt;<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#ec553bba34510a9085d8395ae57eb4d2">currency_valid</a>==<span class="keyword">true</span>){
-<a name="l00061"></a>00061     strncpy(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#c32bd379c1cdf26d0dfdb0d4992ba9e0">currency</a>,((<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>)-&gt;data.currency,<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>); <span class="comment">/* In ISO-4217 format */</span>
-<a name="l00062"></a>00062     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#ec553bba34510a9085d8395ae57eb4d2">currency_valid</a>=<span class="keyword">true</span>;
+<a name="l00060"></a>00060   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL&amp;&amp;((<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>)-&gt;<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a>==<span class="keyword">true</span>){
+<a name="l00061"></a>00061     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">currency</a>,((<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)parentcontainer)-&gt;data.currency,<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>); <span class="comment">/* In ISO-4217 format */</span>
+<a name="l00062"></a>00062     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a>=<span class="keyword">true</span>;
 <a name="l00063"></a>00063   }
 <a name="l00064"></a>00064 }
-<a name="l00065"></a>00065 <a class="code" href="classOfxAccountContainer.html#d5b83e05e06a60a7d0a874b8778fa27c">OfxAccountContainer::~OfxAccountContainer</a>()
+<a name="l00065"></a>00065 <a class="code" href="classOfxAccountContainer.html#64691a91027e92c8cbc5bb1240d3f1b8">OfxAccountContainer::~OfxAccountContainer</a>()
 <a name="l00066"></a>00066 {
 <a name="l00067"></a>00067   <span class="comment">/*  if (parentcontainer-&gt;type == "STATEMENT")</span>
 <a name="l00068"></a>00068 <span class="comment">      {</span>
@@ -86,72 +82,72 @@
 <a name="l00071"></a>00071 <span class="comment">      ofx_proc_account_cb (data);*/</span>
 <a name="l00072"></a>00072 }
 <a name="l00073"></a>00073 
-<a name="l00074"></a>00074 <span class="keywordtype">void</span> <a class="code" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">OfxAccountContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00074"></a>00074 <span class="keywordtype">void</span> <a class="code" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b" title="Add data to a container object.">OfxAccountContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00075"></a>00075 {
 <a name="l00076"></a>00076   <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"BANKID"</span>){
-<a name="l00077"></a>00077     strncpy(bankid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>);
-<a name="l00078"></a>00078     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#383072a07037bd2a6e3b3bdd2dd8ce68">bank_id_valid</a>=<span class="keyword">true</span>;
-<a name="l00079"></a>00079     strncpy(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#b52ce38f9b338995155193e251a913eb">bank_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>);
+<a name="l00077"></a>00077     strncpy(bankid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>);
+<a name="l00078"></a>00078     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">bank_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00079"></a>00079     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>);
 <a name="l00080"></a>00080   }
 <a name="l00081"></a>00081   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"BRANCHID"</span>){
-<a name="l00082"></a>00082     strncpy(branchid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">OFX_BRANCHID_LENGTH</a>);
-<a name="l00083"></a>00083     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#a90da480f5333cb62e65abff64fc8ca1">branch_id_valid</a>=<span class="keyword">true</span>;
-<a name="l00084"></a>00084     strncpy(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#392911775b01dcd1fa08f8aae8d6354b">branch_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">OFX_BRANCHID_LENGTH</a>);
+<a name="l00082"></a>00082     strncpy(branchid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>);
+<a name="l00083"></a>00083     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">branch_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00084"></a>00084     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">branch_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>);
 <a name="l00085"></a>00085   }
 <a name="l00086"></a>00086   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"ACCTID"</span>){
-<a name="l00087"></a>00087     strncpy(acctid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">OFX_ACCTID_LENGTH</a>);
-<a name="l00088"></a>00088     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4f3d55c94002500f9f3e3b398a71f9b0">account_number_valid</a>=<span class="keyword">true</span>;
-<a name="l00089"></a>00089     strncpy(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4055a6a7c29f5d7227a21143c15827cc">account_number</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">OFX_ACCTID_LENGTH</a>);
+<a name="l00087"></a>00087     strncpy(acctid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>);
+<a name="l00088"></a>00088     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">account_number_valid</a>=<span class="keyword">true</span>;
+<a name="l00089"></a>00089     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>);
 <a name="l00090"></a>00090   }
 <a name="l00091"></a>00091   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"ACCTKEY"</span>){
-<a name="l00092"></a>00092     strncpy(acctkey,value.c_str(),<a class="code" href="inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">OFX_ACCTKEY_LENGTH</a>);
+<a name="l00092"></a>00092     strncpy(acctkey,value.c_str(),<a class="code" href="inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">OFX_ACCTKEY_LENGTH</a>);
 <a name="l00093"></a>00093   }
 <a name="l00094"></a>00094   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"BROKERID"</span>){ <span class="comment">/* For investment accounts */</span>
-<a name="l00095"></a>00095     strncpy(brokerid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>);
-<a name="l00096"></a>00096     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#18c96bae133fcb04c8f5cdadd2d785ca">broker_id_valid</a>=<span class="keyword">true</span>;
-<a name="l00097"></a>00097     strncpy(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#638e07ea5ceae389d128b18451a92c3f">broker_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>);
+<a name="l00095"></a>00095     strncpy(brokerid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>);
+<a name="l00096"></a>00096     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#59defd36706bd332e080dcf56437dabf">broker_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00097"></a>00097     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>);
 <a name="l00098"></a>00098   }
 <a name="l00099"></a>00099   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"ACCTTYPE"</span>)||(identifier==<span class="stringliteral">"ACCTTYPE2"</span>)){
-<a name="l00100"></a>00100     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a>=<span class="keyword">true</span>;
+<a name="l00100"></a>00100     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>=<span class="keyword">true</span>;
 <a name="l00101"></a>00101     <span class="keywordflow">if</span>(value==<span class="stringliteral">"CHECKING"</span>){
-<a name="l00102"></a>00102       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>=<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9">OFX_CHECKING</a>;
+<a name="l00102"></a>00102       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>;
 <a name="l00103"></a>00103     }
 <a name="l00104"></a>00104     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"SAVINGS"</span>){
-<a name="l00105"></a>00105       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>=<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957">OFX_SAVINGS</a>;
+<a name="l00105"></a>00105       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>;
 <a name="l00106"></a>00106     }
 <a name="l00107"></a>00107     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"MONEYMRKT"</span>){
-<a name="l00108"></a>00108       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>=<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493">OFX_MONEYMRKT</a>;
+<a name="l00108"></a>00108       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>;
 <a name="l00109"></a>00109     }
 <a name="l00110"></a>00110     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CREDITLINE"</span>){
-<a name="l00111"></a>00111       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>=<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89">OFX_CREDITLINE</a>;
+<a name="l00111"></a>00111       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>;
 <a name="l00112"></a>00112     }
 <a name="l00113"></a>00113     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CMA"</span>){
-<a name="l00114"></a>00114       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>=<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f">OFX_CMA</a>;
+<a name="l00114"></a>00114       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>;
 <a name="l00115"></a>00115     }
 <a name="l00116"></a>00116     <span class="comment">/* AccountType CREDITCARD is set at object creation, if appropriate */</span>
 <a name="l00117"></a>00117     <span class="keywordflow">else</span>{
-<a name="l00118"></a>00118       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a>=<span class="keyword">false</span>;
+<a name="l00118"></a>00118       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>=<span class="keyword">false</span>;
 <a name="l00119"></a>00119     }
 <a name="l00120"></a>00120   }
 <a name="l00121"></a>00121   <span class="keywordflow">else</span>{
 <a name="l00122"></a>00122     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00123"></a>00123     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00123"></a>00123     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00124"></a>00124   }
 <a name="l00125"></a>00125 }<span class="comment">//end OfxAccountContainer::add_attribute()</span>
 <a name="l00126"></a>00126 
-<a name="l00127"></a>00127 <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#82735b303e3cafb6ac1f6a715fa4e6e8">OfxAccountContainer::gen_event</a>()
+<a name="l00127"></a>00127 <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4" title="Generate libofx.h events.">OfxAccountContainer::gen_event</a>()
 <a name="l00128"></a>00128 {
-<a name="l00129"></a>00129   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#acdfbe18123b9ceff1c9fe425196bc9e">accountCallback</a>(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>);
+<a name="l00129"></a>00129   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">accountCallback</a>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>);
 <a name="l00130"></a>00130   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00131"></a>00131 }
 <a name="l00132"></a>00132 
-<a name="l00133"></a>00133 <span class="keywordtype">int</span>  <a class="code" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">OfxAccountContainer::add_to_main_tree</a>()
+<a name="l00133"></a>00133 <span class="keywordtype">int</span>  <a class="code" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4" title="Add this container to the main tree.">OfxAccountContainer::add_to_main_tree</a>()
 <a name="l00134"></a>00134 {
 <a name="l00135"></a>00135   gen_account_id ();
 <a name="l00136"></a>00136 
-<a name="l00137"></a>00137   <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00137"></a>00137   <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00138"></a>00138     {
-<a name="l00139"></a>00139       <span class="keywordflow">return</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<span class="keyword">this</span>);
+<a name="l00139"></a>00139       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
 <a name="l00140"></a>00140     }
 <a name="l00141"></a>00141   <span class="keywordflow">else</span>
 <a name="l00142"></a>00142     {
@@ -161,40 +157,40 @@
 <a name="l00146"></a>00146 
 <a name="l00147"></a>00147 <span class="keywordtype">void</span> OfxAccountContainer::gen_account_id(<span class="keywordtype">void</span>)
 <a name="l00148"></a>00148 {
-<a name="l00149"></a>00149   <span class="keywordflow">if</span>(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>==<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471">OfxAccountData::OFX_CREDITCARD</a>){
-<a name="l00150"></a>00150     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00151"></a>00151     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00152"></a>00152     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,acctkey,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
+<a name="l00149"></a>00149   <span class="keywordflow">if</span>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>==<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OfxAccountData::OFX_CREDITCARD</a>){
+<a name="l00150"></a>00150     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00151"></a>00151     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00152"></a>00152     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctkey,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
 <a name="l00153"></a>00153 
-<a name="l00154"></a>00154     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,<span class="stringliteral">"Credit card "</span>,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
-<a name="l00155"></a>00155     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
+<a name="l00154"></a>00154     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">"Credit card "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00155"></a>00155     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
 <a name="l00156"></a>00156   }
-<a name="l00157"></a>00157   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>==<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">OfxAccountData::OFX_INVESTMENT</a>){
-<a name="l00158"></a>00158     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,brokerid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00159"></a>00159     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00160"></a>00160     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
+<a name="l00157"></a>00157   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>==<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OfxAccountData::OFX_INVESTMENT</a>){
+<a name="l00158"></a>00158     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,brokerid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00159"></a>00159     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00160"></a>00160     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
 <a name="l00161"></a>00161 
-<a name="l00162"></a>00162     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,<span class="stringliteral">"Investment account "</span>,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
-<a name="l00163"></a>00163     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
-<a name="l00164"></a>00164     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,<span class="stringliteral">" at broker "</span>,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
-<a name="l00165"></a>00165     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,brokerid,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
+<a name="l00162"></a>00162     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">"Investment account "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00163"></a>00163     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00164"></a>00164     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">" at broker "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00165"></a>00165     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,brokerid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
 <a name="l00166"></a>00166   }
 <a name="l00167"></a>00167   <span class="keywordflow">else</span>{
-<a name="l00168"></a>00168     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,bankid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00169"></a>00169     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00170"></a>00170     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,branchid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00171"></a>00171     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00172"></a>00172     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
+<a name="l00168"></a>00168     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,bankid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00169"></a>00169     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00170"></a>00170     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,branchid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00171"></a>00171     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00172"></a>00172     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
 <a name="l00173"></a>00173 
-<a name="l00174"></a>00174     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,<span class="stringliteral">"Bank account "</span>,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
-<a name="l00175"></a>00175     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
+<a name="l00174"></a>00174     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">"Bank account "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00175"></a>00175     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
 <a name="l00176"></a>00176   }
-<a name="l00177"></a>00177   <span class="keywordflow">if</span>(strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>)&gt;=0){
-<a name="l00178"></a>00178     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">account_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00177"></a>00177   <span class="keywordflow">if</span>(strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>)&gt;=0){
+<a name="l00178"></a>00178     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>=<span class="keyword">true</span>;
 <a name="l00179"></a>00179   }
 <a name="l00180"></a>00180 }<span class="comment">//end OfxAccountContainer::gen_account_id()</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__account_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__account_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__account_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_account.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_account.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a> for bank, credit card and investment accounts. 
-<p>
-
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp-source.html">fx-0.8.2/lib/ofx_container_account.cpp</a>.
+Implementation of <a class="el" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> for bank, credit card and investment accounts. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp-source.html">fx-0.8.2/lib/ofx_container_account.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__container__account_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_container_account.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_container_account.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__generic_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__generic_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__generic_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_generic.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_generic.cpp</h1><a href="fx-0_88_82_2lib_2ofx__container__generic_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_generic.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -38,58 +34,58 @@
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
 <a name="l00028"></a>00028 
-<a name="l00029"></a>00029 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00029"></a>00029 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00030"></a>00030 
-<a name="l00031"></a>00031 <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)
+<a name="l00031"></a>00031 <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)
 <a name="l00032"></a>00032 {
-<a name="l00033"></a>00033   <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>=NULL;
-<a name="l00034"></a>00034   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">""</span>;
-<a name="l00035"></a>00035   <a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>=<span class="stringliteral">""</span>;
-<a name="l00036"></a>00036   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a> = p_libofx_context;
+<a name="l00033"></a>00033   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>=NULL;
+<a name="l00034"></a>00034   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">""</span>;
+<a name="l00035"></a>00035   <a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>=<span class="stringliteral">""</span>;
+<a name="l00036"></a>00036   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a> = p_libofx_context;
 <a name="l00037"></a>00037 }
-<a name="l00038"></a>00038 <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer)
+<a name="l00038"></a>00038 <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer)
 <a name="l00039"></a>00039 {
-<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a> = p_libofx_context;
-<a name="l00041"></a>00041   <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a> = para_parentcontainer;
-<a name="l00042"></a>00042   <span class="keywordflow">if</span>(<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>!=NULL&amp;&amp;<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>==<span class="stringliteral">"DUMMY"</span>){
-<a name="l00043"></a>00043     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxGenericContainer(): The parent is a DummyContainer!"</span>);
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a> = p_libofx_context;
+<a name="l00041"></a>00041   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a> = para_parentcontainer;
+<a name="l00042"></a>00042   <span class="keywordflow">if</span>(<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL&amp;&amp;<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>==<span class="stringliteral">"DUMMY"</span>){
+<a name="l00043"></a>00043     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxGenericContainer(): The parent is a DummyContainer!"</span>);
 <a name="l00044"></a>00044   }
 <a name="l00045"></a>00045 }
-<a name="l00046"></a>00046 <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)
+<a name="l00046"></a>00046 <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier)
 <a name="l00047"></a>00047 {
-<a name="l00048"></a>00048   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a> = p_libofx_context;
-<a name="l00049"></a>00049   <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a> = para_parentcontainer;
-<a name="l00050"></a>00050   <a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a> = para_tag_identifier;
-<a name="l00051"></a>00051   <span class="keywordflow">if</span>(<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>!=NULL&amp;&amp;<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>==<span class="stringliteral">"DUMMY"</span>){
-<a name="l00052"></a>00052     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxGenericContainer(): The parent for this "</span>+<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>+<span class="stringliteral">" is a DummyContainer!"</span>);
+<a name="l00048"></a>00048   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a> = p_libofx_context;
+<a name="l00049"></a>00049   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a> = para_parentcontainer;
+<a name="l00050"></a>00050   <a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a> = para_tag_identifier;
+<a name="l00051"></a>00051   <span class="keywordflow">if</span>(<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL&amp;&amp;<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>==<span class="stringliteral">"DUMMY"</span>){
+<a name="l00052"></a>00052     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxGenericContainer(): The parent for this "</span>+<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>+<span class="stringliteral">" is a DummyContainer!"</span>);
 <a name="l00053"></a>00053   }
 <a name="l00054"></a>00054 }
-<a name="l00055"></a>00055 <span class="keywordtype">void</span> <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00055"></a>00055 <span class="keywordtype">void</span> <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00056"></a>00056 {
 <a name="l00057"></a>00057   <span class="comment">/*If an attribute has made it all the way up to the Generic Container's add_attribute, </span>
 <a name="l00058"></a>00058 <span class="comment">    we don't know what to do with it! */</span>
-<a name="l00059"></a>00059     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"WRITEME: "</span>+identifier+<span class="stringliteral">" ("</span>+value+<span class="stringliteral">") is not supported by the "</span>+<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>+<span class="stringliteral">" container"</span>);
+<a name="l00059"></a>00059     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"WRITEME: "</span>+identifier+<span class="stringliteral">" ("</span>+value+<span class="stringliteral">") is not supported by the "</span>+<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" container"</span>);
 <a name="l00060"></a>00060 }
-<a name="l00061"></a>00061 <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>* <a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">OfxGenericContainer::getparent</a>()
+<a name="l00061"></a>00061 <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>* <a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">OfxGenericContainer::getparent</a>()
 <a name="l00062"></a>00062 {
-<a name="l00063"></a>00063   <span class="keywordflow">return</span> <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>;
+<a name="l00063"></a>00063   <span class="keywordflow">return</span> <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
 <a name="l00064"></a>00064 }
 <a name="l00065"></a>00065 
-<a name="l00066"></a>00066 <span class="keywordtype">int</span>  <a class="code" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer::gen_event</a>()
+<a name="l00066"></a>00066 <span class="keywordtype">int</span>  <a class="code" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105" title="Generate libofx.h events.">OfxGenericContainer::gen_event</a>()
 <a name="l00067"></a>00067 {
 <a name="l00068"></a>00068   <span class="comment">/* No callback is ever generated for pure virtual containers */</span>
 <a name="l00069"></a>00069   <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l00070"></a>00070 }
 <a name="l00071"></a>00071 
-<a name="l00072"></a>00072 <span class="keywordtype">int</span>  <a class="code" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer::add_to_main_tree</a>()
+<a name="l00072"></a>00072 <span class="keywordtype">int</span>  <a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">OfxGenericContainer::add_to_main_tree</a>()
 <a name="l00073"></a>00073 {
-<a name="l00074"></a>00074   <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00074"></a>00074   <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00075"></a>00075     {
-<a name="l00076"></a>00076       <span class="keywordflow">return</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<span class="keyword">this</span>);
+<a name="l00076"></a>00076       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
 <a name="l00077"></a>00077     }
 <a name="l00078"></a>00078   <span class="keywordflow">else</span>
 <a name="l00079"></a>00079     {
@@ -97,8 +93,8 @@
 <a name="l00081"></a>00081     }
 <a name="l00082"></a>00082 }
 <a name="l00083"></a>00083   
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__generic_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__generic_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__generic_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_generic.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_generic.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a>. 
-<p>
-
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp-source.html">fx-0.8.2/lib/ofx_container_generic.cpp</a>.
+Implementation of <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp-source.html">fx-0.8.2/lib/ofx_container_generic.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__container__generic_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_container_generic.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_container_generic.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__main_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__main_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__main_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_main.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_main.cpp</h1><a href="fx-0_88_82_2lib_2ofx__container__main_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_main.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -39,181 +35,181 @@
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;iostream&gt;</span>
 <a name="l00025"></a>00025 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a>00030 <a class="code" href="classOfxMainContainer.html#fdf73d70e03bdb05c8aa621bbdec86a8">OfxMainContainer::OfxMainContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00031"></a>00031   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00030"></a>00030 <a class="code" href="classOfxMainContainer.html#bdecebdd778e0169bcb7389f8db0454d">OfxMainContainer::OfxMainContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00031"></a>00031   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00032"></a>00032 {
 <a name="l00033"></a>00033  
 <a name="l00034"></a>00034 <span class="comment">//statement_tree_top=statement_tree.insert(statement_tree_top, NULL);</span>
 <a name="l00035"></a>00035 <span class="comment">//security_tree_top=security_tree.insert(security_tree_top, NULL);</span>
 <a name="l00036"></a>00036 
 <a name="l00037"></a>00037 }
-<a name="l00038"></a>00038 <a class="code" href="classOfxMainContainer.html#7ab71728d866c0455ab4ca7f84d8447b">OfxMainContainer::~OfxMainContainer</a>()
+<a name="l00038"></a>00038 <a class="code" href="classOfxMainContainer.html#195e97a1121a6efdf898bd1cc5c43f8f">OfxMainContainer::~OfxMainContainer</a>()
 <a name="l00039"></a>00039 {
-<a name="l00040"></a>00040   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Entering the main container's destructor"</span>);
-<a name="l00041"></a>00041   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> tmp = security_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
+<a name="l00040"></a>00040   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Entering the main container's destructor"</span>);
+<a name="l00041"></a>00041   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> tmp = security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
 <a name="l00042"></a>00042 
-<a name="l00043"></a>00043   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>())
+<a name="l00043"></a>00043   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
 <a name="l00044"></a>00044     {
-<a name="l00045"></a>00045       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Deleting "</span>+(*tmp)-&gt;type);
+<a name="l00045"></a>00045       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Deleting "</span>+(*tmp)-&gt;type);
 <a name="l00046"></a>00046       <span class="keyword">delete</span> (*tmp);
 <a name="l00047"></a>00047       ++tmp;
 <a name="l00048"></a>00048     }
-<a name="l00049"></a>00049   tmp = account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
-<a name="l00050"></a>00050   <span class="keywordflow">while</span>(tmp!=account_tree.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>())
+<a name="l00049"></a>00049   tmp = account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00050"></a>00050   <span class="keywordflow">while</span>(tmp!=account_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
 <a name="l00051"></a>00051     {
-<a name="l00052"></a>00052       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Deleting "</span>+(*tmp)-&gt;type);
+<a name="l00052"></a>00052       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Deleting "</span>+(*tmp)-&gt;type);
 <a name="l00053"></a>00053       <span class="keyword">delete</span> (*tmp);
 <a name="l00054"></a>00054       ++tmp;
 <a name="l00055"></a>00055     }
 <a name="l00056"></a>00056 }
-<a name="l00057"></a>00057 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">OfxMainContainer::add_container</a>(<a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> * container)
+<a name="l00057"></a>00057 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> * container)
 <a name="l00058"></a>00058 {
-<a name="l00059"></a>00059   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container for element "</span> + container-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a> + <span class="stringliteral">"; destroying the generic container"</span>);
+<a name="l00059"></a>00059   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container for element "</span> + container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a> + <span class="stringliteral">"; destroying the generic container"</span>);
 <a name="l00060"></a>00060   <span class="comment">/* Call gen_event anyway, it could be a status container or similar */</span>
-<a name="l00061"></a>00061   container-&gt;<a class="code" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">gen_event</a>();
+<a name="l00061"></a>00061   container-&gt;<a class="code" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105" title="Generate libofx.h events.">gen_event</a>();
 <a name="l00062"></a>00062   <span class="keyword">delete</span> container;
 <a name="l00063"></a>00063   <span class="keywordflow">return</span> 0;
 <a name="l00064"></a>00064 }
 <a name="l00065"></a>00065 
-<a name="l00066"></a>00066 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">OfxMainContainer::add_container</a>(<a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> * container)
+<a name="l00066"></a>00066 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> * container)
 <a name="l00067"></a>00067 {
-<a name="l00068"></a>00068   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a security"</span>);
-<a name="l00069"></a>00069   security_tree.<a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(security_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), container);
+<a name="l00068"></a>00068   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a security"</span>);
+<a name="l00069"></a>00069   security_tree.<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), container);
 <a name="l00070"></a>00070   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00071"></a>00071 
 <a name="l00072"></a>00072  
 <a name="l00073"></a>00073 }
 <a name="l00074"></a>00074 
-<a name="l00075"></a>00075 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">OfxMainContainer::add_container</a>(<a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> * container)
+<a name="l00075"></a>00075 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> * container)
 <a name="l00076"></a>00076 {
-<a name="l00077"></a>00077   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding an account"</span>);
-<a name="l00078"></a>00078   <span class="keywordflow">if</span>( account_tree.<a class="code" href="classtree.html#153ad4a2483c86e5f3647f131629400b">size</a>()==0)
+<a name="l00077"></a>00077   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding an account"</span>);
+<a name="l00078"></a>00078   <span class="keywordflow">if</span>( account_tree.<a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">size</a>()==0)
 <a name="l00079"></a>00079     {
-<a name="l00080"></a>00080       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, account is the first account"</span>);
-<a name="l00081"></a>00081       account_tree.<a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), container);
+<a name="l00080"></a>00080       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, account is the first account"</span>);
+<a name="l00081"></a>00081       account_tree.<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), container);
 <a name="l00082"></a>00082     }
 <a name="l00083"></a>00083   <span class="keywordflow">else</span>
 <a name="l00084"></a>00084     {
-<a name="l00085"></a>00085       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, account is not the first account"</span>);
-<a name="l00086"></a>00086       <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
-<a name="l00087"></a>00087       tmp += (account_tree.number_of_siblings(tmp)); <span class="comment">//Find last account</span>
-<a name="l00088"></a>00088       account_tree.<a class="code" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">insert_after</a>(tmp, container);
+<a name="l00085"></a>00085       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, account is not the first account"</span>);
+<a name="l00086"></a>00086       <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00087"></a>00087       tmp += (account_tree.<a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
+<a name="l00088"></a>00088       account_tree.<a class="code" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e" title="Insert node as next sibling of node pointed to by position.">insert_after</a>(tmp, container);
 <a name="l00089"></a>00089     }  
 <a name="l00090"></a>00090   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00091"></a>00091 }
 <a name="l00092"></a>00092 
-<a name="l00093"></a>00093 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">OfxMainContainer::add_container</a>(<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> * container)
+<a name="l00093"></a>00093 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * container)
 <a name="l00094"></a>00094 {
-<a name="l00095"></a>00095   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a statement"</span>);
-<a name="l00096"></a>00096   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
+<a name="l00095"></a>00095   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a statement"</span>);
+<a name="l00096"></a>00096   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
 <a name="l00097"></a>00097   <span class="comment">//cerr&lt;&lt; "size="&lt;&lt;account_tree.size()&lt;&lt;"; num_sibblings="&lt;&lt;account_tree.number_of_siblings(tmp)&lt;&lt;endl;</span>
-<a name="l00098"></a>00098   tmp += (account_tree.<a class="code" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
+<a name="l00098"></a>00098   tmp += (account_tree.<a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
 <a name="l00099"></a>00099   
-<a name="l00100"></a>00100   <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">is_valid</a>(tmp))
+<a name="l00100"></a>00100   <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(tmp))
 <a name="l00101"></a>00101     {
-<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"1: tmp is valid, Accounts are present"</span>);
-<a name="l00103"></a>00103       <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> child = account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(tmp);
-<a name="l00104"></a>00104       <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a>(tmp)!=0)
+<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"1: tmp is valid, Accounts are present"</span>);
+<a name="l00103"></a>00103       <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> child = account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(tmp);
+<a name="l00104"></a>00104       <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">number_of_children</a>(tmp)!=0)
 <a name="l00105"></a>00105         {
-<a name="l00106"></a>00106           <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(DEBUG,<span class="stringliteral">"There are already children for this account"</span>);
-<a name="l00107"></a>00107           account_tree.<a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(tmp.begin(), container);
+<a name="l00106"></a>00106           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"There are already children for this account"</span>);
+<a name="l00107"></a>00107           account_tree.<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(tmp.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), container);
 <a name="l00108"></a>00108           
 <a name="l00109"></a>00109         }
 <a name="l00110"></a>00110       <span class="keywordflow">else</span>
 <a name="l00111"></a>00111         {
-<a name="l00112"></a>00112           <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(DEBUG,<span class="stringliteral">"There are no children for this account"</span>);
-<a name="l00113"></a>00113           account_tree.append_child(tmp,container);
+<a name="l00112"></a>00112           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"There are no children for this account"</span>);
+<a name="l00113"></a>00113           account_tree.<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(tmp,container);
 <a name="l00114"></a>00114         }
-<a name="l00115"></a>00115       container-&gt;<a class="code" href="classOfxStatementContainer.html#874ef227d93fdc078cf396350fc9b678">add_account</a>(&amp;( ((<a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> *)(*tmp))-&gt;data));
+<a name="l00115"></a>00115       container-&gt;<a class="code" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">add_account</a>(&amp;( ((<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> *)(*tmp))-&gt;data));
 <a name="l00116"></a>00116       <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00117"></a>00117     }
 <a name="l00118"></a>00118   <span class="keywordflow">else</span>
 <a name="l00119"></a>00119     {
-<a name="l00120"></a>00120       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container, no accounts are present (tmp is invalid)"</span>);
+<a name="l00120"></a>00120       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container, no accounts are present (tmp is invalid)"</span>);
 <a name="l00121"></a>00121       <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l00122"></a>00122     }
 <a name="l00123"></a>00123 }
 <a name="l00124"></a>00124 
-<a name="l00125"></a>00125 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">OfxMainContainer::add_container</a>(<a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> * container)
+<a name="l00125"></a>00125 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> * container)
 <a name="l00126"></a>00126 {
-<a name="l00127"></a>00127   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(DEBUG,<span class="stringliteral">"OfxMainContainer::add_container, adding a transaction"</span>);
+<a name="l00127"></a>00127   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a transaction"</span>);
 <a name="l00128"></a>00128 
-<a name="l00129"></a>00129   <span class="keywordflow">if</span>( account_tree.<a class="code" href="classtree.html#153ad4a2483c86e5f3647f131629400b">size</a>()!=0)
+<a name="l00129"></a>00129   <span class="keywordflow">if</span>( account_tree.<a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">size</a>()!=0)
 <a name="l00130"></a>00130     {
-<a name="l00131"></a>00131   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
+<a name="l00131"></a>00131   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
 <a name="l00132"></a>00132   <span class="comment">//cerr&lt;&lt; "size="&lt;&lt;account_tree.size()&lt;&lt;"; num_sibblings="&lt;&lt;account_tree.number_of_siblings(tmp)&lt;&lt;endl;</span>
-<a name="l00133"></a>00133   tmp += (account_tree.<a class="code" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
-<a name="l00134"></a>00134       <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">is_valid</a>(tmp))
+<a name="l00133"></a>00133   tmp += (account_tree.<a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
+<a name="l00134"></a>00134       <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(tmp))
 <a name="l00135"></a>00135         {
-<a name="l00136"></a>00136           <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(DEBUG,<span class="stringliteral">"OfxMainContainer::add_container: tmp is valid, Accounts are present"</span>);
-<a name="l00137"></a>00137           account_tree.<a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(tmp,container);
-<a name="l00138"></a>00138           container-&gt;<a class="code" href="classOfxTransactionContainer.html#55909757ff4bd31fe8bc968f5be576b0">add_account</a>(&amp;(((<a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> *)(*tmp))-&gt;data));
+<a name="l00136"></a>00136           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container: tmp is valid, Accounts are present"</span>);
+<a name="l00137"></a>00137           account_tree.<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(tmp,container);
+<a name="l00138"></a>00138           container-&gt;<a class="code" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">add_account</a>(&amp;(((<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> *)(*tmp))-&gt;data));
 <a name="l00139"></a>00139           <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00140"></a>00140         }
 <a name="l00141"></a>00141       <span class="keywordflow">else</span>
 <a name="l00142"></a>00142         {
-<a name="l00143"></a>00143           <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container: tmp is invalid!"</span>);
+<a name="l00143"></a>00143           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container: tmp is invalid!"</span>);
 <a name="l00144"></a>00144           <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l00145"></a>00145         }
 <a name="l00146"></a>00146     }
 <a name="l00147"></a>00147   <span class="keywordflow">else</span>
 <a name="l00148"></a>00148     {
-<a name="l00149"></a>00149       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container: the tree is empty!"</span>);
+<a name="l00149"></a>00149       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container: the tree is empty!"</span>);
 <a name="l00150"></a>00150       <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l00151"></a>00151     }
 <a name="l00152"></a>00152 }
 <a name="l00153"></a>00153 
-<a name="l00154"></a>00154 <span class="keywordtype">int</span>  <a class="code" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">OfxMainContainer::gen_event</a>()
+<a name="l00154"></a>00154 <span class="keywordtype">int</span>  <a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">OfxMainContainer::gen_event</a>()
 <a name="l00155"></a>00155 {
-<a name="l00156"></a>00156   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(DEBUG,<span class="stringliteral">"Begin walking the trees of the main container to generate events"</span>);
-<a name="l00157"></a>00157   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> tmp = security_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
+<a name="l00156"></a>00156   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Begin walking the trees of the main container to generate events"</span>);
+<a name="l00157"></a>00157   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> tmp = security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
 <a name="l00158"></a>00158   <span class="comment">//cerr&lt;&lt;"security_tree.size(): "&lt;&lt;security_tree.size()&lt;&lt;endl;</span>
 <a name="l00159"></a>00159   <span class="keywordtype">int</span> i = 0;
-<a name="l00160"></a>00160   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>())
+<a name="l00160"></a>00160   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
 <a name="l00161"></a>00161     {
-<a name="l00162"></a>00162       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(DEBUG,<span class="stringliteral">"Looping..."</span>);
+<a name="l00162"></a>00162       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Looping..."</span>);
 <a name="l00163"></a>00163       <span class="comment">//cerr &lt;&lt;i&lt;&lt;endl;</span>
 <a name="l00164"></a>00164       i++;
 <a name="l00165"></a>00165       (*tmp)-&gt;gen_event();
 <a name="l00166"></a>00166       ++tmp;
 <a name="l00167"></a>00167     }
-<a name="l00168"></a>00168   tmp = account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
+<a name="l00168"></a>00168   tmp = account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
 <a name="l00169"></a>00169   <span class="comment">//cerr&lt;&lt;account_tree.size()&lt;&lt;endl;</span>
 <a name="l00170"></a>00170   i = 0;
-<a name="l00171"></a>00171   <span class="keywordflow">while</span>(tmp!=account_tree.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>())
+<a name="l00171"></a>00171   <span class="keywordflow">while</span>(tmp!=account_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
 <a name="l00172"></a>00172     {
 <a name="l00173"></a>00173       <span class="comment">//cerr&lt;&lt; "i="&lt;&lt;i&lt;&lt;"; depth="&lt;&lt;account_tree.depth(tmp)&lt;&lt;endl;</span>
 <a name="l00174"></a>00174       i++;
 <a name="l00175"></a>00175       (*tmp)-&gt;gen_event();
 <a name="l00176"></a>00176       ++tmp;
 <a name="l00177"></a>00177     }
-<a name="l00178"></a>00178       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(DEBUG,<span class="stringliteral">"End walking the trees of the main container to generate events"</span>);
+<a name="l00178"></a>00178       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"End walking the trees of the main container to generate events"</span>);
 <a name="l00179"></a>00179     
 <a name="l00180"></a>00180   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00181"></a>00181 }
 <a name="l00182"></a>00182 
-<a name="l00183"></a>00183 <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> *  <a class="code" href="classOfxMainContainer.html#257204d0271f47d7f455169487960753">OfxMainContainer::find_security</a>(string unique_id)
+<a name="l00183"></a>00183 <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> *  <a class="code" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">OfxMainContainer::find_security</a>(<span class="keywordtype">string</span> unique_id)
 <a name="l00184"></a>00184 {
-<a name="l00185"></a>00185  <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(DEBUG,<span class="stringliteral">"OfxMainContainer::find_security() Begin."</span>);
+<a name="l00185"></a>00185  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::find_security() Begin."</span>);
 <a name="l00186"></a>00186 
-<a name="l00187"></a>00187   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp = security_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
-<a name="l00188"></a>00188   <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> * retval = NULL;
-<a name="l00189"></a>00189   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>()&amp;&amp;retval==NULL)
+<a name="l00187"></a>00187   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp = security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00188"></a>00188   <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> * retval = NULL;
+<a name="l00189"></a>00189   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>()&amp;&amp;retval==NULL)
 <a name="l00190"></a>00190     {
-<a name="l00191"></a>00191       <span class="keywordflow">if</span>(((<a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a>*)(*tmp))-&gt;data.unique_id==unique_id)
-<a name="l00192"></a>00192         { <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(DEBUG,(string)<span class="stringliteral">"Security "</span>+((OfxSecurityContainer*)(*tmp))-&gt;data.unique_id+<span class="stringliteral">" found."</span>);
-<a name="l00193"></a>00193           retval=&amp;((OfxSecurityContainer*)(*tmp))-&gt;data;
+<a name="l00191"></a>00191       <span class="keywordflow">if</span>(((<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>*)(*tmp))-&gt;data.unique_id==unique_id)
+<a name="l00192"></a>00192         { <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,(<span class="keywordtype">string</span>)<span class="stringliteral">"Security "</span>+((<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>*)(*tmp))-&gt;data.unique_id+<span class="stringliteral">" found."</span>);
+<a name="l00193"></a>00193           retval=&amp;((<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>*)(*tmp))-&gt;data;
 <a name="l00194"></a>00194         }
 <a name="l00195"></a>00195       ++tmp;
 <a name="l00196"></a>00196     }
 <a name="l00197"></a>00197   <span class="keywordflow">return</span> retval;
 <a name="l00198"></a>00198 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__main_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__main_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__main_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,36 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_main.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_main.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. 
-<p>
-
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__main_8cpp-source.html">fx-0.8.2/lib/ofx_container_main.cpp</a>.
+Implementation of <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__main_8cpp-source.html">fx-0.8.2/lib/ofx_container_main.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__container__main_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__security_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__security_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__security_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_security.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_security.cpp</h1><a href="fx-0_88_82_2lib_2ofx__container__security_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_security.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,76 +33,76 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00031"></a>00031 
 <a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
 <a name="l00033"></a>00033 <span class="comment"> *                     OfxSecurityContainer                                *</span>
 <a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
 <a name="l00035"></a>00035 
-<a name="l00036"></a>00036 <a class="code" href="classOfxSecurityContainer.html#7558803d35cebc4480bed38143a24b0b">OfxSecurityContainer::OfxSecurityContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00036"></a>00036 <a class="code" href="classOfxSecurityContainer.html#6463edacc95fc03733c0e7fb6776c15f">OfxSecurityContainer::OfxSecurityContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00038"></a>00038 {
-<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>));
-<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"SECURITY"</span>;
+<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>));
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"SECURITY"</span>;
 <a name="l00041"></a>00041 }
-<a name="l00042"></a>00042 <a class="code" href="classOfxSecurityContainer.html#a12308340b14eeac46ac1d7c933369b4">OfxSecurityContainer::~OfxSecurityContainer</a>()
+<a name="l00042"></a>00042 <a class="code" href="classOfxSecurityContainer.html#5205f0a09177451b4a6420da7420c256">OfxSecurityContainer::~OfxSecurityContainer</a>()
 <a name="l00043"></a>00043 {
 <a name="l00044"></a>00044 }
-<a name="l00045"></a>00045 <span class="keywordtype">void</span> <a class="code" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">OfxSecurityContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00045"></a>00045 <span class="keywordtype">void</span> <a class="code" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e" title="Add data to a container object.">OfxSecurityContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00046"></a>00046 {
 <a name="l00047"></a>00047   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEID"</span>){
-<a name="l00048"></a>00048     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">unique_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">unique_id</a>));
-<a name="l00049"></a>00049     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#7a07e05b7a7de7cbc93ef5819e08cdfb">unique_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00048"></a>00048     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a>));
+<a name="l00049"></a>00049     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">unique_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00050"></a>00050   }
 <a name="l00051"></a>00051   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEIDTYPE"</span>){
-<a name="l00052"></a>00052     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">unique_id_type</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">unique_id_type</a>));
-<a name="l00053"></a>00053     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#fa8afe497229c9f561b734b784af4136">unique_id_type_valid</a> = <span class="keyword">true</span>;
+<a name="l00052"></a>00052     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a>));
+<a name="l00053"></a>00053     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">unique_id_type_valid</a> = <span class="keyword">true</span>;
 <a name="l00054"></a>00054   }
 <a name="l00055"></a>00055   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"SECNAME"</span>){
-<a name="l00056"></a>00056     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">secname</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">secname</a>));
-<a name="l00057"></a>00057     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#2ac745aadacd3adff898b02c29a8ee50">secname_valid</a> = <span class="keyword">true</span>;
+<a name="l00056"></a>00056     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a>));
+<a name="l00057"></a>00057     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">secname_valid</a> = <span class="keyword">true</span>;
 <a name="l00058"></a>00058   }
 <a name="l00059"></a>00059   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"TICKER"</span>){
-<a name="l00060"></a>00060     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">ticker</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">ticker</a>));
-<a name="l00061"></a>00061     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#832eb4d40a617065f39d6543ae5cfdd4">ticker_valid</a> = <span class="keyword">true</span>;
+<a name="l00060"></a>00060     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a>));
+<a name="l00061"></a>00061     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">ticker_valid</a> = <span class="keyword">true</span>;
 <a name="l00062"></a>00062   }
 <a name="l00063"></a>00063   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNITPRICE"</span>){
-<a name="l00064"></a>00064     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#e3c6ea360c7dce731d263c1f83b5cbd9">unitprice</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00065"></a>00065     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#6527ef1b5444ad8dcc5c9f3e53b93abc">unitprice_valid</a> = <span class="keyword">true</span>;
+<a name="l00064"></a>00064     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">unitprice</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00065"></a>00065     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">unitprice_valid</a> = <span class="keyword">true</span>;
 <a name="l00066"></a>00066   }
 <a name="l00067"></a>00067   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTASOF"</span>){
-<a name="l00068"></a>00068     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#2be22a41f746673f06ea6b6820cc17e9">date_unitprice</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00069"></a>00069     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#45533d8f177dc2a329d03c5e79f0dd14">date_unitprice_valid</a> = <span class="keyword">true</span>;
+<a name="l00068"></a>00068     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">date_unitprice</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00069"></a>00069     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">date_unitprice_valid</a> = <span class="keyword">true</span>;
 <a name="l00070"></a>00070   }
 <a name="l00071"></a>00071   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CURDEF"</span>){
-<a name="l00072"></a>00072     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#6f943b5de690b0c8e3577ee32dc0f682">currency</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>);
-<a name="l00073"></a>00073     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#b510698f4aadf98dea2a38774afecf36">currency_valid</a>=<span class="keyword">true</span>;
+<a name="l00072"></a>00072     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">currency</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>);
+<a name="l00073"></a>00073     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">currency_valid</a>=<span class="keyword">true</span>;
 <a name="l00074"></a>00074   }
 <a name="l00075"></a>00075   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MEMO"</span> || identifier==<span class="stringliteral">"MEMO2"</span>){
-<a name="l00076"></a>00076     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">memo</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">memo</a>));
-<a name="l00077"></a>00077     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#fca86ce1faa30e4dcd6e31ff8fb8ab76">memo_valid</a> = <span class="keyword">true</span>;
+<a name="l00076"></a>00076     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a>));
+<a name="l00077"></a>00077     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">memo_valid</a> = <span class="keyword">true</span>;
 <a name="l00078"></a>00078  }
 <a name="l00079"></a>00079   <span class="keywordflow">else</span>{
 <a name="l00080"></a>00080     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00081"></a>00081     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00081"></a>00081     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00082"></a>00082   }
 <a name="l00083"></a>00083 }
-<a name="l00084"></a>00084 <span class="keywordtype">int</span>  <a class="code" href="classOfxSecurityContainer.html#a09d8de2d49cb79864dce68671f57400">OfxSecurityContainer::gen_event</a>()
+<a name="l00084"></a>00084 <span class="keywordtype">int</span>  <a class="code" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d" title="Generate libofx.h events.">OfxSecurityContainer::gen_event</a>()
 <a name="l00085"></a>00085 {
-<a name="l00086"></a>00086   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#a540fb9a3910bca4671b4cc6d248888f">securityCallback</a>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>);
+<a name="l00086"></a>00086   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">securityCallback</a>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>);
 <a name="l00087"></a>00087   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00088"></a>00088 }
 <a name="l00089"></a>00089 
-<a name="l00090"></a>00090 <span class="keywordtype">int</span>  <a class="code" href="classOfxSecurityContainer.html#06f05be00e89e4ce256eb709dcad4326">OfxSecurityContainer::add_to_main_tree</a>()
+<a name="l00090"></a>00090 <span class="keywordtype">int</span>  <a class="code" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f" title="Add this container to the main tree.">OfxSecurityContainer::add_to_main_tree</a>()
 <a name="l00091"></a>00091 {
-<a name="l00092"></a>00092   <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00092"></a>00092   <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00093"></a>00093     {
-<a name="l00094"></a>00094       <span class="keywordflow">return</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<span class="keyword">this</span>);
+<a name="l00094"></a>00094       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
 <a name="l00095"></a>00095     }
 <a name="l00096"></a>00096   <span class="keywordflow">else</span>
 <a name="l00097"></a>00097     {
@@ -114,8 +110,8 @@
 <a name="l00099"></a>00099     }
 <a name="l00100"></a>00100 }
 <a name="l00101"></a>00101   
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__security_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__security_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__security_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_security.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_security.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> for stocks, bonds, mutual funds, etc. 
-<p>
-
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp-source.html">fx-0.8.2/lib/ofx_container_security.cpp</a>.
+Implementation of <a class="el" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> for stocks, bonds, mutual funds, etc. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp-source.html">fx-0.8.2/lib/ofx_container_security.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__container__security_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_container_security.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_container_security.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__statement_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__statement_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__statement_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_statement.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_statement.cpp</h1><a href="fx-0_88_82_2lib_2ofx__container__statement_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_statement.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,24 +33,24 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00031"></a>00031 
 <a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
 <a name="l00033"></a>00033 <span class="comment"> *                    OfxStatementContainer                                *</span>
 <a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
 <a name="l00035"></a>00035 
-<a name="l00036"></a>00036 <a class="code" href="classOfxStatementContainer.html#99a5e289425841bdec04ebc7c48f4b89">OfxStatementContainer::OfxStatementContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00036"></a>00036 <a class="code" href="classOfxStatementContainer.html#974c762415e209a77957ccabca3a4506">OfxStatementContainer::OfxStatementContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00038"></a>00038 {
-<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>));
-<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"STATEMENT"</span>;
+<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>));
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"STATEMENT"</span>;
 <a name="l00041"></a>00041 }
-<a name="l00042"></a>00042 <a class="code" href="classOfxStatementContainer.html#96e32e196d0d34197b20a95ade84499e">OfxStatementContainer::~OfxStatementContainer</a>()
+<a name="l00042"></a>00042 <a class="code" href="classOfxStatementContainer.html#085def18d3414dc93d256b08d8f3ea2c">OfxStatementContainer::~OfxStatementContainer</a>()
 <a name="l00043"></a>00043 {
 <a name="l00044"></a>00044 <span class="comment">/*  while(transaction_queue.empty()!=true)</span>
 <a name="l00045"></a>00045 <span class="comment">    {</span>
@@ -62,50 +58,50 @@
 <a name="l00047"></a>00047 <span class="comment">      transaction_queue.pop();</span>
 <a name="l00048"></a>00048 <span class="comment">    }*/</span>
 <a name="l00049"></a>00049 }
-<a name="l00050"></a>00050 <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">OfxStatementContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00050"></a>00050 <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57" title="Add data to a container object.">OfxStatementContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00051"></a>00051 {
 <a name="l00052"></a>00052   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CURDEF"</span>){
-<a name="l00053"></a>00053     strncpy(<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#8c016ce953f1d4d3d08573f0181f7fc8">currency</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>);
-<a name="l00054"></a>00054     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#2e01678983fb37679da62d982932301a">currency_valid</a>=<span class="keyword">true</span>;
+<a name="l00053"></a>00053     strncpy(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">currency</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>);
+<a name="l00054"></a>00054     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">currency_valid</a>=<span class="keyword">true</span>;
 <a name="l00055"></a>00055   }
 <a name="l00056"></a>00056   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MKTGINFO"</span>){
-<a name="l00057"></a>00057     strncpy(<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#fb61c45788b7da6fde86b94c39721b35">marketing_info</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">OFX_MARKETING_INFO_LENGTH</a>);
-<a name="l00058"></a>00058     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#51882ec4112a0784458335387a2307d9">marketing_info_valid</a>=<span class="keyword">true</span>;
+<a name="l00057"></a>00057     strncpy(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">marketing_info</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">OFX_MARKETING_INFO_LENGTH</a>);
+<a name="l00058"></a>00058     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">marketing_info_valid</a>=<span class="keyword">true</span>;
 <a name="l00059"></a>00059   }
 <a name="l00060"></a>00060   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTSTART"</span>){
-<a name="l00061"></a>00061     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#e309f20e09668f4d0cf852f771d2cc16">date_start</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00062"></a>00062     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#dc9f69ca4ccb9ce8b2ee99a633ce1663">date_start_valid</a> = <span class="keyword">true</span>;
+<a name="l00061"></a>00061     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">date_start</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00062"></a>00062     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">date_start_valid</a> = <span class="keyword">true</span>;
 <a name="l00063"></a>00063   }
 <a name="l00064"></a>00064   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTEND"</span>){
-<a name="l00065"></a>00065     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#9a9474d4266ee8362691de638eb2b95b">date_end</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00066"></a>00066     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#da9e71bfc700d9836f8ed1a0a5394d68">date_end_valid</a> = <span class="keyword">true</span>;
+<a name="l00065"></a>00065     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">date_end</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00066"></a>00066     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">date_end_valid</a> = <span class="keyword">true</span>;
 <a name="l00067"></a>00067   }
 <a name="l00068"></a>00068   <span class="keywordflow">else</span>{
-<a name="l00069"></a>00069     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00069"></a>00069     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00070"></a>00070   }
 <a name="l00071"></a>00071 }<span class="comment">//end OfxStatementContainer::add_attribute()</span>
 <a name="l00072"></a>00072 
-<a name="l00073"></a>00073 <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#cf79a74290f3f0d0c9048f80c60b32e8">OfxStatementContainer::add_balance</a>(<a class="code" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>* ptr_balance_container)
+<a name="l00073"></a>00073 <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#91534efc97834de2ddfc66e4e0e75b5c">OfxStatementContainer::add_balance</a>(<a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a>* ptr_balance_container)
 <a name="l00074"></a>00074 {
-<a name="l00075"></a>00075   <span class="keywordflow">if</span>(ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>==<span class="stringliteral">"LEDGERBAL"</span>){
-<a name="l00076"></a>00076     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">ledger_balance</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">amount</a>;
-<a name="l00077"></a>00077     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#36aa92a5090a5b005003a56d030bfe2d">ledger_balance_valid</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a>;
+<a name="l00075"></a>00075   <span class="keywordflow">if</span>(ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>==<span class="stringliteral">"LEDGERBAL"</span>){
+<a name="l00076"></a>00076     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">ledger_balance</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>;
+<a name="l00077"></a>00077     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">ledger_balance_valid</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>;
 <a name="l00078"></a>00078   }
-<a name="l00079"></a>00079   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>==<span class="stringliteral">"AVAILBAL"</span>){
-<a name="l00080"></a>00080     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#da9c55ec9c74912447df814e9d4cca91">available_balance</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">amount</a>;
-<a name="l00081"></a>00081     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#2b21efec7e7c885db13af63230c1a76d">available_balance_valid</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a>;
+<a name="l00079"></a>00079   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>==<span class="stringliteral">"AVAILBAL"</span>){
+<a name="l00080"></a>00080     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">available_balance</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>;
+<a name="l00081"></a>00081     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">available_balance_valid</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>;
 <a name="l00082"></a>00082   }
 <a name="l00083"></a>00083   <span class="keywordflow">else</span>{
-<a name="l00084"></a>00084     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"OfxStatementContainer::add_balance(): the balance has unknown tag_identifier: "</span>+ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>);
+<a name="l00084"></a>00084     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxStatementContainer::add_balance(): the balance has unknown tag_identifier: "</span>+ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>);
 <a name="l00085"></a>00085   }
 <a name="l00086"></a>00086 }
 <a name="l00087"></a>00087 
 <a name="l00088"></a>00088 
-<a name="l00089"></a>00089 <span class="keywordtype">int</span>  <a class="code" href="classOfxStatementContainer.html#19b7458f71a8e47e25525f81009c5146">OfxStatementContainer::add_to_main_tree</a>()
+<a name="l00089"></a>00089 <span class="keywordtype">int</span>  <a class="code" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d" title="Add this container to the main tree.">OfxStatementContainer::add_to_main_tree</a>()
 <a name="l00090"></a>00090 {
-<a name="l00091"></a>00091   <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00091"></a>00091   <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00092"></a>00092     {
-<a name="l00093"></a>00093       <span class="keywordflow">return</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<span class="keyword">this</span>);
+<a name="l00093"></a>00093       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
 <a name="l00094"></a>00094     }
 <a name="l00095"></a>00095   <span class="keywordflow">else</span>
 <a name="l00096"></a>00096     {
@@ -113,28 +109,28 @@
 <a name="l00098"></a>00098     }
 <a name="l00099"></a>00099 }
 <a name="l00100"></a>00100 
-<a name="l00101"></a>00101 <span class="keywordtype">int</span>  <a class="code" href="classOfxStatementContainer.html#69dba408b387ea2e474c0cd9cbca03a1">OfxStatementContainer::gen_event</a>()
+<a name="l00101"></a>00101 <span class="keywordtype">int</span>  <a class="code" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7" title="Generate libofx.h events.">OfxStatementContainer::gen_event</a>()
 <a name="l00102"></a>00102 {
-<a name="l00103"></a>00103   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#302efef8abcde0b6f1a76fa1f62ae828">statementCallback</a>(<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>);
+<a name="l00103"></a>00103   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">statementCallback</a>(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>);
 <a name="l00104"></a>00104   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00105"></a>00105 }
 <a name="l00106"></a>00106 
 <a name="l00107"></a>00107 
-<a name="l00108"></a>00108 <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#874ef227d93fdc078cf396350fc9b678">OfxStatementContainer::add_account</a>(<a class="code" href="structOfxAccountData.html">OfxAccountData</a> * account_data)
+<a name="l00108"></a>00108 <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">OfxStatementContainer::add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data)
 <a name="l00109"></a>00109 {
-<a name="l00110"></a>00110   <span class="keywordflow">if</span>(account_data-&gt;<a class="code" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">account_id_valid</a>==<span class="keyword">true</span>)
+<a name="l00110"></a>00110   <span class="keywordflow">if</span>(account_data-&gt;<a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>==<span class="keyword">true</span>)
 <a name="l00111"></a>00111     {
-<a name="l00112"></a>00112       <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">account_ptr</a> = account_data;
-<a name="l00113"></a>00113       strncpy(<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">account_id</a>,account_data-&gt;<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>);
-<a name="l00114"></a>00114       <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">account_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00112"></a>00112       <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a> = account_data;
+<a name="l00113"></a>00113       strncpy(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">account_id</a>,account_data-&gt;<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>);
+<a name="l00114"></a>00114       <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">account_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00115"></a>00115     }
 <a name="l00116"></a>00116 }
 <a name="l00117"></a>00117 <span class="comment">/*void OfxStatementContainer::add_transaction(const OfxTransactionData transaction_data)</span>
 <a name="l00118"></a>00118 <span class="comment">{</span>
 <a name="l00119"></a>00119 <span class="comment">  transaction_queue.push(transaction_data);</span>
 <a name="l00120"></a>00120 <span class="comment">}*/</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__statement_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__statement_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__statement_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_statement.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_statement.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a> for bank statements, credit cart statements, etc. 
-<p>
-
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp-source.html">fx-0.8.2/lib/ofx_container_statement.cpp</a>.
+Implementation of <a class="el" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> for bank statements, credit cart statements, etc. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp-source.html">fx-0.8.2/lib/ofx_container_statement.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__container__statement_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_container_statement.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_container_statement.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_transaction.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_transaction.cpp</h1><a href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_account.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,66 +33,66 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00031"></a>00031 
 <a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
 <a name="l00033"></a>00033 <span class="comment"> *                      OfxTransactionContainer                            *</span>
 <a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
 <a name="l00035"></a>00035 
-<a name="l00036"></a>00036 <a class="code" href="classOfxTransactionContainer.html#7bf1cc0fda751f2f653c2a64cb63fae2">OfxTransactionContainer::OfxTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00036"></a>00036 <a class="code" href="classOfxTransactionContainer.html#d43b43b1006be733490c4e25f8a41434">OfxTransactionContainer::OfxTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00038"></a>00038 {
-<a name="l00039"></a>00039   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> * tmp_parentcontainer=<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>;
+<a name="l00039"></a>00039   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> * tmp_parentcontainer=<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
 <a name="l00040"></a>00040 
-<a name="l00041"></a>00041   memset(&amp;<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>));
-<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"TRANSACTION"</span>;
+<a name="l00041"></a>00041   memset(&amp;<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>));
+<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"TRANSACTION"</span>;
 <a name="l00043"></a>00043   <span class="comment">/* Find the parent statement container*/</span>
-<a name="l00044"></a>00044   <span class="keywordflow">while</span>(tmp_parentcontainer!=NULL&amp;&amp;tmp_parentcontainer-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
+<a name="l00044"></a>00044   <span class="keywordflow">while</span>(tmp_parentcontainer!=NULL&amp;&amp;tmp_parentcontainer-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
 <a name="l00045"></a>00045     {
-<a name="l00046"></a>00046       tmp_parentcontainer=tmp_parentcontainer-&gt;<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>;
+<a name="l00046"></a>00046       tmp_parentcontainer=tmp_parentcontainer-&gt;<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
 <a name="l00047"></a>00047     }  
 <a name="l00048"></a>00048   <span class="keywordflow">if</span> (tmp_parentcontainer!=NULL){
-<a name="l00049"></a>00049     parent_statement=(<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a>*)tmp_parentcontainer;
+<a name="l00049"></a>00049     parent_statement=(<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)tmp_parentcontainer;
 <a name="l00050"></a>00050   }
 <a name="l00051"></a>00051   <span class="keywordflow">else</span>{
 <a name="l00052"></a>00052     parent_statement=NULL;
-<a name="l00053"></a>00053     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Unable to find the enclosing statement container this transaction"</span>);
+<a name="l00053"></a>00053     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Unable to find the enclosing statement container this transaction"</span>);
 <a name="l00054"></a>00054   }
 <a name="l00055"></a>00055   <span class="keywordflow">if</span> (parent_statement!=NULL&amp;&amp;parent_statement-&gt;data.account_id_valid==<span class="keyword">true</span>){
-<a name="l00056"></a>00056     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">account_id</a>,parent_statement-&gt;data.account_id,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>);
-<a name="l00057"></a>00057     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#02095f6be8951af8640d6e4d96e6a7c7">account_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00056"></a>00056     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a>,parent_statement-&gt;data.account_id,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>);
+<a name="l00057"></a>00057     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00058"></a>00058   }
 <a name="l00059"></a>00059 }
-<a name="l00060"></a>00060 <a class="code" href="classOfxTransactionContainer.html#e7fa208ce9f9276dfe416161bc02ec34">OfxTransactionContainer::~OfxTransactionContainer</a>()
+<a name="l00060"></a>00060 <a class="code" href="classOfxTransactionContainer.html#8c24bf77f0154df5bdf134ebac97b12e">OfxTransactionContainer::~OfxTransactionContainer</a>()
 <a name="l00061"></a>00061 {
 <a name="l00062"></a>00062 
 <a name="l00063"></a>00063 }
 <a name="l00064"></a>00064 
-<a name="l00065"></a>00065 <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#c6619c52d4918a6f0e4b8e46920c26c7">OfxTransactionContainer::gen_event</a>()
+<a name="l00065"></a>00065 <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99" title="Generate libofx.h events.">OfxTransactionContainer::gen_event</a>()
 <a name="l00066"></a>00066 {
-<a name="l00067"></a>00067   <span class="keywordflow">if</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">unique_id_valid</a>==<span class="keyword">true</span>&amp;&amp;<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00067"></a>00067   <span class="keywordflow">if</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a>==<span class="keyword">true</span>&amp;&amp;MainContainer != NULL)
 <a name="l00068"></a>00068     {
-<a name="l00069"></a>00069       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">security_data_ptr</a> = <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#257204d0271f47d7f455169487960753">find_security</a>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">unique_id</a>);
-<a name="l00070"></a>00070       <span class="keywordflow">if</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">security_data_ptr</a>!=NULL)
+<a name="l00069"></a>00069       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a> = MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">find_security</a>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>);
+<a name="l00070"></a>00070       <span class="keywordflow">if</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a>!=NULL)
 <a name="l00071"></a>00071         {
-<a name="l00072"></a>00072           <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#e778083e6550c520a2855a28367cd4cb">security_data_valid</a> = <span class="keyword">true</span>;
+<a name="l00072"></a>00072           <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">security_data_valid</a> = <span class="keyword">true</span>;
 <a name="l00073"></a>00073         }
 <a name="l00074"></a>00074     }
-<a name="l00075"></a>00075   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#ceb3a8c832fdd024f34d0e2e19fb12e7">transactionCallback</a>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>);
+<a name="l00075"></a>00075   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">transactionCallback</a>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>);
 <a name="l00076"></a>00076   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00077"></a>00077 }
 <a name="l00078"></a>00078 
-<a name="l00079"></a>00079 <span class="keywordtype">int</span>  <a class="code" href="classOfxTransactionContainer.html#013d08423359102e1c596ad84a89e80f">OfxTransactionContainer::add_to_main_tree</a>()
+<a name="l00079"></a>00079 <span class="keywordtype">int</span>  <a class="code" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d" title="Add this container to the main tree.">OfxTransactionContainer::add_to_main_tree</a>()
 <a name="l00080"></a>00080 {
 <a name="l00081"></a>00081 
-<a name="l00082"></a>00082   <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00082"></a>00082   <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00083"></a>00083     {
-<a name="l00084"></a>00084       <span class="keywordflow">return</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<span class="keyword">this</span>);
+<a name="l00084"></a>00084       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
 <a name="l00085"></a>00085     }
 <a name="l00086"></a>00086   <span class="keywordflow">else</span>
 <a name="l00087"></a>00087     {
@@ -105,62 +101,62 @@
 <a name="l00090"></a>00090 }
 <a name="l00091"></a>00091 
 <a name="l00092"></a>00092 
-<a name="l00093"></a>00093 <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00093"></a>00093 <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">OfxTransactionContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00094"></a>00094 {
 <a name="l00095"></a>00095 
 <a name="l00096"></a>00096   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTPOSTED"</span>){
-<a name="l00097"></a>00097     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">date_posted</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00098"></a>00098     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">date_posted_valid</a> = <span class="keyword">true</span>;
+<a name="l00097"></a>00097     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00098"></a>00098     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a> = <span class="keyword">true</span>;
 <a name="l00099"></a>00099   }
 <a name="l00100"></a>00100   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTUSER"</span>){
-<a name="l00101"></a>00101     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">date_initiated</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00102"></a>00102     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">date_initiated_valid</a> = <span class="keyword">true</span>;
+<a name="l00101"></a>00101     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00102"></a>00102     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a> = <span class="keyword">true</span>;
 <a name="l00103"></a>00103   }
 <a name="l00104"></a>00104   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTAVAIL"</span>){
-<a name="l00105"></a>00105     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#be9a3435e5c27396714b915bbec892d9">date_funds_available</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00106"></a>00106     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#a279f61654ffc1119f4a7a0475314b8f">date_funds_available_valid</a> = <span class="keyword">true</span>;
+<a name="l00105"></a>00105     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">date_funds_available</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00106"></a>00106     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">date_funds_available_valid</a> = <span class="keyword">true</span>;
 <a name="l00107"></a>00107   }
 <a name="l00108"></a>00108   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"FITID"</span>){
-<a name="l00109"></a>00109     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">fi_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">fi_id</a>));
-<a name="l00110"></a>00110     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#9922d2151c43440ffe643fbf8cc1bb36">fi_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00109"></a>00109     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>));
+<a name="l00110"></a>00110     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">fi_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00111"></a>00111   }
 <a name="l00112"></a>00112   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CORRECTFITID"</span>){
-<a name="l00113"></a>00113     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#9db59281d0b9883e307da469e45c5e25">fi_id_corrected</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">fi_id</a>));
-<a name="l00114"></a>00114     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#760693682215d56c510ddf222514d18e">fi_id_corrected_valid</a> = <span class="keyword">true</span>;
+<a name="l00113"></a>00113     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">fi_id_corrected</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>));
+<a name="l00114"></a>00114     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">fi_id_corrected_valid</a> = <span class="keyword">true</span>;
 <a name="l00115"></a>00115   }
 <a name="l00116"></a>00116   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CORRECTACTION"</span>){
-<a name="l00117"></a>00117     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">fi_id_correction_action_valid</a>=<span class="keyword">true</span>;
+<a name="l00117"></a>00117     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a>=<span class="keyword">true</span>;
 <a name="l00118"></a>00118     <span class="keywordflow">if</span>(value==<span class="stringliteral">"REPLACE"</span>){
-<a name="l00119"></a>00119       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">fi_id_correction_action</a>=<a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">REPLACE</a>;
+<a name="l00119"></a>00119       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>=<a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>;
 <a name="l00120"></a>00120     }
 <a name="l00121"></a>00121     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DELETE"</span>){
-<a name="l00122"></a>00122       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">fi_id_correction_action</a>=<a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">DELETE</a>;
+<a name="l00122"></a>00122       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>=<a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>;
 <a name="l00123"></a>00123     }
 <a name="l00124"></a>00124     <span class="keywordflow">else</span>{
-<a name="l00125"></a>00125       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">fi_id_correction_action_valid</a>=<span class="keyword">false</span>;
+<a name="l00125"></a>00125       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a>=<span class="keyword">false</span>;
 <a name="l00126"></a>00126     }
 <a name="l00127"></a>00127   }
 <a name="l00128"></a>00128   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"SRVRTID"</span>)||(identifier==<span class="stringliteral">"SRVRTID2"</span>)){
-<a name="l00129"></a>00129     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">server_transaction_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">server_transaction_id</a>));
-<a name="l00130"></a>00130     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#ac773a8cfd36ea8dcbff4a0173a5178d">server_transaction_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00129"></a>00129     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a>));
+<a name="l00130"></a>00130     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">server_transaction_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00131"></a>00131   }
 <a name="l00132"></a>00132   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MEMO"</span> || identifier==<span class="stringliteral">"MEMO2"</span>){
-<a name="l00133"></a>00133     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">memo</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">memo</a>));
-<a name="l00134"></a>00134     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#eccceb6745312b5bdcd919056e7d987f">memo_valid</a> = <span class="keyword">true</span>;
+<a name="l00133"></a>00133     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>));
+<a name="l00134"></a>00134     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">memo_valid</a> = <span class="keyword">true</span>;
 <a name="l00135"></a>00135   }
 <a name="l00136"></a>00136   <span class="keywordflow">else</span>{
 <a name="l00137"></a>00137     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00138"></a>00138     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00138"></a>00138     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00139"></a>00139   }
 <a name="l00140"></a>00140 }<span class="comment">// end OfxTransactionContainer::add_attribute()</span>
 <a name="l00141"></a>00141 
-<a name="l00142"></a>00142 <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#55909757ff4bd31fe8bc968f5be576b0">OfxTransactionContainer::add_account</a>(<a class="code" href="structOfxAccountData.html">OfxAccountData</a> * account_data)
+<a name="l00142"></a>00142 <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">OfxTransactionContainer::add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data)
 <a name="l00143"></a>00143 {
-<a name="l00144"></a>00144   <span class="keywordflow">if</span>(account_data-&gt;<a class="code" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">account_id_valid</a>==<span class="keyword">true</span>)
+<a name="l00144"></a>00144   <span class="keywordflow">if</span>(account_data-&gt;<a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>==<span class="keyword">true</span>)
 <a name="l00145"></a>00145     {
-<a name="l00146"></a>00146       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">account_ptr</a> = account_data;
-<a name="l00147"></a>00147       strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">account_id</a>,account_data-&gt;<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>);
-<a name="l00148"></a>00148       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#02095f6be8951af8640d6e4d96e6a7c7">account_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00146"></a>00146       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">account_ptr</a> = account_data;
+<a name="l00147"></a>00147       strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a>,account_data-&gt;<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>);
+<a name="l00148"></a>00148       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00149"></a>00149     }
 <a name="l00150"></a>00150 }
 <a name="l00151"></a>00151 
@@ -168,101 +164,101 @@
 <a name="l00153"></a>00153 <span class="comment"> *                      OfxBankTransactionContainer                        *</span>
 <a name="l00154"></a>00154 <span class="comment"> ***************************************************************************/</span>
 <a name="l00155"></a>00155 
-<a name="l00156"></a>00156 <a class="code" href="classOfxBankTransactionContainer.html#132e3ab795f765cbec2320e9961a7558">OfxBankTransactionContainer::OfxBankTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier): 
-<a name="l00157"></a>00157   <a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00156"></a>00156 <a class="code" href="classOfxBankTransactionContainer.html#59d1936cd1cd0a66c4c0a8e993c123f4">OfxBankTransactionContainer::OfxBankTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier): 
+<a name="l00157"></a>00157   <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00158"></a>00158 {
 <a name="l00159"></a>00159   ;
 <a name="l00160"></a>00160 }
-<a name="l00161"></a>00161 <span class="keywordtype">void</span> <a class="code" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00161"></a>00161 <span class="keywordtype">void</span> <a class="code" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d" title="Add data to a container object.">OfxBankTransactionContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00162"></a>00162 {
 <a name="l00163"></a>00163   <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"TRNTYPE"</span>){
-<a name="l00164"></a>00164     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a>=<span class="keyword">true</span>;
+<a name="l00164"></a>00164     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>=<span class="keyword">true</span>;
 <a name="l00165"></a>00165     <span class="keywordflow">if</span>(value==<span class="stringliteral">"CREDIT"</span>){
-<a name="l00166"></a>00166       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">OFX_CREDIT</a>;
+<a name="l00166"></a>00166       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>;
 <a name="l00167"></a>00167     }
 <a name="l00168"></a>00168     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DEBIT"</span>){
-<a name="l00169"></a>00169       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">OFX_DEBIT</a>;
+<a name="l00169"></a>00169       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>;
 <a name="l00170"></a>00170     }
 <a name="l00171"></a>00171     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"INT"</span>){
-<a name="l00172"></a>00172       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">OFX_INT</a>;
+<a name="l00172"></a>00172       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>;
 <a name="l00173"></a>00173     }
 <a name="l00174"></a>00174     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DIV"</span>){
-<a name="l00175"></a>00175       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">OFX_DIV</a>;
+<a name="l00175"></a>00175       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>;
 <a name="l00176"></a>00176     }
 <a name="l00177"></a>00177     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"FEE"</span>){
-<a name="l00178"></a>00178       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">OFX_FEE</a>;
+<a name="l00178"></a>00178       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>;
 <a name="l00179"></a>00179     }
 <a name="l00180"></a>00180     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"SRVCHG"</span>){
-<a name="l00181"></a>00181       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">OFX_SRVCHG</a>;
+<a name="l00181"></a>00181       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>;
 <a name="l00182"></a>00182     }
 <a name="l00183"></a>00183     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DEP"</span>){
-<a name="l00184"></a>00184       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">OFX_DEP</a>;
+<a name="l00184"></a>00184       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>;
 <a name="l00185"></a>00185     }
 <a name="l00186"></a>00186     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"ATM"</span>){
-<a name="l00187"></a>00187       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">OFX_ATM</a>;
+<a name="l00187"></a>00187       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>;
 <a name="l00188"></a>00188     }
 <a name="l00189"></a>00189     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"POS"</span>){
-<a name="l00190"></a>00190       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">OFX_POS</a>;
+<a name="l00190"></a>00190       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>;
 <a name="l00191"></a>00191     }
 <a name="l00192"></a>00192     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"XFER"</span>){
-<a name="l00193"></a>00193       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">OFX_XFER</a>;
+<a name="l00193"></a>00193       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>;
 <a name="l00194"></a>00194     }
 <a name="l00195"></a>00195     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CHECK"</span>){
-<a name="l00196"></a>00196       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">OFX_CHECK</a>;
+<a name="l00196"></a>00196       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>;
 <a name="l00197"></a>00197     }
 <a name="l00198"></a>00198     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"PAYMENT"</span>){
-<a name="l00199"></a>00199       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">OFX_PAYMENT</a>;
+<a name="l00199"></a>00199       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>;
 <a name="l00200"></a>00200     }
 <a name="l00201"></a>00201     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CASH"</span>){
-<a name="l00202"></a>00202       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">OFX_CASH</a>;
+<a name="l00202"></a>00202       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>;
 <a name="l00203"></a>00203     }
 <a name="l00204"></a>00204     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DIRECTDEP"</span>){
-<a name="l00205"></a>00205       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">OFX_DIRECTDEP</a>;
+<a name="l00205"></a>00205       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>;
 <a name="l00206"></a>00206     }
 <a name="l00207"></a>00207     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DIRECTDEBIT"</span>){
-<a name="l00208"></a>00208       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">OFX_DIRECTDEBIT</a>;
+<a name="l00208"></a>00208       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>;
 <a name="l00209"></a>00209     }
 <a name="l00210"></a>00210     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"REPEATPMT"</span>){
-<a name="l00211"></a>00211       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">OFX_REPEATPMT</a>;
+<a name="l00211"></a>00211       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>;
 <a name="l00212"></a>00212     }
 <a name="l00213"></a>00213     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"OTHER"</span>){
-<a name="l00214"></a>00214       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">OFX_OTHER</a>;
+<a name="l00214"></a>00214       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>;
 <a name="l00215"></a>00215     }
 <a name="l00216"></a>00216     <span class="keywordflow">else</span> {
-<a name="l00217"></a>00217       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a>=<span class="keyword">false</span>;
+<a name="l00217"></a>00217       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>=<span class="keyword">false</span>;
 <a name="l00218"></a>00218     }
 <a name="l00219"></a>00219   }<span class="comment">//end TRANSTYPE</span>
 <a name="l00220"></a>00220   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"TRNAMT"</span>){
-<a name="l00221"></a>00221     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00222"></a>00222     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">amount_valid</a>=<span class="keyword">true</span>;
-<a name="l00223"></a>00223     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">units</a> = -<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a>;
-<a name="l00224"></a>00224     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">units_valid</a>=<span class="keyword">true</span>;
-<a name="l00225"></a>00225     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">unitprice</a> = 1,00;
-<a name="l00226"></a>00226     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">unitprice_valid</a>=<span class="keyword">true</span>;
+<a name="l00221"></a>00221     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00222"></a>00222     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a>=<span class="keyword">true</span>;
+<a name="l00223"></a>00223     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a> = -<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>;
+<a name="l00224"></a>00224     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a>=<span class="keyword">true</span>;
+<a name="l00225"></a>00225     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a> = 1,00;
+<a name="l00226"></a>00226     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a>=<span class="keyword">true</span>;
 <a name="l00227"></a>00227   }
 <a name="l00228"></a>00228   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CHECKNUM"</span>){
-<a name="l00229"></a>00229     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">check_number</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">check_number</a>));
-<a name="l00230"></a>00230     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#8b49156636e8dc3b1f56ae91955765b4">check_number_valid</a> = <span class="keyword">true</span>;
+<a name="l00229"></a>00229     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>));
+<a name="l00230"></a>00230     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">check_number_valid</a> = <span class="keyword">true</span>;
 <a name="l00231"></a>00231   }
 <a name="l00232"></a>00232   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"REFNUM"</span>){
-<a name="l00233"></a>00233     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">reference_number</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">reference_number</a>));
-<a name="l00234"></a>00234     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#6cca71dde5d0ced4458e4cc4d9be17e5">reference_number_valid</a> = <span class="keyword">true</span>;
+<a name="l00233"></a>00233     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>));
+<a name="l00234"></a>00234     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">reference_number_valid</a> = <span class="keyword">true</span>;
 <a name="l00235"></a>00235   }
 <a name="l00236"></a>00236   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"SIC"</span>){
-<a name="l00237"></a>00237     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#3283c78f62957daba020a89f5f5ff632">standard_industrial_code</a> = atoi(value.c_str());
-<a name="l00238"></a>00238     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#84c2f46550c8158d87074bba6d57d592">standard_industrial_code_valid</a> = <span class="keyword">true</span>;
+<a name="l00237"></a>00237     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">standard_industrial_code</a> = atoi(value.c_str());
+<a name="l00238"></a>00238     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">standard_industrial_code_valid</a> = <span class="keyword">true</span>;
 <a name="l00239"></a>00239   }
 <a name="l00240"></a>00240   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"PAYEEID"</span>)||(identifier==<span class="stringliteral">"PAYEEID2"</span>)){
-<a name="l00241"></a>00241     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">payee_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">payee_id</a>));
-<a name="l00242"></a>00242     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#b2bdd11a3085660e89da09c86aeb9643">payee_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00241"></a>00241     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a>));
+<a name="l00242"></a>00242     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">payee_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00243"></a>00243   }
 <a name="l00244"></a>00244   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"NAME"</span>){
-<a name="l00245"></a>00245     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">name</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">name</a>));
-<a name="l00246"></a>00246     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#b3c75cdec303b138889b3de61e75c869">name_valid</a> = <span class="keyword">true</span>;
+<a name="l00245"></a>00245     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>));
+<a name="l00246"></a>00246     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">name_valid</a> = <span class="keyword">true</span>;
 <a name="l00247"></a>00247   }
 <a name="l00248"></a>00248   <span class="keywordflow">else</span>{
 <a name="l00249"></a>00249     <span class="comment">/* Redirect unknown identifiers to base class */</span>
-<a name="l00250"></a>00250     <a class="code" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer::add_attribute</a>(identifier, value);
+<a name="l00250"></a>00250     <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">OfxTransactionContainer::add_attribute</a>(identifier, value);
 <a name="l00251"></a>00251   }
 <a name="l00252"></a>00252 }<span class="comment">//end OfxBankTransactionContainer::add_attribute</span>
 <a name="l00253"></a>00253  
@@ -271,137 +267,137 @@
 <a name="l00256"></a>00256 <span class="comment"> *                    OfxInvestmentTransactionContainer                    *</span>
 <a name="l00257"></a>00257 <span class="comment"> ***************************************************************************/</span>
 <a name="l00258"></a>00258 
-<a name="l00259"></a>00259 <a class="code" href="classOfxInvestmentTransactionContainer.html#59ccb4b31579d47ce7981c24f5c9215b">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00260"></a>00260   <a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00259"></a>00259 <a class="code" href="classOfxInvestmentTransactionContainer.html#ffd3c5d7c722248c8b07c44d6495f2ed">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00260"></a>00260   <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00261"></a>00261 {
-<a name="l00262"></a>00262   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"INVESTMENT"</span>;
-<a name="l00263"></a>00263   <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">OFX_OTHER</a>;
-<a name="l00264"></a>00264   <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a>=<span class="keyword">true</span>;
+<a name="l00262"></a>00262   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"INVESTMENT"</span>;
+<a name="l00263"></a>00263   <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>;
+<a name="l00264"></a>00264   <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>=<span class="keyword">true</span>;
 <a name="l00265"></a>00265   
-<a name="l00266"></a>00266   <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">invtransactiontype_valid</a>=<span class="keyword">true</span>; 
+<a name="l00266"></a>00266   <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a>=<span class="keyword">true</span>; 
 <a name="l00267"></a>00267   <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYDEBT"</span>){
-<a name="l00268"></a>00268     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">OFX_BUYDEBT</a>;
+<a name="l00268"></a>00268     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>;
 <a name="l00269"></a>00269   }
 <a name="l00270"></a>00270   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYMF"</span>){
-<a name="l00271"></a>00271     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">OFX_BUYMF</a>;
+<a name="l00271"></a>00271     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>;
 <a name="l00272"></a>00272   }
 <a name="l00273"></a>00273   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYOPT"</span>){
-<a name="l00274"></a>00274     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">OFX_BUYOPT</a>;
+<a name="l00274"></a>00274     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>;
 <a name="l00275"></a>00275   }
 <a name="l00276"></a>00276   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYOTHER"</span>){
-<a name="l00277"></a>00277     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">OFX_BUYOTHER</a>;
+<a name="l00277"></a>00277     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>;
 <a name="l00278"></a>00278   }
 <a name="l00279"></a>00279   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYSTOCK"</span>){
-<a name="l00280"></a>00280     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">OFX_BUYSTOCK</a>;
+<a name="l00280"></a>00280     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>;
 <a name="l00281"></a>00281   }
 <a name="l00282"></a>00282   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"CLOSUREOPT"</span>){
-<a name="l00283"></a>00283     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">OFX_CLOSUREOPT</a>;
+<a name="l00283"></a>00283     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>;
 <a name="l00284"></a>00284   }
 <a name="l00285"></a>00285   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"INCOME"</span>){
-<a name="l00286"></a>00286     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">OFX_INCOME</a>;
+<a name="l00286"></a>00286     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>;
 <a name="l00287"></a>00287   }
 <a name="l00288"></a>00288   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"INVEXPENSE"</span>){
-<a name="l00289"></a>00289     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">OFX_INVEXPENSE</a>;
+<a name="l00289"></a>00289     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>;
 <a name="l00290"></a>00290   }
 <a name="l00291"></a>00291   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"JRNLFUND"</span>){
-<a name="l00292"></a>00292     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">OFX_JRNLFUND</a>;
+<a name="l00292"></a>00292     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>;
 <a name="l00293"></a>00293   }
 <a name="l00294"></a>00294   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"JRNLSEC"</span>){
-<a name="l00295"></a>00295     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678">OFX_JRNLSEC</a>;
+<a name="l00295"></a>00295     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>;
 <a name="l00296"></a>00296   }
 <a name="l00297"></a>00297   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"MARGININTEREST"</span>){
-<a name="l00298"></a>00298     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">OFX_MARGININTEREST</a>;
+<a name="l00298"></a>00298     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>;
 <a name="l00299"></a>00299   }
 <a name="l00300"></a>00300   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"REINVEST"</span>){
-<a name="l00301"></a>00301     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">OFX_REINVEST</a>;
+<a name="l00301"></a>00301     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>;
 <a name="l00302"></a>00302   }
 <a name="l00303"></a>00303   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"RETOFCAP"</span>){
-<a name="l00304"></a>00304     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">OFX_RETOFCAP</a>;
+<a name="l00304"></a>00304     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>;
 <a name="l00305"></a>00305   }
 <a name="l00306"></a>00306   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLDEBT"</span>){
-<a name="l00307"></a>00307     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">OFX_SELLDEBT</a>;
+<a name="l00307"></a>00307     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>;
 <a name="l00308"></a>00308   }
 <a name="l00309"></a>00309   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLMF"</span>){
-<a name="l00310"></a>00310     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">OFX_SELLMF</a>;
+<a name="l00310"></a>00310     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>;
 <a name="l00311"></a>00311   }
 <a name="l00312"></a>00312   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLOPT"</span>){
-<a name="l00313"></a>00313     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">OFX_SELLOPT</a>;
+<a name="l00313"></a>00313     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>;
 <a name="l00314"></a>00314   }
 <a name="l00315"></a>00315   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLOTHER"</span>){
-<a name="l00316"></a>00316     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">OFX_SELLOTHER</a>;
+<a name="l00316"></a>00316     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>;
 <a name="l00317"></a>00317   }
 <a name="l00318"></a>00318   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLSTOCK"</span>){
-<a name="l00319"></a>00319     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">OFX_SELLSTOCK</a>;
+<a name="l00319"></a>00319     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>;
 <a name="l00320"></a>00320   }
 <a name="l00321"></a>00321   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SPLIT"</span>){
-<a name="l00322"></a>00322     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">OFX_SPLIT</a>;
+<a name="l00322"></a>00322     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>;
 <a name="l00323"></a>00323   }
 <a name="l00324"></a>00324   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"TRANSFER"</span>){
-<a name="l00325"></a>00325     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">OFX_TRANSFER</a>;
+<a name="l00325"></a>00325     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>;
 <a name="l00326"></a>00326   }
 <a name="l00327"></a>00327   <span class="keywordflow">else</span>{
-<a name="l00328"></a>00328     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"This should not happen, "</span>+para_tag_identifier+<span class="stringliteral">" is an unknown investment transaction type"</span>);
-<a name="l00329"></a>00329     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">invtransactiontype_valid</a>=<span class="keyword">false</span>; 
+<a name="l00328"></a>00328     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"This should not happen, "</span>+para_tag_identifier+<span class="stringliteral">" is an unknown investment transaction type"</span>);
+<a name="l00329"></a>00329     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a>=<span class="keyword">false</span>; 
 <a name="l00330"></a>00330   }
 <a name="l00331"></a>00331 }
 <a name="l00332"></a>00332 
-<a name="l00333"></a>00333 <span class="keywordtype">void</span> <a class="code" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00333"></a>00333 <span class="keywordtype">void</span> <a class="code" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45" title="Add data to a container object.">OfxInvestmentTransactionContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00334"></a>00334 {
 <a name="l00335"></a>00335   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEID"</span>){
-<a name="l00336"></a>00336     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">unique_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">unique_id</a>));
-<a name="l00337"></a>00337     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">unique_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00336"></a>00336     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>));
+<a name="l00337"></a>00337     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00338"></a>00338   }
 <a name="l00339"></a>00339   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEIDTYPE"</span>){
-<a name="l00340"></a>00340     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">unique_id_type</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">unique_id_type</a>));
-<a name="l00341"></a>00341     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#7470f4b24458c5fc1ae4d32e04578832">unique_id_type_valid</a> = <span class="keyword">true</span>;
+<a name="l00340"></a>00340     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a>));
+<a name="l00341"></a>00341     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">unique_id_type_valid</a> = <span class="keyword">true</span>;
 <a name="l00342"></a>00342   }
 <a name="l00343"></a>00343   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNITS"</span>){
-<a name="l00344"></a>00344     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">units</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00345"></a>00345     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">units_valid</a> = <span class="keyword">true</span>;
+<a name="l00344"></a>00344     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00345"></a>00345     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a> = <span class="keyword">true</span>;
 <a name="l00346"></a>00346   }
 <a name="l00347"></a>00347   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNITPRICE"</span>){
-<a name="l00348"></a>00348     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">unitprice</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00349"></a>00349     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">unitprice_valid</a> = <span class="keyword">true</span>;
+<a name="l00348"></a>00348     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00349"></a>00349     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a> = <span class="keyword">true</span>;
 <a name="l00350"></a>00350   }
 <a name="l00351"></a>00351   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MKTVAL"</span>){
-<a name="l00352"></a>00352     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, <span class="stringliteral">"MKTVAL of "</span>+value+<span class="stringliteral">" ignored since MKTVAL should always be UNITS*UNITPRICE"</span>);
+<a name="l00352"></a>00352     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"MKTVAL of "</span>+value+<span class="stringliteral">" ignored since MKTVAL should always be UNITS*UNITPRICE"</span>);
 <a name="l00353"></a>00353   }
 <a name="l00354"></a>00354   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"TOTAL"</span>){
-<a name="l00355"></a>00355     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00356"></a>00356     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">amount_valid</a> = <span class="keyword">true</span>;
+<a name="l00355"></a>00355     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00356"></a>00356     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a> = <span class="keyword">true</span>;
 <a name="l00357"></a>00357   }
 <a name="l00358"></a>00358   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTSETTLE"</span>){
-<a name="l00359"></a>00359     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">date_posted</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00360"></a>00360     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">date_posted_valid</a> = <span class="keyword">true</span>;
+<a name="l00359"></a>00359     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00360"></a>00360     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a> = <span class="keyword">true</span>;
 <a name="l00361"></a>00361   }
 <a name="l00362"></a>00362   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTTRADE"</span>){
-<a name="l00363"></a>00363     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">date_initiated</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00364"></a>00364     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">date_initiated_valid</a> = <span class="keyword">true</span>;
+<a name="l00363"></a>00363     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00364"></a>00364     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a> = <span class="keyword">true</span>;
 <a name="l00365"></a>00365   }
 <a name="l00366"></a>00366   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"COMMISSION"</span>){
-<a name="l00367"></a>00367     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#37fb3882c1bc7079e47d2007af1ca028">commission</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00368"></a>00368     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#86d8e5fc00290bb173c1b6b948c35dd3">commission_valid</a> = <span class="keyword">true</span>;
+<a name="l00367"></a>00367     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">commission</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00368"></a>00368     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">commission_valid</a> = <span class="keyword">true</span>;
 <a name="l00369"></a>00369   }
 <a name="l00370"></a>00370   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"FEES"</span>){
-<a name="l00371"></a>00371     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#e3ec90702e1e5abbae847c77eb9cfc0e">fees</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00372"></a>00372     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#fed8f3953c6f8d1d346be5c61501a93e">fees_valid</a> = <span class="keyword">true</span>;
+<a name="l00371"></a>00371     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">fees</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00372"></a>00372     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">fees_valid</a> = <span class="keyword">true</span>;
 <a name="l00373"></a>00373   }
 <a name="l00374"></a>00374   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"OLDUNITS"</span>){
-<a name="l00375"></a>00375     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#57a0bf358659ac3c28eb330ae8c0abb9">oldunits</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00376"></a>00376     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#5129a4ab98abe2227338d4d5cef94e53">oldunits_valid</a> = <span class="keyword">true</span>;
+<a name="l00375"></a>00375     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">oldunits</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00376"></a>00376     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">oldunits_valid</a> = <span class="keyword">true</span>;
 <a name="l00377"></a>00377   }
 <a name="l00378"></a>00378   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"NEWUNITS"</span>){
-<a name="l00379"></a>00379     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#f0b75e90de07492e9aed6a57d879e358">newunits</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00380"></a>00380     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#fd317e28426dce6b508872d5a15d1651">newunits_valid</a> = <span class="keyword">true</span>;
+<a name="l00379"></a>00379     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">newunits</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00380"></a>00380     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">newunits_valid</a> = <span class="keyword">true</span>;
 <a name="l00381"></a>00381   }
 <a name="l00382"></a>00382   <span class="keywordflow">else</span>{
 <a name="l00383"></a>00383     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00384"></a>00384     <a class="code" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer::add_attribute</a>(identifier, value);
+<a name="l00384"></a>00384     <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">OfxTransactionContainer::add_attribute</a>(identifier, value);
 <a name="l00385"></a>00385   }
 <a name="l00386"></a>00386 }<span class="comment">//end OfxInvestmentTransactionContainer::add_attribute</span>
 <a name="l00387"></a>00387 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_transaction.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_transaction.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a> and <a class="el" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a>. 
-<p>
-
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.8.2/lib/ofx_container_transaction.cpp</a>.
+Implementation of <a class="el" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> and <a class="el" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a>. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.8.2/lib/ofx_container_transaction.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_container_transaction.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_container_transaction.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__containers_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__containers_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__containers_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_containers.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_containers.hh</h1><a href="fx-0_88_82_2lib_2ofx__containers_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_proc_rs.h </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -33,85 +29,85 @@
 <a name="l00020"></a>00020 <span class="comment"> ***************************************************************************/</span>
 <a name="l00021"></a>00021 <span class="preprocessor">#ifndef OFX_PROC_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#define OFX_PROC_H</span>
-<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include "tree.hh"</span>
 <a name="l00025"></a>00025 <span class="preprocessor">#include "context.hh"</span>
 <a name="l00026"></a>00026 
 <a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
 <a name="l00028"></a>00028 
-<a name="l00033"></a>00033 <span class="keyword">class </span><a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00033"></a>00033 <span class="keyword">class </span><a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00034"></a>00034  <span class="keyword">public</span>:
-<a name="l00035"></a>00035   string <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>;
-<a name="l00036"></a>00036   string <a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>; 
-<a name="l00037"></a><a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">00037</a>   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>;
-<a name="l00038"></a><a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">00038</a>   <a class="code" href="classLibofxContext.html">LibofxContext</a> *<a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>;
+<a name="l00035"></a>00035   <span class="keywordtype">string</span> <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>;
+<a name="l00036"></a>00036   <span class="keywordtype">string</span> <a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>; 
+<a name="l00037"></a><a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">00037</a>   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
+<a name="l00038"></a><a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">00038</a>   <a class="code" href="classLibofxContext.html">LibofxContext</a> *<a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>;
 <a name="l00039"></a>00039 
-<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context);
-<a name="l00041"></a>00041   <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer);
-<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context);
+<a name="l00041"></a>00041   <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer);
+<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
 <a name="l00043"></a>00043 
-<a name="l00044"></a><a class="code" href="classOfxGenericContainer.html#66cdbfa777837b67fe32053e63199249">00044</a>   <span class="keyword">virtual</span> <a class="code" href="classOfxGenericContainer.html#66cdbfa777837b67fe32053e63199249">~OfxGenericContainer</a>(){};
+<a name="l00044"></a><a class="code" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">00044</a>   <span class="keyword">virtual</span> <a class="code" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">~OfxGenericContainer</a>(){};
 <a name="l00045"></a>00045   
-<a name="l00052"></a>00052   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
-<a name="l00058"></a>00058   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">gen_event</a>();
+<a name="l00052"></a>00052   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00058"></a>00058   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105" title="Generate libofx.h events.">gen_event</a>();
 <a name="l00059"></a>00059 
-<a name="l00065"></a>00065   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">add_to_main_tree</a>();
+<a name="l00065"></a>00065   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">add_to_main_tree</a>();
 <a name="l00066"></a>00066 
-<a name="l00068"></a>00068     <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>* <a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a>();
+<a name="l00068"></a>00068     <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>* <a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a>();
 <a name="l00069"></a>00069 };<span class="comment">//End class OfxGenericObject</span>
 <a name="l00070"></a>00070 
-<a name="l00075"></a>00075 <span class="keyword">class </span><a class="code" href="classOfxDummyContainer.html">OfxDummyContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00075"></a>00075 <span class="keyword">class </span><a class="code" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00076"></a>00076  <span class="keyword">public</span>:
-<a name="l00077"></a>00077   <a class="code" href="classOfxDummyContainer.html#26ed2ce0842ca533c80432080bb5d686">OfxDummyContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00078"></a>00078   <span class="keywordtype">void</span> <a class="code" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00077"></a>00077   <a class="code" href="classOfxDummyContainer.html#b28080b768be9d5d36d8b7791591bbcd">OfxDummyContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00078"></a>00078   <span class="keywordtype">void</span> <a class="code" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00079"></a>00079 };
 <a name="l00080"></a>00080 
-<a name="l00085"></a>00085 <span class="keyword">class </span><a class="code" href="classOfxPushUpContainer.html">OfxPushUpContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00085"></a>00085 <span class="keyword">class </span><a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00086"></a>00086  <span class="keyword">public</span>:
 <a name="l00087"></a>00087   
-<a name="l00088"></a>00088   <a class="code" href="classOfxPushUpContainer.html#4b9de1f81c3214724c50e4125f5cfd5a">OfxPushUpContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00089"></a>00089   <span class="keywordtype">void</span> <a class="code" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00088"></a>00088   <a class="code" href="classOfxPushUpContainer.html#1fa2e01710b00ce7bdb80d5c9fbb3d2c">OfxPushUpContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00089"></a>00089   <span class="keywordtype">void</span> <a class="code" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00090"></a>00090 };
 <a name="l00091"></a>00091 
-<a name="l00093"></a>00093 <span class="keyword">class </span><a class="code" href="classOfxStatusContainer.html">OfxStatusContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00093"></a>00093 <span class="keyword">class </span><a class="code" href="classOfxStatusContainer.html" title="Represents the &amp;lt;STATUS&amp;gt; OFX SGML entity.">OfxStatusContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00094"></a>00094  <span class="keyword">public</span>:
-<a name="l00095"></a>00095   <a class="code" href="structOfxStatusData.html">OfxStatusData</a> <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>;
+<a name="l00095"></a>00095   <a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>;
 <a name="l00096"></a>00096   
-<a name="l00097"></a>00097   <a class="code" href="classOfxStatusContainer.html#7cbd9aaaf32aea591e58ae76486dd003">OfxStatusContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00098"></a>00098   <a class="code" href="classOfxStatusContainer.html#6ebbf3b4d3fbec14adf683168848ce95">~OfxStatusContainer</a>();
-<a name="l00099"></a>00099   <span class="keywordtype">void</span> <a class="code" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00097"></a>00097   <a class="code" href="classOfxStatusContainer.html#5c46c8df8db712f6ad37b49fd6af5dc0">OfxStatusContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00098"></a>00098   <a class="code" href="classOfxStatusContainer.html#cedeebfa681e9b075c8168196752c2a8">~OfxStatusContainer</a>();
+<a name="l00099"></a>00099   <span class="keywordtype">void</span> <a class="code" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00100"></a>00100 };
 <a name="l00101"></a>00101 
-<a name="l00106"></a>00106 <span class="keyword">class </span><a class="code" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00106"></a>00106 <span class="keyword">class </span><a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00107"></a>00107  <span class="keyword">public</span>:
 <a name="l00108"></a>00108   <span class="comment">/* Not yet complete see spec 1.6 p.63 */</span>
 <a name="l00109"></a>00109   <span class="comment">//char name[OFX_BALANCE_NAME_LENGTH];</span>
 <a name="l00110"></a>00110   <span class="comment">//char description[OFX_BALANCE_DESCRIPTION_LENGTH];</span>
 <a name="l00111"></a>00111   <span class="comment">//enum BalanceType{DOLLAR, PERCENT, NUMBER} balance_type;</span>
-<a name="l00112"></a>00112   <span class="keywordtype">double</span> <a class="code" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">amount</a>; 
-<a name="l00113"></a>00113   <span class="keywordtype">int</span> <a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a>;
-<a name="l00114"></a>00114   time_t <a class="code" href="classOfxBalanceContainer.html#6279f38dda6287846812f96e54a3e026">date</a>; 
-<a name="l00115"></a>00115   <span class="keywordtype">int</span> <a class="code" href="classOfxBalanceContainer.html#c4f467bce968ab7dc878a2a999224d65">date_valid</a>;
+<a name="l00112"></a>00112   <span class="keywordtype">double</span> <a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>; 
+<a name="l00113"></a>00113   <span class="keywordtype">int</span> <a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>;
+<a name="l00114"></a>00114   time_t <a class="code" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">date</a>; 
+<a name="l00115"></a>00115   <span class="keywordtype">int</span> <a class="code" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">date_valid</a>;
 <a name="l00116"></a>00116   
-<a name="l00117"></a>00117   <a class="code" href="classOfxBalanceContainer.html#ced3ba2d0bf96c8a11393653fce83430">OfxBalanceContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00118"></a>00118   <a class="code" href="classOfxBalanceContainer.html#c599f6e53e908ed329baab8ca0a52d56">~OfxBalanceContainer</a>();
-<a name="l00119"></a>00119   <span class="keywordtype">void</span> <a class="code" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00117"></a>00117   <a class="code" href="classOfxBalanceContainer.html#96baefa68988c2d9c2f46f553d40599f">OfxBalanceContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00118"></a>00118   <a class="code" href="classOfxBalanceContainer.html#db4feb10b8e5328aab5025ff49fd43f5">~OfxBalanceContainer</a>();
+<a name="l00119"></a>00119   <span class="keywordtype">void</span> <a class="code" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00120"></a>00120 };
 <a name="l00121"></a>00121 
 <a name="l00122"></a>00122 <span class="comment">/***************************************************************************</span>
 <a name="l00123"></a>00123 <span class="comment"> *                          OfxStatementContainer                          *</span>
 <a name="l00124"></a>00124 <span class="comment"> ***************************************************************************/</span>
-<a name="l00129"></a>00129 <span class="keyword">class </span><a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00129"></a>00129 <span class="keyword">class </span><a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00130"></a>00130  <span class="keyword">public</span>:
-<a name="l00131"></a>00131   <a class="code" href="structOfxStatementData.html">OfxStatementData</a> <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>;
+<a name="l00131"></a>00131   <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>;
 <a name="l00132"></a>00132   
-<a name="l00133"></a>00133   <a class="code" href="classOfxStatementContainer.html#99a5e289425841bdec04ebc7c48f4b89">OfxStatementContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00134"></a>00134   <a class="code" href="classOfxStatementContainer.html#96e32e196d0d34197b20a95ade84499e">~OfxStatementContainer</a>();
-<a name="l00135"></a>00135   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
-<a name="l00136"></a>00136   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxStatementContainer.html#19b7458f71a8e47e25525f81009c5146">add_to_main_tree</a>();
-<a name="l00137"></a>00137   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxStatementContainer.html#69dba408b387ea2e474c0cd9cbca03a1">gen_event</a>();
-<a name="l00138"></a>00138   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#874ef227d93fdc078cf396350fc9b678">add_account</a>(<a class="code" href="structOfxAccountData.html">OfxAccountData</a> * account_data);
-<a name="l00139"></a>00139   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#cf79a74290f3f0d0c9048f80c60b32e8">add_balance</a>(<a class="code" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>* ptr_balance_container);
+<a name="l00133"></a>00133   <a class="code" href="classOfxStatementContainer.html#974c762415e209a77957ccabca3a4506">OfxStatementContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00134"></a>00134   <a class="code" href="classOfxStatementContainer.html#085def18d3414dc93d256b08d8f3ea2c">~OfxStatementContainer</a>();
+<a name="l00135"></a>00135   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00136"></a>00136   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00137"></a>00137   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00138"></a>00138   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data);
+<a name="l00139"></a>00139   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#91534efc97834de2ddfc66e4e0e75b5c">add_balance</a>(<a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a>* ptr_balance_container);
 <a name="l00140"></a>00140 <span class="comment">//  void add_transaction(const OfxTransactionData transaction_data);</span>
 <a name="l00141"></a>00141 
 <a name="l00142"></a>00142 };
@@ -119,86 +115,86 @@
 <a name="l00144"></a>00144 <span class="comment">/***************************************************************************</span>
 <a name="l00145"></a>00145 <span class="comment"> *                           OfxAccountContaine r                          *</span>
 <a name="l00146"></a>00146 <span class="comment"> ***************************************************************************/</span>
-<a name="l00151"></a>00151 <span class="keyword">class </span><a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00151"></a>00151 <span class="keyword">class </span><a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00152"></a>00152  <span class="keyword">public</span>:
-<a name="l00153"></a>00153   <a class="code" href="structOfxAccountData.html">OfxAccountData</a> <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>;
+<a name="l00153"></a>00153   <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>;
 <a name="l00154"></a>00154   
-<a name="l00155"></a>00155   <a class="code" href="classOfxAccountContainer.html#83a97e5b5253e7e140eaa3e997c5961d">OfxAccountContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00156"></a>00156   <a class="code" href="classOfxAccountContainer.html#d5b83e05e06a60a7d0a874b8778fa27c">~OfxAccountContainer</a>();
-<a name="l00157"></a>00157   <span class="keywordtype">void</span> <a class="code" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
-<a name="l00158"></a>00158   <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">add_to_main_tree</a>();
-<a name="l00159"></a>00159   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#82735b303e3cafb6ac1f6a715fa4e6e8">gen_event</a>();
+<a name="l00155"></a>00155   <a class="code" href="classOfxAccountContainer.html#da1972a79e8c8096184ea7a22968f35c">OfxAccountContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00156"></a>00156   <a class="code" href="classOfxAccountContainer.html#64691a91027e92c8cbc5bb1240d3f1b8">~OfxAccountContainer</a>();
+<a name="l00157"></a>00157   <span class="keywordtype">void</span> <a class="code" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00158"></a>00158   <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00159"></a>00159   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4" title="Generate libofx.h events.">gen_event</a>();
 <a name="l00160"></a>00160  <span class="keyword">private</span>:
 <a name="l00161"></a>00161   <span class="keywordtype">void</span> gen_account_id(<span class="keywordtype">void</span>);
-<a name="l00162"></a>00162   <span class="keywordtype">char</span> bankid[<a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>];
-<a name="l00163"></a>00163   <span class="keywordtype">char</span> branchid[<a class="code" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">OFX_BRANCHID_LENGTH</a>];
-<a name="l00164"></a>00164   <span class="keywordtype">char</span> acctid[<a class="code" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">OFX_ACCTID_LENGTH</a>];
-<a name="l00165"></a>00165   <span class="keywordtype">char</span> acctkey[<a class="code" href="inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">OFX_ACCTKEY_LENGTH</a>];
-<a name="l00166"></a>00166   <span class="keywordtype">char</span> brokerid[<a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>];
+<a name="l00162"></a>00162   <span class="keywordtype">char</span> bankid[<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>];
+<a name="l00163"></a>00163   <span class="keywordtype">char</span> branchid[<a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>];
+<a name="l00164"></a>00164   <span class="keywordtype">char</span> acctid[<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>];
+<a name="l00165"></a>00165   <span class="keywordtype">char</span> acctkey[<a class="code" href="inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">OFX_ACCTKEY_LENGTH</a>];
+<a name="l00166"></a>00166   <span class="keywordtype">char</span> brokerid[<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>];
 <a name="l00167"></a>00167 };
 <a name="l00168"></a>00168 
 <a name="l00169"></a>00169 <span class="comment">/***************************************************************************</span>
 <a name="l00170"></a>00170 <span class="comment"> *                           OfxSecurityContainer                          *</span>
 <a name="l00171"></a>00171 <span class="comment"> ***************************************************************************/</span>
-<a name="l00174"></a>00174 <span class="keyword">class </span><a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00174"></a>00174 <span class="keyword">class </span><a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00175"></a>00175  <span class="keyword">public</span>:
-<a name="l00176"></a>00176   <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>;  
+<a name="l00176"></a>00176   <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>;  
 <a name="l00177"></a>00177 
-<a name="l00178"></a>00178   <a class="code" href="classOfxSecurityContainer.html#7558803d35cebc4480bed38143a24b0b">OfxSecurityContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00179"></a>00179   <a class="code" href="classOfxSecurityContainer.html#a12308340b14eeac46ac1d7c933369b4">~OfxSecurityContainer</a>();
-<a name="l00180"></a>00180   <span class="keywordtype">void</span> <a class="code" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
-<a name="l00181"></a>00181   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxSecurityContainer.html#a09d8de2d49cb79864dce68671f57400">gen_event</a>();
-<a name="l00182"></a>00182   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxSecurityContainer.html#06f05be00e89e4ce256eb709dcad4326">add_to_main_tree</a>();
+<a name="l00178"></a>00178   <a class="code" href="classOfxSecurityContainer.html#6463edacc95fc03733c0e7fb6776c15f">OfxSecurityContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00179"></a>00179   <a class="code" href="classOfxSecurityContainer.html#5205f0a09177451b4a6420da7420c256">~OfxSecurityContainer</a>();
+<a name="l00180"></a>00180   <span class="keywordtype">void</span> <a class="code" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00181"></a>00181   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00182"></a>00182   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f" title="Add this container to the main tree.">add_to_main_tree</a>();
 <a name="l00183"></a>00183  <span class="keyword">private</span>:
-<a name="l00184"></a>00184   <a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> * parent_statement;
+<a name="l00184"></a>00184   <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * parent_statement;
 <a name="l00185"></a>00185 };
 <a name="l00186"></a>00186 
 <a name="l00187"></a>00187 
 <a name="l00188"></a>00188 <span class="comment">/***************************************************************************</span>
 <a name="l00189"></a>00189 <span class="comment"> *                        OfxTransactionContainer                          *</span>
 <a name="l00190"></a>00190 <span class="comment"> ***************************************************************************/</span>
-<a name="l00193"></a>00193 <span class="keyword">class </span><a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00193"></a>00193 <span class="keyword">class </span><a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00194"></a>00194  <span class="keyword">public</span>:
-<a name="l00195"></a>00195   <a class="code" href="structOfxTransactionData.html">OfxTransactionData</a> <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>;  
+<a name="l00195"></a>00195   <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>;  
 <a name="l00196"></a>00196 
-<a name="l00197"></a>00197   <a class="code" href="classOfxTransactionContainer.html#7bf1cc0fda751f2f653c2a64cb63fae2">OfxTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00198"></a>00198   <a class="code" href="classOfxTransactionContainer.html#e7fa208ce9f9276dfe416161bc02ec34">~OfxTransactionContainer</a>();
-<a name="l00199"></a>00199   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
-<a name="l00200"></a>00200   <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#55909757ff4bd31fe8bc968f5be576b0">add_account</a>(<a class="code" href="structOfxAccountData.html">OfxAccountData</a> * account_data);
+<a name="l00197"></a>00197   <a class="code" href="classOfxTransactionContainer.html#d43b43b1006be733490c4e25f8a41434">OfxTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00198"></a>00198   <a class="code" href="classOfxTransactionContainer.html#8c24bf77f0154df5bdf134ebac97b12e">~OfxTransactionContainer</a>();
+<a name="l00199"></a>00199   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00200"></a>00200   <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data);
 <a name="l00201"></a>00201 
-<a name="l00202"></a>00202   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#c6619c52d4918a6f0e4b8e46920c26c7">gen_event</a>();
-<a name="l00203"></a>00203   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#013d08423359102e1c596ad84a89e80f">add_to_main_tree</a>();
+<a name="l00202"></a>00202   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00203"></a>00203   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d" title="Add this container to the main tree.">add_to_main_tree</a>();
 <a name="l00204"></a>00204  <span class="keyword">private</span>:
-<a name="l00205"></a>00205   <a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> * parent_statement;
+<a name="l00205"></a>00205   <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * parent_statement;
 <a name="l00206"></a>00206 };
 <a name="l00207"></a>00207 
-<a name="l00212"></a>00212 <span class="keyword">class </span><a class="code" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> {
+<a name="l00212"></a>00212 <span class="keyword">class </span><a class="code" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> {
 <a name="l00213"></a>00213  <span class="keyword">public</span>:
-<a name="l00214"></a>00214   <a class="code" href="classOfxBankTransactionContainer.html#132e3ab795f765cbec2320e9961a7558">OfxBankTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00215"></a>00215   <span class="keywordtype">void</span> <a class="code" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00214"></a>00214   <a class="code" href="classOfxBankTransactionContainer.html#59d1936cd1cd0a66c4c0a8e993c123f4">OfxBankTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00215"></a>00215   <span class="keywordtype">void</span> <a class="code" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00216"></a>00216 };
 <a name="l00217"></a>00217 
-<a name="l00222"></a>00222 <span class="keyword">class </span><a class="code" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> {
+<a name="l00222"></a>00222 <span class="keyword">class </span><a class="code" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> {
 <a name="l00223"></a>00223  <span class="keyword">public</span>:
-<a name="l00224"></a>00224   <a class="code" href="classOfxInvestmentTransactionContainer.html#59ccb4b31579d47ce7981c24f5c9215b">OfxInvestmentTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
+<a name="l00224"></a>00224   <a class="code" href="classOfxInvestmentTransactionContainer.html#ffd3c5d7c722248c8b07c44d6495f2ed">OfxInvestmentTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
 <a name="l00225"></a>00225 
-<a name="l00226"></a>00226   <span class="keywordtype">void</span> <a class="code" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00226"></a>00226   <span class="keywordtype">void</span> <a class="code" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00227"></a>00227 };
 <a name="l00228"></a>00228 
 <a name="l00229"></a>00229 <span class="comment">/***************************************************************************</span>
 <a name="l00230"></a>00230 <span class="comment"> *                             OfxMainContainer                            *</span>
 <a name="l00231"></a>00231 <span class="comment"> ***************************************************************************/</span>
-<a name="l00236"></a>00236 <span class="keyword">class </span><a class="code" href="classOfxMainContainer.html">OfxMainContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00236"></a>00236 <span class="keyword">class </span><a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00237"></a>00237 <span class="keyword">public</span>:
-<a name="l00238"></a>00238   <a class="code" href="classOfxMainContainer.html#fdf73d70e03bdb05c8aa621bbdec86a8">OfxMainContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00239"></a>00239   <a class="code" href="classOfxMainContainer.html#7ab71728d866c0455ab4ca7f84d8447b">~OfxMainContainer</a>();
-<a name="l00240"></a>00240   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> * container);
-<a name="l00241"></a>00241   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> * container);
-<a name="l00242"></a>00242   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> * container);
-<a name="l00243"></a>00243   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> * container);
-<a name="l00244"></a>00244   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> * container);
-<a name="l00245"></a>00245   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">gen_event</a>();
-<a name="l00246"></a>00246   <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> * <a class="code" href="classOfxMainContainer.html#257204d0271f47d7f455169487960753">find_security</a>(string unique_id);
+<a name="l00238"></a>00238   <a class="code" href="classOfxMainContainer.html#bdecebdd778e0169bcb7389f8db0454d">OfxMainContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00239"></a>00239   <a class="code" href="classOfxMainContainer.html#195e97a1121a6efdf898bd1cc5c43f8f">~OfxMainContainer</a>();
+<a name="l00240"></a>00240   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> * container);
+<a name="l00241"></a>00241   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * container);
+<a name="l00242"></a>00242   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> * container);
+<a name="l00243"></a>00243   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> * container);
+<a name="l00244"></a>00244   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> * container);
+<a name="l00245"></a>00245   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00246"></a>00246   <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> * <a class="code" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">find_security</a>(<span class="keywordtype">string</span> unique_id);
 <a name="l00247"></a>00247 <span class="keyword">private</span>:
 <a name="l00248"></a>00248   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;</a> security_tree;
 <a name="l00249"></a>00249   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;</a> account_tree;
@@ -206,8 +202,8 @@
 <a name="l00251"></a>00251 
 <a name="l00252"></a>00252 
 <a name="l00253"></a>00253 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__containers_8hh.html'
--- doc/html/fx-0_88_82_2lib_2ofx__containers_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__containers_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,29 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_containers.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_containers.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 LibOFX internal object code. 
 <p>
-These objects will process the elements returned by ofx_sgml.cpp and add them to their data members. <dl compact><dt><b>Warning:</b></dt><dd>Object documentation is not yet complete. </dd></dl>
-
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a>.
+These objects will process the elements returned by ofx_sgml.cpp and add them to their data members. <dl class="warning" compact><dt><b>Warning:</b></dt><dd>Object documentation is not yet complete. </dd></dl>
+
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh-source.html">fx-0.8.2/lib/ofx_containers.hh</a>.</p>
+
 <p>
 
 <p>
@@ -32,7 +28,7 @@
 <tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a></td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A generic container for an OFX SGML element. Every container inherits from <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a>.  <a href="classOfxGenericContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A generic container for an OFX SGML element. Every container inherits from <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>.  <a href="classOfxGenericContainer.html#_details">More...</a><br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A container to holds OFX SGML elements that LibOFX knows nothing about.  <a href="classOfxDummyContainer.html#_details">More...</a><br></td></tr>
@@ -67,8 +63,8 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The root container. Created by the &lt;OFX&gt; OFX element or by the export functions.  <a href="classOfxMainContainer.html#_details">More...</a><br></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_containers_misc.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_containers_misc.cpp</h1><a href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_proc_rs.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -39,105 +35,105 @@
 <a name="l00026"></a>00026 <span class="preprocessor">#include &lt;iostream&gt;</span>
 <a name="l00027"></a>00027 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00028"></a>00028 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html">ofx_error_msg.hh</a>"</span>
-<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html" title="OFX error code management functionnality.">ofx_error_msg.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
 <a name="l00034"></a>00034 
-<a name="l00035"></a>00035 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00035"></a>00035 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00036"></a>00036 
 <a name="l00037"></a>00037 <span class="comment">/***************************************************************************</span>
 <a name="l00038"></a>00038 <span class="comment"> *                         OfxDummyContainer                               *</span>
 <a name="l00039"></a>00039 <span class="comment"> ***************************************************************************/</span>
 <a name="l00040"></a>00040 
-<a name="l00041"></a>00041 <a class="code" href="classOfxDummyContainer.html#26ed2ce0842ca533c80432080bb5d686">OfxDummyContainer::OfxDummyContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00041"></a>00041 <a class="code" href="classOfxDummyContainer.html#b28080b768be9d5d36d8b7791591bbcd">OfxDummyContainer::OfxDummyContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00043"></a>00043 {
-<a name="l00044"></a>00044   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"DUMMY"</span>;
-<a name="l00045"></a>00045   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>, <span class="stringliteral">"Created OfxDummyContainer to hold unsupported aggregate "</span>+para_tag_identifier);
+<a name="l00044"></a>00044   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"DUMMY"</span>;
+<a name="l00045"></a>00045   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, <span class="stringliteral">"Created OfxDummyContainer to hold unsupported aggregate "</span>+para_tag_identifier);
 <a name="l00046"></a>00046 }
-<a name="l00047"></a>00047 <span class="keywordtype">void</span> <a class="code" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">OfxDummyContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00047"></a>00047 <span class="keywordtype">void</span> <a class="code" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3" title="Add data to a container object.">OfxDummyContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00048"></a>00048 {
-<a name="l00049"></a>00049   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, <span class="stringliteral">"OfxDummyContainer for "</span>+<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>+<span class="stringliteral">" ignored a "</span>+identifier+<span class="stringliteral">" ("</span>+value+<span class="stringliteral">")"</span>);
+<a name="l00049"></a>00049   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"OfxDummyContainer for "</span>+<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>+<span class="stringliteral">" ignored a "</span>+identifier+<span class="stringliteral">" ("</span>+value+<span class="stringliteral">")"</span>);
 <a name="l00050"></a>00050 }
 <a name="l00051"></a>00051 
 <a name="l00052"></a>00052 <span class="comment">/***************************************************************************</span>
 <a name="l00053"></a>00053 <span class="comment"> *                         OfxPushUpContainer                              *</span>
 <a name="l00054"></a>00054 <span class="comment"> ***************************************************************************/</span>
 <a name="l00055"></a>00055 
-<a name="l00056"></a>00056 <a class="code" href="classOfxPushUpContainer.html#4b9de1f81c3214724c50e4125f5cfd5a">OfxPushUpContainer::OfxPushUpContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00057"></a>00057   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00056"></a>00056 <a class="code" href="classOfxPushUpContainer.html#1fa2e01710b00ce7bdb80d5c9fbb3d2c">OfxPushUpContainer::OfxPushUpContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00057"></a>00057   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00058"></a>00058 {
-<a name="l00059"></a>00059   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"PUSHUP"</span>;
-<a name="l00060"></a>00060   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, <span class="stringliteral">"Created OfxPushUpContainer to hold aggregate "</span>+<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>);
+<a name="l00059"></a>00059   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"PUSHUP"</span>;
+<a name="l00060"></a>00060   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"Created OfxPushUpContainer to hold aggregate "</span>+<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>);
 <a name="l00061"></a>00061 }
-<a name="l00062"></a>00062 <span class="keywordtype">void</span> <a class="code" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">OfxPushUpContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00062"></a>00062 <span class="keywordtype">void</span> <a class="code" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8" title="Add data to a container object.">OfxPushUpContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00063"></a>00063 {
 <a name="l00064"></a>00064   <span class="comment">//message_out(DEBUG, "OfxPushUpContainer for "+tag_identifier+" will push up a "+identifier+" ("+value+") to a "+ parentcontainer-&gt;type + " container");</span>
-<a name="l00065"></a>00065   <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">add_attribute</a>(identifier, value);
+<a name="l00065"></a>00065   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a>(identifier, value);
 <a name="l00066"></a>00066 }
 <a name="l00067"></a>00067 
 <a name="l00068"></a>00068 <span class="comment">/***************************************************************************</span>
 <a name="l00069"></a>00069 <span class="comment"> *                         OfxStatusContainer                              *</span>
 <a name="l00070"></a>00070 <span class="comment"> ***************************************************************************/</span>
 <a name="l00071"></a>00071 
-<a name="l00072"></a>00072 <a class="code" href="classOfxStatusContainer.html#7cbd9aaaf32aea591e58ae76486dd003">OfxStatusContainer::OfxStatusContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00073"></a>00073   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00072"></a>00072 <a class="code" href="classOfxStatusContainer.html#5c46c8df8db712f6ad37b49fd6af5dc0">OfxStatusContainer::OfxStatusContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00073"></a>00073   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00074"></a>00074 {
 <a name="l00075"></a>00075   memset(&amp;data,0,<span class="keyword">sizeof</span>(data));
-<a name="l00076"></a>00076   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"STATUS"</span>;
-<a name="l00077"></a>00077   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>!=NULL){
-<a name="l00078"></a>00078     strncpy(data.ofx_element_name, <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>.c_str(), <a class="code" href="inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">OFX_ELEMENT_NAME_LENGTH</a>);
+<a name="l00076"></a>00076   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"STATUS"</span>;
+<a name="l00077"></a>00077   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL){
+<a name="l00078"></a>00078     strncpy(data.ofx_element_name, <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>.c_str(), <a class="code" href="inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">OFX_ELEMENT_NAME_LENGTH</a>);
 <a name="l00079"></a>00079     data.ofx_element_name_valid=<span class="keyword">true</span>;
 <a name="l00080"></a>00080   }
 <a name="l00081"></a>00081   
 <a name="l00082"></a>00082 }
-<a name="l00083"></a>00083 <a class="code" href="classOfxStatusContainer.html#6ebbf3b4d3fbec14adf683168848ce95">OfxStatusContainer::~OfxStatusContainer</a>()
+<a name="l00083"></a>00083 <a class="code" href="classOfxStatusContainer.html#cedeebfa681e9b075c8168196752c2a8">OfxStatusContainer::~OfxStatusContainer</a>()
 <a name="l00084"></a>00084 {
-<a name="l00085"></a>00085   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Entering the status's container's destructor"</span>);
+<a name="l00085"></a>00085   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Entering the status's container's destructor"</span>);
 <a name="l00086"></a>00086         
-<a name="l00087"></a>00087   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#f2c0a10b25d27f5bcb36dc259d91a69f">statusCallback</a>(<a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>);
+<a name="l00087"></a>00087   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">statusCallback</a>(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>);
 <a name="l00088"></a>00088 
-<a name="l00089"></a>00089   <span class="keywordflow">if</span> ( <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">server_message_valid</a> )
-<a name="l00090"></a>00090     <span class="keyword">delete</span> [] <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a>;
+<a name="l00089"></a>00089   <span class="keywordflow">if</span> ( <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a> )
+<a name="l00090"></a>00090     <span class="keyword">delete</span> [] <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>;
 <a name="l00091"></a>00091 }
 <a name="l00092"></a>00092 
-<a name="l00093"></a>00093 <span class="keywordtype">void</span> <a class="code" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">OfxStatusContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00093"></a>00093 <span class="keywordtype">void</span> <a class="code" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483" title="Add data to a container object.">OfxStatusContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00094"></a>00094 {
-<a name="l00095"></a>00095   <a class="code" href="structErrorMsg.html">ErrorMsg</a> error_msg;
+<a name="l00095"></a>00095   <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> error_msg;
 <a name="l00096"></a>00096 
 <a name="l00097"></a>00097   <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"CODE"</span>){
-<a name="l00098"></a>00098     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">code</a>=atoi(value.c_str());
-<a name="l00099"></a>00099     error_msg = <a class="code" href="ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">find_error_msg</a>(<a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">code</a>);
-<a name="l00100"></a>00100     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">name</a> = error_msg.name;<span class="comment">//memory is already allocated</span>
-<a name="l00101"></a>00101     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">description</a> = error_msg.description;<span class="comment">//memory is already allocated</span>
-<a name="l00102"></a>00102     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#69d5e443877e2e9300197a6057060a68">code_valid</a> = <span class="keyword">true</span>;
+<a name="l00098"></a>00098     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a>=atoi(value.c_str());
+<a name="l00099"></a>00099     error_msg = <a class="code" href="ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa" title="Retreive error code descriptions.">find_error_msg</a>(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a>);
+<a name="l00100"></a>00100     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">name</a> = error_msg.name;<span class="comment">//memory is already allocated</span>
+<a name="l00101"></a>00101     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">description</a> = error_msg.description;<span class="comment">//memory is already allocated</span>
+<a name="l00102"></a>00102     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">code_valid</a> = <span class="keyword">true</span>;
 <a name="l00103"></a>00103   }
 <a name="l00104"></a>00104   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"SEVERITY"</span>){
-<a name="l00105"></a>00105     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">severity_valid</a> = <span class="keyword">true</span>;
+<a name="l00105"></a>00105     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a> = <span class="keyword">true</span>;
 <a name="l00106"></a>00106     <span class="keywordflow">if</span>(value==<span class="stringliteral">"INFO"</span>) {
-<a name="l00107"></a>00107       <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a>=<a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2">OfxStatusData::INFO</a>;
+<a name="l00107"></a>00107       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>=<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">OfxStatusData::INFO</a>;
 <a name="l00108"></a>00108     }
 <a name="l00109"></a>00109     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"WARN"</span>) {
-<a name="l00110"></a>00110       <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a>=<a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267">OfxStatusData::WARN</a>;
+<a name="l00110"></a>00110       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>=<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">OfxStatusData::WARN</a>;
 <a name="l00111"></a>00111     }
 <a name="l00112"></a>00112     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"ERROR"</span>) {
-<a name="l00113"></a>00113       <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a>=<a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8">OfxStatusData::ERROR</a>;
+<a name="l00113"></a>00113       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>=<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">OfxStatusData::ERROR</a>;
 <a name="l00114"></a>00114     }
 <a name="l00115"></a>00115     <span class="keywordflow">else</span>{
-<a name="l00116"></a>00116       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"WRITEME: Unknown severity "</span>+value+<span class="stringliteral">" inside a "</span>+<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>+<span class="stringliteral">" container"</span>);
-<a name="l00117"></a>00117       <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">severity_valid</a> = <span class="keyword">false</span>;
+<a name="l00116"></a>00116       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"WRITEME: Unknown severity "</span>+value+<span class="stringliteral">" inside a "</span>+<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" container"</span>);
+<a name="l00117"></a>00117       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a> = <span class="keyword">false</span>;
 <a name="l00118"></a>00118     }
 <a name="l00119"></a>00119   }
 <a name="l00120"></a>00120   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"MESSAGE"</span>)||(identifier==<span class="stringliteral">"MESSAGE2"</span>)){
-<a name="l00121"></a>00121     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a>=<span class="keyword">new</span> <span class="keywordtype">char</span>[value.length()+1];
-<a name="l00122"></a>00122     strcpy(<a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a>,value.c_str());
-<a name="l00123"></a>00123     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">server_message_valid</a>=<span class="keyword">true</span>;
+<a name="l00121"></a>00121     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>=<span class="keyword">new</span> <span class="keywordtype">char</span>[value.length()+1];
+<a name="l00122"></a>00122     strcpy(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>,value.c_str());
+<a name="l00123"></a>00123     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a>=<span class="keyword">true</span>;
 <a name="l00124"></a>00124   }
 <a name="l00125"></a>00125   <span class="keywordflow">else</span>{
 <a name="l00126"></a>00126     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00127"></a>00127     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00127"></a>00127     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00128"></a>00128   }
 <a name="l00129"></a>00129 }
 <a name="l00130"></a>00130 
@@ -147,42 +143,42 @@
 <a name="l00134"></a>00134 <span class="comment"> * OfxBalanceContainer  (does not directly abstract a object in libofx.h)  *</span>
 <a name="l00135"></a>00135 <span class="comment"> ***************************************************************************/</span>
 <a name="l00136"></a>00136 
-<a name="l00137"></a>00137 <a class="code" href="classOfxBalanceContainer.html#ced3ba2d0bf96c8a11393653fce83430">OfxBalanceContainer::OfxBalanceContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00138"></a>00138   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00137"></a>00137 <a class="code" href="classOfxBalanceContainer.html#96baefa68988c2d9c2f46f553d40599f">OfxBalanceContainer::OfxBalanceContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00138"></a>00138   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00139"></a>00139 {
-<a name="l00140"></a>00140   <a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a>=<span class="keyword">false</span>;
-<a name="l00141"></a>00141   <a class="code" href="classOfxBalanceContainer.html#c4f467bce968ab7dc878a2a999224d65">date_valid</a>=<span class="keyword">false</span>;
-<a name="l00142"></a>00142   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"BALANCE"</span>;
+<a name="l00140"></a>00140   <a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>=<span class="keyword">false</span>;
+<a name="l00141"></a>00141   <a class="code" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">date_valid</a>=<span class="keyword">false</span>;
+<a name="l00142"></a>00142   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"BALANCE"</span>;
 <a name="l00143"></a>00143 }
 <a name="l00144"></a>00144 
-<a name="l00145"></a>00145 <a class="code" href="classOfxBalanceContainer.html#c599f6e53e908ed329baab8ca0a52d56">OfxBalanceContainer::~OfxBalanceContainer</a>()
+<a name="l00145"></a>00145 <a class="code" href="classOfxBalanceContainer.html#db4feb10b8e5328aab5025ff49fd43f5">OfxBalanceContainer::~OfxBalanceContainer</a>()
 <a name="l00146"></a>00146 {
-<a name="l00147"></a>00147   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a> == <span class="stringliteral">"STATEMENT"</span>)
+<a name="l00147"></a>00147   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> == <span class="stringliteral">"STATEMENT"</span>)
 <a name="l00148"></a>00148     {
-<a name="l00149"></a>00149       ((<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>)-&gt;add_balance(<span class="keyword">this</span>);
+<a name="l00149"></a>00149       ((<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>)-&gt;add_balance(<span class="keyword">this</span>);
 <a name="l00150"></a>00150     }
 <a name="l00151"></a>00151   <span class="keywordflow">else</span>
 <a name="l00152"></a>00152     {
-<a name="l00153"></a>00153       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"I completed a "</span> + <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a> + <span class="stringliteral">" element, but I havent found a suitable parent to save it"</span>);
+<a name="l00153"></a>00153       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"I completed a "</span> + <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> + <span class="stringliteral">" element, but I havent found a suitable parent to save it"</span>);
 <a name="l00154"></a>00154     }
 <a name="l00155"></a>00155 }
-<a name="l00156"></a>00156 <span class="keywordtype">void</span> <a class="code" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">OfxBalanceContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00156"></a>00156 <span class="keywordtype">void</span> <a class="code" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb" title="Add data to a container object.">OfxBalanceContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00157"></a>00157 {
 <a name="l00158"></a>00158   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"BALAMT"</span>){
-<a name="l00159"></a>00159     <a class="code" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00160"></a>00160     <a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a>=<span class="keyword">true</span>;
+<a name="l00159"></a>00159     <a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00160"></a>00160     <a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>=<span class="keyword">true</span>;
 <a name="l00161"></a>00161   }
 <a name="l00162"></a>00162   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTASOF"</span>){
-<a name="l00163"></a>00163     <a class="code" href="classOfxBalanceContainer.html#6279f38dda6287846812f96e54a3e026">date</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00164"></a>00164     <a class="code" href="classOfxBalanceContainer.html#c4f467bce968ab7dc878a2a999224d65">date_valid</a> = <span class="keyword">true</span>;
+<a name="l00163"></a>00163     <a class="code" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">date</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00164"></a>00164     <a class="code" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">date_valid</a> = <span class="keyword">true</span>;
 <a name="l00165"></a>00165   }
 <a name="l00166"></a>00166   <span class="keywordflow">else</span>{
 <a name="l00167"></a>00167     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00168"></a>00168     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00168"></a>00168     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00169"></a>00169   }  
 <a name="l00170"></a>00170 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,41 +1,37 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_containers_misc.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_containers_misc.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 LibOFX internal object code. 
 <p>
-These objects will process the elements returned by ofx_sgml.cpp and add them to their data members. <dl compact><dt><b>Warning:</b></dt><dd>Object documentation is not yet done. </dd></dl>
-
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a>.
+These objects will process the elements returned by ofx_sgml.cpp and add them to their data members. <dl class="warning" compact><dt><b>Warning:</b></dt><dd>Object documentation is not yet done. </dd></dl>
+
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.8.2/lib/ofx_containers_misc.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_containers_misc.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_containers_misc.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_error_msg.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_error_msg.hh</h1><a href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_data_struct.h  -  description</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -35,15 +31,15 @@
 <a name="l00019"></a>00019 <span class="preprocessor">#ifndef OFX_DATA_STRUCT_H</span>
 <a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define OFX_DATA_STRUCT_H</span>
 <a name="l00021"></a>00021 <span class="preprocessor"></span>
-<a name="l00023"></a>00023 <span class="keyword">struct </span><a class="code" href="structErrorMsg.html">ErrorMsg</a>
+<a name="l00023"></a>00023 <span class="keyword">struct </span><a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a>
 <a name="l00024"></a>00024 {
-<a name="l00025"></a>00025   <span class="keywordtype">int</span> <a class="code" href="structErrorMsg.html#95f22180acb45e48ab748671ff12fee8">code</a>;           
-<a name="l00026"></a><a class="code" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">00026</a>   <span class="keywordtype">char</span> * <a class="code" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">name</a>;        
-<a name="l00027"></a><a class="code" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">00027</a>   <span class="keywordtype">char</span> * <a class="code" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">description</a>; 
+<a name="l00025"></a>00025   <span class="keywordtype">int</span> <a class="code" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">code</a>;           
+<a name="l00026"></a><a class="code" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">00026</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">name</a>;        
+<a name="l00027"></a><a class="code" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">00027</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">description</a>; 
 <a name="l00028"></a>00028 };
 <a name="l00029"></a>00029 
 <a name="l00031"></a>00031 
-<a name="l00034"></a><a class="code" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">00034</a> <span class="keyword">const</span> <a class="code" href="structErrorMsg.html">ErrorMsg</a> <a class="code" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a>[] = {
+<a name="l00034"></a><a class="code" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">00034</a> <span class="keyword">const</span> <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> <a class="code" href="ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608" title="List known error codes.">error_msgs_list</a>[] = {
 <a name="l00035"></a>00035   {0, <span class="stringliteral">"Success"</span>, <span class="stringliteral">"The server successfully processed the request."</span>},
 <a name="l00036"></a>00036   {1, <span class="stringliteral">"Client is up-to-date"</span>, <span class="stringliteral">"Based on the client timestamp, the client has the latest information. The response does not supply any additional information."</span>},
 <a name="l00037"></a>00037   {2000, <span class="stringliteral">"General error"</span>, <span class="stringliteral">"Error other than those specified by the remaining error codes. (Note: Servers should provide a more specific error whenever possible. Error code 2000 should be reserved for cases in which a more specific code is not available.)"</span>},
@@ -134,15 +130,15 @@
 <a name="l00122"></a>00122   {-1, <span class="stringliteral">"Unknown code"</span>, <span class="stringliteral">"The description of this code is unknown to libOfx"</span>}};
 <a name="l00123"></a>00123 
 <a name="l00125"></a>00125 
-<a name="l00128"></a><a class="code" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">00128</a> <span class="keyword">const</span> <a class="code" href="structErrorMsg.html">ErrorMsg</a> <a class="code" href="ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">find_error_msg</a>(<span class="keywordtype">int</span> param_code)
+<a name="l00128"></a><a class="code" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">00128</a> <span class="keyword">const</span> <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> <a class="code" href="ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa" title="Retreive error code descriptions.">find_error_msg</a>(<span class="keywordtype">int</span> param_code)
 <a name="l00129"></a>00129 {
-<a name="l00130"></a>00130   <a class="code" href="structErrorMsg.html">ErrorMsg</a> return_val;
+<a name="l00130"></a>00130   <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> return_val;
 <a name="l00131"></a>00131   <span class="keywordtype">int</span> i;
 <a name="l00132"></a>00132   <span class="keywordtype">bool</span> code_found=<span class="keyword">false</span>;
 <a name="l00133"></a>00133   
 <a name="l00134"></a>00134   <span class="keywordflow">for</span>(i=0;i&lt;2000&amp;&amp;(code_found==<span class="keyword">false</span>);i++){
-<a name="l00135"></a>00135     <span class="keywordflow">if</span>((<a class="code" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a>[i].code==param_code)||(<a class="code" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a>[i].code==-1)){
-<a name="l00136"></a>00136       return_val=<a class="code" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a>[i];
+<a name="l00135"></a>00135     <span class="keywordflow">if</span>((error_msgs_list[i].code==param_code)||(error_msgs_list[i].<a class="code" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">code</a>==-1)){
+<a name="l00136"></a>00136       return_val=error_msgs_list[i];
 <a name="l00137"></a>00137       code_found=<span class="keyword">true</span>;
 <a name="l00138"></a>00138     }
 <a name="l00139"></a>00139   }
@@ -150,8 +146,8 @@
 <a name="l00141"></a>00141 };
 <a name="l00142"></a>00142 
 <a name="l00143"></a>00143 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__error__msg_8hh.html'
--- doc/html/fx-0_88_82_2lib_2ofx__error__msg_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__error__msg_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_error_msg.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_error_msg.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 OFX error code management functionnality. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a>.</p>
+
 <p>
 
 <p>
@@ -33,77 +29,61 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An abstraction of an OFX error code sent by an OFX server.  <a href="structErrorMsg.html#_details">More...</a><br></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">find_error_msg</a> (int param_code)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">find_error_msg</a> (int param_code)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retreive error code descriptions.  <a href="#913f987171101b59b0c710c4bb261be6"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retreive error code descriptions.  <a href="#dac162b52803cc0814b829813ad3a5aa"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a> []</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">error_msgs_list</a> []</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List known error codes.  <a href="#0b2d7a9d45507737f31070e93255ee81"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List known error codes.  <a href="#55330fe48f8c210038dfaae0ed8dd608"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="913f987171101b59b0c710c4bb261be6"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_error_msg.hh::find_error_msg" ref="913f987171101b59b0c710c4bb261be6" args="(int param_code)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="dac162b52803cc0814b829813ad3a5aa"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_error_msg.hh::find_error_msg" ref="dac162b52803cc0814b829813ad3a5aa" args="(int param_code)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a> find_error_msg           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">int&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>param_code</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">const <a class="el" href="structErrorMsg.html">ErrorMsg</a> find_error_msg           </td>
+          <td>(</td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>param_code</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Retreive error code descriptions. 
 <p>
-The find_error_msg function will take an ofx error number, and return an <a class="el" href="structErrorMsg.html">ErrorMsg</a> structure with detailled information about the error, including the error name and long description 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html#l00128">128</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a>.    </td>
-  </tr>
-</table>
+The find_error_msg function will take an ofx error number, and return an <a class="el" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> structure with detailled information about the error, including the error name and long description 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html#l00128">128</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="0b2d7a9d45507737f31070e93255ee81"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_error_msg.hh::error_msgs_list" ref="0b2d7a9d45507737f31070e93255ee81" args="[]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="55330fe48f8c210038dfaae0ed8dd608"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_error_msg.hh::error_msgs_list" ref="55330fe48f8c210038dfaae0ed8dd608" args="[]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a> <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a>[]          </td>
+          <td class="memname">const <a class="el" href="structErrorMsg.html">ErrorMsg</a> <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">error_msgs_list</a>[]          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 List known error codes. 
 <p>
 The error_msgs_list table contains all past and present OFX error codes up to the OFX 2.01 specification 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html#l00034">34</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html#l00034">34</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_preproc.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_preproc.cpp</h1><a href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">          ofx_preproc.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -31,432 +27,503 @@
 <a name="l00017"></a>00017 <span class="comment"> *   (at your option) any later version.                                   *</span>
 <a name="l00018"></a>00018 <span class="comment"> *                                                                         *</span>
 <a name="l00019"></a>00019 <span class="comment"> ***************************************************************************/</span>
-<a name="l00020"></a>00020 <span class="preprocessor">#include &lt;iostream&gt;</span>
-<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;fstream&gt;</span>
-<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
-<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
-<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html">ofx_sgml.hh</a>"</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html">ofc_sgml.hh</a>"</span>
-<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html">ofx_preproc.hh</a>"</span>
-<a name="l00031"></a>00031 
-<a name="l00032"></a>00032 <span class="keyword">using namespace </span>std;
-<a name="l00036"></a>00036 <span class="preprocessor">#ifdef MAKEFILE_DTD_PATH</span>
-<a name="l00037"></a>00037 <span class="preprocessor"></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a> = 4;
-<a name="l00038"></a>00038 <span class="preprocessor">#else</span>
-<a name="l00039"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">00039</a> <span class="preprocessor"></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a> = 3;
-<a name="l00040"></a>00040 <span class="preprocessor">#endif</span>
-<a name="l00041"></a>00041 <span class="preprocessor"></span> 
-<a name="l00045"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">00045</a> <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">DTD_SEARCH_PATH</a>[<a class="code" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a>] = { 
-<a name="l00046"></a>00046 <span class="preprocessor">#ifdef MAKEFILE_DTD_PATH</span>
-<a name="l00047"></a>00047 <span class="preprocessor"></span>  MAKEFILE_DTD_PATH , 
-<a name="l00048"></a>00048 <span class="preprocessor">#endif</span>
-<a name="l00049"></a>00049 <span class="preprocessor"></span>  <span class="stringliteral">"/usr/local/share/libofx/dtd/"</span>, 
-<a name="l00050"></a>00050   <span class="stringliteral">"/usr/share/libofx/dtd/"</span>, 
-<a name="l00051"></a>00051   <span class="stringliteral">"~/"</span>};
-<a name="l00052"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">00052</a> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a> = 1024;
-<a name="l00053"></a>00053 
-<a name="l00058"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">00058</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename)
-<a name="l00059"></a>00059   {
-<a name="l00060"></a>00060   <a class="code" href="classLibofxContext.html">LibofxContext</a> *libofx_context;
-<a name="l00061"></a>00061   <span class="keywordtype">bool</span> ofx_start=<span class="keyword">false</span>;
-<a name="l00062"></a>00062   <span class="keywordtype">bool</span> ofx_end=<span class="keyword">false</span>;
-<a name="l00063"></a>00063 
-<a name="l00064"></a>00064   ifstream input_file;
-<a name="l00065"></a>00065   ofstream tmp_file;
-<a name="l00066"></a>00066   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>];
-<a name="l00067"></a>00067   string s_buffer;
-<a name="l00068"></a>00068   <span class="keywordtype">char</span> *filenames[3];
-<a name="l00069"></a>00069   <span class="keywordtype">char</span> tmp_filename[50];
+<a name="l00020"></a>00020 <span class="preprocessor">#include "../config.h"</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;iostream&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;fstream&gt;</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofx_sgml.hh</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofc_sgml.hh</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html" title="Preprocessing of the OFX files before parsing.">ofx_preproc.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00033"></a>00033 <span class="preprocessor"></span><span class="preprocessor">#include &lt;iconv.h&gt;</span>
+<a name="l00034"></a>00034 <span class="preprocessor">#endif</span>
+<a name="l00035"></a>00035 <span class="preprocessor"></span>
+<a name="l00036"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">00036</a> <span class="preprocessor">#define LIBOFX_DEFAULT_INPUT_ENCODING "CP1252"</span>
+<a name="l00037"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">00037</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_DEFAULT_OUTPUT_ENCODING "UTF-8"</span>
+<a name="l00038"></a>00038 <span class="preprocessor"></span>
+<a name="l00039"></a>00039 <span class="keyword">using namespace </span>std;
+<a name="l00043"></a>00043 <span class="preprocessor">#ifdef MAKEFILE_DTD_PATH</span>
+<a name="l00044"></a>00044 <span class="preprocessor"></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a> = 4;
+<a name="l00045"></a>00045 <span class="preprocessor">#else</span>
+<a name="l00046"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">00046</a> <span class="preprocessor"></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a> = 3;
+<a name="l00047"></a>00047 <span class="preprocessor">#endif</span>
+<a name="l00048"></a>00048 <span class="preprocessor"></span> 
+<a name="l00052"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">00052</a> <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3" title="The list of paths to search for the DTDs.">DTD_SEARCH_PATH</a>[<a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a>] = { 
+<a name="l00053"></a>00053 <span class="preprocessor">#ifdef MAKEFILE_DTD_PATH</span>
+<a name="l00054"></a>00054 <span class="preprocessor"></span>  MAKEFILE_DTD_PATH , 
+<a name="l00055"></a>00055 <span class="preprocessor">#endif</span>
+<a name="l00056"></a>00056 <span class="preprocessor"></span>  <span class="stringliteral">"/usr/local/share/libofx/dtd/"</span>, 
+<a name="l00057"></a>00057   <span class="stringliteral">"/usr/share/libofx/dtd/"</span>, 
+<a name="l00058"></a>00058   <span class="stringliteral">"~/"</span>};
+<a name="l00059"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">00059</a> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024;
+<a name="l00060"></a>00060 
+<a name="l00065"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">00065</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename)
+<a name="l00066"></a>00066   {
+<a name="l00067"></a>00067   <a class="code" href="classLibofxContext.html">LibofxContext</a> *libofx_context;
+<a name="l00068"></a>00068   <span class="keywordtype">bool</span> ofx_start=<span class="keyword">false</span>;
+<a name="l00069"></a>00069   <span class="keywordtype">bool</span> ofx_end=<span class="keyword">false</span>;
 <a name="l00070"></a>00070 
-<a name="l00071"></a>00071   libofx_context=(<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx;
-<a name="l00072"></a>00072 
-<a name="l00073"></a>00073   <span class="keywordflow">if</span>(p_filename!=NULL&amp;&amp;strcmp(p_filename,<span class="stringliteral">""</span>)!=0)
-<a name="l00074"></a>00074     {
-<a name="l00075"></a>00075     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, string(<span class="stringliteral">"ofx_proc_file():Opening file: "</span>)+ p_filename);
-<a name="l00076"></a>00076     
-<a name="l00077"></a>00077     input_file.open(p_filename);
-<a name="l00078"></a>00078     strncpy(tmp_filename,<span class="stringliteral">"/tmp/libofxtmpXXXXXX"</span>,50);
-<a name="l00079"></a>00079     mkstemp(tmp_filename);
-<a name="l00080"></a>00080     tmp_file.open(tmp_filename);
-<a name="l00081"></a>00081 
-<a name="l00082"></a>00082     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Creating temp file: "</span>+string(tmp_filename));
-<a name="l00083"></a>00083     <span class="keywordflow">if</span>(!input_file){
-<a name="l00084"></a>00084       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the input file "</span>+string(p_filename));
-<a name="l00085"></a>00085     }
-<a name="l00086"></a>00086     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(!tmp_file){
-<a name="l00087"></a>00087       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the output file "</span>+string(tmp_filename));
-<a name="l00088"></a>00088     }
-<a name="l00089"></a>00089     <span class="keywordflow">else</span>
-<a name="l00090"></a>00090       {
+<a name="l00071"></a>00071   ifstream input_file;
+<a name="l00072"></a>00072   ofstream tmp_file;
+<a name="l00073"></a>00073   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>];
+<a name="l00074"></a>00074   <span class="keywordtype">char</span> iconv_buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>];
+<a name="l00075"></a>00075   <span class="keywordtype">string</span> s_buffer;
+<a name="l00076"></a>00076   <span class="keywordtype">char</span> *filenames[3];
+<a name="l00077"></a>00077   <span class="keywordtype">char</span> tmp_filename[50];
+<a name="l00078"></a>00078 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00079"></a>00079 <span class="preprocessor"></span>        iconv_t conversion_descriptor;
+<a name="l00080"></a>00080 <span class="preprocessor">#endif</span>
+<a name="l00081"></a>00081 <span class="preprocessor"></span>  libofx_context=(<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx;
+<a name="l00082"></a>00082 
+<a name="l00083"></a>00083   <span class="keywordflow">if</span>(p_filename!=NULL&amp;&amp;strcmp(p_filename,<span class="stringliteral">""</span>)!=0)
+<a name="l00084"></a>00084     {
+<a name="l00085"></a>00085     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file():Opening file: "</span>)+ p_filename);
+<a name="l00086"></a>00086     
+<a name="l00087"></a>00087     input_file.open(p_filename);
+<a name="l00088"></a>00088     strncpy(tmp_filename,<span class="stringliteral">"/tmp/libofxtmpXXXXXX"</span>,50);
+<a name="l00089"></a>00089     mkstemp(tmp_filename);
+<a name="l00090"></a>00090     tmp_file.open(tmp_filename);
 <a name="l00091"></a>00091 
-<a name="l00092"></a>00092         <span class="keywordflow">do</span> {
-<a name="l00093"></a>00093           input_file.getline(buffer, <span class="keyword">sizeof</span>(buffer),<span class="charliteral">'\n'</span>);
-<a name="l00094"></a>00094           <span class="comment">//cout&lt;&lt;buffer&lt;&lt;"\n";</span>
-<a name="l00095"></a>00095           s_buffer.assign(buffer);
-<a name="l00096"></a>00096           <span class="comment">//cout&lt;&lt;"input_file.gcount(): "&lt;&lt;input_file.gcount()&lt;&lt;" sizeof(buffer): "&lt;&lt;sizeof(buffer)&lt;&lt;endl;</span>
-<a name="l00097"></a>00097           <span class="keywordflow">if</span>(input_file.gcount()&lt;(<span class="keyword">sizeof</span>(buffer)-1))
-<a name="l00098"></a>00098             {
-<a name="l00099"></a>00099               s_buffer.append(<span class="stringliteral">"\n"</span>);
-<a name="l00100"></a>00100             }
-<a name="l00101"></a>00101           <span class="keywordflow">else</span> <span class="keywordflow">if</span>( !input_file.eof()&amp;&amp;input_file.fail())
-<a name="l00102"></a>00102             {
-<a name="l00103"></a>00103               input_file.clear();
-<a name="l00104"></a>00104             }
-<a name="l00105"></a>00105           <span class="keywordtype">int</span> ofx_start_idx;
-<a name="l00106"></a>00106           <span class="keywordflow">if</span> (ofx_start==<span class="keyword">false</span> &amp;&amp;
-<a name="l00107"></a>00107               (
-<a name="l00108"></a>00108                (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>&amp;&amp;
-<a name="l00109"></a>00109                 ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>))!=
-<a name="l00110"></a>00110                  string::npos||(ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>))!=string::npos))
-<a name="l00111"></a>00111                || (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>&amp;&amp;
-<a name="l00112"></a>00112                    ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>))!=string::npos||
-<a name="l00113"></a>00113                     (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>))!=string::npos))
-<a name="l00114"></a>00114               )
-<a name="l00115"></a>00115              )
+<a name="l00092"></a>00092     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Creating temp file: "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00093"></a>00093     <span class="keywordflow">if</span>(!input_file){
+<a name="l00094"></a>00094       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the input file "</span>+<span class="keywordtype">string</span>(p_filename));
+<a name="l00095"></a>00095     }
+<a name="l00096"></a>00096     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(!tmp_file){
+<a name="l00097"></a>00097       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the output file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00098"></a>00098     }
+<a name="l00099"></a>00099     <span class="keywordflow">else</span>
+<a name="l00100"></a>00100       {
+<a name="l00101"></a>00101         <span class="keywordtype">int</span> header_separator_idx;
+<a name="l00102"></a>00102         <span class="keywordtype">string</span> header_name;
+<a name="l00103"></a>00103         <span class="keywordtype">string</span> header_value;
+<a name="l00104"></a>00104         <span class="keywordtype">string</span> ofx_encoding;
+<a name="l00105"></a>00105         <span class="keywordtype">string</span> ofx_charset;
+<a name="l00106"></a>00106         <span class="keywordflow">do</span> {
+<a name="l00107"></a>00107           input_file.getline(buffer, <span class="keyword">sizeof</span>(buffer),<span class="charliteral">'\n'</span>);
+<a name="l00108"></a>00108           <span class="comment">//cout&lt;&lt;buffer&lt;&lt;"\n";</span>
+<a name="l00109"></a>00109           s_buffer.assign(buffer);
+<a name="l00110"></a>00110           <span class="comment">//cout&lt;&lt;"input_file.gcount(): "&lt;&lt;input_file.gcount()&lt;&lt;" sizeof(buffer): "&lt;&lt;sizeof(buffer)&lt;&lt;endl;</span>
+<a name="l00111"></a>00111           <span class="keywordflow">if</span>(input_file.gcount()&lt;(<span class="keyword">sizeof</span>(buffer)-1))
+<a name="l00112"></a>00112             {
+<a name="l00113"></a>00113               s_buffer.append(<span class="stringliteral">"\n"</span>);
+<a name="l00114"></a>00114             }
+<a name="l00115"></a>00115           <span class="keywordflow">else</span> <span class="keywordflow">if</span>( !input_file.eof()&amp;&amp;input_file.fail())
 <a name="l00116"></a>00116             {
-<a name="l00117"></a>00117               ofx_start=<span class="keyword">true</span>;
-<a name="l00118"></a>00118               s_buffer.erase(0,ofx_start_idx);<span class="comment">//Fix for really broken files that don't have a newline after the header.</span>
-<a name="l00119"></a>00119               <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OFX&gt; or &lt;OFC&gt; has been found"</span>);
-<a name="l00120"></a>00120             }
-<a name="l00121"></a>00121 
-<a name="l00122"></a>00122           <span class="keywordflow">if</span>(ofx_start==<span class="keyword">true</span> &amp;&amp; ofx_end==<span class="keyword">false</span>){
-<a name="l00123"></a>00123             s_buffer=<a class="code" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a>(s_buffer);
-<a name="l00124"></a>00124             <span class="comment">//cout&lt;&lt; s_buffer&lt;&lt;"\n";</span>
-<a name="l00125"></a>00125             tmp_file.write(s_buffer.c_str(), s_buffer.length());
-<a name="l00126"></a>00126           }
-<a name="l00127"></a>00127           
-<a name="l00128"></a>00128           <span class="keywordflow">if</span> (ofx_start==<span class="keyword">true</span> &amp;&amp;
-<a name="l00129"></a>00129               (
-<a name="l00130"></a>00130                (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a> &amp;&amp;
-<a name="l00131"></a>00131                 ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/OFX&gt;"</span>))!=string::npos ||
-<a name="l00132"></a>00132                  (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/ofx&gt;"</span>))!=string::npos))
-<a name="l00133"></a>00133                || (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a> &amp;&amp;
-<a name="l00134"></a>00134                    ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/OFC&gt;"</span>))!=string::npos ||
-<a name="l00135"></a>00135                     (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/ofc&gt;"</span>))!=string::npos))
-<a name="l00136"></a>00136               )
-<a name="l00137"></a>00137              )
-<a name="l00138"></a>00138             {
-<a name="l00139"></a>00139               ofx_end=<span class="keyword">true</span>;
-<a name="l00140"></a>00140               <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;/OFX&gt; or &lt;/OFC&gt;  has been found"</span>);
-<a name="l00141"></a>00141             }
-<a name="l00142"></a>00142 
-<a name="l00143"></a>00143         } <span class="keywordflow">while</span>(!input_file.eof()&amp;&amp;!input_file.bad());
-<a name="l00144"></a>00144       }
-<a name="l00145"></a>00145     input_file.close();
-<a name="l00146"></a>00146     tmp_file.close();
-<a name="l00147"></a>00147 
-<a name="l00148"></a>00148     <span class="keywordtype">char</span> filename_openspdtd[255];
-<a name="l00149"></a>00149     <span class="keywordtype">char</span> filename_dtd[255];
-<a name="l00150"></a>00150     <span class="keywordtype">char</span> filename_ofx[255];
-<a name="l00151"></a>00151     strncpy(filename_openspdtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">OPENSPDCL_FILENAME</a>).c_str(),255);<span class="comment">//The opensp sgml dtd file</span>
-<a name="l00152"></a>00152     <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>)
-<a name="l00153"></a>00153       {
-<a name="l00154"></a>00154         strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">OFX160DTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofx dtd file</span>
-<a name="l00155"></a>00155       }
-<a name="l00156"></a>00156     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>)
-<a name="l00157"></a>00157       {
-<a name="l00158"></a>00158         strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">OFCDTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofc dtd file</span>
-<a name="l00159"></a>00159       }
-<a name="l00160"></a>00160     <span class="keywordflow">else</span>
-<a name="l00161"></a>00161       {
-<a name="l00162"></a>00162         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,string(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
-<a name="l00163"></a>00163       }
-<a name="l00164"></a>00164 
-<a name="l00165"></a>00165     <span class="keywordflow">if</span>((string)filename_dtd!=<span class="stringliteral">""</span> &amp;&amp; (string)filename_openspdtd!=<span class="stringliteral">""</span>)
-<a name="l00166"></a>00166       {
-<a name="l00167"></a>00167         strncpy(filename_ofx,tmp_filename,255);<span class="comment">//The processed ofx file</span>
-<a name="l00168"></a>00168         filenames[0]=filename_openspdtd;
-<a name="l00169"></a>00169         filenames[1]=filename_dtd;
-<a name="l00170"></a>00170         filenames[2]=filename_ofx;
-<a name="l00171"></a>00171         <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>)
-<a name="l00172"></a>00172           {
-<a name="l00173"></a>00173             <a class="code" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00117"></a>00117               input_file.clear();
+<a name="l00118"></a>00118             }
+<a name="l00119"></a>00119           <span class="keywordtype">int</span> ofx_start_idx;
+<a name="l00120"></a>00120           <span class="keywordflow">if</span> (ofx_start==<span class="keyword">false</span> &amp;&amp;
+<a name="l00121"></a>00121               (
+<a name="l00122"></a>00122                (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>&amp;&amp;
+<a name="l00123"></a>00123                 ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>))!=
+<a name="l00124"></a>00124                  string::npos||(ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>))!=string::npos))
+<a name="l00125"></a>00125                || (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>&amp;&amp;
+<a name="l00126"></a>00126                    ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>))!=string::npos||
+<a name="l00127"></a>00127                     (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>))!=string::npos))
+<a name="l00128"></a>00128               )
+<a name="l00129"></a>00129              )
+<a name="l00130"></a>00130             {
+<a name="l00131"></a>00131               ofx_start=<span class="keyword">true</span>;
+<a name="l00132"></a>00132               s_buffer.erase(0,ofx_start_idx);<span class="comment">//Fix for really broken files that don't have a newline after the header.</span>
+<a name="l00133"></a>00133               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OFX&gt; or &lt;OFC&gt; has been found"</span>);
+<a name="l00134"></a>00134 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00135"></a>00135 <span class="preprocessor"></span>              <span class="keywordtype">string</span> fromcode;
+<a name="l00136"></a>00136               <span class="keywordtype">string</span> tocode; 
+<a name="l00137"></a>00137               <span class="keywordflow">if</span>(ofx_encoding.compare(<span class="stringliteral">"USASCII"</span>)==0){
+<a name="l00138"></a>00138                 <span class="keywordflow">if</span>(ofx_charset.compare(<span class="stringliteral">"ISO-8859-1"</span>)==0){
+<a name="l00139"></a>00139                   fromcode=<span class="stringliteral">"ISO-8859-1"</span>;
+<a name="l00140"></a>00140                 }
+<a name="l00141"></a>00141                 <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ofx_charset.compare(<span class="stringliteral">"1252"</span>)==0){
+<a name="l00142"></a>00142                   fromcode=<span class="stringliteral">"CP1252"</span>;
+<a name="l00143"></a>00143                 }
+<a name="l00144"></a>00144                 <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ofx_charset.compare(<span class="stringliteral">"NONE"</span>)==0){
+<a name="l00145"></a>00145                   fromcode=<a class="code" href="ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">LIBOFX_DEFAULT_INPUT_ENCODING</a>;
+<a name="l00146"></a>00146                 }
+<a name="l00147"></a>00147               }
+<a name="l00148"></a>00148               <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ofx_encoding.compare(<span class="stringliteral">"USASCII"</span>)==0) {
+<a name="l00149"></a>00149                 fromcode=<span class="stringliteral">"UTF-8"</span>;
+<a name="l00150"></a>00150               }
+<a name="l00151"></a>00151               <span class="keywordflow">else</span>
+<a name="l00152"></a>00152                 {
+<a name="l00153"></a>00153                   fromcode=<a class="code" href="ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">LIBOFX_DEFAULT_INPUT_ENCODING</a>;
+<a name="l00154"></a>00154                 }
+<a name="l00155"></a>00155               tocode = <a class="code" href="ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">LIBOFX_DEFAULT_OUTPUT_ENCODING</a>;
+<a name="l00156"></a>00156               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Setting up iconv for fromcode: "</span>+fromcode+<span class="stringliteral">", tocode: "</span>+tocode);
+<a name="l00157"></a>00157               conversion_descriptor = iconv_open (tocode.c_str(), fromcode.c_str());
+<a name="l00158"></a>00158 <span class="preprocessor">#endif</span>
+<a name="l00159"></a>00159 <span class="preprocessor"></span>            }
+<a name="l00160"></a>00160           <span class="keywordflow">else</span> {
+<a name="l00161"></a>00161             <span class="comment">//We are still in the headers</span>
+<a name="l00162"></a>00162             <span class="keywordflow">if</span> ((header_separator_idx=s_buffer.find(<span class="charliteral">':'</span>)) != string::npos) {
+<a name="l00163"></a>00163               <span class="comment">//Header processing</span>
+<a name="l00164"></a>00164               header_name.assign(s_buffer.substr(0,header_separator_idx));
+<a name="l00165"></a>00165               header_value.assign(s_buffer.substr(header_separator_idx+1));
+<a name="l00166"></a>00166               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():Header: "</span>+header_name+<span class="stringliteral">" with value: "</span>+header_value+<span class="stringliteral">" has been found"</span>);
+<a name="l00167"></a>00167               <span class="keywordflow">if</span>(header_name.compare(<span class="stringliteral">"ENCODING"</span>)==0) {
+<a name="l00168"></a>00168                 ofx_encoding.assign(header_value);
+<a name="l00169"></a>00169               }
+<a name="l00170"></a>00170               <span class="keywordflow">if</span>(header_name.compare(<span class="stringliteral">"CHARSET"</span>)==0) {
+<a name="l00171"></a>00171                 ofx_charset.assign(header_value);
+<a name="l00172"></a>00172               }
+<a name="l00173"></a>00173             }
 <a name="l00174"></a>00174           }
-<a name="l00175"></a>00175         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>)
-<a name="l00176"></a>00176           {
-<a name="l00177"></a>00177             <a class="code" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a>(libofx_context, 3,filenames);
-<a name="l00178"></a>00178           }
-<a name="l00179"></a>00179         <span class="keywordflow">else</span>
-<a name="l00180"></a>00180           {
-<a name="l00181"></a>00181             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,string(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
-<a name="l00182"></a>00182           }
-<a name="l00183"></a>00183         <span class="keywordflow">if</span>(remove(tmp_filename)!=0)
-<a name="l00184"></a>00184           {
-<a name="l00185"></a>00185             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Error deleting temporary file "</span>+string(tmp_filename));
-<a name="l00186"></a>00186           }
-<a name="l00187"></a>00187       }
-<a name="l00188"></a>00188     <span class="keywordflow">else</span>
-<a name="l00189"></a>00189       {
-<a name="l00190"></a>00190         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): FATAL: Missing DTD, aborting"</span>);
-<a name="l00191"></a>00191       }
-<a name="l00192"></a>00192   }
-<a name="l00193"></a>00193   <span class="keywordflow">else</span>{
-<a name="l00194"></a>00194     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file():No input file specified"</span>);
-<a name="l00195"></a>00195   }
-<a name="l00196"></a>00196   <span class="keywordflow">return</span> 0;
-<a name="l00197"></a>00197 }
-<a name="l00198"></a>00198 
-<a name="l00199"></a>00199 
-<a name="l00200"></a>00200 
-<a name="l00201"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#b9071aa8248754f9886f5d3a4a904e00">00201</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">libofx_proc_buffer</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00202"></a>00202                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size){
-<a name="l00203"></a>00203   ofstream tmp_file;
-<a name="l00204"></a>00204   string s_buffer;
-<a name="l00205"></a>00205   <span class="keywordtype">char</span> *filenames[3];
-<a name="l00206"></a>00206   <span class="keywordtype">char</span> tmp_filename[50];
-<a name="l00207"></a>00207   <span class="keywordtype">int</span> pos;
-<a name="l00208"></a>00208   <a class="code" href="classLibofxContext.html">LibofxContext</a> *libofx_context;
-<a name="l00209"></a>00209 
-<a name="l00210"></a>00210   libofx_context=(<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx;
-<a name="l00211"></a>00211 
-<a name="l00212"></a>00212   <span class="keywordflow">if</span> (size==0) {
-<a name="l00213"></a>00213     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,
-<a name="l00214"></a>00214                 <span class="stringliteral">"ofx_proc_file(): bad size"</span>);
-<a name="l00215"></a>00215     <span class="keywordflow">return</span> -1;
-<a name="l00216"></a>00216   }
-<a name="l00217"></a>00217   s_buffer=string(s, size);
-<a name="l00218"></a>00218 
-<a name="l00219"></a>00219   strncpy(tmp_filename,<span class="stringliteral">"/tmp/libofxtmpXXXXXX"</span>,50);
-<a name="l00220"></a>00220   mkstemp(tmp_filename);
-<a name="l00221"></a>00221   tmp_file.open(tmp_filename);
-<a name="l00222"></a>00222 
-<a name="l00223"></a>00223   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Creating temp file: "</span>+string(tmp_filename));
-<a name="l00224"></a>00224   <span class="keywordflow">if</span>(!tmp_file){
-<a name="l00225"></a>00225     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the output file "</span>+string(tmp_filename));
-<a name="l00226"></a>00226     <span class="keywordflow">return</span> -1;
-<a name="l00227"></a>00227   }
-<a name="l00228"></a>00228 
-<a name="l00229"></a>00229   <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>) {
-<a name="l00230"></a>00230     pos=s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>);
-<a name="l00231"></a>00231     <span class="keywordflow">if</span> (pos==string::npos)
-<a name="l00232"></a>00232       pos=s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>);
-<a name="l00233"></a>00233   }
-<a name="l00234"></a>00234   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>) {
-<a name="l00235"></a>00235     pos=s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>);
-<a name="l00236"></a>00236     <span class="keywordflow">if</span> (pos==string::npos)
-<a name="l00237"></a>00237       pos=s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>);
-<a name="l00238"></a>00238   }
-<a name="l00239"></a>00239   <span class="keywordflow">else</span> {
-<a name="l00240"></a>00240     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc(): unknown file type"</span>);
-<a name="l00241"></a>00241     <span class="keywordflow">return</span> -1;
-<a name="l00242"></a>00242   }
-<a name="l00243"></a>00243   <span class="keywordflow">if</span> (pos==string::npos) {
-<a name="l00244"></a>00244     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc():&lt;OFX&gt; has not been found"</span>);
-<a name="l00245"></a>00245     <span class="keywordflow">return</span> -1;
-<a name="l00246"></a>00246   }
-<a name="l00247"></a>00247   <span class="keywordflow">else</span> {
-<a name="l00248"></a>00248     <span class="comment">// erase everything before the OFX tag</span>
-<a name="l00249"></a>00249     s_buffer.erase(0, pos);
-<a name="l00250"></a>00250     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OF?&gt; has been found"</span>);
-<a name="l00251"></a>00251   }
-<a name="l00252"></a>00252 
-<a name="l00253"></a>00253   <span class="keywordflow">if</span> (libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>) {
-<a name="l00254"></a>00254     pos=s_buffer.find(<span class="stringliteral">"&lt;/OFX&gt;"</span>);
-<a name="l00255"></a>00255     <span class="keywordflow">if</span> (pos==string::npos)
-<a name="l00256"></a>00256       pos=s_buffer.find(<span class="stringliteral">"&lt;/ofx&gt;"</span>);
-<a name="l00257"></a>00257   }
-<a name="l00258"></a>00258   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>) {
-<a name="l00259"></a>00259     pos=s_buffer.find(<span class="stringliteral">"&lt;/OFC&gt;"</span>);
-<a name="l00260"></a>00260     <span class="keywordflow">if</span> (pos==string::npos)
-<a name="l00261"></a>00261       pos=s_buffer.find(<span class="stringliteral">"&lt;/ofc&gt;"</span>);
+<a name="l00175"></a>00175 
+<a name="l00176"></a>00176           <span class="keywordflow">if</span>(ofx_start==<span class="keyword">true</span> &amp;&amp; ofx_end==<span class="keyword">false</span>){
+<a name="l00177"></a>00177             s_buffer=<a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(s_buffer);
+<a name="l00178"></a>00178             <span class="comment">//cout&lt;&lt; s_buffer&lt;&lt;"\n";</span>
+<a name="l00179"></a>00179 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00180"></a>00180 <span class="preprocessor"></span>            memset(iconv_buffer,0,<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>);
+<a name="l00181"></a>00181             <span class="keywordtype">size_t</span> inbytesleft = strlen(s_buffer.c_str());
+<a name="l00182"></a>00182             <span class="keywordtype">size_t</span> outbytesleft = <a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>;
+<a name="l00183"></a>00183             <span class="keywordtype">char</span> * inchar = (<span class="keywordtype">char</span> *)s_buffer.c_str();
+<a name="l00184"></a>00184             <span class="keywordtype">char</span> * outchar = iconv_buffer;
+<a name="l00185"></a>00185             <span class="keywordtype">int</span> iconv_retval = iconv (conversion_descriptor,
+<a name="l00186"></a>00186                     &amp;inchar, &amp;inbytesleft,
+<a name="l00187"></a>00187                    &amp;outchar, &amp;outbytesleft);
+<a name="l00188"></a>00188             <span class="keywordflow">if</span>(iconv_retval==-1){
+<a name="l00189"></a>00189               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Conversion error"</span>);
+<a name="l00190"></a>00190             }
+<a name="l00191"></a>00191             s_buffer = iconv_buffer;
+<a name="l00192"></a>00192 <span class="preprocessor">#endif</span>
+<a name="l00193"></a>00193 <span class="preprocessor"></span>              tmp_file.write(s_buffer.c_str(), s_buffer.length());
+<a name="l00194"></a>00194           }
+<a name="l00195"></a>00195           
+<a name="l00196"></a>00196           <span class="keywordflow">if</span> (ofx_start==<span class="keyword">true</span> &amp;&amp;
+<a name="l00197"></a>00197               (
+<a name="l00198"></a>00198                (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a> &amp;&amp;
+<a name="l00199"></a>00199                 ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/OFX&gt;"</span>))!=string::npos ||
+<a name="l00200"></a>00200                  (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/ofx&gt;"</span>))!=string::npos))
+<a name="l00201"></a>00201                || (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a> &amp;&amp;
+<a name="l00202"></a>00202                    ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/OFC&gt;"</span>))!=string::npos ||
+<a name="l00203"></a>00203                     (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/ofc&gt;"</span>))!=string::npos))
+<a name="l00204"></a>00204               )
+<a name="l00205"></a>00205              )
+<a name="l00206"></a>00206             {
+<a name="l00207"></a>00207               ofx_end=<span class="keyword">true</span>;
+<a name="l00208"></a>00208               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;/OFX&gt; or &lt;/OFC&gt;  has been found"</span>);
+<a name="l00209"></a>00209             }
+<a name="l00210"></a>00210 
+<a name="l00211"></a>00211         } <span class="keywordflow">while</span>(!input_file.eof()&amp;&amp;!input_file.bad());
+<a name="l00212"></a>00212       }
+<a name="l00213"></a>00213     input_file.close();
+<a name="l00214"></a>00214     tmp_file.close();
+<a name="l00215"></a>00215 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00216"></a>00216 <span class="preprocessor"></span>              iconv_close(conversion_descriptor);
+<a name="l00217"></a>00217 <span class="preprocessor">#endif</span>
+<a name="l00218"></a>00218 <span class="preprocessor"></span>    <span class="keywordtype">char</span> filename_openspdtd[255];
+<a name="l00219"></a>00219     <span class="keywordtype">char</span> filename_dtd[255];
+<a name="l00220"></a>00220     <span class="keywordtype">char</span> filename_ofx[255];
+<a name="l00221"></a>00221     strncpy(filename_openspdtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">OPENSPDCL_FILENAME</a>).c_str(),255);<span class="comment">//The opensp sgml dtd file</span>
+<a name="l00222"></a>00222     <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>)
+<a name="l00223"></a>00223       {
+<a name="l00224"></a>00224         strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">OFX160DTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofx dtd file</span>
+<a name="l00225"></a>00225       }
+<a name="l00226"></a>00226     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>)
+<a name="l00227"></a>00227       {
+<a name="l00228"></a>00228         strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">OFCDTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofc dtd file</span>
+<a name="l00229"></a>00229       }
+<a name="l00230"></a>00230     <span class="keywordflow">else</span>
+<a name="l00231"></a>00231       {
+<a name="l00232"></a>00232         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00233"></a>00233       }
+<a name="l00234"></a>00234 
+<a name="l00235"></a>00235     <span class="keywordflow">if</span>((<span class="keywordtype">string</span>)filename_dtd!=<span class="stringliteral">""</span> &amp;&amp; (<span class="keywordtype">string</span>)filename_openspdtd!=<span class="stringliteral">""</span>)
+<a name="l00236"></a>00236       {
+<a name="l00237"></a>00237         strncpy(filename_ofx,tmp_filename,255);<span class="comment">//The processed ofx file</span>
+<a name="l00238"></a>00238         filenames[0]=filename_openspdtd;
+<a name="l00239"></a>00239         filenames[1]=filename_dtd;
+<a name="l00240"></a>00240         filenames[2]=filename_ofx;
+<a name="l00241"></a>00241         <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>)
+<a name="l00242"></a>00242           {
+<a name="l00243"></a>00243             <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00244"></a>00244           }
+<a name="l00245"></a>00245         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>)
+<a name="l00246"></a>00246           {
+<a name="l00247"></a>00247             <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00248"></a>00248           }
+<a name="l00249"></a>00249         <span class="keywordflow">else</span>
+<a name="l00250"></a>00250           {
+<a name="l00251"></a>00251             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00252"></a>00252           }
+<a name="l00253"></a>00253         <span class="keywordflow">if</span>(<span class="keyword">remove</span>(tmp_filename)!=0)
+<a name="l00254"></a>00254           {
+<a name="l00255"></a>00255             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Error deleting temporary file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00256"></a>00256           }
+<a name="l00257"></a>00257       }
+<a name="l00258"></a>00258     <span class="keywordflow">else</span>
+<a name="l00259"></a>00259       {
+<a name="l00260"></a>00260         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): FATAL: Missing DTD, aborting"</span>);
+<a name="l00261"></a>00261       }
 <a name="l00262"></a>00262   }
-<a name="l00263"></a>00263   <span class="keywordflow">else</span> {
-<a name="l00264"></a>00264     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc(): unknown file type"</span>);
-<a name="l00265"></a>00265     <span class="keywordflow">return</span> -1;
-<a name="l00266"></a>00266   }
-<a name="l00267"></a>00267 
-<a name="l00268"></a>00268   <span class="keywordflow">if</span> (pos==string::npos) {
-<a name="l00269"></a>00269     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc():&lt;/OF?&gt; has not been found"</span>);
-<a name="l00270"></a>00270     <span class="keywordflow">return</span> -1;
-<a name="l00271"></a>00271   }
-<a name="l00272"></a>00272   <span class="keywordflow">else</span> {
-<a name="l00273"></a>00273     <span class="comment">// erase everything after the /OFX tag</span>
-<a name="l00274"></a>00274     s_buffer.erase(pos+6);
-<a name="l00275"></a>00275     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OFX&gt; has been found"</span>);
-<a name="l00276"></a>00276   }
-<a name="l00277"></a>00277 
-<a name="l00278"></a>00278   s_buffer=<a class="code" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a>(s_buffer);
-<a name="l00279"></a>00279   tmp_file.write(s_buffer.c_str(), s_buffer.length());
-<a name="l00280"></a>00280 
-<a name="l00281"></a>00281   tmp_file.close();
-<a name="l00282"></a>00282 
-<a name="l00283"></a>00283   <span class="keywordtype">char</span> filename_openspdtd[255];
-<a name="l00284"></a>00284   <span class="keywordtype">char</span> filename_dtd[255];
-<a name="l00285"></a>00285   <span class="keywordtype">char</span> filename_ofx[255];
-<a name="l00286"></a>00286   strncpy(filename_openspdtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">OPENSPDCL_FILENAME</a>).c_str(),255);<span class="comment">//The opensp sgml dtd file</span>
-<a name="l00287"></a>00287   <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>){
-<a name="l00288"></a>00288     strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">OFX160DTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofx dtd file</span>
-<a name="l00289"></a>00289   }
-<a name="l00290"></a>00290   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>){
-<a name="l00291"></a>00291     strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">OFCDTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofc dtd file</span>
-<a name="l00292"></a>00292   }
-<a name="l00293"></a>00293   <span class="keywordflow">else</span> {
-<a name="l00294"></a>00294     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,string(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
-<a name="l00295"></a>00295   }
-<a name="l00296"></a>00296 
-<a name="l00297"></a>00297   <span class="keywordflow">if</span>((string)filename_dtd!=<span class="stringliteral">""</span> &amp;&amp; (string)filename_openspdtd!=<span class="stringliteral">""</span>){
-<a name="l00298"></a>00298     strncpy(filename_ofx,tmp_filename,255);<span class="comment">//The processed ofx file</span>
-<a name="l00299"></a>00299     filenames[0]=filename_openspdtd;
-<a name="l00300"></a>00300     filenames[1]=filename_dtd;
-<a name="l00301"></a>00301     filenames[2]=filename_ofx;
-<a name="l00302"></a>00302     <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>){
-<a name="l00303"></a>00303       <a class="code" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a>(libofx_context, 3,filenames);
-<a name="l00304"></a>00304     }
-<a name="l00305"></a>00305     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>){
-<a name="l00306"></a>00306       <a class="code" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a>(libofx_context, 3,filenames);
-<a name="l00307"></a>00307     }
-<a name="l00308"></a>00308     <span class="keywordflow">else</span> {
-<a name="l00309"></a>00309       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,string(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
-<a name="l00310"></a>00310     }
-<a name="l00311"></a>00311     <span class="keywordflow">if</span>(remove(tmp_filename)!=0){
-<a name="l00312"></a>00312       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Error deleting temporary file "</span>+string(tmp_filename));
-<a name="l00313"></a>00313     }
-<a name="l00314"></a>00314   }
-<a name="l00315"></a>00315   <span class="keywordflow">else</span> {
-<a name="l00316"></a>00316     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): FATAL: Missing DTD, aborting"</span>);
-<a name="l00317"></a>00317   }
-<a name="l00318"></a>00318 
-<a name="l00319"></a>00319   <span class="keywordflow">return</span> 0;
-<a name="l00320"></a>00320 }
-<a name="l00321"></a>00321 
+<a name="l00263"></a>00263   <span class="keywordflow">else</span>{
+<a name="l00264"></a>00264     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():No input file specified"</span>);
+<a name="l00265"></a>00265   }
+<a name="l00266"></a>00266   <span class="keywordflow">return</span> 0;
+<a name="l00267"></a>00267 }
+<a name="l00268"></a>00268 
+<a name="l00269"></a>00269 
+<a name="l00270"></a>00270 
+<a name="l00271"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">00271</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00272"></a>00272                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size){
+<a name="l00273"></a>00273   ofstream tmp_file;
+<a name="l00274"></a>00274   <span class="keywordtype">string</span> s_buffer;
+<a name="l00275"></a>00275   <span class="keywordtype">char</span> *filenames[3];
+<a name="l00276"></a>00276   <span class="keywordtype">char</span> tmp_filename[50];
+<a name="l00277"></a>00277   <span class="keywordtype">int</span> pos;
+<a name="l00278"></a>00278   <a class="code" href="classLibofxContext.html">LibofxContext</a> *libofx_context;
+<a name="l00279"></a>00279 
+<a name="l00280"></a>00280   libofx_context=(<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx;
+<a name="l00281"></a>00281 
+<a name="l00282"></a>00282   <span class="keywordflow">if</span> (size==0) {
+<a name="l00283"></a>00283     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,
+<a name="l00284"></a>00284                 <span class="stringliteral">"ofx_proc_file(): bad size"</span>);
+<a name="l00285"></a>00285     <span class="keywordflow">return</span> -1;
+<a name="l00286"></a>00286   }
+<a name="l00287"></a>00287   s_buffer=string(s, size);
+<a name="l00288"></a>00288 
+<a name="l00289"></a>00289   strncpy(tmp_filename,<span class="stringliteral">"/tmp/libofxtmpXXXXXX"</span>,50);
+<a name="l00290"></a>00290   mkstemp(tmp_filename);
+<a name="l00291"></a>00291   tmp_file.open(tmp_filename);
+<a name="l00292"></a>00292 
+<a name="l00293"></a>00293   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Creating temp file: "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00294"></a>00294   <span class="keywordflow">if</span>(!tmp_file){
+<a name="l00295"></a>00295     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the output file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00296"></a>00296     <span class="keywordflow">return</span> -1;
+<a name="l00297"></a>00297   }
+<a name="l00298"></a>00298 
+<a name="l00299"></a>00299   <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>) {
+<a name="l00300"></a>00300     pos=s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>);
+<a name="l00301"></a>00301     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00302"></a>00302       pos=s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>);
+<a name="l00303"></a>00303   }
+<a name="l00304"></a>00304   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>) {
+<a name="l00305"></a>00305     pos=s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>);
+<a name="l00306"></a>00306     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00307"></a>00307       pos=s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>);
+<a name="l00308"></a>00308   }
+<a name="l00309"></a>00309   <span class="keywordflow">else</span> {
+<a name="l00310"></a>00310     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc(): unknown file type"</span>);
+<a name="l00311"></a>00311     <span class="keywordflow">return</span> -1;
+<a name="l00312"></a>00312   }
+<a name="l00313"></a>00313   <span class="keywordflow">if</span> (pos==string::npos || pos &gt; s_buffer.size()) {
+<a name="l00314"></a>00314     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc():&lt;OFX&gt; has not been found"</span>);
+<a name="l00315"></a>00315     <span class="keywordflow">return</span> -1;
+<a name="l00316"></a>00316   }
+<a name="l00317"></a>00317   <span class="keywordflow">else</span> {
+<a name="l00318"></a>00318     <span class="comment">// erase everything before the OFX tag</span>
+<a name="l00319"></a>00319     s_buffer.erase(0, pos);
+<a name="l00320"></a>00320     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OF?&gt; has been found"</span>);
+<a name="l00321"></a>00321   }
 <a name="l00322"></a>00322 
-<a name="l00323"></a>00323 
-<a name="l00324"></a>00324 
-<a name="l00325"></a>00325 
-<a name="l00326"></a>00326 
-<a name="l00331"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">00331</a> string <a class="code" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a>(string input_string)
-<a name="l00332"></a>00332 {
-<a name="l00333"></a>00333   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i;
-<a name="l00334"></a>00334   size_t input_string_size;
-<a name="l00335"></a>00335   <span class="keywordtype">bool</span> strip=<span class="keyword">false</span>;
-<a name="l00336"></a>00336   <span class="keywordtype">bool</span> tag_open=<span class="keyword">false</span>;
-<a name="l00337"></a>00337   <span class="keywordtype">int</span> tag_open_idx=0;<span class="comment">//Are we within &lt; &gt; ?</span>
-<a name="l00338"></a>00338   <span class="keywordtype">bool</span> closing_tag_open=<span class="keyword">false</span>;<span class="comment">//Are we within &lt;/ &gt; ?</span>
-<a name="l00339"></a>00339   <span class="keywordtype">int</span> orig_tag_open_idx=0;
-<a name="l00340"></a>00340   <span class="keywordtype">bool</span> proprietary_tag=<span class="keyword">false</span>; <span class="comment">//Are we within a proprietary element?</span>
-<a name="l00341"></a>00341   <span class="keywordtype">bool</span> proprietary_closing_tag=<span class="keyword">false</span>;
-<a name="l00342"></a>00342   <span class="keywordtype">int</span> crop_end_idx=0;
-<a name="l00343"></a>00343   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
-<a name="l00344"></a>00344   <span class="keywordtype">char</span> tagname[<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
-<a name="l00345"></a>00345   <span class="keywordtype">int</span> tagname_idx=0;
-<a name="l00346"></a>00346   <span class="keywordtype">char</span> close_tagname[<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
-<a name="l00347"></a>00347  
-<a name="l00348"></a>00348   <span class="keywordflow">for</span>(i=0;i&lt;<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>;i++){
-<a name="l00349"></a>00349     buffer[i]=0;
-<a name="l00350"></a>00350     tagname[i]=0;
-<a name="l00351"></a>00351     close_tagname[i]=0;
-<a name="l00352"></a>00352   }
-<a name="l00353"></a>00353   
-<a name="l00354"></a>00354   input_string_size=input_string.size();
-<a name="l00355"></a>00355   
-<a name="l00356"></a>00356   <span class="keywordflow">for</span>(i=0;i&lt;=input_string_size;i++){
-<a name="l00357"></a>00357     <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'&lt;'</span>){
-<a name="l00358"></a>00358       tag_open=<span class="keyword">true</span>;
-<a name="l00359"></a>00359       tag_open_idx=i;
-<a name="l00360"></a>00360       <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>&amp;&amp;input_string.c_str()[i+1]==<span class="charliteral">'/'</span>){
-<a name="l00361"></a>00361         <span class="comment">//We are now in a closing tag</span>
-<a name="l00362"></a>00362         closing_tag_open=<span class="keyword">true</span>;
-<a name="l00363"></a>00363         <span class="comment">//cout&lt;&lt;"Comparaison: "&lt;&lt;tagname&lt;&lt;"|"&lt;&lt;&amp;(input_string.c_str()[i+2])&lt;&lt;"|"&lt;&lt;strlen(tagname)&lt;&lt;endl;</span>
-<a name="l00364"></a>00364         <span class="keywordflow">if</span>(strncmp(tagname,&amp;(input_string.c_str()[i+2]),strlen(tagname))!=0){
-<a name="l00365"></a>00365           <span class="comment">//If it is the begining of an other tag</span>
-<a name="l00366"></a>00366           <span class="comment">//cout&lt;&lt;"DIFFERENT!"&lt;&lt;endl;</span>
-<a name="l00367"></a>00367           crop_end_idx=i-1;
-<a name="l00368"></a>00368           strip=<span class="keyword">true</span>;
-<a name="l00369"></a>00369         }
-<a name="l00370"></a>00370         <span class="keywordflow">else</span>{
-<a name="l00371"></a>00371           <span class="comment">//Otherwise, it is the start of the closing tag of the proprietary tag</span>
-<a name="l00372"></a>00372           proprietary_closing_tag=<span class="keyword">true</span>;
-<a name="l00373"></a>00373         }
-<a name="l00374"></a>00374       }
-<a name="l00375"></a>00375       <span class="keywordflow">else</span> <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>){
-<a name="l00376"></a>00376         <span class="comment">//It is the start of a new tag, following a proprietary tag</span>
-<a name="l00377"></a>00377         crop_end_idx=i-1;
-<a name="l00378"></a>00378         strip=<span class="keyword">true</span>;
-<a name="l00379"></a>00379       }
-<a name="l00380"></a>00380     }
-<a name="l00381"></a>00381     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'&gt;'</span>){
-<a name="l00382"></a>00382       tag_open=<span class="keyword">false</span>;
-<a name="l00383"></a>00383       closing_tag_open=<span class="keyword">false</span>;
-<a name="l00384"></a>00384       tagname[tagname_idx]=0;
-<a name="l00385"></a>00385       tagname_idx=0;
-<a name="l00386"></a>00386       <span class="keywordflow">if</span>(proprietary_closing_tag==<span class="keyword">true</span>){
-<a name="l00387"></a>00387         crop_end_idx=i;
-<a name="l00388"></a>00388         strip=<span class="keyword">true</span>;
-<a name="l00389"></a>00389       }
-<a name="l00390"></a>00390     }
-<a name="l00391"></a>00391     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(tag_open==<span class="keyword">true</span>&amp;&amp;closing_tag_open==<span class="keyword">false</span>){
-<a name="l00392"></a>00392       <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'.'</span>){
-<a name="l00393"></a>00393         <span class="keywordflow">if</span>(proprietary_tag!=<span class="keyword">true</span>){
-<a name="l00394"></a>00394           orig_tag_open_idx = tag_open_idx;
-<a name="l00395"></a>00395           proprietary_tag=<span class="keyword">true</span>;
-<a name="l00396"></a>00396         }
-<a name="l00397"></a>00397       }
-<a name="l00398"></a>00398       tagname[tagname_idx]=input_string.c_str()[i];
-<a name="l00399"></a>00399       tagname_idx++;
-<a name="l00400"></a>00400     }
-<a name="l00401"></a>00401     <span class="comment">//cerr &lt;&lt;i&lt;&lt;endl;</span>
-<a name="l00402"></a>00402     <span class="keywordflow">if</span>(strip==<span class="keyword">true</span>)
-<a name="l00403"></a>00403       {
-<a name="l00404"></a>00404         input_string.copy(buffer,(crop_end_idx-orig_tag_open_idx)+1,orig_tag_open_idx);
-<a name="l00405"></a>00405         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>,<span class="stringliteral">"sanitize_proprietary_tags() (end tag or new tag) removed: "</span>+string(buffer));
-<a name="l00406"></a>00406         input_string.erase(orig_tag_open_idx,(crop_end_idx-orig_tag_open_idx)+1);
-<a name="l00407"></a>00407         i=orig_tag_open_idx-1;
-<a name="l00408"></a>00408         proprietary_tag=<span class="keyword">false</span>;
-<a name="l00409"></a>00409         proprietary_closing_tag=<span class="keyword">false</span>;
-<a name="l00410"></a>00410         closing_tag_open=<span class="keyword">false</span>;
-<a name="l00411"></a>00411         tag_open=<span class="keyword">false</span>;
-<a name="l00412"></a>00412         strip=<span class="keyword">false</span>;
-<a name="l00413"></a>00413       }
-<a name="l00414"></a>00414 
-<a name="l00415"></a>00415   }<span class="comment">//end for</span>
-<a name="l00416"></a>00416   <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>){
-<a name="l00417"></a>00417     <span class="keywordflow">if</span>(crop_end_idx==0){<span class="comment">//no closing tag</span>
-<a name="l00418"></a>00418       crop_end_idx=input_string.size()-1;
-<a name="l00419"></a>00419     }
-<a name="l00420"></a>00420     input_string.copy(buffer,(crop_end_idx-orig_tag_open_idx)+1,orig_tag_open_idx);
-<a name="l00421"></a>00421     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>,<span class="stringliteral">"sanitize_proprietary_tags() (end of line) removed: "</span>+string(buffer));
-<a name="l00422"></a>00422     input_string.erase(orig_tag_open_idx,(crop_end_idx-orig_tag_open_idx)+1);
+<a name="l00323"></a>00323   <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>) {
+<a name="l00324"></a>00324     pos=s_buffer.find(<span class="stringliteral">"&lt;/OFX&gt;"</span>);
+<a name="l00325"></a>00325     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00326"></a>00326       pos=s_buffer.find(<span class="stringliteral">"&lt;/ofx&gt;"</span>);
+<a name="l00327"></a>00327   }
+<a name="l00328"></a>00328   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>) {
+<a name="l00329"></a>00329     pos=s_buffer.find(<span class="stringliteral">"&lt;/OFC&gt;"</span>);
+<a name="l00330"></a>00330     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00331"></a>00331       pos=s_buffer.find(<span class="stringliteral">"&lt;/ofc&gt;"</span>);
+<a name="l00332"></a>00332   }
+<a name="l00333"></a>00333   <span class="keywordflow">else</span> {
+<a name="l00334"></a>00334     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc(): unknown file type"</span>);
+<a name="l00335"></a>00335     <span class="keywordflow">return</span> -1;
+<a name="l00336"></a>00336   }
+<a name="l00337"></a>00337 
+<a name="l00338"></a>00338   <span class="keywordflow">if</span> (pos==string::npos || pos &gt; s_buffer.size()) {
+<a name="l00339"></a>00339     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc():&lt;/OF?&gt; has not been found"</span>);
+<a name="l00340"></a>00340     <span class="keywordflow">return</span> -1;
+<a name="l00341"></a>00341   }
+<a name="l00342"></a>00342   <span class="keywordflow">else</span> {
+<a name="l00343"></a>00343     <span class="comment">// erase everything after the /OFX tag</span>
+<a name="l00344"></a>00344     <span class="keywordflow">if</span> (s_buffer.size() &gt; pos+6)
+<a name="l00345"></a>00345       s_buffer.erase(pos+6);
+<a name="l00346"></a>00346     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OFX&gt; has been found"</span>);
+<a name="l00347"></a>00347   }
+<a name="l00348"></a>00348 
+<a name="l00349"></a>00349   s_buffer=<a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(s_buffer);
+<a name="l00350"></a>00350   tmp_file.write(s_buffer.c_str(), s_buffer.length());
+<a name="l00351"></a>00351 
+<a name="l00352"></a>00352   tmp_file.close();
+<a name="l00353"></a>00353 
+<a name="l00354"></a>00354   <span class="keywordtype">char</span> filename_openspdtd[255];
+<a name="l00355"></a>00355   <span class="keywordtype">char</span> filename_dtd[255];
+<a name="l00356"></a>00356   <span class="keywordtype">char</span> filename_ofx[255];
+<a name="l00357"></a>00357   strncpy(filename_openspdtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">OPENSPDCL_FILENAME</a>).c_str(),255);<span class="comment">//The opensp sgml dtd file</span>
+<a name="l00358"></a>00358   <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>){
+<a name="l00359"></a>00359     strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">OFX160DTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofx dtd file</span>
+<a name="l00360"></a>00360   }
+<a name="l00361"></a>00361   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>){
+<a name="l00362"></a>00362     strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">OFCDTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofc dtd file</span>
+<a name="l00363"></a>00363   }
+<a name="l00364"></a>00364   <span class="keywordflow">else</span> {
+<a name="l00365"></a>00365     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00366"></a>00366   }
+<a name="l00367"></a>00367 
+<a name="l00368"></a>00368   <span class="keywordflow">if</span>((<span class="keywordtype">string</span>)filename_dtd!=<span class="stringliteral">""</span> &amp;&amp; (<span class="keywordtype">string</span>)filename_openspdtd!=<span class="stringliteral">""</span>){
+<a name="l00369"></a>00369     strncpy(filename_ofx,tmp_filename,255);<span class="comment">//The processed ofx file</span>
+<a name="l00370"></a>00370     filenames[0]=filename_openspdtd;
+<a name="l00371"></a>00371     filenames[1]=filename_dtd;
+<a name="l00372"></a>00372     filenames[2]=filename_ofx;
+<a name="l00373"></a>00373     <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>){
+<a name="l00374"></a>00374       <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00375"></a>00375     }
+<a name="l00376"></a>00376     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>){
+<a name="l00377"></a>00377       <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00378"></a>00378     }
+<a name="l00379"></a>00379     <span class="keywordflow">else</span> {
+<a name="l00380"></a>00380       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00381"></a>00381     }
+<a name="l00382"></a>00382     <span class="keywordflow">if</span>(<span class="keyword">remove</span>(tmp_filename)!=0){
+<a name="l00383"></a>00383       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Error deleting temporary file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00384"></a>00384     }
+<a name="l00385"></a>00385   }
+<a name="l00386"></a>00386   <span class="keywordflow">else</span> {
+<a name="l00387"></a>00387     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): FATAL: Missing DTD, aborting"</span>);
+<a name="l00388"></a>00388   }
+<a name="l00389"></a>00389 
+<a name="l00390"></a>00390   <span class="keywordflow">return</span> 0;
+<a name="l00391"></a>00391 }
+<a name="l00392"></a>00392 
+<a name="l00393"></a>00393 
+<a name="l00394"></a>00394 
+<a name="l00395"></a>00395 
+<a name="l00396"></a>00396 
+<a name="l00397"></a>00397 
+<a name="l00402"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">00402</a> <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(<span class="keywordtype">string</span> input_string)
+<a name="l00403"></a>00403 {
+<a name="l00404"></a>00404   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i;
+<a name="l00405"></a>00405   <span class="keywordtype">size_t</span> input_string_size;
+<a name="l00406"></a>00406   <span class="keywordtype">bool</span> strip=<span class="keyword">false</span>;
+<a name="l00407"></a>00407   <span class="keywordtype">bool</span> tag_open=<span class="keyword">false</span>;
+<a name="l00408"></a>00408   <span class="keywordtype">int</span> tag_open_idx=0;<span class="comment">//Are we within &lt; &gt; ?</span>
+<a name="l00409"></a>00409   <span class="keywordtype">bool</span> closing_tag_open=<span class="keyword">false</span>;<span class="comment">//Are we within &lt;/ &gt; ?</span>
+<a name="l00410"></a>00410   <span class="keywordtype">int</span> orig_tag_open_idx=0;
+<a name="l00411"></a>00411   <span class="keywordtype">bool</span> proprietary_tag=<span class="keyword">false</span>; <span class="comment">//Are we within a proprietary element?</span>
+<a name="l00412"></a>00412   <span class="keywordtype">bool</span> proprietary_closing_tag=<span class="keyword">false</span>;
+<a name="l00413"></a>00413   <span class="keywordtype">int</span> crop_end_idx=0;
+<a name="l00414"></a>00414   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
+<a name="l00415"></a>00415   <span class="keywordtype">char</span> tagname[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
+<a name="l00416"></a>00416   <span class="keywordtype">int</span> tagname_idx=0;
+<a name="l00417"></a>00417   <span class="keywordtype">char</span> close_tagname[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
+<a name="l00418"></a>00418  
+<a name="l00419"></a>00419   <span class="keywordflow">for</span>(i=0;i&lt;<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>;i++){
+<a name="l00420"></a>00420     buffer[i]=0;
+<a name="l00421"></a>00421     tagname[i]=0;
+<a name="l00422"></a>00422     close_tagname[i]=0;
 <a name="l00423"></a>00423   }
-<a name="l00424"></a>00424   <span class="keywordflow">return</span> input_string;
-<a name="l00425"></a>00425 }
-<a name="l00426"></a>00426 
-<a name="l00427"></a>00427 
-<a name="l00428"></a>00428 
-<a name="l00434"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">00434</a> string <a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(string dtd_filename)
-<a name="l00435"></a>00435 {
-<a name="l00436"></a>00436   <span class="keywordtype">int</span> i;
-<a name="l00437"></a>00437   ifstream dtd_file;
-<a name="l00438"></a>00438   string dtd_path_filename;
-<a name="l00439"></a>00439   <span class="keywordtype">bool</span> dtd_found=<span class="keyword">false</span>;
-<a name="l00440"></a>00440 
-<a name="l00441"></a>00441   <span class="keywordflow">for</span>(i=0;i&lt;<a class="code" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a>&amp;&amp;dtd_found==<span class="keyword">false</span>;i++){
-<a name="l00442"></a>00442     dtd_path_filename=<a class="code" href="ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">DTD_SEARCH_PATH</a>[i];
-<a name="l00443"></a>00443     dtd_path_filename.append(dtd_filename);
-<a name="l00444"></a>00444     dtd_file.clear();
-<a name="l00445"></a>00445     dtd_file.open(dtd_path_filename.c_str());
-<a name="l00446"></a>00446     <span class="keywordflow">if</span>(!dtd_file){
-<a name="l00447"></a>00447       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"find_dtd():Unable to open the file "</span>+dtd_path_filename);
-<a name="l00448"></a>00448     }
-<a name="l00449"></a>00449     <span class="keywordflow">else</span>{
-<a name="l00450"></a>00450       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">STATUS</a>,<span class="stringliteral">"find_dtd():DTD found: "</span>+dtd_path_filename);
-<a name="l00451"></a>00451       dtd_file.close();
-<a name="l00452"></a>00452       dtd_found=<span class="keyword">true</span>;
-<a name="l00453"></a>00453     }
-<a name="l00454"></a>00454   }
-<a name="l00455"></a>00455   <span class="keywordflow">if</span>(dtd_found==<span class="keyword">false</span>){
-<a name="l00456"></a>00456     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"find_dtd():Unable to find the DTD named "</span> + dtd_filename);
-<a name="l00457"></a>00457     dtd_path_filename=<span class="stringliteral">""</span>;
-<a name="l00458"></a>00458   }
-<a name="l00459"></a>00459   <span class="keywordflow">return</span> dtd_path_filename;
-<a name="l00460"></a>00460 }
-<a name="l00461"></a>00461 
-<a name="l00462"></a>00462 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00424"></a>00424   
+<a name="l00425"></a>00425   input_string_size=input_string.size();
+<a name="l00426"></a>00426   
+<a name="l00427"></a>00427   <span class="keywordflow">for</span>(i=0;i&lt;=input_string_size;i++){
+<a name="l00428"></a>00428     <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'&lt;'</span>){
+<a name="l00429"></a>00429       tag_open=<span class="keyword">true</span>;
+<a name="l00430"></a>00430       tag_open_idx=i;
+<a name="l00431"></a>00431       <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>&amp;&amp;input_string.c_str()[i+1]==<span class="charliteral">'/'</span>){
+<a name="l00432"></a>00432         <span class="comment">//We are now in a closing tag</span>
+<a name="l00433"></a>00433         closing_tag_open=<span class="keyword">true</span>;
+<a name="l00434"></a>00434         <span class="comment">//cout&lt;&lt;"Comparaison: "&lt;&lt;tagname&lt;&lt;"|"&lt;&lt;&amp;(input_string.c_str()[i+2])&lt;&lt;"|"&lt;&lt;strlen(tagname)&lt;&lt;endl;</span>
+<a name="l00435"></a>00435         <span class="keywordflow">if</span>(strncmp(tagname,&amp;(input_string.c_str()[i+2]),strlen(tagname))!=0){
+<a name="l00436"></a>00436           <span class="comment">//If it is the begining of an other tag</span>
+<a name="l00437"></a>00437           <span class="comment">//cout&lt;&lt;"DIFFERENT!"&lt;&lt;endl;</span>
+<a name="l00438"></a>00438           crop_end_idx=i-1;
+<a name="l00439"></a>00439           strip=<span class="keyword">true</span>;
+<a name="l00440"></a>00440         }
+<a name="l00441"></a>00441         <span class="keywordflow">else</span>{
+<a name="l00442"></a>00442           <span class="comment">//Otherwise, it is the start of the closing tag of the proprietary tag</span>
+<a name="l00443"></a>00443           proprietary_closing_tag=<span class="keyword">true</span>;
+<a name="l00444"></a>00444         }
+<a name="l00445"></a>00445       }
+<a name="l00446"></a>00446       <span class="keywordflow">else</span> <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>){
+<a name="l00447"></a>00447         <span class="comment">//It is the start of a new tag, following a proprietary tag</span>
+<a name="l00448"></a>00448         crop_end_idx=i-1;
+<a name="l00449"></a>00449         strip=<span class="keyword">true</span>;
+<a name="l00450"></a>00450       }
+<a name="l00451"></a>00451     }
+<a name="l00452"></a>00452     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'&gt;'</span>){
+<a name="l00453"></a>00453       tag_open=<span class="keyword">false</span>;
+<a name="l00454"></a>00454       closing_tag_open=<span class="keyword">false</span>;
+<a name="l00455"></a>00455       tagname[tagname_idx]=0;
+<a name="l00456"></a>00456       tagname_idx=0;
+<a name="l00457"></a>00457       <span class="keywordflow">if</span>(proprietary_closing_tag==<span class="keyword">true</span>){
+<a name="l00458"></a>00458         crop_end_idx=i;
+<a name="l00459"></a>00459         strip=<span class="keyword">true</span>;
+<a name="l00460"></a>00460       }
+<a name="l00461"></a>00461     }
+<a name="l00462"></a>00462     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(tag_open==<span class="keyword">true</span>&amp;&amp;closing_tag_open==<span class="keyword">false</span>){
+<a name="l00463"></a>00463       <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'.'</span>){
+<a name="l00464"></a>00464         <span class="keywordflow">if</span>(proprietary_tag!=<span class="keyword">true</span>){
+<a name="l00465"></a>00465           orig_tag_open_idx = tag_open_idx;
+<a name="l00466"></a>00466           proprietary_tag=<span class="keyword">true</span>;
+<a name="l00467"></a>00467         }
+<a name="l00468"></a>00468       }
+<a name="l00469"></a>00469       tagname[tagname_idx]=input_string.c_str()[i];
+<a name="l00470"></a>00470       tagname_idx++;
+<a name="l00471"></a>00471     }
+<a name="l00472"></a>00472     <span class="comment">//cerr &lt;&lt;i&lt;&lt;endl;</span>
+<a name="l00473"></a>00473     <span class="keywordflow">if</span>(strip==<span class="keyword">true</span>)
+<a name="l00474"></a>00474       {
+<a name="l00475"></a>00475         input_string.copy(buffer,(crop_end_idx-orig_tag_open_idx)+1,orig_tag_open_idx);
+<a name="l00476"></a>00476         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,<span class="stringliteral">"sanitize_proprietary_tags() (end tag or new tag) removed: "</span>+<span class="keywordtype">string</span>(buffer));
+<a name="l00477"></a>00477         input_string.erase(orig_tag_open_idx,(crop_end_idx-orig_tag_open_idx)+1);
+<a name="l00478"></a>00478         i=orig_tag_open_idx-1;
+<a name="l00479"></a>00479         proprietary_tag=<span class="keyword">false</span>;
+<a name="l00480"></a>00480         proprietary_closing_tag=<span class="keyword">false</span>;
+<a name="l00481"></a>00481         closing_tag_open=<span class="keyword">false</span>;
+<a name="l00482"></a>00482         tag_open=<span class="keyword">false</span>;
+<a name="l00483"></a>00483         strip=<span class="keyword">false</span>;
+<a name="l00484"></a>00484       }
+<a name="l00485"></a>00485 
+<a name="l00486"></a>00486   }<span class="comment">//end for</span>
+<a name="l00487"></a>00487   <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>){
+<a name="l00488"></a>00488     <span class="keywordflow">if</span>(crop_end_idx==0){<span class="comment">//no closing tag</span>
+<a name="l00489"></a>00489       crop_end_idx=input_string.size()-1;
+<a name="l00490"></a>00490     }
+<a name="l00491"></a>00491     input_string.copy(buffer,(crop_end_idx-orig_tag_open_idx)+1,orig_tag_open_idx);
+<a name="l00492"></a>00492     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,<span class="stringliteral">"sanitize_proprietary_tags() (end of line) removed: "</span>+<span class="keywordtype">string</span>(buffer));
+<a name="l00493"></a>00493     input_string.erase(orig_tag_open_idx,(crop_end_idx-orig_tag_open_idx)+1);
+<a name="l00494"></a>00494   }
+<a name="l00495"></a>00495   <span class="keywordflow">return</span> input_string;
+<a name="l00496"></a>00496 }
+<a name="l00497"></a>00497 
+<a name="l00498"></a>00498 
+<a name="l00499"></a>00499 
+<a name="l00505"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#668d0fdb6a2859c117273c02eb478e53">00505</a> <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<span class="keywordtype">string</span> dtd_filename)
+<a name="l00506"></a>00506 {
+<a name="l00507"></a>00507   <span class="keywordtype">int</span> i;
+<a name="l00508"></a>00508   ifstream dtd_file;
+<a name="l00509"></a>00509   <span class="keywordtype">string</span> dtd_path_filename;
+<a name="l00510"></a>00510   <span class="keywordtype">bool</span> dtd_found=<span class="keyword">false</span>;
+<a name="l00511"></a>00511 
+<a name="l00512"></a>00512   <span class="keywordflow">for</span>(i=0;i&lt;<a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a>&amp;&amp;dtd_found==<span class="keyword">false</span>;i++){
+<a name="l00513"></a>00513     dtd_path_filename=<a class="code" href="ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3" title="The list of paths to search for the DTDs.">DTD_SEARCH_PATH</a>[i];
+<a name="l00514"></a>00514     dtd_path_filename.append(dtd_filename);
+<a name="l00515"></a>00515     dtd_file.clear();
+<a name="l00516"></a>00516     dtd_file.open(dtd_path_filename.c_str());
+<a name="l00517"></a>00517     <span class="keywordflow">if</span>(!dtd_file){
+<a name="l00518"></a>00518       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"find_dtd():Unable to open the file "</span>+dtd_path_filename);
+<a name="l00519"></a>00519     }
+<a name="l00520"></a>00520     <span class="keywordflow">else</span>{
+<a name="l00521"></a>00521       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a>,<span class="stringliteral">"find_dtd():DTD found: "</span>+dtd_path_filename);
+<a name="l00522"></a>00522       dtd_file.close();
+<a name="l00523"></a>00523       dtd_found=<span class="keyword">true</span>;
+<a name="l00524"></a>00524     }
+<a name="l00525"></a>00525   }
+<a name="l00526"></a>00526   <span class="keywordflow">if</span>(dtd_found==<span class="keyword">false</span>){
+<a name="l00527"></a>00527     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"find_dtd():Unable to find the DTD named "</span> + dtd_filename);
+<a name="l00528"></a>00528     dtd_path_filename=<span class="stringliteral">""</span>;
+<a name="l00529"></a>00529   }
+<a name="l00530"></a>00530   <span class="keywordflow">return</span> dtd_path_filename;
+<a name="l00531"></a>00531 }
+<a name="l00532"></a>00532 
+<a name="l00533"></a>00533 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__preproc_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__preproc_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__preproc_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,228 +1,192 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_preproc.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_preproc.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Preprocessing of the OFX files before parsing. 
 <p>
 Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD. 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="09a61c3060675652c8264d4a2ed4fce9"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::LIBOFX_DEFAULT_INPUT_ENCODING" ref="09a61c3060675652c8264d4a2ed4fce9" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">LIBOFX_DEFAULT_INPUT_ENCODING</a>&nbsp;&nbsp;&nbsp;&quot;CP1252&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c27a6a130c3778f9fafbc6cc6b85481a"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::LIBOFX_DEFAULT_OUTPUT_ENCODING" ref="c27a6a130c3778f9fafbc6cc6b85481a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">LIBOFX_DEFAULT_OUTPUT_ENCODING</a>&nbsp;&nbsp;&nbsp;&quot;UTF-8&quot;</td></tr>
+
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_proc_file</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, const char *p_filename)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ofx_proc_file process an ofx or ofc file.  <a href="#7b1cf1b458173b5f65bc8d2663121202"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#b9071aa8248754f9886f5d3a4a904e00">libofx_proc_buffer</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, const char *s, unsigned int size)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a> (string input_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes proprietary tags and comments.  <a href="#1081ea6fa992f51998090e4c24d6cc64"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a> (string dtd_filename)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the appropriate DTD for the file version.  <a href="#5efb55f65bf1d51e4863c6cc1c10439c"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">ofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, const char *p_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">File pre-processing of OFX AND for OFC files.  <a href="#f2eca18ef5a500e7f76ed180d0af8a0a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, const char *s, unsigned int size)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">sanitize_proprietary_tags</a> (string input_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes proprietary tags and comments.  <a href="#cdbd49c3c11946411dd76016609bd333"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#668d0fdb6a2859c117273c02eb478e53">find_dtd</a> (string dtd_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the appropriate DTD for the file version.  <a href="#668d0fdb6a2859c117273c02eb478e53"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="28ceb7515369bc9485582d52bafaa4ca"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::DTD_SEARCH_PATH_NUM" ref="28ceb7515369bc9485582d52bafaa4ca" args="" -->
-const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a> = 3</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="877a644df33a5047e92386446c5cce88"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::DTD_SEARCH_PATH_NUM" ref="877a644df33a5047e92386446c5cce88" args="" -->
+const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">DTD_SEARCH_PATH_NUM</a> = 3</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of different paths to search for DTDs. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">DTD_SEARCH_PATH</a> [<a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a>]</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">DTD_SEARCH_PATH</a> [<a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">DTD_SEARCH_PATH_NUM</a>]</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The list of paths to search for the DTDs.  <a href="#0f48385ce1749e68a87b61c8f5755742"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9eee3543dcaefab6e13ffd2868c07aaa"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::READ_BUFFER_SIZE" ref="9eee3543dcaefab6e13ffd2868c07aaa" args="" -->
-const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a> = 1024</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The list of paths to search for the DTDs.  <a href="#760a72b5e13c14b54c8eb0af7a4000d3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3a4f15870bd5573d14fceb17c65162ee"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::READ_BUFFER_SIZE" ref="3a4f15870bd5573d14fceb17c65162ee" args="" -->
+const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024</td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="5efb55f65bf1d51e4863c6cc1c10439c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::find_dtd" ref="5efb55f65bf1d51e4863c6cc1c10439c" args="(string dtd_filename)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="668d0fdb6a2859c117273c02eb478e53"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::find_dtd" ref="668d0fdb6a2859c117273c02eb478e53" args="(string dtd_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">string find_dtd           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>dtd_filename</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">string find_dtd           </td>
+          <td>(</td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>dtd_filename</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Find the appropriate DTD for the file version. 
 <p>
 This function will try to find a DTD matching the requested_version and return the full path of the DTD found (or an empty string if unsuccessfull)<p>
 Please note that currently the function will ALWAYS look for version 160, since OpenSP can't parse the 201 DTD correctly 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00434">434</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b9071aa8248754f9886f5d3a4a904e00"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::libofx_proc_buffer" ref="b9071aa8248754f9886f5d3a4a904e00" args="(LibofxContextPtr ctx, const char *s, unsigned int size)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int libofx_proc_buffer           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>s</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>unsigned int&nbsp;</td>
-          <td class="mdname" nowrap> <em>size</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00505">505</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="02ee3c0b61d866f98fd0f15775d06895"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::libofx_proc_buffer" ref="02ee3c0b61d866f98fd0f15775d06895" args="(LibofxContextPtr ctx, const char *s, unsigned int size)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_buffer           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>s</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">unsigned int&nbsp;</td>
+          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses the content of the given buffer. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00201">201</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="7b1cf1b458173b5f65bc8d2663121202"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::ofx_proc_file" ref="7b1cf1b458173b5f65bc8d2663121202" args="(LibofxContextPtr ctx, const char *p_filename)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int ofx_proc_file           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>p_filename</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00271">271</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f2eca18ef5a500e7f76ed180d0af8a0a"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::ofx_proc_file" ref="f2eca18ef5a500e7f76ed180d0af8a0a" args="(LibofxContextPtr ctx, const char *p_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int ofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
-ofx_proc_file process an ofx or ofc file. 
+File pre-processing of OFX AND for OFC files. 
 <p>
+ofx_proc_file process an ofx or ofc file.<p>
 Takes care of comment striping, dtd locating, etc. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00058">58</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="1081ea6fa992f51998090e4c24d6cc64"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::sanitize_proprietary_tags" ref="1081ea6fa992f51998090e4c24d6cc64" args="(string input_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00065">65</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cdbd49c3c11946411dd76016609bd333"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::sanitize_proprietary_tags" ref="cdbd49c3c11946411dd76016609bd333" args="(string input_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">string sanitize_proprietary_tags           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>input_string</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">string sanitize_proprietary_tags           </td>
+          <td>(</td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>input_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Removes proprietary tags and comments. 
 <p>
 This function will strip all the OFX proprietary tags and SGML comments from the SGML string passed to it 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00331">331</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00402">402</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="0f48385ce1749e68a87b61c8f5755742"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::DTD_SEARCH_PATH" ref="0f48385ce1749e68a87b61c8f5755742" args="[DTD_SEARCH_PATH_NUM]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="760a72b5e13c14b54c8eb0af7a4000d3"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.cpp::DTD_SEARCH_PATH" ref="760a72b5e13c14b54c8eb0af7a4000d3" args="[DTD_SEARCH_PATH_NUM]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">const char* <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">DTD_SEARCH_PATH</a>[<a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a>]          </td>
+          <td class="memname">const char* <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">DTD_SEARCH_PATH</a>[<a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">DTD_SEARCH_PATH_NUM</a>]          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 <b>Initial value:</b><div class="fragment"><pre class="fragment"> { 
@@ -235,12 +199,12 @@
 </pre></div>The list of paths to search for the DTDs. 
 <p>
 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00045">45</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00052">52</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__preproc_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__preproc_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__preproc_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_preproc.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_preproc.hh</h1><a href="fx-0_88_82_2lib_2ofx__preproc_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_preproc.h</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,17 +32,17 @@
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include "context.hh"</span>
 <a name="l00024"></a>00024 
-<a name="l00025"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">00025</a> <span class="preprocessor">#define OPENSPDCL_FILENAME "opensp.dcl"</span>
-<a name="l00026"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">00026</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX160DTD_FILENAME "ofx160.dtd"</span>
-<a name="l00027"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">00027</a> <span class="preprocessor"></span><span class="preprocessor">#define OFCDTD_FILENAME "ofc.dtd"</span>
+<a name="l00025"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">00025</a> <span class="preprocessor">#define OPENSPDCL_FILENAME "opensp.dcl"</span>
+<a name="l00026"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">00026</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX160DTD_FILENAME "ofx160.dtd"</span>
+<a name="l00027"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">00027</a> <span class="preprocessor"></span><span class="preprocessor">#define OFCDTD_FILENAME "ofc.dtd"</span>
 <a name="l00028"></a>00028 <span class="preprocessor"></span>
-<a name="l00030"></a>00030 string <a class="code" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a>(string input_string);
-<a name="l00032"></a>00032 string <a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(string dtd_filename);
-<a name="l00039"></a>00039 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context, <span class="keyword">const</span> <span class="keywordtype">char</span> *);
+<a name="l00030"></a>00030 <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(<span class="keywordtype">string</span> input_string);
+<a name="l00032"></a>00032 <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<span class="keywordtype">string</span> dtd_filename);
+<a name="l00039"></a>00039 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, <span class="keyword">const</span> <span class="keywordtype">char</span> *);
 <a name="l00040"></a>00040 
 <a name="l00041"></a>00041 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__preproc_8hh.html'
--- doc/html/fx-0_88_82_2lib_2ofx__preproc_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__preproc_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,163 +1,137 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_preproc.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_preproc.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Preprocessing of the OFX files before parsing. 
 <p>
 Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD. 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh-source.html">fx-0.8.2/lib/ofx_preproc.hh</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh-source.html">fx-0.8.2/lib/ofx_preproc.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__preproc_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Defines</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5672c78b4764323c0a9f2b19887d9431"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::OPENSPDCL_FILENAME" ref="5672c78b4764323c0a9f2b19887d9431" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">OPENSPDCL_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;opensp.dcl&quot;</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e8845df1e079aa24b66aa0f5360b2893"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::OFX160DTD_FILENAME" ref="e8845df1e079aa24b66aa0f5360b2893" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">OFX160DTD_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;ofx160.dtd&quot;</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="148e2bcd13df8fdbaf41d797c48b7755"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::OFCDTD_FILENAME" ref="148e2bcd13df8fdbaf41d797c48b7755" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">OFCDTD_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;ofc.dtd&quot;</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d9e6681d8259d0d224f7c775eb25487c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::OPENSPDCL_FILENAME" ref="d9e6681d8259d0d224f7c775eb25487c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">OPENSPDCL_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;opensp.dcl&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9048e71566173bdc4719830bf28bec3b"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::OFX160DTD_FILENAME" ref="9048e71566173bdc4719830bf28bec3b" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">OFX160DTD_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;ofx160.dtd&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db19c9e865a6e5d4ae16c68b36b1734c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::OFCDTD_FILENAME" ref="db19c9e865a6e5d4ae16c68b36b1734c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">OFCDTD_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;ofc.dtd&quot;</td></tr>
 
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a> (string input_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes proprietary tags and comments.  <a href="#1081ea6fa992f51998090e4c24d6cc64"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a> (string dtd_filename)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the appropriate DTD for the file version.  <a href="#5efb55f65bf1d51e4863c6cc1c10439c"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#878483503b673b330380995e1da3a7ea">ofx_proc_file</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context, const char *)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ofx_proc_file process an ofx or ofc file.  <a href="#878483503b673b330380995e1da3a7ea"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#cdbd49c3c11946411dd76016609bd333">sanitize_proprietary_tags</a> (string input_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes proprietary tags and comments.  <a href="#cdbd49c3c11946411dd76016609bd333"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#668d0fdb6a2859c117273c02eb478e53">find_dtd</a> (string dtd_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the appropriate DTD for the file version.  <a href="#668d0fdb6a2859c117273c02eb478e53"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#962fcc61a6192bd63ac3fb234fd07cc4">ofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, const char *)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ofx_proc_file process an ofx or ofc file.  <a href="#962fcc61a6192bd63ac3fb234fd07cc4"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="5efb55f65bf1d51e4863c6cc1c10439c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::find_dtd" ref="5efb55f65bf1d51e4863c6cc1c10439c" args="(string dtd_filename)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="668d0fdb6a2859c117273c02eb478e53"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::find_dtd" ref="668d0fdb6a2859c117273c02eb478e53" args="(string dtd_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">string find_dtd           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>dtd_filename</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">string find_dtd           </td>
+          <td>(</td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>dtd_filename</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Find the appropriate DTD for the file version. 
 <p>
 This function will try to find a DTD matching the requested_version and return the full path of the DTD found (or an empty string if unsuccessfull)<p>
 Please note that currently the function will ALWAYS look for version 160, since OpenSP can't parse the 201 DTD correctly 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00434">434</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="878483503b673b330380995e1da3a7ea"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::ofx_proc_file" ref="878483503b673b330380995e1da3a7ea" args="(LibofxContextPtr libofx_context, const char *)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int ofx_proc_file           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>p_filename</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html#l00505">505</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp-source.html">fx-0.8.2/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="962fcc61a6192bd63ac3fb234fd07cc4"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::ofx_proc_file" ref="962fcc61a6192bd63ac3fb234fd07cc4" args="(LibofxContextPtr libofx_context, const char *)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int ofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 ofx_proc_file process an ofx or ofc file. 
 <p>
+libofx_proc_file must be called with a list of 1 or more OFX files to be parsed in command line format.<p>
+ofx_proc_file process an ofx or ofc file.<p>
 Takes care of comment striping, dtd locating, etc. 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00058">58</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="1081ea6fa992f51998090e4c24d6cc64"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::sanitize_proprietary_tags" ref="1081ea6fa992f51998090e4c24d6cc64" args="(string input_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00070">70</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cdbd49c3c11946411dd76016609bd333"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_preproc.hh::sanitize_proprietary_tags" ref="cdbd49c3c11946411dd76016609bd333" args="(string input_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">string sanitize_proprietary_tags           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>input_string</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">string sanitize_proprietary_tags           </td>
+          <td>(</td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>input_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Removes proprietary tags and comments. 
 <p>
 This function will strip all the OFX proprietary tags and SGML comments from the SGML string passed to it 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00331">331</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00411">411</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request.cpp</h1><a href="fx-0_88_82_2lib_2ofx__request_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_request.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,13 +33,13 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__request_8hh.html">ofx_request.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__request_8hh.html" title="Declaration of an OfxRequests to create an OFX file containing a generic request...">ofx_request.hh</a>"</span>
 <a name="l00028"></a>00028 
 <a name="l00029"></a>00029 <span class="keyword">using namespace </span>std;
 <a name="l00030"></a>00030 
-<a name="l00031"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">00031</a> string <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time_t time )
+<a name="l00031"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">00031</a> <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time_t time )
 <a name="l00032"></a>00032 {
 <a name="l00033"></a>00033   <span class="keyword">static</span> <span class="keywordtype">char</span> buffer[51];
 <a name="l00034"></a>00034 
@@ -53,7 +49,7 @@
 <a name="l00038"></a>00038   <span class="keywordflow">return</span> string(buffer);
 <a name="l00039"></a>00039 }
 <a name="l00040"></a>00040 
-<a name="l00041"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">00041</a> string <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( time_t time )
+<a name="l00041"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">00041</a> <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( time_t time )
 <a name="l00042"></a>00042 {
 <a name="l00043"></a>00043   <span class="keyword">static</span> <span class="keywordtype">char</span> buffer[51];
 <a name="l00044"></a>00044 
@@ -63,57 +59,57 @@
 <a name="l00048"></a>00048   <span class="keywordflow">return</span> string(buffer);
 <a name="l00049"></a>00049 }
 <a name="l00050"></a>00050 
-<a name="l00051"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">00051</a> string <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>(<span class="keywordtype">void</span>)
+<a name="l00051"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request_8hh.html#399259df57ba3945719d5282b3601af3">00051</a> <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(<span class="keywordtype">void</span>)
 <a name="l00052"></a>00052 {
 <a name="l00053"></a>00053   <span class="keywordflow">return</span> string(<span class="stringliteral">"OFXHEADER:100\r\n"</span>
 <a name="l00054"></a>00054                  <span class="stringliteral">"DATA:OFXSGML\r\n"</span>
-<a name="l00055"></a>00055                  <span class="stringliteral">"VERSION:102\r\n"</span>
+<a name="l00055"></a>00055                  <span class="stringliteral">"VERSION:103\r\n"</span>
 <a name="l00056"></a>00056                  <span class="stringliteral">"SECURITY:NONE\r\n"</span>
 <a name="l00057"></a>00057                  <span class="stringliteral">"ENCODING:USASCII\r\n"</span>
 <a name="l00058"></a>00058                  <span class="stringliteral">"CHARSET:1252\r\n"</span>
 <a name="l00059"></a>00059                  <span class="stringliteral">"COMPRESSION:NONE\r\n"</span>
 <a name="l00060"></a>00060                  <span class="stringliteral">"OLDFILEUID:NONE\r\n"</span>
 <a name="l00061"></a>00061                  <span class="stringliteral">"NEWFILEUID:"</span>)
-<a name="l00062"></a>00062                  + <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time(NULL) )
+<a name="l00062"></a>00062                  + <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) )
 <a name="l00063"></a>00063                  + string(<span class="stringliteral">"\r\n\r\n"</span>);
 <a name="l00064"></a>00064 }
 <a name="l00065"></a>00065 
-<a name="l00066"></a>00066 <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">OfxRequest::SignOnRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00066"></a>00066 <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">OfxRequest::SignOnRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
 <a name="l00067"></a>00067 <span class="keyword"></span>{
-<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> fiTag(<span class="stringliteral">"FI"</span>);
-<a name="l00069"></a>00069   fiTag.Add( <span class="stringliteral">"ORG"</span>, <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>.<a class="code" href="structOfxFiLogin.html#4b44e09e0f415913fea555001554cd3d">org</a> );
-<a name="l00070"></a>00070   <span class="keywordflow">if</span> ( strlen(<a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>.<a class="code" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">fid</a>) &gt; 0 )
-<a name="l00071"></a>00071     fiTag.Add( <span class="stringliteral">"FID"</span>, <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>.<a class="code" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">fid</a> );
+<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> fiTag(<span class="stringliteral">"FI"</span>);
+<a name="l00069"></a>00069   fiTag.Add( <span class="stringliteral">"ORG"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">org</a> );
+<a name="l00070"></a>00070   <span class="keywordflow">if</span> ( strlen(<a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a>) &gt; 0 )
+<a name="l00071"></a>00071     fiTag.Add( <span class="stringliteral">"FID"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a> );
 <a name="l00072"></a>00072 
-<a name="l00073"></a>00073   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> sonrqTag(<span class="stringliteral">"SONRQ"</span>);
-<a name="l00074"></a>00074   sonrqTag.Add( <span class="stringliteral">"DTCLIENT"</span>, <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time(NULL) ) );
-<a name="l00075"></a>00075   sonrqTag.Add( <span class="stringliteral">"USERID"</span>, <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>.<a class="code" href="structOfxFiLogin.html#7513251178c3f4d9b665132436428cdf">userid</a>);
-<a name="l00076"></a>00076   sonrqTag.Add( <span class="stringliteral">"USERPASS"</span>, <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>.<a class="code" href="structOfxFiLogin.html#2995949d8c307d2434ad82a61dbb6f1e">userpass</a>);
+<a name="l00073"></a>00073   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> sonrqTag(<span class="stringliteral">"SONRQ"</span>);
+<a name="l00074"></a>00074   sonrqTag.Add( <span class="stringliteral">"DTCLIENT"</span>, <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) ) );
+<a name="l00075"></a>00075   sonrqTag.Add( <span class="stringliteral">"USERID"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">userid</a>);
+<a name="l00076"></a>00076   sonrqTag.Add( <span class="stringliteral">"USERPASS"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">userpass</a>);
 <a name="l00077"></a>00077   sonrqTag.Add( <span class="stringliteral">"LANGUAGE"</span>,<span class="stringliteral">"ENG"</span>);
 <a name="l00078"></a>00078   sonrqTag.Add( fiTag );
 <a name="l00079"></a>00079   sonrqTag.Add( <span class="stringliteral">"APPID"</span>,<span class="stringliteral">"QWIN"</span>);
-<a name="l00080"></a>00080   sonrqTag.Add( <span class="stringliteral">"APPVER"</span>,<span class="stringliteral">"1200"</span>);
+<a name="l00080"></a>00080   sonrqTag.Add( <span class="stringliteral">"APPVER"</span>,<span class="stringliteral">"1600"</span>);
 <a name="l00081"></a>00081   
-<a name="l00082"></a>00082   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> signonmsgTag(<span class="stringliteral">"SIGNONMSGSRQV1"</span>);
+<a name="l00082"></a>00082   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> signonmsgTag(<span class="stringliteral">"SIGNONMSGSRQV1"</span>);
 <a name="l00083"></a>00083   signonmsgTag.Add( sonrqTag );
 <a name="l00084"></a>00084 
 <a name="l00085"></a>00085   <span class="keywordflow">return</span> signonmsgTag;
 <a name="l00086"></a>00086 }
 <a name="l00087"></a>00087 
-<a name="l00088"></a>00088 <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">OfxRequest::RequestMessage</a>(<span class="keyword">const</span> string&amp; _msgType, <span class="keyword">const</span> string&amp; _trnType, <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html">OfxAggregate</a>&amp; _request)<span class="keyword"> const</span>
+<a name="l00088"></a>00088 <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">OfxRequest::RequestMessage</a>(<span class="keyword">const</span> <span class="keywordtype">string</span>&amp; _msgType, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; _trnType, <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>&amp; _request)<span class="keyword"> const</span>
 <a name="l00089"></a>00089 <span class="keyword"></span>{
-<a name="l00090"></a>00090   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> trnrqTag( _trnType+<span class="stringliteral">"TRNRQ"</span> );
-<a name="l00091"></a>00091   trnrqTag.Add( <span class="stringliteral">"TRNUID"</span>, <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time(NULL) ) );
+<a name="l00090"></a>00090   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> trnrqTag( _trnType+<span class="stringliteral">"TRNRQ"</span> );
+<a name="l00091"></a>00091   trnrqTag.Add( <span class="stringliteral">"TRNUID"</span>, <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) ) );
 <a name="l00092"></a>00092   trnrqTag.Add( <span class="stringliteral">"CLTCOOKIE"</span>,<span class="stringliteral">"1"</span> ); 
 <a name="l00093"></a>00093   trnrqTag.Add( _request );
 <a name="l00094"></a>00094     
-<a name="l00095"></a>00095   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> result( _msgType+<span class="stringliteral">"MSGSRQV1"</span> );
+<a name="l00095"></a>00095   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> result( _msgType+<span class="stringliteral">"MSGSRQV1"</span> );
 <a name="l00096"></a>00096   result.Add( trnrqTag );
 <a name="l00097"></a>00097 
 <a name="l00098"></a>00098   <span class="keywordflow">return</span> result;
 <a name="l00099"></a>00099 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,46 +1,42 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Implementation of an OfxRequests to create an OFX file containing a generic request . 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp-source.html">fx-0.8.2/lib/ofx_request.cpp</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp-source.html">fx-0.8.2/lib/ofx_request.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__request_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db904c8d68b46495893e0db60a2acbcf"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.cpp::time_t_to_ofxdatetime" ref="db904c8d68b46495893e0db60a2acbcf" args="(time_t time)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a> (time_t time)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="81beedfec4dc7c410153f3722fe67a77"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.cpp::time_t_to_ofxdate" ref="81beedfec4dc7c410153f3722fe67a77" args="(time_t time)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a> (time_t time)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e0c9348ddcb7da503b17069e9ea77f75"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.cpp::OfxHeader" ref="e0c9348ddcb7da503b17069e9ea77f75" args="(void)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a> (void)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2f86a163dc83453b02683f1d20d6b3d6"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.cpp::time_t_to_ofxdatetime" ref="2f86a163dc83453b02683f1d20d6b3d6" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="34e84f6346e9d35feba51592e3db190c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.cpp::time_t_to_ofxdate" ref="34e84f6346e9d35feba51592e3db190c" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="399259df57ba3945719d5282b3601af3"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.cpp::OfxHeader" ref="399259df57ba3945719d5282b3601af3" args="(void)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#399259df57ba3945719d5282b3601af3">OfxHeader</a> (void)</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request.hh</h1><a href="fx-0_88_82_2lib_2ofx__request_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_request.hh </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,35 +32,35 @@
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_REQUEST_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__aggregate_8hh.html">ofx_aggregate.hh</a>"</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__aggregate_8hh.html" title="Declaration of OfxAggregate which allows you to construct a single OFX aggregate...">ofx_aggregate.hh</a>"</span>
 <a name="l00026"></a>00026 
 <a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
 <a name="l00028"></a>00028 
-<a name="l00036"></a>00036 <span class="keyword">class </span><a class="code" href="classOfxRequest.html">OfxRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxAggregate.html">OfxAggregate</a>
+<a name="l00036"></a>00036 <span class="keyword">class </span><a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>
 <a name="l00037"></a>00037 {
 <a name="l00038"></a>00038 <span class="keyword">public</span>:
-<a name="l00045"></a><a class="code" href="classOfxRequest.html#1e44a0bea2084ac4805e478f43e42837">00045</a>   <a class="code" href="classOfxRequest.html#1e44a0bea2084ac4805e478f43e42837">OfxRequest</a>(<span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi): <a class="code" href="classOfxAggregate.html">OfxAggregate</a>(<span class="stringliteral">"OFX"</span>), <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>(fi) {}
+<a name="l00045"></a><a class="code" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">00045</a>   <a class="code" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">OfxRequest</a>(<span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi): <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>(<span class="stringliteral">"OFX"</span>), <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>(fi) {}
 <a name="l00046"></a>00046   
 <a name="l00047"></a>00047 <span class="comment">//protected:</span>
 <a name="l00048"></a>00048 <span class="keyword">public</span>:
-<a name="l00055"></a>00055   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00055"></a>00055   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
 <a name="l00056"></a>00056   
-<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="keyword">const</span> string&amp; msgtype, <span class="keyword">const</span> string&amp; trntype, <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html">OfxAggregate</a>&amp; aggregate ) <span class="keyword">const</span>;
+<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="keyword">const</span> <span class="keywordtype">string</span>&amp; msgtype, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; trntype, <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>&amp; aggregate ) <span class="keyword">const</span>;
 <a name="l00069"></a>00069 
 <a name="l00070"></a>00070 <span class="keyword">protected</span>:
-<a name="l00071"></a>00071   <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a> <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>;
+<a name="l00071"></a>00071   <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a> <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>;
 <a name="l00072"></a>00072 };
 <a name="l00073"></a>00073 
 <a name="l00078"></a>00078 
-<a name="l00079"></a>00079 string <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time_t time );
-<a name="l00080"></a>00080 string <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( time_t time );
-<a name="l00081"></a>00081 string <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>(<span class="keywordtype">void</span>);
+<a name="l00079"></a>00079 <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time_t time );
+<a name="l00080"></a>00080 <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( time_t time );
+<a name="l00081"></a>00081 <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(<span class="keywordtype">void</span>);
 <a name="l00082"></a>00082 
 <a name="l00084"></a>00084 
 <a name="l00085"></a>00085 <span class="preprocessor">#endif // OFX_REQUEST_H</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request_8hh.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Declaration of an OfxRequests to create an OFX file containing a generic request . 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh-source.html">fx-0.8.2/lib/ofx_request.hh</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh-source.html">fx-0.8.2/lib/ofx_request.hh</a>.</p>
+
 <p>
 
 <p>
@@ -32,19 +28,20 @@
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html">OfxRequest</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A generic request.  <a href="classOfxRequest.html#_details">More...</a><br></td></tr>
-<tr><td colspan="2"><br><h2>Some general helper functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db904c8d68b46495893e0db60a2acbcf"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.hh::time_t_to_ofxdatetime" ref="db904c8d68b46495893e0db60a2acbcf" args="(time_t time)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a> (time_t time)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="81beedfec4dc7c410153f3722fe67a77"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.hh::time_t_to_ofxdate" ref="81beedfec4dc7c410153f3722fe67a77" args="(time_t time)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a> (time_t time)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e0c9348ddcb7da503b17069e9ea77f75"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.hh::OfxHeader" ref="e0c9348ddcb7da503b17069e9ea77f75" args="(void)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a> (void)</td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td colspan="2"><div class="groupHeader">Some general helper functions</div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2f86a163dc83453b02683f1d20d6b3d6"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.hh::time_t_to_ofxdatetime" ref="2f86a163dc83453b02683f1d20d6b3d6" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="34e84f6346e9d35feba51592e3db190c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.hh::time_t_to_ofxdate" ref="34e84f6346e9d35feba51592e3db190c" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="399259df57ba3945719d5282b3601af3"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request.hh::OfxHeader" ref="399259df57ba3945719d5282b3601af3" args="(void)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#399259df57ba3945719d5282b3601af3">OfxHeader</a> (void)</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_accountinfo.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_accountinfo.cpp</h1><a href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_request_accountinfo.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,15 +33,15 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8hh.html">ofx_request_accountinfo.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8hh.html" title="Declaration of OfxRequestAccountInfo create an OFX file containing a request for...">ofx_request_accountinfo.hh</a>"</span>
 <a name="l00027"></a>00027 
 <a name="l00028"></a>00028 <span class="keyword">using namespace </span>std;
 <a name="l00029"></a>00029 
-<a name="l00030"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html#be4a80df141ea332f7ab31a2b7eeb4c2">00030</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">libofx_request_accountinfo</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login )
+<a name="l00030"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">00030</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449" title="Creates an OFX account info (list) request in string form.">libofx_request_accountinfo</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login )
 <a name="l00031"></a>00031 {
-<a name="l00032"></a>00032   <a class="code" href="classOfxAccountInfoRequest.html">OfxAccountInfoRequest</a> strq( *login );
-<a name="l00033"></a>00033   string request = <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>() + strq.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
+<a name="l00032"></a>00032   <a class="code" href="classOfxAccountInfoRequest.html" title="An account information request.">OfxAccountInfoRequest</a> strq( *login );
+<a name="l00033"></a>00033   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>() + strq.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
 <a name="l00034"></a>00034 
 <a name="l00035"></a>00035   <span class="keywordtype">unsigned</span> size = request.size();
 <a name="l00036"></a>00036   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
@@ -86,17 +82,17 @@
 <a name="l00071"></a>00071 <span class="comment">&lt;/OFX&gt;</span>
 <a name="l00072"></a>00072 <span class="comment">*/</span>
 <a name="l00073"></a>00073 
-<a name="l00074"></a>00074 <a class="code" href="classOfxAccountInfoRequest.html#4035fb44fecca1b682e6a7c5e0b96743">OfxAccountInfoRequest::OfxAccountInfoRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi ):
-<a name="l00075"></a>00075   <a class="code" href="classOfxRequest.html">OfxRequest</a>(fi)
+<a name="l00074"></a>00074 <a class="code" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest::OfxAccountInfoRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi ):
+<a name="l00075"></a>00075   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>(fi)
 <a name="l00076"></a>00076 {
 <a name="l00077"></a>00077   Add( SignOnRequest() );
 <a name="l00078"></a>00078 
-<a name="l00079"></a>00079   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> acctinforqTag(<span class="stringliteral">"ACCTINFORQ"</span>);
-<a name="l00080"></a>00080   acctinforqTag.Add( <span class="stringliteral">"DTACCTUP"</span>, <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( 0 ) );
+<a name="l00079"></a>00079   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> acctinforqTag(<span class="stringliteral">"ACCTINFORQ"</span>);
+<a name="l00080"></a>00080   acctinforqTag.Add( <span class="stringliteral">"DTACCTUP"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( 0 ) );
 <a name="l00081"></a>00081   Add ( RequestMessage(<span class="stringliteral">"SIGNUP"</span>,<span class="stringliteral">"ACCTINFO"</span>, acctinforqTag) );
 <a name="l00082"></a>00082 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_accountinfo.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_accountinfo.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Implementation of libofx_request_accountinfo to create an OFX file containing a request for all account info at this FI for this user. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp-source.html">fx-0.8.2/lib/ofx_request_accountinfo.cpp</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp-source.html">fx-0.8.2/lib/ofx_request_accountinfo.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="be4a80df141ea332f7ab31a2b7eeb4c2"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request_accountinfo.cpp::libofx_request_accountinfo" ref="be4a80df141ea332f7ab31a2b7eeb4c2" args="(const OfxFiLogin *login)" -->
-char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html#be4a80df141ea332f7ab31a2b7eeb4c2">libofx_request_accountinfo</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6cb329900cc925c9a1507684ef4bcbd1"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request_accountinfo.cpp::libofx_request_accountinfo" ref="6cb329900cc925c9a1507684ef4bcbd1" args="(const OfxFiLogin *login)" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">libofx_request_accountinfo</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login)</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_accountinfo.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_accountinfo.hh</h1><a href="fx-0_88_82_2lib_2ofx__request__accountinfo_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_request_accountinfo.hh </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,20 +32,20 @@
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_REQ_ACCOUNTINFO_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__request_8hh.html">ofx_request.hh</a>"</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__request_8hh.html" title="Declaration of an OfxRequests to create an OFX file containing a generic request...">ofx_request.hh</a>"</span>
 <a name="l00026"></a>00026 
 <a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
 <a name="l00028"></a>00028 
-<a name="l00037"></a>00037 <span class="keyword">class </span><a class="code" href="classOfxAccountInfoRequest.html">OfxAccountInfoRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html">OfxRequest</a>
+<a name="l00037"></a>00037 <span class="keyword">class </span><a class="code" href="classOfxAccountInfoRequest.html" title="An account information request.">OfxAccountInfoRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>
 <a name="l00038"></a>00038 {
 <a name="l00039"></a>00039 <span class="keyword">public</span>:
-<a name="l00046"></a>00046   <a class="code" href="classOfxAccountInfoRequest.html#4035fb44fecca1b682e6a7c5e0b96743">OfxAccountInfoRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi );
+<a name="l00046"></a>00046   <a class="code" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi );
 <a name="l00047"></a>00047 };
 <a name="l00048"></a>00048 
 <a name="l00049"></a>00049 <span class="preprocessor">#endif // OFX_REQ_ACCOUNTINFO_H</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8hh.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request__accountinfo_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_accountinfo.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_accountinfo.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Declaration of OfxRequestAccountInfo create an OFX file containing a request for all account info at this FI for this user. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8hh-source.html">fx-0.8.2/lib/ofx_request_accountinfo.hh</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8hh-source.html">fx-0.8.2/lib/ofx_request_accountinfo.hh</a>.</p>
+
 <p>
 
 <p>
@@ -33,8 +29,8 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An account information request.  <a href="classOfxAccountInfoRequest.html#_details">More...</a><br></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_statement.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_statement.cpp</h1><a href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_request_statement.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,16 +33,16 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__request__statement_8hh.html">ofx_request_statement.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__request__statement_8hh.html" title="Declaration of libofx_request_statement to create an OFX file containing a request...">ofx_request_statement.hh</a>"</span>
 <a name="l00028"></a>00028 
 <a name="l00029"></a>00029 <span class="keyword">using namespace </span>std;
 <a name="l00030"></a>00030 
-<a name="l00031"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#39b4ef4bfd5e58227b07c2f2f5c09803">00031</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">libofx_request_statement</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>* account, time_t date_from )
+<a name="l00031"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">00031</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d" title="Creates an OFX statement request in string form.">libofx_request_statement</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, time_t date_from )
 <a name="l00032"></a>00032 {
-<a name="l00033"></a>00033   <a class="code" href="classOfxStatementRequest.html">OfxStatementRequest</a> strq( *login, *account, date_from );
-<a name="l00034"></a>00034   string request = <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>() + strq.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
+<a name="l00033"></a>00033   <a class="code" href="classOfxStatementRequest.html" title="A statement request.">OfxStatementRequest</a> strq( *login, *account, date_from );
+<a name="l00034"></a>00034   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>() + strq.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
 <a name="l00035"></a>00035 
 <a name="l00036"></a>00036   <span class="keywordtype">unsigned</span> size = request.size();
 <a name="l00037"></a>00037   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
@@ -56,182 +52,198 @@
 <a name="l00041"></a>00041   <span class="keywordflow">return</span> result;
 <a name="l00042"></a>00042 }
 <a name="l00043"></a>00043 
-<a name="l00044"></a>00044 <a class="code" href="classOfxStatementRequest.html#fda5e716b9f1848b4d009bfe338880f0">OfxStatementRequest::OfxStatementRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>&amp; account, time_t from ):
-<a name="l00045"></a>00045   <a class="code" href="classOfxRequest.html">OfxRequest</a>(fi),
+<a name="l00044"></a>00044 <a class="code" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest::OfxStatementRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, time_t from ):
+<a name="l00045"></a>00045   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>(fi),
 <a name="l00046"></a>00046   m_account(account),
 <a name="l00047"></a>00047   m_date_from(from)
 <a name="l00048"></a>00048 {
 <a name="l00049"></a>00049   Add( SignOnRequest() );
 <a name="l00050"></a>00050 
-<a name="l00051"></a>00051   <span class="keywordflow">if</span> ( account.<a class="code" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">type</a> == OFX_CREDITCARD_ACCOUNT )
+<a name="l00051"></a>00051   <span class="keywordflow">if</span> ( account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a> )
 <a name="l00052"></a>00052     Add(CreditCardStatementRequest());
-<a name="l00053"></a>00053   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( account.<a class="code" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">type</a> == OFX_INVEST_ACCOUNT )
+<a name="l00053"></a>00053   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a> )
 <a name="l00054"></a>00054     Add(InvestmentStatementRequest());
 <a name="l00055"></a>00055   <span class="keywordflow">else</span>
 <a name="l00056"></a>00056     Add(BankStatementRequest());
 <a name="l00057"></a>00057 }
 <a name="l00058"></a>00058 
-<a name="l00059"></a>00059 <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#51f2f5168ae5a2c783bbc3f142546229">OfxStatementRequest::BankStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00059"></a>00059 <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">OfxStatementRequest::BankStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
 <a name="l00060"></a>00060 <span class="keyword"></span>{
-<a name="l00061"></a>00061   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> bankacctfromTag(<span class="stringliteral">"BANKACCTFROM"</span>);
-<a name="l00062"></a>00062   bankacctfromTag.Add( <span class="stringliteral">"BANKID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">bankid</a> );
-<a name="l00063"></a>00063   bankacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a> );
-<a name="l00064"></a>00064   bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CHECKING"</span> );
-<a name="l00065"></a>00065   <span class="comment">// FIXME "CHECKING" should not be hard-coded</span>
-<a name="l00066"></a>00066 
-<a name="l00067"></a>00067   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
-<a name="l00068"></a>00068   inctranTag.Add( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( m_date_from ) );
-<a name="l00069"></a>00069   inctranTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00070"></a>00070   
-<a name="l00071"></a>00071   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> stmtrqTag(<span class="stringliteral">"STMTRQ"</span>);
-<a name="l00072"></a>00072   stmtrqTag.Add( bankacctfromTag );
-<a name="l00073"></a>00073   stmtrqTag.Add( inctranTag );
+<a name="l00061"></a>00061   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> bankacctfromTag(<span class="stringliteral">"BANKACCTFROM"</span>);
+<a name="l00062"></a>00062   bankacctfromTag.Add( <span class="stringliteral">"BANKID"</span>, m_account.<a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a> );
+<a name="l00063"></a>00063   bankacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> );
+<a name="l00064"></a>00064   <span class="keywordflow">if</span> ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> ==  m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a> )
+<a name="l00065"></a>00065     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CHECKING"</span> );
+<a name="l00066"></a>00066   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a> )
+<a name="l00067"></a>00067     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"SAVINGS"</span> );
+<a name="l00068"></a>00068   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a> )
+<a name="l00069"></a>00069     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"MONEYMRKT"</span> );
+<a name="l00070"></a>00070   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a> )
+<a name="l00071"></a>00071     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CREDITLINE"</span> );
+<a name="l00072"></a>00072   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a> )
+<a name="l00073"></a>00073     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CMA"</span> );
 <a name="l00074"></a>00074 
-<a name="l00075"></a>00075   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="stringliteral">"BANK"</span>,<span class="stringliteral">"STMT"</span>, stmtrqTag);
-<a name="l00076"></a>00076 }
-<a name="l00077"></a>00077 
-<a name="l00078"></a>00078 <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#85760d6ec3d3a8881938b0742f5eb67e">OfxStatementRequest::CreditCardStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
-<a name="l00079"></a>00079 <span class="keyword"></span>{<span class="comment">/*</span>
-<a name="l00080"></a>00080 <span class="comment">  QString dtstart_string = _dtstart.toString(Qt::ISODate).remove(QRegExp("[^0-9]"));</span>
-<a name="l00081"></a>00081 <span class="comment"></span>
-<a name="l00082"></a>00082 <span class="comment">  return message("CREDITCARD","CCSTMT",Tag("CCSTMTRQ")</span>
-<a name="l00083"></a>00083 <span class="comment">    .subtag(Tag("CCACCTFROM").element("ACCTID",accountnum()))</span>
-<a name="l00084"></a>00084 <span class="comment">    .subtag(Tag("INCTRAN").element("DTSTART",dtstart_string).element("INCLUDE","Y")));</span>
-<a name="l00085"></a>00085 <span class="comment">}</span>
-<a name="l00086"></a>00086 <span class="comment">*/</span>
-<a name="l00087"></a>00087   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> ccacctfromTag(<span class="stringliteral">"CCACCTFROM"</span>);
-<a name="l00088"></a>00088   ccacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a> );
-<a name="l00089"></a>00089 
-<a name="l00090"></a>00090   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
-<a name="l00091"></a>00091   inctranTag.Add( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( m_date_from ) );
-<a name="l00092"></a>00092   inctranTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00093"></a>00093   
-<a name="l00094"></a>00094   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> ccstmtrqTag(<span class="stringliteral">"CCSTMTRQ"</span>);
-<a name="l00095"></a>00095   ccstmtrqTag.Add( ccacctfromTag );
-<a name="l00096"></a>00096   ccstmtrqTag.Add( inctranTag );
+<a name="l00075"></a>00075   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
+<a name="l00076"></a>00076   inctranTag.Add( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( m_date_from ) );
+<a name="l00077"></a>00077   inctranTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00078"></a>00078   
+<a name="l00079"></a>00079   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> stmtrqTag(<span class="stringliteral">"STMTRQ"</span>);
+<a name="l00080"></a>00080   stmtrqTag.Add( bankacctfromTag );
+<a name="l00081"></a>00081   stmtrqTag.Add( inctranTag );
+<a name="l00082"></a>00082 
+<a name="l00083"></a>00083   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"BANK"</span>,<span class="stringliteral">"STMT"</span>, stmtrqTag);
+<a name="l00084"></a>00084 }
+<a name="l00085"></a>00085 
+<a name="l00086"></a>00086 <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">OfxStatementRequest::CreditCardStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00087"></a>00087 <span class="keyword"></span>{<span class="comment">/*</span>
+<a name="l00088"></a>00088 <span class="comment">  QString dtstart_string = _dtstart.toString(Qt::ISODate).remove(QRegExp("[^0-9]"));</span>
+<a name="l00089"></a>00089 <span class="comment"></span>
+<a name="l00090"></a>00090 <span class="comment">  return message("CREDITCARD","CCSTMT",Tag("CCSTMTRQ")</span>
+<a name="l00091"></a>00091 <span class="comment">    .subtag(Tag("CCACCTFROM").element("ACCTID",accountnum()))</span>
+<a name="l00092"></a>00092 <span class="comment">    .subtag(Tag("INCTRAN").element("DTSTART",dtstart_string).element("INCLUDE","Y")));</span>
+<a name="l00093"></a>00093 <span class="comment">}</span>
+<a name="l00094"></a>00094 <span class="comment">*/</span>
+<a name="l00095"></a>00095   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> ccacctfromTag(<span class="stringliteral">"CCACCTFROM"</span>);
+<a name="l00096"></a>00096   ccacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> );
 <a name="l00097"></a>00097 
-<a name="l00098"></a>00098   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="stringliteral">"CREDITCARD"</span>,<span class="stringliteral">"CCSTMT"</span>, ccstmtrqTag);
-<a name="l00099"></a>00099 }
-<a name="l00100"></a>00100 
-<a name="l00101"></a>00101 <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#4196ff5900689c63697bc7ed7990a8a9">OfxStatementRequest::InvestmentStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
-<a name="l00102"></a>00102 <span class="keyword"></span>{
-<a name="l00103"></a>00103   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> invacctfromTag(<span class="stringliteral">"INVACCTFROM"</span>);
-<a name="l00104"></a>00104   
-<a name="l00105"></a>00105   invacctfromTag.Add( <span class="stringliteral">"BROKERID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#1b8903e24442ff02fc0a12ee0592cae6">brokerid</a> );
-<a name="l00106"></a>00106   invacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a> );
-<a name="l00107"></a>00107 
-<a name="l00108"></a>00108   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
-<a name="l00109"></a>00109   inctranTag.Add( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( m_date_from ) );
-<a name="l00110"></a>00110   inctranTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00111"></a>00111 
-<a name="l00112"></a>00112   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> incposTag(<span class="stringliteral">"INCPOS"</span>);
-<a name="l00113"></a>00113   incposTag.Add( <span class="stringliteral">"DTASOF"</span>, <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time(NULL) ) );
-<a name="l00114"></a>00114   incposTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00115"></a>00115     
-<a name="l00116"></a>00116   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> invstmtrqTag(<span class="stringliteral">"INVSTMTRQ"</span>);
-<a name="l00117"></a>00117   invstmtrqTag.Add( invacctfromTag );
-<a name="l00118"></a>00118   invstmtrqTag.Add( inctranTag );
-<a name="l00119"></a>00119   invstmtrqTag.Add( <span class="stringliteral">"INCOO"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00120"></a>00120   invstmtrqTag.Add( incposTag );  
-<a name="l00121"></a>00121   invstmtrqTag.Add( <span class="stringliteral">"INCBAL"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00122"></a>00122 
-<a name="l00123"></a>00123   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="stringliteral">"INVSTMT"</span>,<span class="stringliteral">"INVSTMT"</span>, invstmtrqTag);
-<a name="l00124"></a>00124 }
-<a name="l00125"></a>00125 
-<a name="l00126"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#0ad511b87481c301b8a9de3405c9b196">00126</a> <span class="keywordtype">char</span>* libofx_request_payment( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>* account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>* payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>* payment )
-<a name="l00127"></a>00127 {
-<a name="l00128"></a>00128   <a class="code" href="classOfxPaymentRequest.html">OfxPaymentRequest</a> strq( *login, *account, *payee, *payment );
-<a name="l00129"></a>00129   string request = <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>() + strq.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
+<a name="l00098"></a>00098   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
+<a name="l00099"></a>00099   inctranTag.Add( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( m_date_from ) );
+<a name="l00100"></a>00100   inctranTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00101"></a>00101   
+<a name="l00102"></a>00102   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> ccstmtrqTag(<span class="stringliteral">"CCSTMTRQ"</span>);
+<a name="l00103"></a>00103   ccstmtrqTag.Add( ccacctfromTag );
+<a name="l00104"></a>00104   ccstmtrqTag.Add( inctranTag );
+<a name="l00105"></a>00105 
+<a name="l00106"></a>00106   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"CREDITCARD"</span>,<span class="stringliteral">"CCSTMT"</span>, ccstmtrqTag);
+<a name="l00107"></a>00107 }
+<a name="l00108"></a>00108 
+<a name="l00109"></a>00109 <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">OfxStatementRequest::InvestmentStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00110"></a>00110 <span class="keyword"></span>{
+<a name="l00111"></a>00111   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> invacctfromTag(<span class="stringliteral">"INVACCTFROM"</span>);
+<a name="l00112"></a>00112   
+<a name="l00113"></a>00113   invacctfromTag.Add( <span class="stringliteral">"BROKERID"</span>, m_account.<a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a> );
+<a name="l00114"></a>00114   invacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> );
+<a name="l00115"></a>00115 
+<a name="l00116"></a>00116   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
+<a name="l00117"></a>00117   inctranTag.Add( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( m_date_from ) );
+<a name="l00118"></a>00118   inctranTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00119"></a>00119 
+<a name="l00120"></a>00120   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> incposTag(<span class="stringliteral">"INCPOS"</span>);
+<a name="l00121"></a>00121   incposTag.Add( <span class="stringliteral">"DTASOF"</span>, <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) ) );
+<a name="l00122"></a>00122   incposTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00123"></a>00123     
+<a name="l00124"></a>00124   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> invstmtrqTag(<span class="stringliteral">"INVSTMTRQ"</span>);
+<a name="l00125"></a>00125   invstmtrqTag.Add( invacctfromTag );
+<a name="l00126"></a>00126   invstmtrqTag.Add( inctranTag );
+<a name="l00127"></a>00127   invstmtrqTag.Add( <span class="stringliteral">"INCOO"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00128"></a>00128   invstmtrqTag.Add( incposTag );  
+<a name="l00129"></a>00129   invstmtrqTag.Add( <span class="stringliteral">"INCBAL"</span>,<span class="stringliteral">"Y"</span> );
 <a name="l00130"></a>00130 
-<a name="l00131"></a>00131   <span class="keywordtype">unsigned</span> size = request.size();
-<a name="l00132"></a>00132   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
-<a name="l00133"></a>00133   request.copy(result,size);
-<a name="l00134"></a>00134   result[size] = 0;
-<a name="l00135"></a>00135   
-<a name="l00136"></a>00136   <span class="keywordflow">return</span> result;
-<a name="l00137"></a>00137 }
+<a name="l00131"></a>00131   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"INVSTMT"</span>,<span class="stringliteral">"INVSTMT"</span>, invstmtrqTag);
+<a name="l00132"></a>00132 }
+<a name="l00133"></a>00133 
+<a name="l00134"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">00134</a> <span class="keywordtype">char</span>* libofx_request_payment( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>* payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>* payment )
+<a name="l00135"></a>00135 {
+<a name="l00136"></a>00136   <a class="code" href="classOfxPaymentRequest.html">OfxPaymentRequest</a> strq( *login, *account, *payee, *payment );
+<a name="l00137"></a>00137   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>() + strq.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
 <a name="l00138"></a>00138 
-<a name="l00139"></a>00139 <a class="code" href="classOfxPaymentRequest.html#b50d18e9ca000fb6a8b277ef6f183dd3">OfxPaymentRequest::OfxPaymentRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>&amp; account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>&amp; payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>&amp; payment ):
-<a name="l00140"></a>00140   <a class="code" href="classOfxRequest.html">OfxRequest</a>(fi),
-<a name="l00141"></a>00141   m_account(account),
-<a name="l00142"></a>00142   m_payee(payee),
-<a name="l00143"></a>00143   m_payment(payment)
-<a name="l00144"></a>00144 {
-<a name="l00145"></a>00145   Add( SignOnRequest() );
+<a name="l00139"></a>00139   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00140"></a>00140   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00141"></a>00141   request.copy(result,size);
+<a name="l00142"></a>00142   result[size] = 0;
+<a name="l00143"></a>00143   
+<a name="l00144"></a>00144   <span class="keywordflow">return</span> result;
+<a name="l00145"></a>00145 }
 <a name="l00146"></a>00146 
-<a name="l00147"></a>00147   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> bankacctfromTag(<span class="stringliteral">"BANKACCTFROM"</span>);
-<a name="l00148"></a>00148   bankacctfromTag.Add( <span class="stringliteral">"BANKID"</span>, m_account.bankid );
-<a name="l00149"></a>00149   bankacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.accountid );
-<a name="l00150"></a>00150   bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CHECKING"</span> );
-<a name="l00151"></a>00151   <span class="comment">// FIXME "CHECKING" should not be hard-coded</span>
-<a name="l00152"></a>00152 
-<a name="l00153"></a>00153   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> payeeTag(<span class="stringliteral">"PAYEE"</span>);
-<a name="l00154"></a>00154   payeeTag.Add( <span class="stringliteral">"NAME"</span>, m_payee.name );
-<a name="l00155"></a>00155   payeeTag.Add( <span class="stringliteral">"ADDR1"</span>, m_payee.address1 );
-<a name="l00156"></a>00156   payeeTag.Add( <span class="stringliteral">"CITY"</span>, m_payee.city );
-<a name="l00157"></a>00157   payeeTag.Add( <span class="stringliteral">"STATE"</span>, m_payee.state );
-<a name="l00158"></a>00158   payeeTag.Add( <span class="stringliteral">"POSTALCODE"</span>, m_payee.postalcode );
-<a name="l00159"></a>00159   payeeTag.Add( <span class="stringliteral">"PHONE"</span>, m_payee.phone );
-<a name="l00160"></a>00160   
-<a name="l00161"></a>00161   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> pmtinfoTag(<span class="stringliteral">"PMTINFO"</span>);
-<a name="l00162"></a>00162   pmtinfoTag.Add( bankacctfromTag );
-<a name="l00163"></a>00163   pmtinfoTag.Add( <span class="stringliteral">"TRNAMT"</span>, m_payment.amount );
-<a name="l00164"></a>00164   pmtinfoTag.Add( payeeTag );
-<a name="l00165"></a>00165   pmtinfoTag.Add( <span class="stringliteral">"PAYACCT"</span>, m_payment.account );
-<a name="l00166"></a>00166   pmtinfoTag.Add( <span class="stringliteral">"DTDUE"</span>, m_payment.datedue );
-<a name="l00167"></a>00167   pmtinfoTag.Add( <span class="stringliteral">"MEMO"</span>, m_payment.memo );
-<a name="l00168"></a>00168   
-<a name="l00169"></a>00169   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> pmtrqTag(<span class="stringliteral">"PMTRQ"</span>);
-<a name="l00170"></a>00170   pmtrqTag.Add( pmtinfoTag );
-<a name="l00171"></a>00171 
-<a name="l00172"></a>00172   Add( RequestMessage(<span class="stringliteral">"BILLPAY"</span>,<span class="stringliteral">"PMT"</span>, pmtrqTag) );
-<a name="l00173"></a>00173 }
-<a name="l00174"></a>00174 
-<a name="l00175"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#f408dfb1579b0d6f980d96ffcb45e674">00175</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">libofx_request_payment_status</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keywordtype">char</span>* transactionid )
-<a name="l00176"></a>00176 {
-<a name="l00177"></a>00177 <span class="preprocessor">#if 0</span>
-<a name="l00178"></a>00178 <span class="preprocessor"></span>  <a class="code" href="classOfxAggregate.html">OfxAggregate</a> pmtinqrqTag( <span class="stringliteral">"PMTINQRQ"</span> );
-<a name="l00179"></a>00179   pmtinqrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"SRVRTID"</span>, transactionid );
-<a name="l00180"></a>00180   
-<a name="l00181"></a>00181   <a class="code" href="classOfxRequest.html">OfxRequest</a> ofx(*login);
-<a name="l00182"></a>00182   ofx.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( ofx.<a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a>() );
-<a name="l00183"></a>00183   ofx.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( ofx.<a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="stringliteral">"BILLPAY"</span>,<span class="stringliteral">"PMTINQ"</span>, pmtinqrqTag) );
+<a name="l00147"></a>00147 <a class="code" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest::OfxPaymentRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>&amp; payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>&amp; payment ):
+<a name="l00148"></a>00148   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>(fi),
+<a name="l00149"></a>00149   m_account(account),
+<a name="l00150"></a>00150   m_payee(payee),
+<a name="l00151"></a>00151   m_payment(payment)
+<a name="l00152"></a>00152 {
+<a name="l00153"></a>00153   Add( SignOnRequest() );
+<a name="l00154"></a>00154 
+<a name="l00155"></a>00155   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> bankacctfromTag(<span class="stringliteral">"BANKACCTFROM"</span>);
+<a name="l00156"></a>00156   bankacctfromTag.Add( <span class="stringliteral">"BANKID"</span>, m_account.bank_id );
+<a name="l00157"></a>00157   bankacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.account_number );
+<a name="l00158"></a>00158   <span class="keywordflow">if</span> ( m_account.account_type == m_account.OFX_CHECKING)
+<a name="l00159"></a>00159     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CHECKING"</span> );
+<a name="l00160"></a>00160   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.account_type == m_account.OFX_SAVINGS )
+<a name="l00161"></a>00161     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"SAVINGS"</span> );
+<a name="l00162"></a>00162   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.account_type == m_account.OFX_MONEYMRKT )
+<a name="l00163"></a>00163     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"MONEYMRKT"</span> );
+<a name="l00164"></a>00164   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.account_type ==  m_account.OFX_CREDITLINE )
+<a name="l00165"></a>00165     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CREDITLINE"</span> );
+<a name="l00166"></a>00166   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.account_type == m_account.OFX_CMA )
+<a name="l00167"></a>00167     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CMA"</span> );
+<a name="l00168"></a>00168 
+<a name="l00169"></a>00169   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> payeeTag(<span class="stringliteral">"PAYEE"</span>);
+<a name="l00170"></a>00170   payeeTag.Add( <span class="stringliteral">"NAME"</span>, m_payee.name );
+<a name="l00171"></a>00171   payeeTag.Add( <span class="stringliteral">"ADDR1"</span>, m_payee.address1 );
+<a name="l00172"></a>00172   payeeTag.Add( <span class="stringliteral">"CITY"</span>, m_payee.city );
+<a name="l00173"></a>00173   payeeTag.Add( <span class="stringliteral">"STATE"</span>, m_payee.state );
+<a name="l00174"></a>00174   payeeTag.Add( <span class="stringliteral">"POSTALCODE"</span>, m_payee.postalcode );
+<a name="l00175"></a>00175   payeeTag.Add( <span class="stringliteral">"PHONE"</span>, m_payee.phone );
+<a name="l00176"></a>00176   
+<a name="l00177"></a>00177   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> pmtinfoTag(<span class="stringliteral">"PMTINFO"</span>);
+<a name="l00178"></a>00178   pmtinfoTag.Add( bankacctfromTag );
+<a name="l00179"></a>00179   pmtinfoTag.Add( <span class="stringliteral">"TRNAMT"</span>, m_payment.amount );
+<a name="l00180"></a>00180   pmtinfoTag.Add( payeeTag );
+<a name="l00181"></a>00181   pmtinfoTag.Add( <span class="stringliteral">"PAYACCT"</span>, m_payment.account );
+<a name="l00182"></a>00182   pmtinfoTag.Add( <span class="stringliteral">"DTDUE"</span>, m_payment.datedue );
+<a name="l00183"></a>00183   pmtinfoTag.Add( <span class="stringliteral">"MEMO"</span>, m_payment.memo );
 <a name="l00184"></a>00184   
-<a name="l00185"></a>00185   string request = <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>() + ofx.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
-<a name="l00186"></a>00186 
-<a name="l00187"></a>00187   <span class="keywordtype">unsigned</span> size = request.size();
-<a name="l00188"></a>00188   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
-<a name="l00189"></a>00189   request.copy(result,size);
-<a name="l00190"></a>00190   result[size] = 0;
-<a name="l00191"></a>00191 <span class="preprocessor">#else</span>
-<a name="l00192"></a>00192 <span class="preprocessor"></span>  <a class="code" href="classOfxAggregate.html">OfxAggregate</a> payeesyncrq( <span class="stringliteral">"PAYEESYNCRQ"</span> );
-<a name="l00193"></a>00193   payeesyncrq.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"TOKEN"</span>, <span class="stringliteral">"0"</span> );
-<a name="l00194"></a>00194   payeesyncrq.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"TOKENONLY"</span>, <span class="stringliteral">"N"</span> );
-<a name="l00195"></a>00195   payeesyncrq.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"REFRESH"</span>, <span class="stringliteral">"Y"</span> );
-<a name="l00196"></a>00196   payeesyncrq.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"REJECTIFMISSING"</span>, <span class="stringliteral">"N"</span> );
-<a name="l00197"></a>00197   
-<a name="l00198"></a>00198   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> message( <span class="stringliteral">"BILLPAYMSGSRQV1"</span> );
-<a name="l00199"></a>00199   message.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( payeesyncrq );
-<a name="l00200"></a>00200 
-<a name="l00201"></a>00201   <a class="code" href="classOfxRequest.html">OfxRequest</a> ofx(*login);
-<a name="l00202"></a>00202   ofx.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( ofx.<a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a>() );
-<a name="l00203"></a>00203   ofx.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( message );
-<a name="l00204"></a>00204   
-<a name="l00205"></a>00205   string request = <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>() + ofx.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
-<a name="l00206"></a>00206 
-<a name="l00207"></a>00207   <span class="keywordtype">unsigned</span> size = request.size();
-<a name="l00208"></a>00208   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
-<a name="l00209"></a>00209   request.copy(result,size);
-<a name="l00210"></a>00210   result[size] = 0;
-<a name="l00211"></a>00211  
-<a name="l00212"></a>00212 <span class="preprocessor">#endif</span>
-<a name="l00213"></a>00213 <span class="preprocessor"></span>  <span class="keywordflow">return</span> result;
-<a name="l00214"></a>00214 }
-<a name="l00215"></a>00215 
-<a name="l00216"></a>00216 <span class="comment">// vim:cin:si:ai:et:ts=2:sw=2:</span>
-<a name="l00217"></a>00217 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00185"></a>00185   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> pmtrqTag(<span class="stringliteral">"PMTRQ"</span>);
+<a name="l00186"></a>00186   pmtrqTag.Add( pmtinfoTag );
+<a name="l00187"></a>00187 
+<a name="l00188"></a>00188   Add( RequestMessage(<span class="stringliteral">"BILLPAY"</span>,<span class="stringliteral">"PMT"</span>, pmtrqTag) );
+<a name="l00189"></a>00189 }
+<a name="l00190"></a>00190 
+<a name="l00191"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">00191</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keywordtype">char</span>* transactionid )
+<a name="l00192"></a>00192 {
+<a name="l00193"></a>00193 <span class="preprocessor">#if 0</span>
+<a name="l00194"></a>00194 <span class="preprocessor"></span>  <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> pmtinqrqTag( <span class="stringliteral">"PMTINQRQ"</span> );
+<a name="l00195"></a>00195   pmtinqrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"SRVRTID"</span>, transactionid );
+<a name="l00196"></a>00196   
+<a name="l00197"></a>00197   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a> ofx(*login);
+<a name="l00198"></a>00198   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( ofx.<a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>() );
+<a name="l00199"></a>00199   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( ofx.<a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"BILLPAY"</span>,<span class="stringliteral">"PMTINQ"</span>, pmtinqrqTag) );
+<a name="l00200"></a>00200   
+<a name="l00201"></a>00201   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>() + ofx.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
+<a name="l00202"></a>00202 
+<a name="l00203"></a>00203   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00204"></a>00204   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00205"></a>00205   request.copy(result,size);
+<a name="l00206"></a>00206   result[size] = 0;
+<a name="l00207"></a>00207 <span class="preprocessor">#else</span>
+<a name="l00208"></a>00208 <span class="preprocessor"></span>  <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> payeesyncrq( <span class="stringliteral">"PAYEESYNCRQ"</span> );
+<a name="l00209"></a>00209   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"TOKEN"</span>, <span class="stringliteral">"0"</span> );
+<a name="l00210"></a>00210   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"TOKENONLY"</span>, <span class="stringliteral">"N"</span> );
+<a name="l00211"></a>00211   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"REFRESH"</span>, <span class="stringliteral">"Y"</span> );
+<a name="l00212"></a>00212   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"REJECTIFMISSING"</span>, <span class="stringliteral">"N"</span> );
+<a name="l00213"></a>00213   
+<a name="l00214"></a>00214   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> message( <span class="stringliteral">"BILLPAYMSGSRQV1"</span> );
+<a name="l00215"></a>00215   message.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( payeesyncrq );
+<a name="l00216"></a>00216 
+<a name="l00217"></a>00217   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a> ofx(*login);
+<a name="l00218"></a>00218   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( ofx.<a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>() );
+<a name="l00219"></a>00219   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( message );
+<a name="l00220"></a>00220   
+<a name="l00221"></a>00221   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>() + ofx.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
+<a name="l00222"></a>00222 
+<a name="l00223"></a>00223   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00224"></a>00224   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00225"></a>00225   request.copy(result,size);
+<a name="l00226"></a>00226   result[size] = 0;
+<a name="l00227"></a>00227  
+<a name="l00228"></a>00228 <span class="preprocessor">#endif</span>
+<a name="l00229"></a>00229 <span class="preprocessor"></span>  <span class="keywordflow">return</span> result;
+<a name="l00230"></a>00230 }
+<a name="l00231"></a>00231 
+<a name="l00232"></a>00232 <span class="comment">// vim:cin:si:ai:et:ts=2:sw=2:</span>
+<a name="l00233"></a>00233 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request__statement_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request__statement_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request__statement_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,46 +1,42 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_statement.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_statement.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Implementation of libofx_request_statement to create an OFX file containing a request for a statement. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html">fx-0.8.2/lib/ofx_request_statement.cpp</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html">fx-0.8.2/lib/ofx_request_statement.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__request__statement_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="39b4ef4bfd5e58227b07c2f2f5c09803"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request_statement.cpp::libofx_request_statement" ref="39b4ef4bfd5e58227b07c2f2f5c09803" args="(const OfxFiLogin *login, const OfxAccountInfo *account, time_t date_from)" -->
-char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#39b4ef4bfd5e58227b07c2f2f5c09803">libofx_request_statement</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> *account, time_t date_from)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0ad511b87481c301b8a9de3405c9b196"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request_statement.cpp::libofx_request_payment" ref="0ad511b87481c301b8a9de3405c9b196" args="(const OfxFiLogin *login, const OfxAccountInfo *account, const OfxPayee *payee, const OfxPayment *payment)" -->
-char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#0ad511b87481c301b8a9de3405c9b196">libofx_request_payment</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> *account, const <a class="el" href="structOfxPayee.html">OfxPayee</a> *payee, const <a class="el" href="structOfxPayment.html">OfxPayment</a> *payment)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f408dfb1579b0d6f980d96ffcb45e674"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request_statement.cpp::libofx_request_payment_status" ref="f408dfb1579b0d6f980d96ffcb45e674" args="(const struct OfxFiLogin *login, const char *transactionid)" -->
-CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#f408dfb1579b0d6f980d96ffcb45e674">libofx_request_payment_status</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const char *transactionid)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fe5e9e2a83708f6d345a4f49268ec8b2"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request_statement.cpp::libofx_request_statement" ref="fe5e9e2a83708f6d345a4f49268ec8b2" args="(const OfxFiLogin *login, const OfxAccountData *account, time_t date_from)" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">libofx_request_statement</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, time_t date_from)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="22a315696e3c04b47ab85ad7da3d3cab"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request_statement.cpp::libofx_request_payment" ref="22a315696e3c04b47ab85ad7da3d3cab" args="(const OfxFiLogin *login, const OfxAccountData *account, const OfxPayee *payee, const OfxPayment *payment)" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">libofx_request_payment</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, const <a class="el" href="structOfxPayee.html">OfxPayee</a> *payee, const <a class="el" href="structOfxPayment.html">OfxPayment</a> *payment)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b9b42a433677da688d0f9f37d9da24d1"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_request_statement.cpp::libofx_request_payment_status" ref="b9b42a433677da688d0f9f37d9da24d1" args="(const struct OfxFiLogin *login, const char *transactionid)" -->
+CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const char *transactionid)</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request__statement_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request__statement_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request__statement_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_statement.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_statement.hh</h1><a href="fx-0_88_82_2lib_2ofx__request__statement_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_request_statement.hh </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,43 +32,43 @@
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_REQ_STATEMENT_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__request_8hh.html">ofx_request.hh</a>"</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__request_8hh.html" title="Declaration of an OfxRequests to create an OFX file containing a generic request...">ofx_request.hh</a>"</span>
 <a name="l00026"></a>00026 
 <a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
 <a name="l00028"></a>00028 
-<a name="l00037"></a>00037 <span class="keyword">class </span><a class="code" href="classOfxStatementRequest.html">OfxStatementRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html">OfxRequest</a>
+<a name="l00037"></a>00037 <span class="keyword">class </span><a class="code" href="classOfxStatementRequest.html" title="A statement request.">OfxStatementRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>
 <a name="l00038"></a>00038 {
 <a name="l00039"></a>00039 <span class="keyword">public</span>:
-<a name="l00049"></a>00049   <a class="code" href="classOfxStatementRequest.html#fda5e716b9f1848b4d009bfe338880f0">OfxStatementRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>&amp; account, time_t from );
+<a name="l00049"></a>00049   <a class="code" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, time_t from );
 <a name="l00050"></a>00050 
 <a name="l00051"></a>00051 <span class="keyword">protected</span>:
-<a name="l00059"></a>00059   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#51f2f5168ae5a2c783bbc3f142546229">BankStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00059"></a>00059   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">BankStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
 <a name="l00060"></a>00060   
-<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#85760d6ec3d3a8881938b0742f5eb67e">CreditCardStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">CreditCardStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
 <a name="l00069"></a>00069   
-<a name="l00077"></a>00077   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#4196ff5900689c63697bc7ed7990a8a9">InvestmentStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00077"></a>00077   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">InvestmentStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
 <a name="l00078"></a>00078   
 <a name="l00079"></a>00079 <span class="keyword">private</span>:
-<a name="l00080"></a>00080   <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a> m_account;
+<a name="l00080"></a>00080   <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> m_account;
 <a name="l00081"></a>00081   time_t m_date_from;
 <a name="l00082"></a>00082 };
 <a name="l00083"></a>00083 
-<a name="l00084"></a>00084 <span class="keyword">class </span><a class="code" href="classOfxPaymentRequest.html">OfxPaymentRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html">OfxRequest</a>
+<a name="l00084"></a>00084 <span class="keyword">class </span><a class="code" href="classOfxPaymentRequest.html">OfxPaymentRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>
 <a name="l00085"></a>00085 {
 <a name="l00086"></a>00086 <span class="keyword">public</span>:
-<a name="l00097"></a>00097   <a class="code" href="classOfxPaymentRequest.html#b50d18e9ca000fb6a8b277ef6f183dd3">OfxPaymentRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>&amp; account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>&amp; payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>&amp; payment );
+<a name="l00097"></a>00097   <a class="code" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>&amp; payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>&amp; payment );
 <a name="l00098"></a>00098 <span class="keyword">protected</span>:
 <a name="l00099"></a>00099  
 <a name="l00100"></a>00100 <span class="keyword">private</span>:
-<a name="l00101"></a>00101   <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a> m_account;
+<a name="l00101"></a>00101   <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> m_account;
 <a name="l00102"></a>00102   <a class="code" href="structOfxPayee.html">OfxPayee</a> m_payee;
 <a name="l00103"></a>00103   <a class="code" href="structOfxPayment.html">OfxPayment</a> m_payment;
 <a name="l00104"></a>00104 };
 <a name="l00105"></a>00105 
 <a name="l00106"></a>00106 <span class="preprocessor">#endif // OFX_REQ_STATEMENT_H</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__request__statement_8hh.html'
--- doc/html/fx-0_88_82_2lib_2ofx__request__statement_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__request__statement_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_statement.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_statement.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Declaration of libofx_request_statement to create an OFX file containing a request for a statement. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8hh-source.html">fx-0.8.2/lib/ofx_request_statement.hh</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8hh-source.html">fx-0.8.2/lib/ofx_request_statement.hh</a>.</p>
+
 <p>
 
 <p>
@@ -35,8 +31,8 @@
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPaymentRequest.html">OfxPaymentRequest</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_sgml.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_sgml.cpp</h1><a href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.cpp</span>
 <a name="l00003"></a>00003 <span class="comment">                          -------------------</span>
@@ -40,66 +36,66 @@
 <a name="l00026"></a>00026 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00027"></a>00027 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00028"></a>00028 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html">ofx_sgml.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofx_sgml.hh</a>"</span>
 <a name="l00034"></a>00034 
 <a name="l00035"></a>00035 <span class="keyword">using namespace </span>std;
 <a name="l00036"></a>00036 
-<a name="l00037"></a><a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">00037</a> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = NULL;
-<a name="l00038"></a>00038 <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>;
-<a name="l00039"></a>00039 <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>;
+<a name="l00037"></a><a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">00037</a> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a> = NULL;
+<a name="l00038"></a>00038 <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>;
+<a name="l00039"></a>00039 <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>;
 <a name="l00040"></a>00040 
 <a name="l00041"></a>00041 
-<a name="l00044"></a>00044 <span class="keyword">class </span><a class="code" href="classOFXApplication.html">OFXApplication</a> : <span class="keyword">public</span> SGMLApplication
+<a name="l00044"></a>00044 <span class="keyword">class </span><a class="code" href="classOFXApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFXApplication</a> : <span class="keyword">public</span> SGMLApplication
 <a name="l00045"></a>00045 {
 <a name="l00046"></a>00046 <span class="keyword">private</span>:
-<a name="l00047"></a>00047   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *curr_container_element; 
-<a name="l00048"></a>00048   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *tmp_container_element;
+<a name="l00047"></a>00047   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *curr_container_element; 
+<a name="l00048"></a>00048   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *tmp_container_element;
 <a name="l00049"></a>00049   <span class="keywordtype">bool</span> is_data_element; 
-<a name="l00050"></a>00050   string incoming_data; 
+<a name="l00050"></a>00050   <span class="keywordtype">string</span> incoming_data; 
 <a name="l00051"></a>00051   <a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context;
 <a name="l00052"></a>00052 
 <a name="l00053"></a>00053 <span class="keyword">public</span>:
 <a name="l00054"></a>00054 
-<a name="l00055"></a><a class="code" href="classOFXApplication.html#1d6f09a412e09451f1ed1eff491b7d44">00055</a>   <a class="code" href="classOFXApplication.html#1d6f09a412e09451f1ed1eff491b7d44">OFXApplication</a> (<a class="code" href="classLibofxContext.html">LibofxContext</a> * p_libofx_context)
+<a name="l00055"></a><a class="code" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">00055</a>   <a class="code" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">OFXApplication</a> (<a class="code" href="classLibofxContext.html">LibofxContext</a> * p_libofx_context)
 <a name="l00056"></a>00056   {
-<a name="l00057"></a>00057     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>=NULL;
+<a name="l00057"></a>00057     MainContainer=NULL;
 <a name="l00058"></a>00058     curr_container_element = NULL;
 <a name="l00059"></a>00059     is_data_element = <span class="keyword">false</span>;
 <a name="l00060"></a>00060     libofx_context=p_libofx_context;
 <a name="l00061"></a>00061   }
-<a name="l00062"></a><a class="code" href="classOFXApplication.html#553e023a72e3595ded7f64997e6a6fd1">00062</a>   <a class="code" href="classOFXApplication.html#553e023a72e3595ded7f64997e6a6fd1">~OFXApplication</a>()
+<a name="l00062"></a><a class="code" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">00062</a>   <a class="code" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">~OFXApplication</a>()
 <a name="l00063"></a>00063   {
-<a name="l00064"></a>00064     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Entering the OFXApplication's destructor"</span>);
+<a name="l00064"></a>00064     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Entering the OFXApplication's destructor"</span>);
 <a name="l00065"></a>00065   }
 <a name="l00066"></a>00066   
-<a name="l00071"></a><a class="code" href="classOFXApplication.html#35de080ed9b0892f329a4fde4afb10be">00071</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#35de080ed9b0892f329a4fde4afb10be">startElement</a> (<span class="keyword">const</span> StartElementEvent &amp; event)
+<a name="l00071"></a><a class="code" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77">00071</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77" title="Callback: Start of an OFX element.">startElement</a> (<span class="keyword">const</span> StartElementEvent &amp; event)
 <a name="l00072"></a>00072   {
-<a name="l00073"></a>00073     string identifier;
-<a name="l00074"></a>00074     <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.gi, identifier);
-<a name="l00075"></a>00075     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"startElement event received from OpenSP for element "</span> + identifier);
+<a name="l00073"></a>00073     <span class="keywordtype">string</span> identifier;
+<a name="l00074"></a>00074     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
+<a name="l00075"></a>00075     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"startElement event received from OpenSP for element "</span> + identifier);
 <a name="l00076"></a>00076     
-<a name="l00077"></a>00077     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00077"></a>00077     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00078"></a>00078 
 <a name="l00079"></a>00079     <span class="keywordflow">switch</span> (event.contentType)
 <a name="l00080"></a>00080       {
-<a name="l00081"></a>00081       <span class="keywordflow">case</span> StartElementEvent::empty:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::empty\n"</span>);
+<a name="l00081"></a>00081       <span class="keywordflow">case</span> StartElementEvent::empty:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::empty\n"</span>);
 <a name="l00082"></a>00082         <span class="keywordflow">break</span>;
-<a name="l00083"></a>00083       <span class="keywordflow">case</span> StartElementEvent::cdata:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::cdata\n"</span>);
+<a name="l00083"></a>00083       <span class="keywordflow">case</span> StartElementEvent::cdata:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::cdata\n"</span>);
 <a name="l00084"></a>00084         <span class="keywordflow">break</span>;
-<a name="l00085"></a>00085       <span class="keywordflow">case</span> StartElementEvent::rcdata:   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::rcdata\n"</span>);
+<a name="l00085"></a>00085       <span class="keywordflow">case</span> StartElementEvent::rcdata:   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::rcdata\n"</span>);
 <a name="l00086"></a>00086         <span class="keywordflow">break</span>;
-<a name="l00087"></a>00087       <span class="keywordflow">case</span> StartElementEvent::mixed:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"StartElementEvent::mixed"</span>);
+<a name="l00087"></a>00087       <span class="keywordflow">case</span> StartElementEvent::mixed:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::mixed"</span>);
 <a name="l00088"></a>00088         is_data_element = <span class="keyword">true</span>;
 <a name="l00089"></a>00089         <span class="keywordflow">break</span>;
-<a name="l00090"></a>00090       <span class="keywordflow">case</span> StartElementEvent::element:  <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"StartElementEvent::element"</span>);
+<a name="l00090"></a>00090       <span class="keywordflow">case</span> StartElementEvent::element:  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::element"</span>);
 <a name="l00091"></a>00091         is_data_element = <span class="keyword">false</span>;
 <a name="l00092"></a>00092         <span class="keywordflow">break</span>;
 <a name="l00093"></a>00093       <span class="keywordflow">default</span>:
-<a name="l00094"></a>00094         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Unknow SGML content type?!?!?!? OpenSP interface changed?"</span>);
+<a name="l00094"></a>00094         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Unknow SGML content type?!?!?!? OpenSP interface changed?"</span>);
 <a name="l00095"></a>00095       }
 <a name="l00096"></a>00096     
 <a name="l00097"></a>00097     <span class="keywordflow">if</span> (is_data_element == <span class="keyword">false</span>)
@@ -108,39 +104,39 @@
 <a name="l00100"></a>00100 
 <a name="l00101"></a>00101         <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"OFX"</span>)
 <a name="l00102"></a>00102           {
-<a name="l00103"></a>00103             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00104"></a>00104             <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = <span class="keyword">new</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> (libofx_context, curr_container_element, identifier);
-<a name="l00105"></a>00105             curr_container_element = <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00103"></a>00103             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00104"></a>00104             MainContainer = <span class="keyword">new</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00105"></a>00105             curr_container_element = MainContainer;
 <a name="l00106"></a>00106           }
 <a name="l00107"></a>00107         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STATUS"</span>)
 <a name="l00108"></a>00108           {
-<a name="l00109"></a>00109             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00110"></a>00110             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatusContainer.html">OfxStatusContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00109"></a>00109             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00110"></a>00110             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatusContainer.html" title="Represents the &amp;lt;STATUS&amp;gt; OFX SGML entity.">OfxStatusContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00111"></a>00111           }
 <a name="l00112"></a>00112         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STMTRS"</span> ||
 <a name="l00113"></a>00113                  identifier == <span class="stringliteral">"CCSTMTRS"</span> ||
 <a name="l00114"></a>00114                  identifier == <span class="stringliteral">"INVSTMTRS"</span>)
 <a name="l00115"></a>00115           {
-<a name="l00116"></a>00116             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00117"></a>00117             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00116"></a>00116             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00117"></a>00117             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00118"></a>00118           }
 <a name="l00119"></a>00119         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"BANKTRANLIST"</span>)
 <a name="l00120"></a>00120           {
-<a name="l00121"></a>00121             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00121"></a>00121             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
 <a name="l00122"></a>00122             <span class="comment">//BANKTRANLIST ignored, we will process it's attributes directly inside the STATEMENT,</span>
-<a name="l00123"></a>00123             <span class="keywordflow">if</span>(curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
+<a name="l00123"></a>00123             <span class="keywordflow">if</span>(curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
 <a name="l00124"></a>00124               {
-<a name="l00125"></a>00125                 <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found while not inside a STATEMENT container"</span>);
+<a name="l00125"></a>00125                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found while not inside a STATEMENT container"</span>);
 <a name="l00126"></a>00126               }
 <a name="l00127"></a>00127             <span class="keywordflow">else</span>
 <a name="l00128"></a>00128               {
-<a name="l00129"></a>00129                 curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00129"></a>00129                 curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00130"></a>00130               }
 <a name="l00131"></a>00131           }
 <a name="l00132"></a>00132         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STMTTRN"</span>)
 <a name="l00133"></a>00133           {
-<a name="l00134"></a>00134             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00135"></a>00135             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00134"></a>00134             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00135"></a>00135             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00136"></a>00136           }
 <a name="l00137"></a>00137         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"BUYDEBT"</span> ||
 <a name="l00138"></a>00138                 identifier == <span class="stringliteral">"BUYMF"</span> ||
@@ -163,8 +159,8 @@
 <a name="l00155"></a>00155                 identifier == <span class="stringliteral">"SPLIT"</span> ||
 <a name="l00156"></a>00156                 identifier == <span class="stringliteral">"TRANSFER"</span> )
 <a name="l00157"></a>00157           {
-<a name="l00158"></a>00158             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00159"></a>00159             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00158"></a>00158             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00159"></a>00159             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00160"></a>00160           }
 <a name="l00161"></a>00161         <span class="comment">/*The following is a list of OFX elements whose attributes will be processed by the parent container*/</span>
 <a name="l00162"></a>00162         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"INVBUY"</span> ||
@@ -172,190 +168,190 @@
 <a name="l00164"></a>00164                  identifier == <span class="stringliteral">"INVTRAN"</span> ||
 <a name="l00165"></a>00165                  identifier == <span class="stringliteral">"SECID"</span>)
 <a name="l00166"></a>00166           {
-<a name="l00167"></a>00167             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00168"></a>00168             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00167"></a>00167             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00168"></a>00168             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00169"></a>00169           }
 <a name="l00170"></a>00170 
 <a name="l00171"></a>00171         <span class="comment">/* The different types of accounts */</span>
 <a name="l00172"></a>00172         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"BANKACCTFROM"</span> || identifier == <span class="stringliteral">"CCACCTFROM"</span> || identifier == <span class="stringliteral">"INVACCTFROM"</span>)
 <a name="l00173"></a>00173           {
-<a name="l00174"></a>00174             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00175"></a>00175             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00174"></a>00174             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00175"></a>00175             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00176"></a>00176           }
 <a name="l00177"></a>00177         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"SECINFO"</span>)
 <a name="l00178"></a>00178           {
-<a name="l00179"></a>00179             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00180"></a>00180             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00179"></a>00179             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00180"></a>00180             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00181"></a>00181           }
 <a name="l00182"></a>00182         <span class="comment">/* The different types of balances */</span>
 <a name="l00183"></a>00183         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"LEDGERBAL"</span> || identifier == <span class="stringliteral">"AVAILBAL"</span>)
 <a name="l00184"></a>00184           {
-<a name="l00185"></a>00185             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00186"></a>00186             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBalanceContainer.html">OfxBalanceContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00185"></a>00185             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00186"></a>00186             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00187"></a>00187           }
 <a name="l00188"></a>00188         <span class="keywordflow">else</span>
 <a name="l00189"></a>00189           {
 <a name="l00190"></a>00190             <span class="comment">/* We dont know this OFX element, so we create a dummy container */</span>
-<a name="l00191"></a>00191             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxDummyContainer.html">OfxDummyContainer</a>(libofx_context, curr_container_element, identifier);
+<a name="l00191"></a>00191             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>(libofx_context, curr_container_element, identifier);
 <a name="l00192"></a>00192           }
 <a name="l00193"></a>00193       }
 <a name="l00194"></a>00194     <span class="keywordflow">else</span>
 <a name="l00195"></a>00195       {
 <a name="l00196"></a>00196         <span class="comment">/* The element was a data element.  OpenSP will call one or several data() callback with the data */</span>
-<a name="l00197"></a>00197         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Data element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00197"></a>00197         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Data element "</span> + identifier + <span class="stringliteral">" found"</span>);
 <a name="l00198"></a>00198         <span class="comment">/* There is a bug in OpenSP 1.3.4, which won't send endElement Event for some elements, and will instead send an error like "document type does not allow element "MESSAGE" here".  Incoming_data should be empty in such a case, but it will not be if the endElement event was skiped. So we empty it, so at least the last element has a chance of having valid data */</span> 
 <a name="l00199"></a>00199         <span class="keywordflow">if</span> (incoming_data != <span class="stringliteral">""</span>)
 <a name="l00200"></a>00200           {
-<a name="l00201"></a>00201             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"startElement: incoming_data should be empty! You are probably using OpenSP &lt;= 1.3.4.  The folowing data was lost: "</span> + incoming_data );
+<a name="l00201"></a>00201             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"startElement: incoming_data should be empty! You are probably using OpenSP &lt;= 1.3.4.  The folowing data was lost: "</span> + incoming_data );
 <a name="l00202"></a>00202             incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00203"></a>00203           }
 <a name="l00204"></a>00204       }
 <a name="l00205"></a>00205   }
 <a name="l00206"></a>00206 
-<a name="l00211"></a><a class="code" href="classOFXApplication.html#ace0e849787a64724ddecc2b266b8cac">00211</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#ace0e849787a64724ddecc2b266b8cac">endElement</a> (<span class="keyword">const</span> EndElementEvent &amp; event)
+<a name="l00211"></a><a class="code" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">00211</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900" title="Callback: End of an OFX element.">endElement</a> (<span class="keyword">const</span> EndElementEvent &amp; event)
 <a name="l00212"></a>00212   {
-<a name="l00213"></a>00213     string identifier;
+<a name="l00213"></a>00213     <span class="keywordtype">string</span> identifier;
 <a name="l00214"></a>00214     <span class="keywordtype">bool</span> end_element_for_data_element;
 <a name="l00215"></a>00215 
-<a name="l00216"></a>00216     <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.gi, identifier);
+<a name="l00216"></a>00216     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
 <a name="l00217"></a>00217     end_element_for_data_element=is_data_element;
-<a name="l00218"></a>00218     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"endElement event received from OpenSP for element "</span> + identifier);
+<a name="l00218"></a>00218     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement event received from OpenSP for element "</span> + identifier);
 <a name="l00219"></a>00219 
-<a name="l00220"></a>00220     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00220"></a>00220     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00221"></a>00221     <span class="keywordflow">if</span> (curr_container_element == NULL)
 <a name="l00222"></a>00222       {
-<a name="l00223"></a>00223         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" without a open element (NULL pointer)"</span>);
+<a name="l00223"></a>00223         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" without a open element (NULL pointer)"</span>);
 <a name="l00224"></a>00224         incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00225"></a>00225       }
 <a name="l00226"></a>00226     <span class="keywordflow">else</span> <span class="comment">//curr_container_element != NULL</span>
 <a name="l00227"></a>00227       {
 <a name="l00228"></a>00228         <span class="keywordflow">if</span> (end_element_for_data_element == <span class="keyword">true</span>)
 <a name="l00229"></a>00229           {
-<a name="l00230"></a>00230             incoming_data = <a class="code" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a>(incoming_data);
+<a name="l00230"></a>00230             incoming_data = <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(incoming_data);
 <a name="l00231"></a>00231             
-<a name="l00232"></a>00232             curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">add_attribute</a> (identifier, incoming_data);
-<a name="l00233"></a>00233             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"endElement: Added data '"</span> + incoming_data + <span class="stringliteral">"' from "</span> + identifier + <span class="stringliteral">" to "</span> + curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a> + <span class="stringliteral">" container_element"</span>);
+<a name="l00232"></a>00232             curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a> (identifier, incoming_data);
+<a name="l00233"></a>00233             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement: Added data '"</span> + incoming_data + <span class="stringliteral">"' from "</span> + identifier + <span class="stringliteral">" to "</span> + curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> + <span class="stringliteral">" container_element"</span>);
 <a name="l00234"></a>00234             incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00235"></a>00235             is_data_element=<span class="keyword">false</span>;
 <a name="l00236"></a>00236           }
 <a name="l00237"></a>00237         <span class="keywordflow">else</span>
 <a name="l00238"></a>00238           {
-<a name="l00239"></a>00239             <span class="keywordflow">if</span> (identifier == curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>)
+<a name="l00239"></a>00239             <span class="keywordflow">if</span> (identifier == curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>)
 <a name="l00240"></a>00240               {
 <a name="l00241"></a>00241                 <span class="keywordflow">if</span>(incoming_data!=<span class="stringliteral">""</span>)
 <a name="l00242"></a>00242                   {
-<a name="l00243"></a>00243                     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"End tag for non data element "</span>+identifier+<span class="stringliteral">", incoming data should be empty but contains: "</span>+incoming_data+<span class="stringliteral">" DATA HAS BEEN LOST SOMEWHERE!"</span>);
+<a name="l00243"></a>00243                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"End tag for non data element "</span>+identifier+<span class="stringliteral">", incoming data should be empty but contains: "</span>+incoming_data+<span class="stringliteral">" DATA HAS BEEN LOST SOMEWHERE!"</span>);
 <a name="l00244"></a>00244                   }
 <a name="l00245"></a>00245 
 <a name="l00246"></a>00246                 <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"OFX"</span>)
 <a name="l00247"></a>00247                   {
 <a name="l00248"></a>00248                     <span class="comment">/* The main container is a special case */</span>
 <a name="l00249"></a>00249                     tmp_container_element = curr_container_element;
-<a name="l00250"></a>00250                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a> ();
-<a name="l00251"></a>00251                     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">gen_event</a>();
-<a name="l00252"></a>00252                     <span class="keyword">delete</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
-<a name="l00253"></a>00253                     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = NULL;
-<a name="l00254"></a>00254                     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, MainContainer destroyed"</span>);
+<a name="l00250"></a>00250                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00251"></a>00251                     MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00252"></a>00252                     <span class="keyword">delete</span> MainContainer;
+<a name="l00253"></a>00253                     MainContainer = NULL;
+<a name="l00254"></a>00254                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, MainContainer destroyed"</span>);
 <a name="l00255"></a>00255                   }
 <a name="l00256"></a>00256                 <span class="keywordflow">else</span> 
 <a name="l00257"></a>00257                   {
 <a name="l00258"></a>00258                     tmp_container_element = curr_container_element;
-<a name="l00259"></a>00259                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a> ();
-<a name="l00260"></a>00260                     <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00259"></a>00259                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00260"></a>00260                     <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00261"></a>00261                       {
-<a name="l00262"></a>00262                         tmp_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">add_to_main_tree</a>();
-<a name="l00263"></a>00263                         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, object added to MainContainer"</span>);
+<a name="l00262"></a>00262                         tmp_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00263"></a>00263                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, object added to MainContainer"</span>);
 <a name="l00264"></a>00264                       }
 <a name="l00265"></a>00265                     <span class="keywordflow">else</span>
 <a name="l00266"></a>00266                       {
-<a name="l00267"></a>00267                         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"MainContainer is NULL trying to add element "</span> + identifier);
+<a name="l00267"></a>00267                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"MainContainer is NULL trying to add element "</span> + identifier);
 <a name="l00268"></a>00268                       }
 <a name="l00269"></a>00269                   }
 <a name="l00270"></a>00270               }
 <a name="l00271"></a>00271             <span class="keywordflow">else</span>
 <a name="l00272"></a>00272               {
-<a name="l00273"></a>00273                 <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" but a "</span>+curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>+<span class="stringliteral">" is currently open."</span>);
+<a name="l00273"></a>00273                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" but a "</span>+curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" is currently open."</span>);
 <a name="l00274"></a>00274               }
 <a name="l00275"></a>00275           }
 <a name="l00276"></a>00276       }
 <a name="l00277"></a>00277   }
 <a name="l00278"></a>00278   
-<a name="l00283"></a><a class="code" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">00283</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">data</a> (<span class="keyword">const</span> DataEvent &amp; event)
+<a name="l00283"></a><a class="code" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">00283</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185" title="Callback: Data from an OFX element.">data</a> (<span class="keyword">const</span> DataEvent &amp; event)
 <a name="l00284"></a>00284   {
-<a name="l00285"></a>00285     string tmp;
-<a name="l00286"></a>00286     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
-<a name="l00287"></a>00287     <a class="code" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a> (event.data, incoming_data);
-<a name="l00288"></a>00288     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"data event received from OpenSP, incoming_data is now: "</span> + incoming_data);
+<a name="l00285"></a>00285     <span class="keywordtype">string</span> tmp;
+<a name="l00286"></a>00286     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00287"></a>00287     <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a> (event.data, incoming_data);
+<a name="l00288"></a>00288     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"data event received from OpenSP, incoming_data is now: "</span> + incoming_data);
 <a name="l00289"></a>00289   }
 <a name="l00290"></a>00290 
-<a name="l00295"></a><a class="code" href="classOFXApplication.html#ed9647aa1aa0351b461904187804a4ce">00295</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#ed9647aa1aa0351b461904187804a4ce">error</a> (<span class="keyword">const</span> ErrorEvent &amp; event)
+<a name="l00295"></a><a class="code" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb">00295</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb" title="Callback: SGML parse error.">error</a> (<span class="keyword">const</span> ErrorEvent &amp; event)
 <a name="l00296"></a>00296   {
-<a name="l00297"></a>00297     string message;
-<a name="l00298"></a>00298     string string_buf;
-<a name="l00299"></a>00299     <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00297"></a>00297     <span class="keywordtype">string</span> message;
+<a name="l00298"></a>00298     <span class="keywordtype">string</span> string_buf;
+<a name="l00299"></a>00299     <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00300"></a>00300 
-<a name="l00301"></a>00301     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00301"></a>00301     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00302"></a>00302     message = message + <span class="stringliteral">"OpenSP parser: "</span>;
 <a name="l00303"></a>00303     <span class="keywordflow">switch</span> (event.type){
 <a name="l00304"></a>00304     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::quantity:
 <a name="l00305"></a>00305       message = message + <span class="stringliteral">"quantity (Exceeding a quantity limit):"</span>;
-<a name="l00306"></a>00306       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00306"></a>00306       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00307"></a>00307       <span class="keywordflow">break</span>;
 <a name="l00308"></a>00308     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::idref:
 <a name="l00309"></a>00309       message = message + <span class="stringliteral">"idref (An IDREF to a non-existent ID):"</span>;
-<a name="l00310"></a>00310       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00310"></a>00310       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00311"></a>00311       <span class="keywordflow">break</span>;
 <a name="l00312"></a>00312     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::capacity:
 <a name="l00313"></a>00313       message = message + <span class="stringliteral">"capacity (Exceeding a capacity limit):"</span>;
-<a name="l00314"></a>00314       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00314"></a>00314       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00315"></a>00315       <span class="keywordflow">break</span>;
 <a name="l00316"></a>00316     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::otherError:
 <a name="l00317"></a>00317       message = message + <span class="stringliteral">"otherError (misc parse error):"</span>;
-<a name="l00318"></a>00318       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00318"></a>00318       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00319"></a>00319       <span class="keywordflow">break</span>;
 <a name="l00320"></a>00320     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::warning:
 <a name="l00321"></a>00321       message = message + <span class="stringliteral">"warning (Not actually an error.):"</span>;
-<a name="l00322"></a>00322       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">WARNING</a>;
+<a name="l00322"></a>00322       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>;
 <a name="l00323"></a>00323       <span class="keywordflow">break</span>;
 <a name="l00324"></a>00324     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::info:
 <a name="l00325"></a>00325       message =  message + <span class="stringliteral">"info (An informationnal message.  Not actually an error):"</span>;
-<a name="l00326"></a>00326       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>;
+<a name="l00326"></a>00326       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>;
 <a name="l00327"></a>00327       <span class="keywordflow">break</span>;
 <a name="l00328"></a>00328     <span class="keywordflow">default</span>:
 <a name="l00329"></a>00329       message = message + <span class="stringliteral">"OpenSP sent an unknown error to LibOFX (You probably have a newer version of OpenSP):"</span>;
 <a name="l00330"></a>00330     }
-<a name="l00331"></a>00331     message =   message + <span class="stringliteral">"\n"</span> + <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.message, string_buf);
-<a name="l00332"></a>00332     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (error_type, message);
+<a name="l00331"></a>00331     message =   message + <span class="stringliteral">"\n"</span> + <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.message, string_buf);
+<a name="l00332"></a>00332     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (error_type, message);
 <a name="l00333"></a>00333   }
 <a name="l00334"></a>00334 
-<a name="l00339"></a><a class="code" href="classOFXApplication.html#7274f22992407878a8f20f7239b4b9f0">00339</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#7274f22992407878a8f20f7239b4b9f0">openEntityChange</a> (<span class="keyword">const</span> OpenEntityPtr &amp; para_entity_ptr)
+<a name="l00339"></a><a class="code" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">00339</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a" title="Callback: Receive internal OpenSP state.">openEntityChange</a> (<span class="keyword">const</span> OpenEntityPtr &amp; para_entity_ptr)
 <a name="l00340"></a>00340   {
-<a name="l00341"></a>00341     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"openEntityChange()\n"</span>);
-<a name="l00342"></a>00342     <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a> = para_entity_ptr;
+<a name="l00341"></a>00341     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"openEntityChange()\n"</span>);
+<a name="l00342"></a>00342     <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a> = para_entity_ptr;
 <a name="l00343"></a>00343 
 <a name="l00344"></a>00344   };
 <a name="l00345"></a>00345 
 <a name="l00346"></a>00346 <span class="keyword">private</span>:
 <a name="l00347"></a>00347 };
 <a name="l00348"></a>00348 
-<a name="l00352"></a><a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">00352</a> <span class="keywordtype">int</span> <a class="code" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
+<a name="l00352"></a><a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">00352</a> <span class="keywordtype">int</span> <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
 <a name="l00353"></a>00353 {
-<a name="l00354"></a>00354   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Begin ofx_proc_sgml()"</span>);
-<a name="l00355"></a>00355   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[0]);
-<a name="l00356"></a>00356   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[1]);
-<a name="l00357"></a>00357   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[2]);
+<a name="l00354"></a>00354   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Begin ofx_proc_sgml()"</span>);
+<a name="l00355"></a>00355   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[0]);
+<a name="l00356"></a>00356   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[1]);
+<a name="l00357"></a>00357   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[2]);
 <a name="l00358"></a>00358   
 <a name="l00359"></a>00359   ParserEventGeneratorKit parserKit;
 <a name="l00360"></a>00360   parserKit.setOption (ParserEventGeneratorKit::showOpenEntities);
 <a name="l00361"></a>00361   EventGenerator *egp = parserKit.makeEventGenerator (argc, argv);
 <a name="l00362"></a>00362   egp-&gt;inhibitMessages (<span class="keyword">true</span>);  <span class="comment">/* Error output is handled by libofx not OpenSP */</span>
-<a name="l00363"></a>00363   <a class="code" href="classOFXApplication.html">OFXApplication</a> *app = <span class="keyword">new</span> <a class="code" href="classOFXApplication.html">OFXApplication</a>(libofx_context);
+<a name="l00363"></a>00363   <a class="code" href="classOFXApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFXApplication</a> *app = <span class="keyword">new</span> <a class="code" href="classOFXApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFXApplication</a>(libofx_context);
 <a name="l00364"></a>00364   <span class="keywordtype">unsigned</span> nErrors = egp-&gt;run (*app); <span class="comment">/* Begin parsing */</span>
 <a name="l00365"></a>00365   <span class="keyword">delete</span> egp;  <span class="comment">//Note that this is where bug is triggered</span>
 <a name="l00366"></a>00366   <span class="keywordflow">return</span> nErrors &gt; 0;
 <a name="l00367"></a>00367 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__sgml_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__sgml_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__sgml_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_sgml.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_sgml.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 OFX/SGML parsing functionnality. 
 <p>
 Almost all of the SGML parser specific code is contained in this file (some is in messages.cpp and ofx_utilities.cpp). To understand this file you must read the documentation of OpenSP's generic interface: see <a href="http://openjade.sourceforge.net/">http://openjade.sourceforge.net/</a> 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.</p>
+
 <p>
 
 <p>
@@ -33,119 +29,95 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This object is driven by OpenSP as it parses the SGML from the ofx file(s).  <a href="classOFXApplication.html#_details">More...</a><br></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">ofx_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#769a50bb61eeaf248abbb4e578f89842"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#27d475cfed072c1761992192a9ce83cc"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_sgml.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = NULL</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_sgml.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a> = NULL</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a></td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="769a50bb61eeaf248abbb4e578f89842"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_sgml.cpp::ofx_proc_sgml" ref="769a50bb61eeaf248abbb4e578f89842" args="(LibofxContext *libofx_context, int argc, char *argv[])" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int ofx_proc_sgml           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>argc</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>argv</em>[]</td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="27d475cfed072c1761992192a9ce83cc"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_sgml.cpp::ofx_proc_sgml" ref="27d475cfed072c1761992192a9ce83cc" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofx_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses a DTD and OFX file(s). 
 <p>
 ofx_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00352">352</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html#l00352">352</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp-source.html">fx-0.8.2/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="c8e1fbbf7434010d88e4ebb6b2c56340"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_sgml.cpp::entity_ptr" ref="c8e1fbbf7434010d88e4ebb6b2c56340" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d4db2383832ddcfb93e4e02ce1cb102b"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_sgml.cpp::position" ref="d4db2383832ddcfb93e4e02ce1cb102b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::Position <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a class="anchor" name="adaa870f35b4a4fb6b268ae8ea872ccf"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_sgml.cpp::entity_ptr" ref="adaa870f35b4a4fb6b268ae8ea872ccf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4da8008b6f110050513003edf67a2495"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_sgml.cpp::position" ref="4da8008b6f110050513003edf67a2495" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::Position <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__sgml_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__sgml_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__sgml_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_sgml.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_sgml.hh</h1><a href="fx-0_88_82_2lib_2ofx__sgml_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.h</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -35,11 +31,11 @@
 <a name="l00019"></a>00019 <span class="preprocessor">#ifndef OFX_SGML_H</span>
 <a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define OFX_SGML_H</span>
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include "context.hh"</span>
-<a name="l00023"></a>00023 <span class="keywordtype">int</span> <a class="code" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);
+<a name="l00023"></a>00023 <span class="keywordtype">int</span> <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);
 <a name="l00024"></a>00024 
 <a name="l00025"></a>00025 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__sgml_8hh.html'
--- doc/html/fx-0_88_82_2lib_2ofx__sgml_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__sgml_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,88 +1,76 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_sgml.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_sgml.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 OFX/SGML parsing functionnality. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8hh-source.html">fx-0.8.2/lib/ofx_sgml.hh</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8hh-source.html">fx-0.8.2/lib/ofx_sgml.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__sgml_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html#27d475cfed072c1761992192a9ce83cc">ofx_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#769a50bb61eeaf248abbb4e578f89842"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#27d475cfed072c1761992192a9ce83cc"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="769a50bb61eeaf248abbb4e578f89842"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_sgml.hh::ofx_proc_sgml" ref="769a50bb61eeaf248abbb4e578f89842" args="(LibofxContext *libofx_context, int argc, char *argv[])" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int ofx_proc_sgml           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>argc</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>argv</em>[]</td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="27d475cfed072c1761992192a9ce83cc"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_sgml.hh::ofx_proc_sgml" ref="27d475cfed072c1761992192a9ce83cc" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofx_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses a DTD and OFX file(s). 
 <p>
 ofx_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
-<p>
-Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00352">352</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00352">352</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_utilities.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_utilities.cpp</h1><a href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_util.cpp</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -38,8 +34,8 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#include &lt;time.h&gt;</span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;locale.h&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
 <a name="l00027"></a>00027 
 <a name="l00028"></a>00028 <span class="keyword">using namespace </span>std;
 <a name="l00032"></a>00032 <span class="comment">/*ostream &amp;operator&lt;&lt;(ostream &amp;os, SGMLApplication::CharString s)</span>
@@ -70,29 +66,29 @@
 <a name="l00057"></a>00057 <span class="comment">  return dest;</span>
 <a name="l00058"></a>00058 <span class="comment">  }*/</span>
 <a name="l00059"></a>00059 
-<a name="l00060"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">00060</a> string <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, string &amp;dest)
+<a name="l00060"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">00060</a> <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest)
 <a name="l00061"></a>00061 {
-<a name="l00062"></a>00062   size_t i;
+<a name="l00062"></a>00062   <span class="keywordtype">size_t</span> i;
 <a name="l00063"></a>00063   dest.assign(<span class="stringliteral">""</span>);<span class="comment">//Empty the provided string</span>
 <a name="l00064"></a>00064   <span class="comment">//  cout&lt;&lt;"Length: "&lt;&lt;source.len&lt;&lt;"sizeof(Char)"&lt;&lt;sizeof(SGMLApplication::Char)&lt;&lt;endl;</span>
 <a name="l00065"></a>00065   <span class="keywordflow">for</span> (i = 0; i &lt; source.len; i++){
-<a name="l00066"></a>00066     dest+=(<span class="keywordtype">char</span>)(((source.ptr)[i]));  
+<a name="l00066"></a>00066     dest+=(char)(((source.ptr)[i]));  
 <a name="l00067"></a>00067     <span class="comment">//    cout&lt;&lt;i&lt;&lt;" "&lt;&lt;(char)(((source.ptr)[i]))&lt;&lt;endl; </span>
 <a name="l00068"></a>00068   }
 <a name="l00069"></a>00069   <span class="keywordflow">return</span> dest;
 <a name="l00070"></a>00070 }
 <a name="l00071"></a>00071 
-<a name="l00072"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">00072</a> string <a class="code" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, string &amp;dest)
+<a name="l00072"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">00072</a> <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest)
 <a name="l00073"></a>00073 {
-<a name="l00074"></a>00074   size_t i;
+<a name="l00074"></a>00074   <span class="keywordtype">size_t</span> i;
 <a name="l00075"></a>00075   <span class="keywordflow">for</span> (i = 0; i &lt; source.len; i++)
 <a name="l00076"></a>00076     {
-<a name="l00077"></a>00077       dest+=(<span class="keywordtype">char</span>)(((source.ptr)[i]));
+<a name="l00077"></a>00077       dest+=(char)(((source.ptr)[i]));
 <a name="l00078"></a>00078     }
 <a name="l00079"></a>00079   <span class="keywordflow">return</span> dest;
 <a name="l00080"></a>00080 }
 <a name="l00081"></a>00081 
-<a name="l00097"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">00097</a> time_t <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(<span class="keyword">const</span> string ofxdate)
+<a name="l00097"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">00097</a> time_t <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxdate)
 <a name="l00098"></a>00098 {
 <a name="l00099"></a>00099   <span class="keyword">struct </span>tm time;
 <a name="l00100"></a>00100   <span class="keywordtype">double</span> local_offset; <span class="comment">/* in seconds */</span>
@@ -151,16 +147,16 @@
 <a name="l00153"></a>00153       }
 <a name="l00154"></a>00154   }
 <a name="l00155"></a>00155   <span class="keywordflow">else</span>{
-<a name="l00156"></a>00156     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"ofxdate_to_time_t():  Unable to convert time, string is 0 length!"</span>);
+<a name="l00156"></a>00156     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"ofxdate_to_time_t():  Unable to convert time, string is 0 length!"</span>);
 <a name="l00157"></a>00157   }
 <a name="l00158"></a>00158   <span class="keywordflow">return</span> mktime(&amp;time);
 <a name="l00159"></a>00159 }
 <a name="l00160"></a>00160 
-<a name="l00165"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">00165</a> <span class="keywordtype">double</span> <a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(<span class="keyword">const</span> string ofxamount)
+<a name="l00165"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">00165</a> <span class="keywordtype">double</span> <a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxamount)
 <a name="l00166"></a>00166 {
 <a name="l00167"></a>00167   <span class="comment">//Replace commas and decimal points for atof()</span>
 <a name="l00168"></a>00168   string::size_type idx;
-<a name="l00169"></a>00169   string tmp = ofxamount;
+<a name="l00169"></a>00169   <span class="keywordtype">string</span> tmp = ofxamount;
 <a name="l00170"></a>00170 
 <a name="l00171"></a>00171   idx = tmp.find(<span class="charliteral">','</span>);
 <a name="l00172"></a>00172   <span class="keywordflow">if</span>(idx==string::npos){
@@ -174,14 +170,14 @@
 <a name="l00180"></a>00180   <span class="keywordflow">return</span> atof(tmp.c_str());
 <a name="l00181"></a>00181 }
 <a name="l00182"></a>00182 
-<a name="l00186"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">00186</a> string <a class="code" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a>(<span class="keyword">const</span> string para_string)
+<a name="l00186"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">00186</a> <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> para_string)
 <a name="l00187"></a>00187 {
-<a name="l00188"></a>00188   size_t index;
-<a name="l00189"></a>00189   size_t i;
-<a name="l00190"></a>00190   string temp_string = para_string;
+<a name="l00188"></a>00188   <span class="keywordtype">size_t</span> index;
+<a name="l00189"></a>00189   <span class="keywordtype">size_t</span> i;
+<a name="l00190"></a>00190   <span class="keywordtype">string</span> temp_string = para_string;
 <a name="l00191"></a>00191   <span class="keywordtype">char</span> *whitespace = <span class="stringliteral">" \b\f\n\r\t\v"</span>;
 <a name="l00192"></a>00192   <span class="keywordtype">char</span> *abnormal_whitespace = <span class="stringliteral">"\b\f\n\r\t\v"</span>;<span class="comment">//backspace,formfeed,newline,cariage return, horizontal and vertical tabs</span>
-<a name="l00193"></a>00193   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">DEBUG4</a>,<span class="stringliteral">"strip_whitespace() Before: |"</span>+temp_string+<span class="stringliteral">"|"</span>);
+<a name="l00193"></a>00193   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>,<span class="stringliteral">"strip_whitespace() Before: |"</span>+temp_string+<span class="stringliteral">"|"</span>);
 <a name="l00194"></a>00194   <span class="keywordflow">for</span>(i=0;i&lt;=temp_string.size()&amp;&amp;temp_string.find_first_of(whitespace, i)==i&amp;&amp;temp_string.find_first_of(whitespace, i)!=string::npos;i++);
 <a name="l00195"></a>00195   temp_string.erase(0,i);<span class="comment">//Strip leading whitespace</span>
 <a name="l00196"></a>00196   <span class="keywordflow">for</span>(i=temp_string.size()-1;(i&gt;=0)&amp;&amp;(temp_string.find_last_of(whitespace, i)==i)&amp;&amp;(temp_string.find_last_of(whitespace, i)!=string::npos);i--);
@@ -192,12 +188,12 @@
 <a name="l00201"></a>00201     temp_string.erase(index,1);<span class="comment">//Strip leading whitespace</span>
 <a name="l00202"></a>00202   };
 <a name="l00203"></a>00203  
-<a name="l00204"></a>00204  <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">DEBUG4</a>,<span class="stringliteral">"strip_whitespace() After:  |"</span>+temp_string+<span class="stringliteral">"|"</span>);
+<a name="l00204"></a>00204  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>,<span class="stringliteral">"strip_whitespace() After:  |"</span>+temp_string+<span class="stringliteral">"|"</span>);
 <a name="l00205"></a>00205  
 <a name="l00206"></a>00206  <span class="keywordflow">return</span> temp_string;
 <a name="l00207"></a>00207 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__utilities_8cpp.html'
--- doc/html/fx-0_88_82_2lib_2ofx__utilities_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__utilities_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,149 +1,121 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_utilities.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_utilities.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Various simple functions for type conversion &amp; al. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">fx-0.8.2/lib/ofx_utilities.cpp</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">fx-0.8.2/lib/ofx_utilities.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">CharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ STL string.  <a href="#0d78db2f18e9d8b4a9916b90819d073e"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f54953e915499daefb8959d8b15fa6f0"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.cpp::AppendCharStringtostring" ref="f54953e915499daefb8959d8b15fa6f0" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ STL string.  <a href="#e7575392f9f9c464ede10057dec0e8e4"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="50b88c84b759d3058397336e7ea42c32"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.cpp::AppendCharStringtostring" ref="50b88c84b759d3058397336e7ea42c32" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">AppendCharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append an OpenSP CharString to an existing C++ STL string. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a> (const string ofxdate)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a C++ string containing a time in OFX format to a C time_t.  <a href="#a82c89f166fafe7ac376f2ecc7f1059a"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a> (const string ofxamount)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OFX amount of money to double float.  <a href="#ca59f589043d9d418168b8092809d0a1"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a> (const string para_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sanitize a string coming from OpenSP.  <a href="#eb4379d3bf0c6900bda8b5f2feb9db92"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">ofxdate_to_time_t</a> (const string ofxdate)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a C++ string containing a time in OFX format to a C time_t.  <a href="#5fdbbc08f8d80a534f8db03d25316d7a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">ofxamount_to_double</a> (const string ofxamount)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OFX amount of money to double float.  <a href="#bfca5b423e5d7b194eb53c53f706f6ba"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">strip_whitespace</a> (const string para_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sanitize a string coming from OpenSP.  <a href="#34933785dd934134973847e58a700733"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="0d78db2f18e9d8b4a9916b90819d073e"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.cpp::CharStringtostring" ref="0d78db2f18e9d8b4a9916b90819d073e" args="(const SGMLApplication::CharString source, string &amp;dest)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">string CharStringtostring           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const SGMLApplication::CharString&nbsp;</td>
-          <td class="mdname" nowrap> <em>source</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>dest</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="e7575392f9f9c464ede10057dec0e8e4"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.cpp::CharStringtostring" ref="e7575392f9f9c464ede10057dec0e8e4" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string CharStringtostring           </td>
+          <td>(</td>
+          <td class="paramtype">const SGMLApplication::CharString&nbsp;</td>
+          <td class="paramname"> <em>source</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">string &amp;&nbsp;</td>
+          <td class="paramname"> <em>dest</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert OpenSP CharString to a C++ STL string. 
 <p>
 Convert an OpenSP CharString directly to a C++ stream, to enable the use of cout directly for debugging. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html#l00060">60</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">fx-0.8.2/lib/ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ca59f589043d9d418168b8092809d0a1"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.cpp::ofxamount_to_double" ref="ca59f589043d9d418168b8092809d0a1" args="(const string ofxamount)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html#l00060">60</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">fx-0.8.2/lib/ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="bfca5b423e5d7b194eb53c53f706f6ba"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.cpp::ofxamount_to_double" ref="bfca5b423e5d7b194eb53c53f706f6ba" args="(const string ofxamount)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">double ofxamount_to_double           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>ofxamount</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">double ofxamount_to_double           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxamount</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert OFX amount of money to double float. 
 <p>
-Convert a C++ string containing an amount of money as specified by the OFX standard and convert it to a double float. <dl compact><dt><b>Note:</b></dt><dd>The ofx number format is the following: "." or "," as decimal separator, NO thousands separator. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html#l00165">165</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">fx-0.8.2/lib/ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a82c89f166fafe7ac376f2ecc7f1059a"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.cpp::ofxdate_to_time_t" ref="a82c89f166fafe7ac376f2ecc7f1059a" args="(const string ofxdate)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+Convert a C++ string containing an amount of money as specified by the OFX standard and convert it to a double float. <dl class="note" compact><dt><b>Note:</b></dt><dd>The ofx number format is the following: "." or "," as decimal separator, NO thousands separator. </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html#l00165">165</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">fx-0.8.2/lib/ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5fdbbc08f8d80a534f8db03d25316d7a"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.cpp::ofxdate_to_time_t" ref="5fdbbc08f8d80a534f8db03d25316d7a" args="(const string ofxdate)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">time_t ofxdate_to_time_t           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>ofxdate</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">time_t ofxdate_to_time_t           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxdate</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert a C++ string containing a time in OFX format to a C time_t. 
@@ -153,8 +125,8 @@
     <tr><td valign="top"></td><td valign="top"><em>ofxdate</em>&nbsp;</td><td>date from the YYYYMMDDHHMMSS.XXX[gmt offset:tz name] OFX format </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>C time_t in the local time zone </dd></dl>
-<dl compact><dt><b>Note:</b></dt><dd><ul>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>C time_t in the local time zone </dd></dl>
+<dl class="note" compact><dt><b>Note:</b></dt><dd><ul>
 <li>The library always returns the time in the systems local time </li>
 <li>OFX defines the date up to the millisecond. The library ignores those milliseconds, since ANSI C does not handle such precision cleanly. The date provided by LibOFX is precise to the second, assuming that information this precise was provided in the ofx file. So you wont know the millisecond you were ruined...</li>
 </ul>
@@ -169,44 +141,36 @@
 <br>
  -When a timezone is specified, it is always used to properly convert in local time, following the spec. </dd></dl>
 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html#l00097">97</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">fx-0.8.2/lib/ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="eb4379d3bf0c6900bda8b5f2feb9db92"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.cpp::strip_whitespace" ref="eb4379d3bf0c6900bda8b5f2feb9db92" args="(const string para_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html#l00097">97</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">fx-0.8.2/lib/ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="34933785dd934134973847e58a700733"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.cpp::strip_whitespace" ref="34933785dd934134973847e58a700733" args="(const string para_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">string strip_whitespace           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>para_string</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">string strip_whitespace           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>para_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Sanitize a string coming from OpenSP. 
 <p>
 Many weird caracters can be present inside a SGML element, as a result on the transfer protocol, or for any reason. This function greatly enhances the reliability of the library by zapping those gremlins (backspace,formfeed,newline,carriage return, horizontal and vertical tabs) as well as removing whitespace at the begining and end of the string. Otherwise, many problems will occur during stringmatching. 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html#l00186">186</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">fx-0.8.2/lib/ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html#l00186">186</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp-source.html">fx-0.8.2/lib/ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__utilities_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2ofx__utilities_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__utilities_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_utilities.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_utilities.hh</h1><a href="fx-0_88_82_2lib_2ofx__utilities_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_util.h</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -41,22 +37,22 @@
 <a name="l00025"></a>00025 
 <a name="l00026"></a>00026 <span class="comment">/*wostream &amp;operator&lt;&lt;(wostream &amp;os, SGMLApplication::CharString s); */</span>
 <a name="l00027"></a>00027 
-<a name="l00029"></a>00029 ostream &amp;<a class="code" href="ofx__utilities_8hh.html#095339d14cabfdc91293958f37f871f7">operator&lt;&lt;</a>(ostream &amp;os, SGMLApplication::CharString s);
+<a name="l00029"></a>00029 ostream &amp;<a class="code" href="ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e" title="Convert OpenSP CharString to a C++ stream.">operator&lt;&lt;</a>(ostream &amp;os, SGMLApplication::CharString s);
 <a name="l00030"></a>00030 
-<a name="l00032"></a>00032 <span class="keywordtype">wchar_t</span>* <a class="code" href="ofx__utilities_8hh.html#53f86c2bd09208cb164d2cb70f2938b3">CharStringtowchar_t</a>(SGMLApplication::CharString source, <span class="keywordtype">wchar_t</span> *dest);  
+<a name="l00032"></a>00032 <span class="keywordtype">wchar_t</span>* <a class="code" href="ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75" title="Convert OpenSP CharString and put it in the C wchar_t string provided.">CharStringtowchar_t</a>(SGMLApplication::CharString source, <span class="keywordtype">wchar_t</span> *dest);  
 <a name="l00033"></a>00033 
-<a name="l00035"></a>00035 string <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, string &amp;dest);
+<a name="l00035"></a>00035 <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest);
 <a name="l00036"></a>00036 
-<a name="l00038"></a>00038 string <a class="code" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, string &amp;dest);
+<a name="l00038"></a>00038 <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest);
 <a name="l00039"></a>00039 
-<a name="l00041"></a>00041 time_t <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(<span class="keyword">const</span> string ofxdate);
+<a name="l00041"></a>00041 time_t <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxdate);
 <a name="l00042"></a>00042 
-<a name="l00044"></a>00044 <span class="keywordtype">double</span> <a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(<span class="keyword">const</span> string ofxamount);
+<a name="l00044"></a>00044 <span class="keywordtype">double</span> <a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxamount);
 <a name="l00045"></a>00045 
-<a name="l00047"></a>00047 string <a class="code" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a>(<span class="keyword">const</span> string para_string);
+<a name="l00047"></a>00047 <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> para_string);
 <a name="l00048"></a>00048 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2ofx__utilities_8hh.html'
--- doc/html/fx-0_88_82_2lib_2ofx__utilities_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2ofx__utilities_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,157 +1,129 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_utilities.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_utilities.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Various simple functions for type conversion &amp; al. 
 <p>
 
-<p>
-Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh-source.html">fx-0.8.2/lib/ofx_utilities.hh</a>.
+<p>Definition in file <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh-source.html">fx-0.8.2/lib/ofx_utilities.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="fx-0_88_82_2lib_2ofx__utilities_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="095339d14cabfdc91293958f37f871f7"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::operator&lt;&lt;" ref="095339d14cabfdc91293958f37f871f7" args="(ostream &amp;os, SGMLApplication::CharString s)" -->
-ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#095339d14cabfdc91293958f37f871f7">operator&lt;&lt;</a> (ostream &amp;os, SGMLApplication::CharString s)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="39ffcaaff3de66030e3e59c2e3e98f8e"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::operator&lt;&lt;" ref="39ffcaaff3de66030e3e59c2e3e98f8e" args="(ostream &amp;os, SGMLApplication::CharString s)" -->
+ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e">operator&lt;&lt;</a> (ostream &amp;os, SGMLApplication::CharString s)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ stream. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="53f86c2bd09208cb164d2cb70f2938b3"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::CharStringtowchar_t" ref="53f86c2bd09208cb164d2cb70f2938b3" args="(SGMLApplication::CharString source, wchar_t *dest)" -->
-wchar_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#53f86c2bd09208cb164d2cb70f2938b3">CharStringtowchar_t</a> (SGMLApplication::CharString source, wchar_t *dest)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2fd46abc036e918fce7b04d9200b3e75"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::CharStringtowchar_t" ref="2fd46abc036e918fce7b04d9200b3e75" args="(SGMLApplication::CharString source, wchar_t *dest)" -->
+wchar_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75">CharStringtowchar_t</a> (SGMLApplication::CharString source, wchar_t *dest)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString and put it in the C wchar_t string provided. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#e7575392f9f9c464ede10057dec0e8e4">CharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ STL string.  <a href="#0d78db2f18e9d8b4a9916b90819d073e"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f54953e915499daefb8959d8b15fa6f0"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::AppendCharStringtostring" ref="f54953e915499daefb8959d8b15fa6f0" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ STL string.  <a href="#e7575392f9f9c464ede10057dec0e8e4"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="50b88c84b759d3058397336e7ea42c32"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::AppendCharStringtostring" ref="50b88c84b759d3058397336e7ea42c32" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#50b88c84b759d3058397336e7ea42c32">AppendCharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append an OpenSP CharString to an existing C++ STL string. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a> (const string ofxdate)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a C++ string containing a time in OFX format to a C time_t.  <a href="#a82c89f166fafe7ac376f2ecc7f1059a"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a> (const string ofxamount)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OFX amount of money to double float.  <a href="#ca59f589043d9d418168b8092809d0a1"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a> (const string para_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sanitize a string coming from OpenSP.  <a href="#eb4379d3bf0c6900bda8b5f2feb9db92"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#5fdbbc08f8d80a534f8db03d25316d7a">ofxdate_to_time_t</a> (const string ofxdate)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a C++ string containing a time in OFX format to a C time_t.  <a href="#5fdbbc08f8d80a534f8db03d25316d7a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#bfca5b423e5d7b194eb53c53f706f6ba">ofxamount_to_double</a> (const string ofxamount)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OFX amount of money to double float.  <a href="#bfca5b423e5d7b194eb53c53f706f6ba"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#34933785dd934134973847e58a700733">strip_whitespace</a> (const string para_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sanitize a string coming from OpenSP.  <a href="#34933785dd934134973847e58a700733"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="0d78db2f18e9d8b4a9916b90819d073e"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::CharStringtostring" ref="0d78db2f18e9d8b4a9916b90819d073e" args="(const SGMLApplication::CharString source, string &amp;dest)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">string CharStringtostring           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const SGMLApplication::CharString&nbsp;</td>
-          <td class="mdname" nowrap> <em>source</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>dest</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="e7575392f9f9c464ede10057dec0e8e4"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::CharStringtostring" ref="e7575392f9f9c464ede10057dec0e8e4" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string CharStringtostring           </td>
+          <td>(</td>
+          <td class="paramtype">const SGMLApplication::CharString&nbsp;</td>
+          <td class="paramname"> <em>source</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">string &amp;&nbsp;</td>
+          <td class="paramname"> <em>dest</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert OpenSP CharString to a C++ STL string. 
 <p>
 Convert an OpenSP CharString directly to a C++ stream, to enable the use of cout directly for debugging. 
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00060">60</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ca59f589043d9d418168b8092809d0a1"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::ofxamount_to_double" ref="ca59f589043d9d418168b8092809d0a1" args="(const string ofxamount)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00069">69</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="bfca5b423e5d7b194eb53c53f706f6ba"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::ofxamount_to_double" ref="bfca5b423e5d7b194eb53c53f706f6ba" args="(const string ofxamount)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">double ofxamount_to_double           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>ofxamount</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">double ofxamount_to_double           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxamount</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert OFX amount of money to double float. 
 <p>
-Convert a C++ string containing an amount of money as specified by the OFX standard and convert it to a double float. <dl compact><dt><b>Note:</b></dt><dd>The ofx number format is the following: "." or "," as decimal separator, NO thousands separator. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00165">165</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a82c89f166fafe7ac376f2ecc7f1059a"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::ofxdate_to_time_t" ref="a82c89f166fafe7ac376f2ecc7f1059a" args="(const string ofxdate)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+Convert a C++ string containing an amount of money as specified by the OFX standard and convert it to a double float. <dl class="note" compact><dt><b>Note:</b></dt><dd>The ofx number format is the following: "." or "," as decimal separator, NO thousands separator. </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00174">174</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5fdbbc08f8d80a534f8db03d25316d7a"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::ofxdate_to_time_t" ref="5fdbbc08f8d80a534f8db03d25316d7a" args="(const string ofxdate)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">time_t ofxdate_to_time_t           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>ofxdate</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">time_t ofxdate_to_time_t           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxdate</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert a C++ string containing a time in OFX format to a C time_t. 
@@ -161,8 +133,8 @@
     <tr><td valign="top"></td><td valign="top"><em>ofxdate</em>&nbsp;</td><td>date from the YYYYMMDDHHMMSS.XXX[gmt offset:tz name] OFX format </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>C time_t in the local time zone </dd></dl>
-<dl compact><dt><b>Note:</b></dt><dd><ul>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>C time_t in the local time zone </dd></dl>
+<dl class="note" compact><dt><b>Note:</b></dt><dd><ul>
 <li>The library always returns the time in the systems local time </li>
 <li>OFX defines the date up to the millisecond. The library ignores those milliseconds, since ANSI C does not handle such precision cleanly. The date provided by LibOFX is precise to the second, assuming that information this precise was provided in the ofx file. So you wont know the millisecond you were ruined...</li>
 </ul>
@@ -177,44 +149,36 @@
 <br>
  -When a timezone is specified, it is always used to properly convert in local time, following the spec. </dd></dl>
 
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00097">97</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="eb4379d3bf0c6900bda8b5f2feb9db92"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::strip_whitespace" ref="eb4379d3bf0c6900bda8b5f2feb9db92" args="(const string para_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00106">106</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="34933785dd934134973847e58a700733"></a><!-- doxytag: member="fx-0.8.2/lib/ofx_utilities.hh::strip_whitespace" ref="34933785dd934134973847e58a700733" args="(const string para_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">string strip_whitespace           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>para_string</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">string strip_whitespace           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>para_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Sanitize a string coming from OpenSP. 
 <p>
 Many weird caracters can be present inside a SGML element, as a result on the transfer protocol, or for any reason. This function greatly enhances the reliability of the library by zapping those gremlins (backspace,formfeed,newline,carriage return, horizontal and vertical tabs) as well as removing whitespace at the begining and end of the string. Otherwise, many problems will occur during stringmatching. 
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00186">186</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00195">195</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/fx-0_88_82_2lib_2tree_8hh-source.html'
--- doc/html/fx-0_88_82_2lib_2tree_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/fx-0_88_82_2lib_2tree_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: tree.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>tree.hh</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* </span>
 <a name="l00002"></a>00002 <span class="comment"></span>
 <a name="l00003"></a>00003 <span class="comment">   $Id: tree.hh,v 1.6 2006/07/20 04:41:16 benoitg Exp $</span>
@@ -56,19 +52,19 @@
 <a name="l00070"></a>00070 <span class="keyword">namespace </span>kp {
 <a name="l00071"></a>00071 
 <a name="l00072"></a>00072 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T1, <span class="keyword">class</span> T2&gt;
-<a name="l00073"></a>00073 <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">constructor</a>(T1* p, T2&amp; val) 
+<a name="l00073"></a>00073 <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">constructor</a>(T1* p, T2&amp; val) 
 <a name="l00074"></a>00074    {
 <a name="l00075"></a>00075    <span class="keyword">new</span> ((<span class="keywordtype">void</span> *) p) T1(val);
 <a name="l00076"></a>00076    }
 <a name="l00077"></a>00077 
 <a name="l00078"></a>00078 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T1&gt;
-<a name="l00079"></a>00079 <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">constructor</a>(T1* p) 
+<a name="l00079"></a>00079 <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">constructor</a>(T1* p) 
 <a name="l00080"></a>00080    {
 <a name="l00081"></a>00081    <span class="keyword">new</span> ((<span class="keywordtype">void</span> *) p) T1;
 <a name="l00082"></a>00082    }
 <a name="l00083"></a>00083 
 <a name="l00084"></a>00084 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T1&gt;
-<a name="l00085"></a>00085 <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">destructor</a>(T1* p)
+<a name="l00085"></a>00085 <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">destructor</a>(T1* p)
 <a name="l00086"></a>00086    {
 <a name="l00087"></a>00087    p-&gt;~T1();
 <a name="l00088"></a>00088    }
@@ -76,227 +72,227 @@
 <a name="l00090"></a>00090 };
 <a name="l00091"></a>00091 
 <a name="l00093"></a>00093 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt;
-<a name="l00094"></a>00094 <span class="keyword">class </span><a class="code" href="classtree__node__.html">tree_node_</a> { <span class="comment">// size: 5*4=20 bytes (on 32 bit arch), can be reduced by 8.</span>
+<a name="l00094"></a>00094 <span class="keyword">class </span><a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_</a> { <span class="comment">// size: 5*4=20 bytes (on 32 bit arch), can be reduced by 8.</span>
 <a name="l00095"></a>00095    <span class="keyword">public</span>:
-<a name="l00096"></a><a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">00096</a>       <a class="code" href="classtree__node__.html">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>;
-<a name="l00097"></a><a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">00097</a>       <a class="code" href="classtree__node__.html">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>, *<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>;
-<a name="l00098"></a><a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">00098</a>       <a class="code" href="classtree__node__.html">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>, *<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l00099"></a>00099       T <a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>;
+<a name="l00096"></a><a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">00096</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
+<a name="l00097"></a><a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">00097</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>, *<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>;
+<a name="l00098"></a><a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">00098</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>, *<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l00099"></a>00099       T <a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>;
 <a name="l00100"></a>00100 }; <span class="comment">// __attribute__((packed));</span>
 <a name="l00101"></a>00101 
 <a name="l00102"></a>00102 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator = std::allocator&lt;tree_node_&lt;T&gt; &gt; &gt;
 <a name="l00103"></a>00103 <span class="keyword">class </span><a class="code" href="classtree.html">tree</a> {
 <a name="l00104"></a>00104    <span class="keyword">protected</span>:
-<a name="l00105"></a><a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">00105</a>       <span class="keyword">typedef</span> <a class="code" href="classtree__node__.html">tree_node_&lt;T&gt;</a> <a class="code" href="classtree__node__.html">tree_node</a>;
+<a name="l00105"></a><a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">00105</a>       <span class="keyword">typedef</span> <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a>;
 <a name="l00106"></a>00106    <span class="keyword">public</span>:
-<a name="l00108"></a><a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">00108</a>       <span class="keyword">typedef</span> T <a class="code" href="classOfxGenericContainer.html">value_type</a>;
+<a name="l00108"></a><a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">00108</a>       <span class="keyword">typedef</span> T <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">value_type</a>;
 <a name="l00109"></a>00109 
 <a name="l00110"></a>00110       <span class="keyword">class </span>iterator_base;
 <a name="l00111"></a>00111       <span class="keyword">class </span>pre_order_iterator;
 <a name="l00112"></a>00112       <span class="keyword">class </span>post_order_iterator;
 <a name="l00113"></a>00113       <span class="keyword">class </span>sibling_iterator;
 <a name="l00114"></a>00114 
-<a name="l00115"></a>00115       <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree</a>();
-<a name="l00116"></a>00116       <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree</a>(<span class="keyword">const</span> T&amp;);
-<a name="l00117"></a>00117       <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree</a>(<span class="keyword">const</span> iterator_base&amp;);
-<a name="l00118"></a>00118       <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp;);
-<a name="l00119"></a>00119       <a class="code" href="classtree.html#f00c3b34857694f4d02894b308b50e4b">~tree</a>();
-<a name="l00120"></a>00120       <span class="keywordtype">void</span> <a class="code" href="classtree.html#d6defe76c212f37bba54135643e4955f">operator=</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp;);
+<a name="l00115"></a>00115       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>();
+<a name="l00116"></a>00116       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>(<span class="keyword">const</span> T&amp;);
+<a name="l00117"></a>00117       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>(<span class="keyword">const</span> iterator_base&amp;);
+<a name="l00118"></a>00118       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp;);
+<a name="l00119"></a>00119       <a class="code" href="classtree.html#f0169b515c95f4299fd2d984137b7868">~tree</a>();
+<a name="l00120"></a>00120       <span class="keywordtype">void</span> <a class="code" href="classtree.html#9561c0c73b0605f32bf82a026eaf216a">operator=</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp;);
 <a name="l00121"></a>00121 
 <a name="l00123"></a>00123 <span class="preprocessor">#ifdef __SGI_STL_PORT</span>
 <a name="l00124"></a>00124 <span class="preprocessor"></span>      <span class="keyword">class </span>iterator_base : <span class="keyword">public</span> stlport::bidirectional_iterator&lt;T, ptrdiff_t&gt; {
 <a name="l00125"></a>00125 <span class="preprocessor">#else</span>
-<a name="l00126"></a><a class="code" href="classtree_1_1iterator__base.html">00126</a> <span class="preprocessor"></span>      <span class="keyword">class </span><a class="code" href="classtree_1_1iterator__base.html">iterator_base</a> {
+<a name="l00126"></a>00126 <span class="preprocessor"></span>      <span class="keyword">class </span><a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a> {
 <a name="l00127"></a>00127 <span class="preprocessor">#endif</span>
 <a name="l00128"></a>00128 <span class="preprocessor"></span>         <span class="keyword">public</span>:
-<a name="l00129"></a><a class="code" href="classtree_1_1iterator__base.html#4e4ebb94593d3fb0557b5826efffbb22">00129</a>             <span class="keyword">typedef</span> T                               <a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a>;
-<a name="l00130"></a><a class="code" href="classtree_1_1iterator__base.html#da03d0e3df9658b06bfaff826688cc7e">00130</a>             <span class="keyword">typedef</span> T*                              pointer;
-<a name="l00131"></a><a class="code" href="classtree_1_1iterator__base.html#35ff9b8029f33c2e0469bad23764f9d2">00131</a>             <span class="keyword">typedef</span> T&amp;                              reference;
-<a name="l00132"></a><a class="code" href="classtree_1_1iterator__base.html#4976a767b9690e1cd1e22282baef899f">00132</a>             <span class="keyword">typedef</span> size_t                          size_type;
-<a name="l00133"></a><a class="code" href="classtree_1_1iterator__base.html#ebbd8db196719de8eff9735650c352df">00133</a>             <span class="keyword">typedef</span> ptrdiff_t                       difference_type;
-<a name="l00134"></a><a class="code" href="classtree_1_1iterator__base.html#42e7358332b27206caab9be4a1000591">00134</a>             <span class="keyword">typedef</span> std::bidirectional_iterator_tag iterator_category;
+<a name="l00129"></a><a class="code" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">00129</a>             <span class="keyword">typedef</span> T                               <a class="code" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">value_type</a>;
+<a name="l00130"></a><a class="code" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">00130</a>             <span class="keyword">typedef</span> T*                              <a class="code" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">pointer</a>;
+<a name="l00131"></a><a class="code" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">00131</a>             <span class="keyword">typedef</span> T&amp;                              <a class="code" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">reference</a>;
+<a name="l00132"></a><a class="code" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">00132</a>             <span class="keyword">typedef</span> <span class="keywordtype">size_t</span>                          <a class="code" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">size_type</a>;
+<a name="l00133"></a><a class="code" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">00133</a>             <span class="keyword">typedef</span> ptrdiff_t                       <a class="code" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">difference_type</a>;
+<a name="l00134"></a><a class="code" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">00134</a>             <span class="keyword">typedef</span> std::bidirectional_iterator_tag <a class="code" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">iterator_category</a>;
 <a name="l00135"></a>00135 
-<a name="l00136"></a>00136             <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>();
-<a name="l00137"></a>00137             <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>(<a class="code" href="classtree__node__.html">tree_node</a> *);
+<a name="l00136"></a>00136             <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a>();
+<a name="l00137"></a>00137             <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
 <a name="l00138"></a>00138 
-<a name="l00139"></a>00139             T&amp;             operator*() <span class="keyword">const</span>;
-<a name="l00140"></a>00140             T*             operator-&gt;() <span class="keyword">const</span>;
+<a name="l00139"></a>00139             T&amp;             <a class="code" href="classtree_1_1iterator__base.html#ada7cbe4d4f9a5ec29db78d10712edc6">operator*</a>() <span class="keyword">const</span>;
+<a name="l00140"></a>00140             T*             <a class="code" href="classtree_1_1iterator__base.html#bd9c59569df7d8be5a50c835c180f4dc">operator-&gt;</a>() <span class="keyword">const</span>;
 <a name="l00141"></a>00141 
-<a name="l00143"></a>00143             <span class="keywordtype">void</span>         skip_children();
-<a name="l00145"></a>00145             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a>() <span class="keyword">const</span>;
+<a name="l00143"></a>00143             <span class="keywordtype">void</span>         <a class="code" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb" title="When called, the next increment/decrement skips children of this node.">skip_children</a>();
+<a name="l00145"></a>00145             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17" title="Number of children of the node pointed to by the iterator.">number_of_children</a>() <span class="keyword">const</span>;
 <a name="l00146"></a>00146 
-<a name="l00147"></a>00147             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>() <span class="keyword">const</span>;
-<a name="l00148"></a>00148             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>() <span class="keyword">const</span>;
+<a name="l00147"></a>00147             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>() <span class="keyword">const</span>;
+<a name="l00148"></a>00148             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>() <span class="keyword">const</span>;
 <a name="l00149"></a>00149 
-<a name="l00150"></a><a class="code" href="classtree_1_1iterator__base.html#a3aa82cf685e610fad186b419930535b">00150</a>             <a class="code" href="classtree__node__.html">tree_node</a> *node;
+<a name="l00150"></a><a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">00150</a>             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
 <a name="l00151"></a>00151          <span class="keyword">protected</span>:
-<a name="l00152"></a>00152             <span class="keywordtype">bool</span> skip_current_children_;
+<a name="l00152"></a>00152             <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">skip_current_children_</a>;
 <a name="l00153"></a>00153       };
 <a name="l00154"></a>00154 
-<a name="l00156"></a><a class="code" href="classtree_1_1pre__order__iterator.html">00156</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a> { 
+<a name="l00156"></a>00156       <span class="keyword">class </span><a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> { 
 <a name="l00157"></a>00157          <span class="keyword">public</span>:
-<a name="l00158"></a>00158             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>();
-<a name="l00159"></a>00159             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(<a class="code" href="classtree__node__.html">tree_node</a> *);
-<a name="l00160"></a>00160             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;);
-<a name="l00161"></a>00161             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;);
+<a name="l00158"></a>00158             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>();
+<a name="l00159"></a>00159             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00160"></a>00160             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
+<a name="l00161"></a>00161             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;);
 <a name="l00162"></a>00162 
-<a name="l00163"></a>00163             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00164"></a>00164             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00165"></a>00165             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;  operator++();
-<a name="l00166"></a>00166             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;  operator--();
-<a name="l00167"></a>00167             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>   operator++(<span class="keywordtype">int</span>);
-<a name="l00168"></a>00168             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>   operator--(<span class="keywordtype">int</span>);
-<a name="l00169"></a>00169             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
-<a name="l00170"></a>00170             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00163"></a>00163             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00164"></a>00164             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00165"></a>00165             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator++();
+<a name="l00166"></a>00166             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator--();
+<a name="l00167"></a>00167             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   operator++(<span class="keywordtype">int</span>);
+<a name="l00168"></a>00168             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   operator--(<span class="keywordtype">int</span>);
+<a name="l00169"></a>00169             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00170"></a>00170             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
 <a name="l00171"></a>00171       };
 <a name="l00172"></a>00172 
-<a name="l00174"></a><a class="code" href="classtree_1_1post__order__iterator.html">00174</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a> {
+<a name="l00174"></a>00174       <span class="keyword">class </span>post_order_iterator : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a> {
 <a name="l00175"></a>00175          <span class="keyword">public</span>:
-<a name="l00176"></a>00176             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>();
-<a name="l00177"></a>00177             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>(<a class="code" href="classtree__node__.html">tree_node</a> *);
-<a name="l00178"></a>00178             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;);
-<a name="l00179"></a>00179             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;);
+<a name="l00176"></a>00176             post_order_iterator();
+<a name="l00177"></a>00177             post_order_iterator(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *);
+<a name="l00178"></a>00178             post_order_iterator(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a>&amp;);
+<a name="l00179"></a>00179             post_order_iterator(<span class="keyword">const</span> sibling_iterator&amp;);
 <a name="l00180"></a>00180 
-<a name="l00181"></a>00181             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00182"></a>00182             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00183"></a>00183             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;  operator++();
-<a name="l00184"></a>00184             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;  operator--();
-<a name="l00185"></a>00185             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>   operator++(<span class="keywordtype">int</span>);
-<a name="l00186"></a>00186             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>   operator--(<span class="keywordtype">int</span>);
-<a name="l00187"></a>00187             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
-<a name="l00188"></a>00188             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00181"></a>00181             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> post_order_iterator&amp;) <span class="keyword">const</span>;
+<a name="l00182"></a>00182             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> post_order_iterator&amp;) <span class="keyword">const</span>;
+<a name="l00183"></a>00183             post_order_iterator&amp;  operator++();
+<a name="l00184"></a>00184             post_order_iterator&amp;  operator--();
+<a name="l00185"></a>00185             post_order_iterator   operator++(<span class="keywordtype">int</span>);
+<a name="l00186"></a>00186             post_order_iterator   operator--(<span class="keywordtype">int</span>);
+<a name="l00187"></a>00187             post_order_iterator&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00188"></a>00188             post_order_iterator&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
 <a name="l00189"></a>00189 
 <a name="l00191"></a>00191             <span class="keywordtype">void</span> descend_all();
 <a name="l00192"></a>00192       };
 <a name="l00193"></a>00193 
-<a name="l00195"></a><a class="code" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">00195</a>       <span class="keyword">typedef</span> pre_order_iterator <a class="code" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">iterator</a>;
+<a name="l00195"></a><a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e">00195</a>       <span class="keyword">typedef</span> pre_order_iterator <a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e" title="The default iterator type throughout the tree class.">iterator</a>;
 <a name="l00196"></a>00196 
-<a name="l00198"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html">00198</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a> {
+<a name="l00198"></a>00198       <span class="keyword">class </span>fixed_depth_iterator : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a> {
 <a name="l00199"></a>00199          <span class="keyword">public</span>:
-<a name="l00200"></a>00200             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>();
-<a name="l00201"></a>00201             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>(<a class="code" href="classtree__node__.html">tree_node</a> *);
-<a name="l00202"></a>00202             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;);
-<a name="l00203"></a>00203             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;);
-<a name="l00204"></a>00204             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;);
+<a name="l00200"></a>00200             fixed_depth_iterator();
+<a name="l00201"></a>00201             fixed_depth_iterator(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00202"></a>00202             fixed_depth_iterator(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a>&amp;);
+<a name="l00203"></a>00203             fixed_depth_iterator(<span class="keyword">const</span> sibling_iterator&amp;);
+<a name="l00204"></a>00204             fixed_depth_iterator(<span class="keyword">const</span> fixed_depth_iterator&amp;);
 <a name="l00205"></a>00205 
-<a name="l00206"></a>00206             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00207"></a>00207             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00208"></a>00208             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;  operator++();
-<a name="l00209"></a>00209             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;  operator--();
-<a name="l00210"></a>00210             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>   operator++(<span class="keywordtype">int</span>);
-<a name="l00211"></a>00211             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>   operator--(<span class="keywordtype">int</span>);
-<a name="l00212"></a>00212             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
-<a name="l00213"></a>00213             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00206"></a>00206             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> fixed_depth_iterator&amp;) <span class="keyword">const</span>;
+<a name="l00207"></a>00207             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> fixed_depth_iterator&amp;) <span class="keyword">const</span>;
+<a name="l00208"></a>00208             fixed_depth_iterator&amp;  operator++();
+<a name="l00209"></a>00209             fixed_depth_iterator&amp;  operator--();
+<a name="l00210"></a>00210             fixed_depth_iterator   operator++(<span class="keywordtype">int</span>);
+<a name="l00211"></a>00211             fixed_depth_iterator   operator--(<span class="keywordtype">int</span>);
+<a name="l00212"></a>00212             fixed_depth_iterator&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00213"></a>00213             fixed_depth_iterator&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
 <a name="l00214"></a>00214 
-<a name="l00215"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#7571c412f3df322bbdb1411960532e93">00215</a>             <a class="code" href="classtree__node__.html">tree_node</a> *first_parent_;
+<a name="l00215"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">00215</a>             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *first_parent_;
 <a name="l00216"></a>00216          <span class="keyword">private</span>:
 <a name="l00217"></a>00217             <span class="keywordtype">void</span> set_first_parent_();
 <a name="l00218"></a>00218             <span class="keywordtype">void</span> find_leftmost_parent_();
 <a name="l00219"></a>00219       };
 <a name="l00220"></a>00220 
-<a name="l00222"></a><a class="code" href="classtree_1_1sibling__iterator.html">00222</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a> {
+<a name="l00222"></a>00222       <span class="keyword">class </span><a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> {
 <a name="l00223"></a>00223          <span class="keyword">public</span>:
-<a name="l00224"></a>00224             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>();
-<a name="l00225"></a>00225             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>(<a class="code" href="classtree__node__.html">tree_node</a> *);
-<a name="l00226"></a>00226             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;);
-<a name="l00227"></a>00227             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;);
+<a name="l00224"></a>00224             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>();
+<a name="l00225"></a>00225             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00226"></a>00226             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;);
+<a name="l00227"></a>00227             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
 <a name="l00228"></a>00228 
-<a name="l00229"></a>00229             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00230"></a>00230             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00231"></a>00231             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;  operator++();
-<a name="l00232"></a>00232             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;  operator--();
-<a name="l00233"></a>00233             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>   operator++(<span class="keywordtype">int</span>);
-<a name="l00234"></a>00234             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>   operator--(<span class="keywordtype">int</span>);
-<a name="l00235"></a>00235             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
-<a name="l00236"></a>00236             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00229"></a>00229             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00230"></a>00230             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00231"></a>00231             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator++();
+<a name="l00232"></a>00232             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator--();
+<a name="l00233"></a>00233             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>   operator++(<span class="keywordtype">int</span>);
+<a name="l00234"></a>00234             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>   operator--(<span class="keywordtype">int</span>);
+<a name="l00235"></a>00235             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00236"></a>00236             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
 <a name="l00237"></a>00237 
-<a name="l00238"></a>00238             <a class="code" href="classtree__node__.html">tree_node</a> *range_first() <span class="keyword">const</span>;
-<a name="l00239"></a>00239             <a class="code" href="classtree__node__.html">tree_node</a> *range_last() <span class="keyword">const</span>;
-<a name="l00240"></a><a class="code" href="classtree_1_1sibling__iterator.html#605ea84e128041819927947e219e021f">00240</a>             <a class="code" href="classtree__node__.html">tree_node</a> *parent_;
+<a name="l00238"></a>00238             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *range_first() <span class="keyword">const</span>;
+<a name="l00239"></a>00239             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *range_last() <span class="keyword">const</span>;
+<a name="l00240"></a><a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">00240</a>             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *parent_;
 <a name="l00241"></a>00241          <span class="keyword">private</span>:
 <a name="l00242"></a>00242             <span class="keywordtype">void</span> set_parent_();
 <a name="l00243"></a>00243       };
 <a name="l00244"></a>00244 
-<a name="l00246"></a>00246       <span class="keyword">inline</span> <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>   <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>() <span class="keyword">const</span>;
-<a name="l00248"></a>00248       <span class="keyword">inline</span> <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>   <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>() <span class="keyword">const</span>;
-<a name="l00250"></a>00250       <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>  <a class="code" href="classtree.html#6c02eb9372a46a6f75f5306501a2d328">begin_post</a>() <span class="keyword">const</span>;
-<a name="l00252"></a>00252       <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>  <a class="code" href="classtree.html#230eeb27fe063d07a18ee4020896c1cb">end_post</a>() <span class="keyword">const</span>;
-<a name="l00254"></a>00254       <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> <a class="code" href="classtree.html#4e811cfdd89077e8a2d6a0e54ded5156">begin_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
-<a name="l00256"></a>00256       <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> <a class="code" href="classtree.html#2fbf1396c3067d11f47950fb879edbb9">end_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
-<a name="l00258"></a>00258       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>     <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
-<a name="l00260"></a>00260       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>     <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00246"></a>00246       <span class="keyword">inline</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>() <span class="keyword">const</span>;
+<a name="l00248"></a>00248       <span class="keyword">inline</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>() <span class="keyword">const</span>;
+<a name="l00250"></a>00250       <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>  <a class="code" href="classtree.html#73c673d39fe46db7ca4e1533841cdbc0" title="Return post-order iterator to the beginning of the tree.">begin_post</a>() <span class="keyword">const</span>;
+<a name="l00252"></a>00252       <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>  <a class="code" href="classtree.html#d339ab550fc2718e84506e91960a177f" title="Return post-order iterator to the end of the tree.">end_post</a>() <span class="keyword">const</span>;
+<a name="l00254"></a>00254       <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a> <a class="code" href="classtree.html#3e7ee34b9582cb6f0bd5b25f501a1057" title="Return fixed-depth iterator to the first node at a given depth.">begin_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
+<a name="l00256"></a>00256       <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a> <a class="code" href="classtree.html#bab26c0edd25cc836ed768e32c034165" title="Return fixed-depth iterator to end of the nodes at given depth.">end_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
+<a name="l00258"></a>00258       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>     <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00260"></a>00260       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>     <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
 <a name="l00261"></a>00261 
-<a name="l00263"></a>00263       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">parent</a>(iter) <span class="keyword">const</span>;
-<a name="l00265"></a>00265       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#2521b543afdcb57b969e77c910141e12">previous_sibling</a>(iter) <span class="keyword">const</span>;
-<a name="l00267"></a>00267       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#0d28ed2bd76b14ee168f5497159e685f">next_sibling</a>(iter) <span class="keyword">const</span>;
-<a name="l00269"></a>00269       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#a6d518c3d4ab2359cce1e5bf50a675c0">next_at_same_depth</a>(iter) <span class="keyword">const</span>;
+<a name="l00263"></a>00263       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(iter) <span class="keyword">const</span>;
+<a name="l00265"></a>00265       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50" title="Return iterator to the previous sibling of a node.">previous_sibling</a>(iter) <span class="keyword">const</span>;
+<a name="l00267"></a>00267       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff" title="Return iterator to the next sibling of a node.">next_sibling</a>(iter) <span class="keyword">const</span>;
+<a name="l00269"></a>00269       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#ce3b299e157ec177230a0144771b2a7e" title="Return iterator to the next node at a given depth.">next_at_same_depth</a>(iter) <span class="keyword">const</span>;
 <a name="l00270"></a>00270 
-<a name="l00272"></a>00272       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">clear</a>();
-<a name="l00274"></a>00274       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">erase</a>(iter);
-<a name="l00276"></a>00276       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">erase_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;);
+<a name="l00272"></a>00272       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">clear</a>();
+<a name="l00274"></a>00274       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>(iter);
+<a name="l00276"></a>00276       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
 <a name="l00277"></a>00277 
-<a name="l00279"></a>00279       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>); 
-<a name="l00281"></a>00281       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x);
-<a name="l00283"></a>00283       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, iter other_position);
-<a name="l00285"></a>00285       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#b73148412a532d3216fb9741bc8c4e67">append_children</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to);
+<a name="l00279"></a>00279       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>); 
+<a name="l00281"></a>00281       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00283"></a>00283       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter other_position);
+<a name="l00285"></a>00285       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465" title="Append the nodes in the from-to range (plus their children) as children of position...">append_children</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to);
 <a name="l00286"></a>00286 
-<a name="l00288"></a>00288       <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> <a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a>(<span class="keyword">const</span> T&amp; x);
-<a name="l00290"></a>00290       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x);
-<a name="l00292"></a>00292       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x);
-<a name="l00294"></a>00294       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">insert_subtree</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">subtree</a>);
-<a name="l00296"></a>00296       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">insert_after</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00288"></a>00288       <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(<span class="keyword">const</span> T&amp; x);
+<a name="l00290"></a>00290       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00292"></a>00292       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00294"></a>00294       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>);
+<a name="l00296"></a>00296       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e" title="Insert node as next sibling of node pointed to by position.">insert_after</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
 <a name="l00297"></a>00297 
-<a name="l00299"></a>00299       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x);
-<a name="l00301"></a>00301       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; from);
-<a name="l00303"></a>00303       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_begin, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_end, 
-<a name="l00304"></a>00304                                <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_begin,  <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_end); 
+<a name="l00299"></a>00299       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00301"></a>00301       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; from);
+<a name="l00303"></a>00303       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> orig_begin, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> orig_end, 
+<a name="l00304"></a>00304                                <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> new_begin,  <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> new_end); 
 <a name="l00305"></a>00305 
-<a name="l00307"></a>00307       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#aa9c55593a7d52cde352a3dde80fbaf9">flatten</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>);
-<a name="l00309"></a>00309       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">reparent</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>);
-<a name="l00311"></a>00311       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">reparent</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, iter from);
+<a name="l00307"></a>00307       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c" title="Move all children of node at &amp;#39;position&amp;#39; to be siblings, returns position...">flatten</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>);
+<a name="l00309"></a>00309       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">reparent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>);
+<a name="l00311"></a>00311       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">reparent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter from);
 <a name="l00312"></a>00312 
-<a name="l00314"></a>00314       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#f4f74176002736b5ad91d07e37954e18">move_after</a>(iter target, iter source);
-<a name="l00316"></a>00316       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#0298006c1f5106ec81657fc1fc9d1cc3">move_before</a>(iter target, iter source);
-<a name="l00318"></a>00318       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8c1f99b308550e6eaa1e3ff7932dd7c3">move_ontop</a>(iter target, iter source);
+<a name="l00314"></a>00314       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the next sibling of &amp;#39;target&amp;#39;...">move_after</a>(iter target, iter source);
+<a name="l00316"></a>00316       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the previous sibling of...">move_before</a>(iter target, iter source);
+<a name="l00318"></a>00318       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#a4f8b906b2758eec530e28387b819284" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the node at &amp;#39;target&amp;#39;...">move_ontop</a>(iter target, iter source);
 <a name="l00319"></a>00319 
-<a name="l00321"></a>00321       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#66539d831037c85092fe6e3c309c6222">merge</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, 
+<a name="l00321"></a>00321       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1" title="Merge with other tree, creating new branches and leaves only if they are not already...">merge</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, 
 <a name="l00322"></a>00322                      <span class="keywordtype">bool</span> duplicate_leaves=<span class="keyword">false</span>);
-<a name="l00324"></a>00324       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, <span class="keywordtype">bool</span> deep=<span class="keyword">false</span>);
+<a name="l00324"></a>00324       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to, <span class="keywordtype">bool</span> deep=<span class="keyword">false</span>);
 <a name="l00325"></a>00325       <span class="keyword">template</span>&lt;<span class="keyword">class</span> StrictWeakOrdering&gt;
-<a name="l00326"></a>00326       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, StrictWeakOrdering comp, <span class="keywordtype">bool</span> deep=<span class="keyword">false</span>);
+<a name="l00326"></a>00326       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to, StrictWeakOrdering comp, <span class="keywordtype">bool</span> deep=<span class="keyword">false</span>);
 <a name="l00328"></a>00328       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00329"></a>00329       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">equal</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three) <span class="keyword">const</span>;
+<a name="l00329"></a>00329       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three) <span class="keyword">const</span>;
 <a name="l00330"></a>00330       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
-<a name="l00331"></a>00331       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">equal</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three, BinaryPredicate) <span class="keyword">const</span>;
+<a name="l00331"></a>00331       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three, BinaryPredicate) <span class="keyword">const</span>;
 <a name="l00332"></a>00332       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00333"></a>00333       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">equal_subtree</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two) <span class="keyword">const</span>;
+<a name="l00333"></a>00333       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">equal_subtree</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two) <span class="keyword">const</span>;
 <a name="l00334"></a>00334       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
-<a name="l00335"></a>00335       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">equal_subtree</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, BinaryPredicate) <span class="keyword">const</span>;
-<a name="l00337"></a>00337       <a class="code" href="classtree.html">tree</a>     <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">subtree</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) <span class="keyword">const</span>;
-<a name="l00338"></a>00338       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">subtree</a>(<a class="code" href="classtree.html">tree</a>&amp;, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) <span class="keyword">const</span>;
-<a name="l00340"></a>00340       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#36b40bbffa2392b7a765cc74364b35d5">swap</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it);
+<a name="l00335"></a>00335       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">equal_subtree</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, BinaryPredicate) <span class="keyword">const</span>;
+<a name="l00337"></a>00337       <a class="code" href="classtree.html">tree</a>     <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to) <span class="keyword">const</span>;
+<a name="l00338"></a>00338       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>(<a class="code" href="classtree.html">tree</a>&amp;, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to) <span class="keyword">const</span>;
+<a name="l00340"></a>00340       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#e842f9b70235bc2412b3c43bca759448" title="Exchange the node (plus subtree) with its sibling node (do nothing if no sibling...">swap</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> it);
 <a name="l00341"></a>00341       
-<a name="l00343"></a>00343       <span class="keywordtype">int</span>      <a class="code" href="classtree.html#153ad4a2483c86e5f3647f131629400b">size</a>() <span class="keyword">const</span>;
-<a name="l00345"></a>00345       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#04cf6fc4add8819a389dcf7e107ad2bf">empty</a>() <span class="keyword">const</span>;
-<a name="l00347"></a>00347       <span class="keywordtype">int</span>      <a class="code" href="classtree.html#464267273fcfac957e31e28937cf996b">depth</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
-<a name="l00349"></a>00349       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
-<a name="l00351"></a>00351       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">number_of_siblings</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
-<a name="l00353"></a>00353       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#b983b7823bc78d7a5efaf994938188a2">is_in_subtree</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>, 
-<a name="l00354"></a>00354                              <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>) <span class="keyword">const</span>;
-<a name="l00356"></a>00356       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">is_valid</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00343"></a>00343       <span class="keywordtype">int</span>      <a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">size</a>() <span class="keyword">const</span>;
+<a name="l00345"></a>00345       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2" title="Check if tree is empty.">empty</a>() <span class="keyword">const</span>;
+<a name="l00347"></a>00347       <span class="keywordtype">int</span>      <a class="code" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1" title="Compute the depth to the root.">depth</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00349"></a>00349       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17" title="Number of children of the node pointed to by the iterator.">number_of_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00351"></a>00351       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00353"></a>00353       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#825e2106781e846bdd8732c117dc21db" title="Determine whether node at position is in the subtrees with root in the range.">is_in_subtree</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>, 
+<a name="l00354"></a>00354                              <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>) <span class="keyword">const</span>;
+<a name="l00356"></a>00356       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
 <a name="l00357"></a>00357 
-<a name="l00359"></a>00359       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#e470529bbd14990a0272a82724b93217">index</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it) <span class="keyword">const</span>;
-<a name="l00361"></a>00361       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>  <a class="code" href="classtree.html#853359c74d04faf26a086dca7c2c5dc1">child</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
+<a name="l00359"></a>00359       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86" title="Determine the index of a node in the range of siblings to which it belongs.">index</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> it) <span class="keyword">const</span>;
+<a name="l00361"></a>00361       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>  <a class="code" href="classtree.html#446c722c82607f8b3243a9153b665d19" title="Inverse of &amp;#39;index&amp;#39;: return the n-th child of the node at position.">child</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
 <a name="l00362"></a>00362       
-<a name="l00364"></a><a class="code" href="classtree_1_1iterator__base__less.html">00364</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1iterator__base__less.html">iterator_base_less</a> {
+<a name="l00364"></a>00364       <span class="keyword">class </span><a class="code" href="classtree_1_1iterator__base__less.html" title="Comparator class for iterators (compares the actual node content, not pointer values)...">iterator_base_less</a> {
 <a name="l00365"></a>00365          <span class="keyword">public</span>:
-<a name="l00366"></a><a class="code" href="classtree_1_1iterator__base__less.html#bd569dd543c428fea5acec7e7d0b02ea">00366</a>             <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base</a>&amp; one,
+<a name="l00366"></a><a class="code" href="classtree_1_1iterator__base__less.html#3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b">00366</a>             <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base</a>&amp; one,
 <a name="l00367"></a>00367                             <span class="keyword">const</span> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base</a>&amp; two)<span class="keyword"> const</span>
 <a name="l00368"></a>00368 <span class="keyword">               </span>{
 <a name="l00369"></a>00369                <span class="keywordflow">return</span> one.node &lt; two.node;
 <a name="l00370"></a>00370                }
 <a name="l00371"></a>00371       };
-<a name="l00372"></a><a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">00372</a>       <a class="code" href="classtree__node__.html">tree_node</a> *<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>, *<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>;    <span class="comment">// head/feet are always dummy; if an iterator points to them it is invalid</span>
+<a name="l00372"></a><a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">00372</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>, *<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>;    <span class="comment">// head/feet are always dummy; if an iterator points to them it is invalid</span>
 <a name="l00373"></a>00373    <span class="keyword">private</span>:
 <a name="l00374"></a>00374       tree_node_allocator alloc_;
 <a name="l00375"></a>00375       <span class="keywordtype">void</span> head_initialise_();
@@ -307,7 +303,7 @@
 <a name="l00381"></a>00381          <span class="keyword">public</span>:
 <a name="l00382"></a>00382             compare_nodes(StrictWeakOrdering comp) : comp_(comp) {};
 <a name="l00383"></a>00383             
-<a name="l00384"></a>00384             <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *a, <span class="keyword">const</span> <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *b) 
+<a name="l00384"></a>00384             <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *a, <span class="keyword">const</span> <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *b) 
 <a name="l00385"></a>00385                {
 <a name="l00386"></a>00386                <span class="keyword">static</span> StrictWeakOrdering comp;
 <a name="l00387"></a>00387                <span class="keywordflow">return</span> comp(a-&gt;data, b-&gt;data);
@@ -350,61 +346,61 @@
 <a name="l00424"></a>00424 <span class="comment">// Tree</span>
 <a name="l00425"></a>00425 
 <a name="l00426"></a>00426 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00427"></a>00427 <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree&lt;T, tree_node_allocator&gt;::tree</a>() 
+<a name="l00427"></a>00427 <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>() 
 <a name="l00428"></a>00428    {
 <a name="l00429"></a>00429    head_initialise_();
 <a name="l00430"></a>00430    }
 <a name="l00431"></a>00431 
 <a name="l00432"></a>00432 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00433"></a>00433 <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> T&amp; x) 
+<a name="l00433"></a>00433 <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> T&amp; x) 
 <a name="l00434"></a>00434    {
 <a name="l00435"></a>00435    head_initialise_();
-<a name="l00436"></a>00436    <a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a>(x);
+<a name="l00436"></a>00436    <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(x);
 <a name="l00437"></a>00437    }
 <a name="l00438"></a>00438 
 <a name="l00439"></a>00439 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00440"></a>00440 <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> iterator_base&amp; other)
+<a name="l00440"></a>00440 <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> iterator_base&amp; other)
 <a name="l00441"></a>00441    {
 <a name="l00442"></a>00442    head_initialise_();
-<a name="l00443"></a>00443    <a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a>((*other));
-<a name="l00444"></a>00444    <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), other);
+<a name="l00443"></a>00443    <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>((*other));
+<a name="l00444"></a>00444    <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), other);
 <a name="l00445"></a>00445    }
 <a name="l00446"></a>00446 
 <a name="l00447"></a>00447 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00448"></a>00448 <a class="code" href="classtree.html#f00c3b34857694f4d02894b308b50e4b">tree&lt;T, tree_node_allocator&gt;::~tree</a>()
+<a name="l00448"></a>00448 <a class="code" href="classtree.html#f0169b515c95f4299fd2d984137b7868">tree&lt;T, tree_node_allocator&gt;::~tree</a>()
 <a name="l00449"></a>00449    {
-<a name="l00450"></a>00450    <a class="code" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">clear</a>();
-<a name="l00451"></a>00451    alloc_.deallocate(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>,1);
-<a name="l00452"></a>00452    alloc_.deallocate(<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>,1);
+<a name="l00450"></a>00450    <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">clear</a>();
+<a name="l00451"></a>00451    alloc_.deallocate(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>,1);
+<a name="l00452"></a>00452    alloc_.deallocate(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>,1);
 <a name="l00453"></a>00453    }
 <a name="l00454"></a>00454 
 <a name="l00455"></a>00455 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00456"></a>00456 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::head_initialise_</a>() 
 <a name="l00457"></a>00457    { 
-<a name="l00458"></a>00458    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a> = alloc_.allocate(1,0); <span class="comment">// MSVC does not have default second argument </span>
-<a name="l00459"></a>00459    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a> = alloc_.allocate(1,0);
+<a name="l00458"></a>00458    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a> = alloc_.allocate(1,0); <span class="comment">// MSVC does not have default second argument </span>
+<a name="l00459"></a>00459    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a> = alloc_.allocate(1,0);
 <a name="l00460"></a>00460 
-<a name="l00461"></a>00461    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=0;
-<a name="l00462"></a>00462    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=0;
-<a name="l00463"></a>00463    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=0;
-<a name="l00464"></a>00464    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=0; <span class="comment">//head;</span>
-<a name="l00465"></a>00465    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>; <span class="comment">//head;</span>
+<a name="l00461"></a>00461    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=0;
+<a name="l00462"></a>00462    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00463"></a>00463    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
+<a name="l00464"></a>00464    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=0; <span class="comment">//head;</span>
+<a name="l00465"></a>00465    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>; <span class="comment">//head;</span>
 <a name="l00466"></a>00466 
-<a name="l00467"></a>00467    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=0;
-<a name="l00468"></a>00468    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=0;
-<a name="l00469"></a>00469    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=0;
-<a name="l00470"></a>00470    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>;
-<a name="l00471"></a>00471    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=0;
+<a name="l00467"></a>00467    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=0;
+<a name="l00468"></a>00468    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00469"></a>00469    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
+<a name="l00470"></a>00470    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>;
+<a name="l00471"></a>00471    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=0;
 <a name="l00472"></a>00472    }
 <a name="l00473"></a>00473 
 <a name="l00474"></a>00474 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00475"></a>00475 <span class="keywordtype">void</span> <a class="code" href="classtree.html#d6defe76c212f37bba54135643e4955f">tree&lt;T, tree_node_allocator&gt;::operator=</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other)
+<a name="l00475"></a>00475 <span class="keywordtype">void</span> <a class="code" href="classtree.html#9561c0c73b0605f32bf82a026eaf216a">tree&lt;T, tree_node_allocator&gt;::operator=</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other)
 <a name="l00476"></a>00476    {
 <a name="l00477"></a>00477    copy_(other);
 <a name="l00478"></a>00478    }
 <a name="l00479"></a>00479 
 <a name="l00480"></a>00480 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00481"></a>00481 <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other)
+<a name="l00481"></a>00481 <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other)
 <a name="l00482"></a>00482    {
 <a name="l00483"></a>00483    head_initialise_();
 <a name="l00484"></a>00484    copy_(other);
@@ -413,17 +409,17 @@
 <a name="l00487"></a>00487 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00488"></a>00488 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::copy_</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other) 
 <a name="l00489"></a>00489    {
-<a name="l00490"></a>00490    <a class="code" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">clear</a>();
-<a name="l00491"></a>00491    pre_order_iterator it=other.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), to=<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
-<a name="l00492"></a>00492    <span class="keywordflow">while</span>(it!=other.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>()) {
-<a name="l00493"></a>00493       to=<a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(to, (*it));
+<a name="l00490"></a>00490    <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">clear</a>();
+<a name="l00491"></a>00491    pre_order_iterator it=other.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), to=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00492"></a>00492    <span class="keywordflow">while</span>(it!=other.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>()) {
+<a name="l00493"></a>00493       to=<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(to, (*it));
 <a name="l00494"></a>00494       it.skip_children();
 <a name="l00495"></a>00495       ++it;
 <a name="l00496"></a>00496       }
-<a name="l00497"></a>00497    to=begin();
-<a name="l00498"></a>00498    it=other.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
-<a name="l00499"></a>00499    <span class="keywordflow">while</span>(it!=other.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>()) {
-<a name="l00500"></a>00500       to=replace(to, it);
+<a name="l00497"></a>00497    to=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00498"></a>00498    it=other.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00499"></a>00499    <span class="keywordflow">while</span>(it!=other.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>()) {
+<a name="l00500"></a>00500       to=<a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(to, it);
 <a name="l00501"></a>00501       to.skip_children();
 <a name="l00502"></a>00502       it.skip_children();
 <a name="l00503"></a>00503       ++to;
@@ -432,24 +428,24 @@
 <a name="l00506"></a>00506    }
 <a name="l00507"></a>00507 
 <a name="l00508"></a>00508 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00509"></a>00509 <span class="keywordtype">void</span> <a class="code" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">tree&lt;T, tree_node_allocator&gt;::clear</a>()
+<a name="l00509"></a>00509 <span class="keywordtype">void</span> <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">tree&lt;T, tree_node_allocator&gt;::clear</a>()
 <a name="l00510"></a>00510    {
-<a name="l00511"></a>00511    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>)
-<a name="l00512"></a>00512       <span class="keywordflow">while</span>(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>!=<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>)
-<a name="l00513"></a>00513          <a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">erase</a>(pre_order_iterator(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>));
+<a name="l00511"></a>00511    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>)
+<a name="l00512"></a>00512       <span class="keywordflow">while</span>(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>)
+<a name="l00513"></a>00513          <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>(pre_order_iterator(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>));
 <a name="l00514"></a>00514    }
 <a name="l00515"></a>00515 
 <a name="l00516"></a>00516 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt; 
-<a name="l00517"></a>00517 <span class="keywordtype">void</span> <a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">tree&lt;T, tree_node_allocator&gt;::erase_children</a>(<span class="keyword">const</span> iterator_base&amp; it)
+<a name="l00517"></a>00517 <span class="keywordtype">void</span> <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">tree&lt;T, tree_node_allocator&gt;::erase_children</a>(<span class="keyword">const</span> iterator_base&amp; it)
 <a name="l00518"></a>00518    {
-<a name="l00519"></a>00519    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *cur=it.node-&gt;first_child;
-<a name="l00520"></a>00520    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *prev=0;
+<a name="l00519"></a>00519    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *cur=it.node-&gt;first_child;
+<a name="l00520"></a>00520    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *prev=0;
 <a name="l00521"></a>00521 
 <a name="l00522"></a>00522    <span class="keywordflow">while</span>(cur!=0) {
 <a name="l00523"></a>00523       prev=cur;
 <a name="l00524"></a>00524       cur=cur-&gt;next_sibling;
-<a name="l00525"></a>00525       <a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">erase_children</a>(pre_order_iterator(prev));
-<a name="l00526"></a>00526       <a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">kp::destructor</a>(&amp;prev-&gt;data);
+<a name="l00525"></a>00525       <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(pre_order_iterator(prev));
+<a name="l00526"></a>00526       <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;prev-&gt;data);
 <a name="l00527"></a>00527       alloc_.deallocate(prev,1);
 <a name="l00528"></a>00528       }
 <a name="l00529"></a>00529    it.node-&gt;first_child=0;
@@ -458,14 +454,14 @@
 <a name="l00532"></a>00532 
 <a name="l00533"></a>00533 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt; 
 <a name="l00534"></a>00534 <span class="keyword">template</span>&lt;<span class="keyword">class</span> iter&gt;
-<a name="l00535"></a>00535 iter <a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">tree&lt;T, tree_node_allocator&gt;::erase</a>(iter it)
+<a name="l00535"></a>00535 iter <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">tree&lt;T, tree_node_allocator&gt;::erase</a>(iter it)
 <a name="l00536"></a>00536    {
-<a name="l00537"></a>00537    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *cur=it.node;
-<a name="l00538"></a>00538    assert(cur!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>);
+<a name="l00537"></a>00537    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *cur=it.node;
+<a name="l00538"></a>00538    assert(cur!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
 <a name="l00539"></a>00539    iter ret=it;
 <a name="l00540"></a>00540    ret.skip_children();
 <a name="l00541"></a>00541    ++ret;
-<a name="l00542"></a>00542    <a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">erase_children</a>(it);
+<a name="l00542"></a>00542    <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(it);
 <a name="l00543"></a>00543    <span class="keywordflow">if</span>(cur-&gt;prev_sibling==0) {
 <a name="l00544"></a>00544       cur-&gt;parent-&gt;first_child=cur-&gt;next_sibling;
 <a name="l00545"></a>00545       }
@@ -479,28 +475,28 @@
 <a name="l00553"></a>00553       cur-&gt;next_sibling-&gt;prev_sibling=cur-&gt;prev_sibling;
 <a name="l00554"></a>00554       }
 <a name="l00555"></a>00555 
-<a name="l00556"></a>00556    <a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">kp::destructor</a>(&amp;cur-&gt;data);
+<a name="l00556"></a>00556    <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;cur-&gt;data);
 <a name="l00557"></a>00557    alloc_.deallocate(cur,1);
 <a name="l00558"></a>00558    <span class="keywordflow">return</span> ret;
 <a name="l00559"></a>00559    }
 <a name="l00560"></a>00560 
 <a name="l00561"></a>00561 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00562"></a>00562 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">tree&lt;T, tree_node_allocator&gt;::begin</a>()<span class="keyword"> const</span>
+<a name="l00562"></a>00562 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">tree&lt;T, tree_node_allocator&gt;::begin</a>()<span class="keyword"> const</span>
 <a name="l00563"></a>00563 <span class="keyword">   </span>{
-<a name="l00564"></a>00564    <span class="keywordflow">return</span> pre_order_iterator(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>);
+<a name="l00564"></a>00564    <span class="keywordflow">return</span> pre_order_iterator(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>);
 <a name="l00565"></a>00565    }
 <a name="l00566"></a>00566 
 <a name="l00567"></a>00567 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00568"></a>00568 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">tree&lt;T, tree_node_allocator&gt;::end</a>()<span class="keyword"> const</span>
+<a name="l00568"></a>00568 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">tree&lt;T, tree_node_allocator&gt;::end</a>()<span class="keyword"> const</span>
 <a name="l00569"></a>00569 <span class="keyword">   </span>{
-<a name="l00570"></a>00570    <span class="keywordflow">return</span> pre_order_iterator(<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>);
+<a name="l00570"></a>00570    <span class="keywordflow">return</span> pre_order_iterator(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>);
 <a name="l00571"></a>00571    }
 <a name="l00572"></a>00572 
 <a name="l00573"></a>00573 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00574"></a>00574 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html#6c02eb9372a46a6f75f5306501a2d328">tree&lt;T, tree_node_allocator&gt;::begin_post</a>()<span class="keyword"> const</span>
+<a name="l00574"></a>00574 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html#73c673d39fe46db7ca4e1533841cdbc0" title="Return post-order iterator to the beginning of the tree.">tree&lt;T, tree_node_allocator&gt;::begin_post</a>()<span class="keyword"> const</span>
 <a name="l00575"></a>00575 <span class="keyword">   </span>{
-<a name="l00576"></a>00576    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *tmp=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l00577"></a>00577    <span class="keywordflow">if</span>(tmp!=<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>) {
+<a name="l00576"></a>00576    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l00577"></a>00577    <span class="keywordflow">if</span>(tmp!=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>) {
 <a name="l00578"></a>00578       <span class="keywordflow">while</span>(tmp-&gt;first_child)
 <a name="l00579"></a>00579          tmp=tmp-&gt;first_child;
 <a name="l00580"></a>00580       }
@@ -508,15 +504,15 @@
 <a name="l00582"></a>00582    }
 <a name="l00583"></a>00583 
 <a name="l00584"></a>00584 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00585"></a>00585 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html#230eeb27fe063d07a18ee4020896c1cb">tree&lt;T, tree_node_allocator&gt;::end_post</a>()<span class="keyword"> const</span>
+<a name="l00585"></a>00585 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html#d339ab550fc2718e84506e91960a177f" title="Return post-order iterator to the end of the tree.">tree&lt;T, tree_node_allocator&gt;::end_post</a>()<span class="keyword"> const</span>
 <a name="l00586"></a>00586 <span class="keyword">   </span>{
-<a name="l00587"></a>00587    <span class="keywordflow">return</span> post_order_iterator(<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>);
+<a name="l00587"></a>00587    <span class="keywordflow">return</span> post_order_iterator(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>);
 <a name="l00588"></a>00588    }
 <a name="l00589"></a>00589 
 <a name="l00590"></a>00590 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00591"></a>00591 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html#4e811cfdd89077e8a2d6a0e54ded5156">tree&lt;T, tree_node_allocator&gt;::begin_fixed</a>(<span class="keyword">const</span> iterator_base&amp; pos, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> dp)<span class="keyword"> const</span>
+<a name="l00591"></a>00591 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html#3e7ee34b9582cb6f0bd5b25f501a1057" title="Return fixed-depth iterator to the first node at a given depth.">tree&lt;T, tree_node_allocator&gt;::begin_fixed</a>(<span class="keyword">const</span> iterator_base&amp; pos, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> dp)<span class="keyword"> const</span>
 <a name="l00592"></a>00592 <span class="keyword">   </span>{
-<a name="l00593"></a>00593    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *tmp=pos.node;
+<a name="l00593"></a>00593    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=pos.node;
 <a name="l00594"></a>00594    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> curdepth=0;
 <a name="l00595"></a>00595    <span class="keywordflow">while</span>(curdepth&lt;dp) { <span class="comment">// go down one level</span>
 <a name="l00596"></a>00596       <span class="keywordflow">while</span>(tmp-&gt;first_child==0) {
@@ -531,10 +527,10 @@
 <a name="l00605"></a>00605    }
 <a name="l00606"></a>00606 
 <a name="l00607"></a>00607 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00608"></a>00608 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html#2fbf1396c3067d11f47950fb879edbb9">tree&lt;T, tree_node_allocator&gt;::end_fixed</a>(<span class="keyword">const</span> iterator_base&amp; pos, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> dp)<span class="keyword"> const</span>
+<a name="l00608"></a>00608 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html#bab26c0edd25cc836ed768e32c034165" title="Return fixed-depth iterator to end of the nodes at given depth.">tree&lt;T, tree_node_allocator&gt;::end_fixed</a>(<span class="keyword">const</span> iterator_base&amp; pos, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> dp)<span class="keyword"> const</span>
 <a name="l00609"></a>00609 <span class="keyword">   </span>{
 <a name="l00610"></a>00610    assert(1==0); <span class="comment">// FIXME: not correct yet</span>
-<a name="l00611"></a>00611    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *tmp=pos.node;
+<a name="l00611"></a>00611    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=pos.node;
 <a name="l00612"></a>00612    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> curdepth=1;
 <a name="l00613"></a>00613    <span class="keywordflow">while</span>(curdepth&lt;dp) { <span class="comment">// go down one level</span>
 <a name="l00614"></a>00614       <span class="keywordflow">while</span>(tmp-&gt;first_child==0) {
@@ -549,16 +545,16 @@
 <a name="l00623"></a>00623    }
 <a name="l00624"></a>00624 
 <a name="l00625"></a>00625 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00626"></a>00626 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">tree&lt;T, tree_node_allocator&gt;::begin</a>(<span class="keyword">const</span> iterator_base&amp; pos)<span class="keyword"> const</span>
+<a name="l00626"></a>00626 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">tree&lt;T, tree_node_allocator&gt;::begin</a>(<span class="keyword">const</span> iterator_base&amp; pos)<span class="keyword"> const</span>
 <a name="l00627"></a>00627 <span class="keyword">   </span>{
 <a name="l00628"></a>00628    <span class="keywordflow">if</span>(pos.node-&gt;first_child==0) {
-<a name="l00629"></a>00629       <span class="keywordflow">return</span> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(pos);
+<a name="l00629"></a>00629       <span class="keywordflow">return</span> <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(pos);
 <a name="l00630"></a>00630       }
 <a name="l00631"></a>00631    <span class="keywordflow">return</span> pos.node-&gt;first_child;
 <a name="l00632"></a>00632    }
 <a name="l00633"></a>00633 
 <a name="l00634"></a>00634 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00635"></a>00635 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">tree&lt;T, tree_node_allocator&gt;::end</a>(<span class="keyword">const</span> iterator_base&amp; pos)<span class="keyword"> const</span>
+<a name="l00635"></a>00635 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">tree&lt;T, tree_node_allocator&gt;::end</a>(<span class="keyword">const</span> iterator_base&amp; pos)<span class="keyword"> const</span>
 <a name="l00636"></a>00636 <span class="keyword">   </span>{
 <a name="l00637"></a>00637    sibling_iterator ret(0);
 <a name="l00638"></a>00638    ret.parent_=pos.node;
@@ -567,7 +563,7 @@
 <a name="l00641"></a>00641 
 <a name="l00642"></a>00642 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00643"></a>00643 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00644"></a>00644 iter <a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">tree&lt;T, tree_node_allocator&gt;::parent</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)<span class="keyword"> const</span>
+<a name="l00644"></a>00644 iter <a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">tree&lt;T, tree_node_allocator&gt;::parent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
 <a name="l00645"></a>00645 <span class="keyword">   </span>{
 <a name="l00646"></a>00646    assert(position.node!=0);
 <a name="l00647"></a>00647    <span class="keywordflow">return</span> iter(position.node-&gt;parent);
@@ -575,7 +571,7 @@
 <a name="l00649"></a>00649 
 <a name="l00650"></a>00650 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00651"></a>00651 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00652"></a>00652 iter <a class="code" href="classtree.html#2521b543afdcb57b969e77c910141e12">tree&lt;T, tree_node_allocator&gt;::previous_sibling</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)<span class="keyword"> const</span>
+<a name="l00652"></a>00652 iter <a class="code" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50" title="Return iterator to the previous sibling of a node.">tree&lt;T, tree_node_allocator&gt;::previous_sibling</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
 <a name="l00653"></a>00653 <span class="keyword">   </span>{
 <a name="l00654"></a>00654    assert(position.node!=0);
 <a name="l00655"></a>00655    iter ret(position);
@@ -585,7 +581,7 @@
 <a name="l00659"></a>00659 
 <a name="l00660"></a>00660 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00661"></a>00661 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00662"></a>00662 iter <a class="code" href="classtree.html#0d28ed2bd76b14ee168f5497159e685f">tree&lt;T, tree_node_allocator&gt;::next_sibling</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)<span class="keyword"> const</span>
+<a name="l00662"></a>00662 iter <a class="code" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff" title="Return iterator to the next sibling of a node.">tree&lt;T, tree_node_allocator&gt;::next_sibling</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
 <a name="l00663"></a>00663 <span class="keyword">   </span>{
 <a name="l00664"></a>00664    assert(position.node!=0);
 <a name="l00665"></a>00665    iter ret(position);
@@ -595,7 +591,7 @@
 <a name="l00669"></a>00669 
 <a name="l00670"></a>00670 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00671"></a>00671 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00672"></a>00672 iter <a class="code" href="classtree.html#a6d518c3d4ab2359cce1e5bf50a675c0">tree&lt;T, tree_node_allocator&gt;::next_at_same_depth</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)<span class="keyword"> const</span>
+<a name="l00672"></a>00672 iter <a class="code" href="classtree.html#ce3b299e157ec177230a0144771b2a7e" title="Return iterator to the next node at a given depth.">tree&lt;T, tree_node_allocator&gt;::next_at_same_depth</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
 <a name="l00673"></a>00673 <span class="keyword">   </span>{
 <a name="l00674"></a>00674    assert(position.node!=0);
 <a name="l00675"></a>00675    iter ret(position);
@@ -633,12 +629,12 @@
 <a name="l00707"></a>00707 
 <a name="l00708"></a>00708 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00709"></a>00709 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00710"></a>00710 iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter position)
+<a name="l00710"></a>00710 iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter position)
 <a name="l00711"></a>00711    {
-<a name="l00712"></a>00712    assert(position.node!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>);
+<a name="l00712"></a>00712    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
 <a name="l00713"></a>00713 
-<a name="l00714"></a>00714    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00715"></a>00715    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;data);
+<a name="l00714"></a>00714    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00715"></a>00715    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data);
 <a name="l00716"></a>00716    tmp-&gt;first_child=0;
 <a name="l00717"></a>00717    tmp-&gt;last_child=0;
 <a name="l00718"></a>00718 
@@ -657,16 +653,16 @@
 <a name="l00731"></a>00731 
 <a name="l00732"></a>00732 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00733"></a>00733 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00734"></a>00734 iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter position, <span class="keyword">const</span> T&amp; x)
+<a name="l00734"></a>00734 iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter position, <span class="keyword">const</span> T&amp; x)
 <a name="l00735"></a>00735    {
 <a name="l00736"></a>00736    <span class="comment">// If your program fails here you probably used 'append_child' to add the top</span>
 <a name="l00737"></a>00737    <span class="comment">// node to an empty tree. From version 1.45 the top element should be added</span>
 <a name="l00738"></a>00738    <span class="comment">// using 'insert'. See the documentation for further information, and sorry about</span>
 <a name="l00739"></a>00739    <span class="comment">// the API change.</span>
-<a name="l00740"></a>00740    assert(position.node!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>);
+<a name="l00740"></a>00740    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
 <a name="l00741"></a>00741 
-<a name="l00742"></a>00742    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00743"></a>00743    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;data, x);
+<a name="l00742"></a>00742    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00743"></a>00743    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data, x);
 <a name="l00744"></a>00744    tmp-&gt;first_child=0;
 <a name="l00745"></a>00745    tmp-&gt;last_child=0;
 <a name="l00746"></a>00746 
@@ -685,44 +681,44 @@
 <a name="l00759"></a>00759 
 <a name="l00760"></a>00760 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00761"></a>00761 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00762"></a>00762 iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter position, iter other)
+<a name="l00762"></a>00762 iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter position, iter other)
 <a name="l00763"></a>00763    {
-<a name="l00764"></a>00764    assert(position.node!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>);
+<a name="l00764"></a>00764    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
 <a name="l00765"></a>00765 
-<a name="l00766"></a>00766    sibling_iterator aargh=<a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(position, <a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a>());
-<a name="l00767"></a>00767    <span class="keywordflow">return</span> <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(aargh, other);
+<a name="l00766"></a>00766    sibling_iterator aargh=<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(position, <a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
+<a name="l00767"></a>00767    <span class="keywordflow">return</span> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(aargh, other);
 <a name="l00768"></a>00768    }
 <a name="l00769"></a>00769 
 <a name="l00770"></a>00770 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00771"></a>00771 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00772"></a>00772 iter <a class="code" href="classtree.html#b73148412a532d3216fb9741bc8c4e67">tree&lt;T, tree_node_allocator&gt;::append_children</a>(iter position, sibling_iterator from, sibling_iterator to)
+<a name="l00772"></a>00772 iter <a class="code" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465" title="Append the nodes in the from-to range (plus their children) as children of position...">tree&lt;T, tree_node_allocator&gt;::append_children</a>(iter position, sibling_iterator from, sibling_iterator to)
 <a name="l00773"></a>00773    {
 <a name="l00774"></a>00774    iter ret=from;
 <a name="l00775"></a>00775 
 <a name="l00776"></a>00776    <span class="keywordflow">while</span>(from!=to) {
-<a name="l00777"></a>00777       <a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">insert_subtree</a>(position.end(), from);
+<a name="l00777"></a>00777       <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(position.end(), from);
 <a name="l00778"></a>00778       ++from;
 <a name="l00779"></a>00779       }
 <a name="l00780"></a>00780    <span class="keywordflow">return</span> ret;
 <a name="l00781"></a>00781    }
 <a name="l00782"></a>00782 
 <a name="l00783"></a>00783 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00784"></a>00784 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">tree&lt;T, tree_node_allocator&gt;::set_head</a>(<span class="keyword">const</span> T&amp; x)
+<a name="l00784"></a>00784 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">tree&lt;T, tree_node_allocator&gt;::set_head</a>(<span class="keyword">const</span> T&amp; x)
 <a name="l00785"></a>00785    {
-<a name="l00786"></a>00786    assert(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>==<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>);
-<a name="l00787"></a>00787    <span class="keywordflow">return</span> <a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(<a class="code" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">iterator</a>(<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>), x);
+<a name="l00786"></a>00786    assert(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>==<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>);
+<a name="l00787"></a>00787    <span class="keywordflow">return</span> <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(<a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e" title="The default iterator type throughout the tree class.">iterator</a>(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>), x);
 <a name="l00788"></a>00788    }
 <a name="l00789"></a>00789 
 <a name="l00790"></a>00790 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00791"></a>00791 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00792"></a>00792 iter <a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">tree&lt;T, tree_node_allocator&gt;::insert</a>(iter position, <span class="keyword">const</span> T&amp; x)
+<a name="l00792"></a>00792 iter <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::insert</a>(iter position, <span class="keyword">const</span> T&amp; x)
 <a name="l00793"></a>00793    {
 <a name="l00794"></a>00794    <span class="keywordflow">if</span>(position.node==0) {
-<a name="l00795"></a>00795       position.node=<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>; <span class="comment">// Backward compatibility: when calling insert on a null node,</span>
+<a name="l00795"></a>00795       position.node=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>; <span class="comment">// Backward compatibility: when calling insert on a null node,</span>
 <a name="l00796"></a>00796                           <span class="comment">// insert before the feet.</span>
 <a name="l00797"></a>00797       }
-<a name="l00798"></a>00798    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00799"></a>00799    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;data, x);
+<a name="l00798"></a>00798    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00799"></a>00799    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data, x);
 <a name="l00800"></a>00800    tmp-&gt;first_child=0;
 <a name="l00801"></a>00801    tmp-&gt;last_child=0;
 <a name="l00802"></a>00802 
@@ -741,10 +737,10 @@
 <a name="l00815"></a>00815    }
 <a name="l00816"></a>00816 
 <a name="l00817"></a>00817 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00818"></a>00818 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">tree&lt;T, tree_node_allocator&gt;::insert</a>(sibling_iterator position, <span class="keyword">const</span> T&amp; x)
+<a name="l00818"></a>00818 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::insert</a>(sibling_iterator position, <span class="keyword">const</span> T&amp; x)
 <a name="l00819"></a>00819    {
-<a name="l00820"></a>00820    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00821"></a>00821    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;data, x);
+<a name="l00820"></a>00820    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00821"></a>00821    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data, x);
 <a name="l00822"></a>00822    tmp-&gt;first_child=0;
 <a name="l00823"></a>00823    tmp-&gt;last_child=0;
 <a name="l00824"></a>00824 
@@ -771,10 +767,10 @@
 <a name="l00845"></a>00845 
 <a name="l00846"></a>00846 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00847"></a>00847 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00848"></a>00848 iter <a class="code" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">tree&lt;T, tree_node_allocator&gt;::insert_after</a>(iter position, <span class="keyword">const</span> T&amp; x)
+<a name="l00848"></a>00848 iter <a class="code" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e" title="Insert node as next sibling of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::insert_after</a>(iter position, <span class="keyword">const</span> T&amp; x)
 <a name="l00849"></a>00849    {
-<a name="l00850"></a>00850    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00851"></a>00851    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;data, x);
+<a name="l00850"></a>00850    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00851"></a>00851    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data, x);
 <a name="l00852"></a>00852    tmp-&gt;first_child=0;
 <a name="l00853"></a>00853    tmp-&gt;last_child=0;
 <a name="l00854"></a>00854 
@@ -795,12 +791,12 @@
 <a name="l00869"></a>00869 
 <a name="l00870"></a>00870 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00871"></a>00871 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00872"></a>00872 iter <a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">tree&lt;T, tree_node_allocator&gt;::insert_subtree</a>(iter position, <span class="keyword">const</span> iterator_base&amp; subtree)
+<a name="l00872"></a>00872 iter <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">tree&lt;T, tree_node_allocator&gt;::insert_subtree</a>(iter position, <span class="keyword">const</span> iterator_base&amp; <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>)
 <a name="l00873"></a>00873    {
 <a name="l00874"></a>00874    <span class="comment">// insert dummy</span>
-<a name="l00875"></a>00875    iter it=<a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(position, <a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a>());
+<a name="l00875"></a>00875    iter it=<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(position, <a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
 <a name="l00876"></a>00876    <span class="comment">// replace dummy with subtree</span>
-<a name="l00877"></a>00877    <span class="keywordflow">return</span> <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(it, <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">subtree</a>);
+<a name="l00877"></a>00877    <span class="keywordflow">return</span> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(it, subtree);
 <a name="l00878"></a>00878    }
 <a name="l00879"></a>00879 
 <a name="l00880"></a>00880 <span class="comment">// template &lt;class T, class tree_node_allocator&gt;</span>
@@ -815,26 +811,26 @@
 <a name="l00889"></a>00889 
 <a name="l00890"></a>00890 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00891"></a>00891 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00892"></a>00892 iter <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">tree&lt;T, tree_node_allocator&gt;::replace</a>(iter position, <span class="keyword">const</span> T&amp; x)
+<a name="l00892"></a>00892 iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::replace</a>(iter position, <span class="keyword">const</span> T&amp; x)
 <a name="l00893"></a>00893    {
-<a name="l00894"></a>00894    <a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">kp::destructor</a>(&amp;position.node-&gt;data);
-<a name="l00895"></a>00895    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;position.node-&gt;data, x);
+<a name="l00894"></a>00894    <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;position.node-&gt;data);
+<a name="l00895"></a>00895    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;position.node-&gt;data, x);
 <a name="l00896"></a>00896    <span class="keywordflow">return</span> position;
 <a name="l00897"></a>00897    }
 <a name="l00898"></a>00898 
 <a name="l00899"></a>00899 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00900"></a>00900 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00901"></a>00901 iter <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">tree&lt;T, tree_node_allocator&gt;::replace</a>(iter position, <span class="keyword">const</span> iterator_base&amp; from)
+<a name="l00901"></a>00901 iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::replace</a>(iter position, <span class="keyword">const</span> iterator_base&amp; from)
 <a name="l00902"></a>00902    {
-<a name="l00903"></a>00903    assert(position.node!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>);
-<a name="l00904"></a>00904    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *current_from=from.node;
-<a name="l00905"></a>00905    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *start_from=from.node;
-<a name="l00906"></a>00906    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *current_to  =position.node;
+<a name="l00903"></a>00903    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
+<a name="l00904"></a>00904    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *current_from=from.node;
+<a name="l00905"></a>00905    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *start_from=from.node;
+<a name="l00906"></a>00906    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *current_to  =position.node;
 <a name="l00907"></a>00907 
 <a name="l00908"></a>00908    <span class="comment">// replace the node at position with head of the replacement tree at from</span>
-<a name="l00909"></a>00909    <a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">erase_children</a>(position);  
-<a name="l00910"></a>00910    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00911"></a>00911    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;data, (*from));
+<a name="l00909"></a>00909    <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(position);  
+<a name="l00910"></a>00910    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00911"></a>00911    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data, (*from));
 <a name="l00912"></a>00912    tmp-&gt;first_child=0;
 <a name="l00913"></a>00913    tmp-&gt;last_child=0;
 <a name="l00914"></a>00914    <span class="keywordflow">if</span>(current_to-&gt;prev_sibling==0) {
@@ -852,12 +848,12 @@
 <a name="l00926"></a>00926       }
 <a name="l00927"></a>00927    tmp-&gt;next_sibling=current_to-&gt;next_sibling;
 <a name="l00928"></a>00928    tmp-&gt;parent=current_to-&gt;parent;
-<a name="l00929"></a>00929    <a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">kp::destructor</a>(&amp;current_to-&gt;data);
+<a name="l00929"></a>00929    <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;current_to-&gt;data);
 <a name="l00930"></a>00930    alloc_.deallocate(current_to,1);
 <a name="l00931"></a>00931    current_to=tmp;
 <a name="l00932"></a>00932    
 <a name="l00933"></a>00933    <span class="comment">// only at this stage can we fix 'last'</span>
-<a name="l00934"></a>00934    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *last=from.node-&gt;next_sibling;
+<a name="l00934"></a>00934    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *last=from.node-&gt;next_sibling;
 <a name="l00935"></a>00935 
 <a name="l00936"></a>00936    pre_order_iterator toit=tmp;
 <a name="l00937"></a>00937    <span class="comment">// copy all children</span>
@@ -865,17 +861,17 @@
 <a name="l00939"></a>00939       assert(current_from!=0);
 <a name="l00940"></a>00940       <span class="keywordflow">if</span>(current_from-&gt;first_child != 0) {
 <a name="l00941"></a>00941          current_from=current_from-&gt;first_child;
-<a name="l00942"></a>00942          toit=<a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(toit, current_from-&gt;data);
+<a name="l00942"></a>00942          toit=<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(toit, current_from-&gt;data);
 <a name="l00943"></a>00943          }
 <a name="l00944"></a>00944       <span class="keywordflow">else</span> {
 <a name="l00945"></a>00945          <span class="keywordflow">while</span>(current_from-&gt;next_sibling==0 &amp;&amp; current_from!=start_from) {
 <a name="l00946"></a>00946             current_from=current_from-&gt;parent;
-<a name="l00947"></a>00947             toit=<a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">parent</a>(toit);
+<a name="l00947"></a>00947             toit=<a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(toit);
 <a name="l00948"></a>00948             assert(current_from!=0);
 <a name="l00949"></a>00949             }
 <a name="l00950"></a>00950          current_from=current_from-&gt;next_sibling;
 <a name="l00951"></a>00951          <span class="keywordflow">if</span>(current_from!=last) {
-<a name="l00952"></a>00952             toit=<a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(<a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">parent</a>(toit), current_from-&gt;data);
+<a name="l00952"></a>00952             toit=<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(<a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(toit), current_from-&gt;data);
 <a name="l00953"></a>00953             }
 <a name="l00954"></a>00954          }
 <a name="l00955"></a>00955       } <span class="keywordflow">while</span>(current_from!=last);
@@ -884,18 +880,18 @@
 <a name="l00958"></a>00958    }
 <a name="l00959"></a>00959 
 <a name="l00960"></a>00960 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00961"></a>00961 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">tree&lt;T, tree_node_allocator&gt;::replace</a>(
+<a name="l00961"></a>00961 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::replace</a>(
 <a name="l00962"></a>00962    sibling_iterator orig_begin, 
 <a name="l00963"></a>00963    sibling_iterator orig_end, 
 <a name="l00964"></a>00964    sibling_iterator new_begin, 
 <a name="l00965"></a>00965    sibling_iterator new_end)
 <a name="l00966"></a>00966    {
-<a name="l00967"></a>00967    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *orig_first=orig_begin.node;
-<a name="l00968"></a>00968    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *new_first=new_begin.node;
-<a name="l00969"></a>00969    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *orig_last=orig_first;
+<a name="l00967"></a>00967    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *orig_first=orig_begin.node;
+<a name="l00968"></a>00968    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *new_first=new_begin.node;
+<a name="l00969"></a>00969    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *orig_last=orig_first;
 <a name="l00970"></a>00970    <span class="keywordflow">while</span>((++orig_begin)!=orig_end)
 <a name="l00971"></a>00971       orig_last=orig_last-&gt;next_sibling;
-<a name="l00972"></a>00972    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *new_last=new_first;
+<a name="l00972"></a>00972    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *new_last=new_first;
 <a name="l00973"></a>00973    <span class="keywordflow">while</span>((++new_begin)!=new_end)
 <a name="l00974"></a>00974       new_last=new_last-&gt;next_sibling;
 <a name="l00975"></a>00975 
@@ -903,7 +899,7 @@
 <a name="l00977"></a>00977    <span class="keywordtype">bool</span> first=<span class="keyword">true</span>;
 <a name="l00978"></a>00978    pre_order_iterator ret;
 <a name="l00979"></a>00979    <span class="keywordflow">while</span>(1==1) {
-<a name="l00980"></a>00980       pre_order_iterator tt=<a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">insert_subtree</a>(pre_order_iterator(orig_first), pre_order_iterator(new_first));
+<a name="l00980"></a>00980       pre_order_iterator tt=<a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(pre_order_iterator(orig_first), pre_order_iterator(new_first));
 <a name="l00981"></a>00981       <span class="keywordflow">if</span>(first) {
 <a name="l00982"></a>00982          ret=tt;
 <a name="l00983"></a>00983          first=<span class="keyword">false</span>;
@@ -915,12 +911,12 @@
 <a name="l00989"></a>00989 
 <a name="l00990"></a>00990    <span class="comment">// erase old range of siblings</span>
 <a name="l00991"></a>00991    <span class="keywordtype">bool</span> last=<span class="keyword">false</span>;
-<a name="l00992"></a>00992    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *next=orig_first;
+<a name="l00992"></a>00992    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *next=orig_first;
 <a name="l00993"></a>00993    <span class="keywordflow">while</span>(1==1) {
 <a name="l00994"></a>00994       <span class="keywordflow">if</span>(next==orig_last) 
 <a name="l00995"></a>00995          last=<span class="keyword">true</span>;
 <a name="l00996"></a>00996       next=next-&gt;next_sibling;
-<a name="l00997"></a>00997       <a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">erase</a>((pre_order_iterator)orig_first);
+<a name="l00997"></a>00997       <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>((pre_order_iterator)orig_first);
 <a name="l00998"></a>00998       <span class="keywordflow">if</span>(last) 
 <a name="l00999"></a>00999          <span class="keywordflow">break</span>;
 <a name="l01000"></a>01000       orig_first=next;
@@ -930,12 +926,12 @@
 <a name="l01004"></a>01004 
 <a name="l01005"></a>01005 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01006"></a>01006 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l01007"></a>01007 iter <a class="code" href="classtree.html#aa9c55593a7d52cde352a3dde80fbaf9">tree&lt;T, tree_node_allocator&gt;::flatten</a>(iter position)
+<a name="l01007"></a>01007 iter <a class="code" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c" title="Move all children of node at &amp;#39;position&amp;#39; to be siblings, returns position...">tree&lt;T, tree_node_allocator&gt;::flatten</a>(iter position)
 <a name="l01008"></a>01008    {
 <a name="l01009"></a>01009    <span class="keywordflow">if</span>(position.node-&gt;first_child==0)
 <a name="l01010"></a>01010       <span class="keywordflow">return</span> position;
 <a name="l01011"></a>01011 
-<a name="l01012"></a>01012    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *tmp=position.node-&gt;first_child;
+<a name="l01012"></a>01012    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=position.node-&gt;first_child;
 <a name="l01013"></a>01013    <span class="keywordflow">while</span>(tmp) {
 <a name="l01014"></a>01014       tmp-&gt;parent=position.node-&gt;parent;
 <a name="l01015"></a>01015       tmp=tmp-&gt;next_sibling;
@@ -958,10 +954,10 @@
 <a name="l01032"></a>01032 
 <a name="l01033"></a>01033 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01034"></a>01034 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l01035"></a>01035 iter <a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">tree&lt;T, tree_node_allocator&gt;::reparent</a>(iter position, sibling_iterator begin, sibling_iterator end)
+<a name="l01035"></a>01035 iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">tree&lt;T, tree_node_allocator&gt;::reparent</a>(iter position, sibling_iterator <a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>, sibling_iterator <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>)
 <a name="l01036"></a>01036    {
-<a name="l01037"></a>01037    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *first=begin.node;
-<a name="l01038"></a>01038    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *last=first;
+<a name="l01037"></a>01037    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *first=begin.node;
+<a name="l01038"></a>01038    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *last=first;
 <a name="l01039"></a>01039    <span class="keywordflow">if</span>(begin==end) <span class="keywordflow">return</span> begin;
 <a name="l01040"></a>01040    <span class="comment">// determine last node</span>
 <a name="l01041"></a>01041    <span class="keywordflow">while</span>((++begin)!=end) {
@@ -992,7 +988,7 @@
 <a name="l01066"></a>01066       }
 <a name="l01067"></a>01067    last-&gt;next_sibling=0;
 <a name="l01068"></a>01068 
-<a name="l01069"></a>01069    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *pos=first;
+<a name="l01069"></a>01069    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *pos=first;
 <a name="l01070"></a>01070    <span class="keywordflow">while</span>(1==1) {
 <a name="l01071"></a>01071       pos-&gt;parent=position.node;
 <a name="l01072"></a>01072       <span class="keywordflow">if</span>(pos==last) <span class="keywordflow">break</span>;
@@ -1003,17 +999,17 @@
 <a name="l01077"></a>01077    }
 <a name="l01078"></a>01078 
 <a name="l01079"></a>01079 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01080"></a>01080 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">tree&lt;T, tree_node_allocator&gt;::reparent</a>(iter position, iter from)
+<a name="l01080"></a>01080 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">tree&lt;T, tree_node_allocator&gt;::reparent</a>(iter position, iter from)
 <a name="l01081"></a>01081    {
 <a name="l01082"></a>01082    <span class="keywordflow">if</span>(from.node-&gt;first_child==0) <span class="keywordflow">return</span> position;
-<a name="l01083"></a>01083    <span class="keywordflow">return</span> <a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">reparent</a>(position, from.node-&gt;first_child, end(from));
+<a name="l01083"></a>01083    <span class="keywordflow">return</span> <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">reparent</a>(position, from.node-&gt;first_child, end(from));
 <a name="l01084"></a>01084    }
 <a name="l01085"></a>01085 
 <a name="l01086"></a>01086 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01087"></a>01087 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#f4f74176002736b5ad91d07e37954e18">tree&lt;T, tree_node_allocator&gt;::move_after</a>(iter target, iter source)
+<a name="l01087"></a>01087 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the next sibling of &amp;#39;target&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::move_after</a>(iter target, iter source)
 <a name="l01088"></a>01088    {
-<a name="l01089"></a>01089    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *dst=target.node;
-<a name="l01090"></a>01090    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *src=source.node;
+<a name="l01089"></a>01089    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *dst=target.node;
+<a name="l01090"></a>01090    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *src=source.node;
 <a name="l01091"></a>01091    assert(dst);
 <a name="l01092"></a>01092    assert(src);
 <a name="l01093"></a>01093 
@@ -1037,10 +1033,10 @@
 <a name="l01111"></a>01111 
 <a name="l01112"></a>01112 
 <a name="l01113"></a>01113 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01114"></a>01114 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#0298006c1f5106ec81657fc1fc9d1cc3">tree&lt;T, tree_node_allocator&gt;::move_before</a>(iter target, iter source)
+<a name="l01114"></a>01114 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the previous sibling of...">tree&lt;T, tree_node_allocator&gt;::move_before</a>(iter target, iter source)
 <a name="l01115"></a>01115    {
-<a name="l01116"></a>01116    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *dst=target.node;
-<a name="l01117"></a>01117    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *src=source.node;
+<a name="l01116"></a>01116    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *dst=target.node;
+<a name="l01117"></a>01117    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *src=source.node;
 <a name="l01118"></a>01118    assert(dst);
 <a name="l01119"></a>01119    assert(src);
 <a name="l01120"></a>01120 
@@ -1063,22 +1059,22 @@
 <a name="l01137"></a>01137    }
 <a name="l01138"></a>01138 
 <a name="l01139"></a>01139 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01140"></a>01140 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8c1f99b308550e6eaa1e3ff7932dd7c3">tree&lt;T, tree_node_allocator&gt;::move_ontop</a>(iter target, iter source)
+<a name="l01140"></a>01140 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#a4f8b906b2758eec530e28387b819284" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the node at &amp;#39;target&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::move_ontop</a>(iter target, iter source)
 <a name="l01141"></a>01141    {
-<a name="l01142"></a>01142    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *dst=target.node;
-<a name="l01143"></a>01143    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *src=source.node;
+<a name="l01142"></a>01142    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *dst=target.node;
+<a name="l01143"></a>01143    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *src=source.node;
 <a name="l01144"></a>01144    assert(dst);
 <a name="l01145"></a>01145    assert(src);
 <a name="l01146"></a>01146 
 <a name="l01147"></a>01147    <span class="keywordflow">if</span>(dst==src) <span class="keywordflow">return</span> source;
 <a name="l01148"></a>01148 
 <a name="l01149"></a>01149    <span class="comment">// remember connection points</span>
-<a name="l01150"></a>01150    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *b_prev_sibling=dst-&gt;prev_sibling;
-<a name="l01151"></a>01151    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *b_next_sibling=dst-&gt;next_sibling;
-<a name="l01152"></a>01152    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *b_parent=dst-&gt;parent;
+<a name="l01150"></a>01150    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *b_prev_sibling=dst-&gt;prev_sibling;
+<a name="l01151"></a>01151    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *b_next_sibling=dst-&gt;next_sibling;
+<a name="l01152"></a>01152    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *b_parent=dst-&gt;parent;
 <a name="l01153"></a>01153 
 <a name="l01154"></a>01154    <span class="comment">// remove target</span>
-<a name="l01155"></a>01155    <a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">erase</a>(target);
+<a name="l01155"></a>01155    <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>(target);
 <a name="l01156"></a>01156 
 <a name="l01157"></a>01157    <span class="comment">// take src out of the tree</span>
 <a name="l01158"></a>01158    <span class="keywordflow">if</span>(src-&gt;prev_sibling!=0) src-&gt;prev_sibling-&gt;next_sibling=src-&gt;next_sibling;
@@ -1098,7 +1094,7 @@
 <a name="l01172"></a>01172    }
 <a name="l01173"></a>01173 
 <a name="l01174"></a>01174 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01175"></a>01175 <span class="keywordtype">void</span> <a class="code" href="classtree.html#66539d831037c85092fe6e3c309c6222">tree&lt;T, tree_node_allocator&gt;::merge</a>(sibling_iterator to1,   sibling_iterator to2,
+<a name="l01175"></a>01175 <span class="keywordtype">void</span> <a class="code" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1" title="Merge with other tree, creating new branches and leaves only if they are not already...">tree&lt;T, tree_node_allocator&gt;::merge</a>(sibling_iterator to1,   sibling_iterator to2,
 <a name="l01176"></a>01176                                           sibling_iterator from1, sibling_iterator from2,
 <a name="l01177"></a>01177                                           <span class="keywordtype">bool</span> duplicate_leaves)
 <a name="l01178"></a>01178    {
@@ -1107,14 +1103,14 @@
 <a name="l01181"></a>01181       <span class="keywordflow">if</span>((fnd=std::find(to1, to2, (*from1))) != to2) { <span class="comment">// element found</span>
 <a name="l01182"></a>01182          <span class="keywordflow">if</span>(from1.begin()==from1.end()) { <span class="comment">// full depth reached</span>
 <a name="l01183"></a>01183             <span class="keywordflow">if</span>(duplicate_leaves)
-<a name="l01184"></a>01184                <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(<a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">parent</a>(to1), (*from1));
+<a name="l01184"></a>01184                <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(<a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(to1), (*from1));
 <a name="l01185"></a>01185             }
 <a name="l01186"></a>01186          <span class="keywordflow">else</span> { <span class="comment">// descend further</span>
-<a name="l01187"></a>01187             <a class="code" href="classtree.html#66539d831037c85092fe6e3c309c6222">merge</a>(fnd.begin(), fnd.end(), from1.begin(), from1.end(), duplicate_leaves);
+<a name="l01187"></a>01187             <a class="code" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1" title="Merge with other tree, creating new branches and leaves only if they are not already...">merge</a>(fnd.begin(), fnd.end(), from1.begin(), from1.end(), duplicate_leaves);
 <a name="l01188"></a>01188             }
 <a name="l01189"></a>01189          }
 <a name="l01190"></a>01190       <span class="keywordflow">else</span> { <span class="comment">// element missing</span>
-<a name="l01191"></a>01191          <a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">insert_subtree</a>(to2, from1);
+<a name="l01191"></a>01191          <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(to2, from1);
 <a name="l01192"></a>01192          }
 <a name="l01193"></a>01193       ++from1;
 <a name="l01194"></a>01194       }
@@ -1122,15 +1118,15 @@
 <a name="l01196"></a>01196 
 <a name="l01197"></a>01197 
 <a name="l01198"></a>01198 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01199"></a>01199 <span class="keywordtype">void</span> <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">tree&lt;T, tree_node_allocator&gt;::sort</a>(sibling_iterator from, sibling_iterator to, <span class="keywordtype">bool</span> deep)
+<a name="l01199"></a>01199 <span class="keywordtype">void</span> <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">tree&lt;T, tree_node_allocator&gt;::sort</a>(sibling_iterator from, sibling_iterator to, <span class="keywordtype">bool</span> deep)
 <a name="l01200"></a>01200    {
 <a name="l01201"></a>01201    std::less&lt;T&gt; comp;
-<a name="l01202"></a>01202    <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">sort</a>(from, to, comp, deep);
+<a name="l01202"></a>01202    <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(from, to, comp, deep);
 <a name="l01203"></a>01203    }
 <a name="l01204"></a>01204 
 <a name="l01205"></a>01205 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01206"></a>01206 <span class="keyword">template</span> &lt;<span class="keyword">class</span> StrictWeakOrdering&gt;
-<a name="l01207"></a>01207 <span class="keywordtype">void</span> <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">tree&lt;T, tree_node_allocator&gt;::sort</a>(sibling_iterator from, sibling_iterator to, 
+<a name="l01207"></a>01207 <span class="keywordtype">void</span> <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">tree&lt;T, tree_node_allocator&gt;::sort</a>(sibling_iterator from, sibling_iterator to, 
 <a name="l01208"></a>01208                                         StrictWeakOrdering comp, <span class="keywordtype">bool</span> deep)
 <a name="l01209"></a>01209    {
 <a name="l01210"></a>01210    <span class="keywordflow">if</span>(from==to) <span class="keywordflow">return</span>;
@@ -1147,9 +1143,9 @@
 <a name="l01221"></a>01221    --it2;
 <a name="l01222"></a>01222 
 <a name="l01223"></a>01223    <span class="comment">// prev and next are the nodes before and after the sorted range</span>
-<a name="l01224"></a>01224    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *prev=from.node-&gt;prev_sibling;
-<a name="l01225"></a>01225    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *next=it2.node-&gt;next_sibling;
-<a name="l01226"></a>01226    <span class="keyword">typename</span> std::multiset&lt;tree_node *, compare_nodes&lt;StrictWeakOrdering&gt; &gt;<a class="code" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">::iterator</a> nit=nodes.begin(), eit=nodes.end();
+<a name="l01224"></a>01224    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *prev=from.node-&gt;prev_sibling;
+<a name="l01225"></a>01225    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *next=it2.node-&gt;next_sibling;
+<a name="l01226"></a>01226    <span class="keyword">typename</span> std::multiset&lt;tree_node *, compare_nodes&lt;StrictWeakOrdering&gt; &gt;<a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e" title="The default iterator type throughout the tree class.">::iterator</a> nit=nodes.<a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>(), eit=nodes.<a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>();
 <a name="l01227"></a>01227    <span class="keywordflow">if</span>(prev==0) {
 <a name="l01228"></a>01228       <span class="keywordflow">if</span>((*nit)-&gt;parent!=0) <span class="comment">// to catch "sorting the head" situations, when there is no parent</span>
 <a name="l01229"></a>01229          (*nit)-&gt;parent-&gt;first_child=(*nit);
@@ -1182,7 +1178,7 @@
 <a name="l01256"></a>01256       sibling_iterator ecs(*eit);
 <a name="l01257"></a>01257       ++ecs;
 <a name="l01258"></a>01258       <span class="keywordflow">while</span>(bcs!=ecs) {
-<a name="l01259"></a>01259          <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">sort</a>(<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(bcs), <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(bcs), comp, deep);
+<a name="l01259"></a>01259          <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(bcs), <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(bcs), comp, deep);
 <a name="l01260"></a>01260          ++bcs;
 <a name="l01261"></a>01261          }
 <a name="l01262"></a>01262       }
@@ -1190,29 +1186,29 @@
 <a name="l01264"></a>01264 
 <a name="l01265"></a>01265 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01266"></a>01266 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l01267"></a>01267 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">tree&lt;T, tree_node_allocator&gt;::equal</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three_)<span class="keyword"> const</span>
+<a name="l01267"></a>01267 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">tree&lt;T, tree_node_allocator&gt;::equal</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three_)<span class="keyword"> const</span>
 <a name="l01268"></a>01268 <span class="keyword">   </span>{
 <a name="l01269"></a>01269    std::equal_to&lt;T&gt; comp;
-<a name="l01270"></a>01270    <span class="keywordflow">return</span> <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">equal</a>(one_, two, three_, comp);
+<a name="l01270"></a>01270    <span class="keywordflow">return</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(one_, two, three_, comp);
 <a name="l01271"></a>01271    }
 <a name="l01272"></a>01272 
 <a name="l01273"></a>01273 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01274"></a>01274 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l01275"></a>01275 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">tree&lt;T, tree_node_allocator&gt;::equal_subtree</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two_)<span class="keyword"> const</span>
+<a name="l01275"></a>01275 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">tree&lt;T, tree_node_allocator&gt;::equal_subtree</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two_)<span class="keyword"> const</span>
 <a name="l01276"></a>01276 <span class="keyword">   </span>{
 <a name="l01277"></a>01277    std::equal_to&lt;T&gt; comp;
-<a name="l01278"></a>01278    <span class="keywordflow">return</span> <a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">equal_subtree</a>(one_, two_, comp);
+<a name="l01278"></a>01278    <span class="keywordflow">return</span> <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">equal_subtree</a>(one_, two_, comp);
 <a name="l01279"></a>01279    }
 <a name="l01280"></a>01280 
 <a name="l01281"></a>01281 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01282"></a>01282 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
-<a name="l01283"></a>01283 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">tree&lt;T, tree_node_allocator&gt;::equal</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three_, BinaryPredicate fun)<span class="keyword"> const</span>
+<a name="l01283"></a>01283 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">tree&lt;T, tree_node_allocator&gt;::equal</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three_, BinaryPredicate fun)<span class="keyword"> const</span>
 <a name="l01284"></a>01284 <span class="keyword">   </span>{
 <a name="l01285"></a>01285    pre_order_iterator one(one_), three(three_);
 <a name="l01286"></a>01286 
 <a name="l01287"></a>01287 <span class="comment">// if(one==two &amp;&amp; is_valid(three) &amp;&amp; three.number_of_children()!=0)</span>
 <a name="l01288"></a>01288 <span class="comment">//    return false;</span>
-<a name="l01289"></a>01289    <span class="keywordflow">while</span>(one!=two &amp;&amp; <a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">is_valid</a>(three)) {
+<a name="l01289"></a>01289    <span class="keywordflow">while</span>(one!=two &amp;&amp; <a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(three)) {
 <a name="l01290"></a>01290       <span class="keywordflow">if</span>(!fun(*one,*three))
 <a name="l01291"></a>01291          <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01292"></a>01292       <span class="keywordflow">if</span>(one.number_of_children()!=three.number_of_children()) 
@@ -1225,36 +1221,36 @@
 <a name="l01299"></a>01299 
 <a name="l01300"></a>01300 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01301"></a>01301 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
-<a name="l01302"></a>01302 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">tree&lt;T, tree_node_allocator&gt;::equal_subtree</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two_, BinaryPredicate fun)<span class="keyword"> const</span>
+<a name="l01302"></a>01302 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">tree&lt;T, tree_node_allocator&gt;::equal_subtree</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two_, BinaryPredicate fun)<span class="keyword"> const</span>
 <a name="l01303"></a>01303 <span class="keyword">   </span>{
 <a name="l01304"></a>01304    pre_order_iterator one(one_), two(two_);
 <a name="l01305"></a>01305 
 <a name="l01306"></a>01306    <span class="keywordflow">if</span>(!fun(*one,*two)) <span class="keywordflow">return</span> <span class="keyword">false</span>;
-<a name="l01307"></a>01307    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a>(one)!=<a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a>(two)) <span class="keywordflow">return</span> <span class="keyword">false</span>;
-<a name="l01308"></a>01308    <span class="keywordflow">return</span> <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">equal</a>(<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(one),<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(one),<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(two),fun);
+<a name="l01307"></a>01307    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">number_of_children</a>(one)!=<a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">number_of_children</a>(two)) <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01308"></a>01308    <span class="keywordflow">return</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(one),<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(one),<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(two),fun);
 <a name="l01309"></a>01309    }
 <a name="l01310"></a>01310 
 <a name="l01311"></a>01311 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01312"></a>01312 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a> <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">tree&lt;T, tree_node_allocator&gt;::subtree</a>(sibling_iterator from, sibling_iterator to)<span class="keyword"> const</span>
+<a name="l01312"></a>01312 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a> <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">tree&lt;T, tree_node_allocator&gt;::subtree</a>(sibling_iterator from, sibling_iterator to)<span class="keyword"> const</span>
 <a name="l01313"></a>01313 <span class="keyword">   </span>{
 <a name="l01314"></a>01314    <a class="code" href="classtree.html">tree</a> tmp;
-<a name="l01315"></a>01315    tmp.<a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a>(<a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a>());
-<a name="l01316"></a>01316    tmp.<a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(tmp.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), tmp.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(), from, to);
+<a name="l01315"></a>01315    tmp.<a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(<a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
+<a name="l01316"></a>01316    tmp.<a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(tmp.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), tmp.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(), from, to);
 <a name="l01317"></a>01317    <span class="keywordflow">return</span> tmp;
 <a name="l01318"></a>01318    }
 <a name="l01319"></a>01319 
 <a name="l01320"></a>01320 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01321"></a>01321 <span class="keywordtype">void</span> <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">tree&lt;T, tree_node_allocator&gt;::subtree</a>(<a class="code" href="classtree.html">tree</a>&amp; tmp, sibling_iterator from, sibling_iterator to)<span class="keyword"> const</span>
+<a name="l01321"></a>01321 <span class="keywordtype">void</span> <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">tree&lt;T, tree_node_allocator&gt;::subtree</a>(<a class="code" href="classtree.html">tree</a>&amp; tmp, sibling_iterator from, sibling_iterator to)<span class="keyword"> const</span>
 <a name="l01322"></a>01322 <span class="keyword">   </span>{
-<a name="l01323"></a>01323    tmp.<a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a>(<a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a>());
-<a name="l01324"></a>01324    tmp.<a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(tmp.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), tmp.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(), from, to);
+<a name="l01323"></a>01323    tmp.<a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(<a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
+<a name="l01324"></a>01324    tmp.<a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(tmp.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), tmp.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(), from, to);
 <a name="l01325"></a>01325    }
 <a name="l01326"></a>01326 
 <a name="l01327"></a>01327 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01328"></a>01328 <span class="keywordtype">int</span> <a class="code" href="classtree.html#153ad4a2483c86e5f3647f131629400b">tree&lt;T, tree_node_allocator&gt;::size</a>()<span class="keyword"> const</span>
+<a name="l01328"></a>01328 <span class="keywordtype">int</span> <a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">tree&lt;T, tree_node_allocator&gt;::size</a>()<span class="keyword"> const</span>
 <a name="l01329"></a>01329 <span class="keyword">   </span>{
 <a name="l01330"></a>01330    <span class="keywordtype">int</span> i=0;
-<a name="l01331"></a>01331    pre_order_iterator it=<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), eit=<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>();
+<a name="l01331"></a>01331    pre_order_iterator it=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), eit=<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>();
 <a name="l01332"></a>01332    <span class="keywordflow">while</span>(it!=eit) {
 <a name="l01333"></a>01333       ++i;
 <a name="l01334"></a>01334       ++it;
@@ -1263,16 +1259,16 @@
 <a name="l01337"></a>01337    }
 <a name="l01338"></a>01338 
 <a name="l01339"></a>01339 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01340"></a>01340 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#04cf6fc4add8819a389dcf7e107ad2bf">tree&lt;T, tree_node_allocator&gt;::empty</a>()<span class="keyword"> const</span>
+<a name="l01340"></a>01340 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2" title="Check if tree is empty.">tree&lt;T, tree_node_allocator&gt;::empty</a>()<span class="keyword"> const</span>
 <a name="l01341"></a>01341 <span class="keyword">   </span>{
-<a name="l01342"></a>01342    pre_order_iterator it=<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), eit=<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>();
+<a name="l01342"></a>01342    pre_order_iterator it=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), eit=<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>();
 <a name="l01343"></a>01343    <span class="keywordflow">return</span> (it==eit);
 <a name="l01344"></a>01344    }
 <a name="l01345"></a>01345 
 <a name="l01346"></a>01346 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01347"></a>01347 <span class="keywordtype">int</span> <a class="code" href="classtree.html#464267273fcfac957e31e28937cf996b">tree&lt;T, tree_node_allocator&gt;::depth</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
+<a name="l01347"></a>01347 <span class="keywordtype">int</span> <a class="code" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1" title="Compute the depth to the root.">tree&lt;T, tree_node_allocator&gt;::depth</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
 <a name="l01348"></a>01348 <span class="keyword">   </span>{
-<a name="l01349"></a>01349    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a>* pos=it.node;
+<a name="l01349"></a>01349    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* pos=it.node;
 <a name="l01350"></a>01350    assert(pos!=0);
 <a name="l01351"></a>01351    <span class="keywordtype">int</span> ret=0;
 <a name="l01352"></a>01352    <span class="keywordflow">while</span>(pos-&gt;parent!=0) {
@@ -1283,9 +1279,9 @@
 <a name="l01357"></a>01357    }
 <a name="l01358"></a>01358 
 <a name="l01359"></a>01359 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01360"></a>01360 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">tree&lt;T, tree_node_allocator&gt;::number_of_children</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
+<a name="l01360"></a>01360 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">tree&lt;T, tree_node_allocator&gt;::number_of_children</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
 <a name="l01361"></a>01361 <span class="keyword">   </span>{
-<a name="l01362"></a>01362    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *pos=it.node-&gt;first_child;
+<a name="l01362"></a>01362    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *pos=it.node-&gt;first_child;
 <a name="l01363"></a>01363    <span class="keywordflow">if</span>(pos==0) <span class="keywordflow">return</span> 0;
 <a name="l01364"></a>01364    
 <a name="l01365"></a>01365    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ret=1;
@@ -1299,13 +1295,13 @@
 <a name="l01373"></a>01373    }
 <a name="l01374"></a>01374 
 <a name="l01375"></a>01375 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01376"></a>01376 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">tree&lt;T, tree_node_allocator&gt;::number_of_siblings</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
+<a name="l01376"></a>01376 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">tree&lt;T, tree_node_allocator&gt;::number_of_siblings</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
 <a name="l01377"></a>01377 <span class="keyword">   </span>{
-<a name="l01378"></a>01378    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *pos=it.node;
+<a name="l01378"></a>01378    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *pos=it.node;
 <a name="l01379"></a>01379    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ret=0;
 <a name="l01380"></a>01380    <span class="keywordflow">while</span>(pos-&gt;next_sibling &amp;&amp; 
-<a name="l01381"></a>01381          pos-&gt;next_sibling!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a> &amp;&amp;
-<a name="l01382"></a>01382          pos-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>!=<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>) {
+<a name="l01381"></a>01381          pos-&gt;next_sibling!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a> &amp;&amp;
+<a name="l01382"></a>01382          pos-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>) {
 <a name="l01383"></a>01383       ++ret;
 <a name="l01384"></a>01384       pos=pos-&gt;next_sibling;
 <a name="l01385"></a>01385       }
@@ -1313,16 +1309,16 @@
 <a name="l01387"></a>01387    }
 <a name="l01388"></a>01388 
 <a name="l01389"></a>01389 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01390"></a>01390 <span class="keywordtype">void</span> <a class="code" href="classtree.html#36b40bbffa2392b7a765cc74364b35d5">tree&lt;T, tree_node_allocator&gt;::swap</a>(sibling_iterator it)
+<a name="l01390"></a>01390 <span class="keywordtype">void</span> <a class="code" href="classtree.html#e842f9b70235bc2412b3c43bca759448" title="Exchange the node (plus subtree) with its sibling node (do nothing if no sibling...">tree&lt;T, tree_node_allocator&gt;::swap</a>(sibling_iterator it)
 <a name="l01391"></a>01391    {
-<a name="l01392"></a>01392    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *nxt=it.node-&gt;next_sibling;
+<a name="l01392"></a>01392    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *nxt=it.node-&gt;next_sibling;
 <a name="l01393"></a>01393    <span class="keywordflow">if</span>(nxt) {
 <a name="l01394"></a>01394       <span class="keywordflow">if</span>(it.node-&gt;prev_sibling)
 <a name="l01395"></a>01395          it.node-&gt;prev_sibling-&gt;next_sibling=nxt;
 <a name="l01396"></a>01396       <span class="keywordflow">else</span>
 <a name="l01397"></a>01397          it.node-&gt;parent-&gt;first_child=nxt;
 <a name="l01398"></a>01398       nxt-&gt;prev_sibling=it.node-&gt;prev_sibling;
-<a name="l01399"></a>01399       <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *nxtnxt=nxt-&gt;next_sibling;
+<a name="l01399"></a>01399       <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *nxtnxt=nxt-&gt;next_sibling;
 <a name="l01400"></a>01400       <span class="keywordflow">if</span>(nxtnxt)
 <a name="l01401"></a>01401          nxtnxt-&gt;prev_sibling=it.node;
 <a name="l01402"></a>01402       <span class="keywordflow">else</span>
@@ -1348,12 +1344,12 @@
 <a name="l01422"></a>01422 <span class="comment">//    }</span>
 <a name="l01423"></a>01423 
 <a name="l01424"></a>01424 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01425"></a>01425 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#b983b7823bc78d7a5efaf994938188a2">tree&lt;T, tree_node_allocator&gt;::is_in_subtree</a>(<span class="keyword">const</span> iterator_base&amp; it, <span class="keyword">const</span> iterator_base&amp; begin, 
+<a name="l01425"></a>01425 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#825e2106781e846bdd8732c117dc21db" title="Determine whether node at position is in the subtrees with root in the range.">tree&lt;T, tree_node_allocator&gt;::is_in_subtree</a>(<span class="keyword">const</span> iterator_base&amp; it, <span class="keyword">const</span> iterator_base&amp; begin, 
 <a name="l01426"></a>01426                                                  <span class="keyword">const</span> iterator_base&amp; end)<span class="keyword"> const</span>
 <a name="l01427"></a>01427 <span class="keyword">   </span>{
 <a name="l01428"></a>01428    <span class="comment">// FIXME: this should be optimised.</span>
-<a name="l01429"></a>01429    pre_order_iterator tmp=<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>;
-<a name="l01430"></a>01430    <span class="keywordflow">while</span>(tmp!=<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>) {
+<a name="l01429"></a>01429    pre_order_iterator tmp=begin;
+<a name="l01430"></a>01430    <span class="keywordflow">while</span>(tmp!=end) {
 <a name="l01431"></a>01431       <span class="keywordflow">if</span>(tmp==it) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01432"></a>01432       ++tmp;
 <a name="l01433"></a>01433       }
@@ -1361,18 +1357,18 @@
 <a name="l01435"></a>01435    }
 <a name="l01436"></a>01436 
 <a name="l01437"></a>01437 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01438"></a>01438 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">tree&lt;T, tree_node_allocator&gt;::is_valid</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
+<a name="l01438"></a>01438 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">tree&lt;T, tree_node_allocator&gt;::is_valid</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
 <a name="l01439"></a>01439 <span class="keyword">   </span>{
-<a name="l01440"></a>01440    <span class="keywordflow">if</span>(it.node==0 || it.node==<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>) <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01440"></a>01440    <span class="keywordflow">if</span>(it.node==0 || it.node==<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>) <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01441"></a>01441    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01442"></a>01442    }
 <a name="l01443"></a>01443 
 <a name="l01444"></a>01444 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01445"></a>01445 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#e470529bbd14990a0272a82724b93217">tree&lt;T, tree_node_allocator&gt;::index</a>(sibling_iterator it)<span class="keyword"> const</span>
+<a name="l01445"></a>01445 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86" title="Determine the index of a node in the range of siblings to which it belongs.">tree&lt;T, tree_node_allocator&gt;::index</a>(sibling_iterator it)<span class="keyword"> const</span>
 <a name="l01446"></a>01446 <span class="keyword">   </span>{
 <a name="l01447"></a>01447    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ind=0;
 <a name="l01448"></a>01448    <span class="keywordflow">if</span>(it.node-&gt;parent==0) {
-<a name="l01449"></a>01449       <span class="keywordflow">while</span>(it.node-&gt;prev_sibling!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>) {
+<a name="l01449"></a>01449       <span class="keywordflow">while</span>(it.node-&gt;prev_sibling!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>) {
 <a name="l01450"></a>01450          it.node=it.node-&gt;prev_sibling;
 <a name="l01451"></a>01451          ++ind;
 <a name="l01452"></a>01452          }
@@ -1388,9 +1384,9 @@
 <a name="l01462"></a>01462 
 <a name="l01463"></a>01463 
 <a name="l01464"></a>01464 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01465"></a>01465 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#853359c74d04faf26a086dca7c2c5dc1">tree&lt;T, tree_node_allocator&gt;::child</a>(<span class="keyword">const</span> iterator_base&amp; it, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)<span class="keyword"> const</span>
+<a name="l01465"></a>01465 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#446c722c82607f8b3243a9153b665d19" title="Inverse of &amp;#39;index&amp;#39;: return the n-th child of the node at position.">tree&lt;T, tree_node_allocator&gt;::child</a>(<span class="keyword">const</span> iterator_base&amp; it, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)<span class="keyword"> const</span>
 <a name="l01466"></a>01466 <span class="keyword">   </span>{
-<a name="l01467"></a>01467    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *tmp=it.node-&gt;first_child;
+<a name="l01467"></a>01467    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=it.node-&gt;first_child;
 <a name="l01468"></a>01468    <span class="keywordflow">while</span>(num--) {
 <a name="l01469"></a>01469       assert(tmp!=0);
 <a name="l01470"></a>01470       tmp=tmp-&gt;next_sibling;
@@ -1404,73 +1400,73 @@
 <a name="l01478"></a>01478 <span class="comment">// Iterator base</span>
 <a name="l01479"></a>01479 
 <a name="l01480"></a>01480 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01481"></a>01481 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base::iterator_base</a>()
-<a name="l01482"></a>01482    : node(0), skip_current_children_(<a class="code" href="inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">false</a>)
+<a name="l01481"></a>01481 <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">tree&lt;T, tree_node_allocator&gt;::iterator_base::iterator_base</a>()
+<a name="l01482"></a>01482    : node(0), skip_current_children_(<a class="code" href="inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">false</a>)
 <a name="l01483"></a>01483    {
 <a name="l01484"></a>01484    }
 <a name="l01485"></a>01485 
 <a name="l01486"></a>01486 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01487"></a>01487 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base::iterator_base</a>(tree_node *tn)
-<a name="l01488"></a>01488    : node(tn), skip_current_children_(<a class="code" href="inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">false</a>)
+<a name="l01487"></a>01487 <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">tree&lt;T, tree_node_allocator&gt;::iterator_base::iterator_base</a>(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tn)
+<a name="l01488"></a>01488    : node(tn), skip_current_children_(<a class="code" href="inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">false</a>)
 <a name="l01489"></a>01489    {
 <a name="l01490"></a>01490    }
 <a name="l01491"></a>01491 
 <a name="l01492"></a>01492 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01493"></a>01493 T&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base::operator*</a>()<span class="keyword"> const</span>
+<a name="l01493"></a>01493 T&amp; <a class="code" href="classtree_1_1iterator__base.html#ada7cbe4d4f9a5ec29db78d10712edc6">tree&lt;T, tree_node_allocator&gt;::iterator_base::operator*</a>()<span class="keyword"> const</span>
 <a name="l01494"></a>01494 <span class="keyword">   </span>{
 <a name="l01495"></a>01495    <span class="keywordflow">return</span> node-&gt;data;
 <a name="l01496"></a>01496    }
 <a name="l01497"></a>01497 
 <a name="l01498"></a>01498 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01499"></a>01499 T* <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base::operator-&gt;</a>()<span class="keyword"> const</span>
+<a name="l01499"></a>01499 T* <a class="code" href="classtree_1_1iterator__base.html#bd9c59569df7d8be5a50c835c180f4dc">tree&lt;T, tree_node_allocator&gt;::iterator_base::operator-&gt;</a>()<span class="keyword"> const</span>
 <a name="l01500"></a>01500 <span class="keyword">   </span>{
 <a name="l01501"></a>01501    <span class="keywordflow">return</span> &amp;(node-&gt;data);
 <a name="l01502"></a>01502    }
 <a name="l01503"></a>01503 
 <a name="l01504"></a>01504 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01505"></a>01505 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator!=</a>(<span class="keyword">const</span> post_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01505"></a>01505 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1post__order__iterator.html#59f0d0d145f27ed094a69214e1831102">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator!=</a>(<span class="keyword">const</span> post_order_iterator&amp; other)<span class="keyword"> const</span>
 <a name="l01506"></a>01506 <span class="keyword">   </span>{
 <a name="l01507"></a>01507    <span class="keywordflow">if</span>(other.node!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01508"></a>01508    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01509"></a>01509    }
 <a name="l01510"></a>01510 
 <a name="l01511"></a>01511 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01512"></a>01512 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator==</a>(<span class="keyword">const</span> post_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01512"></a>01512 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1post__order__iterator.html#b1303f191d6bc8a62e5f03fa53466ec4">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator==</a>(<span class="keyword">const</span> post_order_iterator&amp; other)<span class="keyword"> const</span>
 <a name="l01513"></a>01513 <span class="keyword">   </span>{
 <a name="l01514"></a>01514    <span class="keywordflow">if</span>(other.node==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01515"></a>01515    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01516"></a>01516    }
 <a name="l01517"></a>01517 
 <a name="l01518"></a>01518 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01519"></a>01519 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator!=</a>(<span class="keyword">const</span> pre_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01519"></a>01519 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1pre__order__iterator.html#14425c7743e9a6da2d96b172a85d2bed">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator!=</a>(<span class="keyword">const</span> pre_order_iterator&amp; other)<span class="keyword"> const</span>
 <a name="l01520"></a>01520 <span class="keyword">   </span>{
 <a name="l01521"></a>01521    <span class="keywordflow">if</span>(other.node!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01522"></a>01522    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01523"></a>01523    }
 <a name="l01524"></a>01524 
 <a name="l01525"></a>01525 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01526"></a>01526 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator==</a>(<span class="keyword">const</span> pre_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01526"></a>01526 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1pre__order__iterator.html#ea8dee1bfc2450608b2b35d26a9f11b7">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator==</a>(<span class="keyword">const</span> pre_order_iterator&amp; other)<span class="keyword"> const</span>
 <a name="l01527"></a>01527 <span class="keyword">   </span>{
 <a name="l01528"></a>01528    <span class="keywordflow">if</span>(other.node==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01529"></a>01529    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01530"></a>01530    }
 <a name="l01531"></a>01531 
 <a name="l01532"></a>01532 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01533"></a>01533 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator!=</a>(<span class="keyword">const</span> sibling_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01533"></a>01533 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1sibling__iterator.html#2f4b2c5112c9d16f65852bc84d34c9c9">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator!=</a>(<span class="keyword">const</span> sibling_iterator&amp; other)<span class="keyword"> const</span>
 <a name="l01534"></a>01534 <span class="keyword">   </span>{
 <a name="l01535"></a>01535    <span class="keywordflow">if</span>(other.node!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01536"></a>01536    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01537"></a>01537    }
 <a name="l01538"></a>01538 
 <a name="l01539"></a>01539 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01540"></a>01540 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator==</a>(<span class="keyword">const</span> sibling_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01540"></a>01540 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1sibling__iterator.html#f235d7b64b7d2654437482bab80c797b">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator==</a>(<span class="keyword">const</span> sibling_iterator&amp; other)<span class="keyword"> const</span>
 <a name="l01541"></a>01541 <span class="keyword">   </span>{
 <a name="l01542"></a>01542    <span class="keywordflow">if</span>(other.node==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01543"></a>01543    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01544"></a>01544    }
 <a name="l01545"></a>01545 
 <a name="l01546"></a>01546 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01547"></a>01547 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">tree&lt;T, tree_node_allocator&gt;::iterator_base::begin</a>()<span class="keyword"> const</span>
+<a name="l01547"></a>01547 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">tree&lt;T, tree_node_allocator&gt;::iterator_base::begin</a>()<span class="keyword"> const</span>
 <a name="l01548"></a>01548 <span class="keyword">   </span>{
 <a name="l01549"></a>01549    sibling_iterator ret(node-&gt;first_child);
 <a name="l01550"></a>01550    ret.parent_=this-&gt;node;
@@ -1478,7 +1474,7 @@
 <a name="l01552"></a>01552    }
 <a name="l01553"></a>01553 
 <a name="l01554"></a>01554 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01555"></a>01555 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">tree&lt;T, tree_node_allocator&gt;::iterator_base::end</a>()<span class="keyword"> const</span>
+<a name="l01555"></a>01555 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">tree&lt;T, tree_node_allocator&gt;::iterator_base::end</a>()<span class="keyword"> const</span>
 <a name="l01556"></a>01556 <span class="keyword">   </span>{
 <a name="l01557"></a>01557    sibling_iterator ret(0);
 <a name="l01558"></a>01558    ret.parent_=node;
@@ -1486,15 +1482,15 @@
 <a name="l01560"></a>01560    }
 <a name="l01561"></a>01561 
 <a name="l01562"></a>01562 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01563"></a>01563 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base::skip_children</a>()
+<a name="l01563"></a>01563 <span class="keywordtype">void</span> <a class="code" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb" title="When called, the next increment/decrement skips children of this node.">tree&lt;T, tree_node_allocator&gt;::iterator_base::skip_children</a>()
 <a name="l01564"></a>01564    {
 <a name="l01565"></a>01565    skip_current_children_=<span class="keyword">true</span>;
 <a name="l01566"></a>01566    }
 <a name="l01567"></a>01567 
 <a name="l01568"></a>01568 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01569"></a>01569 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">tree&lt;T, tree_node_allocator&gt;::iterator_base::number_of_children</a>()<span class="keyword"> const</span>
+<a name="l01569"></a>01569 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17" title="Number of children of the node pointed to by the iterator.">tree&lt;T, tree_node_allocator&gt;::iterator_base::number_of_children</a>()<span class="keyword"> const</span>
 <a name="l01570"></a>01570 <span class="keyword">   </span>{
-<a name="l01571"></a>01571    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *pos=node-&gt;first_child;
+<a name="l01571"></a>01571    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *pos=node-&gt;first_child;
 <a name="l01572"></a>01572    <span class="keywordflow">if</span>(pos==0) <span class="keywordflow">return</span> 0;
 <a name="l01573"></a>01573    
 <a name="l01574"></a>01574    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ret=1;
@@ -1510,25 +1506,25 @@
 <a name="l01584"></a>01584 <span class="comment">// Pre-order iterator</span>
 <a name="l01585"></a>01585 
 <a name="l01586"></a>01586 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01587"></a>01587 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>() 
+<a name="l01587"></a>01587 <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>() 
 <a name="l01588"></a>01588    : iterator_base(0)
 <a name="l01589"></a>01589    {
 <a name="l01590"></a>01590    }
 <a name="l01591"></a>01591 
 <a name="l01592"></a>01592 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01593"></a>01593 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(tree_node *tn)
+<a name="l01593"></a>01593 <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tn)
 <a name="l01594"></a>01594    : iterator_base(tn)
 <a name="l01595"></a>01595    {
 <a name="l01596"></a>01596    }
 <a name="l01597"></a>01597 
 <a name="l01598"></a>01598 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01599"></a>01599 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<span class="keyword">const</span> iterator_base &amp;other)
+<a name="l01599"></a>01599 <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<span class="keyword">const</span> iterator_base &amp;other)
 <a name="l01600"></a>01600    : iterator_base(other.node)
 <a name="l01601"></a>01601    {
 <a name="l01602"></a>01602    }
 <a name="l01603"></a>01603 
 <a name="l01604"></a>01604 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01605"></a>01605 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
+<a name="l01605"></a>01605 <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
 <a name="l01606"></a>01606    : iterator_base(other.node)
 <a name="l01607"></a>01607    {
 <a name="l01608"></a>01608    <span class="keywordflow">if</span>(this-&gt;node==0) {
@@ -1542,7 +1538,7 @@
 <a name="l01616"></a>01616    }
 <a name="l01617"></a>01617 
 <a name="l01618"></a>01618 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01619"></a>01619 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator++</a>()
+<a name="l01619"></a>01619 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#07b77d1591ad7f05e4531489561d36d2">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator++</a>()
 <a name="l01620"></a>01620    {
 <a name="l01621"></a>01621    assert(this-&gt;node!=0);
 <a name="l01622"></a>01622    <span class="keywordflow">if</span>(!this-&gt;skip_current_children_ &amp;&amp; this-&gt;node-&gt;first_child != 0) {
@@ -1561,7 +1557,7 @@
 <a name="l01635"></a>01635    }
 <a name="l01636"></a>01636 
 <a name="l01637"></a>01637 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01638"></a>01638 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator--</a>()
+<a name="l01638"></a>01638 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#4e2dd21653724b6413d9949caf9bb107">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator--</a>()
 <a name="l01639"></a>01639    {
 <a name="l01640"></a>01640    assert(this-&gt;node!=0);
 <a name="l01641"></a>01641    <span class="keywordflow">if</span>(this-&gt;node-&gt;prev_sibling) {
@@ -1578,7 +1574,7 @@
 <a name="l01652"></a>01652 }
 <a name="l01653"></a>01653 
 <a name="l01654"></a>01654 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01655"></a>01655 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator++</a>(<span class="keywordtype">int</span> n)
+<a name="l01655"></a>01655 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree_1_1pre__order__iterator.html#07b77d1591ad7f05e4531489561d36d2">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator++</a>(<span class="keywordtype">int</span> n)
 <a name="l01656"></a>01656    {
 <a name="l01657"></a>01657    pre_order_iterator copy = *<span class="keyword">this</span>;
 <a name="l01658"></a>01658    ++(*this);
@@ -1586,7 +1582,7 @@
 <a name="l01660"></a>01660    }
 <a name="l01661"></a>01661 
 <a name="l01662"></a>01662 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01663"></a>01663 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator--</a>(<span class="keywordtype">int</span> n)
+<a name="l01663"></a>01663 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree_1_1pre__order__iterator.html#4e2dd21653724b6413d9949caf9bb107">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator--</a>(<span class="keywordtype">int</span> n)
 <a name="l01664"></a>01664 {
 <a name="l01665"></a>01665   pre_order_iterator copy = *<span class="keyword">this</span>;
 <a name="l01666"></a>01666   --(*this);
@@ -1594,7 +1590,7 @@
 <a name="l01668"></a>01668 }
 <a name="l01669"></a>01669 
 <a name="l01670"></a>01670 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01671"></a>01671 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01671"></a>01671 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#5ab66cd50ae22c9b246231b41b7720f5">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01672"></a>01672    {
 <a name="l01673"></a>01673    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01674"></a>01674       ++(*this);
@@ -1604,7 +1600,7 @@
 <a name="l01678"></a>01678    }
 <a name="l01679"></a>01679 
 <a name="l01680"></a>01680 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01681"></a>01681 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01681"></a>01681 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#722aedfd8f8be3490324a587d17cb133">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01682"></a>01682    {
 <a name="l01683"></a>01683    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01684"></a>01684       --(*this);
@@ -1618,25 +1614,25 @@
 <a name="l01692"></a>01692 <span class="comment">// Post-order iterator</span>
 <a name="l01693"></a>01693 
 <a name="l01694"></a>01694 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01695"></a>01695 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>() 
+<a name="l01695"></a>01695 <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>() 
 <a name="l01696"></a>01696    : iterator_base(0)
 <a name="l01697"></a>01697    {
 <a name="l01698"></a>01698    }
 <a name="l01699"></a>01699 
 <a name="l01700"></a>01700 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01701"></a>01701 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(tree_node *tn)
+<a name="l01701"></a>01701 <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tn)
 <a name="l01702"></a>01702    : iterator_base(tn)
 <a name="l01703"></a>01703    {
 <a name="l01704"></a>01704    }
 <a name="l01705"></a>01705 
 <a name="l01706"></a>01706 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01707"></a>01707 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<span class="keyword">const</span> iterator_base &amp;other)
+<a name="l01707"></a>01707 <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<span class="keyword">const</span> iterator_base &amp;other)
 <a name="l01708"></a>01708    : iterator_base(other.node)
 <a name="l01709"></a>01709    {
 <a name="l01710"></a>01710    }
 <a name="l01711"></a>01711 
 <a name="l01712"></a>01712 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01713"></a>01713 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
+<a name="l01713"></a>01713 <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
 <a name="l01714"></a>01714    : iterator_base(other.node)
 <a name="l01715"></a>01715    {
 <a name="l01716"></a>01716    <span class="keywordflow">if</span>(this-&gt;node==0) {
@@ -1650,7 +1646,7 @@
 <a name="l01724"></a>01724    }
 <a name="l01725"></a>01725 
 <a name="l01726"></a>01726 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01727"></a>01727 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator++</a>()
+<a name="l01727"></a>01727 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#baba42c4ecb0a0bb8b21b0c28dfa3009">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator++</a>()
 <a name="l01728"></a>01728    {
 <a name="l01729"></a>01729    assert(this-&gt;node!=0);
 <a name="l01730"></a>01730    <span class="keywordflow">if</span>(this-&gt;node-&gt;next_sibling==0) {
@@ -1671,7 +1667,7 @@
 <a name="l01745"></a>01745    }
 <a name="l01746"></a>01746 
 <a name="l01747"></a>01747 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01748"></a>01748 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator--</a>()
+<a name="l01748"></a>01748 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#f70bbd10b24ca0cf1c674e4ef40899db">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator--</a>()
 <a name="l01749"></a>01749    {
 <a name="l01750"></a>01750    assert(this-&gt;node!=0);
 <a name="l01751"></a>01751    <span class="keywordflow">if</span>(this-&gt;skip_current_children_ || this-&gt;node-&gt;last_child==0) {
@@ -1687,7 +1683,7 @@
 <a name="l01761"></a>01761 }
 <a name="l01762"></a>01762 
 <a name="l01763"></a>01763 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01764"></a>01764 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator++</a>(<span class="keywordtype">int</span>)
+<a name="l01764"></a>01764 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree_1_1post__order__iterator.html#baba42c4ecb0a0bb8b21b0c28dfa3009">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator++</a>(<span class="keywordtype">int</span>)
 <a name="l01765"></a>01765    {
 <a name="l01766"></a>01766    post_order_iterator copy = *<span class="keyword">this</span>;
 <a name="l01767"></a>01767    ++(*this);
@@ -1695,7 +1691,7 @@
 <a name="l01769"></a>01769    }
 <a name="l01770"></a>01770 
 <a name="l01771"></a>01771 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01772"></a>01772 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator--</a>(<span class="keywordtype">int</span>)
+<a name="l01772"></a>01772 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree_1_1post__order__iterator.html#f70bbd10b24ca0cf1c674e4ef40899db">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator--</a>(<span class="keywordtype">int</span>)
 <a name="l01773"></a>01773    {
 <a name="l01774"></a>01774    post_order_iterator copy = *<span class="keyword">this</span>;
 <a name="l01775"></a>01775    --(*this);
@@ -1704,7 +1700,7 @@
 <a name="l01778"></a>01778 
 <a name="l01779"></a>01779 
 <a name="l01780"></a>01780 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01781"></a>01781 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01781"></a>01781 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#0b6c2246f41b0a2ff8e4c9d9efcee879">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01782"></a>01782    {
 <a name="l01783"></a>01783    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01784"></a>01784       ++(*this);
@@ -1714,7 +1710,7 @@
 <a name="l01788"></a>01788    }
 <a name="l01789"></a>01789 
 <a name="l01790"></a>01790 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01791"></a>01791 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01791"></a>01791 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#93b7ddae75f30985a0d81f38bcbaa306">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01792"></a>01792    {
 <a name="l01793"></a>01793    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01794"></a>01794       --(*this);
@@ -1724,7 +1720,7 @@
 <a name="l01798"></a>01798    }
 <a name="l01799"></a>01799 
 <a name="l01800"></a>01800 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01801"></a>01801 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::descend_all</a>()
+<a name="l01801"></a>01801 <span class="keywordtype">void</span> <a class="code" href="classtree_1_1post__order__iterator.html#ca4676b4986854521cfa2c7d84f62204" title="Set iterator to the first child as deep as possible down the tree.">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::descend_all</a>()
 <a name="l01802"></a>01802    {
 <a name="l01803"></a>01803    assert(this-&gt;node!=0);
 <a name="l01804"></a>01804    <span class="keywordflow">while</span>(this-&gt;node-&gt;first_child)
@@ -1735,35 +1731,35 @@
 <a name="l01809"></a>01809 <span class="comment">// Fixed depth iterator</span>
 <a name="l01810"></a>01810 
 <a name="l01811"></a>01811 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01812"></a>01812 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>()
+<a name="l01812"></a>01812 <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>()
 <a name="l01813"></a>01813    : iterator_base()
 <a name="l01814"></a>01814    {
 <a name="l01815"></a>01815    set_first_parent_();
 <a name="l01816"></a>01816    }
 <a name="l01817"></a>01817 
 <a name="l01818"></a>01818 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01819"></a>01819 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(tree_node *tn)
+<a name="l01819"></a>01819 <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tn)
 <a name="l01820"></a>01820    : iterator_base(tn)
 <a name="l01821"></a>01821    {
 <a name="l01822"></a>01822    set_first_parent_();
 <a name="l01823"></a>01823    }
 <a name="l01824"></a>01824 
 <a name="l01825"></a>01825 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01826"></a>01826 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> iterator_base&amp; other)
+<a name="l01826"></a>01826 <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> iterator_base&amp; other)
 <a name="l01827"></a>01827    : iterator_base(other.node)
 <a name="l01828"></a>01828    {
 <a name="l01829"></a>01829    set_first_parent_();
 <a name="l01830"></a>01830    }
 <a name="l01831"></a>01831 
 <a name="l01832"></a>01832 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01833"></a>01833 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
+<a name="l01833"></a>01833 <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
 <a name="l01834"></a>01834    : iterator_base(other.node), first_parent_(other.parent_)
 <a name="l01835"></a>01835    {
 <a name="l01836"></a>01836    find_leftmost_parent_();
 <a name="l01837"></a>01837    }
 <a name="l01838"></a>01838 
 <a name="l01839"></a>01839 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01840"></a>01840 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> fixed_depth_iterator&amp; other)
+<a name="l01840"></a>01840 <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> fixed_depth_iterator&amp; other)
 <a name="l01841"></a>01841    : iterator_base(other.node), first_parent_(other.first_parent_)
 <a name="l01842"></a>01842    {
 <a name="l01843"></a>01843    }
@@ -1785,7 +1781,7 @@
 <a name="l01859"></a>01859 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::find_leftmost_parent_</a>()
 <a name="l01860"></a>01860    {
 <a name="l01861"></a>01861    <span class="keywordflow">return</span>; <span class="comment">// FIXME: see 'set_first_parent()'</span>
-<a name="l01862"></a>01862    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *tmppar=first_parent_;
+<a name="l01862"></a>01862    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmppar=first_parent_;
 <a name="l01863"></a>01863    <span class="keywordflow">while</span>(tmppar-&gt;prev_sibling) {
 <a name="l01864"></a>01864       tmppar=tmppar-&gt;prev_sibling;
 <a name="l01865"></a>01865       <span class="keywordflow">if</span>(tmppar-&gt;first_child)
@@ -1794,7 +1790,7 @@
 <a name="l01868"></a>01868    }
 <a name="l01869"></a>01869 
 <a name="l01870"></a>01870 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01871"></a>01871 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator++</a>()
+<a name="l01871"></a>01871 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#71bcee62caa033974d5c0d94ab0dc0c6">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator++</a>()
 <a name="l01872"></a>01872    {
 <a name="l01873"></a>01873    assert(this-&gt;node!=0);
 <a name="l01874"></a>01874 
@@ -1849,7 +1845,7 @@
 <a name="l01923"></a>01923    }
 <a name="l01924"></a>01924 
 <a name="l01925"></a>01925 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01926"></a>01926 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator--</a>()
+<a name="l01926"></a>01926 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#39a2c5b5048ec0dfff33fbb55bd7767e">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator--</a>()
 <a name="l01927"></a>01927    {
 <a name="l01928"></a>01928    assert(this-&gt;node!=0);
 <a name="l01929"></a>01929    <span class="keywordflow">if</span>(this-&gt;node-&gt;prev_sibling!=0) {
@@ -1859,7 +1855,7 @@
 <a name="l01933"></a>01933          this-&gt;node=0;
 <a name="l01934"></a>01934       }
 <a name="l01935"></a>01935    <span class="keywordflow">else</span> {
-<a name="l01936"></a>01936       <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *par=this-&gt;node-&gt;parent;
+<a name="l01936"></a>01936       <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *par=this-&gt;node-&gt;parent;
 <a name="l01937"></a>01937       <span class="keywordflow">do</span> {
 <a name="l01938"></a>01938          par=par-&gt;prev_sibling;
 <a name="l01939"></a>01939          <span class="keywordflow">if</span>(par==0) { <span class="comment">// FIXME: need to keep track of this!</span>
@@ -1873,7 +1869,7 @@
 <a name="l01947"></a>01947 }
 <a name="l01948"></a>01948 
 <a name="l01949"></a>01949 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01950"></a>01950 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator++</a>(<span class="keywordtype">int</span>)
+<a name="l01950"></a>01950 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#71bcee62caa033974d5c0d94ab0dc0c6">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator++</a>(<span class="keywordtype">int</span>)
 <a name="l01951"></a>01951    {
 <a name="l01952"></a>01952    fixed_depth_iterator copy = *<span class="keyword">this</span>;
 <a name="l01953"></a>01953    ++(*this);
@@ -1881,7 +1877,7 @@
 <a name="l01955"></a>01955    }
 <a name="l01956"></a>01956 
 <a name="l01957"></a>01957 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01958"></a>01958 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator--</a>(<span class="keywordtype">int</span>)
+<a name="l01958"></a>01958 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#39a2c5b5048ec0dfff33fbb55bd7767e">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator--</a>(<span class="keywordtype">int</span>)
 <a name="l01959"></a>01959 {
 <a name="l01960"></a>01960   fixed_depth_iterator copy = *<span class="keyword">this</span>;
 <a name="l01961"></a>01961   --(*this);
@@ -1889,7 +1885,7 @@
 <a name="l01963"></a>01963 }
 <a name="l01964"></a>01964 
 <a name="l01965"></a>01965 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01966"></a>01966 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01966"></a>01966 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#e8ccf119ae29e96044d9a4eeca2a539d">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01967"></a>01967    {
 <a name="l01968"></a>01968    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01969"></a>01969       --(*this);
@@ -1899,7 +1895,7 @@
 <a name="l01973"></a>01973    }
 <a name="l01974"></a>01974 
 <a name="l01975"></a>01975 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01976"></a>01976 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01976"></a>01976 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#6909c400794c6feb49d75b99dbf6aa00">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01977"></a>01977    {
 <a name="l01978"></a>01978    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01979"></a>01979       ++(*this);
@@ -1914,28 +1910,28 @@
 <a name="l01988"></a>01988 <span class="comment">// Sibling iterator</span>
 <a name="l01989"></a>01989 
 <a name="l01990"></a>01990 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01991"></a>01991 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>() 
+<a name="l01991"></a>01991 <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>() 
 <a name="l01992"></a>01992    : iterator_base()
 <a name="l01993"></a>01993    {
 <a name="l01994"></a>01994    set_parent_();
 <a name="l01995"></a>01995    }
 <a name="l01996"></a>01996 
 <a name="l01997"></a>01997 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01998"></a>01998 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(tree_node *tn)
+<a name="l01998"></a>01998 <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tn)
 <a name="l01999"></a>01999    : iterator_base(tn)
 <a name="l02000"></a>02000    {
 <a name="l02001"></a>02001    set_parent_();
 <a name="l02002"></a>02002    }
 <a name="l02003"></a>02003 
 <a name="l02004"></a>02004 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02005"></a>02005 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<span class="keyword">const</span> iterator_base&amp; other)
+<a name="l02005"></a>02005 <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<span class="keyword">const</span> iterator_base&amp; other)
 <a name="l02006"></a>02006    : iterator_base(other.node)
 <a name="l02007"></a>02007    {
 <a name="l02008"></a>02008    set_parent_();
 <a name="l02009"></a>02009    }
 <a name="l02010"></a>02010 
 <a name="l02011"></a>02011 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02012"></a>02012 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
+<a name="l02012"></a>02012 <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
 <a name="l02013"></a>02013    : iterator_base(other), parent_(other.parent_)
 <a name="l02014"></a>02014    {
 <a name="l02015"></a>02015    }
@@ -1950,7 +1946,7 @@
 <a name="l02024"></a>02024    }
 <a name="l02025"></a>02025 
 <a name="l02026"></a>02026 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02027"></a>02027 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator++</a>()
+<a name="l02027"></a>02027 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#8d0d647a7843432b5ccc18724fcc3493">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator++</a>()
 <a name="l02028"></a>02028    {
 <a name="l02029"></a>02029    <span class="keywordflow">if</span>(this-&gt;node)
 <a name="l02030"></a>02030       this-&gt;node=this-&gt;node-&gt;next_sibling;
@@ -1958,7 +1954,7 @@
 <a name="l02032"></a>02032    }
 <a name="l02033"></a>02033 
 <a name="l02034"></a>02034 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02035"></a>02035 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator--</a>()
+<a name="l02035"></a>02035 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#7e91377755da77acd20d5b9356f7498e">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator--</a>()
 <a name="l02036"></a>02036    {
 <a name="l02037"></a>02037    <span class="keywordflow">if</span>(this-&gt;node) this-&gt;node=this-&gt;node-&gt;prev_sibling;
 <a name="l02038"></a>02038    <span class="keywordflow">else</span> {
@@ -1969,7 +1965,7 @@
 <a name="l02043"></a>02043 }
 <a name="l02044"></a>02044 
 <a name="l02045"></a>02045 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02046"></a>02046 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator++</a>(<span class="keywordtype">int</span>)
+<a name="l02046"></a>02046 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1sibling__iterator.html#8d0d647a7843432b5ccc18724fcc3493">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator++</a>(<span class="keywordtype">int</span>)
 <a name="l02047"></a>02047    {
 <a name="l02048"></a>02048    sibling_iterator copy = *<span class="keyword">this</span>;
 <a name="l02049"></a>02049    ++(*this);
@@ -1977,7 +1973,7 @@
 <a name="l02051"></a>02051    }
 <a name="l02052"></a>02052 
 <a name="l02053"></a>02053 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02054"></a>02054 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator--</a>(<span class="keywordtype">int</span>)
+<a name="l02054"></a>02054 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1sibling__iterator.html#7e91377755da77acd20d5b9356f7498e">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator--</a>(<span class="keywordtype">int</span>)
 <a name="l02055"></a>02055    {
 <a name="l02056"></a>02056    sibling_iterator copy = *<span class="keyword">this</span>;
 <a name="l02057"></a>02057    --(*this);
@@ -1985,7 +1981,7 @@
 <a name="l02059"></a>02059    }
 <a name="l02060"></a>02060 
 <a name="l02061"></a>02061 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02062"></a>02062 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l02062"></a>02062 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#d36b6994a50c0f73154b08ab35abf336">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l02063"></a>02063    {
 <a name="l02064"></a>02064    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l02065"></a>02065       ++(*this);
@@ -1995,7 +1991,7 @@
 <a name="l02069"></a>02069    }
 <a name="l02070"></a>02070 
 <a name="l02071"></a>02071 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02072"></a>02072 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l02072"></a>02072 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#f7b0a37317400fe16a1ad422c1ee6fa1">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l02073"></a>02073    {
 <a name="l02074"></a>02074    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l02075"></a>02075       --(*this);
@@ -2005,16 +2001,16 @@
 <a name="l02079"></a>02079    }
 <a name="l02080"></a>02080 
 <a name="l02081"></a>02081 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02082"></a>02082 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::tree_node</a> *<a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::range_first</a>()<span class="keyword"> const</span>
+<a name="l02082"></a>02082 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::tree_node</a> *<a class="code" href="classtree_1_1sibling__iterator.html#faed5294cdf5a6679c788fff0196c2a8">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::range_first</a>()<span class="keyword"> const</span>
 <a name="l02083"></a>02083 <span class="keyword">   </span>{
-<a name="l02084"></a>02084    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *tmp=parent_-&gt;first_child;
+<a name="l02084"></a>02084    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=parent_-&gt;first_child;
 <a name="l02085"></a>02085    <span class="keywordflow">return</span> tmp;
 <a name="l02086"></a>02086    }
 <a name="l02087"></a>02087 
 <a name="l02088"></a>02088 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02089"></a>02089 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::tree_node</a> *<a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::range_last</a>()<span class="keyword"> const</span>
+<a name="l02089"></a>02089 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::tree_node</a> *<a class="code" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::range_last</a>()<span class="keyword"> const</span>
 <a name="l02090"></a>02090 <span class="keyword">   </span>{
-<a name="l02091"></a>02091    <span class="keywordflow">return</span> parent_-&gt;last_child;
+<a name="l02091"></a>02091    <span class="keywordflow">return</span> parent_-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>;
 <a name="l02092"></a>02092    }
 <a name="l02093"></a>02093 
 <a name="l02094"></a>02094 
@@ -2023,8 +2019,8 @@
 <a name="l02097"></a>02097 <span class="comment">// Local variables:</span>
 <a name="l02098"></a>02098 <span class="comment">// default-tab-width: 3</span>
 <a name="l02099"></a>02099 <span class="comment">// End:</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== added file 'doc/html/fx-0_89_80_2lib_2context_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2context_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2context_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,227 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: context.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>context.cpp</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
+<a name="l00005"></a>00005 <span class="comment">/***************************************************************************</span>
+<a name="l00006"></a>00006 <span class="comment"> *                                                                         *</span>
+<a name="l00007"></a>00007 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00008"></a>00008 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00009"></a>00009 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00010"></a>00010 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00011"></a>00011 <span class="comment"> *                                                                         *</span>
+<a name="l00012"></a>00012 <span class="comment"> ***************************************************************************/</span>
+<a name="l00013"></a>00013 <span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00014"></a>00014 <span class="preprocessor">#include "context.hh"</span>
+<a name="l00015"></a>00015 
+<a name="l00016"></a>00016 <span class="keyword">using namespace </span>std;
+<a name="l00017"></a>00017 
+<a name="l00018"></a>00018 
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <a class="code" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext::LibofxContext</a>()
+<a name="l00021"></a>00021   :_current_file_type(<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>)
+<a name="l00022"></a>00022   ,_statusCallback(0)
+<a name="l00023"></a>00023   ,_accountCallback(0)
+<a name="l00024"></a>00024   ,_securityCallback(0)
+<a name="l00025"></a>00025   ,_transactionCallback(0)
+<a name="l00026"></a>00026   ,_statementCallback(0)
+<a name="l00027"></a>00027   ,_statementData(0)
+<a name="l00028"></a>00028   ,_accountData(0)
+<a name="l00029"></a>00029   ,_transactionData(0)
+<a name="l00030"></a>00030   ,_securityData(0)
+<a name="l00031"></a>00031   ,_statusData(0)
+<a name="l00032"></a>00032 {
+<a name="l00033"></a>00033 
+<a name="l00034"></a>00034 }
+<a name="l00035"></a>00035 
+<a name="l00036"></a>00036 
+<a name="l00037"></a>00037 
+<a name="l00038"></a>00038 <a class="code" href="classLibofxContext.html#08c06eedebc157876ff10c76570836e3">LibofxContext::~LibofxContext</a>(){
+<a name="l00039"></a>00039 }
+<a name="l00040"></a>00040 
+<a name="l00041"></a>00041 
+<a name="l00042"></a>00042 
+<a name="l00043"></a>00043 <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">LibofxContext::currentFileType</a>()<span class="keyword"> const</span>{
+<a name="l00044"></a>00044   <span class="keywordflow">return</span> _current_file_type;
+<a name="l00045"></a>00045 }
+<a name="l00046"></a>00046 
+<a name="l00047"></a>00047 
+<a name="l00048"></a>00048 
+<a name="l00049"></a>00049 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">LibofxContext::setCurrentFileType</a>(<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> t) {
+<a name="l00050"></a>00050   _current_file_type=t;
+<a name="l00051"></a>00051 }
+<a name="l00052"></a>00052 
+<a name="l00053"></a>00053 
+<a name="l00054"></a>00054 
+<a name="l00055"></a>00055 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">LibofxContext::statementCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data){
+<a name="l00056"></a>00056   <span class="keywordflow">if</span> (_statementCallback)
+<a name="l00057"></a>00057     <span class="keywordflow">return</span> _statementCallback(data, _statementData);
+<a name="l00058"></a>00058   <span class="keywordflow">return</span> 0;
+<a name="l00059"></a>00059 }
+<a name="l00060"></a>00060 
+<a name="l00061"></a>00061 
+<a name="l00062"></a>00062 
+<a name="l00063"></a>00063 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">LibofxContext::accountCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data){
+<a name="l00064"></a>00064   <span class="keywordflow">if</span> (_accountCallback)
+<a name="l00065"></a>00065     <span class="keywordflow">return</span> _accountCallback(data, _accountData);
+<a name="l00066"></a>00066   <span class="keywordflow">return</span> 0;
+<a name="l00067"></a>00067 }
+<a name="l00068"></a>00068 
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 
+<a name="l00071"></a>00071 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">LibofxContext::transactionCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data){
+<a name="l00072"></a>00072   <span class="keywordflow">if</span> (_transactionCallback)
+<a name="l00073"></a>00073     <span class="keywordflow">return</span> _transactionCallback(data, _transactionData);
+<a name="l00074"></a>00074   <span class="keywordflow">return</span> 0;
+<a name="l00075"></a>00075 }
+<a name="l00076"></a>00076 
+<a name="l00077"></a>00077 
+<a name="l00078"></a>00078 
+<a name="l00079"></a>00079 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">LibofxContext::securityCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> data) {
+<a name="l00080"></a>00080   <span class="keywordflow">if</span> (_securityCallback)
+<a name="l00081"></a>00081     <span class="keywordflow">return</span> _securityCallback(data, _securityData);
+<a name="l00082"></a>00082   <span class="keywordflow">return</span> 0;
+<a name="l00083"></a>00083 }
+<a name="l00084"></a>00084 
+<a name="l00085"></a>00085 
+<a name="l00086"></a>00086 
+<a name="l00087"></a>00087 <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">LibofxContext::statusCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> data) {
+<a name="l00088"></a>00088   <span class="keywordflow">if</span> (_statusCallback)
+<a name="l00089"></a>00089     <span class="keywordflow">return</span> _statusCallback(data, _statusData);
+<a name="l00090"></a>00090   <span class="keywordflow">return</span> 0;
+<a name="l00091"></a>00091 }
+<a name="l00092"></a>00092 
+<a name="l00093"></a>00093 
+<a name="l00094"></a>00094 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#c9a366e3bc8db89ef721e1e2ef57a8d6">LibofxContext::setStatusCallback</a>(<a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb,
+<a name="l00095"></a>00095                                       <span class="keywordtype">void</span> *user_data){
+<a name="l00096"></a>00096   _statusCallback=cb;
+<a name="l00097"></a>00097   _statusData=user_data;
+<a name="l00098"></a>00098 }
+<a name="l00099"></a>00099 
+<a name="l00100"></a>00100 
+<a name="l00101"></a>00101 
+<a name="l00102"></a>00102 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#b02f2c152eb2639e3b02dcbd919036b8">LibofxContext::setAccountCallback</a>(<a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb,
+<a name="l00103"></a>00103                                        <span class="keywordtype">void</span> *user_data){
+<a name="l00104"></a>00104   _accountCallback=cb;
+<a name="l00105"></a>00105   _accountData=user_data;
+<a name="l00106"></a>00106 }
+<a name="l00107"></a>00107 
+<a name="l00108"></a>00108 
+<a name="l00109"></a>00109 
+<a name="l00110"></a>00110 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d3ab77c33566ca7227613e1fbb36ea1b">LibofxContext::setSecurityCallback</a>(<a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb,
+<a name="l00111"></a>00111                                         <span class="keywordtype">void</span> *user_data){
+<a name="l00112"></a>00112   _securityCallback=cb;
+<a name="l00113"></a>00113   _securityData=user_data;
+<a name="l00114"></a>00114 }
+<a name="l00115"></a>00115 
+<a name="l00116"></a>00116 
+<a name="l00117"></a>00117 
+<a name="l00118"></a>00118 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d5575fed475d9a755d71ff1f90d7ea98">LibofxContext::setTransactionCallback</a>(<a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb,
+<a name="l00119"></a>00119                                            <span class="keywordtype">void</span> *user_data){
+<a name="l00120"></a>00120   _transactionCallback=cb;
+<a name="l00121"></a>00121   _transactionData=user_data;
+<a name="l00122"></a>00122 }
+<a name="l00123"></a>00123 
+<a name="l00124"></a>00124 
+<a name="l00125"></a>00125 
+<a name="l00126"></a>00126 <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#8a1337b72f678900606b924806603855">LibofxContext::setStatementCallback</a>(<a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb,
+<a name="l00127"></a>00127                                          <span class="keywordtype">void</span> *user_data){
+<a name="l00128"></a>00128   _statementCallback=cb;
+<a name="l00129"></a>00129   _statementData=user_data;
+<a name="l00130"></a>00130 }
+<a name="l00131"></a>00131 
+<a name="l00132"></a>00132 
+<a name="l00133"></a>00133 
+<a name="l00134"></a>00134 
+<a name="l00135"></a>00135 
+<a name="l00136"></a>00136 
+<a name="l00137"></a>00137 
+<a name="l00140"></a>00140 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> <a class="code" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0" title="Initialise the library and return a new context.">libofx_get_new_context</a>(){
+<a name="l00141"></a>00141   <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext</a>();
+<a name="l00142"></a>00142 }
+<a name="l00143"></a>00143 
+<a name="l00144"></a>00144 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf" title="Free all ressources used by this context.">libofx_free_context</a>( <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context_param){
+<a name="l00145"></a>00145   <span class="keyword">delete</span> (<a class="code" href="classLibofxContext.html">LibofxContext</a> *)libofx_context_param;
+<a name="l00146"></a>00146   <span class="keywordflow">return</span> 0;
+<a name="l00147"></a>00147 }
+<a name="l00148"></a>00148 
+<a name="l00149"></a>00149 
+<a name="l00150"></a>00150 
+<a name="l00151"></a>00151 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">libofx_set_dtd_dir</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context,
+<a name="l00152"></a>00152                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s) {
+<a name="l00153"></a>00153   ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)libofx_context)-&gt;setDtdDir(s);
+<a name="l00154"></a>00154 }
+<a name="l00155"></a>00155 
+<a name="l00156"></a>00156 
+<a name="l00157"></a>00157 
+<a name="l00158"></a>00158 
+<a name="l00159"></a>00159 
+<a name="l00160"></a>00160 
+<a name="l00161"></a>00161 <span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
+<a name="l00162"></a>00162   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">ofx_set_status_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00163"></a>00163                          <a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb,
+<a name="l00164"></a>00164                          <span class="keywordtype">void</span> *user_data){
+<a name="l00165"></a>00165     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setStatusCallback(cb, user_data);
+<a name="l00166"></a>00166   }
+<a name="l00167"></a>00167 
+<a name="l00168"></a>00168 
+<a name="l00169"></a>00169   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00170"></a>00170                           <a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb,
+<a name="l00171"></a>00171                           <span class="keywordtype">void</span> *user_data){
+<a name="l00172"></a>00172     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setAccountCallback(cb, user_data);
+<a name="l00173"></a>00173   }
+<a name="l00174"></a>00174 
+<a name="l00175"></a>00175 
+<a name="l00176"></a>00176 
+<a name="l00177"></a>00177   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">ofx_set_security_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00178"></a>00178                            <a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb,
+<a name="l00179"></a>00179                            <span class="keywordtype">void</span> *user_data){
+<a name="l00180"></a>00180     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setSecurityCallback(cb, user_data);
+<a name="l00181"></a>00181   }
+<a name="l00182"></a>00182 
+<a name="l00183"></a>00183 
+<a name="l00184"></a>00184 
+<a name="l00185"></a>00185   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00186"></a>00186                               <a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb,
+<a name="l00187"></a>00187                               <span class="keywordtype">void</span> *user_data){
+<a name="l00188"></a>00188     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setTransactionCallback(cb, user_data);
+<a name="l00189"></a>00189   }
+<a name="l00190"></a>00190 
+<a name="l00191"></a>00191 
+<a name="l00192"></a>00192 
+<a name="l00193"></a>00193   <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00194"></a>00194                             <a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb,
+<a name="l00195"></a>00195                             <span class="keywordtype">void</span> *user_data){
+<a name="l00196"></a>00196     ((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;setStatementCallback(cb, user_data);
+<a name="l00197"></a>00197   }
+<a name="l00198"></a>00198 
+<a name="l00199"></a>00199 
+<a name="l00200"></a>00200 
+<a name="l00201"></a>00201 
+<a name="l00202"></a>00202 }
+<a name="l00203"></a>00203 
+<a name="l00204"></a>00204 
+<a name="l00205"></a>00205 
+<a name="l00206"></a>00206 
+<a name="l00207"></a>00207 
+<a name="l00208"></a>00208 
+<a name="l00209"></a>00209 
+<a name="l00210"></a>00210 
+<a name="l00211"></a>00211 
+<a name="l00212"></a>00212 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2context_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2context_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2context_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,88 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: context.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>context.hh</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
+<a name="l00005"></a>00005 <span class="comment">/***************************************************************************</span>
+<a name="l00006"></a>00006 <span class="comment"> *                                                                         *</span>
+<a name="l00007"></a>00007 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00008"></a>00008 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00009"></a>00009 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00010"></a>00010 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00011"></a>00011 <span class="comment"> *                                                                         *</span>
+<a name="l00012"></a>00012 <span class="comment"> ***************************************************************************/</span>
+<a name="l00013"></a>00013 
+<a name="l00014"></a>00014 <span class="preprocessor">#ifndef CONTEXT_H</span>
+<a name="l00015"></a>00015 <span class="preprocessor"></span><span class="preprocessor">#define CONTEXT_H</span>
+<a name="l00016"></a>00016 <span class="preprocessor"></span><span class="preprocessor">#include &lt;string.h&gt;</span>
+<a name="l00017"></a>00017 <span class="preprocessor">#include &lt;time.h&gt;</span>               <span class="comment">// for time_t</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00019"></a>00019 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00020"></a>00020 
+<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00022"></a>00022 
+<a name="l00023"></a>00023 
+<a name="l00024"></a>00024 <span class="keyword">using namespace </span>std;
+<a name="l00025"></a>00025 <span class="keyword">class </span><a class="code" href="classLibofxContext.html">LibofxContext</a> {
+<a name="l00026"></a>00026 <span class="keyword">private</span>:
+<a name="l00027"></a>00027   <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> _current_file_type;
+<a name="l00028"></a>00028 
+<a name="l00029"></a>00029   <a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> _statusCallback;
+<a name="l00030"></a>00030   <a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> _accountCallback;
+<a name="l00031"></a>00031   <a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> _securityCallback;
+<a name="l00032"></a>00032   <a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> _transactionCallback;
+<a name="l00033"></a>00033   <a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> _statementCallback;
+<a name="l00034"></a>00034 
+<a name="l00035"></a>00035   <span class="keywordtype">void</span> * _statementData;
+<a name="l00036"></a>00036   <span class="keywordtype">void</span> * _accountData;
+<a name="l00037"></a>00037   <span class="keywordtype">void</span> * _transactionData;
+<a name="l00038"></a>00038   <span class="keywordtype">void</span> * _securityData;
+<a name="l00039"></a>00039   <span class="keywordtype">void</span> * _statusData;
+<a name="l00040"></a>00040 
+<a name="l00041"></a>00041   std::string _dtdDir;
+<a name="l00042"></a>00042 
+<a name="l00043"></a>00043 <span class="keyword">public</span>:
+<a name="l00044"></a>00044   <a class="code" href="classLibofxContext.html#7cb5338d000d5e9d31225878b639250b">LibofxContext</a>();
+<a name="l00045"></a>00045   <a class="code" href="classLibofxContext.html#08c06eedebc157876ff10c76570836e3">~LibofxContext</a>();
+<a name="l00046"></a>00046 
+<a name="l00047"></a>00047   <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>() <span class="keyword">const</span>;
+<a name="l00048"></a>00048   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">setCurrentFileType</a>(<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> t);
+<a name="l00049"></a>00049 
+<a name="l00050"></a><a class="code" href="classLibofxContext.html#6dae6a246107b895953e071896891cca">00050</a>   <span class="keyword">const</span> std::string &amp;<a class="code" href="classLibofxContext.html#6dae6a246107b895953e071896891cca">dtdDir</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> _dtdDir;};
+<a name="l00051"></a><a class="code" href="classLibofxContext.html#4980d93a2eaadae7c6ff2cff26be003d">00051</a>   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#4980d93a2eaadae7c6ff2cff26be003d">setDtdDir</a>(<span class="keyword">const</span> std::string &amp;s) {_dtdDir=s;};
+<a name="l00052"></a>00052 
+<a name="l00053"></a>00053   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">statementCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data);
+<a name="l00054"></a>00054   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">accountCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data);
+<a name="l00055"></a>00055   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">transactionCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data);
+<a name="l00056"></a>00056   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">securityCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> data);
+<a name="l00057"></a>00057   <span class="keywordtype">int</span> <a class="code" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">statusCallback</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> data);
+<a name="l00058"></a>00058 
+<a name="l00059"></a>00059   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#c9a366e3bc8db89ef721e1e2ef57a8d6">setStatusCallback</a>(<a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00060"></a>00060   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#b02f2c152eb2639e3b02dcbd919036b8">setAccountCallback</a>(<a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00061"></a>00061   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d3ab77c33566ca7227613e1fbb36ea1b">setSecurityCallback</a>(<a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00062"></a>00062   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#d5575fed475d9a755d71ff1f90d7ea98">setTransactionCallback</a>(<a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00063"></a>00063   <span class="keywordtype">void</span> <a class="code" href="classLibofxContext.html#8a1337b72f678900606b924806603855">setStatementCallback</a>(<a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb, <span class="keywordtype">void</span> *user_data);
+<a name="l00064"></a>00064 
+<a name="l00065"></a>00065 
+<a name="l00066"></a>00066 };<span class="comment">//End class LibofxContext</span>
+<a name="l00067"></a>00067 
+<a name="l00068"></a>00068 
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 
+<a name="l00071"></a>00071 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2file__preproc_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2file__preproc_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2file__preproc_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,178 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: file_preproc.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>file_preproc.cpp</h1><a href="fx-0_89_80_2lib_2file__preproc_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">          file_preproc.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2004 by Benoit Grégoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00012"></a>00012 <span class="comment">/***************************************************************************</span>
+<a name="l00013"></a>00013 <span class="comment"> *                                                                         *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00017"></a>00017 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00018"></a>00018 <span class="comment"> *                                                                         *</span>
+<a name="l00019"></a>00019 <span class="comment"> ***************************************************************************/</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#include &lt;iostream&gt;</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;fstream&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html" title="Preprocessing of the OFX files before parsing.">ofx_preproc.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "context.hh"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2file__preproc_8hh.html" title="Preprocessing of the OFX files before parsing.">file_preproc.hh</a>"</span>
+<a name="l00030"></a>00030 
+<a name="l00031"></a>00031 <span class="keyword">using namespace </span>std;
+<a name="l00032"></a><a class="code" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">00032</a> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024;
+<a name="l00033"></a>00033 
+<a name="l00034"></a>00034 <span class="comment">/* get_file_type_description returns a string description of a LibofxFileType </span>
+<a name="l00035"></a>00035 <span class="comment"> * suitable for debugging output or user communication.</span>
+<a name="l00036"></a>00036 <span class="comment"> */</span>
+<a name="l00037"></a><a class="code" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">00037</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format)
+<a name="l00038"></a>00038 {
+<a name="l00039"></a>00039   <span class="keyword">const</span> <span class="keywordtype">char</span> * retval = <span class="stringliteral">"UNKNOWN (File format couldn't be sucessfully identified)"</span>;
+<a name="l00040"></a>00040 
+<a name="l00041"></a>00041   <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>!=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>; i++)
+<a name="l00042"></a>00042     {
+<a name="l00043"></a>00043       <span class="keywordflow">if</span>(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].format==file_format)
+<a name="l00044"></a>00044         {
+<a name="l00045"></a>00045           retval = <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">description</a>;
+<a name="l00046"></a>00046         }
+<a name="l00047"></a>00047     }
+<a name="l00048"></a>00048   <span class="keywordflow">return</span> retval;
+<a name="l00049"></a>00049 };
+<a name="l00050"></a>00050 
+<a name="l00051"></a>00051 <span class="comment">/*</span>
+<a name="l00052"></a>00052 <span class="comment">libofx_get_file_type returns a proper enum from a file type string. </span>
+<a name="l00053"></a>00053 <span class="comment">*/</span>
+<a name="l00054"></a><a class="code" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">00054</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a" title="libofx_get_file_type returns a proper enum from a file type string.">libofx_get_file_format_from_str</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">const</span> <span class="keywordtype">char</span> * file_type_string)
+<a name="l00055"></a>00055 {
+<a name="l00056"></a>00056   <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> retval = <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>;
+<a name="l00057"></a>00057   <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>!=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>; i++)
+<a name="l00058"></a>00058     {
+<a name="l00059"></a>00059       <span class="keywordflow">if</span>(strcmp(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].format_name, file_type_string)==0)
+<a name="l00060"></a>00060         {
+<a name="l00061"></a>00061           retval = <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>;
+<a name="l00062"></a>00062         }
+<a name="l00063"></a>00063     }
+<a name="l00064"></a>00064   <span class="keywordflow">return</span> retval;
+<a name="l00065"></a>00065 }
+<a name="l00066"></a>00066 
+<a name="l00067"></a><a class="code" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">00067</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805" title="libofx_proc_file is the entry point of the library.">libofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> p_libofx_context, <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename, <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> p_file_type)
+<a name="l00068"></a>00068 {
+<a name="l00069"></a>00069   <a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context = (<a class="code" href="classLibofxContext.html">LibofxContext</a> *) p_libofx_context;
+<a name="l00070"></a>00070 
+<a name="l00071"></a>00071   <span class="keywordflow">if</span>(p_file_type==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>)
+<a name="l00072"></a>00072     {
+<a name="l00073"></a>00073       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): File format not specified, autodecting..."</span>));
+<a name="l00074"></a>00074       libofx_context-&gt;<a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">setCurrentFileType</a>(<a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(p_filename));
+<a name="l00075"></a>00075       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): Detected file format: "</span>)+
+<a name="l00076"></a>00076                   <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>,
+<a name="l00077"></a>00077                                                      libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>() ));
+<a name="l00078"></a>00078     }
+<a name="l00079"></a>00079   <span class="keywordflow">else</span>
+<a name="l00080"></a>00080     {
+<a name="l00081"></a>00081       libofx_context-&gt;<a class="code" href="classLibofxContext.html#4d2c3cd388505cb022910f1a90add712">setCurrentFileType</a>(<a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(p_filename));
+<a name="l00082"></a>00082       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,
+<a name="l00083"></a>00083                   <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): File format forced to: "</span>)+
+<a name="l00084"></a>00084                   <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>,
+<a name="l00085"></a>00085                                                      libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>() ));
+<a name="l00086"></a>00086     }
+<a name="l00087"></a>00087 
+<a name="l00088"></a>00088   <span class="keywordflow">switch</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>())
+<a name="l00089"></a>00089     {
+<a name="l00090"></a>00090     <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>: <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(libofx_context, p_filename);
+<a name="l00091"></a>00091       <span class="keywordflow">break</span>;
+<a name="l00092"></a>00092     <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>: <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(libofx_context, p_filename);
+<a name="l00093"></a>00093       <span class="keywordflow">break</span>;
+<a name="l00094"></a>00094     <span class="keywordflow">default</span>: <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_proc_file(): Detected file format not yet supported ou couldn't detect file format; aborting."</span>));
+<a name="l00095"></a>00095     }
+<a name="l00096"></a>00096   <span class="keywordflow">return</span> 0;
+<a name="l00097"></a>00097 }
+<a name="l00098"></a>00098 
+<a name="l00099"></a><a class="code" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">00099</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename)
+<a name="l00100"></a>00100 {
+<a name="l00101"></a>00101   <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> retval = <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>;
+<a name="l00102"></a>00102   ifstream input_file;
+<a name="l00103"></a>00103   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>];
+<a name="l00104"></a>00104   <span class="keywordtype">string</span> s_buffer;
+<a name="l00105"></a>00105   <span class="keywordtype">bool</span> type_found=<span class="keyword">false</span>;
+<a name="l00106"></a>00106   
+<a name="l00107"></a>00107   <span class="keywordflow">if</span>(p_filename!=NULL&amp;&amp;strcmp(p_filename,<span class="stringliteral">""</span>)!=0)
+<a name="l00108"></a>00108     {
+<a name="l00109"></a>00109       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"libofx_detect_file_type():Opening file: "</span>)+p_filename);
+<a name="l00110"></a>00110       
+<a name="l00111"></a>00111       input_file.open(p_filename);
+<a name="l00112"></a>00112       
+<a name="l00113"></a>00113       <span class="keywordflow">if</span>(!input_file)
+<a name="l00114"></a>00114         {
+<a name="l00115"></a>00115           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type():Unable to open the input file "</span>+<span class="keywordtype">string</span>(p_filename));
+<a name="l00116"></a>00116           <span class="keywordflow">return</span> retval;
+<a name="l00117"></a>00117         }
+<a name="l00118"></a>00118       <span class="keywordflow">else</span>
+<a name="l00119"></a>00119         {
+<a name="l00120"></a>00120           <span class="keywordflow">do</span>
+<a name="l00121"></a>00121             {
+<a name="l00122"></a>00122               input_file.getline(buffer, <span class="keyword">sizeof</span>(buffer),<span class="charliteral">'\n'</span>);
+<a name="l00123"></a>00123               <span class="comment">//cout&lt;&lt;buffer&lt;&lt;"\n";</span>
+<a name="l00124"></a>00124               s_buffer.assign(buffer);
+<a name="l00125"></a>00125               <span class="comment">//cout&lt;&lt;"input_file.gcount(): "&lt;&lt;input_file.gcount()&lt;&lt;" sizeof(buffer): "&lt;&lt;sizeof(buffer)&lt;&lt;endl;</span>
+<a name="l00126"></a>00126               <span class="keywordflow">if</span>(input_file.gcount()&lt;(<span class="keyword">sizeof</span>(buffer)-1))
+<a name="l00127"></a>00127                 {
+<a name="l00128"></a>00128                   s_buffer.append(<span class="stringliteral">"\n"</span>);<span class="comment">//Just in case...</span>
+<a name="l00129"></a>00129                 }
+<a name="l00130"></a>00130               <span class="keywordflow">else</span> <span class="keywordflow">if</span>( !input_file.eof()&amp;&amp;input_file.fail())
+<a name="l00131"></a>00131                 {
+<a name="l00132"></a>00132                   input_file.clear();
+<a name="l00133"></a>00133                 }
+<a name="l00134"></a>00134               
+<a name="l00135"></a>00135               <span class="keywordflow">if</span>(s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>)!=string::npos||s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>)!=string::npos)
+<a name="l00136"></a>00136                 {
+<a name="l00137"></a>00137                   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"libofx_detect_file_type():&lt;OFX&gt; tag has been found"</span>);
+<a name="l00138"></a>00138                   retval=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>;
+<a name="l00139"></a>00139                   type_found=<span class="keyword">true</span>;
+<a name="l00140"></a>00140                 }
+<a name="l00141"></a>00141               <span class="keywordflow">else</span> <span class="keywordflow">if</span>(s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>)!=string::npos||s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>)!=string::npos)
+<a name="l00142"></a>00142                 {
+<a name="l00143"></a>00143                   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"libofx_detect_file_type():&lt;OFC&gt; tag has been found"</span>);
+<a name="l00144"></a>00144                   retval=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>;
+<a name="l00145"></a>00145                   type_found=<span class="keyword">true</span>;
+<a name="l00146"></a>00146                 }
+<a name="l00147"></a>00147               
+<a name="l00148"></a>00148             }<span class="keywordflow">while</span>(type_found==<span class="keyword">false</span>&amp;&amp;!input_file.eof()&amp;&amp;!input_file.bad());
+<a name="l00149"></a>00149         }
+<a name="l00150"></a>00150       input_file.close();
+<a name="l00151"></a>00151     }
+<a name="l00152"></a>00152   <span class="keywordflow">else</span>{
+<a name="l00153"></a>00153     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type(): No input file specified"</span>);
+<a name="l00154"></a>00154   }
+<a name="l00155"></a>00155   <span class="keywordflow">if</span>(retval==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>)
+<a name="l00156"></a>00156     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"libofx_detect_file_type(): Failed to identify input file format"</span>);
+<a name="l00157"></a>00157   <span class="keywordflow">return</span> retval;
+<a name="l00158"></a>00158 }
+<a name="l00159"></a>00159   
+<a name="l00160"></a>00160 
+<a name="l00161"></a>00161 
+<a name="l00162"></a>00162 
+<a name="l00163"></a>00163 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2file__preproc_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2file__preproc_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2file__preproc_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,187 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: file_preproc.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>file_preproc.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+File type detection, etc. 
+<p>
+Implements AutoDetection of file type, and handoff to specific parsers. 
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html">fx-0.9.0/lib/file_preproc.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">libofx_get_file_format_description</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">get_file_format_description returns a string description of a LibofxFileType.  <a href="#01e232aea6806e09e048c98c94a49b66"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">libofx_get_file_format_from_str</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], const char *file_type_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_get_file_type returns a proper enum from a file type string.  <a href="#3bf84ecbf6ca512ea73d204c64972dbc"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">libofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> p_libofx_context, const char *p_filename, <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> p_file_type)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_proc_file is the entry point of the library.  <a href="#29b78b5f31a8c75206a8e2b4d665099f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">libofx_detect_file_type</a> (const char *p_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_detect_file_type tries to analyze a file to determine it's format.  <a href="#34e14069654b16390599d24154b1f8d0"></a><br></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3a4f15870bd5573d14fceb17c65162ee"></a><!-- doxytag: member="fx-0.9.0/lib/file_preproc.cpp::READ_BUFFER_SIZE" ref="3a4f15870bd5573d14fceb17c65162ee" args="" -->
+const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024</td></tr>
+
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="34e14069654b16390599d24154b1f8d0"></a><!-- doxytag: member="fx-0.9.0/lib/file_preproc.cpp::libofx_detect_file_type" ref="34e14069654b16390599d24154b1f8d0" args="(const char *p_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_detect_file_type           </td>
+          <td>(</td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+libofx_detect_file_type tries to analyze a file to determine it's format. 
+<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>p_filename</em>&nbsp;</td><td>File name of the file to process </td></tr>
+  </table>
+</dl>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>Detected file format, UNKNOWN if unsuccessfull. </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html#l00099">99</a> of file <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html">fx-0.9.0/lib/file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="01e232aea6806e09e048c98c94a49b66"></a><!-- doxytag: member="fx-0.9.0/lib/file_preproc.cpp::libofx_get_file_format_description" ref="01e232aea6806e09e048c98c94a49b66" args="(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* libofx_get_file_format_description           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>file_format</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+get_file_format_description returns a string description of a LibofxFileType. 
+<p>
+The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList  The file format which should match one of the formats in the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>null terminated string suitable for debugging output or user communication. </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html#l00037">37</a> of file <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html">fx-0.9.0/lib/file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3bf84ecbf6ca512ea73d204c64972dbc"></a><!-- doxytag: member="fx-0.9.0/lib/file_preproc.cpp::libofx_get_file_format_from_str" ref="3bf84ecbf6ca512ea73d204c64972dbc" args="(const struct LibofxFileFormatInfo format_list[], const char *file_type_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_get_file_format_from_str           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>file_type_string</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+libofx_get_file_type returns a proper enum from a file type string. 
+<p>
+The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList  The string which contain the file format matching one of the format_name of the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>the file format, or UNKNOWN if the format wasn't recognised. </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html#l00054">54</a> of file <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html">fx-0.9.0/lib/file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="29b78b5f31a8c75206a8e2b4d665099f"></a><!-- doxytag: member="fx-0.9.0/lib/file_preproc.cpp::libofx_proc_file" ref="29b78b5f31a8c75206a8e2b4d665099f" args="(LibofxContextPtr p_libofx_context, const char *p_filename, LibofxFileFormat p_file_type)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>ftype</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+libofx_proc_file is the entry point of the library. 
+<p>
+libofx_proc_file must be called by the client, with a list of 1 or more OFX files to be parsed in command line format. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html#l00067">67</a> of file <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp-source.html">fx-0.9.0/lib/file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2file__preproc_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2file__preproc_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2file__preproc_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,40 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: file_preproc.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>file_preproc.hh</h1><a href="fx-0_89_80_2lib_2file__preproc_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          file_preproc.hh</span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2004 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment"> ***************************************************************************/</span>
+<a name="l00012"></a>00012 <span class="comment">/***************************************************************************</span>
+<a name="l00013"></a>00013 <span class="comment"> *                                                                         *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00017"></a>00017 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00018"></a>00018 <span class="comment"> *                                                                         *</span>
+<a name="l00019"></a>00019 <span class="comment"> ***************************************************************************/</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#ifndef FILE_PREPROC_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define FILE_PREPROC_H</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span>
+<a name="l00029"></a>00029 <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0" title="libofx_detect_file_type tries to analyze a file to determine it&amp;#39;s format.">libofx_detect_file_type</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename);
+<a name="l00030"></a>00030 
+<a name="l00031"></a>00031 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2file__preproc_8hh.html'
--- doc/html/fx-0_89_80_2lib_2file__preproc_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2file__preproc_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,67 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: file_preproc.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>file_preproc.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Preprocessing of the OFX files before parsing. 
+<p>
+Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD. 
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2file__preproc_8hh-source.html">fx-0.9.0/lib/file_preproc.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2file__preproc_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2file__preproc_8hh.html#34e14069654b16390599d24154b1f8d0">libofx_detect_file_type</a> (const char *p_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_detect_file_type tries to analyze a file to determine it's format.  <a href="#34e14069654b16390599d24154b1f8d0"></a><br></td></tr>
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="34e14069654b16390599d24154b1f8d0"></a><!-- doxytag: member="fx-0.9.0/lib/file_preproc.hh::libofx_detect_file_type" ref="34e14069654b16390599d24154b1f8d0" args="(const char *p_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_detect_file_type           </td>
+          <td>(</td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+libofx_detect_file_type tries to analyze a file to determine it's format. 
+<p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>p_filename</em>&nbsp;</td><td>File name of the file to process </td></tr>
+  </table>
+</dl>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>Detected file format, UNKNOWN if unsuccessfull. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00099">99</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2getopt1_8c-source.html'
--- doc/html/fx-0_89_80_2lib_2getopt1_8c-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2getopt1_8c-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,208 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: getopt1.c Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>getopt1.c</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* getopt_long and getopt_long_only entry points for GNU getopt.</span>
+<a name="l00002"></a>00002 <span class="comment">   Copyright (C) 1987,88,89,90,91,92,93,94,96,97,98</span>
+<a name="l00003"></a>00003 <span class="comment">     Free Software Foundation, Inc.</span>
+<a name="l00004"></a>00004 <span class="comment">   This file is part of the GNU C Library.</span>
+<a name="l00005"></a>00005 <span class="comment"></span>
+<a name="l00006"></a>00006 <span class="comment">   The GNU C Library is free software; you can redistribute it and/or</span>
+<a name="l00007"></a>00007 <span class="comment">   modify it under the terms of the GNU Lesser General Public</span>
+<a name="l00008"></a>00008 <span class="comment">   License as published by the Free Software Foundation; either</span>
+<a name="l00009"></a>00009 <span class="comment">   version 2.1 of the License, or (at your option) any later version.</span>
+<a name="l00010"></a>00010 <span class="comment"></span>
+<a name="l00011"></a>00011 <span class="comment">   The GNU C Library is distributed in the hope that it will be useful,</span>
+<a name="l00012"></a>00012 <span class="comment">   but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
+<a name="l00013"></a>00013 <span class="comment">   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
+<a name="l00014"></a>00014 <span class="comment">   Lesser General Public License for more details.</span>
+<a name="l00015"></a>00015 <span class="comment"></span>
+<a name="l00016"></a>00016 <span class="comment">   You should have received a copy of the GNU Lesser General Public</span>
+<a name="l00017"></a>00017 <span class="comment">   License along with the GNU C Library; if not, write to the Free</span>
+<a name="l00018"></a>00018 <span class="comment">   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA</span>
+<a name="l00019"></a>00019 <span class="comment">   02111-1307 USA.  */</span>
+<a name="l00020"></a>00020 
+<a name="l00021"></a>00021 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#endif</span>
+<a name="l00024"></a>00024 <span class="preprocessor"></span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "getopt.h"</span>
+<a name="l00026"></a>00026 
+<a name="l00027"></a>00027 <span class="preprocessor">#if !defined __STDC__ || !__STDC__</span>
+<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="comment">/* This is a separate conditional since some stdc systems</span>
+<a name="l00029"></a>00029 <span class="comment">   reject `defined (const)'.  */</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#ifndef const</span>
+<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor">#define const</span>
+<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00033"></a>00033 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00034"></a>00034 <span class="preprocessor"></span>
+<a name="l00035"></a>00035 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00036"></a>00036 
+<a name="l00037"></a>00037 <span class="comment">/* Comment out all this code if we are using the GNU C Library, and are not</span>
+<a name="l00038"></a>00038 <span class="comment">   actually compiling the library itself.  This code is part of the GNU C</span>
+<a name="l00039"></a>00039 <span class="comment">   Library, but also included in many other GNU distributions.  Compiling</span>
+<a name="l00040"></a>00040 <span class="comment">   and linking in this code is a waste when using the GNU C library</span>
+<a name="l00041"></a>00041 <span class="comment">   (especially if it is a shared library).  Rather than having every GNU</span>
+<a name="l00042"></a>00042 <span class="comment">   program understand `configure --with-gnu-libc' and omit the object files,</span>
+<a name="l00043"></a>00043 <span class="comment">   it is simpler to just do this in the source for each such file.  */</span>
+<a name="l00044"></a>00044 
+<a name="l00045"></a>00045 <span class="preprocessor">#define GETOPT_INTERFACE_VERSION 2</span>
+<a name="l00046"></a>00046 <span class="preprocessor"></span><span class="preprocessor">#if !defined _LIBC &amp;&amp; defined __GLIBC__ &amp;&amp; __GLIBC__ &gt;= 2</span>
+<a name="l00047"></a>00047 <span class="preprocessor"></span><span class="preprocessor">#include &lt;gnu-versions.h&gt;</span>
+<a name="l00048"></a>00048 <span class="preprocessor">#if _GNU_GETOPT_INTERFACE_VERSION == GETOPT_INTERFACE_VERSION</span>
+<a name="l00049"></a>00049 <span class="preprocessor"></span><span class="preprocessor">#define ELIDE_CODE</span>
+<a name="l00050"></a>00050 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00051"></a>00051 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00052"></a>00052 <span class="preprocessor"></span>
+<a name="l00053"></a>00053 <span class="preprocessor">#ifndef ELIDE_CODE</span>
+<a name="l00054"></a>00054 <span class="preprocessor"></span>
+<a name="l00055"></a>00055 
+<a name="l00056"></a>00056 <span class="comment">/* This needs to come after some library #include</span>
+<a name="l00057"></a>00057 <span class="comment">   to get __GNU_LIBRARY__ defined.  */</span>
+<a name="l00058"></a>00058 <span class="preprocessor">#ifdef __GNU_LIBRARY__</span>
+<a name="l00059"></a>00059 <span class="preprocessor"></span><span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00060"></a>00060 <span class="preprocessor">#endif</span>
+<a name="l00061"></a>00061 <span class="preprocessor"></span>
+<a name="l00062"></a>00062 <span class="preprocessor">#ifndef NULL</span>
+<a name="l00063"></a>00063 <span class="preprocessor"></span><span class="preprocessor">#define NULL 0</span>
+<a name="l00064"></a>00064 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00065"></a>00065 <span class="preprocessor"></span>
+<a name="l00066"></a>00066 <span class="keywordtype">int</span>
+<a name="l00067"></a>00067 getopt_long (argc, argv, options, long_options, opt_index)
+<a name="l00068"></a>00068      int argc;
+<a name="l00069"></a>00069      <span class="keywordtype">char</span> *const *argv;
+<a name="l00070"></a>00070      const <span class="keywordtype">char</span> *options;
+<a name="l00071"></a>00071      const struct <a class="code" href="structoption.html">option</a> *long_options;
+<a name="l00072"></a>00072      <span class="keywordtype">int</span> *opt_index;
+<a name="l00073"></a>00073 {
+<a name="l00074"></a>00074   <span class="keywordflow">return</span> _getopt_internal (argc, argv, options, long_options, opt_index, 0);
+<a name="l00075"></a>00075 }
+<a name="l00076"></a>00076 
+<a name="l00077"></a>00077 <span class="comment">/* Like getopt_long, but '-' as well as '--' can indicate a long option.</span>
+<a name="l00078"></a>00078 <span class="comment">   If an option that starts with '-' (not '--') doesn't match a long option,</span>
+<a name="l00079"></a>00079 <span class="comment">   but does match a short option, it is parsed as a short option</span>
+<a name="l00080"></a>00080 <span class="comment">   instead.  */</span>
+<a name="l00081"></a>00081 
+<a name="l00082"></a>00082 <span class="keywordtype">int</span>
+<a name="l00083"></a>00083 getopt_long_only (argc, argv, options, long_options, opt_index)
+<a name="l00084"></a>00084      int argc;
+<a name="l00085"></a>00085      <span class="keywordtype">char</span> *const *argv;
+<a name="l00086"></a>00086      const <span class="keywordtype">char</span> *options;
+<a name="l00087"></a>00087      const struct <a class="code" href="structoption.html">option</a> *long_options;
+<a name="l00088"></a>00088      <span class="keywordtype">int</span> *opt_index;
+<a name="l00089"></a>00089 {
+<a name="l00090"></a>00090   <span class="keywordflow">return</span> _getopt_internal (argc, argv, options, long_options, opt_index, 1);
+<a name="l00091"></a>00091 }
+<a name="l00092"></a>00092 
+<a name="l00093"></a>00093 
+<a name="l00094"></a>00094 <span class="preprocessor">#endif  </span><span class="comment">/* Not ELIDE_CODE.  */</span>
+<a name="l00095"></a>00095 
+<a name="l00096"></a>00096 <span class="preprocessor">#ifdef TEST</span>
+<a name="l00097"></a>00097 <span class="preprocessor"></span>
+<a name="l00098"></a>00098 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00099"></a>00099 
+<a name="l00100"></a>00100 <span class="keywordtype">int</span>
+<a name="l00101"></a>00101 <a class="code" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (argc, argv)
+<a name="l00102"></a>00102      int argc;
+<a name="l00103"></a>00103      <span class="keywordtype">char</span> **argv;
+<a name="l00104"></a>00104 {
+<a name="l00105"></a>00105   <span class="keywordtype">int</span> c;
+<a name="l00106"></a>00106   <span class="keywordtype">int</span> digit_optind = 0;
+<a name="l00107"></a>00107 
+<a name="l00108"></a>00108   <span class="keywordflow">while</span> (1)
+<a name="l00109"></a>00109     {
+<a name="l00110"></a>00110       <span class="keywordtype">int</span> this_option_optind = optind ? optind : 1;
+<a name="l00111"></a>00111       <span class="keywordtype">int</span> option_index = 0;
+<a name="l00112"></a>00112       <span class="keyword">static</span> <span class="keyword">struct </span><a class="code" href="structoption.html">option</a> long_options[] =
+<a name="l00113"></a>00113       {
+<a name="l00114"></a>00114         {<span class="stringliteral">"add"</span>, 1, 0, 0},
+<a name="l00115"></a>00115         {<span class="stringliteral">"append"</span>, 0, 0, 0},
+<a name="l00116"></a>00116         {<span class="stringliteral">"delete"</span>, 1, 0, 0},
+<a name="l00117"></a>00117         {<span class="stringliteral">"verbose"</span>, 0, 0, 0},
+<a name="l00118"></a>00118         {<span class="stringliteral">"create"</span>, 0, 0, 0},
+<a name="l00119"></a>00119         {<span class="stringliteral">"file"</span>, 1, 0, 0},
+<a name="l00120"></a>00120         {0, 0, 0, 0}
+<a name="l00121"></a>00121       };
+<a name="l00122"></a>00122 
+<a name="l00123"></a>00123       c = getopt_long (argc, argv, <span class="stringliteral">"abc:d:0123456789"</span>,
+<a name="l00124"></a>00124                        long_options, &amp;option_index);
+<a name="l00125"></a>00125       <span class="keywordflow">if</span> (c == -1)
+<a name="l00126"></a>00126         <span class="keywordflow">break</span>;
+<a name="l00127"></a>00127 
+<a name="l00128"></a>00128       <span class="keywordflow">switch</span> (c)
+<a name="l00129"></a>00129         {
+<a name="l00130"></a>00130         <span class="keywordflow">case</span> 0:
+<a name="l00131"></a>00131           printf (<span class="stringliteral">"option %s"</span>, long_options[option_index].<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
+<a name="l00132"></a>00132           <span class="keywordflow">if</span> (optarg)
+<a name="l00133"></a>00133             printf (<span class="stringliteral">" with arg %s"</span>, optarg);
+<a name="l00134"></a>00134           printf (<span class="stringliteral">"\n"</span>);
+<a name="l00135"></a>00135           <span class="keywordflow">break</span>;
+<a name="l00136"></a>00136 
+<a name="l00137"></a>00137         <span class="keywordflow">case</span> <span class="charliteral">'0'</span>:
+<a name="l00138"></a>00138         <span class="keywordflow">case</span> <span class="charliteral">'1'</span>:
+<a name="l00139"></a>00139         <span class="keywordflow">case</span> <span class="charliteral">'2'</span>:
+<a name="l00140"></a>00140         <span class="keywordflow">case</span> <span class="charliteral">'3'</span>:
+<a name="l00141"></a>00141         <span class="keywordflow">case</span> <span class="charliteral">'4'</span>:
+<a name="l00142"></a>00142         <span class="keywordflow">case</span> <span class="charliteral">'5'</span>:
+<a name="l00143"></a>00143         <span class="keywordflow">case</span> <span class="charliteral">'6'</span>:
+<a name="l00144"></a>00144         <span class="keywordflow">case</span> <span class="charliteral">'7'</span>:
+<a name="l00145"></a>00145         <span class="keywordflow">case</span> <span class="charliteral">'8'</span>:
+<a name="l00146"></a>00146         <span class="keywordflow">case</span> <span class="charliteral">'9'</span>:
+<a name="l00147"></a>00147           <span class="keywordflow">if</span> (digit_optind != 0 &amp;&amp; digit_optind != this_option_optind)
+<a name="l00148"></a>00148             printf (<span class="stringliteral">"digits occur in two different argv-elements.\n"</span>);
+<a name="l00149"></a>00149           digit_optind = this_option_optind;
+<a name="l00150"></a>00150           printf (<span class="stringliteral">"option %c\n"</span>, c);
+<a name="l00151"></a>00151           <span class="keywordflow">break</span>;
+<a name="l00152"></a>00152 
+<a name="l00153"></a>00153         <span class="keywordflow">case</span> <span class="charliteral">'a'</span>:
+<a name="l00154"></a>00154           printf (<span class="stringliteral">"option a\n"</span>);
+<a name="l00155"></a>00155           <span class="keywordflow">break</span>;
+<a name="l00156"></a>00156 
+<a name="l00157"></a>00157         <span class="keywordflow">case</span> <span class="charliteral">'b'</span>:
+<a name="l00158"></a>00158           printf (<span class="stringliteral">"option b\n"</span>);
+<a name="l00159"></a>00159           <span class="keywordflow">break</span>;
+<a name="l00160"></a>00160 
+<a name="l00161"></a>00161         <span class="keywordflow">case</span> <span class="charliteral">'c'</span>:
+<a name="l00162"></a>00162           printf (<span class="stringliteral">"option c with value `%s'\n"</span>, optarg);
+<a name="l00163"></a>00163           <span class="keywordflow">break</span>;
+<a name="l00164"></a>00164 
+<a name="l00165"></a>00165         <span class="keywordflow">case</span> <span class="charliteral">'d'</span>:
+<a name="l00166"></a>00166           printf (<span class="stringliteral">"option d with value `%s'\n"</span>, optarg);
+<a name="l00167"></a>00167           <span class="keywordflow">break</span>;
+<a name="l00168"></a>00168 
+<a name="l00169"></a>00169         <span class="keywordflow">case</span> <span class="charliteral">'?'</span>:
+<a name="l00170"></a>00170           <span class="keywordflow">break</span>;
+<a name="l00171"></a>00171 
+<a name="l00172"></a>00172         <span class="keywordflow">default</span>:
+<a name="l00173"></a>00173           printf (<span class="stringliteral">"?? getopt returned character code 0%o ??\n"</span>, c);
+<a name="l00174"></a>00174         }
+<a name="l00175"></a>00175     }
+<a name="l00176"></a>00176 
+<a name="l00177"></a>00177   <span class="keywordflow">if</span> (optind &lt; argc)
+<a name="l00178"></a>00178     {
+<a name="l00179"></a>00179       printf (<span class="stringliteral">"non-option ARGV-elements: "</span>);
+<a name="l00180"></a>00180       <span class="keywordflow">while</span> (optind &lt; argc)
+<a name="l00181"></a>00181         printf (<span class="stringliteral">"%s "</span>, argv[optind++]);
+<a name="l00182"></a>00182       printf (<span class="stringliteral">"\n"</span>);
+<a name="l00183"></a>00183     }
+<a name="l00184"></a>00184 
+<a name="l00185"></a>00185   exit (0);
+<a name="l00186"></a>00186 }
+<a name="l00187"></a>00187 
+<a name="l00188"></a>00188 <span class="preprocessor">#endif </span><span class="comment">/* TEST */</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2getopt_8c-source.html'
--- doc/html/fx-0_89_80_2lib_2getopt_8c-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2getopt_8c-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,1075 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: getopt.c Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>getopt.c</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* Getopt for GNU.</span>
+<a name="l00002"></a>00002 <span class="comment">   NOTE: getopt is now part of the C library, so if you don't know what</span>
+<a name="l00003"></a>00003 <span class="comment">   "Keep this file name-space clean" means, talk to drepper@gnu.org</span>
+<a name="l00004"></a>00004 <span class="comment">   before changing it!</span>
+<a name="l00005"></a>00005 <span class="comment">   Copyright (C) 1987,88,89,90,91,92,93,94,95,96,98,99,2000,2001</span>
+<a name="l00006"></a>00006 <span class="comment">        Free Software Foundation, Inc.</span>
+<a name="l00007"></a>00007 <span class="comment">   This file is part of the GNU C Library.</span>
+<a name="l00008"></a>00008 <span class="comment"></span>
+<a name="l00009"></a>00009 <span class="comment">   The GNU C Library is free software; you can redistribute it and/or</span>
+<a name="l00010"></a>00010 <span class="comment">   modify it under the terms of the GNU Lesser General Public</span>
+<a name="l00011"></a>00011 <span class="comment">   License as published by the Free Software Foundation; either</span>
+<a name="l00012"></a>00012 <span class="comment">   version 2.1 of the License, or (at your option) any later version.</span>
+<a name="l00013"></a>00013 <span class="comment"></span>
+<a name="l00014"></a>00014 <span class="comment">   The GNU C Library is distributed in the hope that it will be useful,</span>
+<a name="l00015"></a>00015 <span class="comment">   but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
+<a name="l00016"></a>00016 <span class="comment">   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
+<a name="l00017"></a>00017 <span class="comment">   Lesser General Public License for more details.</span>
+<a name="l00018"></a>00018 <span class="comment"></span>
+<a name="l00019"></a>00019 <span class="comment">   You should have received a copy of the GNU Lesser General Public</span>
+<a name="l00020"></a>00020 <span class="comment">   License along with the GNU C Library; if not, write to the Free</span>
+<a name="l00021"></a>00021 <span class="comment">   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA</span>
+<a name="l00022"></a>00022 <span class="comment">   02111-1307 USA.  */</span>
+<a name="l00023"></a>00023 
+<a name="l00024"></a>00024 <span class="comment">/* This tells Alpha OSF/1 not to define a getopt prototype in &lt;stdio.h&gt;.</span>
+<a name="l00025"></a>00025 <span class="comment">   Ditto for AIX 3.2 and &lt;stdlib.h&gt;.  */</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#ifndef _NO_PROTO</span>
+<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor"># define _NO_PROTO</span>
+<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00029"></a>00029 <span class="preprocessor"></span>
+<a name="l00030"></a>00030 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor"># include &lt;config.h&gt;</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#endif</span>
+<a name="l00033"></a>00033 <span class="preprocessor"></span>
+<a name="l00034"></a>00034 <span class="preprocessor">#if !defined __STDC__ || !__STDC__</span>
+<a name="l00035"></a>00035 <span class="preprocessor"></span><span class="comment">/* This is a separate conditional since some stdc systems</span>
+<a name="l00036"></a>00036 <span class="comment">   reject `defined (const)'.  */</span>
+<a name="l00037"></a>00037 <span class="preprocessor"># ifndef const</span>
+<a name="l00038"></a>00038 <span class="preprocessor"></span><span class="preprocessor">#  define const</span>
+<a name="l00039"></a>00039 <span class="preprocessor"></span><span class="preprocessor"># endif</span>
+<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00041"></a>00041 <span class="preprocessor"></span>
+<a name="l00042"></a>00042 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00043"></a>00043 
+<a name="l00044"></a>00044 <span class="comment">/* Comment out all this code if we are using the GNU C Library, and are not</span>
+<a name="l00045"></a>00045 <span class="comment">   actually compiling the library itself.  This code is part of the GNU C</span>
+<a name="l00046"></a>00046 <span class="comment">   Library, but also included in many other GNU distributions.  Compiling</span>
+<a name="l00047"></a>00047 <span class="comment">   and linking in this code is a waste when using the GNU C library</span>
+<a name="l00048"></a>00048 <span class="comment">   (especially if it is a shared library).  Rather than having every GNU</span>
+<a name="l00049"></a>00049 <span class="comment">   program understand `configure --with-gnu-libc' and omit the object files,</span>
+<a name="l00050"></a>00050 <span class="comment">   it is simpler to just do this in the source for each such file.  */</span>
+<a name="l00051"></a>00051 
+<a name="l00052"></a>00052 <span class="preprocessor">#define GETOPT_INTERFACE_VERSION 2</span>
+<a name="l00053"></a>00053 <span class="preprocessor"></span><span class="preprocessor">#if !defined _LIBC &amp;&amp; defined __GLIBC__ &amp;&amp; __GLIBC__ &gt;= 2</span>
+<a name="l00054"></a>00054 <span class="preprocessor"></span><span class="preprocessor"># include &lt;gnu-versions.h&gt;</span>
+<a name="l00055"></a>00055 <span class="preprocessor"># if _GNU_GETOPT_INTERFACE_VERSION == GETOPT_INTERFACE_VERSION</span>
+<a name="l00056"></a>00056 <span class="preprocessor"></span><span class="preprocessor">#  define ELIDE_CODE</span>
+<a name="l00057"></a>00057 <span class="preprocessor"></span><span class="preprocessor"># endif</span>
+<a name="l00058"></a>00058 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00059"></a>00059 <span class="preprocessor"></span>
+<a name="l00060"></a>00060 <span class="preprocessor">#ifndef ELIDE_CODE</span>
+<a name="l00061"></a>00061 <span class="preprocessor"></span>
+<a name="l00062"></a>00062 
+<a name="l00063"></a>00063 <span class="comment">/* This needs to come after some library #include</span>
+<a name="l00064"></a>00064 <span class="comment">   to get __GNU_LIBRARY__ defined.  */</span>
+<a name="l00065"></a>00065 <span class="preprocessor">#ifdef  __GNU_LIBRARY__</span>
+<a name="l00066"></a>00066 <span class="preprocessor"></span><span class="comment">/* Don't include stdlib.h for non-GNU C libraries because some of them</span>
+<a name="l00067"></a>00067 <span class="comment">   contain conflicting prototypes for getopt.  */</span>
+<a name="l00068"></a>00068 <span class="preprocessor"># include &lt;stdlib.h&gt;</span>
+<a name="l00069"></a>00069 <span class="preprocessor"># include &lt;unistd.h&gt;</span>
+<a name="l00070"></a>00070 <span class="preprocessor">#endif  </span><span class="comment">/* GNU C library.  */</span>
+<a name="l00071"></a>00071 
+<a name="l00072"></a>00072 <span class="preprocessor">#ifdef VMS</span>
+<a name="l00073"></a>00073 <span class="preprocessor"></span><span class="preprocessor"># include &lt;unixlib.h&gt;</span>
+<a name="l00074"></a>00074 <span class="preprocessor"># if HAVE_STRING_H - 0</span>
+<a name="l00075"></a>00075 <span class="preprocessor"></span><span class="preprocessor">#  include &lt;string.h&gt;</span>
+<a name="l00076"></a>00076 <span class="preprocessor"># endif</span>
+<a name="l00077"></a>00077 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00078"></a>00078 <span class="preprocessor"></span>
+<a name="l00079"></a>00079 <span class="preprocessor">#ifndef _</span>
+<a name="l00080"></a>00080 <span class="preprocessor"></span><span class="comment">/* This is for other GNU distributions with internationalized messages.  */</span>
+<a name="l00081"></a>00081 <span class="preprocessor"># if defined HAVE_LIBINTL_H || defined _LIBC</span>
+<a name="l00082"></a>00082 <span class="preprocessor"></span><span class="preprocessor">#  include &lt;libintl.h&gt;</span>
+<a name="l00083"></a>00083 <span class="preprocessor">#  ifndef _</span>
+<a name="l00084"></a>00084 <span class="preprocessor"></span><span class="preprocessor">#   define _(msgid)     gettext (msgid)</span>
+<a name="l00085"></a>00085 <span class="preprocessor"></span><span class="preprocessor">#  endif</span>
+<a name="l00086"></a>00086 <span class="preprocessor"></span><span class="preprocessor"># else</span>
+<a name="l00087"></a>00087 <span class="preprocessor"></span><span class="preprocessor">#  define _(msgid)      (msgid)</span>
+<a name="l00088"></a>00088 <span class="preprocessor"></span><span class="preprocessor"># endif</span>
+<a name="l00089"></a>00089 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00090"></a>00090 <span class="preprocessor"></span>
+<a name="l00091"></a>00091 <span class="comment">/* This version of `getopt' appears to the caller like standard Unix `getopt'</span>
+<a name="l00092"></a>00092 <span class="comment">   but it behaves differently for the user, since it allows the user</span>
+<a name="l00093"></a>00093 <span class="comment">   to intersperse the options with the other arguments.</span>
+<a name="l00094"></a>00094 <span class="comment"></span>
+<a name="l00095"></a>00095 <span class="comment">   As `getopt' works, it permutes the elements of ARGV so that,</span>
+<a name="l00096"></a>00096 <span class="comment">   when it is done, all the options precede everything else.  Thus</span>
+<a name="l00097"></a>00097 <span class="comment">   all application programs are extended to handle flexible argument order.</span>
+<a name="l00098"></a>00098 <span class="comment"></span>
+<a name="l00099"></a>00099 <span class="comment">   Setting the environment variable POSIXLY_CORRECT disables permutation.</span>
+<a name="l00100"></a>00100 <span class="comment">   Then the behavior is completely standard.</span>
+<a name="l00101"></a>00101 <span class="comment"></span>
+<a name="l00102"></a>00102 <span class="comment">   GNU application programs can use a third alternative mode in which</span>
+<a name="l00103"></a>00103 <span class="comment">   they can distinguish the relative order of options and other arguments.  */</span>
+<a name="l00104"></a>00104 
+<a name="l00105"></a>00105 <span class="preprocessor">#include "getopt.h"</span>
+<a name="l00106"></a>00106 
+<a name="l00107"></a>00107 <span class="comment">/* For communication from `getopt' to the caller.</span>
+<a name="l00108"></a>00108 <span class="comment">   When `getopt' finds an option that takes an argument,</span>
+<a name="l00109"></a>00109 <span class="comment">   the argument value is returned here.</span>
+<a name="l00110"></a>00110 <span class="comment">   Also, when `ordering' is RETURN_IN_ORDER,</span>
+<a name="l00111"></a>00111 <span class="comment">   each non-option ARGV-element is returned here.  */</span>
+<a name="l00112"></a>00112 
+<a name="l00113"></a>00113 <span class="keywordtype">char</span> *optarg;
+<a name="l00114"></a>00114 
+<a name="l00115"></a>00115 <span class="comment">/* Index in ARGV of the next element to be scanned.</span>
+<a name="l00116"></a>00116 <span class="comment">   This is used for communication to and from the caller</span>
+<a name="l00117"></a>00117 <span class="comment">   and for communication between successive calls to `getopt'.</span>
+<a name="l00118"></a>00118 <span class="comment"></span>
+<a name="l00119"></a>00119 <span class="comment">   On entry to `getopt', zero means this is the first call; initialize.</span>
+<a name="l00120"></a>00120 <span class="comment"></span>
+<a name="l00121"></a>00121 <span class="comment">   When `getopt' returns -1, this is the index of the first of the</span>
+<a name="l00122"></a>00122 <span class="comment">   non-option elements that the caller should itself scan.</span>
+<a name="l00123"></a>00123 <span class="comment"></span>
+<a name="l00124"></a>00124 <span class="comment">   Otherwise, `optind' communicates from one call to the next</span>
+<a name="l00125"></a>00125 <span class="comment">   how much of ARGV has been scanned so far.  */</span>
+<a name="l00126"></a>00126 
+<a name="l00127"></a>00127 <span class="comment">/* 1003.2 says this must be 1 before any call.  */</span>
+<a name="l00128"></a>00128 <span class="keywordtype">int</span> optind = 1;
+<a name="l00129"></a>00129 
+<a name="l00130"></a>00130 <span class="comment">/* Formerly, initialization of getopt depended on optind==0, which</span>
+<a name="l00131"></a>00131 <span class="comment">   causes problems with re-calling getopt as programs generally don't</span>
+<a name="l00132"></a>00132 <span class="comment">   know that. */</span>
+<a name="l00133"></a>00133 
+<a name="l00134"></a>00134 <span class="keywordtype">int</span> __getopt_initialized;
+<a name="l00135"></a>00135 
+<a name="l00136"></a>00136 <span class="comment">/* The next char to be scanned in the option-element</span>
+<a name="l00137"></a>00137 <span class="comment">   in which the last option character we returned was found.</span>
+<a name="l00138"></a>00138 <span class="comment">   This allows us to pick up the scan where we left off.</span>
+<a name="l00139"></a>00139 <span class="comment"></span>
+<a name="l00140"></a>00140 <span class="comment">   If this is zero, or a null string, it means resume the scan</span>
+<a name="l00141"></a>00141 <span class="comment">   by advancing to the next ARGV-element.  */</span>
+<a name="l00142"></a>00142 
+<a name="l00143"></a>00143 <span class="keyword">static</span> <span class="keywordtype">char</span> *nextchar;
+<a name="l00144"></a>00144 
+<a name="l00145"></a>00145 <span class="comment">/* Callers store zero here to inhibit the error message</span>
+<a name="l00146"></a>00146 <span class="comment">   for unrecognized options.  */</span>
+<a name="l00147"></a>00147 
+<a name="l00148"></a>00148 <span class="keywordtype">int</span> opterr = 1;
+<a name="l00149"></a>00149 
+<a name="l00150"></a>00150 <span class="comment">/* Set to an option character which was unrecognized.</span>
+<a name="l00151"></a>00151 <span class="comment">   This must be initialized on some systems to avoid linking in the</span>
+<a name="l00152"></a>00152 <span class="comment">   system's own getopt implementation.  */</span>
+<a name="l00153"></a>00153 
+<a name="l00154"></a>00154 <span class="keywordtype">int</span> optopt = <span class="charliteral">'?'</span>;
+<a name="l00155"></a>00155 
+<a name="l00156"></a>00156 <span class="comment">/* Describe how to deal with options that follow non-option ARGV-elements.</span>
+<a name="l00157"></a>00157 <span class="comment"></span>
+<a name="l00158"></a>00158 <span class="comment">   If the caller did not specify anything,</span>
+<a name="l00159"></a>00159 <span class="comment">   the default is REQUIRE_ORDER if the environment variable</span>
+<a name="l00160"></a>00160 <span class="comment">   POSIXLY_CORRECT is defined, PERMUTE otherwise.</span>
+<a name="l00161"></a>00161 <span class="comment"></span>
+<a name="l00162"></a>00162 <span class="comment">   REQUIRE_ORDER means don't recognize them as options;</span>
+<a name="l00163"></a>00163 <span class="comment">   stop option processing when the first non-option is seen.</span>
+<a name="l00164"></a>00164 <span class="comment">   This is what Unix does.</span>
+<a name="l00165"></a>00165 <span class="comment">   This mode of operation is selected by either setting the environment</span>
+<a name="l00166"></a>00166 <span class="comment">   variable POSIXLY_CORRECT, or using `+' as the first character</span>
+<a name="l00167"></a>00167 <span class="comment">   of the list of option characters.</span>
+<a name="l00168"></a>00168 <span class="comment"></span>
+<a name="l00169"></a>00169 <span class="comment">   PERMUTE is the default.  We permute the contents of ARGV as we scan,</span>
+<a name="l00170"></a>00170 <span class="comment">   so that eventually all the non-options are at the end.  This allows options</span>
+<a name="l00171"></a>00171 <span class="comment">   to be given in any order, even with programs that were not written to</span>
+<a name="l00172"></a>00172 <span class="comment">   expect this.</span>
+<a name="l00173"></a>00173 <span class="comment"></span>
+<a name="l00174"></a>00174 <span class="comment">   RETURN_IN_ORDER is an option available to programs that were written</span>
+<a name="l00175"></a>00175 <span class="comment">   to expect options and other ARGV-elements in any order and that care about</span>
+<a name="l00176"></a>00176 <span class="comment">   the ordering of the two.  We describe each non-option ARGV-element</span>
+<a name="l00177"></a>00177 <span class="comment">   as if it were the argument of an option with character code 1.</span>
+<a name="l00178"></a>00178 <span class="comment">   Using `-' as the first character of the list of option characters</span>
+<a name="l00179"></a>00179 <span class="comment">   selects this mode of operation.</span>
+<a name="l00180"></a>00180 <span class="comment"></span>
+<a name="l00181"></a>00181 <span class="comment">   The special argument `--' forces an end of option-scanning regardless</span>
+<a name="l00182"></a>00182 <span class="comment">   of the value of `ordering'.  In the case of RETURN_IN_ORDER, only</span>
+<a name="l00183"></a>00183 <span class="comment">   `--' can cause `getopt' to return -1 with `optind' != ARGC.  */</span>
+<a name="l00184"></a>00184 
+<a name="l00185"></a>00185 <span class="keyword">static</span> <span class="keyword">enum</span>
+<a name="l00186"></a>00186 {
+<a name="l00187"></a>00187   REQUIRE_ORDER, PERMUTE, RETURN_IN_ORDER
+<a name="l00188"></a>00188 } ordering;
+<a name="l00189"></a>00189 
+<a name="l00190"></a>00190 <span class="comment">/* Value of POSIXLY_CORRECT environment variable.  */</span>
+<a name="l00191"></a>00191 <span class="keyword">static</span> <span class="keywordtype">char</span> *posixly_correct;
+<a name="l00192"></a>00192 
+<a name="l00193"></a>00193 <span class="preprocessor">#ifdef  __GNU_LIBRARY__</span>
+<a name="l00194"></a>00194 <span class="preprocessor"></span><span class="comment">/* We want to avoid inclusion of string.h with non-GNU libraries</span>
+<a name="l00195"></a>00195 <span class="comment">   because there are many ways it can cause trouble.</span>
+<a name="l00196"></a>00196 <span class="comment">   On some systems, it contains special magic macros that don't work</span>
+<a name="l00197"></a>00197 <span class="comment">   in GCC.  */</span>
+<a name="l00198"></a>00198 <span class="preprocessor"># include &lt;string.h&gt;</span>
+<a name="l00199"></a>00199 <span class="preprocessor"># define my_index       strchr</span>
+<a name="l00200"></a>00200 <span class="preprocessor"></span><span class="preprocessor">#else</span>
+<a name="l00201"></a>00201 <span class="preprocessor"></span>
+<a name="l00202"></a>00202 <span class="preprocessor"># if HAVE_STRING_H</span>
+<a name="l00203"></a>00203 <span class="preprocessor"></span><span class="preprocessor">#  include &lt;string.h&gt;</span>
+<a name="l00204"></a>00204 <span class="preprocessor"># else</span>
+<a name="l00205"></a>00205 <span class="preprocessor"></span><span class="preprocessor">#  include &lt;strings.h&gt;</span>
+<a name="l00206"></a>00206 <span class="preprocessor"># endif</span>
+<a name="l00207"></a>00207 <span class="preprocessor"></span>
+<a name="l00208"></a>00208 <span class="comment">/* Avoid depending on library functions or files</span>
+<a name="l00209"></a>00209 <span class="comment">   whose names are inconsistent.  */</span>
+<a name="l00210"></a>00210 
+<a name="l00211"></a>00211 <span class="preprocessor">#ifndef getenv</span>
+<a name="l00212"></a>00212 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="keywordtype">char</span> *getenv ();
+<a name="l00213"></a>00213 <span class="preprocessor">#endif</span>
+<a name="l00214"></a>00214 <span class="preprocessor"></span>
+<a name="l00215"></a>00215 <span class="keyword">static</span> <span class="keywordtype">char</span> *
+<a name="l00216"></a>00216 my_index (str, chr)
+<a name="l00217"></a>00217      const <span class="keywordtype">char</span> *str;
+<a name="l00218"></a>00218      <span class="keywordtype">int</span> chr;
+<a name="l00219"></a>00219 {
+<a name="l00220"></a>00220   <span class="keywordflow">while</span> (*str)
+<a name="l00221"></a>00221     {
+<a name="l00222"></a>00222       <span class="keywordflow">if</span> (*str == chr)
+<a name="l00223"></a>00223         <span class="keywordflow">return</span> (<span class="keywordtype">char</span> *) str;
+<a name="l00224"></a>00224       str++;
+<a name="l00225"></a>00225     }
+<a name="l00226"></a>00226   <span class="keywordflow">return</span> 0;
+<a name="l00227"></a>00227 }
+<a name="l00228"></a>00228 
+<a name="l00229"></a>00229 <span class="comment">/* If using GCC, we can safely declare strlen this way.</span>
+<a name="l00230"></a>00230 <span class="comment">   If not using GCC, it is ok not to declare it.  */</span>
+<a name="l00231"></a>00231 <span class="preprocessor">#ifdef __GNUC__</span>
+<a name="l00232"></a>00232 <span class="preprocessor"></span><span class="comment">/* Note that Motorola Delta 68k R3V7 comes with GCC but not stddef.h.</span>
+<a name="l00233"></a>00233 <span class="comment">   That was relevant to code that was here before.  */</span>
+<a name="l00234"></a>00234 <span class="preprocessor"># if (!defined __STDC__ || !__STDC__) &amp;&amp; !defined strlen</span>
+<a name="l00235"></a>00235 <span class="preprocessor"></span><span class="comment">/* gcc with -traditional declares the built-in strlen to return int,</span>
+<a name="l00236"></a>00236 <span class="comment">   and has done so at least since version 2.4.5. -- rms.  */</span>
+<a name="l00237"></a>00237 <span class="keyword">extern</span> <span class="keywordtype">int</span> strlen (<span class="keyword">const</span> <span class="keywordtype">char</span> *);
+<a name="l00238"></a>00238 <span class="preprocessor"># endif </span><span class="comment">/* not __STDC__ */</span>
+<a name="l00239"></a>00239 <span class="preprocessor">#endif </span><span class="comment">/* __GNUC__ */</span>
+<a name="l00240"></a>00240 
+<a name="l00241"></a>00241 <span class="preprocessor">#endif </span><span class="comment">/* not __GNU_LIBRARY__ */</span>
+<a name="l00242"></a>00242 
+<a name="l00243"></a>00243 <span class="comment">/* Handle permutation of arguments.  */</span>
+<a name="l00244"></a>00244 
+<a name="l00245"></a>00245 <span class="comment">/* Describe the part of ARGV that contains non-options that have</span>
+<a name="l00246"></a>00246 <span class="comment">   been skipped.  `first_nonopt' is the index in ARGV of the first of them;</span>
+<a name="l00247"></a>00247 <span class="comment">   `last_nonopt' is the index after the last of them.  */</span>
+<a name="l00248"></a>00248 
+<a name="l00249"></a>00249 <span class="keyword">static</span> <span class="keywordtype">int</span> first_nonopt;
+<a name="l00250"></a>00250 <span class="keyword">static</span> <span class="keywordtype">int</span> last_nonopt;
+<a name="l00251"></a>00251 
+<a name="l00252"></a>00252 <span class="preprocessor">#ifdef _LIBC</span>
+<a name="l00253"></a>00253 <span class="preprocessor"></span><span class="comment">/* Stored original parameters.</span>
+<a name="l00254"></a>00254 <span class="comment">   XXX This is no good solution.  We should rather copy the args so</span>
+<a name="l00255"></a>00255 <span class="comment">   that we can compare them later.  But we must not use malloc(3).  */</span>
+<a name="l00256"></a>00256 <span class="keyword">extern</span> <span class="keywordtype">int</span> __libc_argc;
+<a name="l00257"></a>00257 <span class="keyword">extern</span> <span class="keywordtype">char</span> **__libc_argv;
+<a name="l00258"></a>00258 
+<a name="l00259"></a>00259 <span class="comment">/* Bash 2.0 gives us an environment variable containing flags</span>
+<a name="l00260"></a>00260 <span class="comment">   indicating ARGV elements that should not be considered arguments.  */</span>
+<a name="l00261"></a>00261 
+<a name="l00262"></a>00262 <span class="preprocessor"># ifdef USE_NONOPTION_FLAGS</span>
+<a name="l00263"></a>00263 <span class="preprocessor"></span><span class="comment">/* Defined in getopt_init.c  */</span>
+<a name="l00264"></a>00264 <span class="keyword">extern</span> <span class="keywordtype">char</span> *__getopt_nonoption_flags;
+<a name="l00265"></a>00265 
+<a name="l00266"></a>00266 <span class="keyword">static</span> <span class="keywordtype">int</span> nonoption_flags_max_len;
+<a name="l00267"></a>00267 <span class="keyword">static</span> <span class="keywordtype">int</span> nonoption_flags_len;
+<a name="l00268"></a>00268 <span class="preprocessor"># endif</span>
+<a name="l00269"></a>00269 <span class="preprocessor"></span>
+<a name="l00270"></a>00270 <span class="preprocessor"># ifdef USE_NONOPTION_FLAGS</span>
+<a name="l00271"></a>00271 <span class="preprocessor"></span><span class="preprocessor">#  define SWAP_FLAGS(ch1, ch2) \</span>
+<a name="l00272"></a>00272 <span class="preprocessor">  if (nonoption_flags_len &gt; 0)                                                \</span>
+<a name="l00273"></a>00273 <span class="preprocessor">    {                                                                         \</span>
+<a name="l00274"></a>00274 <span class="preprocessor">      char __tmp = __getopt_nonoption_flags[ch1];                             \</span>
+<a name="l00275"></a>00275 <span class="preprocessor">      __getopt_nonoption_flags[ch1] = __getopt_nonoption_flags[ch2];          \</span>
+<a name="l00276"></a>00276 <span class="preprocessor">      __getopt_nonoption_flags[ch2] = __tmp;                                  \</span>
+<a name="l00277"></a>00277 <span class="preprocessor">    }</span>
+<a name="l00278"></a>00278 <span class="preprocessor"></span><span class="preprocessor"># else</span>
+<a name="l00279"></a>00279 <span class="preprocessor"></span><span class="preprocessor">#  define SWAP_FLAGS(ch1, ch2)</span>
+<a name="l00280"></a>00280 <span class="preprocessor"></span><span class="preprocessor"># endif</span>
+<a name="l00281"></a>00281 <span class="preprocessor"></span><span class="preprocessor">#else   </span><span class="comment">/* !_LIBC */</span>
+<a name="l00282"></a>00282 <span class="preprocessor"># define SWAP_FLAGS(ch1, ch2)</span>
+<a name="l00283"></a>00283 <span class="preprocessor"></span><span class="preprocessor">#endif  </span><span class="comment">/* _LIBC */</span>
+<a name="l00284"></a>00284 
+<a name="l00285"></a>00285 <span class="comment">/* Exchange two adjacent subsequences of ARGV.</span>
+<a name="l00286"></a>00286 <span class="comment">   One subsequence is elements [first_nonopt,last_nonopt)</span>
+<a name="l00287"></a>00287 <span class="comment">   which contains all the non-options that have been skipped so far.</span>
+<a name="l00288"></a>00288 <span class="comment">   The other is elements [last_nonopt,optind), which contains all</span>
+<a name="l00289"></a>00289 <span class="comment">   the options processed since those non-options were skipped.</span>
+<a name="l00290"></a>00290 <span class="comment"></span>
+<a name="l00291"></a>00291 <span class="comment">   `first_nonopt' and `last_nonopt' are relocated so that they describe</span>
+<a name="l00292"></a>00292 <span class="comment">   the new indices of the non-options in ARGV after they are moved.  */</span>
+<a name="l00293"></a>00293 
+<a name="l00294"></a>00294 <span class="preprocessor">#if defined __STDC__ &amp;&amp; __STDC__</span>
+<a name="l00295"></a>00295 <span class="preprocessor"></span><span class="keyword">static</span> <span class="keywordtype">void</span> exchange (<span class="keywordtype">char</span> **);
+<a name="l00296"></a>00296 <span class="preprocessor">#endif</span>
+<a name="l00297"></a>00297 <span class="preprocessor"></span>
+<a name="l00298"></a>00298 <span class="keyword">static</span> <span class="keywordtype">void</span>
+<a name="l00299"></a>00299 exchange (argv)
+<a name="l00300"></a>00300      char **argv;
+<a name="l00301"></a>00301 {
+<a name="l00302"></a>00302   <span class="keywordtype">int</span> bottom = first_nonopt;
+<a name="l00303"></a>00303   <span class="keywordtype">int</span> middle = last_nonopt;
+<a name="l00304"></a>00304   <span class="keywordtype">int</span> top = optind;
+<a name="l00305"></a>00305   <span class="keywordtype">char</span> *tem;
+<a name="l00306"></a>00306 
+<a name="l00307"></a>00307   <span class="comment">/* Exchange the shorter segment with the far end of the longer segment.</span>
+<a name="l00308"></a>00308 <span class="comment">     That puts the shorter segment into the right place.</span>
+<a name="l00309"></a>00309 <span class="comment">     It leaves the longer segment in the right place overall,</span>
+<a name="l00310"></a>00310 <span class="comment">     but it consists of two parts that need to be swapped next.  */</span>
+<a name="l00311"></a>00311 
+<a name="l00312"></a>00312 <span class="preprocessor">#if defined _LIBC &amp;&amp; defined USE_NONOPTION_FLAGS</span>
+<a name="l00313"></a>00313 <span class="preprocessor"></span>  <span class="comment">/* First make sure the handling of the `__getopt_nonoption_flags'</span>
+<a name="l00314"></a>00314 <span class="comment">     string can work normally.  Our top argument must be in the range</span>
+<a name="l00315"></a>00315 <span class="comment">     of the string.  */</span>
+<a name="l00316"></a>00316   <span class="keywordflow">if</span> (nonoption_flags_len &gt; 0 &amp;&amp; top &gt;= nonoption_flags_max_len)
+<a name="l00317"></a>00317     {
+<a name="l00318"></a>00318       <span class="comment">/* We must extend the array.  The user plays games with us and</span>
+<a name="l00319"></a>00319 <span class="comment">         presents new arguments.  */</span>
+<a name="l00320"></a>00320       <span class="keywordtype">char</span> *new_str = malloc (top + 1);
+<a name="l00321"></a>00321       <span class="keywordflow">if</span> (new_str == NULL)
+<a name="l00322"></a>00322         nonoption_flags_len = nonoption_flags_max_len = 0;
+<a name="l00323"></a>00323       <span class="keywordflow">else</span>
+<a name="l00324"></a>00324         {
+<a name="l00325"></a>00325           memset (__mempcpy (new_str, __getopt_nonoption_flags,
+<a name="l00326"></a>00326                              nonoption_flags_max_len),
+<a name="l00327"></a>00327                   <span class="charliteral">'\0'</span>, top + 1 - nonoption_flags_max_len);
+<a name="l00328"></a>00328           nonoption_flags_max_len = top + 1;
+<a name="l00329"></a>00329           __getopt_nonoption_flags = new_str;
+<a name="l00330"></a>00330         }
+<a name="l00331"></a>00331     }
+<a name="l00332"></a>00332 <span class="preprocessor">#endif</span>
+<a name="l00333"></a>00333 <span class="preprocessor"></span>
+<a name="l00334"></a>00334   <span class="keywordflow">while</span> (top &gt; middle &amp;&amp; middle &gt; bottom)
+<a name="l00335"></a>00335     {
+<a name="l00336"></a>00336       <span class="keywordflow">if</span> (top - middle &gt; middle - bottom)
+<a name="l00337"></a>00337         {
+<a name="l00338"></a>00338           <span class="comment">/* Bottom segment is the short one.  */</span>
+<a name="l00339"></a>00339           <span class="keywordtype">int</span> len = middle - bottom;
+<a name="l00340"></a>00340           <span class="keyword">register</span> <span class="keywordtype">int</span> i;
+<a name="l00341"></a>00341 
+<a name="l00342"></a>00342           <span class="comment">/* Swap it with the top part of the top segment.  */</span>
+<a name="l00343"></a>00343           <span class="keywordflow">for</span> (i = 0; i &lt; len; i++)
+<a name="l00344"></a>00344             {
+<a name="l00345"></a>00345               tem = argv[bottom + i];
+<a name="l00346"></a>00346               argv[bottom + i] = argv[top - (middle - bottom) + i];
+<a name="l00347"></a>00347               argv[top - (middle - bottom) + i] = tem;
+<a name="l00348"></a>00348               SWAP_FLAGS (bottom + i, top - (middle - bottom) + i);
+<a name="l00349"></a>00349             }
+<a name="l00350"></a>00350           <span class="comment">/* Exclude the moved bottom segment from further swapping.  */</span>
+<a name="l00351"></a>00351           top -= len;
+<a name="l00352"></a>00352         }
+<a name="l00353"></a>00353       <span class="keywordflow">else</span>
+<a name="l00354"></a>00354         {
+<a name="l00355"></a>00355           <span class="comment">/* Top segment is the short one.  */</span>
+<a name="l00356"></a>00356           <span class="keywordtype">int</span> len = top - middle;
+<a name="l00357"></a>00357           <span class="keyword">register</span> <span class="keywordtype">int</span> i;
+<a name="l00358"></a>00358 
+<a name="l00359"></a>00359           <span class="comment">/* Swap it with the bottom part of the bottom segment.  */</span>
+<a name="l00360"></a>00360           <span class="keywordflow">for</span> (i = 0; i &lt; len; i++)
+<a name="l00361"></a>00361             {
+<a name="l00362"></a>00362               tem = argv[bottom + i];
+<a name="l00363"></a>00363               argv[bottom + i] = argv[middle + i];
+<a name="l00364"></a>00364               argv[middle + i] = tem;
+<a name="l00365"></a>00365               SWAP_FLAGS (bottom + i, middle + i);
+<a name="l00366"></a>00366             }
+<a name="l00367"></a>00367           <span class="comment">/* Exclude the moved top segment from further swapping.  */</span>
+<a name="l00368"></a>00368           bottom += len;
+<a name="l00369"></a>00369         }
+<a name="l00370"></a>00370     }
+<a name="l00371"></a>00371 
+<a name="l00372"></a>00372   <span class="comment">/* Update records for the slots the non-options now occupy.  */</span>
+<a name="l00373"></a>00373 
+<a name="l00374"></a>00374   first_nonopt += (optind - last_nonopt);
+<a name="l00375"></a>00375   last_nonopt = optind;
+<a name="l00376"></a>00376 }
+<a name="l00377"></a>00377 
+<a name="l00378"></a>00378 <span class="comment">/* Initialize the internal data when the first call is made.  */</span>
+<a name="l00379"></a>00379 
+<a name="l00380"></a>00380 <span class="preprocessor">#if defined __STDC__ &amp;&amp; __STDC__</span>
+<a name="l00381"></a>00381 <span class="preprocessor"></span><span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">char</span> *_getopt_initialize (<span class="keywordtype">int</span>, <span class="keywordtype">char</span> *<span class="keyword">const</span> *, <span class="keyword">const</span> <span class="keywordtype">char</span> *);
+<a name="l00382"></a>00382 <span class="preprocessor">#endif</span>
+<a name="l00383"></a>00383 <span class="preprocessor"></span><span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">char</span> *
+<a name="l00384"></a>00384 _getopt_initialize (argc, argv, optstring)
+<a name="l00385"></a>00385      int argc;
+<a name="l00386"></a>00386      <span class="keywordtype">char</span> *const *argv;
+<a name="l00387"></a>00387      const <span class="keywordtype">char</span> *optstring;
+<a name="l00388"></a>00388 {
+<a name="l00389"></a>00389   <span class="comment">/* Start processing options with ARGV-element 1 (since ARGV-element 0</span>
+<a name="l00390"></a>00390 <span class="comment">     is the program name); the sequence of previously skipped</span>
+<a name="l00391"></a>00391 <span class="comment">     non-option ARGV-elements is empty.  */</span>
+<a name="l00392"></a>00392 
+<a name="l00393"></a>00393   first_nonopt = last_nonopt = optind;
+<a name="l00394"></a>00394 
+<a name="l00395"></a>00395   nextchar = NULL;
+<a name="l00396"></a>00396 
+<a name="l00397"></a>00397   posixly_correct = getenv (<span class="stringliteral">"POSIXLY_CORRECT"</span>);
+<a name="l00398"></a>00398 
+<a name="l00399"></a>00399   <span class="comment">/* Determine how to handle the ordering of options and nonoptions.  */</span>
+<a name="l00400"></a>00400 
+<a name="l00401"></a>00401   <span class="keywordflow">if</span> (optstring[0] == <span class="charliteral">'-'</span>)
+<a name="l00402"></a>00402     {
+<a name="l00403"></a>00403       ordering = RETURN_IN_ORDER;
+<a name="l00404"></a>00404       ++optstring;
+<a name="l00405"></a>00405     }
+<a name="l00406"></a>00406   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (optstring[0] == <span class="charliteral">'+'</span>)
+<a name="l00407"></a>00407     {
+<a name="l00408"></a>00408       ordering = REQUIRE_ORDER;
+<a name="l00409"></a>00409       ++optstring;
+<a name="l00410"></a>00410     }
+<a name="l00411"></a>00411   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (posixly_correct != NULL)
+<a name="l00412"></a>00412     ordering = REQUIRE_ORDER;
+<a name="l00413"></a>00413   <span class="keywordflow">else</span>
+<a name="l00414"></a>00414     ordering = PERMUTE;
+<a name="l00415"></a>00415 
+<a name="l00416"></a>00416 <span class="preprocessor">#if defined _LIBC &amp;&amp; defined USE_NONOPTION_FLAGS</span>
+<a name="l00417"></a>00417 <span class="preprocessor"></span>  <span class="keywordflow">if</span> (posixly_correct == NULL
+<a name="l00418"></a>00418       &amp;&amp; argc == __libc_argc &amp;&amp; argv == __libc_argv)
+<a name="l00419"></a>00419     {
+<a name="l00420"></a>00420       <span class="keywordflow">if</span> (nonoption_flags_max_len == 0)
+<a name="l00421"></a>00421         {
+<a name="l00422"></a>00422           <span class="keywordflow">if</span> (__getopt_nonoption_flags == NULL
+<a name="l00423"></a>00423               || __getopt_nonoption_flags[0] == <span class="charliteral">'\0'</span>)
+<a name="l00424"></a>00424             nonoption_flags_max_len = -1;
+<a name="l00425"></a>00425           <span class="keywordflow">else</span>
+<a name="l00426"></a>00426             {
+<a name="l00427"></a>00427               <span class="keyword">const</span> <span class="keywordtype">char</span> *orig_str = __getopt_nonoption_flags;
+<a name="l00428"></a>00428               <span class="keywordtype">int</span> len = nonoption_flags_max_len = strlen (orig_str);
+<a name="l00429"></a>00429               <span class="keywordflow">if</span> (nonoption_flags_max_len &lt; argc)
+<a name="l00430"></a>00430                 nonoption_flags_max_len = argc;
+<a name="l00431"></a>00431               __getopt_nonoption_flags =
+<a name="l00432"></a>00432                 (<span class="keywordtype">char</span> *) malloc (nonoption_flags_max_len);
+<a name="l00433"></a>00433               <span class="keywordflow">if</span> (__getopt_nonoption_flags == NULL)
+<a name="l00434"></a>00434                 nonoption_flags_max_len = -1;
+<a name="l00435"></a>00435               <span class="keywordflow">else</span>
+<a name="l00436"></a>00436                 memset (__mempcpy (__getopt_nonoption_flags, orig_str, len),
+<a name="l00437"></a>00437                         <span class="charliteral">'\0'</span>, nonoption_flags_max_len - len);
+<a name="l00438"></a>00438             }
+<a name="l00439"></a>00439         }
+<a name="l00440"></a>00440       nonoption_flags_len = nonoption_flags_max_len;
+<a name="l00441"></a>00441     }
+<a name="l00442"></a>00442   <span class="keywordflow">else</span>
+<a name="l00443"></a>00443     nonoption_flags_len = 0;
+<a name="l00444"></a>00444 <span class="preprocessor">#endif</span>
+<a name="l00445"></a>00445 <span class="preprocessor"></span>
+<a name="l00446"></a>00446   <span class="keywordflow">return</span> optstring;
+<a name="l00447"></a>00447 }
+<a name="l00448"></a>00448 
+<a name="l00449"></a>00449 <span class="comment">/* Scan elements of ARGV (whose length is ARGC) for option characters</span>
+<a name="l00450"></a>00450 <span class="comment">   given in OPTSTRING.</span>
+<a name="l00451"></a>00451 <span class="comment"></span>
+<a name="l00452"></a>00452 <span class="comment">   If an element of ARGV starts with '-', and is not exactly "-" or "--",</span>
+<a name="l00453"></a>00453 <span class="comment">   then it is an option element.  The characters of this element</span>
+<a name="l00454"></a>00454 <span class="comment">   (aside from the initial '-') are option characters.  If `getopt'</span>
+<a name="l00455"></a>00455 <span class="comment">   is called repeatedly, it returns successively each of the option characters</span>
+<a name="l00456"></a>00456 <span class="comment">   from each of the option elements.</span>
+<a name="l00457"></a>00457 <span class="comment"></span>
+<a name="l00458"></a>00458 <span class="comment">   If `getopt' finds another option character, it returns that character,</span>
+<a name="l00459"></a>00459 <span class="comment">   updating `optind' and `nextchar' so that the next call to `getopt' can</span>
+<a name="l00460"></a>00460 <span class="comment">   resume the scan with the following option character or ARGV-element.</span>
+<a name="l00461"></a>00461 <span class="comment"></span>
+<a name="l00462"></a>00462 <span class="comment">   If there are no more option characters, `getopt' returns -1.</span>
+<a name="l00463"></a>00463 <span class="comment">   Then `optind' is the index in ARGV of the first ARGV-element</span>
+<a name="l00464"></a>00464 <span class="comment">   that is not an option.  (The ARGV-elements have been permuted</span>
+<a name="l00465"></a>00465 <span class="comment">   so that those that are not options now come last.)</span>
+<a name="l00466"></a>00466 <span class="comment"></span>
+<a name="l00467"></a>00467 <span class="comment">   OPTSTRING is a string containing the legitimate option characters.</span>
+<a name="l00468"></a>00468 <span class="comment">   If an option character is seen that is not listed in OPTSTRING,</span>
+<a name="l00469"></a>00469 <span class="comment">   return '?' after printing an error message.  If you set `opterr' to</span>
+<a name="l00470"></a>00470 <span class="comment">   zero, the error message is suppressed but we still return '?'.</span>
+<a name="l00471"></a>00471 <span class="comment"></span>
+<a name="l00472"></a>00472 <span class="comment">   If a char in OPTSTRING is followed by a colon, that means it wants an arg,</span>
+<a name="l00473"></a>00473 <span class="comment">   so the following text in the same ARGV-element, or the text of the following</span>
+<a name="l00474"></a>00474 <span class="comment">   ARGV-element, is returned in `optarg'.  Two colons mean an option that</span>
+<a name="l00475"></a>00475 <span class="comment">   wants an optional arg; if there is text in the current ARGV-element,</span>
+<a name="l00476"></a>00476 <span class="comment">   it is returned in `optarg', otherwise `optarg' is set to zero.</span>
+<a name="l00477"></a>00477 <span class="comment"></span>
+<a name="l00478"></a>00478 <span class="comment">   If OPTSTRING starts with `-' or `+', it requests different methods of</span>
+<a name="l00479"></a>00479 <span class="comment">   handling the non-option ARGV-elements.</span>
+<a name="l00480"></a>00480 <span class="comment">   See the comments about RETURN_IN_ORDER and REQUIRE_ORDER, above.</span>
+<a name="l00481"></a>00481 <span class="comment"></span>
+<a name="l00482"></a>00482 <span class="comment">   Long-named options begin with `--' instead of `-'.</span>
+<a name="l00483"></a>00483 <span class="comment">   Their names may be abbreviated as long as the abbreviation is unique</span>
+<a name="l00484"></a>00484 <span class="comment">   or is an exact match for some defined option.  If they have an</span>
+<a name="l00485"></a>00485 <span class="comment">   argument, it follows the option name in the same ARGV-element, separated</span>
+<a name="l00486"></a>00486 <span class="comment">   from the option name by a `=', or else the in next ARGV-element.</span>
+<a name="l00487"></a>00487 <span class="comment">   When `getopt' finds a long-named option, it returns 0 if that option's</span>
+<a name="l00488"></a>00488 <span class="comment">   `flag' field is nonzero, the value of the option's `val' field</span>
+<a name="l00489"></a>00489 <span class="comment">   if the `flag' field is zero.</span>
+<a name="l00490"></a>00490 <span class="comment"></span>
+<a name="l00491"></a>00491 <span class="comment">   The elements of ARGV aren't really const, because we permute them.</span>
+<a name="l00492"></a>00492 <span class="comment">   But we pretend they're const in the prototype to be compatible</span>
+<a name="l00493"></a>00493 <span class="comment">   with other systems.</span>
+<a name="l00494"></a>00494 <span class="comment"></span>
+<a name="l00495"></a>00495 <span class="comment">   LONGOPTS is a vector of `struct option' terminated by an</span>
+<a name="l00496"></a>00496 <span class="comment">   element containing a name which is zero.</span>
+<a name="l00497"></a>00497 <span class="comment"></span>
+<a name="l00498"></a>00498 <span class="comment">   LONGIND returns the index in LONGOPT of the long-named option found.</span>
+<a name="l00499"></a>00499 <span class="comment">   It is only valid when a long-named option has been found by the most</span>
+<a name="l00500"></a>00500 <span class="comment">   recent call.</span>
+<a name="l00501"></a>00501 <span class="comment"></span>
+<a name="l00502"></a>00502 <span class="comment">   If LONG_ONLY is nonzero, '-' as well as '--' can introduce</span>
+<a name="l00503"></a>00503 <span class="comment">   long-named options.  */</span>
+<a name="l00504"></a>00504 
+<a name="l00505"></a>00505 <span class="keywordtype">int</span>
+<a name="l00506"></a>00506 _getopt_internal (argc, argv, optstring, longopts, longind, long_only)
+<a name="l00507"></a>00507      int argc;
+<a name="l00508"></a>00508      <span class="keywordtype">char</span> *const *argv;
+<a name="l00509"></a>00509      const <span class="keywordtype">char</span> *optstring;
+<a name="l00510"></a>00510      const struct <a class="code" href="structoption.html">option</a> *longopts;
+<a name="l00511"></a>00511      <span class="keywordtype">int</span> *longind;
+<a name="l00512"></a>00512      <span class="keywordtype">int</span> long_only;
+<a name="l00513"></a>00513 {
+<a name="l00514"></a>00514   <span class="keywordtype">int</span> print_errors = opterr;
+<a name="l00515"></a>00515   <span class="keywordflow">if</span> (optstring[0] == <span class="charliteral">':'</span>)
+<a name="l00516"></a>00516     print_errors = 0;
+<a name="l00517"></a>00517 
+<a name="l00518"></a>00518   <span class="keywordflow">if</span> (argc &lt; 1)
+<a name="l00519"></a>00519     <span class="keywordflow">return</span> -1;
+<a name="l00520"></a>00520 
+<a name="l00521"></a>00521   optarg = NULL;
+<a name="l00522"></a>00522 
+<a name="l00523"></a>00523   <span class="keywordflow">if</span> (optind == 0 || !__getopt_initialized)
+<a name="l00524"></a>00524     {
+<a name="l00525"></a>00525       <span class="keywordflow">if</span> (optind == 0)
+<a name="l00526"></a>00526         optind = 1;     <span class="comment">/* Don't scan ARGV[0], the program name.  */</span>
+<a name="l00527"></a>00527       optstring = _getopt_initialize (argc, argv, optstring);
+<a name="l00528"></a>00528       __getopt_initialized = 1;
+<a name="l00529"></a>00529     }
+<a name="l00530"></a>00530 
+<a name="l00531"></a>00531   <span class="comment">/* Test whether ARGV[optind] points to a non-option argument.</span>
+<a name="l00532"></a>00532 <span class="comment">     Either it does not have option syntax, or there is an environment flag</span>
+<a name="l00533"></a>00533 <span class="comment">     from the shell indicating it is not an option.  The later information</span>
+<a name="l00534"></a>00534 <span class="comment">     is only used when the used in the GNU libc.  */</span>
+<a name="l00535"></a>00535 <span class="preprocessor">#if defined _LIBC &amp;&amp; defined USE_NONOPTION_FLAGS</span>
+<a name="l00536"></a>00536 <span class="preprocessor"></span><span class="preprocessor"># define NONOPTION_P (argv[optind][0] != '-' || argv[optind][1] == '\0'       \</span>
+<a name="l00537"></a>00537 <span class="preprocessor">                      || (optind &lt; nonoption_flags_len                        \</span>
+<a name="l00538"></a>00538 <span class="preprocessor">                          &amp;&amp; __getopt_nonoption_flags[optind] == '1'))</span>
+<a name="l00539"></a>00539 <span class="preprocessor"></span><span class="preprocessor">#else</span>
+<a name="l00540"></a>00540 <span class="preprocessor"></span><span class="preprocessor"># define NONOPTION_P (argv[optind][0] != '-' || argv[optind][1] == '\0')</span>
+<a name="l00541"></a>00541 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00542"></a>00542 <span class="preprocessor"></span>
+<a name="l00543"></a>00543   <span class="keywordflow">if</span> (nextchar == NULL || *nextchar == <span class="charliteral">'\0'</span>)
+<a name="l00544"></a>00544     {
+<a name="l00545"></a>00545       <span class="comment">/* Advance to the next ARGV-element.  */</span>
+<a name="l00546"></a>00546 
+<a name="l00547"></a>00547       <span class="comment">/* Give FIRST_NONOPT &amp; LAST_NONOPT rational values if OPTIND has been</span>
+<a name="l00548"></a>00548 <span class="comment">         moved back by the user (who may also have changed the arguments).  */</span>
+<a name="l00549"></a>00549       <span class="keywordflow">if</span> (last_nonopt &gt; optind)
+<a name="l00550"></a>00550         last_nonopt = optind;
+<a name="l00551"></a>00551       <span class="keywordflow">if</span> (first_nonopt &gt; optind)
+<a name="l00552"></a>00552         first_nonopt = optind;
+<a name="l00553"></a>00553 
+<a name="l00554"></a>00554       <span class="keywordflow">if</span> (ordering == PERMUTE)
+<a name="l00555"></a>00555         {
+<a name="l00556"></a>00556           <span class="comment">/* If we have just processed some options following some non-options,</span>
+<a name="l00557"></a>00557 <span class="comment">             exchange them so that the options come first.  */</span>
+<a name="l00558"></a>00558 
+<a name="l00559"></a>00559           <span class="keywordflow">if</span> (first_nonopt != last_nonopt &amp;&amp; last_nonopt != optind)
+<a name="l00560"></a>00560             exchange ((<span class="keywordtype">char</span> **) argv);
+<a name="l00561"></a>00561           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (last_nonopt != optind)
+<a name="l00562"></a>00562             first_nonopt = optind;
+<a name="l00563"></a>00563 
+<a name="l00564"></a>00564           <span class="comment">/* Skip any additional non-options</span>
+<a name="l00565"></a>00565 <span class="comment">             and extend the range of non-options previously skipped.  */</span>
+<a name="l00566"></a>00566 
+<a name="l00567"></a>00567           <span class="keywordflow">while</span> (optind &lt; argc &amp;&amp; NONOPTION_P)
+<a name="l00568"></a>00568             optind++;
+<a name="l00569"></a>00569           last_nonopt = optind;
+<a name="l00570"></a>00570         }
+<a name="l00571"></a>00571 
+<a name="l00572"></a>00572       <span class="comment">/* The special ARGV-element `--' means premature end of options.</span>
+<a name="l00573"></a>00573 <span class="comment">         Skip it like a null option,</span>
+<a name="l00574"></a>00574 <span class="comment">         then exchange with previous non-options as if it were an option,</span>
+<a name="l00575"></a>00575 <span class="comment">         then skip everything else like a non-option.  */</span>
+<a name="l00576"></a>00576 
+<a name="l00577"></a>00577       <span class="keywordflow">if</span> (optind != argc &amp;&amp; !strcmp (argv[optind], <span class="stringliteral">"--"</span>))
+<a name="l00578"></a>00578         {
+<a name="l00579"></a>00579           optind++;
+<a name="l00580"></a>00580 
+<a name="l00581"></a>00581           <span class="keywordflow">if</span> (first_nonopt != last_nonopt &amp;&amp; last_nonopt != optind)
+<a name="l00582"></a>00582             exchange ((<span class="keywordtype">char</span> **) argv);
+<a name="l00583"></a>00583           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (first_nonopt == last_nonopt)
+<a name="l00584"></a>00584             first_nonopt = optind;
+<a name="l00585"></a>00585           last_nonopt = argc;
+<a name="l00586"></a>00586 
+<a name="l00587"></a>00587           optind = argc;
+<a name="l00588"></a>00588         }
+<a name="l00589"></a>00589 
+<a name="l00590"></a>00590       <span class="comment">/* If we have done all the ARGV-elements, stop the scan</span>
+<a name="l00591"></a>00591 <span class="comment">         and back over any non-options that we skipped and permuted.  */</span>
+<a name="l00592"></a>00592 
+<a name="l00593"></a>00593       <span class="keywordflow">if</span> (optind == argc)
+<a name="l00594"></a>00594         {
+<a name="l00595"></a>00595           <span class="comment">/* Set the next-arg-index to point at the non-options</span>
+<a name="l00596"></a>00596 <span class="comment">             that we previously skipped, so the caller will digest them.  */</span>
+<a name="l00597"></a>00597           <span class="keywordflow">if</span> (first_nonopt != last_nonopt)
+<a name="l00598"></a>00598             optind = first_nonopt;
+<a name="l00599"></a>00599           <span class="keywordflow">return</span> -1;
+<a name="l00600"></a>00600         }
+<a name="l00601"></a>00601 
+<a name="l00602"></a>00602       <span class="comment">/* If we have come to a non-option and did not permute it,</span>
+<a name="l00603"></a>00603 <span class="comment">         either stop the scan or describe it to the caller and pass it by.  */</span>
+<a name="l00604"></a>00604 
+<a name="l00605"></a>00605       <span class="keywordflow">if</span> (NONOPTION_P)
+<a name="l00606"></a>00606         {
+<a name="l00607"></a>00607           <span class="keywordflow">if</span> (ordering == REQUIRE_ORDER)
+<a name="l00608"></a>00608             <span class="keywordflow">return</span> -1;
+<a name="l00609"></a>00609           optarg = argv[optind++];
+<a name="l00610"></a>00610           <span class="keywordflow">return</span> 1;
+<a name="l00611"></a>00611         }
+<a name="l00612"></a>00612 
+<a name="l00613"></a>00613       <span class="comment">/* We have found another option-ARGV-element.</span>
+<a name="l00614"></a>00614 <span class="comment">         Skip the initial punctuation.  */</span>
+<a name="l00615"></a>00615 
+<a name="l00616"></a>00616       nextchar = (argv[optind] + 1
+<a name="l00617"></a>00617                   + (longopts != NULL &amp;&amp; argv[optind][1] == <span class="charliteral">'-'</span>));
+<a name="l00618"></a>00618     }
+<a name="l00619"></a>00619 
+<a name="l00620"></a>00620   <span class="comment">/* Decode the current option-ARGV-element.  */</span>
+<a name="l00621"></a>00621 
+<a name="l00622"></a>00622   <span class="comment">/* Check whether the ARGV-element is a long option.</span>
+<a name="l00623"></a>00623 <span class="comment"></span>
+<a name="l00624"></a>00624 <span class="comment">     If long_only and the ARGV-element has the form "-f", where f is</span>
+<a name="l00625"></a>00625 <span class="comment">     a valid short option, don't consider it an abbreviated form of</span>
+<a name="l00626"></a>00626 <span class="comment">     a long option that starts with f.  Otherwise there would be no</span>
+<a name="l00627"></a>00627 <span class="comment">     way to give the -f short option.</span>
+<a name="l00628"></a>00628 <span class="comment"></span>
+<a name="l00629"></a>00629 <span class="comment">     On the other hand, if there's a long option "fubar" and</span>
+<a name="l00630"></a>00630 <span class="comment">     the ARGV-element is "-fu", do consider that an abbreviation of</span>
+<a name="l00631"></a>00631 <span class="comment">     the long option, just like "--fu", and not "-f" with arg "u".</span>
+<a name="l00632"></a>00632 <span class="comment"></span>
+<a name="l00633"></a>00633 <span class="comment">     This distinction seems to be the most useful approach.  */</span>
+<a name="l00634"></a>00634 
+<a name="l00635"></a>00635   <span class="keywordflow">if</span> (longopts != NULL
+<a name="l00636"></a>00636       &amp;&amp; (argv[optind][1] == <span class="charliteral">'-'</span>
+<a name="l00637"></a>00637           || (long_only &amp;&amp; (argv[optind][2] || !my_index (optstring, argv[optind][1])))))
+<a name="l00638"></a>00638     {
+<a name="l00639"></a>00639       <span class="keywordtype">char</span> *nameend;
+<a name="l00640"></a>00640       <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structoption.html">option</a> *p;
+<a name="l00641"></a>00641       <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structoption.html">option</a> *pfound = NULL;
+<a name="l00642"></a>00642       <span class="keywordtype">int</span> exact = 0;
+<a name="l00643"></a>00643       <span class="keywordtype">int</span> ambig = 0;
+<a name="l00644"></a>00644       <span class="keywordtype">int</span> indfound = -1;
+<a name="l00645"></a>00645       <span class="keywordtype">int</span> option_index;
+<a name="l00646"></a>00646 
+<a name="l00647"></a>00647       <span class="keywordflow">for</span> (nameend = nextchar; *nameend &amp;&amp; *nameend != <span class="charliteral">'='</span>; nameend++)
+<a name="l00648"></a>00648         <span class="comment">/* Do nothing.  */</span> ;
+<a name="l00649"></a>00649 
+<a name="l00650"></a>00650       <span class="comment">/* Test all long options for either exact match</span>
+<a name="l00651"></a>00651 <span class="comment">         or abbreviated matches.  */</span>
+<a name="l00652"></a>00652       <span class="keywordflow">for</span> (p = longopts, option_index = 0; p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>; p++, option_index++)
+<a name="l00653"></a>00653         <span class="keywordflow">if</span> (!strncmp (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>, nextchar, nameend - nextchar))
+<a name="l00654"></a>00654           {
+<a name="l00655"></a>00655             <span class="keywordflow">if</span> ((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) (nameend - nextchar)
+<a name="l00656"></a>00656                 == (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) strlen (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>))
+<a name="l00657"></a>00657               {
+<a name="l00658"></a>00658                 <span class="comment">/* Exact match found.  */</span>
+<a name="l00659"></a>00659                 pfound = p;
+<a name="l00660"></a>00660                 indfound = option_index;
+<a name="l00661"></a>00661                 exact = 1;
+<a name="l00662"></a>00662                 <span class="keywordflow">break</span>;
+<a name="l00663"></a>00663               }
+<a name="l00664"></a>00664             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound == NULL)
+<a name="l00665"></a>00665               {
+<a name="l00666"></a>00666                 <span class="comment">/* First nonexact match found.  */</span>
+<a name="l00667"></a>00667                 pfound = p;
+<a name="l00668"></a>00668                 indfound = option_index;
+<a name="l00669"></a>00669               }
+<a name="l00670"></a>00670             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (long_only
+<a name="l00671"></a>00671                      || pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a> != p-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>
+<a name="l00672"></a>00672                      || pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a> != p-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>
+<a name="l00673"></a>00673                      || pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a> != p-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>)
+<a name="l00674"></a>00674               <span class="comment">/* Second or later nonexact match found.  */</span>
+<a name="l00675"></a>00675               ambig = 1;
+<a name="l00676"></a>00676           }
+<a name="l00677"></a>00677 
+<a name="l00678"></a>00678       <span class="keywordflow">if</span> (ambig &amp;&amp; !exact)
+<a name="l00679"></a>00679         {
+<a name="l00680"></a>00680           <span class="keywordflow">if</span> (print_errors)
+<a name="l00681"></a>00681             fprintf (stderr, _(<span class="stringliteral">"%s: option `%s' is ambiguous\n"</span>),
+<a name="l00682"></a>00682                      argv[0], argv[optind]);
+<a name="l00683"></a>00683           nextchar += strlen (nextchar);
+<a name="l00684"></a>00684           optind++;
+<a name="l00685"></a>00685           optopt = 0;
+<a name="l00686"></a>00686           <span class="keywordflow">return</span> <span class="charliteral">'?'</span>;
+<a name="l00687"></a>00687         }
+<a name="l00688"></a>00688 
+<a name="l00689"></a>00689       <span class="keywordflow">if</span> (pfound != NULL)
+<a name="l00690"></a>00690         {
+<a name="l00691"></a>00691           option_index = indfound;
+<a name="l00692"></a>00692           optind++;
+<a name="l00693"></a>00693           <span class="keywordflow">if</span> (*nameend)
+<a name="l00694"></a>00694             {
+<a name="l00695"></a>00695               <span class="comment">/* Don't test has_arg with &gt;, because some C compilers don't</span>
+<a name="l00696"></a>00696 <span class="comment">                 allow it to be used on enums.  */</span>
+<a name="l00697"></a>00697               <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>)
+<a name="l00698"></a>00698                 optarg = nameend + 1;
+<a name="l00699"></a>00699               <span class="keywordflow">else</span>
+<a name="l00700"></a>00700                 {
+<a name="l00701"></a>00701                   <span class="keywordflow">if</span> (print_errors)
+<a name="l00702"></a>00702                     {
+<a name="l00703"></a>00703                       <span class="keywordflow">if</span> (argv[optind - 1][1] == <span class="charliteral">'-'</span>)
+<a name="l00704"></a>00704                         <span class="comment">/* --option */</span>
+<a name="l00705"></a>00705                         fprintf (stderr,
+<a name="l00706"></a>00706                                  _(<span class="stringliteral">"%s: option `--%s' doesn't allow an argument\n"</span>),
+<a name="l00707"></a>00707                                  argv[0], pfound-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
+<a name="l00708"></a>00708                       <span class="keywordflow">else</span>
+<a name="l00709"></a>00709                         <span class="comment">/* +option or -option */</span>
+<a name="l00710"></a>00710                         fprintf (stderr,
+<a name="l00711"></a>00711                                  _(<span class="stringliteral">"%s: option `%c%s' doesn't allow an argument\n"</span>),
+<a name="l00712"></a>00712                                  argv[0], argv[optind - 1][0], pfound-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
+<a name="l00713"></a>00713                     }
+<a name="l00714"></a>00714 
+<a name="l00715"></a>00715                   nextchar += strlen (nextchar);
+<a name="l00716"></a>00716 
+<a name="l00717"></a>00717                   optopt = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
+<a name="l00718"></a>00718                   <span class="keywordflow">return</span> <span class="charliteral">'?'</span>;
+<a name="l00719"></a>00719                 }
+<a name="l00720"></a>00720             }
+<a name="l00721"></a>00721           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a> == 1)
+<a name="l00722"></a>00722             {
+<a name="l00723"></a>00723               <span class="keywordflow">if</span> (optind &lt; argc)
+<a name="l00724"></a>00724                 optarg = argv[optind++];
+<a name="l00725"></a>00725               <span class="keywordflow">else</span>
+<a name="l00726"></a>00726                 {
+<a name="l00727"></a>00727                   <span class="keywordflow">if</span> (print_errors)
+<a name="l00728"></a>00728                     fprintf (stderr,
+<a name="l00729"></a>00729                            _(<span class="stringliteral">"%s: option `%s' requires an argument\n"</span>),
+<a name="l00730"></a>00730                            argv[0], argv[optind - 1]);
+<a name="l00731"></a>00731                   nextchar += strlen (nextchar);
+<a name="l00732"></a>00732                   optopt = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
+<a name="l00733"></a>00733                   <span class="keywordflow">return</span> optstring[0] == <span class="charliteral">':'</span> ? <span class="charliteral">':'</span> : <span class="charliteral">'?'</span>;
+<a name="l00734"></a>00734                 }
+<a name="l00735"></a>00735             }
+<a name="l00736"></a>00736           nextchar += strlen (nextchar);
+<a name="l00737"></a>00737           <span class="keywordflow">if</span> (longind != NULL)
+<a name="l00738"></a>00738             *longind = option_index;
+<a name="l00739"></a>00739           <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>)
+<a name="l00740"></a>00740             {
+<a name="l00741"></a>00741               *(pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>) = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
+<a name="l00742"></a>00742               <span class="keywordflow">return</span> 0;
+<a name="l00743"></a>00743             }
+<a name="l00744"></a>00744           <span class="keywordflow">return</span> pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
+<a name="l00745"></a>00745         }
+<a name="l00746"></a>00746 
+<a name="l00747"></a>00747       <span class="comment">/* Can't find it as a long option.  If this is not getopt_long_only,</span>
+<a name="l00748"></a>00748 <span class="comment">         or the option starts with '--' or is not a valid short</span>
+<a name="l00749"></a>00749 <span class="comment">         option, then it's an error.</span>
+<a name="l00750"></a>00750 <span class="comment">         Otherwise interpret it as a short option.  */</span>
+<a name="l00751"></a>00751       <span class="keywordflow">if</span> (!long_only || argv[optind][1] == <span class="charliteral">'-'</span>
+<a name="l00752"></a>00752           || my_index (optstring, *nextchar) == NULL)
+<a name="l00753"></a>00753         {
+<a name="l00754"></a>00754           <span class="keywordflow">if</span> (print_errors)
+<a name="l00755"></a>00755             {
+<a name="l00756"></a>00756               <span class="keywordflow">if</span> (argv[optind][1] == <span class="charliteral">'-'</span>)
+<a name="l00757"></a>00757                 <span class="comment">/* --option */</span>
+<a name="l00758"></a>00758                 fprintf (stderr, _(<span class="stringliteral">"%s: unrecognized option `--%s'\n"</span>),
+<a name="l00759"></a>00759                          argv[0], nextchar);
+<a name="l00760"></a>00760               <span class="keywordflow">else</span>
+<a name="l00761"></a>00761                 <span class="comment">/* +option or -option */</span>
+<a name="l00762"></a>00762                 fprintf (stderr, _(<span class="stringliteral">"%s: unrecognized option `%c%s'\n"</span>),
+<a name="l00763"></a>00763                          argv[0], argv[optind][0], nextchar);
+<a name="l00764"></a>00764             }
+<a name="l00765"></a>00765           nextchar = (<span class="keywordtype">char</span> *) <span class="stringliteral">""</span>;
+<a name="l00766"></a>00766           optind++;
+<a name="l00767"></a>00767           optopt = 0;
+<a name="l00768"></a>00768           <span class="keywordflow">return</span> <span class="charliteral">'?'</span>;
+<a name="l00769"></a>00769         }
+<a name="l00770"></a>00770     }
+<a name="l00771"></a>00771 
+<a name="l00772"></a>00772   <span class="comment">/* Look at and handle the next short option-character.  */</span>
+<a name="l00773"></a>00773 
+<a name="l00774"></a>00774   {
+<a name="l00775"></a>00775     <span class="keywordtype">char</span> c = *nextchar++;
+<a name="l00776"></a>00776     <span class="keywordtype">char</span> *temp = my_index (optstring, c);
+<a name="l00777"></a>00777 
+<a name="l00778"></a>00778     <span class="comment">/* Increment `optind' when we start to process its last character.  */</span>
+<a name="l00779"></a>00779     <span class="keywordflow">if</span> (*nextchar == <span class="charliteral">'\0'</span>)
+<a name="l00780"></a>00780       ++optind;
+<a name="l00781"></a>00781 
+<a name="l00782"></a>00782     <span class="keywordflow">if</span> (temp == NULL || c == <span class="charliteral">':'</span>)
+<a name="l00783"></a>00783       {
+<a name="l00784"></a>00784         <span class="keywordflow">if</span> (print_errors)
+<a name="l00785"></a>00785           {
+<a name="l00786"></a>00786             <span class="keywordflow">if</span> (posixly_correct)
+<a name="l00787"></a>00787               <span class="comment">/* 1003.2 specifies the format of this message.  */</span>
+<a name="l00788"></a>00788               fprintf (stderr, _(<span class="stringliteral">"%s: illegal option -- %c\n"</span>),
+<a name="l00789"></a>00789                        argv[0], c);
+<a name="l00790"></a>00790             <span class="keywordflow">else</span>
+<a name="l00791"></a>00791               fprintf (stderr, _(<span class="stringliteral">"%s: invalid option -- %c\n"</span>),
+<a name="l00792"></a>00792                        argv[0], c);
+<a name="l00793"></a>00793           }
+<a name="l00794"></a>00794         optopt = c;
+<a name="l00795"></a>00795         <span class="keywordflow">return</span> <span class="charliteral">'?'</span>;
+<a name="l00796"></a>00796       }
+<a name="l00797"></a>00797     <span class="comment">/* Convenience. Treat POSIX -W foo same as long option --foo */</span>
+<a name="l00798"></a>00798     <span class="keywordflow">if</span> (temp[0] == <span class="charliteral">'W'</span> &amp;&amp; temp[1] == <span class="charliteral">';'</span>)
+<a name="l00799"></a>00799       {
+<a name="l00800"></a>00800         <span class="keywordtype">char</span> *nameend;
+<a name="l00801"></a>00801         <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structoption.html">option</a> *p;
+<a name="l00802"></a>00802         <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structoption.html">option</a> *pfound = NULL;
+<a name="l00803"></a>00803         <span class="keywordtype">int</span> exact = 0;
+<a name="l00804"></a>00804         <span class="keywordtype">int</span> ambig = 0;
+<a name="l00805"></a>00805         <span class="keywordtype">int</span> indfound = 0;
+<a name="l00806"></a>00806         <span class="keywordtype">int</span> option_index;
+<a name="l00807"></a>00807 
+<a name="l00808"></a>00808         <span class="comment">/* This is an option that requires an argument.  */</span>
+<a name="l00809"></a>00809         <span class="keywordflow">if</span> (*nextchar != <span class="charliteral">'\0'</span>)
+<a name="l00810"></a>00810           {
+<a name="l00811"></a>00811             optarg = nextchar;
+<a name="l00812"></a>00812             <span class="comment">/* If we end this ARGV-element by taking the rest as an arg,</span>
+<a name="l00813"></a>00813 <span class="comment">               we must advance to the next element now.  */</span>
+<a name="l00814"></a>00814             optind++;
+<a name="l00815"></a>00815           }
+<a name="l00816"></a>00816         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (optind == argc)
+<a name="l00817"></a>00817           {
+<a name="l00818"></a>00818             <span class="keywordflow">if</span> (print_errors)
+<a name="l00819"></a>00819               {
+<a name="l00820"></a>00820                 <span class="comment">/* 1003.2 specifies the format of this message.  */</span>
+<a name="l00821"></a>00821                 fprintf (stderr, _(<span class="stringliteral">"%s: option requires an argument -- %c\n"</span>),
+<a name="l00822"></a>00822                          argv[0], c);
+<a name="l00823"></a>00823               }
+<a name="l00824"></a>00824             optopt = c;
+<a name="l00825"></a>00825             <span class="keywordflow">if</span> (optstring[0] == <span class="charliteral">':'</span>)
+<a name="l00826"></a>00826               c = <span class="charliteral">':'</span>;
+<a name="l00827"></a>00827             <span class="keywordflow">else</span>
+<a name="l00828"></a>00828               c = <span class="charliteral">'?'</span>;
+<a name="l00829"></a>00829             <span class="keywordflow">return</span> c;
+<a name="l00830"></a>00830           }
+<a name="l00831"></a>00831         <span class="keywordflow">else</span>
+<a name="l00832"></a>00832           <span class="comment">/* We already incremented `optind' once;</span>
+<a name="l00833"></a>00833 <span class="comment">             increment it again when taking next ARGV-elt as argument.  */</span>
+<a name="l00834"></a>00834           optarg = argv[optind++];
+<a name="l00835"></a>00835 
+<a name="l00836"></a>00836         <span class="comment">/* optarg is now the argument, see if it's in the</span>
+<a name="l00837"></a>00837 <span class="comment">           table of longopts.  */</span>
+<a name="l00838"></a>00838 
+<a name="l00839"></a>00839         <span class="keywordflow">for</span> (nextchar = nameend = optarg; *nameend &amp;&amp; *nameend != <span class="charliteral">'='</span>; nameend++)
+<a name="l00840"></a>00840           <span class="comment">/* Do nothing.  */</span> ;
+<a name="l00841"></a>00841 
+<a name="l00842"></a>00842         <span class="comment">/* Test all long options for either exact match</span>
+<a name="l00843"></a>00843 <span class="comment">           or abbreviated matches.  */</span>
+<a name="l00844"></a>00844         <span class="keywordflow">for</span> (p = longopts, option_index = 0; p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>; p++, option_index++)
+<a name="l00845"></a>00845           <span class="keywordflow">if</span> (!strncmp (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>, nextchar, nameend - nextchar))
+<a name="l00846"></a>00846             {
+<a name="l00847"></a>00847               <span class="keywordflow">if</span> ((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) (nameend - nextchar) == strlen (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>))
+<a name="l00848"></a>00848                 {
+<a name="l00849"></a>00849                   <span class="comment">/* Exact match found.  */</span>
+<a name="l00850"></a>00850                   pfound = p;
+<a name="l00851"></a>00851                   indfound = option_index;
+<a name="l00852"></a>00852                   exact = 1;
+<a name="l00853"></a>00853                   <span class="keywordflow">break</span>;
+<a name="l00854"></a>00854                 }
+<a name="l00855"></a>00855               <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound == NULL)
+<a name="l00856"></a>00856                 {
+<a name="l00857"></a>00857                   <span class="comment">/* First nonexact match found.  */</span>
+<a name="l00858"></a>00858                   pfound = p;
+<a name="l00859"></a>00859                   indfound = option_index;
+<a name="l00860"></a>00860                 }
+<a name="l00861"></a>00861               <span class="keywordflow">else</span>
+<a name="l00862"></a>00862                 <span class="comment">/* Second or later nonexact match found.  */</span>
+<a name="l00863"></a>00863                 ambig = 1;
+<a name="l00864"></a>00864             }
+<a name="l00865"></a>00865         <span class="keywordflow">if</span> (ambig &amp;&amp; !exact)
+<a name="l00866"></a>00866           {
+<a name="l00867"></a>00867             <span class="keywordflow">if</span> (print_errors)
+<a name="l00868"></a>00868               fprintf (stderr, _(<span class="stringliteral">"%s: option `-W %s' is ambiguous\n"</span>),
+<a name="l00869"></a>00869                        argv[0], argv[optind]);
+<a name="l00870"></a>00870             nextchar += strlen (nextchar);
+<a name="l00871"></a>00871             optind++;
+<a name="l00872"></a>00872             <span class="keywordflow">return</span> <span class="charliteral">'?'</span>;
+<a name="l00873"></a>00873           }
+<a name="l00874"></a>00874         <span class="keywordflow">if</span> (pfound != NULL)
+<a name="l00875"></a>00875           {
+<a name="l00876"></a>00876             option_index = indfound;
+<a name="l00877"></a>00877             <span class="keywordflow">if</span> (*nameend)
+<a name="l00878"></a>00878               {
+<a name="l00879"></a>00879                 <span class="comment">/* Don't test has_arg with &gt;, because some C compilers don't</span>
+<a name="l00880"></a>00880 <span class="comment">                   allow it to be used on enums.  */</span>
+<a name="l00881"></a>00881                 <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>)
+<a name="l00882"></a>00882                   optarg = nameend + 1;
+<a name="l00883"></a>00883                 <span class="keywordflow">else</span>
+<a name="l00884"></a>00884                   {
+<a name="l00885"></a>00885                     <span class="keywordflow">if</span> (print_errors)
+<a name="l00886"></a>00886                       fprintf (stderr, _(<span class="stringliteral">"\</span>
+<a name="l00887"></a>00887 <span class="stringliteral">%s: option `-W %s' doesn't allow an argument\n"</span>),
+<a name="l00888"></a>00888                                argv[0], pfound-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
+<a name="l00889"></a>00889 
+<a name="l00890"></a>00890                     nextchar += strlen (nextchar);
+<a name="l00891"></a>00891                     <span class="keywordflow">return</span> <span class="charliteral">'?'</span>;
+<a name="l00892"></a>00892                   }
+<a name="l00893"></a>00893               }
+<a name="l00894"></a>00894             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a> == 1)
+<a name="l00895"></a>00895               {
+<a name="l00896"></a>00896                 <span class="keywordflow">if</span> (optind &lt; argc)
+<a name="l00897"></a>00897                   optarg = argv[optind++];
+<a name="l00898"></a>00898                 <span class="keywordflow">else</span>
+<a name="l00899"></a>00899                   {
+<a name="l00900"></a>00900                     <span class="keywordflow">if</span> (print_errors)
+<a name="l00901"></a>00901                       fprintf (stderr,
+<a name="l00902"></a>00902                                _(<span class="stringliteral">"%s: option `%s' requires an argument\n"</span>),
+<a name="l00903"></a>00903                                argv[0], argv[optind - 1]);
+<a name="l00904"></a>00904                     nextchar += strlen (nextchar);
+<a name="l00905"></a>00905                     <span class="keywordflow">return</span> optstring[0] == <span class="charliteral">':'</span> ? <span class="charliteral">':'</span> : <span class="charliteral">'?'</span>;
+<a name="l00906"></a>00906                   }
+<a name="l00907"></a>00907               }
+<a name="l00908"></a>00908             nextchar += strlen (nextchar);
+<a name="l00909"></a>00909             <span class="keywordflow">if</span> (longind != NULL)
+<a name="l00910"></a>00910               *longind = option_index;
+<a name="l00911"></a>00911             <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>)
+<a name="l00912"></a>00912               {
+<a name="l00913"></a>00913                 *(pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>) = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
+<a name="l00914"></a>00914                 <span class="keywordflow">return</span> 0;
+<a name="l00915"></a>00915               }
+<a name="l00916"></a>00916             <span class="keywordflow">return</span> pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
+<a name="l00917"></a>00917           }
+<a name="l00918"></a>00918           nextchar = NULL;
+<a name="l00919"></a>00919           <span class="keywordflow">return</span> <span class="charliteral">'W'</span>;   <span class="comment">/* Let the application handle it.   */</span>
+<a name="l00920"></a>00920       }
+<a name="l00921"></a>00921     <span class="keywordflow">if</span> (temp[1] == <span class="charliteral">':'</span>)
+<a name="l00922"></a>00922       {
+<a name="l00923"></a>00923         <span class="keywordflow">if</span> (temp[2] == <span class="charliteral">':'</span>)
+<a name="l00924"></a>00924           {
+<a name="l00925"></a>00925             <span class="comment">/* This is an option that accepts an argument optionally.  */</span>
+<a name="l00926"></a>00926             <span class="keywordflow">if</span> (*nextchar != <span class="charliteral">'\0'</span>)
+<a name="l00927"></a>00927               {
+<a name="l00928"></a>00928                 optarg = nextchar;
+<a name="l00929"></a>00929                 optind++;
+<a name="l00930"></a>00930               }
+<a name="l00931"></a>00931             <span class="keywordflow">else</span>
+<a name="l00932"></a>00932               optarg = NULL;
+<a name="l00933"></a>00933             nextchar = NULL;
+<a name="l00934"></a>00934           }
+<a name="l00935"></a>00935         <span class="keywordflow">else</span>
+<a name="l00936"></a>00936           {
+<a name="l00937"></a>00937             <span class="comment">/* This is an option that requires an argument.  */</span>
+<a name="l00938"></a>00938             <span class="keywordflow">if</span> (*nextchar != <span class="charliteral">'\0'</span>)
+<a name="l00939"></a>00939               {
+<a name="l00940"></a>00940                 optarg = nextchar;
+<a name="l00941"></a>00941                 <span class="comment">/* If we end this ARGV-element by taking the rest as an arg,</span>
+<a name="l00942"></a>00942 <span class="comment">                   we must advance to the next element now.  */</span>
+<a name="l00943"></a>00943                 optind++;
+<a name="l00944"></a>00944               }
+<a name="l00945"></a>00945             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (optind == argc)
+<a name="l00946"></a>00946               {
+<a name="l00947"></a>00947                 <span class="keywordflow">if</span> (print_errors)
+<a name="l00948"></a>00948                   {
+<a name="l00949"></a>00949                     <span class="comment">/* 1003.2 specifies the format of this message.  */</span>
+<a name="l00950"></a>00950                     fprintf (stderr,
+<a name="l00951"></a>00951                              _(<span class="stringliteral">"%s: option requires an argument -- %c\n"</span>),
+<a name="l00952"></a>00952                              argv[0], c);
+<a name="l00953"></a>00953                   }
+<a name="l00954"></a>00954                 optopt = c;
+<a name="l00955"></a>00955                 <span class="keywordflow">if</span> (optstring[0] == <span class="charliteral">':'</span>)
+<a name="l00956"></a>00956                   c = <span class="charliteral">':'</span>;
+<a name="l00957"></a>00957                 <span class="keywordflow">else</span>
+<a name="l00958"></a>00958                   c = <span class="charliteral">'?'</span>;
+<a name="l00959"></a>00959               }
+<a name="l00960"></a>00960             <span class="keywordflow">else</span>
+<a name="l00961"></a>00961               <span class="comment">/* We already incremented `optind' once;</span>
+<a name="l00962"></a>00962 <span class="comment">                 increment it again when taking next ARGV-elt as argument.  */</span>
+<a name="l00963"></a>00963               optarg = argv[optind++];
+<a name="l00964"></a>00964             nextchar = NULL;
+<a name="l00965"></a>00965           }
+<a name="l00966"></a>00966       }
+<a name="l00967"></a>00967     <span class="keywordflow">return</span> c;
+<a name="l00968"></a>00968   }
+<a name="l00969"></a>00969 }
+<a name="l00970"></a>00970 
+<a name="l00971"></a>00971 <span class="keywordtype">int</span>
+<a name="l00972"></a>00972 getopt (argc, argv, optstring)
+<a name="l00973"></a>00973      int argc;
+<a name="l00974"></a>00974      <span class="keywordtype">char</span> *const *argv;
+<a name="l00975"></a>00975      const <span class="keywordtype">char</span> *optstring;
+<a name="l00976"></a>00976 {
+<a name="l00977"></a>00977   <span class="keywordflow">return</span> _getopt_internal (argc, argv, optstring,
+<a name="l00978"></a>00978                            (<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structoption.html">option</a> *) 0,
+<a name="l00979"></a>00979                            (<span class="keywordtype">int</span> *) 0,
+<a name="l00980"></a>00980                            0);
+<a name="l00981"></a>00981 }
+<a name="l00982"></a>00982 
+<a name="l00983"></a>00983 <span class="preprocessor">#endif  </span><span class="comment">/* Not ELIDE_CODE.  */</span>
+<a name="l00984"></a>00984 
+<a name="l00985"></a>00985 <span class="preprocessor">#ifdef TEST</span>
+<a name="l00986"></a>00986 <span class="preprocessor"></span>
+<a name="l00987"></a>00987 <span class="comment">/* Compile with -DTEST to make an executable for use in testing</span>
+<a name="l00988"></a>00988 <span class="comment">   the above definition of `getopt'.  */</span>
+<a name="l00989"></a>00989 
+<a name="l00990"></a>00990 <span class="keywordtype">int</span>
+<a name="l00991"></a>00991 <a class="code" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (argc, argv)
+<a name="l00992"></a>00992      int argc;
+<a name="l00993"></a>00993      <span class="keywordtype">char</span> **argv;
+<a name="l00994"></a>00994 {
+<a name="l00995"></a>00995   <span class="keywordtype">int</span> c;
+<a name="l00996"></a>00996   <span class="keywordtype">int</span> digit_optind = 0;
+<a name="l00997"></a>00997 
+<a name="l00998"></a>00998   <span class="keywordflow">while</span> (1)
+<a name="l00999"></a>00999     {
+<a name="l01000"></a>01000       <span class="keywordtype">int</span> this_option_optind = optind ? optind : 1;
+<a name="l01001"></a>01001 
+<a name="l01002"></a>01002       c = getopt (argc, argv, <span class="stringliteral">"abc:d:0123456789"</span>);
+<a name="l01003"></a>01003       <span class="keywordflow">if</span> (c == -1)
+<a name="l01004"></a>01004         <span class="keywordflow">break</span>;
+<a name="l01005"></a>01005 
+<a name="l01006"></a>01006       <span class="keywordflow">switch</span> (c)
+<a name="l01007"></a>01007         {
+<a name="l01008"></a>01008         <span class="keywordflow">case</span> <span class="charliteral">'0'</span>:
+<a name="l01009"></a>01009         <span class="keywordflow">case</span> <span class="charliteral">'1'</span>:
+<a name="l01010"></a>01010         <span class="keywordflow">case</span> <span class="charliteral">'2'</span>:
+<a name="l01011"></a>01011         <span class="keywordflow">case</span> <span class="charliteral">'3'</span>:
+<a name="l01012"></a>01012         <span class="keywordflow">case</span> <span class="charliteral">'4'</span>:
+<a name="l01013"></a>01013         <span class="keywordflow">case</span> <span class="charliteral">'5'</span>:
+<a name="l01014"></a>01014         <span class="keywordflow">case</span> <span class="charliteral">'6'</span>:
+<a name="l01015"></a>01015         <span class="keywordflow">case</span> <span class="charliteral">'7'</span>:
+<a name="l01016"></a>01016         <span class="keywordflow">case</span> <span class="charliteral">'8'</span>:
+<a name="l01017"></a>01017         <span class="keywordflow">case</span> <span class="charliteral">'9'</span>:
+<a name="l01018"></a>01018           <span class="keywordflow">if</span> (digit_optind != 0 &amp;&amp; digit_optind != this_option_optind)
+<a name="l01019"></a>01019             printf (<span class="stringliteral">"digits occur in two different argv-elements.\n"</span>);
+<a name="l01020"></a>01020           digit_optind = this_option_optind;
+<a name="l01021"></a>01021           printf (<span class="stringliteral">"option %c\n"</span>, c);
+<a name="l01022"></a>01022           <span class="keywordflow">break</span>;
+<a name="l01023"></a>01023 
+<a name="l01024"></a>01024         <span class="keywordflow">case</span> <span class="charliteral">'a'</span>:
+<a name="l01025"></a>01025           printf (<span class="stringliteral">"option a\n"</span>);
+<a name="l01026"></a>01026           <span class="keywordflow">break</span>;
+<a name="l01027"></a>01027 
+<a name="l01028"></a>01028         <span class="keywordflow">case</span> <span class="charliteral">'b'</span>:
+<a name="l01029"></a>01029           printf (<span class="stringliteral">"option b\n"</span>);
+<a name="l01030"></a>01030           <span class="keywordflow">break</span>;
+<a name="l01031"></a>01031 
+<a name="l01032"></a>01032         <span class="keywordflow">case</span> <span class="charliteral">'c'</span>:
+<a name="l01033"></a>01033           printf (<span class="stringliteral">"option c with value `%s'\n"</span>, optarg);
+<a name="l01034"></a>01034           <span class="keywordflow">break</span>;
+<a name="l01035"></a>01035 
+<a name="l01036"></a>01036         <span class="keywordflow">case</span> <span class="charliteral">'?'</span>:
+<a name="l01037"></a>01037           <span class="keywordflow">break</span>;
+<a name="l01038"></a>01038 
+<a name="l01039"></a>01039         <span class="keywordflow">default</span>:
+<a name="l01040"></a>01040           printf (<span class="stringliteral">"?? getopt returned character code 0%o ??\n"</span>, c);
+<a name="l01041"></a>01041         }
+<a name="l01042"></a>01042     }
+<a name="l01043"></a>01043 
+<a name="l01044"></a>01044   <span class="keywordflow">if</span> (optind &lt; argc)
+<a name="l01045"></a>01045     {
+<a name="l01046"></a>01046       printf (<span class="stringliteral">"non-option ARGV-elements: "</span>);
+<a name="l01047"></a>01047       <span class="keywordflow">while</span> (optind &lt; argc)
+<a name="l01048"></a>01048         printf (<span class="stringliteral">"%s "</span>, argv[optind++]);
+<a name="l01049"></a>01049       printf (<span class="stringliteral">"\n"</span>);
+<a name="l01050"></a>01050     }
+<a name="l01051"></a>01051 
+<a name="l01052"></a>01052   exit (0);
+<a name="l01053"></a>01053 }
+<a name="l01054"></a>01054 
+<a name="l01055"></a>01055 <span class="preprocessor">#endif </span><span class="comment">/* TEST */</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2gnugetopt_8h-source.html'
--- doc/html/fx-0_89_80_2lib_2gnugetopt_8h-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2gnugetopt_8h-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,200 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: gnugetopt.h Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>gnugetopt.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* Declarations for getopt.</span>
+<a name="l00002"></a>00002 <span class="comment">   Copyright (C) 1989-1994, 1996-1999, 2001 Free Software Foundation, Inc.</span>
+<a name="l00003"></a>00003 <span class="comment">   This file is part of the GNU C Library.</span>
+<a name="l00004"></a>00004 <span class="comment"></span>
+<a name="l00005"></a>00005 <span class="comment">   The GNU C Library is free software; you can redistribute it and/or</span>
+<a name="l00006"></a>00006 <span class="comment">   modify it under the terms of the GNU Lesser General Public</span>
+<a name="l00007"></a>00007 <span class="comment">   License as published by the Free Software Foundation; either</span>
+<a name="l00008"></a>00008 <span class="comment">   version 2.1 of the License, or (at your option) any later version.</span>
+<a name="l00009"></a>00009 <span class="comment"></span>
+<a name="l00010"></a>00010 <span class="comment">   The GNU C Library is distributed in the hope that it will be useful,</span>
+<a name="l00011"></a>00011 <span class="comment">   but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
+<a name="l00012"></a>00012 <span class="comment">   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
+<a name="l00013"></a>00013 <span class="comment">   Lesser General Public License for more details.</span>
+<a name="l00014"></a>00014 <span class="comment"></span>
+<a name="l00015"></a>00015 <span class="comment">   You should have received a copy of the GNU Lesser General Public</span>
+<a name="l00016"></a>00016 <span class="comment">   License along with the GNU C Library; if not, write to the Free</span>
+<a name="l00017"></a>00017 <span class="comment">   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA</span>
+<a name="l00018"></a>00018 <span class="comment">   02111-1307 USA.  */</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifndef _GETOPT_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span>
+<a name="l00022"></a>00022 <span class="preprocessor">#ifndef __need_getopt</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor"># define _GETOPT_H 1</span>
+<a name="l00024"></a>00024 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00025"></a>00025 <span class="preprocessor"></span>
+<a name="l00026"></a>00026 <span class="comment">/* If __GNU_LIBRARY__ is not already defined, either we are being used</span>
+<a name="l00027"></a>00027 <span class="comment">   standalone, or this is the first header included in the source file.</span>
+<a name="l00028"></a>00028 <span class="comment">   If we are being used with glibc, we need to include &lt;features.h&gt;, but</span>
+<a name="l00029"></a>00029 <span class="comment">   that does not exist if we are standalone.  So: if __GNU_LIBRARY__ is</span>
+<a name="l00030"></a>00030 <span class="comment">   not defined, include &lt;ctype.h&gt;, which will pull in &lt;features.h&gt; for us</span>
+<a name="l00031"></a>00031 <span class="comment">   if it's from glibc.  (Why ctype.h?  It's guaranteed to exist and it</span>
+<a name="l00032"></a>00032 <span class="comment">   doesn't flood the namespace with stuff the way some other headers do.)  */</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#if !defined __GNU_LIBRARY__</span>
+<a name="l00034"></a>00034 <span class="preprocessor"></span><span class="preprocessor"># include &lt;ctype.h&gt;</span>
+<a name="l00035"></a>00035 <span class="preprocessor">#endif</span>
+<a name="l00036"></a>00036 <span class="preprocessor"></span>
+<a name="l00037"></a>00037 <span class="preprocessor">#ifdef  __cplusplus</span>
+<a name="l00038"></a>00038 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
+<a name="l00039"></a>00039 <span class="preprocessor">#endif</span>
+<a name="l00040"></a>00040 <span class="preprocessor"></span>
+<a name="l00041"></a>00041 <span class="comment">/* For communication from `getopt' to the caller.</span>
+<a name="l00042"></a>00042 <span class="comment">   When `getopt' finds an option that takes an argument,</span>
+<a name="l00043"></a>00043 <span class="comment">   the argument value is returned here.</span>
+<a name="l00044"></a>00044 <span class="comment">   Also, when `ordering' is RETURN_IN_ORDER,</span>
+<a name="l00045"></a>00045 <span class="comment">   each non-option ARGV-element is returned here.  */</span>
+<a name="l00046"></a>00046 
+<a name="l00047"></a>00047 <span class="keyword">extern</span> <span class="keywordtype">char</span> *optarg;
+<a name="l00048"></a>00048 
+<a name="l00049"></a>00049 <span class="comment">/* Index in ARGV of the next element to be scanned.</span>
+<a name="l00050"></a>00050 <span class="comment">   This is used for communication to and from the caller</span>
+<a name="l00051"></a>00051 <span class="comment">   and for communication between successive calls to `getopt'.</span>
+<a name="l00052"></a>00052 <span class="comment"></span>
+<a name="l00053"></a>00053 <span class="comment">   On entry to `getopt', zero means this is the first call; initialize.</span>
+<a name="l00054"></a>00054 <span class="comment"></span>
+<a name="l00055"></a>00055 <span class="comment">   When `getopt' returns -1, this is the index of the first of the</span>
+<a name="l00056"></a>00056 <span class="comment">   non-option elements that the caller should itself scan.</span>
+<a name="l00057"></a>00057 <span class="comment"></span>
+<a name="l00058"></a>00058 <span class="comment">   Otherwise, `optind' communicates from one call to the next</span>
+<a name="l00059"></a>00059 <span class="comment">   how much of ARGV has been scanned so far.  */</span>
+<a name="l00060"></a>00060 
+<a name="l00061"></a>00061 <span class="keyword">extern</span> <span class="keywordtype">int</span> optind;
+<a name="l00062"></a>00062 
+<a name="l00063"></a>00063 <span class="comment">/* Callers store zero here to inhibit the error message `getopt' prints</span>
+<a name="l00064"></a>00064 <span class="comment">   for unrecognized options.  */</span>
+<a name="l00065"></a>00065 
+<a name="l00066"></a>00066 <span class="keyword">extern</span> <span class="keywordtype">int</span> opterr;
+<a name="l00067"></a>00067 
+<a name="l00068"></a>00068 <span class="comment">/* Set to an option character which was unrecognized.  */</span>
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 <span class="keyword">extern</span> <span class="keywordtype">int</span> optopt;
+<a name="l00071"></a>00071 
+<a name="l00072"></a>00072 <span class="preprocessor">#ifndef __need_getopt</span>
+<a name="l00073"></a>00073 <span class="preprocessor"></span><span class="comment">/* Describe the long-named options requested by the application.</span>
+<a name="l00074"></a>00074 <span class="comment">   The LONG_OPTIONS argument to getopt_long or getopt_long_only is a vector</span>
+<a name="l00075"></a>00075 <span class="comment">   of `struct option' terminated by an element containing a name which is</span>
+<a name="l00076"></a>00076 <span class="comment">   zero.</span>
+<a name="l00077"></a>00077 <span class="comment"></span>
+<a name="l00078"></a>00078 <span class="comment">   The field `has_arg' is:</span>
+<a name="l00079"></a>00079 <span class="comment">   no_argument          (or 0) if the option does not take an argument,</span>
+<a name="l00080"></a>00080 <span class="comment">   required_argument    (or 1) if the option requires an argument,</span>
+<a name="l00081"></a>00081 <span class="comment">   optional_argument    (or 2) if the option takes an optional argument.</span>
+<a name="l00082"></a>00082 <span class="comment"></span>
+<a name="l00083"></a>00083 <span class="comment">   If the field `flag' is not NULL, it points to a variable that is set</span>
+<a name="l00084"></a>00084 <span class="comment">   to the value given in the field `val' when the option is found, but</span>
+<a name="l00085"></a>00085 <span class="comment">   left unchanged if the option is not found.</span>
+<a name="l00086"></a>00086 <span class="comment"></span>
+<a name="l00087"></a>00087 <span class="comment">   To have a long-named option do something other than set an `int' to</span>
+<a name="l00088"></a>00088 <span class="comment">   a compiled-in constant, such as set a value from `optarg', set the</span>
+<a name="l00089"></a>00089 <span class="comment">   option's `flag' field to zero and its `val' field to a nonzero</span>
+<a name="l00090"></a>00090 <span class="comment">   value (the equivalent single-letter option character, if there is</span>
+<a name="l00091"></a>00091 <span class="comment">   one).  For long options that have a zero `flag' field, `getopt'</span>
+<a name="l00092"></a>00092 <span class="comment">   returns the contents of the `val' field.  */</span>
+<a name="l00093"></a>00093 
+<a name="l00094"></a>00094 <span class="keyword">struct </span><a class="code" href="structoption.html">option</a>
+<a name="l00095"></a>00095 {
+<a name="l00096"></a>00096 <span class="preprocessor"># if (defined __STDC__ &amp;&amp; __STDC__) || defined __cplusplus</span>
+<a name="l00097"></a>00097 <span class="preprocessor"></span>  <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>;
+<a name="l00098"></a>00098 <span class="preprocessor"># else</span>
+<a name="l00099"></a><a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">00099</a> <span class="preprocessor"></span>  <span class="keywordtype">char</span> *<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>;
+<a name="l00100"></a>00100 <span class="preprocessor"># endif</span>
+<a name="l00101"></a>00101 <span class="preprocessor"></span>  <span class="comment">/* has_arg can't be an enum because some compilers complain about</span>
+<a name="l00102"></a>00102 <span class="comment">     type mismatches in all the code that assumes it is an int.  */</span>
+<a name="l00103"></a>00103   <span class="keywordtype">int</span> <a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>;
+<a name="l00104"></a><a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">00104</a>   <span class="keywordtype">int</span> *<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>;
+<a name="l00105"></a>00105   <span class="keywordtype">int</span> <a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
+<a name="l00106"></a>00106 };
+<a name="l00107"></a>00107 
+<a name="l00108"></a>00108 <span class="comment">/* Names for the values of the `has_arg' field of `struct option'.  */</span>
+<a name="l00109"></a>00109 
+<a name="l00110"></a>00110 <span class="preprocessor"># define no_argument            0</span>
+<a name="l00111"></a>00111 <span class="preprocessor"></span><span class="preprocessor"># define required_argument      1</span>
+<a name="l00112"></a>00112 <span class="preprocessor"></span><span class="preprocessor"># define optional_argument      2</span>
+<a name="l00113"></a>00113 <span class="preprocessor"></span><span class="preprocessor">#endif  </span><span class="comment">/* need getopt */</span>
+<a name="l00114"></a>00114 
+<a name="l00115"></a>00115 
+<a name="l00116"></a>00116 <span class="comment">/* Get definitions and prototypes for functions to process the</span>
+<a name="l00117"></a>00117 <span class="comment">   arguments in ARGV (ARGC of them, minus the program name) for</span>
+<a name="l00118"></a>00118 <span class="comment">   options given in OPTS.</span>
+<a name="l00119"></a>00119 <span class="comment"></span>
+<a name="l00120"></a>00120 <span class="comment">   Return the option character from OPTS just read.  Return -1 when</span>
+<a name="l00121"></a>00121 <span class="comment">   there are no more options.  For unrecognized options, or options</span>
+<a name="l00122"></a>00122 <span class="comment">   missing arguments, `optopt' is set to the option letter, and '?' is</span>
+<a name="l00123"></a>00123 <span class="comment">   returned.</span>
+<a name="l00124"></a>00124 <span class="comment"></span>
+<a name="l00125"></a>00125 <span class="comment">   The OPTS string is a list of characters which are recognized option</span>
+<a name="l00126"></a>00126 <span class="comment">   letters, optionally followed by colons, specifying that that letter</span>
+<a name="l00127"></a>00127 <span class="comment">   takes an argument, to be placed in `optarg'.</span>
+<a name="l00128"></a>00128 <span class="comment"></span>
+<a name="l00129"></a>00129 <span class="comment">   If a letter in OPTS is followed by two colons, its argument is</span>
+<a name="l00130"></a>00130 <span class="comment">   optional.  This behavior is specific to the GNU `getopt'.</span>
+<a name="l00131"></a>00131 <span class="comment"></span>
+<a name="l00132"></a>00132 <span class="comment">   The argument `--' causes premature termination of argument</span>
+<a name="l00133"></a>00133 <span class="comment">   scanning, explicitly telling `getopt' that there are no more</span>
+<a name="l00134"></a>00134 <span class="comment">   options.</span>
+<a name="l00135"></a>00135 <span class="comment"></span>
+<a name="l00136"></a>00136 <span class="comment">   If OPTS begins with `--', then non-option arguments are treated as</span>
+<a name="l00137"></a>00137 <span class="comment">   arguments to the option '\0'.  This behavior is specific to the GNU</span>
+<a name="l00138"></a>00138 <span class="comment">   `getopt'.  */</span>
+<a name="l00139"></a>00139 
+<a name="l00140"></a>00140 <span class="preprocessor">#if (defined __STDC__ &amp;&amp; __STDC__) || defined __cplusplus</span>
+<a name="l00141"></a>00141 <span class="preprocessor"></span><span class="preprocessor"># ifdef __GNU_LIBRARY__</span>
+<a name="l00142"></a>00142 <span class="preprocessor"></span><span class="comment">/* Many other libraries have conflicting prototypes for getopt, with</span>
+<a name="l00143"></a>00143 <span class="comment">   differences in the consts, in stdlib.h.  To avoid compilation</span>
+<a name="l00144"></a>00144 <span class="comment">   errors, only prototype getopt for the GNU C library.  */</span>
+<a name="l00145"></a>00145 <span class="keyword">extern</span> <span class="keywordtype">int</span> getopt (<span class="keywordtype">int</span> __argc, <span class="keywordtype">char</span> *<span class="keyword">const</span> *__argv, <span class="keyword">const</span> <span class="keywordtype">char</span> *__shortopts);
+<a name="l00146"></a>00146 <span class="preprocessor"># else </span><span class="comment">/* not __GNU_LIBRARY__ */</span>
+<a name="l00147"></a>00147 <span class="keyword">extern</span> <span class="keywordtype">int</span> getopt ();
+<a name="l00148"></a>00148 <span class="preprocessor"># endif </span><span class="comment">/* __GNU_LIBRARY__ */</span>
+<a name="l00149"></a>00149 
+<a name="l00150"></a>00150 <span class="preprocessor"># ifndef __need_getopt</span>
+<a name="l00151"></a>00151 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="keywordtype">int</span> getopt_long (<span class="keywordtype">int</span> __argc, <span class="keywordtype">char</span> *<span class="keyword">const</span> *__argv, <span class="keyword">const</span> <span class="keywordtype">char</span> *__shortopts,
+<a name="l00152"></a>00152                         <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structoption.html">option</a> *__longopts, <span class="keywordtype">int</span> *__longind);
+<a name="l00153"></a>00153 <span class="keyword">extern</span> <span class="keywordtype">int</span> getopt_long_only (<span class="keywordtype">int</span> __argc, <span class="keywordtype">char</span> *<span class="keyword">const</span> *__argv,
+<a name="l00154"></a>00154                              <span class="keyword">const</span> <span class="keywordtype">char</span> *__shortopts,
+<a name="l00155"></a>00155                              <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structoption.html">option</a> *__longopts, <span class="keywordtype">int</span> *__longind);
+<a name="l00156"></a>00156 
+<a name="l00157"></a>00157 <span class="comment">/* Internal only.  Users should not call this directly.  */</span>
+<a name="l00158"></a>00158 <span class="keyword">extern</span> <span class="keywordtype">int</span> _getopt_internal (<span class="keywordtype">int</span> __argc, <span class="keywordtype">char</span> *<span class="keyword">const</span> *__argv,
+<a name="l00159"></a>00159                              <span class="keyword">const</span> <span class="keywordtype">char</span> *__shortopts,
+<a name="l00160"></a>00160                              <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structoption.html">option</a> *__longopts, <span class="keywordtype">int</span> *__longind,
+<a name="l00161"></a>00161                              <span class="keywordtype">int</span> __long_only);
+<a name="l00162"></a>00162 <span class="preprocessor"># endif</span>
+<a name="l00163"></a>00163 <span class="preprocessor"></span><span class="preprocessor">#else </span><span class="comment">/* not __STDC__ */</span>
+<a name="l00164"></a>00164 <span class="keyword">extern</span> <span class="keywordtype">int</span> getopt ();
+<a name="l00165"></a>00165 <span class="preprocessor"># ifndef __need_getopt</span>
+<a name="l00166"></a>00166 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="keywordtype">int</span> getopt_long ();
+<a name="l00167"></a>00167 <span class="keyword">extern</span> <span class="keywordtype">int</span> getopt_long_only ();
+<a name="l00168"></a>00168 
+<a name="l00169"></a>00169 <span class="keyword">extern</span> <span class="keywordtype">int</span> _getopt_internal ();
+<a name="l00170"></a>00170 <span class="preprocessor"># endif</span>
+<a name="l00171"></a>00171 <span class="preprocessor"></span><span class="preprocessor">#endif </span><span class="comment">/* __STDC__ */</span>
+<a name="l00172"></a>00172 
+<a name="l00173"></a>00173 <span class="preprocessor">#ifdef  __cplusplus</span>
+<a name="l00174"></a>00174 <span class="preprocessor"></span>}
+<a name="l00175"></a>00175 <span class="preprocessor">#endif</span>
+<a name="l00176"></a>00176 <span class="preprocessor"></span>
+<a name="l00177"></a>00177 <span class="comment">/* Make sure we later can get all the definitions and declarations.  */</span>
+<a name="l00178"></a>00178 <span class="preprocessor">#undef __need_getopt</span>
+<a name="l00179"></a>00179 <span class="preprocessor"></span>
+<a name="l00180"></a>00180 <span class="preprocessor">#endif </span><span class="comment">/* getopt.h */</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2messages_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2messages_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2messages_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,148 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: messages.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>messages.cpp</h1><a href="fx-0_89_80_2lib_2messages_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_messages.cpp  </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00010"></a>00010 <span class="comment">/***************************************************************************</span>
+<a name="l00011"></a>00011 <span class="comment"> *                                                                         *</span>
+<a name="l00012"></a>00012 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00016"></a>00016 <span class="comment"> *                                                                         *</span>
+<a name="l00017"></a>00017 <span class="comment"> ***************************************************************************/</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#include &lt;iostream&gt;</span>
+<a name="l00019"></a>00019 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00024"></a>00024 
+<a name="l00025"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">00025</a> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>; 
+<a name="l00026"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#4da8008b6f110050513003edf67a2495">00026</a> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>; 
+<a name="l00028"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">00028</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a> = <span class="keyword">false</span>; 
+<a name="l00029"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">00029</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a> = <span class="keyword">false</span>;
+<a name="l00030"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">00030</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a> = <span class="keyword">false</span>;
+<a name="l00031"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">00031</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a> = <span class="keyword">false</span>;
+<a name="l00032"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">00032</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a> = <span class="keyword">false</span>;
+<a name="l00033"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">00033</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a> = <span class="keyword">false</span>;
+<a name="l00034"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">00034</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a> = <span class="keyword">false</span>;
+<a name="l00035"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">00035</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a> = <span class="keyword">false</span>;
+<a name="l00036"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">00036</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a> = <span class="keyword">false</span>;
+<a name="l00037"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">00037</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a> = <span class="keyword">false</span>;
+<a name="l00038"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">00038</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a> = <span class="keyword">false</span>;
+<a name="l00039"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">00039</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> = <span class="keyword">true</span>;
+<a name="l00041"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">00041</a> <span class="keywordtype">void</span> <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>()
+<a name="l00042"></a>00042 {
+<a name="l00043"></a>00043   <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>;
+<a name="l00044"></a>00044   <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>;
+<a name="l00045"></a>00045 
+<a name="l00046"></a>00046 
+<a name="l00047"></a>00047   <span class="keywordflow">if</span>((<a class="code" href="messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> == <span class="keyword">true</span>))
+<a name="l00048"></a>00048     {
+<a name="l00049"></a>00049       SGMLApplication::Location *location = <span class="keyword">new</span> SGMLApplication::Location(entity_ptr, position);
+<a name="l00050"></a>00050       cerr &lt;&lt; <span class="stringliteral">"(Above message occured on Line "</span>&lt;&lt;location-&gt;lineNumber&lt;&lt;<span class="stringliteral">", Column "</span>&lt;&lt;location-&gt;columnNumber&lt;&lt;<span class="stringliteral">")"</span>&lt;&lt;endl;
+<a name="l00051"></a>00051       <span class="keyword">delete</span> location;
+<a name="l00052"></a>00052     }
+<a name="l00053"></a>00053 }
+<a name="l00054"></a>00054 
+<a name="l00058"></a><a class="code" href="fx-0_89_80_2lib_2messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">00058</a> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type, <span class="keyword">const</span> <span class="keywordtype">string</span> message)
+<a name="l00059"></a>00059 {
+<a name="l00060"></a>00060 
+<a name="l00061"></a>00061 
+<a name="l00062"></a>00062   <span class="keywordflow">switch</span>  (error_type){
+<a name="l00063"></a>00063   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a> :
+<a name="l00064"></a>00064     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a>==<span class="keyword">true</span>){
+<a name="l00065"></a>00065       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00066"></a>00066       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00067"></a>00067     }
+<a name="l00068"></a>00068     <span class="keywordflow">break</span>;
+<a name="l00069"></a>00069   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a> :
+<a name="l00070"></a>00070     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a>==<span class="keyword">true</span>){
+<a name="l00071"></a>00071       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG1: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00072"></a>00072       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00073"></a>00073     }
+<a name="l00074"></a>00074     <span class="keywordflow">break</span>;
+<a name="l00075"></a>00075   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a> :
+<a name="l00076"></a>00076     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a>==<span class="keyword">true</span>){
+<a name="l00077"></a>00077       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG2: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00078"></a>00078       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00079"></a>00079     }
+<a name="l00080"></a>00080     <span class="keywordflow">break</span>;
+<a name="l00081"></a>00081   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a> :
+<a name="l00082"></a>00082     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a>==<span class="keyword">true</span>){
+<a name="l00083"></a>00083       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG3: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00084"></a>00084       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00085"></a>00085     }
+<a name="l00086"></a>00086     <span class="keywordflow">break</span>;
+<a name="l00087"></a>00087   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a> :
+<a name="l00088"></a>00088     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a>==<span class="keyword">true</span>){
+<a name="l00089"></a>00089       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG4: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00090"></a>00090       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00091"></a>00091     }
+<a name="l00092"></a>00092     <span class="keywordflow">break</span>;
+<a name="l00093"></a>00093   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a> :
+<a name="l00094"></a>00094     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a>==<span class="keyword">true</span>){
+<a name="l00095"></a>00095       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG5: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00096"></a>00096       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00097"></a>00097     }
+<a name="l00098"></a>00098     <span class="keywordflow">break</span>;
+<a name="l00099"></a>00099   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> :
+<a name="l00100"></a>00100     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a>==<span class="keyword">true</span>){
+<a name="l00101"></a>00101       cerr &lt;&lt; <span class="stringliteral">"LibOFX STATUS: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00103"></a>00103     }
+<a name="l00104"></a>00104     <span class="keywordflow">break</span>;
+<a name="l00105"></a>00105   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a> :
+<a name="l00106"></a>00106     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a>==<span class="keyword">true</span>){
+<a name="l00107"></a>00107       cerr &lt;&lt; <span class="stringliteral">"LibOFX INFO: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00108"></a>00108       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00109"></a>00109     }
+<a name="l00110"></a>00110     <span class="keywordflow">break</span>;
+<a name="l00111"></a>00111   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a> :
+<a name="l00112"></a>00112     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a>==<span class="keyword">true</span>){
+<a name="l00113"></a>00113       cerr &lt;&lt; <span class="stringliteral">"LibOFX WARNING: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00114"></a>00114       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00115"></a>00115     }
+<a name="l00116"></a>00116     <span class="keywordflow">break</span>;
+<a name="l00117"></a>00117   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a> :
+<a name="l00118"></a>00118     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a>==<span class="keyword">true</span>){
+<a name="l00119"></a>00119       cerr &lt;&lt; <span class="stringliteral">"LibOFX ERROR: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00120"></a>00120       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00121"></a>00121     }
+<a name="l00122"></a>00122     <span class="keywordflow">break</span>;
+<a name="l00123"></a>00123   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a> :
+<a name="l00124"></a>00124     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a>==<span class="keyword">true</span>){
+<a name="l00125"></a>00125       cerr &lt;&lt; <span class="stringliteral">"LibOFX PARSER: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00126"></a>00126       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00127"></a>00127     }
+<a name="l00128"></a>00128     <span class="keywordflow">break</span>;
+<a name="l00129"></a>00129   <span class="keywordflow">default</span>:
+<a name="l00130"></a>00130     cerr &lt;&lt; <span class="stringliteral">"LibOFX UNKNOWN ERROR CLASS, This is a bug in LibOFX\n"</span>;
+<a name="l00131"></a>00131     <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
+<a name="l00132"></a>00132   }
+<a name="l00133"></a>00133 
+<a name="l00134"></a>00134   <span class="keywordflow">return</span> 0;
+<a name="l00135"></a>00135 }
+<a name="l00136"></a>00136 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2messages_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2messages_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2messages_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,341 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: messages.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>messages.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Message IO functionality. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2messages_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="38700caf40614c44e567a90d53cdfe37"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::show_line_number" ref="38700caf40614c44e567a90d53cdfe37" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">message_out</a> (<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type, const string message)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Message output function.  <a href="#6af6947c1ec6fcbefd793f80c26d90fa"></a><br></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> = true</td></tr>
+
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="6af6947c1ec6fcbefd793f80c26d90fa"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::message_out" ref="6af6947c1ec6fcbefd793f80c26d90fa" args="(OfxMsgType error_type, const string message)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int message_out           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>&nbsp;</td>
+          <td class="paramname"> <em>error_type</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>message</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Message output function. 
+<p>
+Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00058">58</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr><h2>Variable Documentation</h2>
+<a class="anchor" name="adaa870f35b4a4fb6b268ae8ea872ccf"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::entity_ptr" ref="adaa870f35b4a4fb6b268ae8ea872ccf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="7a6f1ae26a09b234af9fb6f53466de41"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_DEBUG1_msg" ref="7a6f1ae26a09b234af9fb6f53466de41" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, debug level 1 messages will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00030">30</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="8ad3c6505850cff41f658a18acee7241"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_DEBUG2_msg" ref="8ad3c6505850cff41f658a18acee7241" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, debug level 2 messages will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00031">31</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="1983d755b7b1a219f589e6d77271dfbb"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_DEBUG3_msg" ref="1983d755b7b1a219f589e6d77271dfbb" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, debug level 3 messages will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00032">32</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3a8a00a07c729647b1d1f94954419cb9"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_DEBUG4_msg" ref="3a8a00a07c729647b1d1f94954419cb9" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, debug level 4 messages will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00033">33</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="68ffc5302d8befcf6e415ac219120162"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_DEBUG5_msg" ref="68ffc5302d8befcf6e415ac219120162" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, debug level 5 messages will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00034">34</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="114453d10ab7a0a82485eb535ea2cad6"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_DEBUG_msg" ref="114453d10ab7a0a82485eb535ea2cad6" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, general debug messages will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00029">29</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2b3d2ad175f65de9d36f47f959741f72"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_ERROR_msg" ref="2b3d2ad175f65de9d36f47f959741f72" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, error messages will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00038">38</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="228b326318901fc303c91ed75f45ba64"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_INFO_msg" ref="228b326318901fc303c91ed75f45ba64" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, information messages will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00036">36</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c58dfba31a4541023b331efa4f3a5079"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_PARSER_msg" ref="c58dfba31a4541023b331efa4f3a5079" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, parser events will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00028">28</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2f4750bf79b46b0259dd883afd45842a"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_show_position" ref="2f4750bf79b46b0259dd883afd45842a" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> = true          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, the line number will be shown after any error 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00039">39</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="9d3605349a492ff39e5b2a006d773cbf"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_STATUS_msg" ref="9d3605349a492ff39e5b2a006d773cbf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, status messages will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00035">35</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="906d9d0b5311d914db311210f9cdce58"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::ofx_WARNING_msg" ref="906d9d0b5311d914db311210f9cdce58" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a> = false          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+If set to true, warning messages will be printed to the console 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00037">37</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4da8008b6f110050513003edf67a2495"></a><!-- doxytag: member="fx-0.9.0/lib/messages.cpp::position" ref="4da8008b6f110050513003edf67a2495" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::Position <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8cpp-source.html">fx-0.9.0/lib/messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2messages_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2messages_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2messages_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,54 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: messages.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>messages.hh</h1><a href="fx-0_89_80_2lib_2messages_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_messages.h</span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment"> ***************************************************************************/</span>
+<a name="l00010"></a>00010 <span class="comment">/***************************************************************************</span>
+<a name="l00011"></a>00011 <span class="comment"> *                                                                         *</span>
+<a name="l00012"></a>00012 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00016"></a>00016 <span class="comment"> *                                                                         *</span>
+<a name="l00017"></a>00017 <span class="comment"> ***************************************************************************/</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#ifndef OFX_MESSAGES_H</span>
+<a name="l00019"></a>00019 <span class="preprocessor"></span><span class="preprocessor">#define OFX_MESSAGES_H</span>
+<a name="l00020"></a>00020 <span class="preprocessor"></span>
+<a name="l00023"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">00023</a> <span class="keyword">enum</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>{
+<a name="l00024"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">00024</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,       
+<a name="l00025"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">00025</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>,      
+<a name="l00026"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">00026</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>,      
+<a name="l00027"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">00027</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>,      
+<a name="l00028"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">00028</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>,      
+<a name="l00029"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">00029</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>,      
+<a name="l00030"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">00030</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> = 10, 
+<a name="l00031"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">00031</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,        
+<a name="l00032"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">00032</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>,     
+<a name="l00033"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">00033</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,       
+<a name="l00034"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">00034</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>       
+<a name="l00035"></a>00035 };
+<a name="l00036"></a>00036 <span class="keyword">using namespace </span>std;
+<a name="l00038"></a>00038 <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> type, <span class="keyword">const</span> <span class="keywordtype">string</span> message);
+<a name="l00039"></a>00039 
+<a name="l00040"></a>00040 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2messages_8hh.html'
--- doc/html/fx-0_89_80_2lib_2messages_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2messages_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,204 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: messages.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>messages.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Message IO functionality. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2messages_8hh-source.html">fx-0.9.0/lib/messages.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2messages_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> =  10, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> =  10, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> =  10, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>
+<br>
+ }</td></tr>
+
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#6f56d85178951a91c7a06ea0538aa2d4">message_out</a> (<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> type, const string message)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Message output function.  <a href="#6f56d85178951a91c7a06ea0538aa2d4"></a><br></td></tr>
+</table>
+<hr><h2>Enumeration Type Documentation</h2>
+<a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69"></a><!-- doxytag: member="fx-0.9.0/lib/messages.hh::OfxMsgType" ref="7cd03dafa59895bc306bf220b7b85f69" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The OfxMsgType enum describe's the type of message being sent, so the application/user/library can decide if it will be printed to stdout <dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f"></a><!-- doxytag: member="DEBUG" ref="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f" args="" -->DEBUG</em>&nbsp;</td><td>
+General debug messages </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7"></a><!-- doxytag: member="DEBUG1" ref="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7" args="" -->DEBUG1</em>&nbsp;</td><td>
+Debug level 1 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd"></a><!-- doxytag: member="DEBUG2" ref="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd" args="" -->DEBUG2</em>&nbsp;</td><td>
+Debug level 2 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896"></a><!-- doxytag: member="DEBUG3" ref="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896" args="" -->DEBUG3</em>&nbsp;</td><td>
+Debug level 3 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67"></a><!-- doxytag: member="DEBUG4" ref="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67" args="" -->DEBUG4</em>&nbsp;</td><td>
+Debug level 4 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76"></a><!-- doxytag: member="DEBUG5" ref="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76" args="" -->DEBUG5</em>&nbsp;</td><td>
+Debug level 5 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97"></a><!-- doxytag: member="STATUS" ref="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97" args="" -->STATUS</em>&nbsp;</td><td>
+For major processing event (End of parsing, etc.) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806"></a><!-- doxytag: member="INFO" ref="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806" args="" -->INFO</em>&nbsp;</td><td>
+For minor processing event </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81"></a><!-- doxytag: member="WARNING" ref="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81" args="" -->WARNING</em>&nbsp;</td><td>
+Warning message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90"></a><!-- doxytag: member="ERROR" ref="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90" args="" -->ERROR</em>&nbsp;</td><td>
+Error message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b"></a><!-- doxytag: member="PARSER" ref="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b" args="" -->PARSER</em>&nbsp;</td><td>
+Parser events </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f"></a><!-- doxytag: member="DEBUG" ref="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f" args="" -->DEBUG</em>&nbsp;</td><td>
+General debug messages </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7"></a><!-- doxytag: member="DEBUG1" ref="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7" args="" -->DEBUG1</em>&nbsp;</td><td>
+Debug level 1 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd"></a><!-- doxytag: member="DEBUG2" ref="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd" args="" -->DEBUG2</em>&nbsp;</td><td>
+Debug level 2 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896"></a><!-- doxytag: member="DEBUG3" ref="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896" args="" -->DEBUG3</em>&nbsp;</td><td>
+Debug level 3 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67"></a><!-- doxytag: member="DEBUG4" ref="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67" args="" -->DEBUG4</em>&nbsp;</td><td>
+Debug level 4 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76"></a><!-- doxytag: member="DEBUG5" ref="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76" args="" -->DEBUG5</em>&nbsp;</td><td>
+Debug level 5 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97"></a><!-- doxytag: member="STATUS" ref="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97" args="" -->STATUS</em>&nbsp;</td><td>
+For major processing event (End of parsing, etc.) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806"></a><!-- doxytag: member="INFO" ref="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806" args="" -->INFO</em>&nbsp;</td><td>
+For minor processing event </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81"></a><!-- doxytag: member="WARNING" ref="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81" args="" -->WARNING</em>&nbsp;</td><td>
+Warning message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90"></a><!-- doxytag: member="ERROR" ref="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90" args="" -->ERROR</em>&nbsp;</td><td>
+Error message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b"></a><!-- doxytag: member="PARSER" ref="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b" args="" -->PARSER</em>&nbsp;</td><td>
+Parser events </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f"></a><!-- doxytag: member="DEBUG" ref="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f" args="" -->DEBUG</em>&nbsp;</td><td>
+General debug messages </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7"></a><!-- doxytag: member="DEBUG1" ref="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7" args="" -->DEBUG1</em>&nbsp;</td><td>
+Debug level 1 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd"></a><!-- doxytag: member="DEBUG2" ref="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd" args="" -->DEBUG2</em>&nbsp;</td><td>
+Debug level 2 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896"></a><!-- doxytag: member="DEBUG3" ref="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896" args="" -->DEBUG3</em>&nbsp;</td><td>
+Debug level 3 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67"></a><!-- doxytag: member="DEBUG4" ref="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67" args="" -->DEBUG4</em>&nbsp;</td><td>
+Debug level 4 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76"></a><!-- doxytag: member="DEBUG5" ref="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76" args="" -->DEBUG5</em>&nbsp;</td><td>
+Debug level 5 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97"></a><!-- doxytag: member="STATUS" ref="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97" args="" -->STATUS</em>&nbsp;</td><td>
+For major processing event (End of parsing, etc.) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806"></a><!-- doxytag: member="INFO" ref="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806" args="" -->INFO</em>&nbsp;</td><td>
+For minor processing event </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81"></a><!-- doxytag: member="WARNING" ref="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81" args="" -->WARNING</em>&nbsp;</td><td>
+Warning message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90"></a><!-- doxytag: member="ERROR" ref="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90" args="" -->ERROR</em>&nbsp;</td><td>
+Error message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b"></a><!-- doxytag: member="PARSER" ref="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b" args="" -->PARSER</em>&nbsp;</td><td>
+Parser events </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2messages_8hh-source.html#l00023">23</a> of file <a class="el" href="fx-0_89_80_2lib_2messages_8hh-source.html">fx-0.9.0/lib/messages.hh</a>.</p>
+
+</div>
+</div><p>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="6f56d85178951a91c7a06ea0538aa2d4"></a><!-- doxytag: member="fx-0.9.0/lib/messages.hh::message_out" ref="6f56d85178951a91c7a06ea0538aa2d4" args="(OfxMsgType type, const string message)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int message_out           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>&nbsp;</td>
+          <td class="paramname"> <em>error_type</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>message</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Message output function. 
+<p>
+Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00058">58</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,350 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofc_sgml.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofc_sgml.cpp</h1><a href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.cpp</span>
+<a name="l00003"></a>00003 <span class="comment">                          -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00012"></a>00012 <span class="comment">/***************************************************************************</span>
+<a name="l00013"></a>00013 <span class="comment"> *                                                                         *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00017"></a>00017 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00018"></a>00018 <span class="comment"> *                                                                         *</span>
+<a name="l00019"></a>00019 <span class="comment"> ***************************************************************************/</span>
+<a name="l00020"></a>00020 
+<a name="l00021"></a>00021 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#endif</span>
+<a name="l00024"></a>00024 <span class="preprocessor"></span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include &lt;iostream&gt;</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofc__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofc_sgml.hh</a>"</span>
+<a name="l00034"></a>00034 
+<a name="l00035"></a>00035 <span class="keyword">using namespace </span>std;
+<a name="l00036"></a>00036 
+<a name="l00037"></a>00037 
+<a name="l00038"></a>00038 <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>;
+<a name="l00039"></a>00039 <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>;
+<a name="l00040"></a>00040 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
+<a name="l00041"></a>00041 
+<a name="l00044"></a>00044 <span class="keyword">class </span><a class="code" href="classOFCApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFCApplication</a> : <span class="keyword">public</span> SGMLApplication{
+<a name="l00045"></a>00045 <span class="keyword">private</span>:
+<a name="l00046"></a>00046   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *curr_container_element; 
+<a name="l00047"></a>00047   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *tmp_container_element;
+<a name="l00048"></a>00048   <span class="keywordtype">bool</span> is_data_element; 
+<a name="l00049"></a>00049   <span class="keywordtype">string</span> incoming_data; 
+<a name="l00050"></a>00050   <a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context;
+<a name="l00051"></a>00051  <span class="keyword">public</span>:
+<a name="l00052"></a><a class="code" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">00052</a>   <a class="code" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">OFCApplication</a> (<a class="code" href="classLibofxContext.html">LibofxContext</a> * p_libofx_context)
+<a name="l00053"></a>00053   {
+<a name="l00054"></a>00054     MainContainer=NULL;
+<a name="l00055"></a>00055     curr_container_element = NULL;
+<a name="l00056"></a>00056     is_data_element = <span class="keyword">false</span>;
+<a name="l00057"></a>00057     libofx_context=p_libofx_context;
+<a name="l00058"></a>00058   }
+<a name="l00059"></a>00059   
+<a name="l00064"></a><a class="code" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05">00064</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05" title="Callback: Start of an OFX element.">startElement</a> (<span class="keyword">const</span> StartElementEvent &amp; event)
+<a name="l00065"></a>00065   {
+<a name="l00066"></a>00066     <span class="keywordtype">string</span> identifier;
+<a name="l00067"></a>00067     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
+<a name="l00068"></a>00068     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"startElement event received from OpenSP for element "</span> + identifier);
+<a name="l00069"></a>00069     
+<a name="l00070"></a>00070     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00071"></a>00071 
+<a name="l00072"></a>00072     <span class="keywordflow">switch</span> (event.contentType)
+<a name="l00073"></a>00073       {
+<a name="l00074"></a>00074       <span class="keywordflow">case</span> StartElementEvent::empty:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::empty\n"</span>);
+<a name="l00075"></a>00075         <span class="keywordflow">break</span>;
+<a name="l00076"></a>00076       <span class="keywordflow">case</span> StartElementEvent::cdata:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::cdata\n"</span>);
+<a name="l00077"></a>00077         <span class="keywordflow">break</span>;
+<a name="l00078"></a>00078       <span class="keywordflow">case</span> StartElementEvent::rcdata:   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::rcdata\n"</span>);
+<a name="l00079"></a>00079         <span class="keywordflow">break</span>;
+<a name="l00080"></a>00080       <span class="keywordflow">case</span> StartElementEvent::mixed:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::mixed"</span>);
+<a name="l00081"></a>00081         is_data_element = <span class="keyword">true</span>;
+<a name="l00082"></a>00082         <span class="keywordflow">break</span>;
+<a name="l00083"></a>00083       <span class="keywordflow">case</span> StartElementEvent::element:  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::element"</span>);
+<a name="l00084"></a>00084         is_data_element = <span class="keyword">false</span>;
+<a name="l00085"></a>00085         <span class="keywordflow">break</span>;
+<a name="l00086"></a>00086       <span class="keywordflow">default</span>:
+<a name="l00087"></a>00087         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Unknow SGML content type?!?!?!? OpenSP interface changed?"</span>);
+<a name="l00088"></a>00088       }
+<a name="l00089"></a>00089     
+<a name="l00090"></a>00090     <span class="keywordflow">if</span> (is_data_element == <span class="keyword">false</span>)
+<a name="l00091"></a>00091       {
+<a name="l00092"></a>00092         <span class="comment">/*------- The following are OFC entities ---------------*/</span>
+<a name="l00093"></a>00093 
+<a name="l00094"></a>00094         <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"OFC"</span>)
+<a name="l00095"></a>00095           {
+<a name="l00096"></a>00096             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00097"></a>00097             MainContainer = <span class="keyword">new</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00098"></a>00098             curr_container_element = MainContainer;
+<a name="l00099"></a>00099           }
+<a name="l00100"></a>00100         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STATUS"</span>)
+<a name="l00101"></a>00101           {
+<a name="l00102"></a>00102             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00103"></a>00103             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatusContainer.html" title="Represents the &amp;lt;STATUS&amp;gt; OFX SGML entity.">OfxStatusContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00104"></a>00104           }
+<a name="l00105"></a>00105         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"ACCTSTMT"</span>)
+<a name="l00106"></a>00106           {
+<a name="l00107"></a>00107             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00108"></a>00108             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00109"></a>00109           }
+<a name="l00110"></a>00110         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STMTRS"</span>)
+<a name="l00111"></a>00111           {
+<a name="l00112"></a>00112             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00113"></a>00113             <span class="comment">//STMTRS ignored, we will process it's attributes directly inside the STATEMENT,</span>
+<a name="l00114"></a>00114             <span class="keywordflow">if</span>(curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
+<a name="l00115"></a>00115               {
+<a name="l00116"></a>00116                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found while not inside a STATEMENT container"</span>);
+<a name="l00117"></a>00117               }
+<a name="l00118"></a>00118             <span class="keywordflow">else</span>
+<a name="l00119"></a>00119               {
+<a name="l00120"></a>00120                 curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00121"></a>00121               }
+<a name="l00122"></a>00122           }
+<a name="l00123"></a>00123         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"GENTRN"</span> ||
+<a name="l00124"></a>00124                  identifier == <span class="stringliteral">"STMTTRN"</span>)
+<a name="l00125"></a>00125           {
+<a name="l00126"></a>00126             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00127"></a>00127             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00128"></a>00128           }
+<a name="l00129"></a>00129         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"BUYDEBT"</span> ||
+<a name="l00130"></a>00130                 identifier == <span class="stringliteral">"BUYMF"</span> ||
+<a name="l00131"></a>00131                 identifier == <span class="stringliteral">"BUYOPT"</span> ||
+<a name="l00132"></a>00132                 identifier == <span class="stringliteral">"BUYOTHER"</span> ||
+<a name="l00133"></a>00133                 identifier == <span class="stringliteral">"BUYSTOCK"</span> ||
+<a name="l00134"></a>00134                 identifier == <span class="stringliteral">"CLOSUREOPT"</span> ||
+<a name="l00135"></a>00135                 identifier == <span class="stringliteral">"INCOME"</span> ||
+<a name="l00136"></a>00136                 identifier == <span class="stringliteral">"INVEXPENSE"</span> ||
+<a name="l00137"></a>00137                 identifier == <span class="stringliteral">"JRNLFUND"</span> ||
+<a name="l00138"></a>00138                 identifier == <span class="stringliteral">"JRNLSEC"</span> ||
+<a name="l00139"></a>00139                 identifier == <span class="stringliteral">"MARGININTEREST"</span> ||
+<a name="l00140"></a>00140                 identifier == <span class="stringliteral">"REINVEST"</span> ||
+<a name="l00141"></a>00141                 identifier == <span class="stringliteral">"RETOFCAP"</span> ||
+<a name="l00142"></a>00142                 identifier == <span class="stringliteral">"SELLDEBT"</span> ||
+<a name="l00143"></a>00143                 identifier == <span class="stringliteral">"SELLMF"</span> ||
+<a name="l00144"></a>00144                 identifier == <span class="stringliteral">"SELLOPT"</span> ||
+<a name="l00145"></a>00145                 identifier == <span class="stringliteral">"SELLOTHER"</span> ||
+<a name="l00146"></a>00146                 identifier == <span class="stringliteral">"SELLSTOCK"</span> ||
+<a name="l00147"></a>00147                 identifier == <span class="stringliteral">"SPLIT"</span> ||
+<a name="l00148"></a>00148                 identifier == <span class="stringliteral">"TRANSFER"</span> )
+<a name="l00149"></a>00149           {
+<a name="l00150"></a>00150             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00151"></a>00151             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00152"></a>00152           }
+<a name="l00153"></a>00153         <span class="comment">/*The following is a list of OFX elements whose attributes will be processed by the parent container*/</span>
+<a name="l00154"></a>00154         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"INVBUY"</span> ||
+<a name="l00155"></a>00155                  identifier == <span class="stringliteral">"INVSELL"</span> ||
+<a name="l00156"></a>00156                  identifier == <span class="stringliteral">"INVTRAN"</span> ||
+<a name="l00157"></a>00157                  identifier == <span class="stringliteral">"SECID"</span>)
+<a name="l00158"></a>00158           {
+<a name="l00159"></a>00159             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00160"></a>00160             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00161"></a>00161           }
+<a name="l00162"></a>00162 
+<a name="l00163"></a>00163         <span class="comment">/* The different types of accounts */</span>
+<a name="l00164"></a>00164         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"ACCOUNT"</span>||
+<a name="l00165"></a>00165                  identifier == <span class="stringliteral">"ACCTFROM"</span> )
+<a name="l00166"></a>00166           {
+<a name="l00167"></a>00167             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00168"></a>00168             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00169"></a>00169           }
+<a name="l00170"></a>00170         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"SECINFO"</span>)
+<a name="l00171"></a>00171           {
+<a name="l00172"></a>00172             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00173"></a>00173             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00174"></a>00174           }
+<a name="l00175"></a>00175         <span class="comment">/* The different types of balances */</span>
+<a name="l00176"></a>00176         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"LEDGERBAL"</span> || identifier == <span class="stringliteral">"AVAILBAL"</span>)
+<a name="l00177"></a>00177           {
+<a name="l00178"></a>00178             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00179"></a>00179             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00180"></a>00180           }
+<a name="l00181"></a>00181         <span class="keywordflow">else</span>
+<a name="l00182"></a>00182           {
+<a name="l00183"></a>00183             <span class="comment">/* We dont know this OFX element, so we create a dummy container */</span>
+<a name="l00184"></a>00184             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>(libofx_context, curr_container_element, identifier);
+<a name="l00185"></a>00185           }
+<a name="l00186"></a>00186       }
+<a name="l00187"></a>00187     <span class="keywordflow">else</span>
+<a name="l00188"></a>00188       {
+<a name="l00189"></a>00189         <span class="comment">/* The element was a data element.  OpenSP will call one or several data() callback with the data */</span>
+<a name="l00190"></a>00190         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Data element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00191"></a>00191         <span class="comment">/* There is a bug in OpenSP 1.3.4, which won't send endElement Event for some elements, and will instead send an error like "document type does not allow element "MESSAGE" here".  Incoming_data should be empty in such a case, but it will not be if the endElement event was skiped. So we empty it, so at least the last element has a chance of having valid data */</span> 
+<a name="l00192"></a>00192         <span class="keywordflow">if</span> (incoming_data != <span class="stringliteral">""</span>)
+<a name="l00193"></a>00193           {
+<a name="l00194"></a>00194             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"startElement: incoming_data should be empty! You are probably using OpenSP &lt;= 1.3.4.  The folowing data was lost: "</span> + incoming_data );
+<a name="l00195"></a>00195             incoming_data.assign (<span class="stringliteral">""</span>);
+<a name="l00196"></a>00196           }
+<a name="l00197"></a>00197       }
+<a name="l00198"></a>00198   }
+<a name="l00199"></a>00199 
+<a name="l00204"></a><a class="code" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">00204</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f" title="Callback: End of an OFX element.">endElement</a> (<span class="keyword">const</span> EndElementEvent &amp; event)
+<a name="l00205"></a>00205   {
+<a name="l00206"></a>00206     <span class="keywordtype">string</span> identifier;
+<a name="l00207"></a>00207     <span class="keywordtype">bool</span> end_element_for_data_element;
+<a name="l00208"></a>00208 
+<a name="l00209"></a>00209     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
+<a name="l00210"></a>00210     end_element_for_data_element=is_data_element;
+<a name="l00211"></a>00211     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement event received from OpenSP for element "</span> + identifier);
+<a name="l00212"></a>00212 
+<a name="l00213"></a>00213     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00214"></a>00214     <span class="keywordflow">if</span> (curr_container_element == NULL)
+<a name="l00215"></a>00215       {
+<a name="l00216"></a>00216         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" without a open element (NULL pointer)"</span>);
+<a name="l00217"></a>00217         incoming_data.assign (<span class="stringliteral">""</span>);
+<a name="l00218"></a>00218       }
+<a name="l00219"></a>00219     <span class="keywordflow">else</span> <span class="comment">//curr_container_element != NULL</span>
+<a name="l00220"></a>00220       {
+<a name="l00221"></a>00221         <span class="keywordflow">if</span> (end_element_for_data_element == <span class="keyword">true</span>)
+<a name="l00222"></a>00222           {
+<a name="l00223"></a>00223             incoming_data = <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(incoming_data);
+<a name="l00224"></a>00224             
+<a name="l00225"></a>00225             curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a> (identifier, incoming_data);
+<a name="l00226"></a>00226             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement: Added data '"</span> + incoming_data + <span class="stringliteral">"' from "</span> + identifier + <span class="stringliteral">" to "</span> + curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> + <span class="stringliteral">" container_element"</span>);
+<a name="l00227"></a>00227             incoming_data.assign (<span class="stringliteral">""</span>);
+<a name="l00228"></a>00228             is_data_element=<span class="keyword">false</span>;
+<a name="l00229"></a>00229           }
+<a name="l00230"></a>00230         <span class="keywordflow">else</span>
+<a name="l00231"></a>00231           {
+<a name="l00232"></a>00232             <span class="keywordflow">if</span> (identifier == curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>)
+<a name="l00233"></a>00233               {
+<a name="l00234"></a>00234                 <span class="keywordflow">if</span>(incoming_data!=<span class="stringliteral">""</span>)
+<a name="l00235"></a>00235                   {
+<a name="l00236"></a>00236                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"End tag for non data element "</span>+identifier+<span class="stringliteral">", incoming data should be empty but contains: "</span>+incoming_data+<span class="stringliteral">" DATA HAS BEEN LOST SOMEWHERE!"</span>);
+<a name="l00237"></a>00237                   }
+<a name="l00238"></a>00238 
+<a name="l00239"></a>00239                 <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"OFX"</span>)
+<a name="l00240"></a>00240                   {
+<a name="l00241"></a>00241                     <span class="comment">/* The main container is a special case */</span>
+<a name="l00242"></a>00242                     tmp_container_element = curr_container_element;
+<a name="l00243"></a>00243                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00244"></a>00244                     MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00245"></a>00245                     <span class="keyword">delete</span> MainContainer;
+<a name="l00246"></a>00246                     MainContainer = NULL;
+<a name="l00247"></a>00247                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, MainContainer destroyed"</span>);
+<a name="l00248"></a>00248                   }
+<a name="l00249"></a>00249                 <span class="keywordflow">else</span> 
+<a name="l00250"></a>00250                   {
+<a name="l00251"></a>00251                     tmp_container_element = curr_container_element;
+<a name="l00252"></a>00252                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00253"></a>00253                     <span class="keywordflow">if</span>(MainContainer != NULL)
+<a name="l00254"></a>00254                       {
+<a name="l00255"></a>00255                         tmp_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00256"></a>00256                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, object added to MainContainer"</span>);
+<a name="l00257"></a>00257                       }
+<a name="l00258"></a>00258                     <span class="keywordflow">else</span>
+<a name="l00259"></a>00259                       {
+<a name="l00260"></a>00260                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"MainContainer is NULL trying to add element "</span> + identifier);
+<a name="l00261"></a>00261                       }
+<a name="l00262"></a>00262                   }
+<a name="l00263"></a>00263               }
+<a name="l00264"></a>00264             <span class="keywordflow">else</span>
+<a name="l00265"></a>00265               {
+<a name="l00266"></a>00266                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" but a "</span>+curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" is currently open."</span>);
+<a name="l00267"></a>00267               }
+<a name="l00268"></a>00268           }
+<a name="l00269"></a>00269       }
+<a name="l00270"></a>00270   }
+<a name="l00271"></a>00271   
+<a name="l00276"></a><a class="code" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">00276</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf" title="Callback: Data from an OFX element.">data</a> (<span class="keyword">const</span> DataEvent &amp; event)
+<a name="l00277"></a>00277   {
+<a name="l00278"></a>00278     <span class="keywordtype">string</span> tmp;
+<a name="l00279"></a>00279     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00280"></a>00280     <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a> (event.data, incoming_data);
+<a name="l00281"></a>00281     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"data event received from OpenSP, incoming_data is now: "</span> + incoming_data);
+<a name="l00282"></a>00282   }
+<a name="l00283"></a>00283 
+<a name="l00288"></a><a class="code" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3">00288</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3" title="Callback: SGML parse error.">error</a> (<span class="keyword">const</span> ErrorEvent &amp; event)
+<a name="l00289"></a>00289   {
+<a name="l00290"></a>00290     <span class="keywordtype">string</span> message;
+<a name="l00291"></a>00291     <span class="keywordtype">string</span> string_buf;
+<a name="l00292"></a>00292     <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
+<a name="l00293"></a>00293 
+<a name="l00294"></a>00294     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00295"></a>00295     message = message + <span class="stringliteral">"OpenSP parser: "</span>;
+<a name="l00296"></a>00296     <span class="keywordflow">switch</span> (event.type){
+<a name="l00297"></a>00297     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::quantity:
+<a name="l00298"></a>00298       message = message + <span class="stringliteral">"quantity (Exceeding a quantity limit):"</span>;
+<a name="l00299"></a>00299       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
+<a name="l00300"></a>00300       <span class="keywordflow">break</span>;
+<a name="l00301"></a>00301     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::idref:
+<a name="l00302"></a>00302       message = message + <span class="stringliteral">"idref (An IDREF to a non-existent ID):"</span>;
+<a name="l00303"></a>00303       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
+<a name="l00304"></a>00304       <span class="keywordflow">break</span>;
+<a name="l00305"></a>00305     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::capacity:
+<a name="l00306"></a>00306       message = message + <span class="stringliteral">"capacity (Exceeding a capacity limit):"</span>;
+<a name="l00307"></a>00307       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
+<a name="l00308"></a>00308       <span class="keywordflow">break</span>;
+<a name="l00309"></a>00309     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::otherError:
+<a name="l00310"></a>00310       message = message + <span class="stringliteral">"otherError (misc parse error):"</span>;
+<a name="l00311"></a>00311       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
+<a name="l00312"></a>00312       <span class="keywordflow">break</span>;
+<a name="l00313"></a>00313     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::warning:
+<a name="l00314"></a>00314       message = message + <span class="stringliteral">"warning (Not actually an error.):"</span>;
+<a name="l00315"></a>00315       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>;
+<a name="l00316"></a>00316       <span class="keywordflow">break</span>;
+<a name="l00317"></a>00317     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::info:
+<a name="l00318"></a>00318       message =  message + <span class="stringliteral">"info (An informationnal message.  Not actually an error):"</span>;
+<a name="l00319"></a>00319       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>;
+<a name="l00320"></a>00320       <span class="keywordflow">break</span>;
+<a name="l00321"></a>00321     <span class="keywordflow">default</span>:
+<a name="l00322"></a>00322       message = message + <span class="stringliteral">"OpenSP sent an unknown error to LibOFX (You probably have a newer version of OpenSP):"</span>;
+<a name="l00323"></a>00323     }
+<a name="l00324"></a>00324     message =   message + <span class="stringliteral">"\n"</span> + <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.message, string_buf);
+<a name="l00325"></a>00325     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (error_type, message);
+<a name="l00326"></a>00326   }
+<a name="l00327"></a>00327 
+<a name="l00332"></a><a class="code" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">00332</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c" title="Callback: Receive internal OpenSP state.">openEntityChange</a> (<span class="keyword">const</span> OpenEntityPtr &amp; para_entity_ptr)
+<a name="l00333"></a>00333   {
+<a name="l00334"></a>00334     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"openEntityChange()\n"</span>);
+<a name="l00335"></a>00335     <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a> = para_entity_ptr;
+<a name="l00336"></a>00336 
+<a name="l00337"></a>00337   };
+<a name="l00338"></a>00338 
+<a name="l00339"></a>00339 <span class="keyword">private</span>:
+<a name="l00340"></a>00340 };
+<a name="l00341"></a>00341 
+<a name="l00345"></a><a class="code" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">00345</a> <span class="keywordtype">int</span> <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
+<a name="l00346"></a>00346 {
+<a name="l00347"></a>00347   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Begin ofx_proc_sgml()"</span>);
+<a name="l00348"></a>00348   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[0]);
+<a name="l00349"></a>00349   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[1]);
+<a name="l00350"></a>00350   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[2]);
+<a name="l00351"></a>00351   
+<a name="l00352"></a>00352   ParserEventGeneratorKit parserKit;
+<a name="l00353"></a>00353   parserKit.setOption (ParserEventGeneratorKit::showOpenEntities);
+<a name="l00354"></a>00354   EventGenerator *egp = parserKit.makeEventGenerator (argc, argv);
+<a name="l00355"></a>00355   egp-&gt;inhibitMessages (<span class="keyword">true</span>);  <span class="comment">/* Error output is handled by libofx not OpenSP */</span>
+<a name="l00356"></a>00356   <a class="code" href="classOFCApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFCApplication</a> *app = <span class="keyword">new</span> <a class="code" href="classOFCApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFCApplication</a>(libofx_context);
+<a name="l00357"></a>00357   <span class="keywordtype">unsigned</span> nErrors = egp-&gt;run (*app); <span class="comment">/* Begin parsing */</span>
+<a name="l00358"></a>00358   <span class="keyword">delete</span> egp;
+<a name="l00359"></a>00359   <span class="keywordflow">return</span> nErrors &gt; 0;
+<a name="l00360"></a>00360 }
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofc__sgml_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofc__sgml_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofc__sgml_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,123 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofc_sgml.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofc_sgml.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+OFX/SGML parsing functionnality. 
+<p>
+Almost all of the SGML parser specific code is contained in this file (some is in messages.cpp and ofx_utilities.cpp). To understand this file you must read the documentation of OpenSP's generic interface: see <a href="http://openjade.sourceforge.net/">http://openjade.sourceforge.net/</a> 
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html">fx-0.9.0/lib/ofc_sgml.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFCApplication.html">OFCApplication</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This object is driven by OpenSP as it parses the SGML from the ofx file(s).  <a href="classOFCApplication.html#_details">More...</a><br></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">ofc_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#ee7c042ff1c1d0ee11c693a9617735e5"></a><br></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.9.0/lib/ofc_sgml.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
+
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="ee7c042ff1c1d0ee11c693a9617735e5"></a><!-- doxytag: member="fx-0.9.0/lib/ofc_sgml.cpp::ofc_proc_sgml" ref="ee7c042ff1c1d0ee11c693a9617735e5" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofc_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Parses a DTD and OFX file(s). 
+<p>
+ofc_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html#l00345">345</a> of file <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp-source.html">fx-0.9.0/lib/ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr><h2>Variable Documentation</h2>
+<a class="anchor" name="adaa870f35b4a4fb6b268ae8ea872ccf"></a><!-- doxytag: member="fx-0.9.0/lib/ofc_sgml.cpp::entity_ptr" ref="adaa870f35b4a4fb6b268ae8ea872ccf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4da8008b6f110050513003edf67a2495"></a><!-- doxytag: member="fx-0.9.0/lib/ofc_sgml.cpp::position" ref="4da8008b6f110050513003edf67a2495" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::Position <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofc__sgml_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2ofc__sgml_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofc__sgml_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,42 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofc_sgml.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofc_sgml.hh</h1><a href="fx-0_89_80_2lib_2ofc__sgml_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.h</span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    begin                : Tue Mar 19 2002</span>
+<a name="l00005"></a>00005 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00006"></a>00006 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00007"></a>00007 <span class="comment"> ***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 <span class="preprocessor">#ifndef OFC_SGML_H</span>
+<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define OFC_SGML_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include "context.hh"</span>
+<a name="l00022"></a>00022 
+<a name="l00024"></a>00024 <span class="keywordtype">int</span> <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);
+<a name="l00025"></a>00025 
+<a name="l00026"></a>00026 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofc__sgml_8hh.html'
--- doc/html/fx-0_89_80_2lib_2ofc__sgml_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofc__sgml_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,76 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofc_sgml.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofc_sgml.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+OFX/SGML parsing functionnality. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8hh-source.html">fx-0.9.0/lib/ofc_sgml.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofc__sgml_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8hh.html#ee7c042ff1c1d0ee11c693a9617735e5">ofc_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#ee7c042ff1c1d0ee11c693a9617735e5"></a><br></td></tr>
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="ee7c042ff1c1d0ee11c693a9617735e5"></a><!-- doxytag: member="fx-0.9.0/lib/ofc_sgml.hh::ofc_proc_sgml" ref="ee7c042ff1c1d0ee11c693a9617735e5" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofc_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Parses a DTD and OFX file(s). 
+<p>
+ofc_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
+<p>Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00345">345</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,69 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_aggregate.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_aggregate.hh</h1><a href="fx-0_89_80_2lib_2ofx__aggregate_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_aggregate.hh </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2005 by Ace Jones</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : acejones@users.sourceforge.net</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifndef OFX_AGGREGATE_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_AGGREGATE_H</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00024"></a>00024 
+<a name="l00025"></a>00025 <span class="keyword">using namespace </span>std;
+<a name="l00026"></a>00026 
+<a name="l00042"></a>00042 <span class="keyword">class </span><a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>
+<a name="l00043"></a>00043 {
+<a name="l00044"></a>00044 <span class="keyword">public</span>:
+<a name="l00050"></a><a class="code" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">00050</a>   <a class="code" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">OfxAggregate</a>( <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; tag ): m_tag( tag ) 
+<a name="l00051"></a>00051   {}
+<a name="l00052"></a>00052   
+<a name="l00059"></a><a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">00059</a>   <span class="keywordtype">void</span> <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; tag, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; data )
+<a name="l00060"></a>00060   {
+<a name="l00061"></a>00061     m_contents += string(<span class="stringliteral">"&lt;"</span>) + tag + string(<span class="stringliteral">"&gt;"</span>) + data + string(<span class="stringliteral">"\r\n"</span>);
+<a name="l00062"></a>00062   }
+<a name="l00063"></a>00063   
+<a name="l00069"></a><a class="code" href="classOfxAggregate.html#2b729bb656f47efcf2bcfffaa22814e9">00069</a>   <span class="keywordtype">void</span> <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>&amp; sub ) 
+<a name="l00070"></a>00070   {
+<a name="l00071"></a>00071     m_contents += sub.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
+<a name="l00072"></a>00072   }
+<a name="l00073"></a>00073  
+<a name="l00079"></a><a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">00079</a>   <span class="keywordtype">string</span> <a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>( <span class="keywordtype">void</span> )<span class="keyword"> const</span>
+<a name="l00080"></a>00080 <span class="keyword">  </span>{
+<a name="l00081"></a>00081     <span class="keywordflow">return</span> string(<span class="stringliteral">"&lt;"</span>) + m_tag + string(<span class="stringliteral">"&gt;\r\n"</span>) + m_contents + string(<span class="stringliteral">"&lt;/"</span>) + m_tag + string(<span class="stringliteral">"&gt;\r\n"</span>);
+<a name="l00082"></a>00082   }
+<a name="l00083"></a>00083 
+<a name="l00084"></a>00084 <span class="keyword">private</span>:
+<a name="l00085"></a>00085   <span class="keywordtype">string</span> m_tag;
+<a name="l00086"></a>00086   <span class="keywordtype">string</span> m_contents;
+<a name="l00087"></a>00087 };
+<a name="l00088"></a>00088 
+<a name="l00089"></a>00089 <span class="preprocessor">#endif // OFX_AGGREGATE_H</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__aggregate_8hh.html'
--- doc/html/fx-0_89_80_2lib_2ofx__aggregate_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__aggregate_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,36 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_aggregate.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_aggregate.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Declaration of <a class="el" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> which allows you to construct a single OFX aggregate. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html">fx-0.9.0/lib/ofx_aggregate.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__aggregate_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAggregate.html">OfxAggregate</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A single aggregate as described in the OFX 1.02 specification.  <a href="classOfxAggregate.html#_details">More...</a><br></td></tr>
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__account_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__account_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__account_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,196 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_account.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_account.cpp</h1><a href="fx-0_89_80_2lib_2ofx__container__account_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">         ofx_container_account.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00029"></a>00029 
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
+<a name="l00031"></a>00031 
+<a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
+<a name="l00033"></a>00033 <span class="comment"> *                      OfxAccountContainer                                *</span>
+<a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
+<a name="l00035"></a>00035 
+<a name="l00036"></a>00036 <a class="code" href="classOfxAccountContainer.html#da1972a79e8c8096184ea7a22968f35c">OfxAccountContainer::OfxAccountContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00038"></a>00038 {
+<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>));
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"ACCOUNT"</span>;
+<a name="l00041"></a>00041   strcpy(bankid,<span class="stringliteral">""</span>);
+<a name="l00042"></a>00042   strcpy(branchid,<span class="stringliteral">""</span>);
+<a name="l00043"></a>00043   strcpy(acctid,<span class="stringliteral">""</span>);
+<a name="l00044"></a>00044   strcpy(acctkey,<span class="stringliteral">""</span>);
+<a name="l00045"></a>00045   strcpy(brokerid,<span class="stringliteral">""</span>);
+<a name="l00046"></a>00046   <span class="keywordflow">if</span>(para_tag_identifier== <span class="stringliteral">"CCACCTFROM"</span>)
+<a name="l00047"></a>00047     {
+<a name="l00048"></a>00048       <span class="comment">/*Set the type for a creditcard account.  Bank account specific </span>
+<a name="l00049"></a>00049 <span class="comment">        OFX elements will set this attribute elsewhere */</span>
+<a name="l00050"></a>00050       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>;
+<a name="l00051"></a>00051       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a> = <span class="keyword">true</span>;
+<a name="l00052"></a>00052     }
+<a name="l00053"></a>00053   <span class="keywordflow">if</span>(para_tag_identifier== <span class="stringliteral">"INVACCTFROM"</span>)
+<a name="l00054"></a>00054     {
+<a name="l00055"></a>00055       <span class="comment">/*Set the type for an investment account.  Bank account specific </span>
+<a name="l00056"></a>00056 <span class="comment">        OFX elements will set this attribute elsewhere */</span>
+<a name="l00057"></a>00057       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>;
+<a name="l00058"></a>00058       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a> = <span class="keyword">true</span>;
+<a name="l00059"></a>00059     }
+<a name="l00060"></a>00060   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL&amp;&amp;((<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>)-&gt;<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a>==<span class="keyword">true</span>){
+<a name="l00061"></a>00061     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">currency</a>,((<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)parentcontainer)-&gt;data.currency,<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>); <span class="comment">/* In ISO-4217 format */</span>
+<a name="l00062"></a>00062     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a>=<span class="keyword">true</span>;
+<a name="l00063"></a>00063   }
+<a name="l00064"></a>00064 }
+<a name="l00065"></a>00065 <a class="code" href="classOfxAccountContainer.html#64691a91027e92c8cbc5bb1240d3f1b8">OfxAccountContainer::~OfxAccountContainer</a>()
+<a name="l00066"></a>00066 {
+<a name="l00067"></a>00067   <span class="comment">/*  if (parentcontainer-&gt;type == "STATEMENT")</span>
+<a name="l00068"></a>00068 <span class="comment">      {</span>
+<a name="l00069"></a>00069 <span class="comment">      ((OfxStatementContainer*)parentcontainer)-&gt;add_account(data);</span>
+<a name="l00070"></a>00070 <span class="comment">      }</span>
+<a name="l00071"></a>00071 <span class="comment">      ofx_proc_account_cb (data);*/</span>
+<a name="l00072"></a>00072 }
+<a name="l00073"></a>00073 
+<a name="l00074"></a>00074 <span class="keywordtype">void</span> <a class="code" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b" title="Add data to a container object.">OfxAccountContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00075"></a>00075 {
+<a name="l00076"></a>00076   <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"BANKID"</span>){
+<a name="l00077"></a>00077     strncpy(bankid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>);
+<a name="l00078"></a>00078     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">bank_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00079"></a>00079     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>);
+<a name="l00080"></a>00080   }
+<a name="l00081"></a>00081   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"BRANCHID"</span>){
+<a name="l00082"></a>00082     strncpy(branchid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>);
+<a name="l00083"></a>00083     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">branch_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00084"></a>00084     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">branch_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>);
+<a name="l00085"></a>00085   }
+<a name="l00086"></a>00086   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"ACCTID"</span>){
+<a name="l00087"></a>00087     strncpy(acctid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>);
+<a name="l00088"></a>00088     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">account_number_valid</a>=<span class="keyword">true</span>;
+<a name="l00089"></a>00089     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>);
+<a name="l00090"></a>00090   }
+<a name="l00091"></a>00091   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"ACCTKEY"</span>){
+<a name="l00092"></a>00092     strncpy(acctkey,value.c_str(),<a class="code" href="inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">OFX_ACCTKEY_LENGTH</a>);
+<a name="l00093"></a>00093   }
+<a name="l00094"></a>00094   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"BROKERID"</span>){ <span class="comment">/* For investment accounts */</span>
+<a name="l00095"></a>00095     strncpy(brokerid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>);
+<a name="l00096"></a>00096     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#59defd36706bd332e080dcf56437dabf">broker_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00097"></a>00097     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>);
+<a name="l00098"></a>00098   }
+<a name="l00099"></a>00099   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"ACCTTYPE"</span>)||(identifier==<span class="stringliteral">"ACCTTYPE2"</span>)){
+<a name="l00100"></a>00100     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>=<span class="keyword">true</span>;
+<a name="l00101"></a>00101     <span class="keywordflow">if</span>(value==<span class="stringliteral">"CHECKING"</span>){
+<a name="l00102"></a>00102       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>;
+<a name="l00103"></a>00103     }
+<a name="l00104"></a>00104     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"SAVINGS"</span>){
+<a name="l00105"></a>00105       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>;
+<a name="l00106"></a>00106     }
+<a name="l00107"></a>00107     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"MONEYMRKT"</span>){
+<a name="l00108"></a>00108       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>;
+<a name="l00109"></a>00109     }
+<a name="l00110"></a>00110     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CREDITLINE"</span>){
+<a name="l00111"></a>00111       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>;
+<a name="l00112"></a>00112     }
+<a name="l00113"></a>00113     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CMA"</span>){
+<a name="l00114"></a>00114       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>;
+<a name="l00115"></a>00115     }
+<a name="l00116"></a>00116     <span class="comment">/* AccountType CREDITCARD is set at object creation, if appropriate */</span>
+<a name="l00117"></a>00117     <span class="keywordflow">else</span>{
+<a name="l00118"></a>00118       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>=<span class="keyword">false</span>;
+<a name="l00119"></a>00119     }
+<a name="l00120"></a>00120   }
+<a name="l00121"></a>00121   <span class="keywordflow">else</span>{
+<a name="l00122"></a>00122     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
+<a name="l00123"></a>00123     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00124"></a>00124   }
+<a name="l00125"></a>00125 }<span class="comment">//end OfxAccountContainer::add_attribute()</span>
+<a name="l00126"></a>00126 
+<a name="l00127"></a>00127 <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4" title="Generate libofx.h events.">OfxAccountContainer::gen_event</a>()
+<a name="l00128"></a>00128 {
+<a name="l00129"></a>00129   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">accountCallback</a>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>);
+<a name="l00130"></a>00130   <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l00131"></a>00131 }
+<a name="l00132"></a>00132 
+<a name="l00133"></a>00133 <span class="keywordtype">int</span>  <a class="code" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4" title="Add this container to the main tree.">OfxAccountContainer::add_to_main_tree</a>()
+<a name="l00134"></a>00134 {
+<a name="l00135"></a>00135   gen_account_id ();
+<a name="l00136"></a>00136 
+<a name="l00137"></a>00137   <span class="keywordflow">if</span>(MainContainer != NULL)
+<a name="l00138"></a>00138     {
+<a name="l00139"></a>00139       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
+<a name="l00140"></a>00140     }
+<a name="l00141"></a>00141   <span class="keywordflow">else</span>
+<a name="l00142"></a>00142     {
+<a name="l00143"></a>00143       <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l00144"></a>00144     }
+<a name="l00145"></a>00145 }
+<a name="l00146"></a>00146 
+<a name="l00147"></a>00147 <span class="keywordtype">void</span> OfxAccountContainer::gen_account_id(<span class="keywordtype">void</span>)
+<a name="l00148"></a>00148 {
+<a name="l00149"></a>00149   <span class="keywordflow">if</span>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>==<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OfxAccountData::OFX_CREDITCARD</a>){
+<a name="l00150"></a>00150     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00151"></a>00151     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00152"></a>00152     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctkey,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00153"></a>00153 
+<a name="l00154"></a>00154     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">"Credit card "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00155"></a>00155     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00156"></a>00156   }
+<a name="l00157"></a>00157   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>==<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OfxAccountData::OFX_INVESTMENT</a>){
+<a name="l00158"></a>00158     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,brokerid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00159"></a>00159     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00160"></a>00160     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00161"></a>00161 
+<a name="l00162"></a>00162     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">"Investment account "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00163"></a>00163     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00164"></a>00164     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">" at broker "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00165"></a>00165     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,brokerid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00166"></a>00166   }
+<a name="l00167"></a>00167   <span class="keywordflow">else</span>{
+<a name="l00168"></a>00168     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,bankid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00169"></a>00169     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00170"></a>00170     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,branchid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00171"></a>00171     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00172"></a>00172     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00173"></a>00173 
+<a name="l00174"></a>00174     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">"Bank account "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00175"></a>00175     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00176"></a>00176   }
+<a name="l00177"></a>00177   <span class="keywordflow">if</span>(strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>)&gt;=0){
+<a name="l00178"></a>00178     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00179"></a>00179   }
+<a name="l00180"></a>00180 }<span class="comment">//end OfxAccountContainer::gen_account_id()</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__account_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__account_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__account_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,36 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_account.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_account.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Implementation of <a class="el" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> for bank, credit card and investment accounts. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__container__account_8cpp-source.html">fx-0.9.0/lib/ofx_container_account.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__container__account_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_container_account.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__container__account_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__generic_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__generic_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__generic_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,100 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_generic.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_generic.cpp</h1><a href="fx-0_89_80_2lib_2ofx__container__generic_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">         ofx_container_generic.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00010"></a>00010 <span class="comment">/***************************************************************************</span>
+<a name="l00011"></a>00011 <span class="comment"> *                                                                         *</span>
+<a name="l00012"></a>00012 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00016"></a>00016 <span class="comment"> *                                                                         *</span>
+<a name="l00017"></a>00017 <span class="comment"> ***************************************************************************/</span>
+<a name="l00018"></a>00018 
+<a name="l00019"></a>00019 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#endif</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 
+<a name="l00029"></a>00029 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
+<a name="l00030"></a>00030 
+<a name="l00031"></a>00031 <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)
+<a name="l00032"></a>00032 {
+<a name="l00033"></a>00033   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>=NULL;
+<a name="l00034"></a>00034   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">""</span>;
+<a name="l00035"></a>00035   <a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>=<span class="stringliteral">""</span>;
+<a name="l00036"></a>00036   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a> = p_libofx_context;
+<a name="l00037"></a>00037 }
+<a name="l00038"></a>00038 <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer)
+<a name="l00039"></a>00039 {
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a> = p_libofx_context;
+<a name="l00041"></a>00041   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a> = para_parentcontainer;
+<a name="l00042"></a>00042   <span class="keywordflow">if</span>(<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL&amp;&amp;<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>==<span class="stringliteral">"DUMMY"</span>){
+<a name="l00043"></a>00043     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxGenericContainer(): The parent is a DummyContainer!"</span>);
+<a name="l00044"></a>00044   }
+<a name="l00045"></a>00045 }
+<a name="l00046"></a>00046 <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier)
+<a name="l00047"></a>00047 {
+<a name="l00048"></a>00048   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a> = p_libofx_context;
+<a name="l00049"></a>00049   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a> = para_parentcontainer;
+<a name="l00050"></a>00050   <a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a> = para_tag_identifier;
+<a name="l00051"></a>00051   <span class="keywordflow">if</span>(<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL&amp;&amp;<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>==<span class="stringliteral">"DUMMY"</span>){
+<a name="l00052"></a>00052     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxGenericContainer(): The parent for this "</span>+<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>+<span class="stringliteral">" is a DummyContainer!"</span>);
+<a name="l00053"></a>00053   }
+<a name="l00054"></a>00054 }
+<a name="l00055"></a>00055 <span class="keywordtype">void</span> <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00056"></a>00056 {
+<a name="l00057"></a>00057   <span class="comment">/*If an attribute has made it all the way up to the Generic Container's add_attribute, </span>
+<a name="l00058"></a>00058 <span class="comment">    we don't know what to do with it! */</span>
+<a name="l00059"></a>00059     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"WRITEME: "</span>+identifier+<span class="stringliteral">" ("</span>+value+<span class="stringliteral">") is not supported by the "</span>+<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" container"</span>);
+<a name="l00060"></a>00060 }
+<a name="l00061"></a>00061 <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>* <a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">OfxGenericContainer::getparent</a>()
+<a name="l00062"></a>00062 {
+<a name="l00063"></a>00063   <span class="keywordflow">return</span> <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
+<a name="l00064"></a>00064 }
+<a name="l00065"></a>00065 
+<a name="l00066"></a>00066 <span class="keywordtype">int</span>  <a class="code" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105" title="Generate libofx.h events.">OfxGenericContainer::gen_event</a>()
+<a name="l00067"></a>00067 {
+<a name="l00068"></a>00068   <span class="comment">/* No callback is ever generated for pure virtual containers */</span>
+<a name="l00069"></a>00069   <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l00070"></a>00070 }
+<a name="l00071"></a>00071 
+<a name="l00072"></a>00072 <span class="keywordtype">int</span>  <a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">OfxGenericContainer::add_to_main_tree</a>()
+<a name="l00073"></a>00073 {
+<a name="l00074"></a>00074   <span class="keywordflow">if</span>(MainContainer != NULL)
+<a name="l00075"></a>00075     {
+<a name="l00076"></a>00076       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
+<a name="l00077"></a>00077     }
+<a name="l00078"></a>00078   <span class="keywordflow">else</span>
+<a name="l00079"></a>00079     {
+<a name="l00080"></a>00080       <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l00081"></a>00081     }
+<a name="l00082"></a>00082 }
+<a name="l00083"></a>00083   
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__generic_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__generic_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__generic_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,36 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_generic.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_generic.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Implementation of <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__container__generic_8cpp-source.html">fx-0.9.0/lib/ofx_container_generic.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__container__generic_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_container_generic.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__container__generic_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__main_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__main_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__main_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,215 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_main.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_main.cpp</h1><a href="fx-0_89_80_2lib_2ofx__container__main_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">         ofx_container_main.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grégoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00010"></a>00010 <span class="comment">/***************************************************************************</span>
+<a name="l00011"></a>00011 <span class="comment"> *                                                                         *</span>
+<a name="l00012"></a>00012 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00016"></a>00016 <span class="comment"> *                                                                         *</span>
+<a name="l00017"></a>00017 <span class="comment"> ***************************************************************************/</span>
+<a name="l00018"></a>00018 
+<a name="l00019"></a>00019 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#endif</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;iostream&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00029"></a>00029 
+<a name="l00030"></a>00030 <a class="code" href="classOfxMainContainer.html#bdecebdd778e0169bcb7389f8db0454d">OfxMainContainer::OfxMainContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00031"></a>00031   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00032"></a>00032 {
+<a name="l00033"></a>00033  
+<a name="l00034"></a>00034 <span class="comment">//statement_tree_top=statement_tree.insert(statement_tree_top, NULL);</span>
+<a name="l00035"></a>00035 <span class="comment">//security_tree_top=security_tree.insert(security_tree_top, NULL);</span>
+<a name="l00036"></a>00036 
+<a name="l00037"></a>00037 }
+<a name="l00038"></a>00038 <a class="code" href="classOfxMainContainer.html#195e97a1121a6efdf898bd1cc5c43f8f">OfxMainContainer::~OfxMainContainer</a>()
+<a name="l00039"></a>00039 {
+<a name="l00040"></a>00040   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Entering the main container's destructor"</span>);
+<a name="l00041"></a>00041   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> tmp = security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00042"></a>00042 
+<a name="l00043"></a>00043   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
+<a name="l00044"></a>00044     {
+<a name="l00045"></a>00045       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Deleting "</span>+(*tmp)-&gt;type);
+<a name="l00046"></a>00046       <span class="keyword">delete</span> (*tmp);
+<a name="l00047"></a>00047       ++tmp;
+<a name="l00048"></a>00048     }
+<a name="l00049"></a>00049   tmp = account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00050"></a>00050   <span class="keywordflow">while</span>(tmp!=account_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
+<a name="l00051"></a>00051     {
+<a name="l00052"></a>00052       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Deleting "</span>+(*tmp)-&gt;type);
+<a name="l00053"></a>00053       <span class="keyword">delete</span> (*tmp);
+<a name="l00054"></a>00054       ++tmp;
+<a name="l00055"></a>00055     }
+<a name="l00056"></a>00056 }
+<a name="l00057"></a>00057 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> * container)
+<a name="l00058"></a>00058 {
+<a name="l00059"></a>00059   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container for element "</span> + container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a> + <span class="stringliteral">"; destroying the generic container"</span>);
+<a name="l00060"></a>00060   <span class="comment">/* Call gen_event anyway, it could be a status container or similar */</span>
+<a name="l00061"></a>00061   container-&gt;<a class="code" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00062"></a>00062   <span class="keyword">delete</span> container;
+<a name="l00063"></a>00063   <span class="keywordflow">return</span> 0;
+<a name="l00064"></a>00064 }
+<a name="l00065"></a>00065 
+<a name="l00066"></a>00066 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> * container)
+<a name="l00067"></a>00067 {
+<a name="l00068"></a>00068   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a security"</span>);
+<a name="l00069"></a>00069   security_tree.<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), container);
+<a name="l00070"></a>00070   <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l00071"></a>00071 
+<a name="l00072"></a>00072  
+<a name="l00073"></a>00073 }
+<a name="l00074"></a>00074 
+<a name="l00075"></a>00075 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> * container)
+<a name="l00076"></a>00076 {
+<a name="l00077"></a>00077   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding an account"</span>);
+<a name="l00078"></a>00078   <span class="keywordflow">if</span>( account_tree.<a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">size</a>()==0)
+<a name="l00079"></a>00079     {
+<a name="l00080"></a>00080       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, account is the first account"</span>);
+<a name="l00081"></a>00081       account_tree.<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), container);
+<a name="l00082"></a>00082     }
+<a name="l00083"></a>00083   <span class="keywordflow">else</span>
+<a name="l00084"></a>00084     {
+<a name="l00085"></a>00085       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, account is not the first account"</span>);
+<a name="l00086"></a>00086       <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00087"></a>00087       tmp += (account_tree.<a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
+<a name="l00088"></a>00088       account_tree.<a class="code" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e" title="Insert node as next sibling of node pointed to by position.">insert_after</a>(tmp, container);
+<a name="l00089"></a>00089     }  
+<a name="l00090"></a>00090   <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l00091"></a>00091 }
+<a name="l00092"></a>00092 
+<a name="l00093"></a>00093 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * container)
+<a name="l00094"></a>00094 {
+<a name="l00095"></a>00095   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a statement"</span>);
+<a name="l00096"></a>00096   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00097"></a>00097   <span class="comment">//cerr&lt;&lt; "size="&lt;&lt;account_tree.size()&lt;&lt;"; num_sibblings="&lt;&lt;account_tree.number_of_siblings(tmp)&lt;&lt;endl;</span>
+<a name="l00098"></a>00098   tmp += (account_tree.<a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
+<a name="l00099"></a>00099   
+<a name="l00100"></a>00100   <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(tmp))
+<a name="l00101"></a>00101     {
+<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"1: tmp is valid, Accounts are present"</span>);
+<a name="l00103"></a>00103       <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> child = account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(tmp);
+<a name="l00104"></a>00104       <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">number_of_children</a>(tmp)!=0)
+<a name="l00105"></a>00105         {
+<a name="l00106"></a>00106           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"There are already children for this account"</span>);
+<a name="l00107"></a>00107           account_tree.<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(tmp.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), container);
+<a name="l00108"></a>00108           
+<a name="l00109"></a>00109         }
+<a name="l00110"></a>00110       <span class="keywordflow">else</span>
+<a name="l00111"></a>00111         {
+<a name="l00112"></a>00112           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"There are no children for this account"</span>);
+<a name="l00113"></a>00113           account_tree.<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(tmp,container);
+<a name="l00114"></a>00114         }
+<a name="l00115"></a>00115       container-&gt;<a class="code" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">add_account</a>(&amp;( ((<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> *)(*tmp))-&gt;data));
+<a name="l00116"></a>00116       <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l00117"></a>00117     }
+<a name="l00118"></a>00118   <span class="keywordflow">else</span>
+<a name="l00119"></a>00119     {
+<a name="l00120"></a>00120       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container, no accounts are present (tmp is invalid)"</span>);
+<a name="l00121"></a>00121       <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l00122"></a>00122     }
+<a name="l00123"></a>00123 }
+<a name="l00124"></a>00124 
+<a name="l00125"></a>00125 <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> * container)
+<a name="l00126"></a>00126 {
+<a name="l00127"></a>00127   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a transaction"</span>);
+<a name="l00128"></a>00128 
+<a name="l00129"></a>00129   <span class="keywordflow">if</span>( account_tree.<a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">size</a>()!=0)
+<a name="l00130"></a>00130     {
+<a name="l00131"></a>00131   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00132"></a>00132   <span class="comment">//cerr&lt;&lt; "size="&lt;&lt;account_tree.size()&lt;&lt;"; num_sibblings="&lt;&lt;account_tree.number_of_siblings(tmp)&lt;&lt;endl;</span>
+<a name="l00133"></a>00133   tmp += (account_tree.<a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
+<a name="l00134"></a>00134       <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(tmp))
+<a name="l00135"></a>00135         {
+<a name="l00136"></a>00136           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container: tmp is valid, Accounts are present"</span>);
+<a name="l00137"></a>00137           account_tree.<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(tmp,container);
+<a name="l00138"></a>00138           container-&gt;<a class="code" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">add_account</a>(&amp;(((<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> *)(*tmp))-&gt;data));
+<a name="l00139"></a>00139           <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l00140"></a>00140         }
+<a name="l00141"></a>00141       <span class="keywordflow">else</span>
+<a name="l00142"></a>00142         {
+<a name="l00143"></a>00143           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container: tmp is invalid!"</span>);
+<a name="l00144"></a>00144           <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l00145"></a>00145         }
+<a name="l00146"></a>00146     }
+<a name="l00147"></a>00147   <span class="keywordflow">else</span>
+<a name="l00148"></a>00148     {
+<a name="l00149"></a>00149       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container: the tree is empty!"</span>);
+<a name="l00150"></a>00150       <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l00151"></a>00151     }
+<a name="l00152"></a>00152 }
+<a name="l00153"></a>00153 
+<a name="l00154"></a>00154 <span class="keywordtype">int</span>  <a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">OfxMainContainer::gen_event</a>()
+<a name="l00155"></a>00155 {
+<a name="l00156"></a>00156   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Begin walking the trees of the main container to generate events"</span>);
+<a name="l00157"></a>00157   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> tmp = security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00158"></a>00158   <span class="comment">//cerr&lt;&lt;"security_tree.size(): "&lt;&lt;security_tree.size()&lt;&lt;endl;</span>
+<a name="l00159"></a>00159   <span class="keywordtype">int</span> i = 0;
+<a name="l00160"></a>00160   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
+<a name="l00161"></a>00161     {
+<a name="l00162"></a>00162       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Looping..."</span>);
+<a name="l00163"></a>00163       <span class="comment">//cerr &lt;&lt;i&lt;&lt;endl;</span>
+<a name="l00164"></a>00164       i++;
+<a name="l00165"></a>00165       (*tmp)-&gt;gen_event();
+<a name="l00166"></a>00166       ++tmp;
+<a name="l00167"></a>00167     }
+<a name="l00168"></a>00168   tmp = account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00169"></a>00169   <span class="comment">//cerr&lt;&lt;account_tree.size()&lt;&lt;endl;</span>
+<a name="l00170"></a>00170   i = 0;
+<a name="l00171"></a>00171   <span class="keywordflow">while</span>(tmp!=account_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
+<a name="l00172"></a>00172     {
+<a name="l00173"></a>00173       <span class="comment">//cerr&lt;&lt; "i="&lt;&lt;i&lt;&lt;"; depth="&lt;&lt;account_tree.depth(tmp)&lt;&lt;endl;</span>
+<a name="l00174"></a>00174       i++;
+<a name="l00175"></a>00175       (*tmp)-&gt;gen_event();
+<a name="l00176"></a>00176       ++tmp;
+<a name="l00177"></a>00177     }
+<a name="l00178"></a>00178       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"End walking the trees of the main container to generate events"</span>);
+<a name="l00179"></a>00179     
+<a name="l00180"></a>00180   <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l00181"></a>00181 }
+<a name="l00182"></a>00182 
+<a name="l00183"></a>00183 <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> *  <a class="code" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">OfxMainContainer::find_security</a>(<span class="keywordtype">string</span> unique_id)
+<a name="l00184"></a>00184 {
+<a name="l00185"></a>00185  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::find_security() Begin."</span>);
+<a name="l00186"></a>00186 
+<a name="l00187"></a>00187   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp = security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00188"></a>00188   <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> * retval = NULL;
+<a name="l00189"></a>00189   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>()&amp;&amp;retval==NULL)
+<a name="l00190"></a>00190     {
+<a name="l00191"></a>00191       <span class="keywordflow">if</span>(((<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>*)(*tmp))-&gt;data.unique_id==unique_id)
+<a name="l00192"></a>00192         { <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,(<span class="keywordtype">string</span>)<span class="stringliteral">"Security "</span>+((<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>*)(*tmp))-&gt;data.unique_id+<span class="stringliteral">" found."</span>);
+<a name="l00193"></a>00193           retval=&amp;((<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>*)(*tmp))-&gt;data;
+<a name="l00194"></a>00194         }
+<a name="l00195"></a>00195       ++tmp;
+<a name="l00196"></a>00196     }
+<a name="l00197"></a>00197   <span class="keywordflow">return</span> retval;
+<a name="l00198"></a>00198 }
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__main_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__main_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__main_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,32 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_main.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_main.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Implementation of <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__container__main_8cpp-source.html">fx-0.9.0/lib/ofx_container_main.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__container__main_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__security_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__security_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__security_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,117 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_security.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_security.cpp</h1><a href="fx-0_89_80_2lib_2ofx__container__security_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">         ofx_container_security.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00029"></a>00029 
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
+<a name="l00031"></a>00031 
+<a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
+<a name="l00033"></a>00033 <span class="comment"> *                     OfxSecurityContainer                                *</span>
+<a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
+<a name="l00035"></a>00035 
+<a name="l00036"></a>00036 <a class="code" href="classOfxSecurityContainer.html#6463edacc95fc03733c0e7fb6776c15f">OfxSecurityContainer::OfxSecurityContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00038"></a>00038 {
+<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>));
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"SECURITY"</span>;
+<a name="l00041"></a>00041 }
+<a name="l00042"></a>00042 <a class="code" href="classOfxSecurityContainer.html#5205f0a09177451b4a6420da7420c256">OfxSecurityContainer::~OfxSecurityContainer</a>()
+<a name="l00043"></a>00043 {
+<a name="l00044"></a>00044 }
+<a name="l00045"></a>00045 <span class="keywordtype">void</span> <a class="code" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e" title="Add data to a container object.">OfxSecurityContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00046"></a>00046 {
+<a name="l00047"></a>00047   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEID"</span>){
+<a name="l00048"></a>00048     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a>));
+<a name="l00049"></a>00049     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">unique_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00050"></a>00050   }
+<a name="l00051"></a>00051   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEIDTYPE"</span>){
+<a name="l00052"></a>00052     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a>));
+<a name="l00053"></a>00053     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">unique_id_type_valid</a> = <span class="keyword">true</span>;
+<a name="l00054"></a>00054   }
+<a name="l00055"></a>00055   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"SECNAME"</span>){
+<a name="l00056"></a>00056     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a>));
+<a name="l00057"></a>00057     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">secname_valid</a> = <span class="keyword">true</span>;
+<a name="l00058"></a>00058   }
+<a name="l00059"></a>00059   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"TICKER"</span>){
+<a name="l00060"></a>00060     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a>));
+<a name="l00061"></a>00061     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">ticker_valid</a> = <span class="keyword">true</span>;
+<a name="l00062"></a>00062   }
+<a name="l00063"></a>00063   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNITPRICE"</span>){
+<a name="l00064"></a>00064     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">unitprice</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00065"></a>00065     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">unitprice_valid</a> = <span class="keyword">true</span>;
+<a name="l00066"></a>00066   }
+<a name="l00067"></a>00067   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTASOF"</span>){
+<a name="l00068"></a>00068     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">date_unitprice</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00069"></a>00069     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">date_unitprice_valid</a> = <span class="keyword">true</span>;
+<a name="l00070"></a>00070   }
+<a name="l00071"></a>00071   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CURDEF"</span>){
+<a name="l00072"></a>00072     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">currency</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>);
+<a name="l00073"></a>00073     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">currency_valid</a>=<span class="keyword">true</span>;
+<a name="l00074"></a>00074   }
+<a name="l00075"></a>00075   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MEMO"</span> || identifier==<span class="stringliteral">"MEMO2"</span>){
+<a name="l00076"></a>00076     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a>));
+<a name="l00077"></a>00077     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">memo_valid</a> = <span class="keyword">true</span>;
+<a name="l00078"></a>00078  }
+<a name="l00079"></a>00079   <span class="keywordflow">else</span>{
+<a name="l00080"></a>00080     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
+<a name="l00081"></a>00081     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00082"></a>00082   }
+<a name="l00083"></a>00083 }
+<a name="l00084"></a>00084 <span class="keywordtype">int</span>  <a class="code" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d" title="Generate libofx.h events.">OfxSecurityContainer::gen_event</a>()
+<a name="l00085"></a>00085 {
+<a name="l00086"></a>00086   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">securityCallback</a>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>);
+<a name="l00087"></a>00087   <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l00088"></a>00088 }
+<a name="l00089"></a>00089 
+<a name="l00090"></a>00090 <span class="keywordtype">int</span>  <a class="code" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f" title="Add this container to the main tree.">OfxSecurityContainer::add_to_main_tree</a>()
+<a name="l00091"></a>00091 {
+<a name="l00092"></a>00092   <span class="keywordflow">if</span>(MainContainer != NULL)
+<a name="l00093"></a>00093     {
+<a name="l00094"></a>00094       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
+<a name="l00095"></a>00095     }
+<a name="l00096"></a>00096   <span class="keywordflow">else</span>
+<a name="l00097"></a>00097     {
+<a name="l00098"></a>00098       <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l00099"></a>00099     }
+<a name="l00100"></a>00100 }
+<a name="l00101"></a>00101   
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__security_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__security_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__security_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,36 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_security.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_security.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Implementation of <a class="el" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> for stocks, bonds, mutual funds, etc. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__container__security_8cpp-source.html">fx-0.9.0/lib/ofx_container_security.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__container__security_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_container_security.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__container__security_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__statement_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__statement_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__statement_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,136 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_statement.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_statement.cpp</h1><a href="fx-0_89_80_2lib_2ofx__container__statement_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">         ofx_container_statement.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00029"></a>00029 
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
+<a name="l00031"></a>00031 
+<a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
+<a name="l00033"></a>00033 <span class="comment"> *                    OfxStatementContainer                                *</span>
+<a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
+<a name="l00035"></a>00035 
+<a name="l00036"></a>00036 <a class="code" href="classOfxStatementContainer.html#974c762415e209a77957ccabca3a4506">OfxStatementContainer::OfxStatementContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00038"></a>00038 {
+<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>));
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"STATEMENT"</span>;
+<a name="l00041"></a>00041 }
+<a name="l00042"></a>00042 <a class="code" href="classOfxStatementContainer.html#085def18d3414dc93d256b08d8f3ea2c">OfxStatementContainer::~OfxStatementContainer</a>()
+<a name="l00043"></a>00043 {
+<a name="l00044"></a>00044 <span class="comment">/*  while(transaction_queue.empty()!=true)</span>
+<a name="l00045"></a>00045 <span class="comment">    {</span>
+<a name="l00046"></a>00046 <span class="comment">      ofx_proc_transaction_cb(transaction_queue.front());</span>
+<a name="l00047"></a>00047 <span class="comment">      transaction_queue.pop();</span>
+<a name="l00048"></a>00048 <span class="comment">    }*/</span>
+<a name="l00049"></a>00049 }
+<a name="l00050"></a>00050 <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57" title="Add data to a container object.">OfxStatementContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00051"></a>00051 {
+<a name="l00052"></a>00052   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CURDEF"</span>){
+<a name="l00053"></a>00053     strncpy(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">currency</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>);
+<a name="l00054"></a>00054     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">currency_valid</a>=<span class="keyword">true</span>;
+<a name="l00055"></a>00055   }
+<a name="l00056"></a>00056   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MKTGINFO"</span>){
+<a name="l00057"></a>00057     strncpy(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">marketing_info</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">OFX_MARKETING_INFO_LENGTH</a>);
+<a name="l00058"></a>00058     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">marketing_info_valid</a>=<span class="keyword">true</span>;
+<a name="l00059"></a>00059   }
+<a name="l00060"></a>00060   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTSTART"</span>){
+<a name="l00061"></a>00061     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">date_start</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00062"></a>00062     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">date_start_valid</a> = <span class="keyword">true</span>;
+<a name="l00063"></a>00063   }
+<a name="l00064"></a>00064   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTEND"</span>){
+<a name="l00065"></a>00065     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">date_end</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00066"></a>00066     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">date_end_valid</a> = <span class="keyword">true</span>;
+<a name="l00067"></a>00067   }
+<a name="l00068"></a>00068   <span class="keywordflow">else</span>{
+<a name="l00069"></a>00069     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00070"></a>00070   }
+<a name="l00071"></a>00071 }<span class="comment">//end OfxStatementContainer::add_attribute()</span>
+<a name="l00072"></a>00072 
+<a name="l00073"></a>00073 <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#91534efc97834de2ddfc66e4e0e75b5c">OfxStatementContainer::add_balance</a>(<a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a>* ptr_balance_container)
+<a name="l00074"></a>00074 {
+<a name="l00075"></a>00075   <span class="keywordflow">if</span>(ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>==<span class="stringliteral">"LEDGERBAL"</span>){
+<a name="l00076"></a>00076     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">ledger_balance</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>;
+<a name="l00077"></a>00077     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">ledger_balance_valid</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>;
+<a name="l00078"></a>00078   }
+<a name="l00079"></a>00079   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>==<span class="stringliteral">"AVAILBAL"</span>){
+<a name="l00080"></a>00080     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">available_balance</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>;
+<a name="l00081"></a>00081     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">available_balance_valid</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>;
+<a name="l00082"></a>00082   }
+<a name="l00083"></a>00083   <span class="keywordflow">else</span>{
+<a name="l00084"></a>00084     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxStatementContainer::add_balance(): the balance has unknown tag_identifier: "</span>+ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>);
+<a name="l00085"></a>00085   }
+<a name="l00086"></a>00086 }
+<a name="l00087"></a>00087 
+<a name="l00088"></a>00088 
+<a name="l00089"></a>00089 <span class="keywordtype">int</span>  <a class="code" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d" title="Add this container to the main tree.">OfxStatementContainer::add_to_main_tree</a>()
+<a name="l00090"></a>00090 {
+<a name="l00091"></a>00091   <span class="keywordflow">if</span>(MainContainer != NULL)
+<a name="l00092"></a>00092     {
+<a name="l00093"></a>00093       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
+<a name="l00094"></a>00094     }
+<a name="l00095"></a>00095   <span class="keywordflow">else</span>
+<a name="l00096"></a>00096     {
+<a name="l00097"></a>00097       <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l00098"></a>00098     }
+<a name="l00099"></a>00099 }
+<a name="l00100"></a>00100 
+<a name="l00101"></a>00101 <span class="keywordtype">int</span>  <a class="code" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7" title="Generate libofx.h events.">OfxStatementContainer::gen_event</a>()
+<a name="l00102"></a>00102 {
+<a name="l00103"></a>00103   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">statementCallback</a>(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>);
+<a name="l00104"></a>00104   <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l00105"></a>00105 }
+<a name="l00106"></a>00106 
+<a name="l00107"></a>00107 
+<a name="l00108"></a>00108 <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">OfxStatementContainer::add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data)
+<a name="l00109"></a>00109 {
+<a name="l00110"></a>00110   <span class="keywordflow">if</span>(account_data-&gt;<a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>==<span class="keyword">true</span>)
+<a name="l00111"></a>00111     {
+<a name="l00112"></a>00112       <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a> = account_data;
+<a name="l00113"></a>00113       strncpy(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">account_id</a>,account_data-&gt;<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>);
+<a name="l00114"></a>00114       <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">account_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00115"></a>00115     }
+<a name="l00116"></a>00116 }
+<a name="l00117"></a>00117 <span class="comment">/*void OfxStatementContainer::add_transaction(const OfxTransactionData transaction_data)</span>
+<a name="l00118"></a>00118 <span class="comment">{</span>
+<a name="l00119"></a>00119 <span class="comment">  transaction_queue.push(transaction_data);</span>
+<a name="l00120"></a>00120 <span class="comment">}*/</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__statement_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__statement_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__statement_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,36 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_statement.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_statement.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Implementation of <a class="el" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> for bank statements, credit cart statements, etc. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__container__statement_8cpp-source.html">fx-0.9.0/lib/ofx_container_statement.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__container__statement_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_container_statement.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__container__statement_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__transaction_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__transaction_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__transaction_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,403 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_transaction.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_transaction.cpp</h1><a href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">         ofx_container_account.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00029"></a>00029 
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
+<a name="l00031"></a>00031 
+<a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
+<a name="l00033"></a>00033 <span class="comment"> *                      OfxTransactionContainer                            *</span>
+<a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
+<a name="l00035"></a>00035 
+<a name="l00036"></a>00036 <a class="code" href="classOfxTransactionContainer.html#d43b43b1006be733490c4e25f8a41434">OfxTransactionContainer::OfxTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00038"></a>00038 {
+<a name="l00039"></a>00039   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> * tmp_parentcontainer=<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
+<a name="l00040"></a>00040 
+<a name="l00041"></a>00041   memset(&amp;<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>));
+<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"TRANSACTION"</span>;
+<a name="l00043"></a>00043   <span class="comment">/* Find the parent statement container*/</span>
+<a name="l00044"></a>00044   <span class="keywordflow">while</span>(tmp_parentcontainer!=NULL&amp;&amp;tmp_parentcontainer-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
+<a name="l00045"></a>00045     {
+<a name="l00046"></a>00046       tmp_parentcontainer=tmp_parentcontainer-&gt;<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
+<a name="l00047"></a>00047     }  
+<a name="l00048"></a>00048   <span class="keywordflow">if</span> (tmp_parentcontainer!=NULL){
+<a name="l00049"></a>00049     parent_statement=(<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)tmp_parentcontainer;
+<a name="l00050"></a>00050   }
+<a name="l00051"></a>00051   <span class="keywordflow">else</span>{
+<a name="l00052"></a>00052     parent_statement=NULL;
+<a name="l00053"></a>00053     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Unable to find the enclosing statement container this transaction"</span>);
+<a name="l00054"></a>00054   }
+<a name="l00055"></a>00055   <span class="keywordflow">if</span> (parent_statement!=NULL&amp;&amp;parent_statement-&gt;data.account_id_valid==<span class="keyword">true</span>){
+<a name="l00056"></a>00056     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a>,parent_statement-&gt;data.account_id,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>);
+<a name="l00057"></a>00057     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00058"></a>00058   }
+<a name="l00059"></a>00059 }
+<a name="l00060"></a>00060 <a class="code" href="classOfxTransactionContainer.html#8c24bf77f0154df5bdf134ebac97b12e">OfxTransactionContainer::~OfxTransactionContainer</a>()
+<a name="l00061"></a>00061 {
+<a name="l00062"></a>00062 
+<a name="l00063"></a>00063 }
+<a name="l00064"></a>00064 
+<a name="l00065"></a>00065 <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99" title="Generate libofx.h events.">OfxTransactionContainer::gen_event</a>()
+<a name="l00066"></a>00066 {
+<a name="l00067"></a>00067   <span class="keywordflow">if</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a>==<span class="keyword">true</span>&amp;&amp;MainContainer != NULL)
+<a name="l00068"></a>00068     {
+<a name="l00069"></a>00069       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a> = MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">find_security</a>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>);
+<a name="l00070"></a>00070       <span class="keywordflow">if</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a>!=NULL)
+<a name="l00071"></a>00071         {
+<a name="l00072"></a>00072           <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">security_data_valid</a> = <span class="keyword">true</span>;
+<a name="l00073"></a>00073         }
+<a name="l00074"></a>00074     }
+<a name="l00075"></a>00075   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">transactionCallback</a>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>);
+<a name="l00076"></a>00076   <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l00077"></a>00077 }
+<a name="l00078"></a>00078 
+<a name="l00079"></a>00079 <span class="keywordtype">int</span>  <a class="code" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d" title="Add this container to the main tree.">OfxTransactionContainer::add_to_main_tree</a>()
+<a name="l00080"></a>00080 {
+<a name="l00081"></a>00081 
+<a name="l00082"></a>00082   <span class="keywordflow">if</span>(MainContainer != NULL)
+<a name="l00083"></a>00083     {
+<a name="l00084"></a>00084       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
+<a name="l00085"></a>00085     }
+<a name="l00086"></a>00086   <span class="keywordflow">else</span>
+<a name="l00087"></a>00087     {
+<a name="l00088"></a>00088       <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l00089"></a>00089     }
+<a name="l00090"></a>00090 }
+<a name="l00091"></a>00091 
+<a name="l00092"></a>00092 
+<a name="l00093"></a>00093 <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">OfxTransactionContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00094"></a>00094 {
+<a name="l00095"></a>00095 
+<a name="l00096"></a>00096   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTPOSTED"</span>){
+<a name="l00097"></a>00097     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00098"></a>00098     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a> = <span class="keyword">true</span>;
+<a name="l00099"></a>00099   }
+<a name="l00100"></a>00100   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTUSER"</span>){
+<a name="l00101"></a>00101     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00102"></a>00102     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a> = <span class="keyword">true</span>;
+<a name="l00103"></a>00103   }
+<a name="l00104"></a>00104   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTAVAIL"</span>){
+<a name="l00105"></a>00105     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">date_funds_available</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00106"></a>00106     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">date_funds_available_valid</a> = <span class="keyword">true</span>;
+<a name="l00107"></a>00107   }
+<a name="l00108"></a>00108   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"FITID"</span>){
+<a name="l00109"></a>00109     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>));
+<a name="l00110"></a>00110     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">fi_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00111"></a>00111   }
+<a name="l00112"></a>00112   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CORRECTFITID"</span>){
+<a name="l00113"></a>00113     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">fi_id_corrected</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>));
+<a name="l00114"></a>00114     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">fi_id_corrected_valid</a> = <span class="keyword">true</span>;
+<a name="l00115"></a>00115   }
+<a name="l00116"></a>00116   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CORRECTACTION"</span>){
+<a name="l00117"></a>00117     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a>=<span class="keyword">true</span>;
+<a name="l00118"></a>00118     <span class="keywordflow">if</span>(value==<span class="stringliteral">"REPLACE"</span>){
+<a name="l00119"></a>00119       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>=<a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>;
+<a name="l00120"></a>00120     }
+<a name="l00121"></a>00121     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DELETE"</span>){
+<a name="l00122"></a>00122       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>=<a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>;
+<a name="l00123"></a>00123     }
+<a name="l00124"></a>00124     <span class="keywordflow">else</span>{
+<a name="l00125"></a>00125       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a>=<span class="keyword">false</span>;
+<a name="l00126"></a>00126     }
+<a name="l00127"></a>00127   }
+<a name="l00128"></a>00128   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"SRVRTID"</span>)||(identifier==<span class="stringliteral">"SRVRTID2"</span>)){
+<a name="l00129"></a>00129     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a>));
+<a name="l00130"></a>00130     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">server_transaction_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00131"></a>00131   }
+<a name="l00132"></a>00132   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MEMO"</span> || identifier==<span class="stringliteral">"MEMO2"</span>){
+<a name="l00133"></a>00133     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>));
+<a name="l00134"></a>00134     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">memo_valid</a> = <span class="keyword">true</span>;
+<a name="l00135"></a>00135   }
+<a name="l00136"></a>00136   <span class="keywordflow">else</span>{
+<a name="l00137"></a>00137     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
+<a name="l00138"></a>00138     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00139"></a>00139   }
+<a name="l00140"></a>00140 }<span class="comment">// end OfxTransactionContainer::add_attribute()</span>
+<a name="l00141"></a>00141 
+<a name="l00142"></a>00142 <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">OfxTransactionContainer::add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data)
+<a name="l00143"></a>00143 {
+<a name="l00144"></a>00144   <span class="keywordflow">if</span>(account_data-&gt;<a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>==<span class="keyword">true</span>)
+<a name="l00145"></a>00145     {
+<a name="l00146"></a>00146       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">account_ptr</a> = account_data;
+<a name="l00147"></a>00147       strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a>,account_data-&gt;<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>);
+<a name="l00148"></a>00148       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00149"></a>00149     }
+<a name="l00150"></a>00150 }
+<a name="l00151"></a>00151 
+<a name="l00152"></a>00152 <span class="comment">/***************************************************************************</span>
+<a name="l00153"></a>00153 <span class="comment"> *                      OfxBankTransactionContainer                        *</span>
+<a name="l00154"></a>00154 <span class="comment"> ***************************************************************************/</span>
+<a name="l00155"></a>00155 
+<a name="l00156"></a>00156 <a class="code" href="classOfxBankTransactionContainer.html#59d1936cd1cd0a66c4c0a8e993c123f4">OfxBankTransactionContainer::OfxBankTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier): 
+<a name="l00157"></a>00157   <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00158"></a>00158 {
+<a name="l00159"></a>00159   ;
+<a name="l00160"></a>00160 }
+<a name="l00161"></a>00161 <span class="keywordtype">void</span> <a class="code" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d" title="Add data to a container object.">OfxBankTransactionContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00162"></a>00162 {
+<a name="l00163"></a>00163   <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"TRNTYPE"</span>){
+<a name="l00164"></a>00164     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>=<span class="keyword">true</span>;
+<a name="l00165"></a>00165     <span class="keywordflow">if</span>(value==<span class="stringliteral">"CREDIT"</span>){
+<a name="l00166"></a>00166       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>;
+<a name="l00167"></a>00167     }
+<a name="l00168"></a>00168     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DEBIT"</span>){
+<a name="l00169"></a>00169       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>;
+<a name="l00170"></a>00170     }
+<a name="l00171"></a>00171     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"INT"</span>){
+<a name="l00172"></a>00172       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>;
+<a name="l00173"></a>00173     }
+<a name="l00174"></a>00174     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DIV"</span>){
+<a name="l00175"></a>00175       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>;
+<a name="l00176"></a>00176     }
+<a name="l00177"></a>00177     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"FEE"</span>){
+<a name="l00178"></a>00178       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>;
+<a name="l00179"></a>00179     }
+<a name="l00180"></a>00180     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"SRVCHG"</span>){
+<a name="l00181"></a>00181       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>;
+<a name="l00182"></a>00182     }
+<a name="l00183"></a>00183     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DEP"</span>){
+<a name="l00184"></a>00184       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>;
+<a name="l00185"></a>00185     }
+<a name="l00186"></a>00186     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"ATM"</span>){
+<a name="l00187"></a>00187       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>;
+<a name="l00188"></a>00188     }
+<a name="l00189"></a>00189     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"POS"</span>){
+<a name="l00190"></a>00190       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>;
+<a name="l00191"></a>00191     }
+<a name="l00192"></a>00192     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"XFER"</span>){
+<a name="l00193"></a>00193       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>;
+<a name="l00194"></a>00194     }
+<a name="l00195"></a>00195     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CHECK"</span>){
+<a name="l00196"></a>00196       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>;
+<a name="l00197"></a>00197     }
+<a name="l00198"></a>00198     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"PAYMENT"</span>){
+<a name="l00199"></a>00199       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>;
+<a name="l00200"></a>00200     }
+<a name="l00201"></a>00201     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CASH"</span>){
+<a name="l00202"></a>00202       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>;
+<a name="l00203"></a>00203     }
+<a name="l00204"></a>00204     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DIRECTDEP"</span>){
+<a name="l00205"></a>00205       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>;
+<a name="l00206"></a>00206     }
+<a name="l00207"></a>00207     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DIRECTDEBIT"</span>){
+<a name="l00208"></a>00208       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>;
+<a name="l00209"></a>00209     }
+<a name="l00210"></a>00210     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"REPEATPMT"</span>){
+<a name="l00211"></a>00211       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>;
+<a name="l00212"></a>00212     }
+<a name="l00213"></a>00213     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"OTHER"</span>){
+<a name="l00214"></a>00214       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>;
+<a name="l00215"></a>00215     }
+<a name="l00216"></a>00216     <span class="keywordflow">else</span> {
+<a name="l00217"></a>00217       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>=<span class="keyword">false</span>;
+<a name="l00218"></a>00218     }
+<a name="l00219"></a>00219   }<span class="comment">//end TRANSTYPE</span>
+<a name="l00220"></a>00220   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"TRNAMT"</span>){
+<a name="l00221"></a>00221     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00222"></a>00222     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a>=<span class="keyword">true</span>;
+<a name="l00223"></a>00223     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a> = -<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>;
+<a name="l00224"></a>00224     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a>=<span class="keyword">true</span>;
+<a name="l00225"></a>00225     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a> = 1.00;
+<a name="l00226"></a>00226     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a>=<span class="keyword">true</span>;
+<a name="l00227"></a>00227   }
+<a name="l00228"></a>00228   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CHECKNUM"</span>){
+<a name="l00229"></a>00229     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>));
+<a name="l00230"></a>00230     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">check_number_valid</a> = <span class="keyword">true</span>;
+<a name="l00231"></a>00231   }
+<a name="l00232"></a>00232   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"REFNUM"</span>){
+<a name="l00233"></a>00233     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>));
+<a name="l00234"></a>00234     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">reference_number_valid</a> = <span class="keyword">true</span>;
+<a name="l00235"></a>00235   }
+<a name="l00236"></a>00236   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"SIC"</span>){
+<a name="l00237"></a>00237     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">standard_industrial_code</a> = atoi(value.c_str());
+<a name="l00238"></a>00238     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">standard_industrial_code_valid</a> = <span class="keyword">true</span>;
+<a name="l00239"></a>00239   }
+<a name="l00240"></a>00240   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"PAYEEID"</span>)||(identifier==<span class="stringliteral">"PAYEEID2"</span>)){
+<a name="l00241"></a>00241     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a>));
+<a name="l00242"></a>00242     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">payee_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00243"></a>00243   }
+<a name="l00244"></a>00244   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"NAME"</span>){
+<a name="l00245"></a>00245     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>));
+<a name="l00246"></a>00246     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">name_valid</a> = <span class="keyword">true</span>;
+<a name="l00247"></a>00247   }
+<a name="l00248"></a>00248   <span class="keywordflow">else</span>{
+<a name="l00249"></a>00249     <span class="comment">/* Redirect unknown identifiers to base class */</span>
+<a name="l00250"></a>00250     <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">OfxTransactionContainer::add_attribute</a>(identifier, value);
+<a name="l00251"></a>00251   }
+<a name="l00252"></a>00252 }<span class="comment">//end OfxBankTransactionContainer::add_attribute</span>
+<a name="l00253"></a>00253  
+<a name="l00254"></a>00254 
+<a name="l00255"></a>00255 <span class="comment">/***************************************************************************</span>
+<a name="l00256"></a>00256 <span class="comment"> *                    OfxInvestmentTransactionContainer                    *</span>
+<a name="l00257"></a>00257 <span class="comment"> ***************************************************************************/</span>
+<a name="l00258"></a>00258 
+<a name="l00259"></a>00259 <a class="code" href="classOfxInvestmentTransactionContainer.html#ffd3c5d7c722248c8b07c44d6495f2ed">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00260"></a>00260   <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00261"></a>00261 {
+<a name="l00262"></a>00262   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"INVESTMENT"</span>;
+<a name="l00263"></a>00263   <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>;
+<a name="l00264"></a>00264   <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>=<span class="keyword">true</span>;
+<a name="l00265"></a>00265   
+<a name="l00266"></a>00266   <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a>=<span class="keyword">true</span>; 
+<a name="l00267"></a>00267   <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYDEBT"</span>){
+<a name="l00268"></a>00268     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>;
+<a name="l00269"></a>00269   }
+<a name="l00270"></a>00270   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYMF"</span>){
+<a name="l00271"></a>00271     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>;
+<a name="l00272"></a>00272   }
+<a name="l00273"></a>00273   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYOPT"</span>){
+<a name="l00274"></a>00274     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>;
+<a name="l00275"></a>00275   }
+<a name="l00276"></a>00276   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYOTHER"</span>){
+<a name="l00277"></a>00277     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>;
+<a name="l00278"></a>00278   }
+<a name="l00279"></a>00279   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYSTOCK"</span>){
+<a name="l00280"></a>00280     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>;
+<a name="l00281"></a>00281   }
+<a name="l00282"></a>00282   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"CLOSUREOPT"</span>){
+<a name="l00283"></a>00283     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>;
+<a name="l00284"></a>00284   }
+<a name="l00285"></a>00285   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"INCOME"</span>){
+<a name="l00286"></a>00286     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>;
+<a name="l00287"></a>00287   }
+<a name="l00288"></a>00288   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"INVEXPENSE"</span>){
+<a name="l00289"></a>00289     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>;
+<a name="l00290"></a>00290   }
+<a name="l00291"></a>00291   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"JRNLFUND"</span>){
+<a name="l00292"></a>00292     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>;
+<a name="l00293"></a>00293   }
+<a name="l00294"></a>00294   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"JRNLSEC"</span>){
+<a name="l00295"></a>00295     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>;
+<a name="l00296"></a>00296   }
+<a name="l00297"></a>00297   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"MARGININTEREST"</span>){
+<a name="l00298"></a>00298     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>;
+<a name="l00299"></a>00299   }
+<a name="l00300"></a>00300   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"REINVEST"</span>){
+<a name="l00301"></a>00301     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>;
+<a name="l00302"></a>00302   }
+<a name="l00303"></a>00303   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"RETOFCAP"</span>){
+<a name="l00304"></a>00304     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>;
+<a name="l00305"></a>00305   }
+<a name="l00306"></a>00306   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLDEBT"</span>){
+<a name="l00307"></a>00307     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>;
+<a name="l00308"></a>00308   }
+<a name="l00309"></a>00309   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLMF"</span>){
+<a name="l00310"></a>00310     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>;
+<a name="l00311"></a>00311   }
+<a name="l00312"></a>00312   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLOPT"</span>){
+<a name="l00313"></a>00313     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>;
+<a name="l00314"></a>00314   }
+<a name="l00315"></a>00315   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLOTHER"</span>){
+<a name="l00316"></a>00316     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>;
+<a name="l00317"></a>00317   }
+<a name="l00318"></a>00318   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLSTOCK"</span>){
+<a name="l00319"></a>00319     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>;
+<a name="l00320"></a>00320   }
+<a name="l00321"></a>00321   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SPLIT"</span>){
+<a name="l00322"></a>00322     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>;
+<a name="l00323"></a>00323   }
+<a name="l00324"></a>00324   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"TRANSFER"</span>){
+<a name="l00325"></a>00325     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>;
+<a name="l00326"></a>00326   }
+<a name="l00327"></a>00327   <span class="keywordflow">else</span>{
+<a name="l00328"></a>00328     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"This should not happen, "</span>+para_tag_identifier+<span class="stringliteral">" is an unknown investment transaction type"</span>);
+<a name="l00329"></a>00329     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a>=<span class="keyword">false</span>; 
+<a name="l00330"></a>00330   }
+<a name="l00331"></a>00331 }
+<a name="l00332"></a>00332 
+<a name="l00333"></a>00333 <span class="keywordtype">void</span> <a class="code" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45" title="Add data to a container object.">OfxInvestmentTransactionContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00334"></a>00334 {
+<a name="l00335"></a>00335   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEID"</span>){
+<a name="l00336"></a>00336     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>));
+<a name="l00337"></a>00337     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00338"></a>00338   }
+<a name="l00339"></a>00339   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEIDTYPE"</span>){
+<a name="l00340"></a>00340     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a>));
+<a name="l00341"></a>00341     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">unique_id_type_valid</a> = <span class="keyword">true</span>;
+<a name="l00342"></a>00342   }
+<a name="l00343"></a>00343   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNITS"</span>){
+<a name="l00344"></a>00344     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00345"></a>00345     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a> = <span class="keyword">true</span>;
+<a name="l00346"></a>00346   }
+<a name="l00347"></a>00347   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNITPRICE"</span>){
+<a name="l00348"></a>00348     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00349"></a>00349     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a> = <span class="keyword">true</span>;
+<a name="l00350"></a>00350   }
+<a name="l00351"></a>00351   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MKTVAL"</span>){
+<a name="l00352"></a>00352     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"MKTVAL of "</span>+value+<span class="stringliteral">" ignored since MKTVAL should always be UNITS*UNITPRICE"</span>);
+<a name="l00353"></a>00353   }
+<a name="l00354"></a>00354   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"TOTAL"</span>){
+<a name="l00355"></a>00355     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00356"></a>00356     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a> = <span class="keyword">true</span>;
+<a name="l00357"></a>00357   }
+<a name="l00358"></a>00358   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTSETTLE"</span>){
+<a name="l00359"></a>00359     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00360"></a>00360     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a> = <span class="keyword">true</span>;
+<a name="l00361"></a>00361   }
+<a name="l00362"></a>00362   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTTRADE"</span>){
+<a name="l00363"></a>00363     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00364"></a>00364     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a> = <span class="keyword">true</span>;
+<a name="l00365"></a>00365   }
+<a name="l00366"></a>00366   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"COMMISSION"</span>){
+<a name="l00367"></a>00367     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">commission</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00368"></a>00368     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">commission_valid</a> = <span class="keyword">true</span>;
+<a name="l00369"></a>00369   }
+<a name="l00370"></a>00370   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"FEES"</span>){
+<a name="l00371"></a>00371     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">fees</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00372"></a>00372     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">fees_valid</a> = <span class="keyword">true</span>;
+<a name="l00373"></a>00373   }
+<a name="l00374"></a>00374   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"OLDUNITS"</span>){
+<a name="l00375"></a>00375     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">oldunits</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00376"></a>00376     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">oldunits_valid</a> = <span class="keyword">true</span>;
+<a name="l00377"></a>00377   }
+<a name="l00378"></a>00378   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"NEWUNITS"</span>){
+<a name="l00379"></a>00379     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">newunits</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00380"></a>00380     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">newunits_valid</a> = <span class="keyword">true</span>;
+<a name="l00381"></a>00381   }
+<a name="l00382"></a>00382   <span class="keywordflow">else</span>{
+<a name="l00383"></a>00383     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
+<a name="l00384"></a>00384     <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">OfxTransactionContainer::add_attribute</a>(identifier, value);
+<a name="l00385"></a>00385   }
+<a name="l00386"></a>00386 }<span class="comment">//end OfxInvestmentTransactionContainer::add_attribute</span>
+<a name="l00387"></a>00387 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__container__transaction_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__container__transaction_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__container__transaction_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,36 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_container_transaction.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_container_transaction.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Implementation of <a class="el" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> and <a class="el" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a>. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp-source.html">fx-0.9.0/lib/ofx_container_transaction.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_container_transaction.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__containers_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__containers_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__containers_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,209 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_containers.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_containers.hh</h1><a href="fx-0_89_80_2lib_2ofx__containers_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_proc_rs.h </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00013"></a>00013 <span class="comment">/***************************************************************************</span>
+<a name="l00014"></a>00014 <span class="comment"> *                                                                         *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00017"></a>00017 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00018"></a>00018 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00019"></a>00019 <span class="comment"> *                                                                         *</span>
+<a name="l00020"></a>00020 <span class="comment"> ***************************************************************************/</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#ifndef OFX_PROC_H</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#define OFX_PROC_H</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "tree.hh"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "context.hh"</span>
+<a name="l00026"></a>00026 
+<a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
+<a name="l00028"></a>00028 
+<a name="l00033"></a>00033 <span class="keyword">class </span><a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
+<a name="l00034"></a>00034  <span class="keyword">public</span>:
+<a name="l00035"></a>00035   <span class="keywordtype">string</span> <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>;
+<a name="l00036"></a>00036   <span class="keywordtype">string</span> <a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>; 
+<a name="l00037"></a><a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">00037</a>   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
+<a name="l00038"></a><a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">00038</a>   <a class="code" href="classLibofxContext.html">LibofxContext</a> *<a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>;
+<a name="l00039"></a>00039 
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context);
+<a name="l00041"></a>00041   <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer);
+<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00043"></a>00043 
+<a name="l00044"></a><a class="code" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">00044</a>   <span class="keyword">virtual</span> <a class="code" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">~OfxGenericContainer</a>(){};
+<a name="l00045"></a>00045   
+<a name="l00052"></a>00052   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00058"></a>00058   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00059"></a>00059 
+<a name="l00065"></a>00065   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00066"></a>00066 
+<a name="l00068"></a>00068     <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>* <a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a>();
+<a name="l00069"></a>00069 };<span class="comment">//End class OfxGenericObject</span>
+<a name="l00070"></a>00070 
+<a name="l00075"></a>00075 <span class="keyword">class </span><a class="code" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
+<a name="l00076"></a>00076  <span class="keyword">public</span>:
+<a name="l00077"></a>00077   <a class="code" href="classOfxDummyContainer.html#b28080b768be9d5d36d8b7791591bbcd">OfxDummyContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00078"></a>00078   <span class="keywordtype">void</span> <a class="code" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00079"></a>00079 };
+<a name="l00080"></a>00080 
+<a name="l00085"></a>00085 <span class="keyword">class </span><a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
+<a name="l00086"></a>00086  <span class="keyword">public</span>:
+<a name="l00087"></a>00087   
+<a name="l00088"></a>00088   <a class="code" href="classOfxPushUpContainer.html#1fa2e01710b00ce7bdb80d5c9fbb3d2c">OfxPushUpContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00089"></a>00089   <span class="keywordtype">void</span> <a class="code" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00090"></a>00090 };
+<a name="l00091"></a>00091 
+<a name="l00093"></a>00093 <span class="keyword">class </span><a class="code" href="classOfxStatusContainer.html" title="Represents the &amp;lt;STATUS&amp;gt; OFX SGML entity.">OfxStatusContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
+<a name="l00094"></a>00094  <span class="keyword">public</span>:
+<a name="l00095"></a>00095   <a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>;
+<a name="l00096"></a>00096   
+<a name="l00097"></a>00097   <a class="code" href="classOfxStatusContainer.html#5c46c8df8db712f6ad37b49fd6af5dc0">OfxStatusContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00098"></a>00098   <a class="code" href="classOfxStatusContainer.html#cedeebfa681e9b075c8168196752c2a8">~OfxStatusContainer</a>();
+<a name="l00099"></a>00099   <span class="keywordtype">void</span> <a class="code" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00100"></a>00100 };
+<a name="l00101"></a>00101 
+<a name="l00106"></a>00106 <span class="keyword">class </span><a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
+<a name="l00107"></a>00107  <span class="keyword">public</span>:
+<a name="l00108"></a>00108   <span class="comment">/* Not yet complete see spec 1.6 p.63 */</span>
+<a name="l00109"></a>00109   <span class="comment">//char name[OFX_BALANCE_NAME_LENGTH];</span>
+<a name="l00110"></a>00110   <span class="comment">//char description[OFX_BALANCE_DESCRIPTION_LENGTH];</span>
+<a name="l00111"></a>00111   <span class="comment">//enum BalanceType{DOLLAR, PERCENT, NUMBER} balance_type;</span>
+<a name="l00112"></a>00112   <span class="keywordtype">double</span> <a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>; 
+<a name="l00113"></a>00113   <span class="keywordtype">int</span> <a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>;
+<a name="l00114"></a>00114   time_t <a class="code" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">date</a>; 
+<a name="l00115"></a>00115   <span class="keywordtype">int</span> <a class="code" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">date_valid</a>;
+<a name="l00116"></a>00116   
+<a name="l00117"></a>00117   <a class="code" href="classOfxBalanceContainer.html#96baefa68988c2d9c2f46f553d40599f">OfxBalanceContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00118"></a>00118   <a class="code" href="classOfxBalanceContainer.html#db4feb10b8e5328aab5025ff49fd43f5">~OfxBalanceContainer</a>();
+<a name="l00119"></a>00119   <span class="keywordtype">void</span> <a class="code" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00120"></a>00120 };
+<a name="l00121"></a>00121 
+<a name="l00122"></a>00122 <span class="comment">/***************************************************************************</span>
+<a name="l00123"></a>00123 <span class="comment"> *                          OfxStatementContainer                          *</span>
+<a name="l00124"></a>00124 <span class="comment"> ***************************************************************************/</span>
+<a name="l00129"></a>00129 <span class="keyword">class </span><a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
+<a name="l00130"></a>00130  <span class="keyword">public</span>:
+<a name="l00131"></a>00131   <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>;
+<a name="l00132"></a>00132   
+<a name="l00133"></a>00133   <a class="code" href="classOfxStatementContainer.html#974c762415e209a77957ccabca3a4506">OfxStatementContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00134"></a>00134   <a class="code" href="classOfxStatementContainer.html#085def18d3414dc93d256b08d8f3ea2c">~OfxStatementContainer</a>();
+<a name="l00135"></a>00135   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00136"></a>00136   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00137"></a>00137   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00138"></a>00138   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data);
+<a name="l00139"></a>00139   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#91534efc97834de2ddfc66e4e0e75b5c">add_balance</a>(<a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a>* ptr_balance_container);
+<a name="l00140"></a>00140 <span class="comment">//  void add_transaction(const OfxTransactionData transaction_data);</span>
+<a name="l00141"></a>00141 
+<a name="l00142"></a>00142 };
+<a name="l00143"></a>00143 
+<a name="l00144"></a>00144 <span class="comment">/***************************************************************************</span>
+<a name="l00145"></a>00145 <span class="comment"> *                           OfxAccountContaine r                          *</span>
+<a name="l00146"></a>00146 <span class="comment"> ***************************************************************************/</span>
+<a name="l00151"></a>00151 <span class="keyword">class </span><a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
+<a name="l00152"></a>00152  <span class="keyword">public</span>:
+<a name="l00153"></a>00153   <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>;
+<a name="l00154"></a>00154   
+<a name="l00155"></a>00155   <a class="code" href="classOfxAccountContainer.html#da1972a79e8c8096184ea7a22968f35c">OfxAccountContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00156"></a>00156   <a class="code" href="classOfxAccountContainer.html#64691a91027e92c8cbc5bb1240d3f1b8">~OfxAccountContainer</a>();
+<a name="l00157"></a>00157   <span class="keywordtype">void</span> <a class="code" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00158"></a>00158   <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00159"></a>00159   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00160"></a>00160  <span class="keyword">private</span>:
+<a name="l00161"></a>00161   <span class="keywordtype">void</span> gen_account_id(<span class="keywordtype">void</span>);
+<a name="l00162"></a>00162   <span class="keywordtype">char</span> bankid[<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>];
+<a name="l00163"></a>00163   <span class="keywordtype">char</span> branchid[<a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>];
+<a name="l00164"></a>00164   <span class="keywordtype">char</span> acctid[<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>];
+<a name="l00165"></a>00165   <span class="keywordtype">char</span> acctkey[<a class="code" href="inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">OFX_ACCTKEY_LENGTH</a>];
+<a name="l00166"></a>00166   <span class="keywordtype">char</span> brokerid[<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>];
+<a name="l00167"></a>00167 };
+<a name="l00168"></a>00168 
+<a name="l00169"></a>00169 <span class="comment">/***************************************************************************</span>
+<a name="l00170"></a>00170 <span class="comment"> *                           OfxSecurityContainer                          *</span>
+<a name="l00171"></a>00171 <span class="comment"> ***************************************************************************/</span>
+<a name="l00174"></a>00174 <span class="keyword">class </span><a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
+<a name="l00175"></a>00175  <span class="keyword">public</span>:
+<a name="l00176"></a>00176   <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>;  
+<a name="l00177"></a>00177 
+<a name="l00178"></a>00178   <a class="code" href="classOfxSecurityContainer.html#6463edacc95fc03733c0e7fb6776c15f">OfxSecurityContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00179"></a>00179   <a class="code" href="classOfxSecurityContainer.html#5205f0a09177451b4a6420da7420c256">~OfxSecurityContainer</a>();
+<a name="l00180"></a>00180   <span class="keywordtype">void</span> <a class="code" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00181"></a>00181   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00182"></a>00182   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00183"></a>00183  <span class="keyword">private</span>:
+<a name="l00184"></a>00184   <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * parent_statement;
+<a name="l00185"></a>00185 };
+<a name="l00186"></a>00186 
+<a name="l00187"></a>00187 
+<a name="l00188"></a>00188 <span class="comment">/***************************************************************************</span>
+<a name="l00189"></a>00189 <span class="comment"> *                        OfxTransactionContainer                          *</span>
+<a name="l00190"></a>00190 <span class="comment"> ***************************************************************************/</span>
+<a name="l00193"></a>00193 <span class="keyword">class </span><a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
+<a name="l00194"></a>00194  <span class="keyword">public</span>:
+<a name="l00195"></a>00195   <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>;  
+<a name="l00196"></a>00196 
+<a name="l00197"></a>00197   <a class="code" href="classOfxTransactionContainer.html#d43b43b1006be733490c4e25f8a41434">OfxTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00198"></a>00198   <a class="code" href="classOfxTransactionContainer.html#8c24bf77f0154df5bdf134ebac97b12e">~OfxTransactionContainer</a>();
+<a name="l00199"></a>00199   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00200"></a>00200   <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data);
+<a name="l00201"></a>00201 
+<a name="l00202"></a>00202   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00203"></a>00203   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00204"></a>00204  <span class="keyword">private</span>:
+<a name="l00205"></a>00205   <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * parent_statement;
+<a name="l00206"></a>00206 };
+<a name="l00207"></a>00207 
+<a name="l00212"></a>00212 <span class="keyword">class </span><a class="code" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> {
+<a name="l00213"></a>00213  <span class="keyword">public</span>:
+<a name="l00214"></a>00214   <a class="code" href="classOfxBankTransactionContainer.html#59d1936cd1cd0a66c4c0a8e993c123f4">OfxBankTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00215"></a>00215   <span class="keywordtype">void</span> <a class="code" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00216"></a>00216 };
+<a name="l00217"></a>00217 
+<a name="l00222"></a>00222 <span class="keyword">class </span><a class="code" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> {
+<a name="l00223"></a>00223  <span class="keyword">public</span>:
+<a name="l00224"></a>00224   <a class="code" href="classOfxInvestmentTransactionContainer.html#ffd3c5d7c722248c8b07c44d6495f2ed">OfxInvestmentTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00225"></a>00225 
+<a name="l00226"></a>00226   <span class="keywordtype">void</span> <a class="code" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00227"></a>00227 };
+<a name="l00228"></a>00228 
+<a name="l00229"></a>00229 <span class="comment">/***************************************************************************</span>
+<a name="l00230"></a>00230 <span class="comment"> *                             OfxMainContainer                            *</span>
+<a name="l00231"></a>00231 <span class="comment"> ***************************************************************************/</span>
+<a name="l00236"></a>00236 <span class="keyword">class </span><a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
+<a name="l00237"></a>00237 <span class="keyword">public</span>:
+<a name="l00238"></a>00238   <a class="code" href="classOfxMainContainer.html#bdecebdd778e0169bcb7389f8db0454d">OfxMainContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00239"></a>00239   <a class="code" href="classOfxMainContainer.html#195e97a1121a6efdf898bd1cc5c43f8f">~OfxMainContainer</a>();
+<a name="l00240"></a>00240   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> * container);
+<a name="l00241"></a>00241   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * container);
+<a name="l00242"></a>00242   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> * container);
+<a name="l00243"></a>00243   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> * container);
+<a name="l00244"></a>00244   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> * container);
+<a name="l00245"></a>00245   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00246"></a>00246   <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> * <a class="code" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">find_security</a>(<span class="keywordtype">string</span> unique_id);
+<a name="l00247"></a>00247 <span class="keyword">private</span>:
+<a name="l00248"></a>00248   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;</a> security_tree;
+<a name="l00249"></a>00249   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;</a> account_tree;
+<a name="l00250"></a>00250 };
+<a name="l00251"></a>00251 
+<a name="l00252"></a>00252 
+<a name="l00253"></a>00253 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__containers_8hh.html'
--- doc/html/fx-0_89_80_2lib_2ofx__containers_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__containers_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,70 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_containers.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_containers.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+LibOFX internal object code. 
+<p>
+These objects will process the elements returned by ofx_sgml.cpp and add them to their data members. <dl class="warning" compact><dt><b>Warning:</b></dt><dd>Object documentation is not yet complete. </dd></dl>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">fx-0.9.0/lib/ofx_containers.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__containers_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A generic container for an OFX SGML element. Every container inherits from <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>.  <a href="classOfxGenericContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A container to holds OFX SGML elements that LibOFX knows nothing about.  <a href="classOfxDummyContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPushUpContainer.html">OfxPushUpContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A container to hold a OFX SGML element for which you want the parent to process it's data elements.  <a href="classOfxPushUpContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatusContainer.html">OfxStatusContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents the &lt;STATUS&gt; OFX SGML entity.  <a href="classOfxStatusContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents the &lt;BALANCE&gt; OFX SGML entity.  <a href="classOfxBalanceContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents a statement for either a bank account or a credit card account.  <a href="classOfxStatementContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents a bank account or a credit card account.  <a href="classOfxAccountContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents a security, such as a stock or bond.  <a href="classOfxSecurityContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents a generic transaction.  <a href="classOfxTransactionContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents a bank or credid card transaction.  <a href="classOfxBankTransactionContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents a bank or credid card transaction.  <a href="classOfxInvestmentTransactionContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxMainContainer.html">OfxMainContainer</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The root container. Created by the &lt;OFX&gt; OFX element or by the export functions.  <a href="classOfxMainContainer.html#_details">More...</a><br></td></tr>
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__containers__misc_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__containers__misc_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__containers__misc_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,184 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_containers_misc.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_containers_misc.cpp</h1><a href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">         ofx_proc_rs.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grégoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00013"></a>00013 <span class="comment">/***************************************************************************</span>
+<a name="l00014"></a>00014 <span class="comment"> *                                                                         *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00017"></a>00017 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00018"></a>00018 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00019"></a>00019 <span class="comment"> *                                                                         *</span>
+<a name="l00020"></a>00020 <span class="comment"> ***************************************************************************/</span>
+<a name="l00021"></a>00021 
+<a name="l00022"></a>00022 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#endif</span>
+<a name="l00025"></a>00025 <span class="preprocessor"></span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include &lt;iostream&gt;</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html" title="OFX error code management functionnality.">ofx_error_msg.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00034"></a>00034 
+<a name="l00035"></a>00035 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
+<a name="l00036"></a>00036 
+<a name="l00037"></a>00037 <span class="comment">/***************************************************************************</span>
+<a name="l00038"></a>00038 <span class="comment"> *                         OfxDummyContainer                               *</span>
+<a name="l00039"></a>00039 <span class="comment"> ***************************************************************************/</span>
+<a name="l00040"></a>00040 
+<a name="l00041"></a>00041 <a class="code" href="classOfxDummyContainer.html#b28080b768be9d5d36d8b7791591bbcd">OfxDummyContainer::OfxDummyContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00043"></a>00043 {
+<a name="l00044"></a>00044   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"DUMMY"</span>;
+<a name="l00045"></a>00045   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, <span class="stringliteral">"Created OfxDummyContainer to hold unsupported aggregate "</span>+para_tag_identifier);
+<a name="l00046"></a>00046 }
+<a name="l00047"></a>00047 <span class="keywordtype">void</span> <a class="code" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3" title="Add data to a container object.">OfxDummyContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00048"></a>00048 {
+<a name="l00049"></a>00049   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"OfxDummyContainer for "</span>+<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>+<span class="stringliteral">" ignored a "</span>+identifier+<span class="stringliteral">" ("</span>+value+<span class="stringliteral">")"</span>);
+<a name="l00050"></a>00050 }
+<a name="l00051"></a>00051 
+<a name="l00052"></a>00052 <span class="comment">/***************************************************************************</span>
+<a name="l00053"></a>00053 <span class="comment"> *                         OfxPushUpContainer                              *</span>
+<a name="l00054"></a>00054 <span class="comment"> ***************************************************************************/</span>
+<a name="l00055"></a>00055 
+<a name="l00056"></a>00056 <a class="code" href="classOfxPushUpContainer.html#1fa2e01710b00ce7bdb80d5c9fbb3d2c">OfxPushUpContainer::OfxPushUpContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00057"></a>00057   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00058"></a>00058 {
+<a name="l00059"></a>00059   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"PUSHUP"</span>;
+<a name="l00060"></a>00060   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"Created OfxPushUpContainer to hold aggregate "</span>+<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>);
+<a name="l00061"></a>00061 }
+<a name="l00062"></a>00062 <span class="keywordtype">void</span> <a class="code" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8" title="Add data to a container object.">OfxPushUpContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00063"></a>00063 {
+<a name="l00064"></a>00064   <span class="comment">//message_out(DEBUG, "OfxPushUpContainer for "+tag_identifier+" will push up a "+identifier+" ("+value+") to a "+ parentcontainer-&gt;type + " container");</span>
+<a name="l00065"></a>00065   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a>(identifier, value);
+<a name="l00066"></a>00066 }
+<a name="l00067"></a>00067 
+<a name="l00068"></a>00068 <span class="comment">/***************************************************************************</span>
+<a name="l00069"></a>00069 <span class="comment"> *                         OfxStatusContainer                              *</span>
+<a name="l00070"></a>00070 <span class="comment"> ***************************************************************************/</span>
+<a name="l00071"></a>00071 
+<a name="l00072"></a>00072 <a class="code" href="classOfxStatusContainer.html#5c46c8df8db712f6ad37b49fd6af5dc0">OfxStatusContainer::OfxStatusContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00073"></a>00073   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00074"></a>00074 {
+<a name="l00075"></a>00075   memset(&amp;data,0,<span class="keyword">sizeof</span>(data));
+<a name="l00076"></a>00076   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"STATUS"</span>;
+<a name="l00077"></a>00077   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL){
+<a name="l00078"></a>00078     strncpy(data.ofx_element_name, <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>.c_str(), <a class="code" href="inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">OFX_ELEMENT_NAME_LENGTH</a>);
+<a name="l00079"></a>00079     data.ofx_element_name_valid=<span class="keyword">true</span>;
+<a name="l00080"></a>00080   }
+<a name="l00081"></a>00081   
+<a name="l00082"></a>00082 }
+<a name="l00083"></a>00083 <a class="code" href="classOfxStatusContainer.html#cedeebfa681e9b075c8168196752c2a8">OfxStatusContainer::~OfxStatusContainer</a>()
+<a name="l00084"></a>00084 {
+<a name="l00085"></a>00085   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Entering the status's container's destructor"</span>);
+<a name="l00086"></a>00086         
+<a name="l00087"></a>00087   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">statusCallback</a>(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>);
+<a name="l00088"></a>00088 
+<a name="l00089"></a>00089   <span class="keywordflow">if</span> ( <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a> )
+<a name="l00090"></a>00090     <span class="keyword">delete</span> [] <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>;
+<a name="l00091"></a>00091 }
+<a name="l00092"></a>00092 
+<a name="l00093"></a>00093 <span class="keywordtype">void</span> <a class="code" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483" title="Add data to a container object.">OfxStatusContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00094"></a>00094 {
+<a name="l00095"></a>00095   <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> error_msg;
+<a name="l00096"></a>00096 
+<a name="l00097"></a>00097   <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"CODE"</span>){
+<a name="l00098"></a>00098     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a>=atoi(value.c_str());
+<a name="l00099"></a>00099     error_msg = <a class="code" href="ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa" title="Retreive error code descriptions.">find_error_msg</a>(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a>);
+<a name="l00100"></a>00100     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">name</a> = error_msg.name;<span class="comment">//memory is already allocated</span>
+<a name="l00101"></a>00101     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">description</a> = error_msg.description;<span class="comment">//memory is already allocated</span>
+<a name="l00102"></a>00102     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">code_valid</a> = <span class="keyword">true</span>;
+<a name="l00103"></a>00103   }
+<a name="l00104"></a>00104   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"SEVERITY"</span>){
+<a name="l00105"></a>00105     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a> = <span class="keyword">true</span>;
+<a name="l00106"></a>00106     <span class="keywordflow">if</span>(value==<span class="stringliteral">"INFO"</span>) {
+<a name="l00107"></a>00107       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>=<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">OfxStatusData::INFO</a>;
+<a name="l00108"></a>00108     }
+<a name="l00109"></a>00109     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"WARN"</span>) {
+<a name="l00110"></a>00110       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>=<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">OfxStatusData::WARN</a>;
+<a name="l00111"></a>00111     }
+<a name="l00112"></a>00112     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"ERROR"</span>) {
+<a name="l00113"></a>00113       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>=<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">OfxStatusData::ERROR</a>;
+<a name="l00114"></a>00114     }
+<a name="l00115"></a>00115     <span class="keywordflow">else</span>{
+<a name="l00116"></a>00116       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"WRITEME: Unknown severity "</span>+value+<span class="stringliteral">" inside a "</span>+<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" container"</span>);
+<a name="l00117"></a>00117       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a> = <span class="keyword">false</span>;
+<a name="l00118"></a>00118     }
+<a name="l00119"></a>00119   }
+<a name="l00120"></a>00120   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"MESSAGE"</span>)||(identifier==<span class="stringliteral">"MESSAGE2"</span>)){
+<a name="l00121"></a>00121     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>=<span class="keyword">new</span> <span class="keywordtype">char</span>[value.length()+1];
+<a name="l00122"></a>00122     strcpy(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>,value.c_str());
+<a name="l00123"></a>00123     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a>=<span class="keyword">true</span>;
+<a name="l00124"></a>00124   }
+<a name="l00125"></a>00125   <span class="keywordflow">else</span>{
+<a name="l00126"></a>00126     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
+<a name="l00127"></a>00127     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00128"></a>00128   }
+<a name="l00129"></a>00129 }
+<a name="l00130"></a>00130 
+<a name="l00131"></a>00131 
+<a name="l00132"></a>00132 
+<a name="l00133"></a>00133 <span class="comment">/***************************************************************************</span>
+<a name="l00134"></a>00134 <span class="comment"> * OfxBalanceContainer  (does not directly abstract a object in libofx.h)  *</span>
+<a name="l00135"></a>00135 <span class="comment"> ***************************************************************************/</span>
+<a name="l00136"></a>00136 
+<a name="l00137"></a>00137 <a class="code" href="classOfxBalanceContainer.html#96baefa68988c2d9c2f46f553d40599f">OfxBalanceContainer::OfxBalanceContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00138"></a>00138   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00139"></a>00139 {
+<a name="l00140"></a>00140   <a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>=<span class="keyword">false</span>;
+<a name="l00141"></a>00141   <a class="code" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">date_valid</a>=<span class="keyword">false</span>;
+<a name="l00142"></a>00142   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"BALANCE"</span>;
+<a name="l00143"></a>00143 }
+<a name="l00144"></a>00144 
+<a name="l00145"></a>00145 <a class="code" href="classOfxBalanceContainer.html#db4feb10b8e5328aab5025ff49fd43f5">OfxBalanceContainer::~OfxBalanceContainer</a>()
+<a name="l00146"></a>00146 {
+<a name="l00147"></a>00147   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> == <span class="stringliteral">"STATEMENT"</span>)
+<a name="l00148"></a>00148     {
+<a name="l00149"></a>00149       ((<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>)-&gt;add_balance(<span class="keyword">this</span>);
+<a name="l00150"></a>00150     }
+<a name="l00151"></a>00151   <span class="keywordflow">else</span>
+<a name="l00152"></a>00152     {
+<a name="l00153"></a>00153       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"I completed a "</span> + <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> + <span class="stringliteral">" element, but I havent found a suitable parent to save it"</span>);
+<a name="l00154"></a>00154     }
+<a name="l00155"></a>00155 }
+<a name="l00156"></a>00156 <span class="keywordtype">void</span> <a class="code" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb" title="Add data to a container object.">OfxBalanceContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
+<a name="l00157"></a>00157 {
+<a name="l00158"></a>00158   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"BALAMT"</span>){
+<a name="l00159"></a>00159     <a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00160"></a>00160     <a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>=<span class="keyword">true</span>;
+<a name="l00161"></a>00161   }
+<a name="l00162"></a>00162   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTASOF"</span>){
+<a name="l00163"></a>00163     <a class="code" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">date</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00164"></a>00164     <a class="code" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">date_valid</a> = <span class="keyword">true</span>;
+<a name="l00165"></a>00165   }
+<a name="l00166"></a>00166   <span class="keywordflow">else</span>{
+<a name="l00167"></a>00167     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
+<a name="l00168"></a>00168     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00169"></a>00169   }  
+<a name="l00170"></a>00170 }
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__containers__misc_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__containers__misc_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__containers__misc_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,37 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_containers_misc.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_containers_misc.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+LibOFX internal object code. 
+<p>
+These objects will process the elements returned by ofx_sgml.cpp and add them to their data members. <dl class="warning" compact><dt><b>Warning:</b></dt><dd>Object documentation is not yet done. </dd></dl>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp-source.html">fx-0.9.0/lib/ofx_containers_misc.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_containers_misc.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,153 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_error_msg.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_error_msg.hh</h1><a href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_data_struct.h  -  description</span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    begin                : Tue Mar 19 2002</span>
+<a name="l00005"></a>00005 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00006"></a>00006 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00007"></a>00007 <span class="comment"> ***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 <span class="preprocessor">#ifndef OFX_DATA_STRUCT_H</span>
+<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define OFX_DATA_STRUCT_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span>
+<a name="l00023"></a>00023 <span class="keyword">struct </span><a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a>
+<a name="l00024"></a>00024 {
+<a name="l00025"></a>00025   <span class="keywordtype">int</span> <a class="code" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">code</a>;           
+<a name="l00026"></a><a class="code" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">00026</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">name</a>;        
+<a name="l00027"></a><a class="code" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">00027</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">description</a>; 
+<a name="l00028"></a>00028 };
+<a name="l00029"></a>00029 
+<a name="l00031"></a>00031 
+<a name="l00034"></a><a class="code" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">00034</a> <span class="keyword">const</span> <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> <a class="code" href="ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608" title="List known error codes.">error_msgs_list</a>[] = {
+<a name="l00035"></a>00035   {0, <span class="stringliteral">"Success"</span>, <span class="stringliteral">"The server successfully processed the request."</span>},
+<a name="l00036"></a>00036   {1, <span class="stringliteral">"Client is up-to-date"</span>, <span class="stringliteral">"Based on the client timestamp, the client has the latest information. The response does not supply any additional information."</span>},
+<a name="l00037"></a>00037   {2000, <span class="stringliteral">"General error"</span>, <span class="stringliteral">"Error other than those specified by the remaining error codes. (Note: Servers should provide a more specific error whenever possible. Error code 2000 should be reserved for cases in which a more specific code is not available.)"</span>},
+<a name="l00038"></a>00038   {2001, <span class="stringliteral">"Invalid account"</span>, <span class="stringliteral">""</span>},
+<a name="l00039"></a>00039   {2002, <span class="stringliteral">"General account error"</span>, <span class="stringliteral">"Account error not specified by the remaining error codes."</span>},
+<a name="l00040"></a>00040   {2003, <span class="stringliteral">"Account not found"</span>, <span class="stringliteral">"The specified account number does not correspond to one of the user's accounts."</span>},
+<a name="l00041"></a>00041   {2004, <span class="stringliteral">"Account closed"</span>, <span class="stringliteral">"The specified account number corresponds to an account that has been closed."</span>},
+<a name="l00042"></a>00042   {2005, <span class="stringliteral">"Account not authorized"</span>, <span class="stringliteral">"The user is not authorized to perform this action on the account, or the server does not allow this type of action to be performed on the account."</span>},
+<a name="l00043"></a>00043   {2006, <span class="stringliteral">"Source account not found"</span>, <span class="stringliteral">"The specified account number does not correspond to one of the user's accounts."</span>},
+<a name="l00044"></a>00044   {2007, <span class="stringliteral">"Source account closed"</span>, <span class="stringliteral">"The specified account number corresponds to an account that has been closed."</span>},
+<a name="l00045"></a>00045   {2008, <span class="stringliteral">"Source account not authorized"</span>, <span class="stringliteral">"The user is not authorized to perform this action on the account, or the server does not allow this type of action to be performed on the account."</span>},
+<a name="l00046"></a>00046   {2009, <span class="stringliteral">"Destination account not found"</span>, <span class="stringliteral">"The specified account number does not correspond to one of the user's accounts."</span>},
+<a name="l00047"></a>00047   {2010, <span class="stringliteral">"Destination account closed"</span>, <span class="stringliteral">"The specified account number corresponds to an account that has been closed."</span>},
+<a name="l00048"></a>00048   {2011, <span class="stringliteral">"Destination account not authorized"</span>, <span class="stringliteral">"The user is not authorized to perform this action on the account, or the server does not allow this type of action to be performed on the account."</span>},
+<a name="l00049"></a>00049   {2012, <span class="stringliteral">"Invalid amount"</span>, <span class="stringliteral">"The specified amount is not valid for this action; for example, the user specified a negative payment amount."</span>},
+<a name="l00050"></a>00050   {2014, <span class="stringliteral">"Date too soon"</span>, <span class="stringliteral">"The server cannot process the requested action by the date specified by the user."</span>},
+<a name="l00051"></a>00051   {2015, <span class="stringliteral">"Date too far in future"</span>, <span class="stringliteral">"The server cannot accept requests for an action that far in the future."</span>},
+<a name="l00052"></a>00052   {2016, <span class="stringliteral">"Transaction already committed"</span>, <span class="stringliteral">"Transaction has entered the processing loop and cannot be modified/cancelled using OFX. The transaction may still be cancelled or modified using other means (for example, a phone call to Customer Service)."</span>},
+<a name="l00053"></a>00053   {2017, <span class="stringliteral">"Already canceled"</span>, <span class="stringliteral">"The transaction cannot be canceled or modified because it has already been canceled."</span>},
+<a name="l00054"></a>00054   {2018, <span class="stringliteral">"Unknown server ID"</span>, <span class="stringliteral">"The specified server ID does not exist or no longer exists."</span>},
+<a name="l00055"></a>00055   {2019, <span class="stringliteral">"Duplicate request"</span>, <span class="stringliteral">"A request with this &lt;TRNUID&gt; has already been received and processed."</span>},
+<a name="l00056"></a>00056   {2020, <span class="stringliteral">"Invalid date"</span>, <span class="stringliteral">"The specified datetime stamp cannot be parsed; for instance, the datetime stamp specifies 25:00 hours."</span>},
+<a name="l00057"></a>00057   {2021, <span class="stringliteral">"Unsupported version"</span>, <span class="stringliteral">"The server does not support the requested version. The version of the message set specified by the client is not supported by this server."</span>},
+<a name="l00058"></a>00058   {2022, <span class="stringliteral">"Invalid TAN"</span>, <span class="stringliteral">"The server was unable to validate the TAN sent in the request."</span>},
+<a name="l00059"></a>00059   {2023, <span class="stringliteral">"Unknown FITID"</span>, <span class="stringliteral">"The specified FITID/BILLID does not exist or no longer exists. [BILLID not found in the billing message sets]"</span>},
+<a name="l00060"></a>00060   {2025, <span class="stringliteral">"Branch ID missing"</span>, <span class="stringliteral">"A &lt;BRANCHID&gt; value must be provided in the &lt;BANKACCTFROM&gt; aggregate for this country system, but this field is missing."</span>},
+<a name="l00061"></a>00061   {2026, <span class="stringliteral">"Bank name doesn't match bank ID"</span>, <span class="stringliteral">"The value of &lt;BANKNAME&gt; in the &lt;EXTBANKACCTTO&gt; aggregate is inconsistent with the value of &lt;BANKID&gt; in the &lt;BANKACCTTO&gt; aggregate."</span>},
+<a name="l00062"></a>00062   {2027, <span class="stringliteral">"Invalid date range"</span>, <span class="stringliteral">"Response for non-overlapping dates, date ranges in the future, et cetera."</span>},
+<a name="l00063"></a>00063   {2028, <span class="stringliteral">"Requested element unknown"</span>, <span class="stringliteral">"One or more elements of the request were not recognized by the server or the server (as noted in the FI Profile) does not support the elements. The server executed the element transactions it understood and supported. For example, the request file included private tags in a &lt;PMTRQ&gt; but the server was able to execute the rest of the request."</span>},
+<a name="l00064"></a>00064   {6500, <span class="stringliteral">"&lt;REJECTIFMISSING&gt;Y invalid without &lt;TOKEN&gt;"</span>, <span class="stringliteral">"This error code may appear &lt;SYNCERROR&gt; element of an &lt;xxxSYNCRS&gt; wrapper (in &lt;PRESDLVMSGSRSV1&gt; and V2 message set responses) or the &lt;CODE&gt; contained in any embedded transaction wrappers within a sync response. The corresponding sync request wrapper included &lt;REJECTIFMISSING&gt;Y with &lt;REFRESH&gt;Y or &lt;TOKENONLY&gt;Y, which is illegal."</span>},
+<a name="l00065"></a>00065   {6501, <span class="stringliteral">"Embedded transactions in request failed to process: Out of date"</span>, <span class="stringliteral">"&lt;REJECTIFMISSING&gt;Y and embedded transactions appeared in the request sync wrapper and the provided &lt;TOKEN&gt; was out of date. This code should be used in the &lt;SYNCERROR&gt; of the response sync wrapper."</span>},
+<a name="l00066"></a>00066   {6502, <span class="stringliteral">"Unable to process embedded transaction due to out-of-date &lt;TOKEN&gt;"</span>, <span class="stringliteral">"Used in response transaction wrapper for embedded transactions when &lt;SYNCERROR&gt;6501 appears in the surrounding sync wrapper."</span>},
+<a name="l00067"></a>00067   {10000, <span class="stringliteral">"Stop check in process"</span>, <span class="stringliteral">"Stop check is already in process."</span>},
+<a name="l00068"></a>00068   {10500, <span class="stringliteral">"Too many checks to process"</span>, <span class="stringliteral">"The stop-payment request &lt;STPCHKRQ&gt; specifies too many checks."</span>},
+<a name="l00069"></a>00069   {10501, <span class="stringliteral">"Invalid payee"</span>, <span class="stringliteral">"Payee error not specified by the remainingerror codes."</span>},
+<a name="l00070"></a>00070   {10502, <span class="stringliteral">"Invalid payee address"</span>, <span class="stringliteral">"Some portion of the payee's address is incorrect or unknown."</span>},
+<a name="l00071"></a>00071   {10503, <span class="stringliteral">"Invalid payee account number"</span>, <span class="stringliteral">"The account number &lt;PAYACCT&gt; of the requested payee is invalid."</span>},
+<a name="l00072"></a>00072   {10504, <span class="stringliteral">"Insufficient funds"</span>, <span class="stringliteral">"The server cannot process the request because the specified account does not have enough funds."</span>},
+<a name="l00073"></a>00073   {10505, <span class="stringliteral">"Cannot modify element"</span>, <span class="stringliteral">"The server does not allow modifications to one or more values in a modification request."</span>},
+<a name="l00074"></a>00074   {10506, <span class="stringliteral">"Cannot modify source account"</span>, <span class="stringliteral">"Reserved for future use."</span>},
+<a name="l00075"></a>00075   {10507, <span class="stringliteral">"Cannot modify destination account"</span>, <span class="stringliteral">"Reserved for future use."</span>},
+<a name="l00076"></a>00076   {10508, <span class="stringliteral">"Invalid frequency"</span>, <span class="stringliteral">"The specified frequency &lt;FREQ&gt; does not match one of the accepted frequencies for recurring transactions."</span>},
+<a name="l00077"></a>00077   {10509, <span class="stringliteral">"Model already canceled"</span>, <span class="stringliteral">"The server has already canceled the specified recurring model."</span>},
+<a name="l00078"></a>00078   {10510, <span class="stringliteral">"Invalid payee ID"</span>, <span class="stringliteral">"The specified payee ID does not exist or no longer exists."</span>},
+<a name="l00079"></a>00079   {10511, <span class="stringliteral">"Invalid payee city"</span>, <span class="stringliteral">"The specified city is incorrect or unknown."</span>},
+<a name="l00080"></a>00080   {10512, <span class="stringliteral">"Invalid payee state"</span>, <span class="stringliteral">"The specified state is incorrect or unknown."</span>},
+<a name="l00081"></a>00081   {10513, <span class="stringliteral">"Invalid payee postal code"</span>, <span class="stringliteral">"The specified postal code is incorrect or unknown."</span>},
+<a name="l00082"></a>00082   {10514, <span class="stringliteral">"Transaction already processed"</span>, <span class="stringliteral">"Transaction has already been sent or date due is past"</span>},
+<a name="l00083"></a>00083   {10515, <span class="stringliteral">"Payee not modifiable by client"</span>, <span class="stringliteral">"The server does not allow clients to change payee information."</span>},
+<a name="l00084"></a>00084   {10516, <span class="stringliteral">"Wire beneficiary invalid"</span>, <span class="stringliteral">"The specified wire beneficiary does not exist or no longer exists."</span>},
+<a name="l00085"></a>00085   {10517, <span class="stringliteral">"Invalid payee name"</span>, <span class="stringliteral">"The server does not recognize the specified payee name."</span>},
+<a name="l00086"></a>00086   {10518, <span class="stringliteral">"Unknown model ID"</span>, <span class="stringliteral">"The specified model ID does not exist or no longer exists."</span>},
+<a name="l00087"></a>00087   {10519, <span class="stringliteral">"Invalid payee list ID"</span>, <span class="stringliteral">"The specified payee list ID does not exist or no longer exists."</span>},
+<a name="l00088"></a>00088   {10600, <span class="stringliteral">"Table type not found"</span>, <span class="stringliteral">"The specified table type is not recognized or does not exist."</span>},
+<a name="l00089"></a>00089   {12250, <span class="stringliteral">"Investment transaction download not supported (WARN)"</span>, <span class="stringliteral">"The server does not support investment transaction download."</span>},
+<a name="l00090"></a>00090   {12251, <span class="stringliteral">"Investment position download not supported (WARN)"</span>, <span class="stringliteral">"The server does not support investment position download."</span>},
+<a name="l00091"></a>00091   {12252, <span class="stringliteral">"Investment positions for specified date not available"</span>, <span class="stringliteral">"The server does not support investment positions for the specified date."</span>},
+<a name="l00092"></a>00092   {12253, <span class="stringliteral">"Investment open order download not supported (WARN)"</span>, <span class="stringliteral">"The server does not support open order download."</span>},
+<a name="l00093"></a>00093   {12254, <span class="stringliteral">"Investment balances download not supported (WARN)"</span>, <span class="stringliteral">"The server does not support investment balances download."</span>},
+<a name="l00094"></a>00094   {12255, <span class="stringliteral">"401(k) not available for this account"</span>, <span class="stringliteral">"401(k) information requested from a non-401(k) account."</span>},
+<a name="l00095"></a>00095   {12500, <span class="stringliteral">"One or more securities not found"</span>, <span class="stringliteral">"The server could not find the requested securities."</span>},
+<a name="l00096"></a>00096   {13000, <span class="stringliteral">"User ID &amp; password will be sent out-of-band (INFO)"</span>, <span class="stringliteral">"The server will send the user ID and password via postal mail, e-mail, or another means. The accompanying message will provide details."</span>},
+<a name="l00097"></a>00097   {13500, <span class="stringliteral">"Unable to enroll user"</span>, <span class="stringliteral">"The server could not enroll the user."</span>},
+<a name="l00098"></a>00098   {13501, <span class="stringliteral">"User already enrolled"</span>, <span class="stringliteral">"The server has already enrolled the user."</span>},
+<a name="l00099"></a>00099   {13502, <span class="stringliteral">"Invalid service"</span>, <span class="stringliteral">"The server does not support the service &lt;SVC&gt; specified in the service-activation request."</span>},
+<a name="l00100"></a>00100   {13503, <span class="stringliteral">"Cannot change user information"</span>, <span class="stringliteral">"The server does not support the &lt;CHGUSERINFORQ&gt; request."</span>},
+<a name="l00101"></a>00101   {13504, <span class="stringliteral">"&lt;FI&gt; Missing or Invalid in &lt;SONRQ&gt;"</span>, <span class="stringliteral">"The FI requires the client to provide the &lt;FI&gt; aggregate in the &lt;SONRQ&gt; request, but either none was provided, or the one provided was invalid."</span>},
+<a name="l00102"></a>00102   {14500, <span class="stringliteral">"1099 forms not available"</span>, <span class="stringliteral">"1099 forms are not yet available for the tax year requested."</span>},
+<a name="l00103"></a>00103   {14501, <span class="stringliteral">"1099 forms not available for user ID"</span>, <span class="stringliteral">"This user does not have any 1099 forms available."</span>},
+<a name="l00104"></a>00104   {14600, <span class="stringliteral">"W2 forms not available"</span>, <span class="stringliteral">"W2 forms are not yet available for the tax year requested."</span>},
+<a name="l00105"></a>00105   {14601, <span class="stringliteral">"W2 forms not available for user ID"</span>, <span class="stringliteral">"The user does not have any W2 forms available."</span>},
+<a name="l00106"></a>00106   {14700, <span class="stringliteral">"1098 forms not available"</span>, <span class="stringliteral">"1098 forms are not yet available for the tax year requested."</span>},
+<a name="l00107"></a>00107   {14701, <span class="stringliteral">"1098 forms not available for user ID"</span>, <span class="stringliteral">"The user does not have any 1098 forms available."</span>},
+<a name="l00108"></a>00108   {15000, <span class="stringliteral">"Must change USERPASS"</span>, <span class="stringliteral">"The user must change his or her &lt;USERPASS&gt; number as part of the next OFX request."</span>},
+<a name="l00109"></a>00109   {15500, <span class="stringliteral">"Signon invalid"</span>, <span class="stringliteral">"The user cannot signon because he or she entered an invalid user ID or password."</span>},
+<a name="l00110"></a>00110   {15501, <span class="stringliteral">"Customer account already in use"</span>, <span class="stringliteral">"The server allows only one connection at a time, and another user is already signed on. Please try again later."</span>},
+<a name="l00111"></a>00111   {15502, <span class="stringliteral">"USERPASS lockout"</span>, <span class="stringliteral">"The server has received too many failed signon attempts for this user. Please call the FI's technical support number."</span>},
+<a name="l00112"></a>00112   {15503, <span class="stringliteral">"Could not change USERPASS"</span>, <span class="stringliteral">"The server does not support the &lt;PINCHRQ&gt; request."</span>},
+<a name="l00113"></a>00113   {15504, <span class="stringliteral">"Could not provide random data"</span>, <span class="stringliteral">"The server could not generate random data as requested by the &lt;CHALLENGERQ&gt;."</span>},
+<a name="l00114"></a>00114   {15505, <span class="stringliteral">"Country system not supported"</span>, <span class="stringliteral">"The server does not support the country specified in the &lt;COUNTRY&gt; field of the &lt;SONRQ&gt; aggregate."</span>},
+<a name="l00115"></a>00115   {15506, <span class="stringliteral">"Empty signon not supported"</span>, <span class="stringliteral">"The server does not support signons not accompanied by some other transaction."</span>},
+<a name="l00116"></a>00116   {15507, <span class="stringliteral">"Signon invalid without supporting pin change request"</span>, <span class="stringliteral">"The OFX block associated with the signon does not contain a pin change request and should."</span>},
+<a name="l00117"></a>00117   {15508, <span class="stringliteral">"Transaction not authorized"</span>, <span class="stringliteral">"Current user is not authorized to perform this action on behalf of the &lt;USERID&gt;."</span>},
+<a name="l00118"></a>00118   {16500, <span class="stringliteral">"HTML not allowed"</span>, <span class="stringliteral">"The server does not accept HTML formatting in the request."</span>},
+<a name="l00119"></a>00119   {16501, <span class="stringliteral">"Unknown mail To:"</span>, <span class="stringliteral">"The server was unable to send mail to the specified Internet address."</span>},
+<a name="l00120"></a>00120   {16502, <span class="stringliteral">"Invalid URL"</span>, <span class="stringliteral">"The server could not parse the URL."</span>},
+<a name="l00121"></a>00121   {16503, <span class="stringliteral">"Unable to get URL"</span>, <span class="stringliteral">"The server was unable to retrieve the information at this URL (e.g., an HTTP 400 or 500 series error)."</span>},
+<a name="l00122"></a>00122   {-1, <span class="stringliteral">"Unknown code"</span>, <span class="stringliteral">"The description of this code is unknown to libOfx"</span>}};
+<a name="l00123"></a>00123 
+<a name="l00125"></a>00125 
+<a name="l00128"></a><a class="code" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">00128</a> <span class="keyword">const</span> <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> <a class="code" href="ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa" title="Retreive error code descriptions.">find_error_msg</a>(<span class="keywordtype">int</span> param_code)
+<a name="l00129"></a>00129 {
+<a name="l00130"></a>00130   <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> return_val;
+<a name="l00131"></a>00131   <span class="keywordtype">int</span> i;
+<a name="l00132"></a>00132   <span class="keywordtype">bool</span> code_found=<span class="keyword">false</span>;
+<a name="l00133"></a>00133   
+<a name="l00134"></a>00134   <span class="keywordflow">for</span>(i=0;i&lt;2000&amp;&amp;(code_found==<span class="keyword">false</span>);i++){
+<a name="l00135"></a>00135     <span class="keywordflow">if</span>((error_msgs_list[i].code==param_code)||(error_msgs_list[i].<a class="code" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">code</a>==-1)){
+<a name="l00136"></a>00136       return_val=error_msgs_list[i];
+<a name="l00137"></a>00137       code_found=<span class="keyword">true</span>;
+<a name="l00138"></a>00138     }
+<a name="l00139"></a>00139   }
+<a name="l00140"></a>00140   <span class="keywordflow">return</span> return_val;
+<a name="l00141"></a>00141 };
+<a name="l00142"></a>00142 
+<a name="l00143"></a>00143 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__error__msg_8hh.html'
--- doc/html/fx-0_89_80_2lib_2ofx__error__msg_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__error__msg_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,89 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_error_msg.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_error_msg.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+OFX error code management functionnality. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html">fx-0.9.0/lib/ofx_error_msg.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html">ErrorMsg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An abstraction of an OFX error code sent by an OFX server.  <a href="structErrorMsg.html#_details">More...</a><br></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">find_error_msg</a> (int param_code)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retreive error code descriptions.  <a href="#dac162b52803cc0814b829813ad3a5aa"></a><br></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">error_msgs_list</a> []</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List known error codes.  <a href="#55330fe48f8c210038dfaae0ed8dd608"></a><br></td></tr>
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="dac162b52803cc0814b829813ad3a5aa"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_error_msg.hh::find_error_msg" ref="dac162b52803cc0814b829813ad3a5aa" args="(int param_code)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const <a class="el" href="structErrorMsg.html">ErrorMsg</a> find_error_msg           </td>
+          <td>(</td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>param_code</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Retreive error code descriptions. 
+<p>
+The find_error_msg function will take an ofx error number, and return an <a class="el" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> structure with detailled information about the error, including the error name and long description 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html#l00128">128</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html">fx-0.9.0/lib/ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
+<hr><h2>Variable Documentation</h2>
+<a class="anchor" name="55330fe48f8c210038dfaae0ed8dd608"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_error_msg.hh::error_msgs_list" ref="55330fe48f8c210038dfaae0ed8dd608" args="[]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const <a class="el" href="structErrorMsg.html">ErrorMsg</a> <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">error_msgs_list</a>[]          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+List known error codes. 
+<p>
+The error_msgs_list table contains all past and present OFX error codes up to the OFX 2.01 specification 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html#l00034">34</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html">fx-0.9.0/lib/ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,553 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_preproc.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_preproc.cpp</h1><a href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">          ofx_preproc.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Gr�oir</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00012"></a>00012 <span class="comment">/***************************************************************************</span>
+<a name="l00013"></a>00013 <span class="comment"> *                                                                         *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00017"></a>00017 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00018"></a>00018 <span class="comment"> *                                                                         *</span>
+<a name="l00019"></a>00019 <span class="comment"> ***************************************************************************/</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#include "../config.h"</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;iostream&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;fstream&gt;</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofx_sgml.hh</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofc__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofc_sgml.hh</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html" title="Preprocessing of the OFX files before parsing.">ofx_preproc.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00034"></a>00034 <span class="preprocessor"></span><span class="preprocessor">#include &lt;iconv.h&gt;</span>
+<a name="l00035"></a>00035 <span class="preprocessor">#endif</span>
+<a name="l00036"></a>00036 <span class="preprocessor"></span>
+<a name="l00037"></a>00037 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00038"></a>00038 <span class="preprocessor"></span><span class="preprocessor"># include "win32.hh"</span>
+<a name="l00039"></a>00039 <span class="preprocessor">#endif</span>
+<a name="l00040"></a>00040 <span class="preprocessor"></span>
+<a name="l00041"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">00041</a> <span class="preprocessor">#define LIBOFX_DEFAULT_INPUT_ENCODING "CP1252"</span>
+<a name="l00042"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">00042</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_DEFAULT_OUTPUT_ENCODING "UTF-8"</span>
+<a name="l00043"></a>00043 <span class="preprocessor"></span>
+<a name="l00044"></a>00044 <span class="keyword">using namespace </span>std;
+<a name="l00048"></a>00048 <span class="preprocessor">#ifdef MAKEFILE_DTD_PATH</span>
+<a name="l00049"></a>00049 <span class="preprocessor"></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a> = 4;
+<a name="l00050"></a>00050 <span class="preprocessor">#else</span>
+<a name="l00051"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">00051</a> <span class="preprocessor"></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a> = 3;
+<a name="l00052"></a>00052 <span class="preprocessor">#endif</span>
+<a name="l00053"></a>00053 <span class="preprocessor"></span> 
+<a name="l00057"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">00057</a> <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3" title="The list of paths to search for the DTDs.">DTD_SEARCH_PATH</a>[<a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a>] = { 
+<a name="l00058"></a>00058 <span class="preprocessor">#ifdef MAKEFILE_DTD_PATH</span>
+<a name="l00059"></a>00059 <span class="preprocessor"></span>  MAKEFILE_DTD_PATH , 
+<a name="l00060"></a>00060 <span class="preprocessor">#endif</span>
+<a name="l00061"></a>00061 <span class="preprocessor"></span>  <span class="stringliteral">"/usr/local/share/libofx/dtd/"</span>, 
+<a name="l00062"></a>00062   <span class="stringliteral">"/usr/share/libofx/dtd/"</span>, 
+<a name="l00063"></a>00063   <span class="stringliteral">"~/"</span>};
+<a name="l00064"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">00064</a> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024;
+<a name="l00065"></a>00065 
+<a name="l00070"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">00070</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename)
+<a name="l00071"></a>00071   {
+<a name="l00072"></a>00072   <a class="code" href="classLibofxContext.html">LibofxContext</a> *libofx_context;
+<a name="l00073"></a>00073   <span class="keywordtype">bool</span> ofx_start=<span class="keyword">false</span>;
+<a name="l00074"></a>00074   <span class="keywordtype">bool</span> ofx_end=<span class="keyword">false</span>;
+<a name="l00075"></a>00075 
+<a name="l00076"></a>00076   ifstream input_file;
+<a name="l00077"></a>00077   ofstream tmp_file;
+<a name="l00078"></a>00078   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>];
+<a name="l00079"></a>00079   <span class="keywordtype">char</span> iconv_buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>];
+<a name="l00080"></a>00080   <span class="keywordtype">string</span> s_buffer;
+<a name="l00081"></a>00081   <span class="keywordtype">char</span> *filenames[3];
+<a name="l00082"></a>00082   <span class="keywordtype">char</span> tmp_filename[256];
+<a name="l00083"></a>00083 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00084"></a>00084 <span class="preprocessor"></span>        iconv_t conversion_descriptor;
+<a name="l00085"></a>00085 <span class="preprocessor">#endif</span>
+<a name="l00086"></a>00086 <span class="preprocessor"></span>  libofx_context=(<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx;
+<a name="l00087"></a>00087 
+<a name="l00088"></a>00088   <span class="keywordflow">if</span>(p_filename!=NULL&amp;&amp;strcmp(p_filename,<span class="stringliteral">""</span>)!=0)
+<a name="l00089"></a>00089     {
+<a name="l00090"></a>00090     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file():Opening file: "</span>)+ p_filename);
+<a name="l00091"></a>00091     
+<a name="l00092"></a>00092     input_file.open(p_filename);
+<a name="l00093"></a>00093     <a class="code" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a>(<span class="stringliteral">"libofxtmpXXXXXX"</span>, tmp_filename, <span class="keyword">sizeof</span>(tmp_filename));
+<a name="l00094"></a>00094     mkstemp(tmp_filename);
+<a name="l00095"></a>00095     tmp_file.open(tmp_filename);
+<a name="l00096"></a>00096 
+<a name="l00097"></a>00097     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Creating temp file: "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00098"></a>00098     <span class="keywordflow">if</span>(!input_file){
+<a name="l00099"></a>00099       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the input file "</span>+<span class="keywordtype">string</span>(p_filename));
+<a name="l00100"></a>00100     }
+<a name="l00101"></a>00101     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(!tmp_file){
+<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the output file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00103"></a>00103     }
+<a name="l00104"></a>00104     <span class="keywordflow">else</span>
+<a name="l00105"></a>00105       {
+<a name="l00106"></a>00106         <span class="keywordtype">int</span> header_separator_idx;
+<a name="l00107"></a>00107         <span class="keywordtype">string</span> header_name;
+<a name="l00108"></a>00108         <span class="keywordtype">string</span> header_value;
+<a name="l00109"></a>00109         <span class="keywordtype">string</span> ofx_encoding;
+<a name="l00110"></a>00110         <span class="keywordtype">string</span> ofx_charset;
+<a name="l00111"></a>00111         <span class="keywordflow">do</span> {
+<a name="l00112"></a>00112           input_file.getline(buffer, <span class="keyword">sizeof</span>(buffer),<span class="charliteral">'\n'</span>);
+<a name="l00113"></a>00113           <span class="comment">//cout&lt;&lt;buffer&lt;&lt;"\n";</span>
+<a name="l00114"></a>00114           s_buffer.assign(buffer);
+<a name="l00115"></a>00115           <span class="comment">//cout&lt;&lt;"input_file.gcount(): "&lt;&lt;input_file.gcount()&lt;&lt;" sizeof(buffer): "&lt;&lt;sizeof(buffer)&lt;&lt;endl;</span>
+<a name="l00116"></a>00116           <span class="keywordflow">if</span>(input_file.gcount()&lt;(<span class="keyword">sizeof</span>(buffer)-1))
+<a name="l00117"></a>00117             {
+<a name="l00118"></a>00118               s_buffer.append(<span class="stringliteral">"\n"</span>);
+<a name="l00119"></a>00119             }
+<a name="l00120"></a>00120           <span class="keywordflow">else</span> <span class="keywordflow">if</span>( !input_file.eof()&amp;&amp;input_file.fail())
+<a name="l00121"></a>00121             {
+<a name="l00122"></a>00122               input_file.clear();
+<a name="l00123"></a>00123             }
+<a name="l00124"></a>00124           <span class="keywordtype">int</span> ofx_start_idx;
+<a name="l00125"></a>00125           <span class="keywordflow">if</span> (ofx_start==<span class="keyword">false</span> &amp;&amp;
+<a name="l00126"></a>00126               (
+<a name="l00127"></a>00127                (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>&amp;&amp;
+<a name="l00128"></a>00128                 ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>))!=
+<a name="l00129"></a>00129                  string::npos||(ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>))!=string::npos))
+<a name="l00130"></a>00130                || (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>&amp;&amp;
+<a name="l00131"></a>00131                    ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>))!=string::npos||
+<a name="l00132"></a>00132                     (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>))!=string::npos))
+<a name="l00133"></a>00133               )
+<a name="l00134"></a>00134              )
+<a name="l00135"></a>00135             {
+<a name="l00136"></a>00136               ofx_start=<span class="keyword">true</span>;
+<a name="l00137"></a>00137               s_buffer.erase(0,ofx_start_idx);<span class="comment">//Fix for really broken files that don't have a newline after the header.</span>
+<a name="l00138"></a>00138               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OFX&gt; or &lt;OFC&gt; has been found"</span>);
+<a name="l00139"></a>00139 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00140"></a>00140 <span class="preprocessor"></span>              <span class="keywordtype">string</span> fromcode;
+<a name="l00141"></a>00141               <span class="keywordtype">string</span> tocode; 
+<a name="l00142"></a>00142               <span class="keywordflow">if</span>(ofx_encoding.compare(<span class="stringliteral">"USASCII"</span>)==0){
+<a name="l00143"></a>00143                 <span class="keywordflow">if</span>(ofx_charset.compare(<span class="stringliteral">"ISO-8859-1"</span>)==0){
+<a name="l00144"></a>00144                   fromcode=<span class="stringliteral">"ISO-8859-1"</span>;
+<a name="l00145"></a>00145                 }
+<a name="l00146"></a>00146                 <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ofx_charset.compare(<span class="stringliteral">"1252"</span>)==0){
+<a name="l00147"></a>00147                   fromcode=<span class="stringliteral">"CP1252"</span>;
+<a name="l00148"></a>00148                 }
+<a name="l00149"></a>00149                 <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ofx_charset.compare(<span class="stringliteral">"NONE"</span>)==0){
+<a name="l00150"></a>00150                   fromcode=<a class="code" href="ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">LIBOFX_DEFAULT_INPUT_ENCODING</a>;
+<a name="l00151"></a>00151                 }
+<a name="l00152"></a>00152               }
+<a name="l00153"></a>00153               <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ofx_encoding.compare(<span class="stringliteral">"USASCII"</span>)==0) {
+<a name="l00154"></a>00154                 fromcode=<span class="stringliteral">"UTF-8"</span>;
+<a name="l00155"></a>00155               }
+<a name="l00156"></a>00156               <span class="keywordflow">else</span>
+<a name="l00157"></a>00157                 {
+<a name="l00158"></a>00158                   fromcode=<a class="code" href="ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">LIBOFX_DEFAULT_INPUT_ENCODING</a>;
+<a name="l00159"></a>00159                 }
+<a name="l00160"></a>00160               tocode = <a class="code" href="ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">LIBOFX_DEFAULT_OUTPUT_ENCODING</a>;
+<a name="l00161"></a>00161               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Setting up iconv for fromcode: "</span>+fromcode+<span class="stringliteral">", tocode: "</span>+tocode);
+<a name="l00162"></a>00162               conversion_descriptor = iconv_open (tocode.c_str(), fromcode.c_str());
+<a name="l00163"></a>00163 <span class="preprocessor">#endif</span>
+<a name="l00164"></a>00164 <span class="preprocessor"></span>            }
+<a name="l00165"></a>00165           <span class="keywordflow">else</span> {
+<a name="l00166"></a>00166             <span class="comment">//We are still in the headers</span>
+<a name="l00167"></a>00167             <span class="keywordflow">if</span> ((header_separator_idx=s_buffer.find(<span class="charliteral">':'</span>)) != string::npos) {
+<a name="l00168"></a>00168               <span class="comment">//Header processing</span>
+<a name="l00169"></a>00169               header_name.assign(s_buffer.substr(0,header_separator_idx));
+<a name="l00170"></a>00170               header_value.assign(s_buffer.substr(header_separator_idx+1));
+<a name="l00171"></a>00171               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():Header: "</span>+header_name+<span class="stringliteral">" with value: "</span>+header_value+<span class="stringliteral">" has been found"</span>);
+<a name="l00172"></a>00172               <span class="keywordflow">if</span>(header_name.compare(<span class="stringliteral">"ENCODING"</span>)==0) {
+<a name="l00173"></a>00173                 ofx_encoding.assign(header_value);
+<a name="l00174"></a>00174               }
+<a name="l00175"></a>00175               <span class="keywordflow">if</span>(header_name.compare(<span class="stringliteral">"CHARSET"</span>)==0) {
+<a name="l00176"></a>00176                 ofx_charset.assign(header_value);
+<a name="l00177"></a>00177               }
+<a name="l00178"></a>00178             }
+<a name="l00179"></a>00179           }
+<a name="l00180"></a>00180 
+<a name="l00181"></a>00181           <span class="keywordflow">if</span>(ofx_start==<span class="keyword">true</span> &amp;&amp; ofx_end==<span class="keyword">false</span>){
+<a name="l00182"></a>00182             s_buffer=<a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(s_buffer);
+<a name="l00183"></a>00183             <span class="comment">//cout&lt;&lt; s_buffer&lt;&lt;"\n";</span>
+<a name="l00184"></a>00184 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00185"></a>00185 <span class="preprocessor"></span>            memset(iconv_buffer,0,<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>);
+<a name="l00186"></a>00186             <span class="keywordtype">size_t</span> inbytesleft = strlen(s_buffer.c_str());
+<a name="l00187"></a>00187             <span class="keywordtype">size_t</span> outbytesleft = <a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>;
+<a name="l00188"></a>00188 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00189"></a>00189 <span class="preprocessor"></span>            <span class="keyword">const</span> <span class="keywordtype">char</span> * inchar = (<span class="keyword">const</span> <span class="keywordtype">char</span> *)s_buffer.c_str();
+<a name="l00190"></a>00190 <span class="preprocessor">#else</span>
+<a name="l00191"></a>00191 <span class="preprocessor"></span>            <span class="keywordtype">char</span> * inchar = (<span class="keywordtype">char</span> *)s_buffer.c_str();
+<a name="l00192"></a>00192 <span class="preprocessor">#endif</span>
+<a name="l00193"></a>00193 <span class="preprocessor"></span>            <span class="keywordtype">char</span> * outchar = iconv_buffer;
+<a name="l00194"></a>00194             <span class="keywordtype">int</span> iconv_retval = iconv (conversion_descriptor,
+<a name="l00195"></a>00195                     &amp;inchar, &amp;inbytesleft,
+<a name="l00196"></a>00196                    &amp;outchar, &amp;outbytesleft);
+<a name="l00197"></a>00197             <span class="keywordflow">if</span>(iconv_retval==-1){
+<a name="l00198"></a>00198               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Conversion error"</span>);
+<a name="l00199"></a>00199             }
+<a name="l00200"></a>00200             s_buffer = iconv_buffer;
+<a name="l00201"></a>00201 <span class="preprocessor">#endif</span>
+<a name="l00202"></a>00202 <span class="preprocessor"></span>              tmp_file.write(s_buffer.c_str(), s_buffer.length());
+<a name="l00203"></a>00203           }
+<a name="l00204"></a>00204           
+<a name="l00205"></a>00205           <span class="keywordflow">if</span> (ofx_start==<span class="keyword">true</span> &amp;&amp;
+<a name="l00206"></a>00206               (
+<a name="l00207"></a>00207                (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a> &amp;&amp;
+<a name="l00208"></a>00208                 ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/OFX&gt;"</span>))!=string::npos ||
+<a name="l00209"></a>00209                  (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/ofx&gt;"</span>))!=string::npos))
+<a name="l00210"></a>00210                || (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a> &amp;&amp;
+<a name="l00211"></a>00211                    ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/OFC&gt;"</span>))!=string::npos ||
+<a name="l00212"></a>00212                     (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/ofc&gt;"</span>))!=string::npos))
+<a name="l00213"></a>00213               )
+<a name="l00214"></a>00214              )
+<a name="l00215"></a>00215             {
+<a name="l00216"></a>00216               ofx_end=<span class="keyword">true</span>;
+<a name="l00217"></a>00217               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;/OFX&gt; or &lt;/OFC&gt;  has been found"</span>);
+<a name="l00218"></a>00218             }
+<a name="l00219"></a>00219 
+<a name="l00220"></a>00220         } <span class="keywordflow">while</span>(!input_file.eof()&amp;&amp;!input_file.bad());
+<a name="l00221"></a>00221       }
+<a name="l00222"></a>00222     input_file.close();
+<a name="l00223"></a>00223     tmp_file.close();
+<a name="l00224"></a>00224 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00225"></a>00225 <span class="preprocessor"></span>              iconv_close(conversion_descriptor);
+<a name="l00226"></a>00226 <span class="preprocessor">#endif</span>
+<a name="l00227"></a>00227 <span class="preprocessor"></span>    <span class="keywordtype">char</span> filename_openspdtd[255];
+<a name="l00228"></a>00228     <span class="keywordtype">char</span> filename_dtd[255];
+<a name="l00229"></a>00229     <span class="keywordtype">char</span> filename_ofx[255];
+<a name="l00230"></a>00230     strncpy(filename_openspdtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">OPENSPDCL_FILENAME</a>).c_str(),255);<span class="comment">//The opensp sgml dtd file</span>
+<a name="l00231"></a>00231     <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>)
+<a name="l00232"></a>00232       {
+<a name="l00233"></a>00233         strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">OFX160DTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofx dtd file</span>
+<a name="l00234"></a>00234       }
+<a name="l00235"></a>00235     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>)
+<a name="l00236"></a>00236       {
+<a name="l00237"></a>00237         strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">OFCDTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofc dtd file</span>
+<a name="l00238"></a>00238       }
+<a name="l00239"></a>00239     <span class="keywordflow">else</span>
+<a name="l00240"></a>00240       {
+<a name="l00241"></a>00241         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00242"></a>00242       }
+<a name="l00243"></a>00243 
+<a name="l00244"></a>00244     <span class="keywordflow">if</span>((<span class="keywordtype">string</span>)filename_dtd!=<span class="stringliteral">""</span> &amp;&amp; (<span class="keywordtype">string</span>)filename_openspdtd!=<span class="stringliteral">""</span>)
+<a name="l00245"></a>00245       {
+<a name="l00246"></a>00246         strncpy(filename_ofx,tmp_filename,255);<span class="comment">//The processed ofx file</span>
+<a name="l00247"></a>00247         filenames[0]=filename_openspdtd;
+<a name="l00248"></a>00248         filenames[1]=filename_dtd;
+<a name="l00249"></a>00249         filenames[2]=filename_ofx;
+<a name="l00250"></a>00250         <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>)
+<a name="l00251"></a>00251           {
+<a name="l00252"></a>00252             <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00253"></a>00253           }
+<a name="l00254"></a>00254         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>)
+<a name="l00255"></a>00255           {
+<a name="l00256"></a>00256             <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00257"></a>00257           }
+<a name="l00258"></a>00258         <span class="keywordflow">else</span>
+<a name="l00259"></a>00259           {
+<a name="l00260"></a>00260             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00261"></a>00261           }
+<a name="l00262"></a>00262         <span class="keywordflow">if</span>(<span class="keyword">remove</span>(tmp_filename)!=0)
+<a name="l00263"></a>00263           {
+<a name="l00264"></a>00264             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Error deleting temporary file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00265"></a>00265           }
+<a name="l00266"></a>00266       }
+<a name="l00267"></a>00267     <span class="keywordflow">else</span>
+<a name="l00268"></a>00268       {
+<a name="l00269"></a>00269         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): FATAL: Missing DTD, aborting"</span>);
+<a name="l00270"></a>00270       }
+<a name="l00271"></a>00271   }
+<a name="l00272"></a>00272   <span class="keywordflow">else</span>{
+<a name="l00273"></a>00273     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():No input file specified"</span>);
+<a name="l00274"></a>00274   }
+<a name="l00275"></a>00275   <span class="keywordflow">return</span> 0;
+<a name="l00276"></a>00276 }
+<a name="l00277"></a>00277 
+<a name="l00278"></a>00278 
+<a name="l00279"></a>00279 
+<a name="l00280"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">00280</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00281"></a>00281                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size){
+<a name="l00282"></a>00282   ofstream tmp_file;
+<a name="l00283"></a>00283   <span class="keywordtype">string</span> s_buffer;
+<a name="l00284"></a>00284   <span class="keywordtype">char</span> *filenames[3];
+<a name="l00285"></a>00285   <span class="keywordtype">char</span> tmp_filename[256];
+<a name="l00286"></a>00286   ssize_t pos;
+<a name="l00287"></a>00287   <a class="code" href="classLibofxContext.html">LibofxContext</a> *libofx_context;
+<a name="l00288"></a>00288 
+<a name="l00289"></a>00289   libofx_context=(<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx;
+<a name="l00290"></a>00290 
+<a name="l00291"></a>00291   <span class="keywordflow">if</span> (size==0) {
+<a name="l00292"></a>00292     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,
+<a name="l00293"></a>00293                 <span class="stringliteral">"ofx_proc_file(): bad size"</span>);
+<a name="l00294"></a>00294     <span class="keywordflow">return</span> -1;
+<a name="l00295"></a>00295   }
+<a name="l00296"></a>00296   s_buffer=string(s, size);
+<a name="l00297"></a>00297 
+<a name="l00298"></a>00298   <a class="code" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a>(<span class="stringliteral">"libofxtmpXXXXXX"</span>, tmp_filename, <span class="keyword">sizeof</span>(tmp_filename));
+<a name="l00299"></a>00299   mkstemp(tmp_filename);
+<a name="l00300"></a>00300   tmp_file.open(tmp_filename);
+<a name="l00301"></a>00301 
+<a name="l00302"></a>00302   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Creating temp file: "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00303"></a>00303   <span class="keywordflow">if</span>(!tmp_file){
+<a name="l00304"></a>00304     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the output file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00305"></a>00305     <span class="keywordflow">return</span> -1;
+<a name="l00306"></a>00306   }
+<a name="l00307"></a>00307 
+<a name="l00308"></a>00308   <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>) {
+<a name="l00309"></a>00309     pos=s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>);
+<a name="l00310"></a>00310     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00311"></a>00311       pos=s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>);
+<a name="l00312"></a>00312   }
+<a name="l00313"></a>00313   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>) {
+<a name="l00314"></a>00314     pos=s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>);
+<a name="l00315"></a>00315     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00316"></a>00316       pos=s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>);
+<a name="l00317"></a>00317   }
+<a name="l00318"></a>00318   <span class="keywordflow">else</span> {
+<a name="l00319"></a>00319     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc(): unknown file type"</span>);
+<a name="l00320"></a>00320     <span class="keywordflow">return</span> -1;
+<a name="l00321"></a>00321   }
+<a name="l00322"></a>00322   <span class="keywordflow">if</span> (pos==string::npos || pos &gt; s_buffer.size()) {
+<a name="l00323"></a>00323     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc():&lt;OFX&gt; has not been found"</span>);
+<a name="l00324"></a>00324     <span class="keywordflow">return</span> -1;
+<a name="l00325"></a>00325   }
+<a name="l00326"></a>00326   <span class="keywordflow">else</span> {
+<a name="l00327"></a>00327     <span class="comment">// erase everything before the OFX tag</span>
+<a name="l00328"></a>00328     s_buffer.erase(0, pos);
+<a name="l00329"></a>00329     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OF?&gt; has been found"</span>);
+<a name="l00330"></a>00330   }
+<a name="l00331"></a>00331 
+<a name="l00332"></a>00332   <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>) {
+<a name="l00333"></a>00333     pos=s_buffer.find(<span class="stringliteral">"&lt;/OFX&gt;"</span>);
+<a name="l00334"></a>00334     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00335"></a>00335       pos=s_buffer.find(<span class="stringliteral">"&lt;/ofx&gt;"</span>);
+<a name="l00336"></a>00336   }
+<a name="l00337"></a>00337   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>) {
+<a name="l00338"></a>00338     pos=s_buffer.find(<span class="stringliteral">"&lt;/OFC&gt;"</span>);
+<a name="l00339"></a>00339     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00340"></a>00340       pos=s_buffer.find(<span class="stringliteral">"&lt;/ofc&gt;"</span>);
+<a name="l00341"></a>00341   }
+<a name="l00342"></a>00342   <span class="keywordflow">else</span> {
+<a name="l00343"></a>00343     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc(): unknown file type"</span>);
+<a name="l00344"></a>00344     <span class="keywordflow">return</span> -1;
+<a name="l00345"></a>00345   }
+<a name="l00346"></a>00346 
+<a name="l00347"></a>00347   <span class="keywordflow">if</span> (pos==string::npos || pos &gt; s_buffer.size()) {
+<a name="l00348"></a>00348     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc():&lt;/OF?&gt; has not been found"</span>);
+<a name="l00349"></a>00349     <span class="keywordflow">return</span> -1;
+<a name="l00350"></a>00350   }
+<a name="l00351"></a>00351   <span class="keywordflow">else</span> {
+<a name="l00352"></a>00352     <span class="comment">// erase everything after the /OFX tag</span>
+<a name="l00353"></a>00353     <span class="keywordflow">if</span> (s_buffer.size() &gt; pos+6)
+<a name="l00354"></a>00354       s_buffer.erase(pos+6);
+<a name="l00355"></a>00355     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OFX&gt; has been found"</span>);
+<a name="l00356"></a>00356   }
+<a name="l00357"></a>00357 
+<a name="l00358"></a>00358   s_buffer=<a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(s_buffer);
+<a name="l00359"></a>00359   tmp_file.write(s_buffer.c_str(), s_buffer.length());
+<a name="l00360"></a>00360 
+<a name="l00361"></a>00361   tmp_file.close();
+<a name="l00362"></a>00362 
+<a name="l00363"></a>00363   <span class="keywordtype">char</span> filename_openspdtd[255];
+<a name="l00364"></a>00364   <span class="keywordtype">char</span> filename_dtd[255];
+<a name="l00365"></a>00365   <span class="keywordtype">char</span> filename_ofx[255];
+<a name="l00366"></a>00366   strncpy(filename_openspdtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">OPENSPDCL_FILENAME</a>).c_str(),255);<span class="comment">//The opensp sgml dtd file</span>
+<a name="l00367"></a>00367   <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>){
+<a name="l00368"></a>00368     strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">OFX160DTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofx dtd file</span>
+<a name="l00369"></a>00369   }
+<a name="l00370"></a>00370   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>){
+<a name="l00371"></a>00371     strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">OFCDTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofc dtd file</span>
+<a name="l00372"></a>00372   }
+<a name="l00373"></a>00373   <span class="keywordflow">else</span> {
+<a name="l00374"></a>00374     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00375"></a>00375   }
+<a name="l00376"></a>00376 
+<a name="l00377"></a>00377   <span class="keywordflow">if</span>((<span class="keywordtype">string</span>)filename_dtd!=<span class="stringliteral">""</span> &amp;&amp; (<span class="keywordtype">string</span>)filename_openspdtd!=<span class="stringliteral">""</span>){
+<a name="l00378"></a>00378     strncpy(filename_ofx,tmp_filename,255);<span class="comment">//The processed ofx file</span>
+<a name="l00379"></a>00379     filenames[0]=filename_openspdtd;
+<a name="l00380"></a>00380     filenames[1]=filename_dtd;
+<a name="l00381"></a>00381     filenames[2]=filename_ofx;
+<a name="l00382"></a>00382     <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>){
+<a name="l00383"></a>00383       <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00384"></a>00384     }
+<a name="l00385"></a>00385     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>){
+<a name="l00386"></a>00386       <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00387"></a>00387     }
+<a name="l00388"></a>00388     <span class="keywordflow">else</span> {
+<a name="l00389"></a>00389       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00390"></a>00390     }
+<a name="l00391"></a>00391     <span class="keywordflow">if</span>(<span class="keyword">remove</span>(tmp_filename)!=0){
+<a name="l00392"></a>00392       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Error deleting temporary file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00393"></a>00393     }
+<a name="l00394"></a>00394   }
+<a name="l00395"></a>00395   <span class="keywordflow">else</span> {
+<a name="l00396"></a>00396     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): FATAL: Missing DTD, aborting"</span>);
+<a name="l00397"></a>00397   }
+<a name="l00398"></a>00398 
+<a name="l00399"></a>00399   <span class="keywordflow">return</span> 0;
+<a name="l00400"></a>00400 }
+<a name="l00401"></a>00401 
+<a name="l00402"></a>00402 
+<a name="l00403"></a>00403 
+<a name="l00404"></a>00404 
+<a name="l00405"></a>00405 
+<a name="l00406"></a>00406 
+<a name="l00411"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">00411</a> <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(<span class="keywordtype">string</span> input_string)
+<a name="l00412"></a>00412 {
+<a name="l00413"></a>00413   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i;
+<a name="l00414"></a>00414   <span class="keywordtype">size_t</span> input_string_size;
+<a name="l00415"></a>00415   <span class="keywordtype">bool</span> strip=<span class="keyword">false</span>;
+<a name="l00416"></a>00416   <span class="keywordtype">bool</span> tag_open=<span class="keyword">false</span>;
+<a name="l00417"></a>00417   <span class="keywordtype">int</span> tag_open_idx=0;<span class="comment">//Are we within &lt; &gt; ?</span>
+<a name="l00418"></a>00418   <span class="keywordtype">bool</span> closing_tag_open=<span class="keyword">false</span>;<span class="comment">//Are we within &lt;/ &gt; ?</span>
+<a name="l00419"></a>00419   <span class="keywordtype">int</span> orig_tag_open_idx=0;
+<a name="l00420"></a>00420   <span class="keywordtype">bool</span> proprietary_tag=<span class="keyword">false</span>; <span class="comment">//Are we within a proprietary element?</span>
+<a name="l00421"></a>00421   <span class="keywordtype">bool</span> proprietary_closing_tag=<span class="keyword">false</span>;
+<a name="l00422"></a>00422   <span class="keywordtype">int</span> crop_end_idx=0;
+<a name="l00423"></a>00423   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
+<a name="l00424"></a>00424   <span class="keywordtype">char</span> tagname[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
+<a name="l00425"></a>00425   <span class="keywordtype">int</span> tagname_idx=0;
+<a name="l00426"></a>00426   <span class="keywordtype">char</span> close_tagname[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
+<a name="l00427"></a>00427  
+<a name="l00428"></a>00428   <span class="keywordflow">for</span>(i=0;i&lt;<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>;i++){
+<a name="l00429"></a>00429     buffer[i]=0;
+<a name="l00430"></a>00430     tagname[i]=0;
+<a name="l00431"></a>00431     close_tagname[i]=0;
+<a name="l00432"></a>00432   }
+<a name="l00433"></a>00433   
+<a name="l00434"></a>00434   input_string_size=input_string.size();
+<a name="l00435"></a>00435   
+<a name="l00436"></a>00436   <span class="keywordflow">for</span>(i=0;i&lt;=input_string_size;i++){
+<a name="l00437"></a>00437     <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'&lt;'</span>){
+<a name="l00438"></a>00438       tag_open=<span class="keyword">true</span>;
+<a name="l00439"></a>00439       tag_open_idx=i;
+<a name="l00440"></a>00440       <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>&amp;&amp;input_string.c_str()[i+1]==<span class="charliteral">'/'</span>){
+<a name="l00441"></a>00441         <span class="comment">//We are now in a closing tag</span>
+<a name="l00442"></a>00442         closing_tag_open=<span class="keyword">true</span>;
+<a name="l00443"></a>00443         <span class="comment">//cout&lt;&lt;"Comparaison: "&lt;&lt;tagname&lt;&lt;"|"&lt;&lt;&amp;(input_string.c_str()[i+2])&lt;&lt;"|"&lt;&lt;strlen(tagname)&lt;&lt;endl;</span>
+<a name="l00444"></a>00444         <span class="keywordflow">if</span>(strncmp(tagname,&amp;(input_string.c_str()[i+2]),strlen(tagname))!=0){
+<a name="l00445"></a>00445           <span class="comment">//If it is the begining of an other tag</span>
+<a name="l00446"></a>00446           <span class="comment">//cout&lt;&lt;"DIFFERENT!"&lt;&lt;endl;</span>
+<a name="l00447"></a>00447           crop_end_idx=i-1;
+<a name="l00448"></a>00448           strip=<span class="keyword">true</span>;
+<a name="l00449"></a>00449         }
+<a name="l00450"></a>00450         <span class="keywordflow">else</span>{
+<a name="l00451"></a>00451           <span class="comment">//Otherwise, it is the start of the closing tag of the proprietary tag</span>
+<a name="l00452"></a>00452           proprietary_closing_tag=<span class="keyword">true</span>;
+<a name="l00453"></a>00453         }
+<a name="l00454"></a>00454       }
+<a name="l00455"></a>00455       <span class="keywordflow">else</span> <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>){
+<a name="l00456"></a>00456         <span class="comment">//It is the start of a new tag, following a proprietary tag</span>
+<a name="l00457"></a>00457         crop_end_idx=i-1;
+<a name="l00458"></a>00458         strip=<span class="keyword">true</span>;
+<a name="l00459"></a>00459       }
+<a name="l00460"></a>00460     }
+<a name="l00461"></a>00461     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'&gt;'</span>){
+<a name="l00462"></a>00462       tag_open=<span class="keyword">false</span>;
+<a name="l00463"></a>00463       closing_tag_open=<span class="keyword">false</span>;
+<a name="l00464"></a>00464       tagname[tagname_idx]=0;
+<a name="l00465"></a>00465       tagname_idx=0;
+<a name="l00466"></a>00466       <span class="keywordflow">if</span>(proprietary_closing_tag==<span class="keyword">true</span>){
+<a name="l00467"></a>00467         crop_end_idx=i;
+<a name="l00468"></a>00468         strip=<span class="keyword">true</span>;
+<a name="l00469"></a>00469       }
+<a name="l00470"></a>00470     }
+<a name="l00471"></a>00471     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(tag_open==<span class="keyword">true</span>&amp;&amp;closing_tag_open==<span class="keyword">false</span>){
+<a name="l00472"></a>00472       <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'.'</span>){
+<a name="l00473"></a>00473         <span class="keywordflow">if</span>(proprietary_tag!=<span class="keyword">true</span>){
+<a name="l00474"></a>00474           orig_tag_open_idx = tag_open_idx;
+<a name="l00475"></a>00475           proprietary_tag=<span class="keyword">true</span>;
+<a name="l00476"></a>00476         }
+<a name="l00477"></a>00477       }
+<a name="l00478"></a>00478       tagname[tagname_idx]=input_string.c_str()[i];
+<a name="l00479"></a>00479       tagname_idx++;
+<a name="l00480"></a>00480     }
+<a name="l00481"></a>00481     <span class="comment">//cerr &lt;&lt;i&lt;&lt;endl;</span>
+<a name="l00482"></a>00482     <span class="keywordflow">if</span>(strip==<span class="keyword">true</span>)
+<a name="l00483"></a>00483       {
+<a name="l00484"></a>00484         input_string.copy(buffer,(crop_end_idx-orig_tag_open_idx)+1,orig_tag_open_idx);
+<a name="l00485"></a>00485         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,<span class="stringliteral">"sanitize_proprietary_tags() (end tag or new tag) removed: "</span>+<span class="keywordtype">string</span>(buffer));
+<a name="l00486"></a>00486         input_string.erase(orig_tag_open_idx,(crop_end_idx-orig_tag_open_idx)+1);
+<a name="l00487"></a>00487         i=orig_tag_open_idx-1;
+<a name="l00488"></a>00488         proprietary_tag=<span class="keyword">false</span>;
+<a name="l00489"></a>00489         proprietary_closing_tag=<span class="keyword">false</span>;
+<a name="l00490"></a>00490         closing_tag_open=<span class="keyword">false</span>;
+<a name="l00491"></a>00491         tag_open=<span class="keyword">false</span>;
+<a name="l00492"></a>00492         strip=<span class="keyword">false</span>;
+<a name="l00493"></a>00493       }
+<a name="l00494"></a>00494 
+<a name="l00495"></a>00495   }<span class="comment">//end for</span>
+<a name="l00496"></a>00496   <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>){
+<a name="l00497"></a>00497     <span class="keywordflow">if</span>(crop_end_idx==0){<span class="comment">//no closing tag</span>
+<a name="l00498"></a>00498       crop_end_idx=input_string.size()-1;
+<a name="l00499"></a>00499     }
+<a name="l00500"></a>00500     input_string.copy(buffer,(crop_end_idx-orig_tag_open_idx)+1,orig_tag_open_idx);
+<a name="l00501"></a>00501     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,<span class="stringliteral">"sanitize_proprietary_tags() (end of line) removed: "</span>+<span class="keywordtype">string</span>(buffer));
+<a name="l00502"></a>00502     input_string.erase(orig_tag_open_idx,(crop_end_idx-orig_tag_open_idx)+1);
+<a name="l00503"></a>00503   }
+<a name="l00504"></a>00504   <span class="keywordflow">return</span> input_string;
+<a name="l00505"></a>00505 }
+<a name="l00506"></a>00506 
+<a name="l00507"></a>00507 
+<a name="l00508"></a>00508 
+<a name="l00514"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183">00514</a> <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <span class="keywordtype">string</span> dtd_filename)
+<a name="l00515"></a>00515 {
+<a name="l00516"></a>00516   <span class="keywordtype">int</span> i;
+<a name="l00517"></a>00517   ifstream dtd_file;
+<a name="l00518"></a>00518   <span class="keywordtype">string</span> dtd_path_filename;
+<a name="l00519"></a>00519   <span class="keywordtype">bool</span> dtd_found=<span class="keyword">false</span>;
+<a name="l00520"></a>00520 
+<a name="l00521"></a>00521   dtd_path_filename=((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;dtdDir();
+<a name="l00522"></a>00522   <span class="keywordflow">if</span> (!dtd_path_filename.empty()) {
+<a name="l00523"></a>00523     dtd_path_filename.append(dtd_filename);
+<a name="l00524"></a>00524     dtd_file.clear();
+<a name="l00525"></a>00525     dtd_file.open(dtd_path_filename.c_str());
+<a name="l00526"></a>00526     <span class="keywordflow">if</span>(dtd_file){
+<a name="l00527"></a>00527       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a>,<span class="stringliteral">"find_dtd():DTD found: "</span>+dtd_path_filename);
+<a name="l00528"></a>00528       dtd_file.close();
+<a name="l00529"></a>00529       dtd_found=<span class="keyword">true</span>;
+<a name="l00530"></a>00530     }
+<a name="l00531"></a>00531   }
+<a name="l00532"></a>00532 
+<a name="l00533"></a>00533   <span class="keywordflow">if</span> (!dtd_found) {
+<a name="l00534"></a>00534     <span class="keywordflow">for</span>(i=0;i&lt;<a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a>&amp;&amp;dtd_found==<span class="keyword">false</span>;i++){
+<a name="l00535"></a>00535       dtd_path_filename=<a class="code" href="ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3" title="The list of paths to search for the DTDs.">DTD_SEARCH_PATH</a>[i];
+<a name="l00536"></a>00536       dtd_path_filename.append(dtd_filename);
+<a name="l00537"></a>00537       dtd_file.clear();
+<a name="l00538"></a>00538       dtd_file.open(dtd_path_filename.c_str());
+<a name="l00539"></a>00539       <span class="keywordflow">if</span>(!dtd_file){
+<a name="l00540"></a>00540         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"find_dtd():Unable to open the file "</span>+dtd_path_filename);
+<a name="l00541"></a>00541       }
+<a name="l00542"></a>00542       <span class="keywordflow">else</span>{
+<a name="l00543"></a>00543         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a>,<span class="stringliteral">"find_dtd():DTD found: "</span>+dtd_path_filename);
+<a name="l00544"></a>00544         dtd_file.close();
+<a name="l00545"></a>00545         dtd_found=<span class="keyword">true</span>;
+<a name="l00546"></a>00546       }
+<a name="l00547"></a>00547     }
+<a name="l00548"></a>00548   }
+<a name="l00549"></a>00549 
+<a name="l00550"></a>00550   <span class="keywordflow">if</span>(dtd_found==<span class="keyword">false</span>){
+<a name="l00551"></a>00551     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"find_dtd():Unable to find the DTD named "</span> + dtd_filename);
+<a name="l00552"></a>00552     dtd_path_filename=<span class="stringliteral">""</span>;
+<a name="l00553"></a>00553   }
+<a name="l00554"></a>00554   <span class="keywordflow">return</span> dtd_path_filename;
+<a name="l00555"></a>00555 }
+<a name="l00556"></a>00556 
+<a name="l00557"></a>00557 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__preproc_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__preproc_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__preproc_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,219 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_preproc.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_preproc.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Preprocessing of the OFX files before parsing. 
+<p>
+Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD. 
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html">fx-0.9.0/lib/ofx_preproc.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="09a61c3060675652c8264d4a2ed4fce9"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.cpp::LIBOFX_DEFAULT_INPUT_ENCODING" ref="09a61c3060675652c8264d4a2ed4fce9" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">LIBOFX_DEFAULT_INPUT_ENCODING</a>&nbsp;&nbsp;&nbsp;&quot;CP1252&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c27a6a130c3778f9fafbc6cc6b85481a"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.cpp::LIBOFX_DEFAULT_OUTPUT_ENCODING" ref="c27a6a130c3778f9fafbc6cc6b85481a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">LIBOFX_DEFAULT_OUTPUT_ENCODING</a>&nbsp;&nbsp;&nbsp;&quot;UTF-8&quot;</td></tr>
+
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">ofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, const char *p_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">File pre-processing of OFX AND for OFC files.  <a href="#f2eca18ef5a500e7f76ed180d0af8a0a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, const char *s, unsigned int size)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">sanitize_proprietary_tags</a> (string input_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes proprietary tags and comments.  <a href="#cdbd49c3c11946411dd76016609bd333"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183">find_dtd</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, string dtd_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the appropriate DTD for the file version.  <a href="#a45231657cddffcb50db295076956183"></a><br></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="877a644df33a5047e92386446c5cce88"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.cpp::DTD_SEARCH_PATH_NUM" ref="877a644df33a5047e92386446c5cce88" args="" -->
+const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">DTD_SEARCH_PATH_NUM</a> = 3</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of different paths to search for DTDs. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">DTD_SEARCH_PATH</a> [<a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">DTD_SEARCH_PATH_NUM</a>]</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The list of paths to search for the DTDs.  <a href="#760a72b5e13c14b54c8eb0af7a4000d3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3a4f15870bd5573d14fceb17c65162ee"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.cpp::READ_BUFFER_SIZE" ref="3a4f15870bd5573d14fceb17c65162ee" args="" -->
+const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024</td></tr>
+
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="a45231657cddffcb50db295076956183"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.cpp::find_dtd" ref="a45231657cddffcb50db295076956183" args="(LibofxContextPtr ctx, string dtd_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string find_dtd           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>dtd_filename</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Find the appropriate DTD for the file version. 
+<p>
+This function will try to find a DTD matching the requested_version and return the full path of the DTD found (or an empty string if unsuccessfull)<p>
+Please note that currently the function will ALWAYS look for version 160, since OpenSP can't parse the 201 DTD correctly 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html#l00514">514</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html">fx-0.9.0/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="02ee3c0b61d866f98fd0f15775d06895"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.cpp::libofx_proc_buffer" ref="02ee3c0b61d866f98fd0f15775d06895" args="(LibofxContextPtr ctx, const char *s, unsigned int size)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_buffer           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>s</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">unsigned int&nbsp;</td>
+          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Parses the content of the given buffer. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html#l00280">280</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html">fx-0.9.0/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f2eca18ef5a500e7f76ed180d0af8a0a"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.cpp::ofx_proc_file" ref="f2eca18ef5a500e7f76ed180d0af8a0a" args="(LibofxContextPtr ctx, const char *p_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int ofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+File pre-processing of OFX AND for OFC files. 
+<p>
+ofx_proc_file process an ofx or ofc file.<p>
+Takes care of comment striping, dtd locating, etc. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html#l00070">70</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html">fx-0.9.0/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cdbd49c3c11946411dd76016609bd333"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.cpp::sanitize_proprietary_tags" ref="cdbd49c3c11946411dd76016609bd333" args="(string input_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string sanitize_proprietary_tags           </td>
+          <td>(</td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>input_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Removes proprietary tags and comments. 
+<p>
+This function will strip all the OFX proprietary tags and SGML comments from the SGML string passed to it 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html#l00411">411</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html">fx-0.9.0/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr><h2>Variable Documentation</h2>
+<a class="anchor" name="760a72b5e13c14b54c8eb0af7a4000d3"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.cpp::DTD_SEARCH_PATH" ref="760a72b5e13c14b54c8eb0af7a4000d3" args="[DTD_SEARCH_PATH_NUM]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">DTD_SEARCH_PATH</a>[<a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">DTD_SEARCH_PATH_NUM</a>]          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<b>Initial value:</b><div class="fragment"><pre class="fragment"> { 
+
+
+
+  <span class="stringliteral">"/usr/local/share/libofx/dtd/"</span>, 
+  <span class="stringliteral">"/usr/share/libofx/dtd/"</span>, 
+  <span class="stringliteral">"~/"</span>}
+</pre></div>The list of paths to search for the DTDs. 
+<p>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html#l00057">57</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp-source.html">fx-0.9.0/lib/ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__preproc_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__preproc_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__preproc_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,48 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_preproc.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_preproc.hh</h1><a href="fx-0_89_80_2lib_2ofx__preproc_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_preproc.h</span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment"> ***************************************************************************/</span>
+<a name="l00012"></a>00012 <span class="comment">/***************************************************************************</span>
+<a name="l00013"></a>00013 <span class="comment"> *                                                                         *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00017"></a>00017 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00018"></a>00018 <span class="comment"> *                                                                         *</span>
+<a name="l00019"></a>00019 <span class="comment"> ***************************************************************************/</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#ifndef OFX_PREPROC_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_PREPROC_H</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include "context.hh"</span>
+<a name="l00024"></a>00024 
+<a name="l00025"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">00025</a> <span class="preprocessor">#define OPENSPDCL_FILENAME "opensp.dcl"</span>
+<a name="l00026"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">00026</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX160DTD_FILENAME "ofx160.dtd"</span>
+<a name="l00027"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">00027</a> <span class="preprocessor"></span><span class="preprocessor">#define OFCDTD_FILENAME "ofc.dtd"</span>
+<a name="l00028"></a>00028 <span class="preprocessor"></span>
+<a name="l00030"></a>00030 <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(<span class="keywordtype">string</span> input_string);
+<a name="l00032"></a>00032 <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <span class="keywordtype">string</span> dtd_filename);
+<a name="l00039"></a>00039 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, <span class="keyword">const</span> <span class="keywordtype">char</span> *);
+<a name="l00040"></a>00040 
+<a name="l00041"></a>00041 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__preproc_8hh.html'
--- doc/html/fx-0_89_80_2lib_2ofx__preproc_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__preproc_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,146 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_preproc.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_preproc.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Preprocessing of the OFX files before parsing. 
+<p>
+Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD. 
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh-source.html">fx-0.9.0/lib/ofx_preproc.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__preproc_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d9e6681d8259d0d224f7c775eb25487c"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.hh::OPENSPDCL_FILENAME" ref="d9e6681d8259d0d224f7c775eb25487c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">OPENSPDCL_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;opensp.dcl&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9048e71566173bdc4719830bf28bec3b"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.hh::OFX160DTD_FILENAME" ref="9048e71566173bdc4719830bf28bec3b" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">OFX160DTD_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;ofx160.dtd&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db19c9e865a6e5d4ae16c68b36b1734c"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.hh::OFCDTD_FILENAME" ref="db19c9e865a6e5d4ae16c68b36b1734c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">OFCDTD_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;ofc.dtd&quot;</td></tr>
+
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#cdbd49c3c11946411dd76016609bd333">sanitize_proprietary_tags</a> (string input_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes proprietary tags and comments.  <a href="#cdbd49c3c11946411dd76016609bd333"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#a45231657cddffcb50db295076956183">find_dtd</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, string dtd_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the appropriate DTD for the file version.  <a href="#a45231657cddffcb50db295076956183"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#962fcc61a6192bd63ac3fb234fd07cc4">ofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, const char *)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ofx_proc_file process an ofx or ofc file.  <a href="#962fcc61a6192bd63ac3fb234fd07cc4"></a><br></td></tr>
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="a45231657cddffcb50db295076956183"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.hh::find_dtd" ref="a45231657cddffcb50db295076956183" args="(LibofxContextPtr ctx, string dtd_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string find_dtd           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>dtd_filename</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Find the appropriate DTD for the file version. 
+<p>
+This function will try to find a DTD matching the requested_version and return the full path of the DTD found (or an empty string if unsuccessfull)<p>
+Please note that currently the function will ALWAYS look for version 160, since OpenSP can't parse the 201 DTD correctly 
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00514">514</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="962fcc61a6192bd63ac3fb234fd07cc4"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.hh::ofx_proc_file" ref="962fcc61a6192bd63ac3fb234fd07cc4" args="(LibofxContextPtr libofx_context, const char *)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int ofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+ofx_proc_file process an ofx or ofc file. 
+<p>
+libofx_proc_file must be called with a list of 1 or more OFX files to be parsed in command line format.<p>
+ofx_proc_file process an ofx or ofc file.<p>
+Takes care of comment striping, dtd locating, etc. 
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00070">70</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cdbd49c3c11946411dd76016609bd333"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_preproc.hh::sanitize_proprietary_tags" ref="cdbd49c3c11946411dd76016609bd333" args="(string input_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string sanitize_proprietary_tags           </td>
+          <td>(</td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>input_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Removes proprietary tags and comments. 
+<p>
+This function will strip all the OFX proprietary tags and SGML comments from the SGML string passed to it 
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00411">411</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,137 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request.cpp</h1><a href="fx-0_89_80_2lib_2ofx__request_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">         ofx_request.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2005 by Ace Jones</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : acejones@users.sourceforge.net</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__request_8hh.html" title="Declaration of an OfxRequests to create an OFX file containing a generic request...">ofx_request.hh</a>"</span>
+<a name="l00028"></a>00028 
+<a name="l00029"></a>00029 <span class="keyword">using namespace </span>std;
+<a name="l00030"></a>00030 
+<a name="l00031"></a><a class="code" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">00031</a> <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time_t time )
+<a name="l00032"></a>00032 {
+<a name="l00033"></a>00033   <span class="keyword">static</span> <span class="keywordtype">char</span> buffer[51];
+<a name="l00034"></a>00034 
+<a name="l00035"></a>00035   strftime( buffer, 50, <span class="stringliteral">"%Y%m%d%H%M%S.000"</span>, localtime(&amp;time) );
+<a name="l00036"></a>00036   buffer[50] = 0;
+<a name="l00037"></a>00037   
+<a name="l00038"></a>00038   <span class="keywordflow">return</span> string(buffer);
+<a name="l00039"></a>00039 }
+<a name="l00040"></a>00040 
+<a name="l00041"></a><a class="code" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">00041</a> <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( time_t time )
+<a name="l00042"></a>00042 {
+<a name="l00043"></a>00043   <span class="keyword">static</span> <span class="keywordtype">char</span> buffer[51];
+<a name="l00044"></a>00044 
+<a name="l00045"></a>00045   strftime( buffer, 50, <span class="stringliteral">"%Y%m%d"</span>, localtime(&amp;time) );
+<a name="l00046"></a>00046   buffer[50] = 0;
+<a name="l00047"></a>00047   
+<a name="l00048"></a>00048   <span class="keywordflow">return</span> string(buffer);
+<a name="l00049"></a>00049 }
+<a name="l00050"></a>00050 
+<a name="l00051"></a><a class="code" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">00051</a> <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *hver){
+<a name="l00052"></a>00052   <span class="keywordflow">if</span> (hver==NULL || hver[0]==0)
+<a name="l00053"></a>00053     hver=<span class="stringliteral">"102"</span>;
+<a name="l00054"></a>00054 
+<a name="l00055"></a>00055   <span class="keywordflow">if</span> (strcmp(hver, <span class="stringliteral">"103"</span>)==0)
+<a name="l00056"></a>00056     <span class="comment">/* TODO: check for differences in version 102 and 103 */</span>
+<a name="l00057"></a>00057     <span class="keywordflow">return</span> string(<span class="stringliteral">"OFXHEADER:100\r\n"</span>
+<a name="l00058"></a>00058                   <span class="stringliteral">"DATA:OFXSGML\r\n"</span>
+<a name="l00059"></a>00059                   <span class="stringliteral">"VERSION:103\r\n"</span>
+<a name="l00060"></a>00060                   <span class="stringliteral">"SECURITY:NONE\r\n"</span>
+<a name="l00061"></a>00061                   <span class="stringliteral">"ENCODING:USASCII\r\n"</span>
+<a name="l00062"></a>00062                   <span class="stringliteral">"CHARSET:1252\r\n"</span>
+<a name="l00063"></a>00063                   <span class="stringliteral">"COMPRESSION:NONE\r\n"</span>
+<a name="l00064"></a>00064                   <span class="stringliteral">"OLDFILEUID:NONE\r\n"</span>
+<a name="l00065"></a>00065                   <span class="stringliteral">"NEWFILEUID:"</span>)
+<a name="l00066"></a>00066       + <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) )
+<a name="l00067"></a>00067       + string(<span class="stringliteral">"\r\n\r\n"</span>);
+<a name="l00068"></a>00068   <span class="keywordflow">else</span>
+<a name="l00069"></a>00069     <span class="keywordflow">return</span> string(<span class="stringliteral">"OFXHEADER:100\r\n"</span>
+<a name="l00070"></a>00070                   <span class="stringliteral">"DATA:OFXSGML\r\n"</span>
+<a name="l00071"></a>00071                   <span class="stringliteral">"VERSION:102\r\n"</span>
+<a name="l00072"></a>00072                   <span class="stringliteral">"SECURITY:NONE\r\n"</span>
+<a name="l00073"></a>00073                   <span class="stringliteral">"ENCODING:USASCII\r\n"</span>
+<a name="l00074"></a>00074                   <span class="stringliteral">"CHARSET:1252\r\n"</span>
+<a name="l00075"></a>00075                   <span class="stringliteral">"COMPRESSION:NONE\r\n"</span>
+<a name="l00076"></a>00076                   <span class="stringliteral">"OLDFILEUID:NONE\r\n"</span>
+<a name="l00077"></a>00077                   <span class="stringliteral">"NEWFILEUID:"</span>)
+<a name="l00078"></a>00078       + <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) )
+<a name="l00079"></a>00079       + string(<span class="stringliteral">"\r\n\r\n"</span>);
+<a name="l00080"></a>00080 }
+<a name="l00081"></a>00081 
+<a name="l00082"></a>00082 <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">OfxRequest::SignOnRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00083"></a>00083 <span class="keyword"></span>{
+<a name="l00084"></a>00084   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> fiTag(<span class="stringliteral">"FI"</span>);
+<a name="l00085"></a>00085   fiTag.Add( <span class="stringliteral">"ORG"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">org</a> );
+<a name="l00086"></a>00086   <span class="keywordflow">if</span> ( strlen(<a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a>) &gt; 0 )
+<a name="l00087"></a>00087     fiTag.Add( <span class="stringliteral">"FID"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a> );
+<a name="l00088"></a>00088 
+<a name="l00089"></a>00089   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> sonrqTag(<span class="stringliteral">"SONRQ"</span>);
+<a name="l00090"></a>00090   sonrqTag.Add( <span class="stringliteral">"DTCLIENT"</span>, <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) ) );
+<a name="l00091"></a>00091   sonrqTag.Add( <span class="stringliteral">"USERID"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">userid</a>);
+<a name="l00092"></a>00092   sonrqTag.Add( <span class="stringliteral">"USERPASS"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">userpass</a>);
+<a name="l00093"></a>00093   sonrqTag.Add( <span class="stringliteral">"LANGUAGE"</span>,<span class="stringliteral">"ENG"</span>);
+<a name="l00094"></a>00094   sonrqTag.Add( fiTag );
+<a name="l00095"></a>00095   <span class="keywordflow">if</span> ( strlen(<a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#0589bf38951c4e698236146c019d4cd1">appid</a>) &gt; 0 )
+<a name="l00096"></a>00096       sonrqTag.Add( <span class="stringliteral">"APPID"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#0589bf38951c4e698236146c019d4cd1">appid</a>);
+<a name="l00097"></a>00097   <span class="keywordflow">else</span>
+<a name="l00098"></a>00098       sonrqTag.Add( <span class="stringliteral">"APPID"</span>,<span class="stringliteral">"QWIN"</span>);
+<a name="l00099"></a>00099   <span class="keywordflow">if</span> ( strlen(<a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#f870ca3b27992fb53f203d23f33d097c">appver</a>) &gt; 0 )
+<a name="l00100"></a>00100     sonrqTag.Add( <span class="stringliteral">"APPVER"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#f870ca3b27992fb53f203d23f33d097c">appver</a>);
+<a name="l00101"></a>00101   <span class="keywordflow">else</span>
+<a name="l00102"></a>00102     sonrqTag.Add( <span class="stringliteral">"APPVER"</span>,<span class="stringliteral">"1400"</span>);
+<a name="l00103"></a>00103 
+<a name="l00104"></a>00104   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> signonmsgTag(<span class="stringliteral">"SIGNONMSGSRQV1"</span>);
+<a name="l00105"></a>00105   signonmsgTag.Add( sonrqTag );
+<a name="l00106"></a>00106 
+<a name="l00107"></a>00107   <span class="keywordflow">return</span> signonmsgTag;
+<a name="l00108"></a>00108 }
+<a name="l00109"></a>00109 
+<a name="l00110"></a>00110 <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">OfxRequest::RequestMessage</a>(<span class="keyword">const</span> <span class="keywordtype">string</span>&amp; _msgType, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; _trnType, <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>&amp; _request)<span class="keyword"> const</span>
+<a name="l00111"></a>00111 <span class="keyword"></span>{
+<a name="l00112"></a>00112   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> trnrqTag( _trnType+<span class="stringliteral">"TRNRQ"</span> );
+<a name="l00113"></a>00113   trnrqTag.Add( <span class="stringliteral">"TRNUID"</span>, <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) ) );
+<a name="l00114"></a>00114   trnrqTag.Add( <span class="stringliteral">"CLTCOOKIE"</span>,<span class="stringliteral">"1"</span> ); 
+<a name="l00115"></a>00115   trnrqTag.Add( _request );
+<a name="l00116"></a>00116     
+<a name="l00117"></a>00117   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> result( _msgType+<span class="stringliteral">"MSGSRQV1"</span> );
+<a name="l00118"></a>00118   result.Add( trnrqTag );
+<a name="l00119"></a>00119 
+<a name="l00120"></a>00120   <span class="keywordflow">return</span> result;
+<a name="l00121"></a>00121 }
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,42 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Implementation of an OfxRequests to create an OFX file containing a generic request . 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp-source.html">fx-0.9.0/lib/ofx_request.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__request_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2f86a163dc83453b02683f1d20d6b3d6"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_request.cpp::time_t_to_ofxdatetime" ref="2f86a163dc83453b02683f1d20d6b3d6" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="34e84f6346e9d35feba51592e3db190c"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_request.cpp::time_t_to_ofxdate" ref="34e84f6346e9d35feba51592e3db190c" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="38a94b99f351615ee7a342f409db8499"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_request.cpp::OfxHeader" ref="38a94b99f351615ee7a342f409db8499" args="(const char *hver)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a> (const char *hver)</td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,66 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request.hh</h1><a href="fx-0_89_80_2lib_2ofx__request_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_request.hh </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2005 by Ace Jones</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : acejones@users.sourceforge.net</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifndef OFX_REQUEST_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_REQUEST_H</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__aggregate_8hh.html" title="Declaration of OfxAggregate which allows you to construct a single OFX aggregate...">ofx_aggregate.hh</a>"</span>
+<a name="l00026"></a>00026 
+<a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
+<a name="l00028"></a>00028 
+<a name="l00036"></a>00036 <span class="keyword">class </span><a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>
+<a name="l00037"></a>00037 {
+<a name="l00038"></a>00038 <span class="keyword">public</span>:
+<a name="l00045"></a><a class="code" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">00045</a>   <a class="code" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">OfxRequest</a>(<span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi): <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>(<span class="stringliteral">"OFX"</span>), <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>(fi) {}
+<a name="l00046"></a>00046   
+<a name="l00047"></a>00047 <span class="comment">//protected:</span>
+<a name="l00048"></a>00048 <span class="keyword">public</span>:
+<a name="l00055"></a>00055   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00056"></a>00056   
+<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="keyword">const</span> <span class="keywordtype">string</span>&amp; msgtype, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; trntype, <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>&amp; aggregate ) <span class="keyword">const</span>;
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 <span class="keyword">protected</span>:
+<a name="l00071"></a>00071   <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a> <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>;
+<a name="l00072"></a>00072 };
+<a name="l00073"></a>00073 
+<a name="l00078"></a>00078 
+<a name="l00079"></a>00079 <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time_t time );
+<a name="l00080"></a>00080 <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( time_t time );
+<a name="l00081"></a>00081 <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *hver);
+<a name="l00082"></a>00082 
+<a name="l00084"></a>00084 
+<a name="l00085"></a>00085 <span class="preprocessor">#endif // OFX_REQUEST_H</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request_8hh.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,47 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Declaration of an OfxRequests to create an OFX file containing a generic request . 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh-source.html">fx-0.9.0/lib/ofx_request.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__request_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html">OfxRequest</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A generic request.  <a href="classOfxRequest.html#_details">More...</a><br></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td colspan="2"><div class="groupHeader">Some general helper functions</div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2f86a163dc83453b02683f1d20d6b3d6"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_request.hh::time_t_to_ofxdatetime" ref="2f86a163dc83453b02683f1d20d6b3d6" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="34e84f6346e9d35feba51592e3db190c"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_request.hh::time_t_to_ofxdate" ref="34e84f6346e9d35feba51592e3db190c" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="38a94b99f351615ee7a342f409db8499"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_request.hh::OfxHeader" ref="38a94b99f351615ee7a342f409db8499" args="(const char *hver)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a> (const char *hver)</td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,98 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request_accountinfo.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request_accountinfo.cpp</h1><a href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">         ofx_request_accountinfo.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2005 by Ace Jones</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : acejones@users.sourceforge.net</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8hh.html" title="Declaration of OfxRequestAccountInfo create an OFX file containing a request for...">ofx_request_accountinfo.hh</a>"</span>
+<a name="l00027"></a>00027 
+<a name="l00028"></a>00028 <span class="keyword">using namespace </span>std;
+<a name="l00029"></a>00029 
+<a name="l00030"></a><a class="code" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">00030</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449" title="Creates an OFX account info (list) request in string form.">libofx_request_accountinfo</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login )
+<a name="l00031"></a>00031 {
+<a name="l00032"></a>00032   <a class="code" href="classOfxAccountInfoRequest.html" title="An account information request.">OfxAccountInfoRequest</a> strq( *login );
+<a name="l00033"></a>00033   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(login-&gt;<a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a>) + strq.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
+<a name="l00034"></a>00034 
+<a name="l00035"></a>00035   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00036"></a>00036   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00037"></a>00037   request.copy(result,size);
+<a name="l00038"></a>00038   result[size] = 0;
+<a name="l00039"></a>00039   
+<a name="l00040"></a>00040   <span class="keywordflow">return</span> result;
+<a name="l00041"></a>00041 }
+<a name="l00042"></a>00042 
+<a name="l00043"></a>00043 <span class="comment">/*</span>
+<a name="l00044"></a>00044 <span class="comment">&lt;OFX&gt;</span>
+<a name="l00045"></a>00045 <span class="comment">&lt;SIGNONMSGSRQV1&gt;</span>
+<a name="l00046"></a>00046 <span class="comment">&lt;SONRQ&gt;</span>
+<a name="l00047"></a>00047 <span class="comment">&lt;DTCLIENT&gt;20050417210306</span>
+<a name="l00048"></a>00048 <span class="comment">&lt;USERID&gt;GnuCash</span>
+<a name="l00049"></a>00049 <span class="comment">&lt;USERPASS&gt;gcash</span>
+<a name="l00050"></a>00050 <span class="comment">&lt;LANGUAGE&gt;ENG</span>
+<a name="l00051"></a>00051 <span class="comment">&lt;FI&gt;</span>
+<a name="l00052"></a>00052 <span class="comment">&lt;ORG&gt;ReferenceFI</span>
+<a name="l00053"></a>00053 <span class="comment">&lt;FID&gt;00000</span>
+<a name="l00054"></a>00054 <span class="comment">&lt;/FI&gt;</span>
+<a name="l00055"></a>00055 <span class="comment">&lt;APPID&gt;QWIN</span>
+<a name="l00056"></a>00056 <span class="comment">&lt;APPVER&gt;1100</span>
+<a name="l00057"></a>00057 <span class="comment">&lt;/SONRQ&gt;</span>
+<a name="l00058"></a>00058 <span class="comment">&lt;/SIGNONMSGSRQV1&gt;</span>
+<a name="l00059"></a>00059 <span class="comment"></span>
+<a name="l00060"></a>00060 <span class="comment">&lt;SIGNUPMSGSRQV1&gt;</span>
+<a name="l00061"></a>00061 <span class="comment">&lt;ACCTINFOTRNRQ&gt;</span>
+<a name="l00062"></a>00062 <span class="comment">&lt;TRNUID&gt;FFAAA4AA-A9B1-47F4-98E9-DE635EB41E77</span>
+<a name="l00063"></a>00063 <span class="comment">&lt;CLTCOOKIE&gt;4</span>
+<a name="l00064"></a>00064 <span class="comment"></span>
+<a name="l00065"></a>00065 <span class="comment">&lt;ACCTINFORQ&gt;</span>
+<a name="l00066"></a>00066 <span class="comment">&lt;DTACCTUP&gt;19700101000000</span>
+<a name="l00067"></a>00067 <span class="comment">&lt;/ACCTINFORQ&gt;</span>
+<a name="l00068"></a>00068 <span class="comment"></span>
+<a name="l00069"></a>00069 <span class="comment">&lt;/ACCTINFOTRNRQ&gt;</span>
+<a name="l00070"></a>00070 <span class="comment">&lt;/SIGNUPMSGSRQV1&gt;</span>
+<a name="l00071"></a>00071 <span class="comment">&lt;/OFX&gt;</span>
+<a name="l00072"></a>00072 <span class="comment">*/</span>
+<a name="l00073"></a>00073 
+<a name="l00074"></a>00074 <a class="code" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest::OfxAccountInfoRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi ):
+<a name="l00075"></a>00075   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>(fi)
+<a name="l00076"></a>00076 {
+<a name="l00077"></a>00077   Add( SignOnRequest() );
+<a name="l00078"></a>00078 
+<a name="l00079"></a>00079   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> acctinforqTag(<span class="stringliteral">"ACCTINFORQ"</span>);
+<a name="l00080"></a>00080   acctinforqTag.Add( <span class="stringliteral">"DTACCTUP"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( 0 ) );
+<a name="l00081"></a>00081   Add ( RequestMessage(<span class="stringliteral">"SIGNUP"</span>,<span class="stringliteral">"ACCTINFO"</span>, acctinforqTag) );
+<a name="l00082"></a>00082 }
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,36 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request_accountinfo.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request_accountinfo.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Implementation of libofx_request_accountinfo to create an OFX file containing a request for all account info at this FI for this user. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp-source.html">fx-0.9.0/lib/ofx_request_accountinfo.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6cb329900cc925c9a1507684ef4bcbd1"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_request_accountinfo.cpp::libofx_request_accountinfo" ref="6cb329900cc925c9a1507684ef4bcbd1" args="(const OfxFiLogin *login)" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">libofx_request_accountinfo</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login)</td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,51 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request_accountinfo.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request_accountinfo.hh</h1><a href="fx-0_89_80_2lib_2ofx__request__accountinfo_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_request_accountinfo.hh </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2005 by Ace Jones</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : acejones@users.sourceforge.net</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifndef OFX_REQ_ACCOUNTINFO_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_REQ_ACCOUNTINFO_H</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__request_8hh.html" title="Declaration of an OfxRequests to create an OFX file containing a generic request...">ofx_request.hh</a>"</span>
+<a name="l00026"></a>00026 
+<a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
+<a name="l00028"></a>00028 
+<a name="l00037"></a>00037 <span class="keyword">class </span><a class="code" href="classOfxAccountInfoRequest.html" title="An account information request.">OfxAccountInfoRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>
+<a name="l00038"></a>00038 {
+<a name="l00039"></a>00039 <span class="keyword">public</span>:
+<a name="l00046"></a>00046   <a class="code" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi );
+<a name="l00047"></a>00047 };
+<a name="l00048"></a>00048 
+<a name="l00049"></a>00049 <span class="preprocessor">#endif // OFX_REQ_ACCOUNTINFO_H</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8hh.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request__accountinfo_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,36 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request_accountinfo.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request_accountinfo.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Declaration of OfxRequestAccountInfo create an OFX file containing a request for all account info at this FI for this user. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8hh-source.html">fx-0.9.0/lib/ofx_request_accountinfo.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__request__accountinfo_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxAccountInfoRequest.html">OfxAccountInfoRequest</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An account information request.  <a href="classOfxAccountInfoRequest.html#_details">More...</a><br></td></tr>
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request__statement_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request__statement_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request__statement_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,249 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request_statement.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request_statement.cpp</h1><a href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">         ofx_request_statement.cpp </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2005 by Ace Jones</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : acejones@users.sourceforge.net</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__request__statement_8hh.html" title="Declaration of libofx_request_statement to create an OFX file containing a request...">ofx_request_statement.hh</a>"</span>
+<a name="l00028"></a>00028 
+<a name="l00029"></a>00029 <span class="keyword">using namespace </span>std;
+<a name="l00030"></a>00030 
+<a name="l00031"></a><a class="code" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">00031</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d" title="Creates an OFX statement request in string form.">libofx_request_statement</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, time_t date_from )
+<a name="l00032"></a>00032 {
+<a name="l00033"></a>00033   <a class="code" href="classOfxStatementRequest.html" title="A statement request.">OfxStatementRequest</a> strq( *login, *account, date_from );
+<a name="l00034"></a>00034   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(login-&gt;<a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a>) + strq.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
+<a name="l00035"></a>00035 
+<a name="l00036"></a>00036   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00037"></a>00037   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00038"></a>00038   request.copy(result,size);
+<a name="l00039"></a>00039   result[size] = 0;
+<a name="l00040"></a>00040   
+<a name="l00041"></a>00041   <span class="keywordflow">return</span> result;
+<a name="l00042"></a>00042 }
+<a name="l00043"></a>00043 
+<a name="l00044"></a>00044 <a class="code" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest::OfxStatementRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, time_t from ):
+<a name="l00045"></a>00045   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>(fi),
+<a name="l00046"></a>00046   m_account(account),
+<a name="l00047"></a>00047   m_date_from(from)
+<a name="l00048"></a>00048 {
+<a name="l00049"></a>00049   Add( SignOnRequest() );
+<a name="l00050"></a>00050 
+<a name="l00051"></a>00051   <span class="keywordflow">if</span> ( account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a> )
+<a name="l00052"></a>00052     Add(CreditCardStatementRequest());
+<a name="l00053"></a>00053   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a> )
+<a name="l00054"></a>00054     Add(InvestmentStatementRequest());
+<a name="l00055"></a>00055   <span class="keywordflow">else</span>
+<a name="l00056"></a>00056     Add(BankStatementRequest());
+<a name="l00057"></a>00057 }
+<a name="l00058"></a>00058 
+<a name="l00059"></a>00059 <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">OfxStatementRequest::BankStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00060"></a>00060 <span class="keyword"></span>{
+<a name="l00061"></a>00061   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> bankacctfromTag(<span class="stringliteral">"BANKACCTFROM"</span>);
+<a name="l00062"></a>00062   bankacctfromTag.Add( <span class="stringliteral">"BANKID"</span>, m_account.<a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a> );
+<a name="l00063"></a>00063   bankacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> );
+<a name="l00064"></a>00064   <span class="keywordflow">if</span> ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> ==  m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a> )
+<a name="l00065"></a>00065     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CHECKING"</span> );
+<a name="l00066"></a>00066   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a> )
+<a name="l00067"></a>00067     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"SAVINGS"</span> );
+<a name="l00068"></a>00068   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a> )
+<a name="l00069"></a>00069     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"MONEYMRKT"</span> );
+<a name="l00070"></a>00070   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a> )
+<a name="l00071"></a>00071     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CREDITLINE"</span> );
+<a name="l00072"></a>00072   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a> )
+<a name="l00073"></a>00073     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CMA"</span> );
+<a name="l00074"></a>00074 
+<a name="l00075"></a>00075   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
+<a name="l00076"></a>00076   inctranTag.Add( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( m_date_from ) );
+<a name="l00077"></a>00077   inctranTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00078"></a>00078   
+<a name="l00079"></a>00079   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> stmtrqTag(<span class="stringliteral">"STMTRQ"</span>);
+<a name="l00080"></a>00080   stmtrqTag.Add( bankacctfromTag );
+<a name="l00081"></a>00081   stmtrqTag.Add( inctranTag );
+<a name="l00082"></a>00082 
+<a name="l00083"></a>00083   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"BANK"</span>,<span class="stringliteral">"STMT"</span>, stmtrqTag);
+<a name="l00084"></a>00084 }
+<a name="l00085"></a>00085 
+<a name="l00086"></a>00086 <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">OfxStatementRequest::CreditCardStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00087"></a>00087 <span class="keyword"></span>{<span class="comment">/*</span>
+<a name="l00088"></a>00088 <span class="comment">  QString dtstart_string = _dtstart.toString(Qt::ISODate).remove(QRegExp("[^0-9]"));</span>
+<a name="l00089"></a>00089 <span class="comment"></span>
+<a name="l00090"></a>00090 <span class="comment">  return message("CREDITCARD","CCSTMT",Tag("CCSTMTRQ")</span>
+<a name="l00091"></a>00091 <span class="comment">    .subtag(Tag("CCACCTFROM").element("ACCTID",accountnum()))</span>
+<a name="l00092"></a>00092 <span class="comment">    .subtag(Tag("INCTRAN").element("DTSTART",dtstart_string).element("INCLUDE","Y")));</span>
+<a name="l00093"></a>00093 <span class="comment">}</span>
+<a name="l00094"></a>00094 <span class="comment">*/</span>
+<a name="l00095"></a>00095   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> ccacctfromTag(<span class="stringliteral">"CCACCTFROM"</span>);
+<a name="l00096"></a>00096   ccacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> );
+<a name="l00097"></a>00097 
+<a name="l00098"></a>00098   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
+<a name="l00099"></a>00099   inctranTag.Add( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( m_date_from ) );
+<a name="l00100"></a>00100   inctranTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00101"></a>00101   
+<a name="l00102"></a>00102   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> ccstmtrqTag(<span class="stringliteral">"CCSTMTRQ"</span>);
+<a name="l00103"></a>00103   ccstmtrqTag.Add( ccacctfromTag );
+<a name="l00104"></a>00104   ccstmtrqTag.Add( inctranTag );
+<a name="l00105"></a>00105 
+<a name="l00106"></a>00106   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"CREDITCARD"</span>,<span class="stringliteral">"CCSTMT"</span>, ccstmtrqTag);
+<a name="l00107"></a>00107 }
+<a name="l00108"></a>00108 
+<a name="l00109"></a>00109 <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">OfxStatementRequest::InvestmentStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00110"></a>00110 <span class="keyword"></span>{
+<a name="l00111"></a>00111   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> invacctfromTag(<span class="stringliteral">"INVACCTFROM"</span>);
+<a name="l00112"></a>00112   
+<a name="l00113"></a>00113   invacctfromTag.Add( <span class="stringliteral">"BROKERID"</span>, m_account.<a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a> );
+<a name="l00114"></a>00114   invacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> );
+<a name="l00115"></a>00115 
+<a name="l00116"></a>00116   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
+<a name="l00117"></a>00117   inctranTag.Add( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( m_date_from ) );
+<a name="l00118"></a>00118   inctranTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00119"></a>00119 
+<a name="l00120"></a>00120   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> incposTag(<span class="stringliteral">"INCPOS"</span>);
+<a name="l00121"></a>00121   incposTag.Add( <span class="stringliteral">"DTASOF"</span>, <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) ) );
+<a name="l00122"></a>00122   incposTag.Add( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00123"></a>00123     
+<a name="l00124"></a>00124   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> invstmtrqTag(<span class="stringliteral">"INVSTMTRQ"</span>);
+<a name="l00125"></a>00125   invstmtrqTag.Add( invacctfromTag );
+<a name="l00126"></a>00126   invstmtrqTag.Add( inctranTag );
+<a name="l00127"></a>00127   invstmtrqTag.Add( <span class="stringliteral">"INCOO"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00128"></a>00128   invstmtrqTag.Add( incposTag );  
+<a name="l00129"></a>00129   invstmtrqTag.Add( <span class="stringliteral">"INCBAL"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00130"></a>00130 
+<a name="l00131"></a>00131   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"INVSTMT"</span>,<span class="stringliteral">"INVSTMT"</span>, invstmtrqTag);
+<a name="l00132"></a>00132 }
+<a name="l00133"></a>00133 
+<a name="l00134"></a><a class="code" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">00134</a> <span class="keywordtype">char</span>* libofx_request_payment( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>* payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>* payment )
+<a name="l00135"></a>00135 {
+<a name="l00136"></a>00136   <a class="code" href="classOfxPaymentRequest.html">OfxPaymentRequest</a> strq( *login, *account, *payee, *payment );
+<a name="l00137"></a>00137   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(login-&gt;<a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a>) + strq.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
+<a name="l00138"></a>00138 
+<a name="l00139"></a>00139   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00140"></a>00140   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00141"></a>00141   request.copy(result,size);
+<a name="l00142"></a>00142   result[size] = 0;
+<a name="l00143"></a>00143   
+<a name="l00144"></a>00144   <span class="keywordflow">return</span> result;
+<a name="l00145"></a>00145 }
+<a name="l00146"></a>00146 
+<a name="l00147"></a>00147 <a class="code" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest::OfxPaymentRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>&amp; payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>&amp; payment ):
+<a name="l00148"></a>00148   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>(fi),
+<a name="l00149"></a>00149   m_account(account),
+<a name="l00150"></a>00150   m_payee(payee),
+<a name="l00151"></a>00151   m_payment(payment)
+<a name="l00152"></a>00152 {
+<a name="l00153"></a>00153   Add( SignOnRequest() );
+<a name="l00154"></a>00154 
+<a name="l00155"></a>00155   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> bankacctfromTag(<span class="stringliteral">"BANKACCTFROM"</span>);
+<a name="l00156"></a>00156   bankacctfromTag.Add( <span class="stringliteral">"BANKID"</span>, m_account.bank_id );
+<a name="l00157"></a>00157   bankacctfromTag.Add( <span class="stringliteral">"ACCTID"</span>, m_account.account_number );
+<a name="l00158"></a>00158   <span class="keywordflow">if</span> ( m_account.account_type == m_account.OFX_CHECKING)
+<a name="l00159"></a>00159     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CHECKING"</span> );
+<a name="l00160"></a>00160   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.account_type == m_account.OFX_SAVINGS )
+<a name="l00161"></a>00161     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"SAVINGS"</span> );
+<a name="l00162"></a>00162   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.account_type == m_account.OFX_MONEYMRKT )
+<a name="l00163"></a>00163     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"MONEYMRKT"</span> );
+<a name="l00164"></a>00164   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.account_type ==  m_account.OFX_CREDITLINE )
+<a name="l00165"></a>00165     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CREDITLINE"</span> );
+<a name="l00166"></a>00166   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.account_type == m_account.OFX_CMA )
+<a name="l00167"></a>00167     bankacctfromTag.Add( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CMA"</span> );
+<a name="l00168"></a>00168 
+<a name="l00169"></a>00169   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> payeeTag(<span class="stringliteral">"PAYEE"</span>);
+<a name="l00170"></a>00170   payeeTag.Add( <span class="stringliteral">"NAME"</span>, m_payee.name );
+<a name="l00171"></a>00171   payeeTag.Add( <span class="stringliteral">"ADDR1"</span>, m_payee.address1 );
+<a name="l00172"></a>00172   payeeTag.Add( <span class="stringliteral">"CITY"</span>, m_payee.city );
+<a name="l00173"></a>00173   payeeTag.Add( <span class="stringliteral">"STATE"</span>, m_payee.state );
+<a name="l00174"></a>00174   payeeTag.Add( <span class="stringliteral">"POSTALCODE"</span>, m_payee.postalcode );
+<a name="l00175"></a>00175   payeeTag.Add( <span class="stringliteral">"PHONE"</span>, m_payee.phone );
+<a name="l00176"></a>00176   
+<a name="l00177"></a>00177   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> pmtinfoTag(<span class="stringliteral">"PMTINFO"</span>);
+<a name="l00178"></a>00178   pmtinfoTag.Add( bankacctfromTag );
+<a name="l00179"></a>00179   pmtinfoTag.Add( <span class="stringliteral">"TRNAMT"</span>, m_payment.amount );
+<a name="l00180"></a>00180   pmtinfoTag.Add( payeeTag );
+<a name="l00181"></a>00181   pmtinfoTag.Add( <span class="stringliteral">"PAYACCT"</span>, m_payment.account );
+<a name="l00182"></a>00182   pmtinfoTag.Add( <span class="stringliteral">"DTDUE"</span>, m_payment.datedue );
+<a name="l00183"></a>00183   pmtinfoTag.Add( <span class="stringliteral">"MEMO"</span>, m_payment.memo );
+<a name="l00184"></a>00184   
+<a name="l00185"></a>00185   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> pmtrqTag(<span class="stringliteral">"PMTRQ"</span>);
+<a name="l00186"></a>00186   pmtrqTag.Add( pmtinfoTag );
+<a name="l00187"></a>00187 
+<a name="l00188"></a>00188   Add( RequestMessage(<span class="stringliteral">"BILLPAY"</span>,<span class="stringliteral">"PMT"</span>, pmtrqTag) );
+<a name="l00189"></a>00189 }
+<a name="l00190"></a>00190 
+<a name="l00191"></a><a class="code" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">00191</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keywordtype">char</span>* transactionid )
+<a name="l00192"></a>00192 {
+<a name="l00193"></a>00193 <span class="preprocessor">#if 0</span>
+<a name="l00194"></a>00194 <span class="preprocessor"></span>  <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> pmtinqrqTag( <span class="stringliteral">"PMTINQRQ"</span> );
+<a name="l00195"></a>00195   pmtinqrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"SRVRTID"</span>, transactionid );
+<a name="l00196"></a>00196   
+<a name="l00197"></a>00197   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a> ofx(*login);
+<a name="l00198"></a>00198   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( ofx.<a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>() );
+<a name="l00199"></a>00199   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( ofx.<a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"BILLPAY"</span>,<span class="stringliteral">"PMTINQ"</span>, pmtinqrqTag) );
+<a name="l00200"></a>00200   
+<a name="l00201"></a>00201   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>() + ofx.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
+<a name="l00202"></a>00202 
+<a name="l00203"></a>00203   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00204"></a>00204   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00205"></a>00205   request.copy(result,size);
+<a name="l00206"></a>00206   result[size] = 0;
+<a name="l00207"></a>00207 <span class="preprocessor">#else</span>
+<a name="l00208"></a>00208 <span class="preprocessor"></span>  <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> payeesyncrq( <span class="stringliteral">"PAYEESYNCRQ"</span> );
+<a name="l00209"></a>00209   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"TOKEN"</span>, <span class="stringliteral">"0"</span> );
+<a name="l00210"></a>00210   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"TOKENONLY"</span>, <span class="stringliteral">"N"</span> );
+<a name="l00211"></a>00211   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"REFRESH"</span>, <span class="stringliteral">"Y"</span> );
+<a name="l00212"></a>00212   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"REJECTIFMISSING"</span>, <span class="stringliteral">"N"</span> );
+<a name="l00213"></a>00213   
+<a name="l00214"></a>00214   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> message( <span class="stringliteral">"BILLPAYMSGSRQV1"</span> );
+<a name="l00215"></a>00215   message.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( payeesyncrq );
+<a name="l00216"></a>00216 
+<a name="l00217"></a>00217   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a> ofx(*login);
+<a name="l00218"></a>00218   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( ofx.<a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>() );
+<a name="l00219"></a>00219   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( message );
+<a name="l00220"></a>00220   
+<a name="l00221"></a>00221   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(login-&gt;<a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a>) + ofx.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
+<a name="l00222"></a>00222 
+<a name="l00223"></a>00223   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00224"></a>00224   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00225"></a>00225   request.copy(result,size);
+<a name="l00226"></a>00226   result[size] = 0;
+<a name="l00227"></a>00227  
+<a name="l00228"></a>00228 <span class="preprocessor">#endif</span>
+<a name="l00229"></a>00229 <span class="preprocessor"></span>  <span class="keywordflow">return</span> result;
+<a name="l00230"></a>00230 }
+<a name="l00231"></a>00231 
+<a name="l00232"></a>00232 <span class="comment">// vim:cin:si:ai:et:ts=2:sw=2:</span>
+<a name="l00233"></a>00233 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request__statement_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request__statement_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request__statement_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,42 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request_statement.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request_statement.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Implementation of libofx_request_statement to create an OFX file containing a request for a statement. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp-source.html">fx-0.9.0/lib/ofx_request_statement.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__request__statement_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fe5e9e2a83708f6d345a4f49268ec8b2"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_request_statement.cpp::libofx_request_statement" ref="fe5e9e2a83708f6d345a4f49268ec8b2" args="(const OfxFiLogin *login, const OfxAccountData *account, time_t date_from)" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">libofx_request_statement</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, time_t date_from)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="22a315696e3c04b47ab85ad7da3d3cab"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_request_statement.cpp::libofx_request_payment" ref="22a315696e3c04b47ab85ad7da3d3cab" args="(const OfxFiLogin *login, const OfxAccountData *account, const OfxPayee *payee, const OfxPayment *payment)" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">libofx_request_payment</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, const <a class="el" href="structOfxPayee.html">OfxPayee</a> *payee, const <a class="el" href="structOfxPayment.html">OfxPayment</a> *payment)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b9b42a433677da688d0f9f37d9da24d1"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_request_statement.cpp::libofx_request_payment_status" ref="b9b42a433677da688d0f9f37d9da24d1" args="(const struct OfxFiLogin *login, const char *transactionid)" -->
+CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const char *transactionid)</td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request__statement_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request__statement_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request__statement_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,74 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request_statement.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request_statement.hh</h1><a href="fx-0_89_80_2lib_2ofx__request__statement_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_request_statement.hh </span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2005 by Ace Jones</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : acejones@users.sourceforge.net</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifndef OFX_REQ_STATEMENT_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_REQ_STATEMENT_H</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__request_8hh.html" title="Declaration of an OfxRequests to create an OFX file containing a generic request...">ofx_request.hh</a>"</span>
+<a name="l00026"></a>00026 
+<a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
+<a name="l00028"></a>00028 
+<a name="l00037"></a>00037 <span class="keyword">class </span><a class="code" href="classOfxStatementRequest.html" title="A statement request.">OfxStatementRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>
+<a name="l00038"></a>00038 {
+<a name="l00039"></a>00039 <span class="keyword">public</span>:
+<a name="l00049"></a>00049   <a class="code" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, time_t from );
+<a name="l00050"></a>00050 
+<a name="l00051"></a>00051 <span class="keyword">protected</span>:
+<a name="l00059"></a>00059   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">BankStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00060"></a>00060   
+<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">CreditCardStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00069"></a>00069   
+<a name="l00077"></a>00077   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">InvestmentStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00078"></a>00078   
+<a name="l00079"></a>00079 <span class="keyword">private</span>:
+<a name="l00080"></a>00080   <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> m_account;
+<a name="l00081"></a>00081   time_t m_date_from;
+<a name="l00082"></a>00082 };
+<a name="l00083"></a>00083 
+<a name="l00084"></a>00084 <span class="keyword">class </span><a class="code" href="classOfxPaymentRequest.html">OfxPaymentRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>
+<a name="l00085"></a>00085 {
+<a name="l00086"></a>00086 <span class="keyword">public</span>:
+<a name="l00097"></a>00097   <a class="code" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>&amp; payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>&amp; payment );
+<a name="l00098"></a>00098 <span class="keyword">protected</span>:
+<a name="l00099"></a>00099  
+<a name="l00100"></a>00100 <span class="keyword">private</span>:
+<a name="l00101"></a>00101   <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> m_account;
+<a name="l00102"></a>00102   <a class="code" href="structOfxPayee.html">OfxPayee</a> m_payee;
+<a name="l00103"></a>00103   <a class="code" href="structOfxPayment.html">OfxPayment</a> m_payment;
+<a name="l00104"></a>00104 };
+<a name="l00105"></a>00105 
+<a name="l00106"></a>00106 <span class="preprocessor">#endif // OFX_REQ_STATEMENT_H</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__request__statement_8hh.html'
--- doc/html/fx-0_89_80_2lib_2ofx__request__statement_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__request__statement_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,38 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_request_statement.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_request_statement.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Declaration of libofx_request_statement to create an OFX file containing a request for a statement. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8hh-source.html">fx-0.9.0/lib/ofx_request_statement.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__request__statement_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxStatementRequest.html">OfxStatementRequest</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A statement request.  <a href="classOfxStatementRequest.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPaymentRequest.html">OfxPaymentRequest</a></td></tr>
+
+</table>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,357 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_sgml.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_sgml.cpp</h1><a href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.cpp</span>
+<a name="l00003"></a>00003 <span class="comment">                          -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grégoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00012"></a>00012 <span class="comment">/***************************************************************************</span>
+<a name="l00013"></a>00013 <span class="comment"> *                                                                         *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00017"></a>00017 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00018"></a>00018 <span class="comment"> *                                                                         *</span>
+<a name="l00019"></a>00019 <span class="comment"> ***************************************************************************/</span>
+<a name="l00020"></a>00020 
+<a name="l00021"></a>00021 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#endif</span>
+<a name="l00024"></a>00024 <span class="preprocessor"></span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include &lt;iostream&gt;</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofx_sgml.hh</a>"</span>
+<a name="l00034"></a>00034 
+<a name="l00035"></a>00035 <span class="keyword">using namespace </span>std;
+<a name="l00036"></a>00036 
+<a name="l00037"></a><a class="code" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">00037</a> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a> = NULL;
+<a name="l00038"></a>00038 <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>;
+<a name="l00039"></a>00039 <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>;
+<a name="l00040"></a>00040 
+<a name="l00041"></a>00041 
+<a name="l00044"></a>00044 <span class="keyword">class </span><a class="code" href="classOFXApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFXApplication</a> : <span class="keyword">public</span> SGMLApplication
+<a name="l00045"></a>00045 {
+<a name="l00046"></a>00046 <span class="keyword">private</span>:
+<a name="l00047"></a>00047   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *curr_container_element; 
+<a name="l00048"></a>00048   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *tmp_container_element;
+<a name="l00049"></a>00049   <span class="keywordtype">bool</span> is_data_element; 
+<a name="l00050"></a>00050   <span class="keywordtype">string</span> incoming_data; 
+<a name="l00051"></a>00051   <a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context;
+<a name="l00052"></a>00052 
+<a name="l00053"></a>00053 <span class="keyword">public</span>:
+<a name="l00054"></a>00054 
+<a name="l00055"></a><a class="code" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">00055</a>   <a class="code" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">OFXApplication</a> (<a class="code" href="classLibofxContext.html">LibofxContext</a> * p_libofx_context)
+<a name="l00056"></a>00056   {
+<a name="l00057"></a>00057     MainContainer=NULL;
+<a name="l00058"></a>00058     curr_container_element = NULL;
+<a name="l00059"></a>00059     is_data_element = <span class="keyword">false</span>;
+<a name="l00060"></a>00060     libofx_context=p_libofx_context;
+<a name="l00061"></a>00061   }
+<a name="l00062"></a><a class="code" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">00062</a>   <a class="code" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">~OFXApplication</a>()
+<a name="l00063"></a>00063   {
+<a name="l00064"></a>00064     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Entering the OFXApplication's destructor"</span>);
+<a name="l00065"></a>00065   }
+<a name="l00066"></a>00066   
+<a name="l00071"></a><a class="code" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77">00071</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77" title="Callback: Start of an OFX element.">startElement</a> (<span class="keyword">const</span> StartElementEvent &amp; event)
+<a name="l00072"></a>00072   {
+<a name="l00073"></a>00073     <span class="keywordtype">string</span> identifier;
+<a name="l00074"></a>00074     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
+<a name="l00075"></a>00075     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"startElement event received from OpenSP for element "</span> + identifier);
+<a name="l00076"></a>00076     
+<a name="l00077"></a>00077     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00078"></a>00078 
+<a name="l00079"></a>00079     <span class="keywordflow">switch</span> (event.contentType)
+<a name="l00080"></a>00080       {
+<a name="l00081"></a>00081       <span class="keywordflow">case</span> StartElementEvent::empty:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::empty\n"</span>);
+<a name="l00082"></a>00082         <span class="keywordflow">break</span>;
+<a name="l00083"></a>00083       <span class="keywordflow">case</span> StartElementEvent::cdata:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::cdata\n"</span>);
+<a name="l00084"></a>00084         <span class="keywordflow">break</span>;
+<a name="l00085"></a>00085       <span class="keywordflow">case</span> StartElementEvent::rcdata:   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::rcdata\n"</span>);
+<a name="l00086"></a>00086         <span class="keywordflow">break</span>;
+<a name="l00087"></a>00087       <span class="keywordflow">case</span> StartElementEvent::mixed:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::mixed"</span>);
+<a name="l00088"></a>00088         is_data_element = <span class="keyword">true</span>;
+<a name="l00089"></a>00089         <span class="keywordflow">break</span>;
+<a name="l00090"></a>00090       <span class="keywordflow">case</span> StartElementEvent::element:  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::element"</span>);
+<a name="l00091"></a>00091         is_data_element = <span class="keyword">false</span>;
+<a name="l00092"></a>00092         <span class="keywordflow">break</span>;
+<a name="l00093"></a>00093       <span class="keywordflow">default</span>:
+<a name="l00094"></a>00094         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Unknow SGML content type?!?!?!? OpenSP interface changed?"</span>);
+<a name="l00095"></a>00095       }
+<a name="l00096"></a>00096     
+<a name="l00097"></a>00097     <span class="keywordflow">if</span> (is_data_element == <span class="keyword">false</span>)
+<a name="l00098"></a>00098       {
+<a name="l00099"></a>00099         <span class="comment">/*------- The following are OFX entities ---------------*/</span>
+<a name="l00100"></a>00100 
+<a name="l00101"></a>00101         <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"OFX"</span>)
+<a name="l00102"></a>00102           {
+<a name="l00103"></a>00103             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00104"></a>00104             MainContainer = <span class="keyword">new</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00105"></a>00105             curr_container_element = MainContainer;
+<a name="l00106"></a>00106           }
+<a name="l00107"></a>00107         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STATUS"</span>)
+<a name="l00108"></a>00108           {
+<a name="l00109"></a>00109             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00110"></a>00110             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatusContainer.html" title="Represents the &amp;lt;STATUS&amp;gt; OFX SGML entity.">OfxStatusContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00111"></a>00111           }
+<a name="l00112"></a>00112         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STMTRS"</span> ||
+<a name="l00113"></a>00113                  identifier == <span class="stringliteral">"CCSTMTRS"</span> ||
+<a name="l00114"></a>00114                  identifier == <span class="stringliteral">"INVSTMTRS"</span>)
+<a name="l00115"></a>00115           {
+<a name="l00116"></a>00116             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00117"></a>00117             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00118"></a>00118           }
+<a name="l00119"></a>00119         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"BANKTRANLIST"</span>)
+<a name="l00120"></a>00120           {
+<a name="l00121"></a>00121             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00122"></a>00122             <span class="comment">//BANKTRANLIST ignored, we will process it's attributes directly inside the STATEMENT,</span>
+<a name="l00123"></a>00123             <span class="keywordflow">if</span>(curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
+<a name="l00124"></a>00124               {
+<a name="l00125"></a>00125                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found while not inside a STATEMENT container"</span>);
+<a name="l00126"></a>00126               }
+<a name="l00127"></a>00127             <span class="keywordflow">else</span>
+<a name="l00128"></a>00128               {
+<a name="l00129"></a>00129                 curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00130"></a>00130               }
+<a name="l00131"></a>00131           }
+<a name="l00132"></a>00132         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STMTTRN"</span>)
+<a name="l00133"></a>00133           {
+<a name="l00134"></a>00134             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00135"></a>00135             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00136"></a>00136           }
+<a name="l00137"></a>00137         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"BUYDEBT"</span> ||
+<a name="l00138"></a>00138                 identifier == <span class="stringliteral">"BUYMF"</span> ||
+<a name="l00139"></a>00139                 identifier == <span class="stringliteral">"BUYOPT"</span> ||
+<a name="l00140"></a>00140                 identifier == <span class="stringliteral">"BUYOTHER"</span> ||
+<a name="l00141"></a>00141                 identifier == <span class="stringliteral">"BUYSTOCK"</span> ||
+<a name="l00142"></a>00142                 identifier == <span class="stringliteral">"CLOSUREOPT"</span> ||
+<a name="l00143"></a>00143                 identifier == <span class="stringliteral">"INCOME"</span> ||
+<a name="l00144"></a>00144                 identifier == <span class="stringliteral">"INVEXPENSE"</span> ||
+<a name="l00145"></a>00145                 identifier == <span class="stringliteral">"JRNLFUND"</span> ||
+<a name="l00146"></a>00146                 identifier == <span class="stringliteral">"JRNLSEC"</span> ||
+<a name="l00147"></a>00147                 identifier == <span class="stringliteral">"MARGININTEREST"</span> ||
+<a name="l00148"></a>00148                 identifier == <span class="stringliteral">"REINVEST"</span> ||
+<a name="l00149"></a>00149                 identifier == <span class="stringliteral">"RETOFCAP"</span> ||
+<a name="l00150"></a>00150                 identifier == <span class="stringliteral">"SELLDEBT"</span> ||
+<a name="l00151"></a>00151                 identifier == <span class="stringliteral">"SELLMF"</span> ||
+<a name="l00152"></a>00152                 identifier == <span class="stringliteral">"SELLOPT"</span> ||
+<a name="l00153"></a>00153                 identifier == <span class="stringliteral">"SELLOTHER"</span> ||
+<a name="l00154"></a>00154                 identifier == <span class="stringliteral">"SELLSTOCK"</span> ||
+<a name="l00155"></a>00155                 identifier == <span class="stringliteral">"SPLIT"</span> ||
+<a name="l00156"></a>00156                 identifier == <span class="stringliteral">"TRANSFER"</span> )
+<a name="l00157"></a>00157           {
+<a name="l00158"></a>00158             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00159"></a>00159             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00160"></a>00160           }
+<a name="l00161"></a>00161         <span class="comment">/*The following is a list of OFX elements whose attributes will be processed by the parent container*/</span>
+<a name="l00162"></a>00162         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"INVBUY"</span> ||
+<a name="l00163"></a>00163                  identifier == <span class="stringliteral">"INVSELL"</span> ||
+<a name="l00164"></a>00164                  identifier == <span class="stringliteral">"INVTRAN"</span> ||
+<a name="l00165"></a>00165                  identifier == <span class="stringliteral">"SECID"</span>)
+<a name="l00166"></a>00166           {
+<a name="l00167"></a>00167             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00168"></a>00168             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00169"></a>00169           }
+<a name="l00170"></a>00170 
+<a name="l00171"></a>00171         <span class="comment">/* The different types of accounts */</span>
+<a name="l00172"></a>00172         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"BANKACCTFROM"</span> || identifier == <span class="stringliteral">"CCACCTFROM"</span> || identifier == <span class="stringliteral">"INVACCTFROM"</span>)
+<a name="l00173"></a>00173           {
+<a name="l00174"></a>00174             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00175"></a>00175             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00176"></a>00176           }
+<a name="l00177"></a>00177         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"SECINFO"</span>)
+<a name="l00178"></a>00178           {
+<a name="l00179"></a>00179             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00180"></a>00180             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00181"></a>00181           }
+<a name="l00182"></a>00182         <span class="comment">/* The different types of balances */</span>
+<a name="l00183"></a>00183         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"LEDGERBAL"</span> || identifier == <span class="stringliteral">"AVAILBAL"</span>)
+<a name="l00184"></a>00184           {
+<a name="l00185"></a>00185             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00186"></a>00186             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00187"></a>00187           }
+<a name="l00188"></a>00188         <span class="keywordflow">else</span>
+<a name="l00189"></a>00189           {
+<a name="l00190"></a>00190             <span class="comment">/* We dont know this OFX element, so we create a dummy container */</span>
+<a name="l00191"></a>00191             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>(libofx_context, curr_container_element, identifier);
+<a name="l00192"></a>00192           }
+<a name="l00193"></a>00193       }
+<a name="l00194"></a>00194     <span class="keywordflow">else</span>
+<a name="l00195"></a>00195       {
+<a name="l00196"></a>00196         <span class="comment">/* The element was a data element.  OpenSP will call one or several data() callback with the data */</span>
+<a name="l00197"></a>00197         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Data element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00198"></a>00198         <span class="comment">/* There is a bug in OpenSP 1.3.4, which won't send endElement Event for some elements, and will instead send an error like "document type does not allow element "MESSAGE" here".  Incoming_data should be empty in such a case, but it will not be if the endElement event was skiped. So we empty it, so at least the last element has a chance of having valid data */</span> 
+<a name="l00199"></a>00199         <span class="keywordflow">if</span> (incoming_data != <span class="stringliteral">""</span>)
+<a name="l00200"></a>00200           {
+<a name="l00201"></a>00201             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"startElement: incoming_data should be empty! You are probably using OpenSP &lt;= 1.3.4.  The folowing data was lost: "</span> + incoming_data );
+<a name="l00202"></a>00202             incoming_data.assign (<span class="stringliteral">""</span>);
+<a name="l00203"></a>00203           }
+<a name="l00204"></a>00204       }
+<a name="l00205"></a>00205   }
+<a name="l00206"></a>00206 
+<a name="l00211"></a><a class="code" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">00211</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900" title="Callback: End of an OFX element.">endElement</a> (<span class="keyword">const</span> EndElementEvent &amp; event)
+<a name="l00212"></a>00212   {
+<a name="l00213"></a>00213     <span class="keywordtype">string</span> identifier;
+<a name="l00214"></a>00214     <span class="keywordtype">bool</span> end_element_for_data_element;
+<a name="l00215"></a>00215 
+<a name="l00216"></a>00216     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
+<a name="l00217"></a>00217     end_element_for_data_element=is_data_element;
+<a name="l00218"></a>00218     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement event received from OpenSP for element "</span> + identifier);
+<a name="l00219"></a>00219 
+<a name="l00220"></a>00220     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00221"></a>00221     <span class="keywordflow">if</span> (curr_container_element == NULL)
+<a name="l00222"></a>00222       {
+<a name="l00223"></a>00223         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" without a open element (NULL pointer)"</span>);
+<a name="l00224"></a>00224         incoming_data.assign (<span class="stringliteral">""</span>);
+<a name="l00225"></a>00225       }
+<a name="l00226"></a>00226     <span class="keywordflow">else</span> <span class="comment">//curr_container_element != NULL</span>
+<a name="l00227"></a>00227       {
+<a name="l00228"></a>00228         <span class="keywordflow">if</span> (end_element_for_data_element == <span class="keyword">true</span>)
+<a name="l00229"></a>00229           {
+<a name="l00230"></a>00230             incoming_data = <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(incoming_data);
+<a name="l00231"></a>00231             
+<a name="l00232"></a>00232             curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a> (identifier, incoming_data);
+<a name="l00233"></a>00233             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement: Added data '"</span> + incoming_data + <span class="stringliteral">"' from "</span> + identifier + <span class="stringliteral">" to "</span> + curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> + <span class="stringliteral">" container_element"</span>);
+<a name="l00234"></a>00234             incoming_data.assign (<span class="stringliteral">""</span>);
+<a name="l00235"></a>00235             is_data_element=<span class="keyword">false</span>;
+<a name="l00236"></a>00236           }
+<a name="l00237"></a>00237         <span class="keywordflow">else</span>
+<a name="l00238"></a>00238           {
+<a name="l00239"></a>00239             <span class="keywordflow">if</span> (identifier == curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>)
+<a name="l00240"></a>00240               {
+<a name="l00241"></a>00241                 <span class="keywordflow">if</span>(incoming_data!=<span class="stringliteral">""</span>)
+<a name="l00242"></a>00242                   {
+<a name="l00243"></a>00243                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"End tag for non data element "</span>+identifier+<span class="stringliteral">", incoming data should be empty but contains: "</span>+incoming_data+<span class="stringliteral">" DATA HAS BEEN LOST SOMEWHERE!"</span>);
+<a name="l00244"></a>00244                   }
+<a name="l00245"></a>00245 
+<a name="l00246"></a>00246                 <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"OFX"</span>)
+<a name="l00247"></a>00247                   {
+<a name="l00248"></a>00248                     <span class="comment">/* The main container is a special case */</span>
+<a name="l00249"></a>00249                     tmp_container_element = curr_container_element;
+<a name="l00250"></a>00250                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00251"></a>00251                     MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00252"></a>00252                     <span class="keyword">delete</span> MainContainer;
+<a name="l00253"></a>00253                     MainContainer = NULL;
+<a name="l00254"></a>00254                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, MainContainer destroyed"</span>);
+<a name="l00255"></a>00255                   }
+<a name="l00256"></a>00256                 <span class="keywordflow">else</span> 
+<a name="l00257"></a>00257                   {
+<a name="l00258"></a>00258                     tmp_container_element = curr_container_element;
+<a name="l00259"></a>00259                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00260"></a>00260                     <span class="keywordflow">if</span>(MainContainer != NULL)
+<a name="l00261"></a>00261                       {
+<a name="l00262"></a>00262                         tmp_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00263"></a>00263                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, object added to MainContainer"</span>);
+<a name="l00264"></a>00264                       }
+<a name="l00265"></a>00265                     <span class="keywordflow">else</span>
+<a name="l00266"></a>00266                       {
+<a name="l00267"></a>00267                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"MainContainer is NULL trying to add element "</span> + identifier);
+<a name="l00268"></a>00268                       }
+<a name="l00269"></a>00269                   }
+<a name="l00270"></a>00270               }
+<a name="l00271"></a>00271             <span class="keywordflow">else</span>
+<a name="l00272"></a>00272               {
+<a name="l00273"></a>00273                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" but a "</span>+curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" is currently open."</span>);
+<a name="l00274"></a>00274               }
+<a name="l00275"></a>00275           }
+<a name="l00276"></a>00276       }
+<a name="l00277"></a>00277   }
+<a name="l00278"></a>00278   
+<a name="l00283"></a><a class="code" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">00283</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185" title="Callback: Data from an OFX element.">data</a> (<span class="keyword">const</span> DataEvent &amp; event)
+<a name="l00284"></a>00284   {
+<a name="l00285"></a>00285     <span class="keywordtype">string</span> tmp;
+<a name="l00286"></a>00286     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00287"></a>00287     <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a> (event.data, incoming_data);
+<a name="l00288"></a>00288     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"data event received from OpenSP, incoming_data is now: "</span> + incoming_data);
+<a name="l00289"></a>00289   }
+<a name="l00290"></a>00290 
+<a name="l00295"></a><a class="code" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb">00295</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb" title="Callback: SGML parse error.">error</a> (<span class="keyword">const</span> ErrorEvent &amp; event)
+<a name="l00296"></a>00296   {
+<a name="l00297"></a>00297     <span class="keywordtype">string</span> message;
+<a name="l00298"></a>00298     <span class="keywordtype">string</span> string_buf;
+<a name="l00299"></a>00299     <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
+<a name="l00300"></a>00300 
+<a name="l00301"></a>00301     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00302"></a>00302     message = message + <span class="stringliteral">"OpenSP parser: "</span>;
+<a name="l00303"></a>00303     <span class="keywordflow">switch</span> (event.type){
+<a name="l00304"></a>00304     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::quantity:
+<a name="l00305"></a>00305       message = message + <span class="stringliteral">"quantity (Exceeding a quantity limit):"</span>;
+<a name="l00306"></a>00306       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
+<a name="l00307"></a>00307       <span class="keywordflow">break</span>;
+<a name="l00308"></a>00308     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::idref:
+<a name="l00309"></a>00309       message = message + <span class="stringliteral">"idref (An IDREF to a non-existent ID):"</span>;
+<a name="l00310"></a>00310       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
+<a name="l00311"></a>00311       <span class="keywordflow">break</span>;
+<a name="l00312"></a>00312     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::capacity:
+<a name="l00313"></a>00313       message = message + <span class="stringliteral">"capacity (Exceeding a capacity limit):"</span>;
+<a name="l00314"></a>00314       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
+<a name="l00315"></a>00315       <span class="keywordflow">break</span>;
+<a name="l00316"></a>00316     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::otherError:
+<a name="l00317"></a>00317       message = message + <span class="stringliteral">"otherError (misc parse error):"</span>;
+<a name="l00318"></a>00318       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
+<a name="l00319"></a>00319       <span class="keywordflow">break</span>;
+<a name="l00320"></a>00320     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::warning:
+<a name="l00321"></a>00321       message = message + <span class="stringliteral">"warning (Not actually an error.):"</span>;
+<a name="l00322"></a>00322       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>;
+<a name="l00323"></a>00323       <span class="keywordflow">break</span>;
+<a name="l00324"></a>00324     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::info:
+<a name="l00325"></a>00325       message =  message + <span class="stringliteral">"info (An informationnal message.  Not actually an error):"</span>;
+<a name="l00326"></a>00326       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>;
+<a name="l00327"></a>00327       <span class="keywordflow">break</span>;
+<a name="l00328"></a>00328     <span class="keywordflow">default</span>:
+<a name="l00329"></a>00329       message = message + <span class="stringliteral">"OpenSP sent an unknown error to LibOFX (You probably have a newer version of OpenSP):"</span>;
+<a name="l00330"></a>00330     }
+<a name="l00331"></a>00331     message =   message + <span class="stringliteral">"\n"</span> + <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.message, string_buf);
+<a name="l00332"></a>00332     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (error_type, message);
+<a name="l00333"></a>00333   }
+<a name="l00334"></a>00334 
+<a name="l00339"></a><a class="code" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">00339</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a" title="Callback: Receive internal OpenSP state.">openEntityChange</a> (<span class="keyword">const</span> OpenEntityPtr &amp; para_entity_ptr)
+<a name="l00340"></a>00340   {
+<a name="l00341"></a>00341     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"openEntityChange()\n"</span>);
+<a name="l00342"></a>00342     <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a> = para_entity_ptr;
+<a name="l00343"></a>00343 
+<a name="l00344"></a>00344   };
+<a name="l00345"></a>00345 
+<a name="l00346"></a>00346 <span class="keyword">private</span>:
+<a name="l00347"></a>00347 };
+<a name="l00348"></a>00348 
+<a name="l00352"></a><a class="code" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">00352</a> <span class="keywordtype">int</span> <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
+<a name="l00353"></a>00353 {
+<a name="l00354"></a>00354   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Begin ofx_proc_sgml()"</span>);
+<a name="l00355"></a>00355   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[0]);
+<a name="l00356"></a>00356   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[1]);
+<a name="l00357"></a>00357   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[2]);
+<a name="l00358"></a>00358   
+<a name="l00359"></a>00359   ParserEventGeneratorKit parserKit;
+<a name="l00360"></a>00360   parserKit.setOption (ParserEventGeneratorKit::showOpenEntities);
+<a name="l00361"></a>00361   EventGenerator *egp = parserKit.makeEventGenerator (argc, argv);
+<a name="l00362"></a>00362   egp-&gt;inhibitMessages (<span class="keyword">true</span>);  <span class="comment">/* Error output is handled by libofx not OpenSP */</span>
+<a name="l00363"></a>00363   <a class="code" href="classOFXApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFXApplication</a> *app = <span class="keyword">new</span> <a class="code" href="classOFXApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFXApplication</a>(libofx_context);
+<a name="l00364"></a>00364   <span class="keywordtype">unsigned</span> nErrors = egp-&gt;run (*app); <span class="comment">/* Begin parsing */</span>
+<a name="l00365"></a>00365   <span class="keyword">delete</span> egp;  <span class="comment">//Note that this is where bug is triggered</span>
+<a name="l00366"></a>00366   <span class="keywordflow">return</span> nErrors &gt; 0;
+<a name="l00367"></a>00367 }
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__sgml_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__sgml_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__sgml_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,123 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_sgml.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_sgml.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+OFX/SGML parsing functionnality. 
+<p>
+Almost all of the SGML parser specific code is contained in this file (some is in messages.cpp and ofx_utilities.cpp). To understand this file you must read the documentation of OpenSP's generic interface: see <a href="http://openjade.sourceforge.net/">http://openjade.sourceforge.net/</a> 
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html">fx-0.9.0/lib/ofx_sgml.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOFXApplication.html">OFXApplication</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This object is driven by OpenSP as it parses the SGML from the ofx file(s).  <a href="classOFXApplication.html#_details">More...</a><br></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">ofx_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#27d475cfed072c1761992192a9ce83cc"></a><br></td></tr>
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_sgml.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a> = NULL</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a></td></tr>
+
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="27d475cfed072c1761992192a9ce83cc"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_sgml.cpp::ofx_proc_sgml" ref="27d475cfed072c1761992192a9ce83cc" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofx_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Parses a DTD and OFX file(s). 
+<p>
+ofx_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html#l00352">352</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp-source.html">fx-0.9.0/lib/ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr><h2>Variable Documentation</h2>
+<a class="anchor" name="adaa870f35b4a4fb6b268ae8ea872ccf"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_sgml.cpp::entity_ptr" ref="adaa870f35b4a4fb6b268ae8ea872ccf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4da8008b6f110050513003edf67a2495"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_sgml.cpp::position" ref="4da8008b6f110050513003edf67a2495" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::Position <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__sgml_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__sgml_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__sgml_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,41 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_sgml.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_sgml.hh</h1><a href="fx-0_89_80_2lib_2ofx__sgml_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.h</span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    begin                : Tue Mar 19 2002</span>
+<a name="l00005"></a>00005 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00006"></a>00006 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00007"></a>00007 <span class="comment"> ***************************************************************************/</span>
+<a name="l00011"></a>00011 <span class="comment">/***************************************************************************</span>
+<a name="l00012"></a>00012 <span class="comment"> *                                                                         *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00016"></a>00016 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
+<a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
+<a name="l00019"></a>00019 <span class="preprocessor">#ifndef OFX_SGML_H</span>
+<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define OFX_SGML_H</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include "context.hh"</span>
+<a name="l00023"></a>00023 <span class="keywordtype">int</span> <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);
+<a name="l00024"></a>00024 
+<a name="l00025"></a>00025 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__sgml_8hh.html'
--- doc/html/fx-0_89_80_2lib_2ofx__sgml_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__sgml_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,76 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_sgml.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_sgml.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+OFX/SGML parsing functionnality. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8hh-source.html">fx-0.9.0/lib/ofx_sgml.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__sgml_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8hh.html#27d475cfed072c1761992192a9ce83cc">ofx_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#27d475cfed072c1761992192a9ce83cc"></a><br></td></tr>
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="27d475cfed072c1761992192a9ce83cc"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_sgml.hh::ofx_proc_sgml" ref="27d475cfed072c1761992192a9ce83cc" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofx_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Parses a DTD and OFX file(s). 
+<p>
+ofx_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
+<p>Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00352">352</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,237 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_utilities.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_utilities.cpp</h1><a href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_util.cpp</span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment"> ***************************************************************************/</span>
+<a name="l00010"></a>00010 <span class="comment">/***************************************************************************</span>
+<a name="l00011"></a>00011 <span class="comment"> *                                                                         *</span>
+<a name="l00012"></a>00012 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00016"></a>00016 <span class="comment"> *                                                                         *</span>
+<a name="l00017"></a>00017 <span class="comment"> ***************************************************************************/</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#include &lt;config.h&gt;</span>
+<a name="l00019"></a>00019 <span class="preprocessor">#include &lt;iostream&gt;</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#include &lt;assert.h&gt;</span>
+<a name="l00021"></a>00021 
+<a name="l00022"></a>00022 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include "SGMLApplication.h"</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;time.h&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include &lt;locale.h&gt;</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00029"></a>00029 
+<a name="l00030"></a>00030 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor"># define DIRSEP "\\"</span>
+<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#else</span>
+<a name="l00033"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#2c89f3449c0cc91f289ecbef54188d8d">00033</a> <span class="preprocessor"></span><span class="preprocessor"># define DIRSEP "/"</span>
+<a name="l00034"></a>00034 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00035"></a>00035 <span class="preprocessor"></span>
+<a name="l00036"></a>00036 
+<a name="l00037"></a>00037 <span class="keyword">using namespace </span>std;
+<a name="l00041"></a>00041 <span class="comment">/*ostream &amp;operator&lt;&lt;(ostream &amp;os, SGMLApplication::CharString s)</span>
+<a name="l00042"></a>00042 <span class="comment">  {</span>
+<a name="l00043"></a>00043 <span class="comment">  for (size_t i = 0; i &lt; s.len; i++)</span>
+<a name="l00044"></a>00044 <span class="comment">  {</span>
+<a name="l00045"></a>00045 <span class="comment">  os &lt;&lt; ((char *)(s.ptr))[i*sizeof(SGMLApplication::Char)];</span>
+<a name="l00046"></a>00046 <span class="comment">  }</span>
+<a name="l00047"></a>00047 <span class="comment">  return os;</span>
+<a name="l00048"></a>00048 <span class="comment">  }*/</span>
+<a name="l00049"></a>00049 
+<a name="l00050"></a>00050 <span class="comment">/*wostream &amp;operator&lt;&lt;(wostream &amp;os, SGMLApplication::CharString s)</span>
+<a name="l00051"></a>00051 <span class="comment">  {</span>
+<a name="l00052"></a>00052 <span class="comment">  for (size_t i = 0; i &lt; s.len; i++)</span>
+<a name="l00053"></a>00053 <span class="comment">  {//cout&lt;&lt;i;</span>
+<a name="l00054"></a>00054 <span class="comment">  os &lt;&lt; wchar_t(s.ptr[i*MULTIPLY4]);  </span>
+<a name="l00055"></a>00055 <span class="comment">  }</span>
+<a name="l00056"></a>00056 <span class="comment">  return os;</span>
+<a name="l00057"></a>00057 <span class="comment">  }            */</span>
+<a name="l00058"></a>00058 
+<a name="l00059"></a>00059 <span class="comment">/*wchar_t* CharStringtowchar_t(SGMLApplication::CharString source, wchar_t *dest)</span>
+<a name="l00060"></a>00060 <span class="comment">  {</span>
+<a name="l00061"></a>00061 <span class="comment">  size_t i;</span>
+<a name="l00062"></a>00062 <span class="comment">  for (i = 0; i &lt; source.len; i++)</span>
+<a name="l00063"></a>00063 <span class="comment">  {</span>
+<a name="l00064"></a>00064 <span class="comment">  dest[i]+=wchar_t(source.ptr[i*sizeof(SGMLApplication::Char)*(sizeof(char)/sizeof(wchar_t))]);</span>
+<a name="l00065"></a>00065 <span class="comment">  }</span>
+<a name="l00066"></a>00066 <span class="comment">  return dest;</span>
+<a name="l00067"></a>00067 <span class="comment">  }*/</span>
+<a name="l00068"></a>00068 
+<a name="l00069"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">00069</a> <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest)
+<a name="l00070"></a>00070 {
+<a name="l00071"></a>00071   <span class="keywordtype">size_t</span> i;
+<a name="l00072"></a>00072   dest.assign(<span class="stringliteral">""</span>);<span class="comment">//Empty the provided string</span>
+<a name="l00073"></a>00073   <span class="comment">//  cout&lt;&lt;"Length: "&lt;&lt;source.len&lt;&lt;"sizeof(Char)"&lt;&lt;sizeof(SGMLApplication::Char)&lt;&lt;endl;</span>
+<a name="l00074"></a>00074   <span class="keywordflow">for</span> (i = 0; i &lt; source.len; i++){
+<a name="l00075"></a>00075     dest+=(char)(((source.ptr)[i]));  
+<a name="l00076"></a>00076     <span class="comment">//    cout&lt;&lt;i&lt;&lt;" "&lt;&lt;(char)(((source.ptr)[i]))&lt;&lt;endl; </span>
+<a name="l00077"></a>00077   }
+<a name="l00078"></a>00078   <span class="keywordflow">return</span> dest;
+<a name="l00079"></a>00079 }
+<a name="l00080"></a>00080 
+<a name="l00081"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">00081</a> <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest)
+<a name="l00082"></a>00082 {
+<a name="l00083"></a>00083   <span class="keywordtype">size_t</span> i;
+<a name="l00084"></a>00084   <span class="keywordflow">for</span> (i = 0; i &lt; source.len; i++)
+<a name="l00085"></a>00085     {
+<a name="l00086"></a>00086       dest+=(char)(((source.ptr)[i]));
+<a name="l00087"></a>00087     }
+<a name="l00088"></a>00088   <span class="keywordflow">return</span> dest;
+<a name="l00089"></a>00089 }
+<a name="l00090"></a>00090 
+<a name="l00106"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">00106</a> time_t <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxdate)
+<a name="l00107"></a>00107 {
+<a name="l00108"></a>00108   <span class="keyword">struct </span>tm time;
+<a name="l00109"></a>00109   <span class="keywordtype">double</span> local_offset; <span class="comment">/* in seconds */</span>
+<a name="l00110"></a>00110   <span class="keywordtype">float</span> ofx_gmt_offset; <span class="comment">/* in fractionnal hours */</span>
+<a name="l00111"></a>00111   <span class="keywordtype">char</span> timezone[4]; <span class="comment">/* Original timezone: the library does not expose this value*/</span>
+<a name="l00112"></a>00112   <span class="keywordtype">char</span> exact_time_specified = <span class="keyword">false</span>;
+<a name="l00113"></a>00113   <span class="keywordtype">char</span> time_zone_specified = <span class="keyword">false</span>;
+<a name="l00114"></a>00114 
+<a name="l00115"></a>00115   time_t temptime;
+<a name="l00116"></a>00116   std::time(&amp;temptime);
+<a name="l00117"></a>00117   local_offset = difftime(mktime(localtime(&amp;temptime)), mktime(gmtime(&amp;temptime)));
+<a name="l00118"></a>00118   
+<a name="l00119"></a>00119   <span class="keywordflow">if</span>(ofxdate.size()!=0){
+<a name="l00120"></a>00120     time.tm_year=atoi(ofxdate.substr(0,4).c_str())-1900;
+<a name="l00121"></a>00121     time.tm_mon=atoi(ofxdate.substr(4,2).c_str())-1;
+<a name="l00122"></a>00122     time.tm_mday=atoi(ofxdate.substr(6,2).c_str());
+<a name="l00123"></a>00123     <span class="keywordflow">if</span>(ofxdate.size()&gt;8) {
+<a name="l00124"></a>00124     <span class="comment">/* if exact time is specified */</span>
+<a name="l00125"></a>00125 exact_time_specified = <span class="keyword">true</span>;
+<a name="l00126"></a>00126       time.tm_hour=atoi(ofxdate.substr(8,2).c_str());
+<a name="l00127"></a>00127       time.tm_min=atoi(ofxdate.substr(10,2).c_str());
+<a name="l00128"></a>00128       time.tm_sec=atoi(ofxdate.substr(12,2).c_str());
+<a name="l00129"></a>00129     }
+<a name="l00130"></a>00130     
+<a name="l00131"></a>00131     <span class="comment">/* Check if the timezone has been specified */</span>
+<a name="l00132"></a>00132     string::size_type startidx = ofxdate.find(<span class="stringliteral">"["</span>);
+<a name="l00133"></a>00133     string::size_type endidx;
+<a name="l00134"></a>00134     <span class="keywordflow">if</span>(startidx!=string::npos){
+<a name="l00135"></a>00135       <span class="comment">/* Time zone was specified */</span>
+<a name="l00136"></a>00136       time_zone_specified = <span class="keyword">true</span>;
+<a name="l00137"></a>00137       startidx++;
+<a name="l00138"></a>00138       endidx = ofxdate.find(<span class="stringliteral">":"</span>, startidx)-1;
+<a name="l00139"></a>00139       ofx_gmt_offset=atof(ofxdate.substr(startidx,(endidx-startidx)+1).c_str());
+<a name="l00140"></a>00140       startidx = endidx+2;
+<a name="l00141"></a>00141       strncpy(timezone,ofxdate.substr(startidx,3).c_str(),4);
+<a name="l00142"></a>00142     }
+<a name="l00143"></a>00143     <span class="keywordflow">else</span>{
+<a name="l00144"></a>00144       <span class="comment">/* Time zone was not specified, assume GMT (provisionnaly) in case exact time is specified */</span>
+<a name="l00145"></a>00145       ofx_gmt_offset=0;
+<a name="l00146"></a>00146       strcpy(timezone, <span class="stringliteral">"GMT"</span>);
+<a name="l00147"></a>00147     }
+<a name="l00148"></a>00148 
+<a name="l00149"></a>00149     <span class="keywordflow">if</span>(time_zone_specified == <span class="keyword">true</span>)
+<a name="l00150"></a>00150       {
+<a name="l00151"></a>00151         <span class="comment">/* If the timezone is specified always correct the timezone */</span>
+<a name="l00152"></a>00152         <span class="comment">/* If the timezone is not specified, but the exact time is, correct the timezone, assuming GMT following the spec */</span>
+<a name="l00153"></a>00153         <span class="comment">/* Correct the time for the timezone */</span>
+<a name="l00154"></a>00154         time.tm_sec = time.tm_sec + (int)(local_offset - (ofx_gmt_offset*60*60));<span class="comment">//Convert from fractionnal hours to seconds</span>
+<a name="l00155"></a>00155       }
+<a name="l00156"></a>00156     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (exact_time_specified == <span class="keyword">false</span>)
+<a name="l00157"></a>00157       {
+<a name="l00158"></a>00158         <span class="comment">/*Time zone data missing and exact time not specified, diverge from the OFX spec ans assume 11h59 local time */</span>
+<a name="l00159"></a>00159        time.tm_hour=11;
+<a name="l00160"></a>00160        time.tm_min=59;
+<a name="l00161"></a>00161        time.tm_sec=0;
+<a name="l00162"></a>00162       }
+<a name="l00163"></a>00163   }
+<a name="l00164"></a>00164   <span class="keywordflow">else</span>{
+<a name="l00165"></a>00165     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"ofxdate_to_time_t():  Unable to convert time, string is 0 length!"</span>);
+<a name="l00166"></a>00166   }
+<a name="l00167"></a>00167   <span class="keywordflow">return</span> mktime(&amp;time);
+<a name="l00168"></a>00168 }
+<a name="l00169"></a>00169 
+<a name="l00174"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">00174</a> <span class="keywordtype">double</span> <a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxamount)
+<a name="l00175"></a>00175 {
+<a name="l00176"></a>00176   <span class="comment">//Replace commas and decimal points for atof()</span>
+<a name="l00177"></a>00177   string::size_type idx;
+<a name="l00178"></a>00178   <span class="keywordtype">string</span> tmp = ofxamount;
+<a name="l00179"></a>00179 
+<a name="l00180"></a>00180   idx = tmp.find(<span class="charliteral">','</span>);
+<a name="l00181"></a>00181   <span class="keywordflow">if</span>(idx==string::npos){
+<a name="l00182"></a>00182     idx = tmp.find(<span class="charliteral">'.'</span>);
+<a name="l00183"></a>00183   }
+<a name="l00184"></a>00184   
+<a name="l00185"></a>00185   <span class="keywordflow">if</span>(idx!=string::npos){
+<a name="l00186"></a>00186     tmp.replace(idx,1,1,((localeconv())-&gt;decimal_point)[0]);
+<a name="l00187"></a>00187   }
+<a name="l00188"></a>00188 
+<a name="l00189"></a>00189   <span class="keywordflow">return</span> atof(tmp.c_str());
+<a name="l00190"></a>00190 }
+<a name="l00191"></a>00191 
+<a name="l00195"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">00195</a> <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> para_string)
+<a name="l00196"></a>00196 {
+<a name="l00197"></a>00197   <span class="keywordtype">size_t</span> index;
+<a name="l00198"></a>00198   <span class="keywordtype">size_t</span> i;
+<a name="l00199"></a>00199   <span class="keywordtype">string</span> temp_string = para_string;
+<a name="l00200"></a>00200   <span class="keyword">const</span> <span class="keywordtype">char</span> *whitespace = <span class="stringliteral">" \b\f\n\r\t\v"</span>;
+<a name="l00201"></a>00201   <span class="keyword">const</span> <span class="keywordtype">char</span> *abnormal_whitespace = <span class="stringliteral">"\b\f\n\r\t\v"</span>;<span class="comment">//backspace,formfeed,newline,cariage return, horizontal and vertical tabs</span>
+<a name="l00202"></a>00202   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>,<span class="stringliteral">"strip_whitespace() Before: |"</span>+temp_string+<span class="stringliteral">"|"</span>);
+<a name="l00203"></a>00203   <span class="keywordflow">for</span>(i=0;i&lt;=temp_string.size()&amp;&amp;temp_string.find_first_of(whitespace, i)==i&amp;&amp;temp_string.find_first_of(whitespace, i)!=string::npos;i++);
+<a name="l00204"></a>00204   temp_string.erase(0,i);<span class="comment">//Strip leading whitespace</span>
+<a name="l00205"></a>00205   <span class="keywordflow">for</span>(i=temp_string.size()-1;(i&gt;=0)&amp;&amp;(temp_string.find_last_of(whitespace, i)==i)&amp;&amp;(temp_string.find_last_of(whitespace, i)!=string::npos);i--);
+<a name="l00206"></a>00206   temp_string.erase(i+1,temp_string.size()-(i+1));<span class="comment">//Strip trailing whitespace</span>
+<a name="l00207"></a>00207   
+<a name="l00208"></a>00208 <span class="keywordflow">while</span> ((index = temp_string.find_first_of(abnormal_whitespace))!=string::npos)
+<a name="l00209"></a>00209   {
+<a name="l00210"></a>00210     temp_string.erase(index,1);<span class="comment">//Strip leading whitespace</span>
+<a name="l00211"></a>00211   };
+<a name="l00212"></a>00212  
+<a name="l00213"></a>00213  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>,<span class="stringliteral">"strip_whitespace() After:  |"</span>+temp_string+<span class="stringliteral">"|"</span>);
+<a name="l00214"></a>00214  
+<a name="l00215"></a>00215  <span class="keywordflow">return</span> temp_string;
+<a name="l00216"></a>00216 }
+<a name="l00217"></a>00217 
+<a name="l00218"></a>00218 
+<a name="l00219"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">00219</a> <span class="keywordtype">int</span> <a class="code" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *tmpl, <span class="keywordtype">char</span> *buffer, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size) {
+<a name="l00220"></a>00220   <span class="keyword">const</span> <span class="keywordtype">char</span> *tmp_dir;
+<a name="l00221"></a>00221 
+<a name="l00222"></a>00222   tmp_dir = getenv (<span class="stringliteral">"TMPDIR"</span>);
+<a name="l00223"></a>00223   <span class="keywordflow">if</span> (!tmp_dir)
+<a name="l00224"></a>00224     tmp_dir = getenv (<span class="stringliteral">"TMP"</span>);
+<a name="l00225"></a>00225   <span class="keywordflow">if</span> (!tmp_dir)
+<a name="l00226"></a>00226     tmp_dir = getenv (<span class="stringliteral">"TEMP"</span>);
+<a name="l00227"></a>00227 
+<a name="l00228"></a>00228   <span class="keywordflow">if</span> (!tmp_dir)
+<a name="l00229"></a>00229     {
+<a name="l00230"></a>00230 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00231"></a>00231 <span class="preprocessor"></span>      tmp_dir = <span class="stringliteral">"C:\\"</span>;
+<a name="l00232"></a>00232 <span class="preprocessor">#else  </span>
+<a name="l00233"></a>00233 <span class="preprocessor"></span>      tmp_dir = <span class="stringliteral">"/tmp"</span>;
+<a name="l00234"></a>00234 <span class="preprocessor">#endif  </span><span class="comment">/* !OS_WIN32 */</span>
+<a name="l00235"></a>00235     }
+<a name="l00236"></a>00236 
+<a name="l00237"></a>00237   strncpy(buffer, tmp_dir, size);
+<a name="l00238"></a>00238   assert((strlen(buffer)+strlen(tmpl)+2)&lt;size);
+<a name="l00239"></a>00239   strcat(buffer, <a class="code" href="ofx__utilities_8cpp.html#2c89f3449c0cc91f289ecbef54188d8d">DIRSEP</a>);
+<a name="l00240"></a>00240   strcat(buffer, tmpl);
+<a name="l00241"></a>00241   <span class="keywordflow">return</span> 0;
+<a name="l00242"></a>00242 }
+<a name="l00243"></a>00243 
+<a name="l00244"></a>00244 
+<a name="l00245"></a>00245 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__utilities_8cpp.html'
--- doc/html/fx-0_89_80_2lib_2ofx__utilities_8cpp.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__utilities_8cpp.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,183 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_utilities.cpp File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_utilities.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Various simple functions for type conversion &amp; al. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html">fx-0.9.0/lib/ofx_utilities.cpp</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2c89f3449c0cc91f289ecbef54188d8d"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.cpp::DIRSEP" ref="2c89f3449c0cc91f289ecbef54188d8d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#2c89f3449c0cc91f289ecbef54188d8d">DIRSEP</a>&nbsp;&nbsp;&nbsp;&quot;/&quot;</td></tr>
+
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">CharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ STL string.  <a href="#e7575392f9f9c464ede10057dec0e8e4"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="50b88c84b759d3058397336e7ea42c32"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.cpp::AppendCharStringtostring" ref="50b88c84b759d3058397336e7ea42c32" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">AppendCharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append an OpenSP CharString to an existing C++ STL string. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">ofxdate_to_time_t</a> (const string ofxdate)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a C++ string containing a time in OFX format to a C time_t.  <a href="#5fdbbc08f8d80a534f8db03d25316d7a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">ofxamount_to_double</a> (const string ofxamount)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OFX amount of money to double float.  <a href="#bfca5b423e5d7b194eb53c53f706f6ba"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">strip_whitespace</a> (const string para_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sanitize a string coming from OpenSP.  <a href="#34933785dd934134973847e58a700733"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0e945c824a3012017b4babd721d9f38"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.cpp::mkTempFileName" ref="a0e945c824a3012017b4babd721d9f38" args="(const char *tmpl, char *buffer, unsigned int size)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a> (const char *tmpl, char *buffer, unsigned int size)</td></tr>
+
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="e7575392f9f9c464ede10057dec0e8e4"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.cpp::CharStringtostring" ref="e7575392f9f9c464ede10057dec0e8e4" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string CharStringtostring           </td>
+          <td>(</td>
+          <td class="paramtype">const SGMLApplication::CharString&nbsp;</td>
+          <td class="paramname"> <em>source</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">string &amp;&nbsp;</td>
+          <td class="paramname"> <em>dest</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Convert OpenSP CharString to a C++ STL string. 
+<p>
+Convert an OpenSP CharString directly to a C++ stream, to enable the use of cout directly for debugging. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html#l00069">69</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html">fx-0.9.0/lib/ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="bfca5b423e5d7b194eb53c53f706f6ba"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.cpp::ofxamount_to_double" ref="bfca5b423e5d7b194eb53c53f706f6ba" args="(const string ofxamount)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">double ofxamount_to_double           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxamount</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Convert OFX amount of money to double float. 
+<p>
+Convert a C++ string containing an amount of money as specified by the OFX standard and convert it to a double float. <dl class="note" compact><dt><b>Note:</b></dt><dd>The ofx number format is the following: "." or "," as decimal separator, NO thousands separator. </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html#l00174">174</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html">fx-0.9.0/lib/ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5fdbbc08f8d80a534f8db03d25316d7a"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.cpp::ofxdate_to_time_t" ref="5fdbbc08f8d80a534f8db03d25316d7a" args="(const string ofxdate)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">time_t ofxdate_to_time_t           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxdate</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Convert a C++ string containing a time in OFX format to a C time_t. 
+<p>
+Converts a date from the YYYYMMDDHHMMSS.XXX[gmt offset:tz name] OFX format (see OFX 2.01 spec p.66) to a C time_t. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>ofxdate</em>&nbsp;</td><td>date from the YYYYMMDDHHMMSS.XXX[gmt offset:tz name] OFX format </td></tr>
+  </table>
+</dl>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>C time_t in the local time zone </dd></dl>
+<dl class="note" compact><dt><b>Note:</b></dt><dd><ul>
+<li>The library always returns the time in the systems local time </li>
+<li>OFX defines the date up to the millisecond. The library ignores those milliseconds, since ANSI C does not handle such precision cleanly. The date provided by LibOFX is precise to the second, assuming that information this precise was provided in the ofx file. So you wont know the millisecond you were ruined...</li>
+</ul>
+<p>
+DEVIATION FROM THE SPECS : The OFX specifications (both version 1.6 and 2.02) state that a client should assume that if the server returns a date without  specific time, we assume it means 0h00 GMT. As such, when we apply the local timezone and for example you are in the EST timezone, we will remove 5h, and the transaction will have occurred on the prior day! This is probably not what the bank intended (and will lead to systematic errors), but the spec is quite explicit in this respect (Ref: OFX 2.01 spec pp. 66-68)<br>
+<br>
+ To solve this problem (since usually a time error is relatively unimportant, but date error is), and to avoid problems in Australia caused by the behaviour in libofx up to 0.6.4, it was decided starting with 0.6.5 to use the following behavior:<br>
+<br>
+ -No specific time is given in the file (date only): Considering that most banks seem to be sending dates in this format represented as local time (not compliant with the specs), the transaction is assumed to have occurred 11h59 (just before noon) LOCAL TIME. This way, we should never change the date, since you'd have to travel in a timezone at least 11 hours backwards or 13 hours forward from your own to introduce mistakes. However, if you are in timezone +13 or +14, and your bank meant the data to be interpreted by the spec, you will get the wrong date. We hope that banks in those timezone will either represent in local time like most, or specify the timezone properly.<br>
+<br>
+ -No timezone is specified, but exact time is, the same behavior is mostly used, as many banks just append zeros instead of using the short notation. However, the time specified is used, even if 0 (midnight).<br>
+<br>
+ -When a timezone is specified, it is always used to properly convert in local time, following the spec. </dd></dl>
+
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html#l00106">106</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html">fx-0.9.0/lib/ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="34933785dd934134973847e58a700733"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.cpp::strip_whitespace" ref="34933785dd934134973847e58a700733" args="(const string para_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string strip_whitespace           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>para_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Sanitize a string coming from OpenSP. 
+<p>
+Many weird caracters can be present inside a SGML element, as a result on the transfer protocol, or for any reason. This function greatly enhances the reliability of the library by zapping those gremlins (backspace,formfeed,newline,carriage return, horizontal and vertical tabs) as well as removing whitespace at the begining and end of the string. Otherwise, many problems will occur during stringmatching. 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html#l00195">195</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp-source.html">fx-0.9.0/lib/ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__utilities_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2ofx__utilities_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__utilities_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,61 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_utilities.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_utilities.hh</h1><a href="fx-0_89_80_2lib_2ofx__utilities_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">                          ofx_util.h</span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment"> ***************************************************************************/</span>
+<a name="l00010"></a>00010 <span class="comment">/***************************************************************************</span>
+<a name="l00011"></a>00011 <span class="comment"> *                                                                         *</span>
+<a name="l00012"></a>00012 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00013"></a>00013 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00014"></a>00014 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00015"></a>00015 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00016"></a>00016 <span class="comment"> *                                                                         *</span>
+<a name="l00017"></a>00017 <span class="comment"> ***************************************************************************/</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#ifndef OFX_UTIL_H</span>
+<a name="l00019"></a>00019 <span class="preprocessor"></span><span class="preprocessor">#define OFX_UTIL_H</span>
+<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#include &lt;string.h&gt;</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;time.h&gt;</span>               <span class="comment">// for time_t</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00023"></a>00023 <span class="keyword">using namespace </span>std;
+<a name="l00024"></a>00024  <span class="comment">/* This file contains various simple functions for type conversion &amp; al */</span>
+<a name="l00025"></a>00025 
+<a name="l00026"></a>00026 <span class="comment">/*wostream &amp;operator&lt;&lt;(wostream &amp;os, SGMLApplication::CharString s); */</span>
+<a name="l00027"></a>00027 
+<a name="l00029"></a>00029 ostream &amp;<a class="code" href="ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e" title="Convert OpenSP CharString to a C++ stream.">operator&lt;&lt;</a>(ostream &amp;os, SGMLApplication::CharString s);
+<a name="l00030"></a>00030 
+<a name="l00032"></a>00032 <span class="keywordtype">wchar_t</span>* <a class="code" href="ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75" title="Convert OpenSP CharString and put it in the C wchar_t string provided.">CharStringtowchar_t</a>(SGMLApplication::CharString source, <span class="keywordtype">wchar_t</span> *dest);  
+<a name="l00033"></a>00033 
+<a name="l00035"></a>00035 <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest);
+<a name="l00036"></a>00036 
+<a name="l00038"></a>00038 <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest);
+<a name="l00039"></a>00039 
+<a name="l00041"></a>00041 time_t <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxdate);
+<a name="l00042"></a>00042 
+<a name="l00044"></a>00044 <span class="keywordtype">double</span> <a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxamount);
+<a name="l00045"></a>00045 
+<a name="l00047"></a>00047 <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> para_string);
+<a name="l00048"></a>00048 
+<a name="l00049"></a>00049 <span class="keywordtype">int</span> <a class="code" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *tmpl, <span class="keywordtype">char</span> *buffer, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size);
+<a name="l00050"></a>00050 
+<a name="l00051"></a>00051 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2ofx__utilities_8hh.html'
--- doc/html/fx-0_89_80_2lib_2ofx__utilities_8hh.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2ofx__utilities_8hh.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,187 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: ofx_utilities.hh File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>ofx_utilities.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Various simple functions for type conversion &amp; al. 
+<p>
+
+<p>Definition in file <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh-source.html">fx-0.9.0/lib/ofx_utilities.hh</a>.</p>
+
+<p>
+
+<p>
+<a href="fx-0_89_80_2lib_2ofx__utilities_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="39ffcaaff3de66030e3e59c2e3e98f8e"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.hh::operator&lt;&lt;" ref="39ffcaaff3de66030e3e59c2e3e98f8e" args="(ostream &amp;os, SGMLApplication::CharString s)" -->
+ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e">operator&lt;&lt;</a> (ostream &amp;os, SGMLApplication::CharString s)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ stream. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2fd46abc036e918fce7b04d9200b3e75"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.hh::CharStringtowchar_t" ref="2fd46abc036e918fce7b04d9200b3e75" args="(SGMLApplication::CharString source, wchar_t *dest)" -->
+wchar_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75">CharStringtowchar_t</a> (SGMLApplication::CharString source, wchar_t *dest)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString and put it in the C wchar_t string provided. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#e7575392f9f9c464ede10057dec0e8e4">CharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ STL string.  <a href="#e7575392f9f9c464ede10057dec0e8e4"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="50b88c84b759d3058397336e7ea42c32"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.hh::AppendCharStringtostring" ref="50b88c84b759d3058397336e7ea42c32" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#50b88c84b759d3058397336e7ea42c32">AppendCharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append an OpenSP CharString to an existing C++ STL string. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#5fdbbc08f8d80a534f8db03d25316d7a">ofxdate_to_time_t</a> (const string ofxdate)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a C++ string containing a time in OFX format to a C time_t.  <a href="#5fdbbc08f8d80a534f8db03d25316d7a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#bfca5b423e5d7b194eb53c53f706f6ba">ofxamount_to_double</a> (const string ofxamount)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OFX amount of money to double float.  <a href="#bfca5b423e5d7b194eb53c53f706f6ba"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#34933785dd934134973847e58a700733">strip_whitespace</a> (const string para_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sanitize a string coming from OpenSP.  <a href="#34933785dd934134973847e58a700733"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0e945c824a3012017b4babd721d9f38"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.hh::mkTempFileName" ref="a0e945c824a3012017b4babd721d9f38" args="(const char *tmpl, char *buffer, unsigned int size)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a> (const char *tmpl, char *buffer, unsigned int size)</td></tr>
+
+</table>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="e7575392f9f9c464ede10057dec0e8e4"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.hh::CharStringtostring" ref="e7575392f9f9c464ede10057dec0e8e4" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string CharStringtostring           </td>
+          <td>(</td>
+          <td class="paramtype">const SGMLApplication::CharString&nbsp;</td>
+          <td class="paramname"> <em>source</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">string &amp;&nbsp;</td>
+          <td class="paramname"> <em>dest</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Convert OpenSP CharString to a C++ STL string. 
+<p>
+Convert an OpenSP CharString directly to a C++ stream, to enable the use of cout directly for debugging. 
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00069">69</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="bfca5b423e5d7b194eb53c53f706f6ba"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.hh::ofxamount_to_double" ref="bfca5b423e5d7b194eb53c53f706f6ba" args="(const string ofxamount)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">double ofxamount_to_double           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxamount</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Convert OFX amount of money to double float. 
+<p>
+Convert a C++ string containing an amount of money as specified by the OFX standard and convert it to a double float. <dl class="note" compact><dt><b>Note:</b></dt><dd>The ofx number format is the following: "." or "," as decimal separator, NO thousands separator. </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00174">174</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5fdbbc08f8d80a534f8db03d25316d7a"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.hh::ofxdate_to_time_t" ref="5fdbbc08f8d80a534f8db03d25316d7a" args="(const string ofxdate)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">time_t ofxdate_to_time_t           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxdate</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Convert a C++ string containing a time in OFX format to a C time_t. 
+<p>
+Converts a date from the YYYYMMDDHHMMSS.XXX[gmt offset:tz name] OFX format (see OFX 2.01 spec p.66) to a C time_t. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>ofxdate</em>&nbsp;</td><td>date from the YYYYMMDDHHMMSS.XXX[gmt offset:tz name] OFX format </td></tr>
+  </table>
+</dl>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>C time_t in the local time zone </dd></dl>
+<dl class="note" compact><dt><b>Note:</b></dt><dd><ul>
+<li>The library always returns the time in the systems local time </li>
+<li>OFX defines the date up to the millisecond. The library ignores those milliseconds, since ANSI C does not handle such precision cleanly. The date provided by LibOFX is precise to the second, assuming that information this precise was provided in the ofx file. So you wont know the millisecond you were ruined...</li>
+</ul>
+<p>
+DEVIATION FROM THE SPECS : The OFX specifications (both version 1.6 and 2.02) state that a client should assume that if the server returns a date without  specific time, we assume it means 0h00 GMT. As such, when we apply the local timezone and for example you are in the EST timezone, we will remove 5h, and the transaction will have occurred on the prior day! This is probably not what the bank intended (and will lead to systematic errors), but the spec is quite explicit in this respect (Ref: OFX 2.01 spec pp. 66-68)<br>
+<br>
+ To solve this problem (since usually a time error is relatively unimportant, but date error is), and to avoid problems in Australia caused by the behaviour in libofx up to 0.6.4, it was decided starting with 0.6.5 to use the following behavior:<br>
+<br>
+ -No specific time is given in the file (date only): Considering that most banks seem to be sending dates in this format represented as local time (not compliant with the specs), the transaction is assumed to have occurred 11h59 (just before noon) LOCAL TIME. This way, we should never change the date, since you'd have to travel in a timezone at least 11 hours backwards or 13 hours forward from your own to introduce mistakes. However, if you are in timezone +13 or +14, and your bank meant the data to be interpreted by the spec, you will get the wrong date. We hope that banks in those timezone will either represent in local time like most, or specify the timezone properly.<br>
+<br>
+ -No timezone is specified, but exact time is, the same behavior is mostly used, as many banks just append zeros instead of using the short notation. However, the time specified is used, even if 0 (midnight).<br>
+<br>
+ -When a timezone is specified, it is always used to properly convert in local time, following the spec. </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00106">106</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="34933785dd934134973847e58a700733"></a><!-- doxytag: member="fx-0.9.0/lib/ofx_utilities.hh::strip_whitespace" ref="34933785dd934134973847e58a700733" args="(const string para_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string strip_whitespace           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>para_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Sanitize a string coming from OpenSP. 
+<p>
+Many weird caracters can be present inside a SGML element, as a result on the transfer protocol, or for any reason. This function greatly enhances the reliability of the library by zapping those gremlins (backspace,formfeed,newline,carriage return, horizontal and vertical tabs) as well as removing whitespace at the begining and end of the string. Otherwise, many problems will occur during stringmatching. 
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00195">195</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2tree_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2tree_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2tree_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,2026 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: tree.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>tree.hh</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* </span>
+<a name="l00002"></a>00002 <span class="comment"></span>
+<a name="l00003"></a>00003 <span class="comment">   $Id: tree.hh,v 1.6 2006/07/20 04:41:16 benoitg Exp $</span>
+<a name="l00004"></a>00004 <span class="comment"></span>
+<a name="l00005"></a>00005 <span class="comment">   STL-like templated tree class.</span>
+<a name="l00006"></a>00006 <span class="comment">   Copyright (C) 2001-2005  Kasper Peeters &lt;kasper.peeters@aei.mpg.de&gt;.</span>
+<a name="l00007"></a>00007 <span class="comment"></span>
+<a name="l00008"></a>00008 <span class="comment">*/</span>
+<a name="l00009"></a>00009 
+<a name="l00026"></a>00026 <span class="comment">/*</span>
+<a name="l00027"></a>00027 <span class="comment">   This program is free software; you can redistribute it and/or modify</span>
+<a name="l00028"></a>00028 <span class="comment">   it under the terms of the GNU General Public License as published by</span>
+<a name="l00029"></a>00029 <span class="comment">   the Free Software Foundation; version 2.</span>
+<a name="l00030"></a>00030 <span class="comment">   </span>
+<a name="l00031"></a>00031 <span class="comment">   This program is distributed in the hope that it will be useful,</span>
+<a name="l00032"></a>00032 <span class="comment">   but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
+<a name="l00033"></a>00033 <span class="comment">   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
+<a name="l00034"></a>00034 <span class="comment">   GNU General Public License for more details.</span>
+<a name="l00035"></a>00035 <span class="comment">   </span>
+<a name="l00036"></a>00036 <span class="comment">   You should have received a copy of the GNU General Public License</span>
+<a name="l00037"></a>00037 <span class="comment">   along with this program; if not, write to the Free Software</span>
+<a name="l00038"></a>00038 <span class="comment">   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</span>
+<a name="l00039"></a>00039 <span class="comment">*/</span>
+<a name="l00040"></a>00040 
+<a name="l00058"></a>00058 <span class="preprocessor">#ifndef tree_hh_</span>
+<a name="l00059"></a>00059 <span class="preprocessor"></span><span class="preprocessor">#define tree_hh_</span>
+<a name="l00060"></a>00060 <span class="preprocessor"></span>
+<a name="l00061"></a>00061 <span class="preprocessor">#include &lt;cassert&gt;</span>
+<a name="l00062"></a>00062 <span class="preprocessor">#include &lt;memory&gt;</span>
+<a name="l00063"></a>00063 <span class="preprocessor">#include &lt;stdexcept&gt;</span>
+<a name="l00064"></a>00064 <span class="preprocessor">#include &lt;iterator&gt;</span>
+<a name="l00065"></a>00065 <span class="preprocessor">#include &lt;set&gt;</span>
+<a name="l00066"></a>00066 
+<a name="l00067"></a>00067 <span class="comment">// HP-style construct/destroy have gone from the standard,</span>
+<a name="l00068"></a>00068 <span class="comment">// so here is a copy.</span>
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 <span class="keyword">namespace </span>kp {
+<a name="l00071"></a>00071 
+<a name="l00072"></a>00072 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T1, <span class="keyword">class</span> T2&gt;
+<a name="l00073"></a>00073 <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">constructor</a>(T1* p, T2&amp; val) 
+<a name="l00074"></a>00074    {
+<a name="l00075"></a>00075    <span class="keyword">new</span> ((<span class="keywordtype">void</span> *) p) T1(val);
+<a name="l00076"></a>00076    }
+<a name="l00077"></a>00077 
+<a name="l00078"></a>00078 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T1&gt;
+<a name="l00079"></a>00079 <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">constructor</a>(T1* p) 
+<a name="l00080"></a>00080    {
+<a name="l00081"></a>00081    <span class="keyword">new</span> ((<span class="keywordtype">void</span> *) p) T1;
+<a name="l00082"></a>00082    }
+<a name="l00083"></a>00083 
+<a name="l00084"></a>00084 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T1&gt;
+<a name="l00085"></a>00085 <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">destructor</a>(T1* p)
+<a name="l00086"></a>00086    {
+<a name="l00087"></a>00087    p-&gt;~T1();
+<a name="l00088"></a>00088    }
+<a name="l00089"></a>00089 
+<a name="l00090"></a>00090 };
+<a name="l00091"></a>00091 
+<a name="l00093"></a>00093 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt;
+<a name="l00094"></a>00094 <span class="keyword">class </span><a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_</a> { <span class="comment">// size: 5*4=20 bytes (on 32 bit arch), can be reduced by 8.</span>
+<a name="l00095"></a>00095    <span class="keyword">public</span>:
+<a name="l00096"></a><a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">00096</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
+<a name="l00097"></a><a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">00097</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>, *<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>;
+<a name="l00098"></a><a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">00098</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>, *<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l00099"></a>00099       T <a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>;
+<a name="l00100"></a>00100 }; <span class="comment">// __attribute__((packed));</span>
+<a name="l00101"></a>00101 
+<a name="l00102"></a>00102 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator = std::allocator&lt;tree_node_&lt;T&gt; &gt; &gt;
+<a name="l00103"></a>00103 <span class="keyword">class </span><a class="code" href="classtree.html">tree</a> {
+<a name="l00104"></a>00104    <span class="keyword">protected</span>:
+<a name="l00105"></a><a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">00105</a>       <span class="keyword">typedef</span> <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a>;
+<a name="l00106"></a>00106    <span class="keyword">public</span>:
+<a name="l00108"></a><a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">00108</a>       <span class="keyword">typedef</span> T <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">value_type</a>;
+<a name="l00109"></a>00109 
+<a name="l00110"></a>00110       <span class="keyword">class </span>iterator_base;
+<a name="l00111"></a>00111       <span class="keyword">class </span>pre_order_iterator;
+<a name="l00112"></a>00112       <span class="keyword">class </span>post_order_iterator;
+<a name="l00113"></a>00113       <span class="keyword">class </span>sibling_iterator;
+<a name="l00114"></a>00114 
+<a name="l00115"></a>00115       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>();
+<a name="l00116"></a>00116       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>(<span class="keyword">const</span> T&amp;);
+<a name="l00117"></a>00117       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>(<span class="keyword">const</span> iterator_base&amp;);
+<a name="l00118"></a>00118       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp;);
+<a name="l00119"></a>00119       <a class="code" href="classtree.html#f0169b515c95f4299fd2d984137b7868">~tree</a>();
+<a name="l00120"></a>00120       <span class="keywordtype">void</span> <a class="code" href="classtree.html#9561c0c73b0605f32bf82a026eaf216a">operator=</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp;);
+<a name="l00121"></a>00121 
+<a name="l00123"></a>00123 <span class="preprocessor">#ifdef __SGI_STL_PORT</span>
+<a name="l00124"></a>00124 <span class="preprocessor"></span>      <span class="keyword">class </span>iterator_base : <span class="keyword">public</span> stlport::bidirectional_iterator&lt;T, ptrdiff_t&gt; {
+<a name="l00125"></a>00125 <span class="preprocessor">#else</span>
+<a name="l00126"></a>00126 <span class="preprocessor"></span>      <span class="keyword">class </span><a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a> {
+<a name="l00127"></a>00127 <span class="preprocessor">#endif</span>
+<a name="l00128"></a>00128 <span class="preprocessor"></span>         <span class="keyword">public</span>:
+<a name="l00129"></a><a class="code" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">00129</a>             <span class="keyword">typedef</span> T                               <a class="code" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">value_type</a>;
+<a name="l00130"></a><a class="code" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">00130</a>             <span class="keyword">typedef</span> T*                              <a class="code" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">pointer</a>;
+<a name="l00131"></a><a class="code" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">00131</a>             <span class="keyword">typedef</span> T&amp;                              <a class="code" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">reference</a>;
+<a name="l00132"></a><a class="code" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">00132</a>             <span class="keyword">typedef</span> <span class="keywordtype">size_t</span>                          <a class="code" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">size_type</a>;
+<a name="l00133"></a><a class="code" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">00133</a>             <span class="keyword">typedef</span> ptrdiff_t                       <a class="code" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">difference_type</a>;
+<a name="l00134"></a><a class="code" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">00134</a>             <span class="keyword">typedef</span> std::bidirectional_iterator_tag <a class="code" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">iterator_category</a>;
+<a name="l00135"></a>00135 
+<a name="l00136"></a>00136             <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a>();
+<a name="l00137"></a>00137             <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00138"></a>00138 
+<a name="l00139"></a>00139             T&amp;             <a class="code" href="classtree_1_1iterator__base.html#ada7cbe4d4f9a5ec29db78d10712edc6">operator*</a>() <span class="keyword">const</span>;
+<a name="l00140"></a>00140             T*             <a class="code" href="classtree_1_1iterator__base.html#bd9c59569df7d8be5a50c835c180f4dc">operator-&gt;</a>() <span class="keyword">const</span>;
+<a name="l00141"></a>00141 
+<a name="l00143"></a>00143             <span class="keywordtype">void</span>         <a class="code" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb" title="When called, the next increment/decrement skips children of this node.">skip_children</a>();
+<a name="l00145"></a>00145             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17" title="Number of children of the node pointed to by the iterator.">number_of_children</a>() <span class="keyword">const</span>;
+<a name="l00146"></a>00146 
+<a name="l00147"></a>00147             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>() <span class="keyword">const</span>;
+<a name="l00148"></a>00148             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>() <span class="keyword">const</span>;
+<a name="l00149"></a>00149 
+<a name="l00150"></a><a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">00150</a>             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
+<a name="l00151"></a>00151          <span class="keyword">protected</span>:
+<a name="l00152"></a>00152             <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">skip_current_children_</a>;
+<a name="l00153"></a>00153       };
+<a name="l00154"></a>00154 
+<a name="l00156"></a>00156       <span class="keyword">class </span><a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> { 
+<a name="l00157"></a>00157          <span class="keyword">public</span>:
+<a name="l00158"></a>00158             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>();
+<a name="l00159"></a>00159             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00160"></a>00160             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
+<a name="l00161"></a>00161             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;);
+<a name="l00162"></a>00162 
+<a name="l00163"></a>00163             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00164"></a>00164             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00165"></a>00165             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator++();
+<a name="l00166"></a>00166             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator--();
+<a name="l00167"></a>00167             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   operator++(<span class="keywordtype">int</span>);
+<a name="l00168"></a>00168             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   operator--(<span class="keywordtype">int</span>);
+<a name="l00169"></a>00169             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00170"></a>00170             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00171"></a>00171       };
+<a name="l00172"></a>00172 
+<a name="l00174"></a>00174       <span class="keyword">class </span>post_order_iterator : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a> {
+<a name="l00175"></a>00175          <span class="keyword">public</span>:
+<a name="l00176"></a>00176             post_order_iterator();
+<a name="l00177"></a>00177             post_order_iterator(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *);
+<a name="l00178"></a>00178             post_order_iterator(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a>&amp;);
+<a name="l00179"></a>00179             post_order_iterator(<span class="keyword">const</span> sibling_iterator&amp;);
+<a name="l00180"></a>00180 
+<a name="l00181"></a>00181             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> post_order_iterator&amp;) <span class="keyword">const</span>;
+<a name="l00182"></a>00182             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> post_order_iterator&amp;) <span class="keyword">const</span>;
+<a name="l00183"></a>00183             post_order_iterator&amp;  operator++();
+<a name="l00184"></a>00184             post_order_iterator&amp;  operator--();
+<a name="l00185"></a>00185             post_order_iterator   operator++(<span class="keywordtype">int</span>);
+<a name="l00186"></a>00186             post_order_iterator   operator--(<span class="keywordtype">int</span>);
+<a name="l00187"></a>00187             post_order_iterator&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00188"></a>00188             post_order_iterator&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00189"></a>00189 
+<a name="l00191"></a>00191             <span class="keywordtype">void</span> descend_all();
+<a name="l00192"></a>00192       };
+<a name="l00193"></a>00193 
+<a name="l00195"></a><a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e">00195</a>       <span class="keyword">typedef</span> pre_order_iterator <a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e" title="The default iterator type throughout the tree class.">iterator</a>;
+<a name="l00196"></a>00196 
+<a name="l00198"></a>00198       <span class="keyword">class </span>fixed_depth_iterator : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a> {
+<a name="l00199"></a>00199          <span class="keyword">public</span>:
+<a name="l00200"></a>00200             fixed_depth_iterator();
+<a name="l00201"></a>00201             fixed_depth_iterator(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00202"></a>00202             fixed_depth_iterator(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a>&amp;);
+<a name="l00203"></a>00203             fixed_depth_iterator(<span class="keyword">const</span> sibling_iterator&amp;);
+<a name="l00204"></a>00204             fixed_depth_iterator(<span class="keyword">const</span> fixed_depth_iterator&amp;);
+<a name="l00205"></a>00205 
+<a name="l00206"></a>00206             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> fixed_depth_iterator&amp;) <span class="keyword">const</span>;
+<a name="l00207"></a>00207             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> fixed_depth_iterator&amp;) <span class="keyword">const</span>;
+<a name="l00208"></a>00208             fixed_depth_iterator&amp;  operator++();
+<a name="l00209"></a>00209             fixed_depth_iterator&amp;  operator--();
+<a name="l00210"></a>00210             fixed_depth_iterator   operator++(<span class="keywordtype">int</span>);
+<a name="l00211"></a>00211             fixed_depth_iterator   operator--(<span class="keywordtype">int</span>);
+<a name="l00212"></a>00212             fixed_depth_iterator&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00213"></a>00213             fixed_depth_iterator&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00214"></a>00214 
+<a name="l00215"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">00215</a>             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *first_parent_;
+<a name="l00216"></a>00216          <span class="keyword">private</span>:
+<a name="l00217"></a>00217             <span class="keywordtype">void</span> set_first_parent_();
+<a name="l00218"></a>00218             <span class="keywordtype">void</span> find_leftmost_parent_();
+<a name="l00219"></a>00219       };
+<a name="l00220"></a>00220 
+<a name="l00222"></a>00222       <span class="keyword">class </span><a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> {
+<a name="l00223"></a>00223          <span class="keyword">public</span>:
+<a name="l00224"></a>00224             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>();
+<a name="l00225"></a>00225             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00226"></a>00226             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;);
+<a name="l00227"></a>00227             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
+<a name="l00228"></a>00228 
+<a name="l00229"></a>00229             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00230"></a>00230             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00231"></a>00231             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator++();
+<a name="l00232"></a>00232             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator--();
+<a name="l00233"></a>00233             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>   operator++(<span class="keywordtype">int</span>);
+<a name="l00234"></a>00234             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>   operator--(<span class="keywordtype">int</span>);
+<a name="l00235"></a>00235             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00236"></a>00236             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00237"></a>00237 
+<a name="l00238"></a>00238             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *range_first() <span class="keyword">const</span>;
+<a name="l00239"></a>00239             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *range_last() <span class="keyword">const</span>;
+<a name="l00240"></a><a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">00240</a>             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *parent_;
+<a name="l00241"></a>00241          <span class="keyword">private</span>:
+<a name="l00242"></a>00242             <span class="keywordtype">void</span> set_parent_();
+<a name="l00243"></a>00243       };
+<a name="l00244"></a>00244 
+<a name="l00246"></a>00246       <span class="keyword">inline</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>() <span class="keyword">const</span>;
+<a name="l00248"></a>00248       <span class="keyword">inline</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>() <span class="keyword">const</span>;
+<a name="l00250"></a>00250       <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>  <a class="code" href="classtree.html#73c673d39fe46db7ca4e1533841cdbc0" title="Return post-order iterator to the beginning of the tree.">begin_post</a>() <span class="keyword">const</span>;
+<a name="l00252"></a>00252       <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>  <a class="code" href="classtree.html#d339ab550fc2718e84506e91960a177f" title="Return post-order iterator to the end of the tree.">end_post</a>() <span class="keyword">const</span>;
+<a name="l00254"></a>00254       <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a> <a class="code" href="classtree.html#3e7ee34b9582cb6f0bd5b25f501a1057" title="Return fixed-depth iterator to the first node at a given depth.">begin_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
+<a name="l00256"></a>00256       <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a> <a class="code" href="classtree.html#bab26c0edd25cc836ed768e32c034165" title="Return fixed-depth iterator to end of the nodes at given depth.">end_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
+<a name="l00258"></a>00258       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>     <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00260"></a>00260       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>     <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00261"></a>00261 
+<a name="l00263"></a>00263       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(iter) <span class="keyword">const</span>;
+<a name="l00265"></a>00265       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50" title="Return iterator to the previous sibling of a node.">previous_sibling</a>(iter) <span class="keyword">const</span>;
+<a name="l00267"></a>00267       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff" title="Return iterator to the next sibling of a node.">next_sibling</a>(iter) <span class="keyword">const</span>;
+<a name="l00269"></a>00269       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#ce3b299e157ec177230a0144771b2a7e" title="Return iterator to the next node at a given depth.">next_at_same_depth</a>(iter) <span class="keyword">const</span>;
+<a name="l00270"></a>00270 
+<a name="l00272"></a>00272       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">clear</a>();
+<a name="l00274"></a>00274       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>(iter);
+<a name="l00276"></a>00276       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
+<a name="l00277"></a>00277 
+<a name="l00279"></a>00279       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>); 
+<a name="l00281"></a>00281       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00283"></a>00283       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter other_position);
+<a name="l00285"></a>00285       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465" title="Append the nodes in the from-to range (plus their children) as children of position...">append_children</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to);
+<a name="l00286"></a>00286 
+<a name="l00288"></a>00288       <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(<span class="keyword">const</span> T&amp; x);
+<a name="l00290"></a>00290       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00292"></a>00292       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00294"></a>00294       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>);
+<a name="l00296"></a>00296       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e" title="Insert node as next sibling of node pointed to by position.">insert_after</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00297"></a>00297 
+<a name="l00299"></a>00299       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00301"></a>00301       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; from);
+<a name="l00303"></a>00303       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> orig_begin, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> orig_end, 
+<a name="l00304"></a>00304                                <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> new_begin,  <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> new_end); 
+<a name="l00305"></a>00305 
+<a name="l00307"></a>00307       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c" title="Move all children of node at &amp;#39;position&amp;#39; to be siblings, returns position...">flatten</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>);
+<a name="l00309"></a>00309       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">reparent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>);
+<a name="l00311"></a>00311       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">reparent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter from);
+<a name="l00312"></a>00312 
+<a name="l00314"></a>00314       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the next sibling of &amp;#39;target&amp;#39;...">move_after</a>(iter target, iter source);
+<a name="l00316"></a>00316       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the previous sibling of...">move_before</a>(iter target, iter source);
+<a name="l00318"></a>00318       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#a4f8b906b2758eec530e28387b819284" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the node at &amp;#39;target&amp;#39;...">move_ontop</a>(iter target, iter source);
+<a name="l00319"></a>00319 
+<a name="l00321"></a>00321       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1" title="Merge with other tree, creating new branches and leaves only if they are not already...">merge</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, 
+<a name="l00322"></a>00322                      <span class="keywordtype">bool</span> duplicate_leaves=<span class="keyword">false</span>);
+<a name="l00324"></a>00324       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to, <span class="keywordtype">bool</span> deep=<span class="keyword">false</span>);
+<a name="l00325"></a>00325       <span class="keyword">template</span>&lt;<span class="keyword">class</span> StrictWeakOrdering&gt;
+<a name="l00326"></a>00326       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to, StrictWeakOrdering comp, <span class="keywordtype">bool</span> deep=<span class="keyword">false</span>);
+<a name="l00328"></a>00328       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt;
+<a name="l00329"></a>00329       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three) <span class="keyword">const</span>;
+<a name="l00330"></a>00330       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
+<a name="l00331"></a>00331       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three, BinaryPredicate) <span class="keyword">const</span>;
+<a name="l00332"></a>00332       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt;
+<a name="l00333"></a>00333       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">equal_subtree</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two) <span class="keyword">const</span>;
+<a name="l00334"></a>00334       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
+<a name="l00335"></a>00335       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">equal_subtree</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, BinaryPredicate) <span class="keyword">const</span>;
+<a name="l00337"></a>00337       <a class="code" href="classtree.html">tree</a>     <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to) <span class="keyword">const</span>;
+<a name="l00338"></a>00338       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>(<a class="code" href="classtree.html">tree</a>&amp;, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to) <span class="keyword">const</span>;
+<a name="l00340"></a>00340       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#e842f9b70235bc2412b3c43bca759448" title="Exchange the node (plus subtree) with its sibling node (do nothing if no sibling...">swap</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> it);
+<a name="l00341"></a>00341       
+<a name="l00343"></a>00343       <span class="keywordtype">int</span>      <a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">size</a>() <span class="keyword">const</span>;
+<a name="l00345"></a>00345       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2" title="Check if tree is empty.">empty</a>() <span class="keyword">const</span>;
+<a name="l00347"></a>00347       <span class="keywordtype">int</span>      <a class="code" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1" title="Compute the depth to the root.">depth</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00349"></a>00349       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17" title="Number of children of the node pointed to by the iterator.">number_of_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00351"></a>00351       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00353"></a>00353       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#825e2106781e846bdd8732c117dc21db" title="Determine whether node at position is in the subtrees with root in the range.">is_in_subtree</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>, 
+<a name="l00354"></a>00354                              <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>) <span class="keyword">const</span>;
+<a name="l00356"></a>00356       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00357"></a>00357 
+<a name="l00359"></a>00359       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86" title="Determine the index of a node in the range of siblings to which it belongs.">index</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> it) <span class="keyword">const</span>;
+<a name="l00361"></a>00361       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>  <a class="code" href="classtree.html#446c722c82607f8b3243a9153b665d19" title="Inverse of &amp;#39;index&amp;#39;: return the n-th child of the node at position.">child</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
+<a name="l00362"></a>00362       
+<a name="l00364"></a>00364       <span class="keyword">class </span><a class="code" href="classtree_1_1iterator__base__less.html" title="Comparator class for iterators (compares the actual node content, not pointer values)...">iterator_base_less</a> {
+<a name="l00365"></a>00365          <span class="keyword">public</span>:
+<a name="l00366"></a><a class="code" href="classtree_1_1iterator__base__less.html#3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b">00366</a>             <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base</a>&amp; one,
+<a name="l00367"></a>00367                             <span class="keyword">const</span> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base</a>&amp; two)<span class="keyword"> const</span>
+<a name="l00368"></a>00368 <span class="keyword">               </span>{
+<a name="l00369"></a>00369                <span class="keywordflow">return</span> one.node &lt; two.node;
+<a name="l00370"></a>00370                }
+<a name="l00371"></a>00371       };
+<a name="l00372"></a><a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">00372</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>, *<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>;    <span class="comment">// head/feet are always dummy; if an iterator points to them it is invalid</span>
+<a name="l00373"></a>00373    <span class="keyword">private</span>:
+<a name="l00374"></a>00374       tree_node_allocator alloc_;
+<a name="l00375"></a>00375       <span class="keywordtype">void</span> head_initialise_();
+<a name="l00376"></a>00376       <span class="keywordtype">void</span> copy_(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other);
+<a name="l00377"></a>00377 
+<a name="l00379"></a>00379       <span class="keyword">template</span>&lt;<span class="keyword">class</span> StrictWeakOrdering&gt;
+<a name="l00380"></a>00380       <span class="keyword">class </span>compare_nodes {
+<a name="l00381"></a>00381          <span class="keyword">public</span>:
+<a name="l00382"></a>00382             compare_nodes(StrictWeakOrdering comp) : comp_(comp) {};
+<a name="l00383"></a>00383             
+<a name="l00384"></a>00384             <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *a, <span class="keyword">const</span> <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *b) 
+<a name="l00385"></a>00385                {
+<a name="l00386"></a>00386                <span class="keyword">static</span> StrictWeakOrdering comp;
+<a name="l00387"></a>00387                <span class="keywordflow">return</span> comp(a-&gt;data, b-&gt;data);
+<a name="l00388"></a>00388                }
+<a name="l00389"></a>00389          <span class="keyword">private</span>:
+<a name="l00390"></a>00390             StrictWeakOrdering comp_;
+<a name="l00391"></a>00391       };
+<a name="l00392"></a>00392 };
+<a name="l00393"></a>00393 
+<a name="l00394"></a>00394 <span class="comment">//template &lt;class T, class tree_node_allocator&gt;</span>
+<a name="l00395"></a>00395 <span class="comment">//class iterator_base_less {</span>
+<a name="l00396"></a>00396 <span class="comment">// public:</span>
+<a name="l00397"></a>00397 <span class="comment">//    bool operator()(const typename tree&lt;T, tree_node_allocator&gt;::iterator_base&amp; one,</span>
+<a name="l00398"></a>00398 <span class="comment">//                  const typename tree&lt;T, tree_node_allocator&gt;::iterator_base&amp; two) const</span>
+<a name="l00399"></a>00399 <span class="comment">//       {</span>
+<a name="l00400"></a>00400 <span class="comment">//       txtout &lt;&lt; "operatorclass&lt;" &lt;&lt; one.node &lt; two.node &lt;&lt; std::endl;</span>
+<a name="l00401"></a>00401 <span class="comment">//       return one.node &lt; two.node;</span>
+<a name="l00402"></a>00402 <span class="comment">//       }</span>
+<a name="l00403"></a>00403 <span class="comment">//};</span>
+<a name="l00404"></a>00404 
+<a name="l00405"></a>00405 <span class="comment">//template &lt;class T, class tree_node_allocator&gt;</span>
+<a name="l00406"></a>00406 <span class="comment">//bool operator&lt;(const typename tree&lt;T, tree_node_allocator&gt;::iterator&amp; one,</span>
+<a name="l00407"></a>00407 <span class="comment">//             const typename tree&lt;T, tree_node_allocator&gt;::iterator&amp; two)</span>
+<a name="l00408"></a>00408 <span class="comment">// {</span>
+<a name="l00409"></a>00409 <span class="comment">// txtout &lt;&lt; "operator&lt; " &lt;&lt; one.node &lt; two.node &lt;&lt; std::endl;</span>
+<a name="l00410"></a>00410 <span class="comment">// if(one.node &lt; two.node) return true;</span>
+<a name="l00411"></a>00411 <span class="comment">// return false;</span>
+<a name="l00412"></a>00412 <span class="comment">// }</span>
+<a name="l00413"></a>00413 
+<a name="l00414"></a>00414 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00415"></a>00415 <span class="keywordtype">bool</span> operator&gt;(<span class="keyword">const</span> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base</a>&amp; one,
+<a name="l00416"></a>00416                <span class="keyword">const</span> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base</a>&amp; two)
+<a name="l00417"></a>00417    {
+<a name="l00418"></a>00418    <span class="keywordflow">if</span>(one.node &gt; two.node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l00419"></a>00419    <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l00420"></a>00420    }
+<a name="l00421"></a>00421 
+<a name="l00422"></a>00422 
+<a name="l00423"></a>00423 
+<a name="l00424"></a>00424 <span class="comment">// Tree</span>
+<a name="l00425"></a>00425 
+<a name="l00426"></a>00426 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00427"></a>00427 <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>() 
+<a name="l00428"></a>00428    {
+<a name="l00429"></a>00429    head_initialise_();
+<a name="l00430"></a>00430    }
+<a name="l00431"></a>00431 
+<a name="l00432"></a>00432 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00433"></a>00433 <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> T&amp; x) 
+<a name="l00434"></a>00434    {
+<a name="l00435"></a>00435    head_initialise_();
+<a name="l00436"></a>00436    <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(x);
+<a name="l00437"></a>00437    }
+<a name="l00438"></a>00438 
+<a name="l00439"></a>00439 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00440"></a>00440 <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> iterator_base&amp; other)
+<a name="l00441"></a>00441    {
+<a name="l00442"></a>00442    head_initialise_();
+<a name="l00443"></a>00443    <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>((*other));
+<a name="l00444"></a>00444    <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), other);
+<a name="l00445"></a>00445    }
+<a name="l00446"></a>00446 
+<a name="l00447"></a>00447 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00448"></a>00448 <a class="code" href="classtree.html#f0169b515c95f4299fd2d984137b7868">tree&lt;T, tree_node_allocator&gt;::~tree</a>()
+<a name="l00449"></a>00449    {
+<a name="l00450"></a>00450    <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">clear</a>();
+<a name="l00451"></a>00451    alloc_.deallocate(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>,1);
+<a name="l00452"></a>00452    alloc_.deallocate(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>,1);
+<a name="l00453"></a>00453    }
+<a name="l00454"></a>00454 
+<a name="l00455"></a>00455 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00456"></a>00456 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::head_initialise_</a>() 
+<a name="l00457"></a>00457    { 
+<a name="l00458"></a>00458    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a> = alloc_.allocate(1,0); <span class="comment">// MSVC does not have default second argument </span>
+<a name="l00459"></a>00459    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a> = alloc_.allocate(1,0);
+<a name="l00460"></a>00460 
+<a name="l00461"></a>00461    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=0;
+<a name="l00462"></a>00462    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00463"></a>00463    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
+<a name="l00464"></a>00464    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=0; <span class="comment">//head;</span>
+<a name="l00465"></a>00465    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>; <span class="comment">//head;</span>
+<a name="l00466"></a>00466 
+<a name="l00467"></a>00467    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=0;
+<a name="l00468"></a>00468    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00469"></a>00469    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
+<a name="l00470"></a>00470    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>;
+<a name="l00471"></a>00471    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=0;
+<a name="l00472"></a>00472    }
+<a name="l00473"></a>00473 
+<a name="l00474"></a>00474 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00475"></a>00475 <span class="keywordtype">void</span> <a class="code" href="classtree.html#9561c0c73b0605f32bf82a026eaf216a">tree&lt;T, tree_node_allocator&gt;::operator=</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other)
+<a name="l00476"></a>00476    {
+<a name="l00477"></a>00477    copy_(other);
+<a name="l00478"></a>00478    }
+<a name="l00479"></a>00479 
+<a name="l00480"></a>00480 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00481"></a>00481 <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other)
+<a name="l00482"></a>00482    {
+<a name="l00483"></a>00483    head_initialise_();
+<a name="l00484"></a>00484    copy_(other);
+<a name="l00485"></a>00485    }
+<a name="l00486"></a>00486 
+<a name="l00487"></a>00487 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00488"></a>00488 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::copy_</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other) 
+<a name="l00489"></a>00489    {
+<a name="l00490"></a>00490    <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">clear</a>();
+<a name="l00491"></a>00491    pre_order_iterator it=other.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), to=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00492"></a>00492    <span class="keywordflow">while</span>(it!=other.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>()) {
+<a name="l00493"></a>00493       to=<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(to, (*it));
+<a name="l00494"></a>00494       it.skip_children();
+<a name="l00495"></a>00495       ++it;
+<a name="l00496"></a>00496       }
+<a name="l00497"></a>00497    to=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00498"></a>00498    it=other.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00499"></a>00499    <span class="keywordflow">while</span>(it!=other.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>()) {
+<a name="l00500"></a>00500       to=<a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(to, it);
+<a name="l00501"></a>00501       to.skip_children();
+<a name="l00502"></a>00502       it.skip_children();
+<a name="l00503"></a>00503       ++to;
+<a name="l00504"></a>00504       ++it;
+<a name="l00505"></a>00505       }
+<a name="l00506"></a>00506    }
+<a name="l00507"></a>00507 
+<a name="l00508"></a>00508 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00509"></a>00509 <span class="keywordtype">void</span> <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">tree&lt;T, tree_node_allocator&gt;::clear</a>()
+<a name="l00510"></a>00510    {
+<a name="l00511"></a>00511    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>)
+<a name="l00512"></a>00512       <span class="keywordflow">while</span>(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>)
+<a name="l00513"></a>00513          <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>(pre_order_iterator(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>));
+<a name="l00514"></a>00514    }
+<a name="l00515"></a>00515 
+<a name="l00516"></a>00516 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt; 
+<a name="l00517"></a>00517 <span class="keywordtype">void</span> <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">tree&lt;T, tree_node_allocator&gt;::erase_children</a>(<span class="keyword">const</span> iterator_base&amp; it)
+<a name="l00518"></a>00518    {
+<a name="l00519"></a>00519    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *cur=it.node-&gt;first_child;
+<a name="l00520"></a>00520    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *prev=0;
+<a name="l00521"></a>00521 
+<a name="l00522"></a>00522    <span class="keywordflow">while</span>(cur!=0) {
+<a name="l00523"></a>00523       prev=cur;
+<a name="l00524"></a>00524       cur=cur-&gt;next_sibling;
+<a name="l00525"></a>00525       <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(pre_order_iterator(prev));
+<a name="l00526"></a>00526       <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;prev-&gt;data);
+<a name="l00527"></a>00527       alloc_.deallocate(prev,1);
+<a name="l00528"></a>00528       }
+<a name="l00529"></a>00529    it.node-&gt;first_child=0;
+<a name="l00530"></a>00530    it.node-&gt;last_child=0;
+<a name="l00531"></a>00531    }
+<a name="l00532"></a>00532 
+<a name="l00533"></a>00533 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt; 
+<a name="l00534"></a>00534 <span class="keyword">template</span>&lt;<span class="keyword">class</span> iter&gt;
+<a name="l00535"></a>00535 iter <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">tree&lt;T, tree_node_allocator&gt;::erase</a>(iter it)
+<a name="l00536"></a>00536    {
+<a name="l00537"></a>00537    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *cur=it.node;
+<a name="l00538"></a>00538    assert(cur!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
+<a name="l00539"></a>00539    iter ret=it;
+<a name="l00540"></a>00540    ret.skip_children();
+<a name="l00541"></a>00541    ++ret;
+<a name="l00542"></a>00542    <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(it);
+<a name="l00543"></a>00543    <span class="keywordflow">if</span>(cur-&gt;prev_sibling==0) {
+<a name="l00544"></a>00544       cur-&gt;parent-&gt;first_child=cur-&gt;next_sibling;
+<a name="l00545"></a>00545       }
+<a name="l00546"></a>00546    <span class="keywordflow">else</span> {
+<a name="l00547"></a>00547       cur-&gt;prev_sibling-&gt;next_sibling=cur-&gt;next_sibling;
+<a name="l00548"></a>00548       }
+<a name="l00549"></a>00549    <span class="keywordflow">if</span>(cur-&gt;next_sibling==0) {
+<a name="l00550"></a>00550       cur-&gt;parent-&gt;last_child=cur-&gt;prev_sibling;
+<a name="l00551"></a>00551       }
+<a name="l00552"></a>00552    <span class="keywordflow">else</span> {
+<a name="l00553"></a>00553       cur-&gt;next_sibling-&gt;prev_sibling=cur-&gt;prev_sibling;
+<a name="l00554"></a>00554       }
+<a name="l00555"></a>00555 
+<a name="l00556"></a>00556    <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;cur-&gt;data);
+<a name="l00557"></a>00557    alloc_.deallocate(cur,1);
+<a name="l00558"></a>00558    <span class="keywordflow">return</span> ret;
+<a name="l00559"></a>00559    }
+<a name="l00560"></a>00560 
+<a name="l00561"></a>00561 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00562"></a>00562 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">tree&lt;T, tree_node_allocator&gt;::begin</a>()<span class="keyword"> const</span>
+<a name="l00563"></a>00563 <span class="keyword">   </span>{
+<a name="l00564"></a>00564    <span class="keywordflow">return</span> pre_order_iterator(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>);
+<a name="l00565"></a>00565    }
+<a name="l00566"></a>00566 
+<a name="l00567"></a>00567 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00568"></a>00568 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">tree&lt;T, tree_node_allocator&gt;::end</a>()<span class="keyword"> const</span>
+<a name="l00569"></a>00569 <span class="keyword">   </span>{
+<a name="l00570"></a>00570    <span class="keywordflow">return</span> pre_order_iterator(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>);
+<a name="l00571"></a>00571    }
+<a name="l00572"></a>00572 
+<a name="l00573"></a>00573 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00574"></a>00574 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html#73c673d39fe46db7ca4e1533841cdbc0" title="Return post-order iterator to the beginning of the tree.">tree&lt;T, tree_node_allocator&gt;::begin_post</a>()<span class="keyword"> const</span>
+<a name="l00575"></a>00575 <span class="keyword">   </span>{
+<a name="l00576"></a>00576    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l00577"></a>00577    <span class="keywordflow">if</span>(tmp!=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>) {
+<a name="l00578"></a>00578       <span class="keywordflow">while</span>(tmp-&gt;first_child)
+<a name="l00579"></a>00579          tmp=tmp-&gt;first_child;
+<a name="l00580"></a>00580       }
+<a name="l00581"></a>00581    <span class="keywordflow">return</span> post_order_iterator(tmp);
+<a name="l00582"></a>00582    }
+<a name="l00583"></a>00583 
+<a name="l00584"></a>00584 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00585"></a>00585 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html#d339ab550fc2718e84506e91960a177f" title="Return post-order iterator to the end of the tree.">tree&lt;T, tree_node_allocator&gt;::end_post</a>()<span class="keyword"> const</span>
+<a name="l00586"></a>00586 <span class="keyword">   </span>{
+<a name="l00587"></a>00587    <span class="keywordflow">return</span> post_order_iterator(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>);
+<a name="l00588"></a>00588    }
+<a name="l00589"></a>00589 
+<a name="l00590"></a>00590 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00591"></a>00591 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html#3e7ee34b9582cb6f0bd5b25f501a1057" title="Return fixed-depth iterator to the first node at a given depth.">tree&lt;T, tree_node_allocator&gt;::begin_fixed</a>(<span class="keyword">const</span> iterator_base&amp; pos, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> dp)<span class="keyword"> const</span>
+<a name="l00592"></a>00592 <span class="keyword">   </span>{
+<a name="l00593"></a>00593    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=pos.node;
+<a name="l00594"></a>00594    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> curdepth=0;
+<a name="l00595"></a>00595    <span class="keywordflow">while</span>(curdepth&lt;dp) { <span class="comment">// go down one level</span>
+<a name="l00596"></a>00596       <span class="keywordflow">while</span>(tmp-&gt;first_child==0) {
+<a name="l00597"></a>00597          tmp=tmp-&gt;next_sibling;
+<a name="l00598"></a>00598          <span class="keywordflow">if</span>(tmp==0)
+<a name="l00599"></a>00599             <span class="keywordflow">throw</span> std::range_error(<span class="stringliteral">"tree: begin_fixed out of range"</span>);
+<a name="l00600"></a>00600          }
+<a name="l00601"></a>00601       tmp=tmp-&gt;first_child;
+<a name="l00602"></a>00602       ++curdepth;
+<a name="l00603"></a>00603       }
+<a name="l00604"></a>00604    <span class="keywordflow">return</span> tmp;
+<a name="l00605"></a>00605    }
+<a name="l00606"></a>00606 
+<a name="l00607"></a>00607 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00608"></a>00608 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html#bab26c0edd25cc836ed768e32c034165" title="Return fixed-depth iterator to end of the nodes at given depth.">tree&lt;T, tree_node_allocator&gt;::end_fixed</a>(<span class="keyword">const</span> iterator_base&amp; pos, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> dp)<span class="keyword"> const</span>
+<a name="l00609"></a>00609 <span class="keyword">   </span>{
+<a name="l00610"></a>00610    assert(1==0); <span class="comment">// FIXME: not correct yet</span>
+<a name="l00611"></a>00611    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=pos.node;
+<a name="l00612"></a>00612    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> curdepth=1;
+<a name="l00613"></a>00613    <span class="keywordflow">while</span>(curdepth&lt;dp) { <span class="comment">// go down one level</span>
+<a name="l00614"></a>00614       <span class="keywordflow">while</span>(tmp-&gt;first_child==0) {
+<a name="l00615"></a>00615          tmp=tmp-&gt;next_sibling;
+<a name="l00616"></a>00616          <span class="keywordflow">if</span>(tmp==0)
+<a name="l00617"></a>00617             <span class="keywordflow">throw</span> std::range_error(<span class="stringliteral">"tree: end_fixed out of range"</span>);
+<a name="l00618"></a>00618          }
+<a name="l00619"></a>00619       tmp=tmp-&gt;first_child;
+<a name="l00620"></a>00620       ++curdepth;
+<a name="l00621"></a>00621       }
+<a name="l00622"></a>00622    <span class="keywordflow">return</span> tmp;
+<a name="l00623"></a>00623    }
+<a name="l00624"></a>00624 
+<a name="l00625"></a>00625 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00626"></a>00626 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">tree&lt;T, tree_node_allocator&gt;::begin</a>(<span class="keyword">const</span> iterator_base&amp; pos)<span class="keyword"> const</span>
+<a name="l00627"></a>00627 <span class="keyword">   </span>{
+<a name="l00628"></a>00628    <span class="keywordflow">if</span>(pos.node-&gt;first_child==0) {
+<a name="l00629"></a>00629       <span class="keywordflow">return</span> <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(pos);
+<a name="l00630"></a>00630       }
+<a name="l00631"></a>00631    <span class="keywordflow">return</span> pos.node-&gt;first_child;
+<a name="l00632"></a>00632    }
+<a name="l00633"></a>00633 
+<a name="l00634"></a>00634 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00635"></a>00635 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">tree&lt;T, tree_node_allocator&gt;::end</a>(<span class="keyword">const</span> iterator_base&amp; pos)<span class="keyword"> const</span>
+<a name="l00636"></a>00636 <span class="keyword">   </span>{
+<a name="l00637"></a>00637    sibling_iterator ret(0);
+<a name="l00638"></a>00638    ret.parent_=pos.node;
+<a name="l00639"></a>00639    <span class="keywordflow">return</span> ret;
+<a name="l00640"></a>00640    }
+<a name="l00641"></a>00641 
+<a name="l00642"></a>00642 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00643"></a>00643 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
+<a name="l00644"></a>00644 iter <a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">tree&lt;T, tree_node_allocator&gt;::parent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
+<a name="l00645"></a>00645 <span class="keyword">   </span>{
+<a name="l00646"></a>00646    assert(position.node!=0);
+<a name="l00647"></a>00647    <span class="keywordflow">return</span> iter(position.node-&gt;parent);
+<a name="l00648"></a>00648    }
+<a name="l00649"></a>00649 
+<a name="l00650"></a>00650 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00651"></a>00651 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
+<a name="l00652"></a>00652 iter <a class="code" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50" title="Return iterator to the previous sibling of a node.">tree&lt;T, tree_node_allocator&gt;::previous_sibling</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
+<a name="l00653"></a>00653 <span class="keyword">   </span>{
+<a name="l00654"></a>00654    assert(position.node!=0);
+<a name="l00655"></a>00655    iter ret(position);
+<a name="l00656"></a>00656    ret.node=position.node-&gt;prev_sibling;
+<a name="l00657"></a>00657    <span class="keywordflow">return</span> ret;
+<a name="l00658"></a>00658    }
+<a name="l00659"></a>00659 
+<a name="l00660"></a>00660 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00661"></a>00661 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
+<a name="l00662"></a>00662 iter <a class="code" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff" title="Return iterator to the next sibling of a node.">tree&lt;T, tree_node_allocator&gt;::next_sibling</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
+<a name="l00663"></a>00663 <span class="keyword">   </span>{
+<a name="l00664"></a>00664    assert(position.node!=0);
+<a name="l00665"></a>00665    iter ret(position);
+<a name="l00666"></a>00666    ret.node=position.node-&gt;next_sibling;
+<a name="l00667"></a>00667    <span class="keywordflow">return</span> ret;
+<a name="l00668"></a>00668    }
+<a name="l00669"></a>00669 
+<a name="l00670"></a>00670 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00671"></a>00671 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
+<a name="l00672"></a>00672 iter <a class="code" href="classtree.html#ce3b299e157ec177230a0144771b2a7e" title="Return iterator to the next node at a given depth.">tree&lt;T, tree_node_allocator&gt;::next_at_same_depth</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
+<a name="l00673"></a>00673 <span class="keyword">   </span>{
+<a name="l00674"></a>00674    assert(position.node!=0);
+<a name="l00675"></a>00675    iter ret(position);
+<a name="l00676"></a>00676 
+<a name="l00677"></a>00677    <span class="keywordflow">if</span>(position.node-&gt;next_sibling) {
+<a name="l00678"></a>00678       ret.node=position.node-&gt;next_sibling;
+<a name="l00679"></a>00679       }
+<a name="l00680"></a>00680    <span class="keywordflow">else</span> { 
+<a name="l00681"></a>00681       <span class="keywordtype">int</span> relative_depth=0;
+<a name="l00682"></a>00682       upper:
+<a name="l00683"></a>00683       <span class="keywordflow">do</span> {
+<a name="l00684"></a>00684          ret.node=ret.node-&gt;parent;
+<a name="l00685"></a>00685          <span class="keywordflow">if</span>(ret.node==0) <span class="keywordflow">return</span> ret;
+<a name="l00686"></a>00686          --relative_depth;
+<a name="l00687"></a>00687          } <span class="keywordflow">while</span>(ret.node-&gt;next_sibling==0);
+<a name="l00688"></a>00688       lower:
+<a name="l00689"></a>00689       ret.node=ret.node-&gt;next_sibling;
+<a name="l00690"></a>00690       <span class="keywordflow">while</span>(ret.node-&gt;first_child==0) {
+<a name="l00691"></a>00691          <span class="keywordflow">if</span>(ret.node-&gt;next_sibling==0)
+<a name="l00692"></a>00692             <span class="keywordflow">goto</span> upper;
+<a name="l00693"></a>00693          ret.node=ret.node-&gt;next_sibling;
+<a name="l00694"></a>00694          <span class="keywordflow">if</span>(ret.node==0) <span class="keywordflow">return</span> ret;
+<a name="l00695"></a>00695          }
+<a name="l00696"></a>00696       <span class="keywordflow">while</span>(relative_depth&lt;0 &amp;&amp; ret.node-&gt;first_child!=0) {
+<a name="l00697"></a>00697          ret.node=ret.node-&gt;first_child;
+<a name="l00698"></a>00698          ++relative_depth;
+<a name="l00699"></a>00699          }
+<a name="l00700"></a>00700       <span class="keywordflow">if</span>(relative_depth&lt;0) {
+<a name="l00701"></a>00701          <span class="keywordflow">if</span>(ret.node-&gt;next_sibling==0) <span class="keywordflow">goto</span> upper;
+<a name="l00702"></a>00702          <span class="keywordflow">else</span>                          <span class="keywordflow">goto</span> lower;
+<a name="l00703"></a>00703          }
+<a name="l00704"></a>00704       }
+<a name="l00705"></a>00705    <span class="keywordflow">return</span> ret;
+<a name="l00706"></a>00706    }
+<a name="l00707"></a>00707 
+<a name="l00708"></a>00708 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00709"></a>00709 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
+<a name="l00710"></a>00710 iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter position)
+<a name="l00711"></a>00711    {
+<a name="l00712"></a>00712    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
+<a name="l00713"></a>00713 
+<a name="l00714"></a>00714    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00715"></a>00715    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data);
+<a name="l00716"></a>00716    tmp-&gt;first_child=0;
+<a name="l00717"></a>00717    tmp-&gt;last_child=0;
+<a name="l00718"></a>00718 
+<a name="l00719"></a>00719    tmp-&gt;parent=position.node;
+<a name="l00720"></a>00720    <span class="keywordflow">if</span>(position.node-&gt;last_child!=0) {
+<a name="l00721"></a>00721       position.node-&gt;last_child-&gt;next_sibling=tmp;
+<a name="l00722"></a>00722       }
+<a name="l00723"></a>00723    <span class="keywordflow">else</span> {
+<a name="l00724"></a>00724       position.node-&gt;first_child=tmp;
+<a name="l00725"></a>00725       }
+<a name="l00726"></a>00726    tmp-&gt;prev_sibling=position.node-&gt;last_child;
+<a name="l00727"></a>00727    position.node-&gt;last_child=tmp;
+<a name="l00728"></a>00728    tmp-&gt;next_sibling=0;
+<a name="l00729"></a>00729    <span class="keywordflow">return</span> tmp;
+<a name="l00730"></a>00730    }
+<a name="l00731"></a>00731 
+<a name="l00732"></a>00732 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00733"></a>00733 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
+<a name="l00734"></a>00734 iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter position, <span class="keyword">const</span> T&amp; x)
+<a name="l00735"></a>00735    {
+<a name="l00736"></a>00736    <span class="comment">// If your program fails here you probably used 'append_child' to add the top</span>
+<a name="l00737"></a>00737    <span class="comment">// node to an empty tree. From version 1.45 the top element should be added</span>
+<a name="l00738"></a>00738    <span class="comment">// using 'insert'. See the documentation for further information, and sorry about</span>
+<a name="l00739"></a>00739    <span class="comment">// the API change.</span>
+<a name="l00740"></a>00740    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
+<a name="l00741"></a>00741 
+<a name="l00742"></a>00742    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00743"></a>00743    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data, x);
+<a name="l00744"></a>00744    tmp-&gt;first_child=0;
+<a name="l00745"></a>00745    tmp-&gt;last_child=0;
+<a name="l00746"></a>00746 
+<a name="l00747"></a>00747    tmp-&gt;parent=position.node;
+<a name="l00748"></a>00748    <span class="keywordflow">if</span>(position.node-&gt;last_child!=0) {
+<a name="l00749"></a>00749       position.node-&gt;last_child-&gt;next_sibling=tmp;
+<a name="l00750"></a>00750       }
+<a name="l00751"></a>00751    <span class="keywordflow">else</span> {
+<a name="l00752"></a>00752       position.node-&gt;first_child=tmp;
+<a name="l00753"></a>00753       }
+<a name="l00754"></a>00754    tmp-&gt;prev_sibling=position.node-&gt;last_child;
+<a name="l00755"></a>00755    position.node-&gt;last_child=tmp;
+<a name="l00756"></a>00756    tmp-&gt;next_sibling=0;
+<a name="l00757"></a>00757    <span class="keywordflow">return</span> tmp;
+<a name="l00758"></a>00758    }
+<a name="l00759"></a>00759 
+<a name="l00760"></a>00760 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00761"></a>00761 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
+<a name="l00762"></a>00762 iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter position, iter other)
+<a name="l00763"></a>00763    {
+<a name="l00764"></a>00764    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
+<a name="l00765"></a>00765 
+<a name="l00766"></a>00766    sibling_iterator aargh=<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(position, <a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
+<a name="l00767"></a>00767    <span class="keywordflow">return</span> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(aargh, other);
+<a name="l00768"></a>00768    }
+<a name="l00769"></a>00769 
+<a name="l00770"></a>00770 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00771"></a>00771 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
+<a name="l00772"></a>00772 iter <a class="code" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465" title="Append the nodes in the from-to range (plus their children) as children of position...">tree&lt;T, tree_node_allocator&gt;::append_children</a>(iter position, sibling_iterator from, sibling_iterator to)
+<a name="l00773"></a>00773    {
+<a name="l00774"></a>00774    iter ret=from;
+<a name="l00775"></a>00775 
+<a name="l00776"></a>00776    <span class="keywordflow">while</span>(from!=to) {
+<a name="l00777"></a>00777       <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(position.end(), from);
+<a name="l00778"></a>00778       ++from;
+<a name="l00779"></a>00779       }
+<a name="l00780"></a>00780    <span class="keywordflow">return</span> ret;
+<a name="l00781"></a>00781    }
+<a name="l00782"></a>00782 
+<a name="l00783"></a>00783 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00784"></a>00784 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">tree&lt;T, tree_node_allocator&gt;::set_head</a>(<span class="keyword">const</span> T&amp; x)
+<a name="l00785"></a>00785    {
+<a name="l00786"></a>00786    assert(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>==<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>);
+<a name="l00787"></a>00787    <span class="keywordflow">return</span> <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(<a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e" title="The default iterator type throughout the tree class.">iterator</a>(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>), x);
+<a name="l00788"></a>00788    }
+<a name="l00789"></a>00789 
+<a name="l00790"></a>00790 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00791"></a>00791 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
+<a name="l00792"></a>00792 iter <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::insert</a>(iter position, <span class="keyword">const</span> T&amp; x)
+<a name="l00793"></a>00793    {
+<a name="l00794"></a>00794    <span class="keywordflow">if</span>(position.node==0) {
+<a name="l00795"></a>00795       position.node=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>; <span class="comment">// Backward compatibility: when calling insert on a null node,</span>
+<a name="l00796"></a>00796                           <span class="comment">// insert before the feet.</span>
+<a name="l00797"></a>00797       }
+<a name="l00798"></a>00798    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00799"></a>00799    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data, x);
+<a name="l00800"></a>00800    tmp-&gt;first_child=0;
+<a name="l00801"></a>00801    tmp-&gt;last_child=0;
+<a name="l00802"></a>00802 
+<a name="l00803"></a>00803    tmp-&gt;parent=position.node-&gt;parent;
+<a name="l00804"></a>00804    tmp-&gt;next_sibling=position.node;
+<a name="l00805"></a>00805    tmp-&gt;prev_sibling=position.node-&gt;prev_sibling;
+<a name="l00806"></a>00806    position.node-&gt;prev_sibling=tmp;
+<a name="l00807"></a>00807 
+<a name="l00808"></a>00808    <span class="keywordflow">if</span>(tmp-&gt;prev_sibling==0) {
+<a name="l00809"></a>00809       <span class="keywordflow">if</span>(tmp-&gt;parent) <span class="comment">// when inserting nodes at the head, there is no parent</span>
+<a name="l00810"></a>00810          tmp-&gt;parent-&gt;first_child=tmp;
+<a name="l00811"></a>00811       }
+<a name="l00812"></a>00812    <span class="keywordflow">else</span>
+<a name="l00813"></a>00813       tmp-&gt;prev_sibling-&gt;next_sibling=tmp;
+<a name="l00814"></a>00814    <span class="keywordflow">return</span> tmp;
+<a name="l00815"></a>00815    }
+<a name="l00816"></a>00816 
+<a name="l00817"></a>00817 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00818"></a>00818 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::insert</a>(sibling_iterator position, <span class="keyword">const</span> T&amp; x)
+<a name="l00819"></a>00819    {
+<a name="l00820"></a>00820    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00821"></a>00821    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data, x);
+<a name="l00822"></a>00822    tmp-&gt;first_child=0;
+<a name="l00823"></a>00823    tmp-&gt;last_child=0;
+<a name="l00824"></a>00824 
+<a name="l00825"></a>00825    tmp-&gt;next_sibling=position.node;
+<a name="l00826"></a>00826    <span class="keywordflow">if</span>(position.node==0) { <span class="comment">// iterator points to end of a subtree</span>
+<a name="l00827"></a>00827       tmp-&gt;parent=position.parent_;
+<a name="l00828"></a>00828       tmp-&gt;prev_sibling=position.range_last();
+<a name="l00829"></a>00829       tmp-&gt;parent-&gt;last_child=tmp;
+<a name="l00830"></a>00830       }
+<a name="l00831"></a>00831    <span class="keywordflow">else</span> {
+<a name="l00832"></a>00832       tmp-&gt;parent=position.node-&gt;parent;
+<a name="l00833"></a>00833       tmp-&gt;prev_sibling=position.node-&gt;prev_sibling;
+<a name="l00834"></a>00834       position.node-&gt;prev_sibling=tmp;
+<a name="l00835"></a>00835       }
+<a name="l00836"></a>00836 
+<a name="l00837"></a>00837    <span class="keywordflow">if</span>(tmp-&gt;prev_sibling==0) {
+<a name="l00838"></a>00838       <span class="keywordflow">if</span>(tmp-&gt;parent) <span class="comment">// when inserting nodes at the head, there is no parent</span>
+<a name="l00839"></a>00839          tmp-&gt;parent-&gt;first_child=tmp;
+<a name="l00840"></a>00840       }
+<a name="l00841"></a>00841    <span class="keywordflow">else</span>
+<a name="l00842"></a>00842       tmp-&gt;prev_sibling-&gt;next_sibling=tmp;
+<a name="l00843"></a>00843    <span class="keywordflow">return</span> tmp;
+<a name="l00844"></a>00844    }
+<a name="l00845"></a>00845 
+<a name="l00846"></a>00846 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00847"></a>00847 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
+<a name="l00848"></a>00848 iter <a class="code" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e" title="Insert node as next sibling of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::insert_after</a>(iter position, <span class="keyword">const</span> T&amp; x)
+<a name="l00849"></a>00849    {
+<a name="l00850"></a>00850    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00851"></a>00851    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data, x);
+<a name="l00852"></a>00852    tmp-&gt;first_child=0;
+<a name="l00853"></a>00853    tmp-&gt;last_child=0;
+<a name="l00854"></a>00854 
+<a name="l00855"></a>00855    tmp-&gt;parent=position.node-&gt;parent;
+<a name="l00856"></a>00856    tmp-&gt;prev_sibling=position.node;
+<a name="l00857"></a>00857    tmp-&gt;next_sibling=position.node-&gt;next_sibling;
+<a name="l00858"></a>00858    position.node-&gt;next_sibling=tmp;
+<a name="l00859"></a>00859 
+<a name="l00860"></a>00860    <span class="keywordflow">if</span>(tmp-&gt;next_sibling==0) {
+<a name="l00861"></a>00861       <span class="keywordflow">if</span>(tmp-&gt;parent) <span class="comment">// when inserting nodes at the head, there is no parent</span>
+<a name="l00862"></a>00862          tmp-&gt;parent-&gt;last_child=tmp;
+<a name="l00863"></a>00863       }
+<a name="l00864"></a>00864    <span class="keywordflow">else</span> {
+<a name="l00865"></a>00865       tmp-&gt;next_sibling-&gt;prev_sibling=tmp;
+<a name="l00866"></a>00866       }
+<a name="l00867"></a>00867    <span class="keywordflow">return</span> tmp;
+<a name="l00868"></a>00868    }
+<a name="l00869"></a>00869 
+<a name="l00870"></a>00870 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00871"></a>00871 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
+<a name="l00872"></a>00872 iter <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">tree&lt;T, tree_node_allocator&gt;::insert_subtree</a>(iter position, <span class="keyword">const</span> iterator_base&amp; <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>)
+<a name="l00873"></a>00873    {
+<a name="l00874"></a>00874    <span class="comment">// insert dummy</span>
+<a name="l00875"></a>00875    iter it=<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(position, <a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
+<a name="l00876"></a>00876    <span class="comment">// replace dummy with subtree</span>
+<a name="l00877"></a>00877    <span class="keywordflow">return</span> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(it, subtree);
+<a name="l00878"></a>00878    }
+<a name="l00879"></a>00879 
+<a name="l00880"></a>00880 <span class="comment">// template &lt;class T, class tree_node_allocator&gt;</span>
+<a name="l00881"></a>00881 <span class="comment">// template &lt;class iter&gt;</span>
+<a name="l00882"></a>00882 <span class="comment">// iter tree&lt;T, tree_node_allocator&gt;::insert_subtree(sibling_iterator position, iter subtree)</span>
+<a name="l00883"></a>00883 <span class="comment">//    {</span>
+<a name="l00884"></a>00884 <span class="comment">//    // insert dummy</span>
+<a name="l00885"></a>00885 <span class="comment">//    iter it(insert(position, value_type()));</span>
+<a name="l00886"></a>00886 <span class="comment">//    // replace dummy with subtree</span>
+<a name="l00887"></a>00887 <span class="comment">//    return replace(it, subtree);</span>
+<a name="l00888"></a>00888 <span class="comment">//    }</span>
+<a name="l00889"></a>00889 
+<a name="l00890"></a>00890 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00891"></a>00891 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
+<a name="l00892"></a>00892 iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::replace</a>(iter position, <span class="keyword">const</span> T&amp; x)
+<a name="l00893"></a>00893    {
+<a name="l00894"></a>00894    <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;position.node-&gt;data);
+<a name="l00895"></a>00895    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;position.node-&gt;data, x);
+<a name="l00896"></a>00896    <span class="keywordflow">return</span> position;
+<a name="l00897"></a>00897    }
+<a name="l00898"></a>00898 
+<a name="l00899"></a>00899 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00900"></a>00900 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
+<a name="l00901"></a>00901 iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::replace</a>(iter position, <span class="keyword">const</span> iterator_base&amp; from)
+<a name="l00902"></a>00902    {
+<a name="l00903"></a>00903    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
+<a name="l00904"></a>00904    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *current_from=from.node;
+<a name="l00905"></a>00905    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *start_from=from.node;
+<a name="l00906"></a>00906    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *current_to  =position.node;
+<a name="l00907"></a>00907 
+<a name="l00908"></a>00908    <span class="comment">// replace the node at position with head of the replacement tree at from</span>
+<a name="l00909"></a>00909    <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(position);  
+<a name="l00910"></a>00910    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00911"></a>00911    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;data, (*from));
+<a name="l00912"></a>00912    tmp-&gt;first_child=0;
+<a name="l00913"></a>00913    tmp-&gt;last_child=0;
+<a name="l00914"></a>00914    <span class="keywordflow">if</span>(current_to-&gt;prev_sibling==0) {
+<a name="l00915"></a>00915       current_to-&gt;parent-&gt;first_child=tmp;
+<a name="l00916"></a>00916       }
+<a name="l00917"></a>00917    <span class="keywordflow">else</span> {
+<a name="l00918"></a>00918       current_to-&gt;prev_sibling-&gt;next_sibling=tmp;
+<a name="l00919"></a>00919       }
+<a name="l00920"></a>00920    tmp-&gt;prev_sibling=current_to-&gt;prev_sibling;
+<a name="l00921"></a>00921    <span class="keywordflow">if</span>(current_to-&gt;next_sibling==0) {
+<a name="l00922"></a>00922       current_to-&gt;parent-&gt;last_child=tmp;
+<a name="l00923"></a>00923       }
+<a name="l00924"></a>00924    <span class="keywordflow">else</span> {
+<a name="l00925"></a>00925       current_to-&gt;next_sibling-&gt;prev_sibling=tmp;
+<a name="l00926"></a>00926       }
+<a name="l00927"></a>00927    tmp-&gt;next_sibling=current_to-&gt;next_sibling;
+<a name="l00928"></a>00928    tmp-&gt;parent=current_to-&gt;parent;
+<a name="l00929"></a>00929    <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;current_to-&gt;data);
+<a name="l00930"></a>00930    alloc_.deallocate(current_to,1);
+<a name="l00931"></a>00931    current_to=tmp;
+<a name="l00932"></a>00932    
+<a name="l00933"></a>00933    <span class="comment">// only at this stage can we fix 'last'</span>
+<a name="l00934"></a>00934    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *last=from.node-&gt;next_sibling;
+<a name="l00935"></a>00935 
+<a name="l00936"></a>00936    pre_order_iterator toit=tmp;
+<a name="l00937"></a>00937    <span class="comment">// copy all children</span>
+<a name="l00938"></a>00938    <span class="keywordflow">do</span> {
+<a name="l00939"></a>00939       assert(current_from!=0);
+<a name="l00940"></a>00940       <span class="keywordflow">if</span>(current_from-&gt;first_child != 0) {
+<a name="l00941"></a>00941          current_from=current_from-&gt;first_child;
+<a name="l00942"></a>00942          toit=<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(toit, current_from-&gt;data);
+<a name="l00943"></a>00943          }
+<a name="l00944"></a>00944       <span class="keywordflow">else</span> {
+<a name="l00945"></a>00945          <span class="keywordflow">while</span>(current_from-&gt;next_sibling==0 &amp;&amp; current_from!=start_from) {
+<a name="l00946"></a>00946             current_from=current_from-&gt;parent;
+<a name="l00947"></a>00947             toit=<a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(toit);
+<a name="l00948"></a>00948             assert(current_from!=0);
+<a name="l00949"></a>00949             }
+<a name="l00950"></a>00950          current_from=current_from-&gt;next_sibling;
+<a name="l00951"></a>00951          <span class="keywordflow">if</span>(current_from!=last) {
+<a name="l00952"></a>00952             toit=<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(<a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(toit), current_from-&gt;data);
+<a name="l00953"></a>00953             }
+<a name="l00954"></a>00954          }
+<a name="l00955"></a>00955       } <span class="keywordflow">while</span>(current_from!=last);
+<a name="l00956"></a>00956 
+<a name="l00957"></a>00957    <span class="keywordflow">return</span> current_to;
+<a name="l00958"></a>00958    }
+<a name="l00959"></a>00959 
+<a name="l00960"></a>00960 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l00961"></a>00961 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::replace</a>(
+<a name="l00962"></a>00962    sibling_iterator orig_begin, 
+<a name="l00963"></a>00963    sibling_iterator orig_end, 
+<a name="l00964"></a>00964    sibling_iterator new_begin, 
+<a name="l00965"></a>00965    sibling_iterator new_end)
+<a name="l00966"></a>00966    {
+<a name="l00967"></a>00967    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *orig_first=orig_begin.node;
+<a name="l00968"></a>00968    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *new_first=new_begin.node;
+<a name="l00969"></a>00969    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *orig_last=orig_first;
+<a name="l00970"></a>00970    <span class="keywordflow">while</span>((++orig_begin)!=orig_end)
+<a name="l00971"></a>00971       orig_last=orig_last-&gt;next_sibling;
+<a name="l00972"></a>00972    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *new_last=new_first;
+<a name="l00973"></a>00973    <span class="keywordflow">while</span>((++new_begin)!=new_end)
+<a name="l00974"></a>00974       new_last=new_last-&gt;next_sibling;
+<a name="l00975"></a>00975 
+<a name="l00976"></a>00976    <span class="comment">// insert all siblings in new_first..new_last before orig_first</span>
+<a name="l00977"></a>00977    <span class="keywordtype">bool</span> first=<span class="keyword">true</span>;
+<a name="l00978"></a>00978    pre_order_iterator ret;
+<a name="l00979"></a>00979    <span class="keywordflow">while</span>(1==1) {
+<a name="l00980"></a>00980       pre_order_iterator tt=<a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(pre_order_iterator(orig_first), pre_order_iterator(new_first));
+<a name="l00981"></a>00981       <span class="keywordflow">if</span>(first) {
+<a name="l00982"></a>00982          ret=tt;
+<a name="l00983"></a>00983          first=<span class="keyword">false</span>;
+<a name="l00984"></a>00984          }
+<a name="l00985"></a>00985       <span class="keywordflow">if</span>(new_first==new_last)
+<a name="l00986"></a>00986          <span class="keywordflow">break</span>;
+<a name="l00987"></a>00987       new_first=new_first-&gt;next_sibling;
+<a name="l00988"></a>00988       }
+<a name="l00989"></a>00989 
+<a name="l00990"></a>00990    <span class="comment">// erase old range of siblings</span>
+<a name="l00991"></a>00991    <span class="keywordtype">bool</span> last=<span class="keyword">false</span>;
+<a name="l00992"></a>00992    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *next=orig_first;
+<a name="l00993"></a>00993    <span class="keywordflow">while</span>(1==1) {
+<a name="l00994"></a>00994       <span class="keywordflow">if</span>(next==orig_last) 
+<a name="l00995"></a>00995          last=<span class="keyword">true</span>;
+<a name="l00996"></a>00996       next=next-&gt;next_sibling;
+<a name="l00997"></a>00997       <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>((pre_order_iterator)orig_first);
+<a name="l00998"></a>00998       <span class="keywordflow">if</span>(last) 
+<a name="l00999"></a>00999          <span class="keywordflow">break</span>;
+<a name="l01000"></a>01000       orig_first=next;
+<a name="l01001"></a>01001       }
+<a name="l01002"></a>01002    <span class="keywordflow">return</span> ret;
+<a name="l01003"></a>01003    }
+<a name="l01004"></a>01004 
+<a name="l01005"></a>01005 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01006"></a>01006 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
+<a name="l01007"></a>01007 iter <a class="code" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c" title="Move all children of node at &amp;#39;position&amp;#39; to be siblings, returns position...">tree&lt;T, tree_node_allocator&gt;::flatten</a>(iter position)
+<a name="l01008"></a>01008    {
+<a name="l01009"></a>01009    <span class="keywordflow">if</span>(position.node-&gt;first_child==0)
+<a name="l01010"></a>01010       <span class="keywordflow">return</span> position;
+<a name="l01011"></a>01011 
+<a name="l01012"></a>01012    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=position.node-&gt;first_child;
+<a name="l01013"></a>01013    <span class="keywordflow">while</span>(tmp) {
+<a name="l01014"></a>01014       tmp-&gt;parent=position.node-&gt;parent;
+<a name="l01015"></a>01015       tmp=tmp-&gt;next_sibling;
+<a name="l01016"></a>01016       } 
+<a name="l01017"></a>01017    <span class="keywordflow">if</span>(position.node-&gt;next_sibling) {
+<a name="l01018"></a>01018       position.node-&gt;last_child-&gt;next_sibling=position.node-&gt;next_sibling;
+<a name="l01019"></a>01019       position.node-&gt;next_sibling-&gt;prev_sibling=position.node-&gt;last_child;
+<a name="l01020"></a>01020       }
+<a name="l01021"></a>01021    <span class="keywordflow">else</span> {
+<a name="l01022"></a>01022       position.node-&gt;parent-&gt;last_child=position.node-&gt;last_child;
+<a name="l01023"></a>01023       }
+<a name="l01024"></a>01024    position.node-&gt;next_sibling=position.node-&gt;first_child;
+<a name="l01025"></a>01025    position.node-&gt;next_sibling-&gt;prev_sibling=position.node;
+<a name="l01026"></a>01026    position.node-&gt;first_child=0;
+<a name="l01027"></a>01027    position.node-&gt;last_child=0;
+<a name="l01028"></a>01028 
+<a name="l01029"></a>01029    <span class="keywordflow">return</span> position;
+<a name="l01030"></a>01030    }
+<a name="l01031"></a>01031 
+<a name="l01032"></a>01032 
+<a name="l01033"></a>01033 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01034"></a>01034 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
+<a name="l01035"></a>01035 iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">tree&lt;T, tree_node_allocator&gt;::reparent</a>(iter position, sibling_iterator <a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>, sibling_iterator <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>)
+<a name="l01036"></a>01036    {
+<a name="l01037"></a>01037    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *first=begin.node;
+<a name="l01038"></a>01038    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *last=first;
+<a name="l01039"></a>01039    <span class="keywordflow">if</span>(begin==end) <span class="keywordflow">return</span> begin;
+<a name="l01040"></a>01040    <span class="comment">// determine last node</span>
+<a name="l01041"></a>01041    <span class="keywordflow">while</span>((++begin)!=end) {
+<a name="l01042"></a>01042       last=last-&gt;next_sibling;
+<a name="l01043"></a>01043       }
+<a name="l01044"></a>01044    <span class="comment">// move subtree</span>
+<a name="l01045"></a>01045    <span class="keywordflow">if</span>(first-&gt;prev_sibling==0) {
+<a name="l01046"></a>01046       first-&gt;parent-&gt;first_child=last-&gt;next_sibling;
+<a name="l01047"></a>01047       }
+<a name="l01048"></a>01048    <span class="keywordflow">else</span> {
+<a name="l01049"></a>01049       first-&gt;prev_sibling-&gt;next_sibling=last-&gt;next_sibling;
+<a name="l01050"></a>01050       }
+<a name="l01051"></a>01051    <span class="keywordflow">if</span>(last-&gt;next_sibling==0) {
+<a name="l01052"></a>01052       last-&gt;parent-&gt;last_child=first-&gt;prev_sibling;
+<a name="l01053"></a>01053       }
+<a name="l01054"></a>01054    <span class="keywordflow">else</span> {
+<a name="l01055"></a>01055       last-&gt;next_sibling-&gt;prev_sibling=first-&gt;prev_sibling;
+<a name="l01056"></a>01056       }
+<a name="l01057"></a>01057    <span class="keywordflow">if</span>(position.node-&gt;first_child==0) {
+<a name="l01058"></a>01058       position.node-&gt;first_child=first;
+<a name="l01059"></a>01059       position.node-&gt;last_child=last;
+<a name="l01060"></a>01060       first-&gt;prev_sibling=0;
+<a name="l01061"></a>01061       }
+<a name="l01062"></a>01062    <span class="keywordflow">else</span> {
+<a name="l01063"></a>01063       position.node-&gt;last_child-&gt;next_sibling=first;
+<a name="l01064"></a>01064       first-&gt;prev_sibling=position.node-&gt;last_child;
+<a name="l01065"></a>01065       position.node-&gt;last_child=last;
+<a name="l01066"></a>01066       }
+<a name="l01067"></a>01067    last-&gt;next_sibling=0;
+<a name="l01068"></a>01068 
+<a name="l01069"></a>01069    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *pos=first;
+<a name="l01070"></a>01070    <span class="keywordflow">while</span>(1==1) {
+<a name="l01071"></a>01071       pos-&gt;parent=position.node;
+<a name="l01072"></a>01072       <span class="keywordflow">if</span>(pos==last) <span class="keywordflow">break</span>;
+<a name="l01073"></a>01073       pos=pos-&gt;next_sibling;
+<a name="l01074"></a>01074       }
+<a name="l01075"></a>01075 
+<a name="l01076"></a>01076    <span class="keywordflow">return</span> first;
+<a name="l01077"></a>01077    }
+<a name="l01078"></a>01078 
+<a name="l01079"></a>01079 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01080"></a>01080 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">tree&lt;T, tree_node_allocator&gt;::reparent</a>(iter position, iter from)
+<a name="l01081"></a>01081    {
+<a name="l01082"></a>01082    <span class="keywordflow">if</span>(from.node-&gt;first_child==0) <span class="keywordflow">return</span> position;
+<a name="l01083"></a>01083    <span class="keywordflow">return</span> <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">reparent</a>(position, from.node-&gt;first_child, end(from));
+<a name="l01084"></a>01084    }
+<a name="l01085"></a>01085 
+<a name="l01086"></a>01086 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01087"></a>01087 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the next sibling of &amp;#39;target&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::move_after</a>(iter target, iter source)
+<a name="l01088"></a>01088    {
+<a name="l01089"></a>01089    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *dst=target.node;
+<a name="l01090"></a>01090    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *src=source.node;
+<a name="l01091"></a>01091    assert(dst);
+<a name="l01092"></a>01092    assert(src);
+<a name="l01093"></a>01093 
+<a name="l01094"></a>01094    <span class="keywordflow">if</span>(dst==src) <span class="keywordflow">return</span> source;
+<a name="l01095"></a>01095 
+<a name="l01096"></a>01096    <span class="comment">// take src out of the tree</span>
+<a name="l01097"></a>01097    <span class="keywordflow">if</span>(src-&gt;prev_sibling!=0) src-&gt;prev_sibling-&gt;next_sibling=src-&gt;next_sibling;
+<a name="l01098"></a>01098    <span class="keywordflow">else</span>                     src-&gt;parent-&gt;first_child=src-&gt;next_sibling;
+<a name="l01099"></a>01099    <span class="keywordflow">if</span>(src-&gt;next_sibling!=0) src-&gt;next_sibling-&gt;prev_sibling=src-&gt;prev_sibling;
+<a name="l01100"></a>01100    <span class="keywordflow">else</span>                     src-&gt;parent-&gt;last_child=src-&gt;prev_sibling;
+<a name="l01101"></a>01101 
+<a name="l01102"></a>01102    <span class="comment">// connect it to the new point</span>
+<a name="l01103"></a>01103    <span class="keywordflow">if</span>(dst-&gt;next_sibling!=0) dst-&gt;next_sibling-&gt;prev_sibling=src;
+<a name="l01104"></a>01104    <span class="keywordflow">else</span>                     dst-&gt;parent-&gt;last_child=src;
+<a name="l01105"></a>01105    src-&gt;next_sibling=dst-&gt;next_sibling;
+<a name="l01106"></a>01106    dst-&gt;next_sibling=src;
+<a name="l01107"></a>01107    src-&gt;prev_sibling=dst;
+<a name="l01108"></a>01108    src-&gt;parent=dst-&gt;parent;
+<a name="l01109"></a>01109    <span class="keywordflow">return</span> src;
+<a name="l01110"></a>01110    }
+<a name="l01111"></a>01111 
+<a name="l01112"></a>01112 
+<a name="l01113"></a>01113 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01114"></a>01114 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the previous sibling of...">tree&lt;T, tree_node_allocator&gt;::move_before</a>(iter target, iter source)
+<a name="l01115"></a>01115    {
+<a name="l01116"></a>01116    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *dst=target.node;
+<a name="l01117"></a>01117    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *src=source.node;
+<a name="l01118"></a>01118    assert(dst);
+<a name="l01119"></a>01119    assert(src);
+<a name="l01120"></a>01120 
+<a name="l01121"></a>01121    <span class="keywordflow">if</span>(dst==src) <span class="keywordflow">return</span> source;
+<a name="l01122"></a>01122 
+<a name="l01123"></a>01123    <span class="comment">// take src out of the tree</span>
+<a name="l01124"></a>01124    <span class="keywordflow">if</span>(src-&gt;prev_sibling!=0) src-&gt;prev_sibling-&gt;next_sibling=src-&gt;next_sibling;
+<a name="l01125"></a>01125    <span class="keywordflow">else</span>                     src-&gt;parent-&gt;first_child=src-&gt;next_sibling;
+<a name="l01126"></a>01126    <span class="keywordflow">if</span>(src-&gt;next_sibling!=0) src-&gt;next_sibling-&gt;prev_sibling=src-&gt;prev_sibling;
+<a name="l01127"></a>01127    <span class="keywordflow">else</span>                     src-&gt;parent-&gt;last_child=src-&gt;prev_sibling;
+<a name="l01128"></a>01128 
+<a name="l01129"></a>01129    <span class="comment">// connect it to the new point</span>
+<a name="l01130"></a>01130    <span class="keywordflow">if</span>(dst-&gt;prev_sibling!=0) dst-&gt;prev_sibling-&gt;next_sibling=src;
+<a name="l01131"></a>01131    <span class="keywordflow">else</span>                     dst-&gt;parent-&gt;first_child=src;
+<a name="l01132"></a>01132    src-&gt;prev_sibling=dst-&gt;prev_sibling;
+<a name="l01133"></a>01133    dst-&gt;prev_sibling=src;
+<a name="l01134"></a>01134    src-&gt;next_sibling=dst;
+<a name="l01135"></a>01135    src-&gt;parent=dst-&gt;parent;
+<a name="l01136"></a>01136    <span class="keywordflow">return</span> src;
+<a name="l01137"></a>01137    }
+<a name="l01138"></a>01138 
+<a name="l01139"></a>01139 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01140"></a>01140 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#a4f8b906b2758eec530e28387b819284" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the node at &amp;#39;target&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::move_ontop</a>(iter target, iter source)
+<a name="l01141"></a>01141    {
+<a name="l01142"></a>01142    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *dst=target.node;
+<a name="l01143"></a>01143    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *src=source.node;
+<a name="l01144"></a>01144    assert(dst);
+<a name="l01145"></a>01145    assert(src);
+<a name="l01146"></a>01146 
+<a name="l01147"></a>01147    <span class="keywordflow">if</span>(dst==src) <span class="keywordflow">return</span> source;
+<a name="l01148"></a>01148 
+<a name="l01149"></a>01149    <span class="comment">// remember connection points</span>
+<a name="l01150"></a>01150    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *b_prev_sibling=dst-&gt;prev_sibling;
+<a name="l01151"></a>01151    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *b_next_sibling=dst-&gt;next_sibling;
+<a name="l01152"></a>01152    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *b_parent=dst-&gt;parent;
+<a name="l01153"></a>01153 
+<a name="l01154"></a>01154    <span class="comment">// remove target</span>
+<a name="l01155"></a>01155    <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>(target);
+<a name="l01156"></a>01156 
+<a name="l01157"></a>01157    <span class="comment">// take src out of the tree</span>
+<a name="l01158"></a>01158    <span class="keywordflow">if</span>(src-&gt;prev_sibling!=0) src-&gt;prev_sibling-&gt;next_sibling=src-&gt;next_sibling;
+<a name="l01159"></a>01159    <span class="keywordflow">else</span>                     src-&gt;parent-&gt;first_child=src-&gt;next_sibling;
+<a name="l01160"></a>01160    <span class="keywordflow">if</span>(src-&gt;next_sibling!=0) src-&gt;next_sibling-&gt;prev_sibling=src-&gt;prev_sibling;
+<a name="l01161"></a>01161    <span class="keywordflow">else</span>                     src-&gt;parent-&gt;last_child=src-&gt;prev_sibling;
+<a name="l01162"></a>01162 
+<a name="l01163"></a>01163    <span class="comment">// connect it to the new point</span>
+<a name="l01164"></a>01164    <span class="keywordflow">if</span>(b_prev_sibling!=0) b_prev_sibling-&gt;next_sibling=src;
+<a name="l01165"></a>01165    <span class="keywordflow">else</span>                  b_parent-&gt;first_child=src;
+<a name="l01166"></a>01166    <span class="keywordflow">if</span>(b_next_sibling!=0) b_next_sibling-&gt;prev_sibling=src;
+<a name="l01167"></a>01167    <span class="keywordflow">else</span>                  b_parent-&gt;last_child=src;
+<a name="l01168"></a>01168    src-&gt;prev_sibling=b_prev_sibling;
+<a name="l01169"></a>01169    src-&gt;next_sibling=b_next_sibling;
+<a name="l01170"></a>01170    src-&gt;parent=b_parent;
+<a name="l01171"></a>01171    <span class="keywordflow">return</span> src;
+<a name="l01172"></a>01172    }
+<a name="l01173"></a>01173 
+<a name="l01174"></a>01174 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01175"></a>01175 <span class="keywordtype">void</span> <a class="code" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1" title="Merge with other tree, creating new branches and leaves only if they are not already...">tree&lt;T, tree_node_allocator&gt;::merge</a>(sibling_iterator to1,   sibling_iterator to2,
+<a name="l01176"></a>01176                                           sibling_iterator from1, sibling_iterator from2,
+<a name="l01177"></a>01177                                           <span class="keywordtype">bool</span> duplicate_leaves)
+<a name="l01178"></a>01178    {
+<a name="l01179"></a>01179    sibling_iterator fnd;
+<a name="l01180"></a>01180    <span class="keywordflow">while</span>(from1!=from2) {
+<a name="l01181"></a>01181       <span class="keywordflow">if</span>((fnd=std::find(to1, to2, (*from1))) != to2) { <span class="comment">// element found</span>
+<a name="l01182"></a>01182          <span class="keywordflow">if</span>(from1.begin()==from1.end()) { <span class="comment">// full depth reached</span>
+<a name="l01183"></a>01183             <span class="keywordflow">if</span>(duplicate_leaves)
+<a name="l01184"></a>01184                <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(<a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(to1), (*from1));
+<a name="l01185"></a>01185             }
+<a name="l01186"></a>01186          <span class="keywordflow">else</span> { <span class="comment">// descend further</span>
+<a name="l01187"></a>01187             <a class="code" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1" title="Merge with other tree, creating new branches and leaves only if they are not already...">merge</a>(fnd.begin(), fnd.end(), from1.begin(), from1.end(), duplicate_leaves);
+<a name="l01188"></a>01188             }
+<a name="l01189"></a>01189          }
+<a name="l01190"></a>01190       <span class="keywordflow">else</span> { <span class="comment">// element missing</span>
+<a name="l01191"></a>01191          <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(to2, from1);
+<a name="l01192"></a>01192          }
+<a name="l01193"></a>01193       ++from1;
+<a name="l01194"></a>01194       }
+<a name="l01195"></a>01195    }
+<a name="l01196"></a>01196 
+<a name="l01197"></a>01197 
+<a name="l01198"></a>01198 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01199"></a>01199 <span class="keywordtype">void</span> <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">tree&lt;T, tree_node_allocator&gt;::sort</a>(sibling_iterator from, sibling_iterator to, <span class="keywordtype">bool</span> deep)
+<a name="l01200"></a>01200    {
+<a name="l01201"></a>01201    std::less&lt;T&gt; comp;
+<a name="l01202"></a>01202    <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(from, to, comp, deep);
+<a name="l01203"></a>01203    }
+<a name="l01204"></a>01204 
+<a name="l01205"></a>01205 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01206"></a>01206 <span class="keyword">template</span> &lt;<span class="keyword">class</span> StrictWeakOrdering&gt;
+<a name="l01207"></a>01207 <span class="keywordtype">void</span> <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">tree&lt;T, tree_node_allocator&gt;::sort</a>(sibling_iterator from, sibling_iterator to, 
+<a name="l01208"></a>01208                                         StrictWeakOrdering comp, <span class="keywordtype">bool</span> deep)
+<a name="l01209"></a>01209    {
+<a name="l01210"></a>01210    <span class="keywordflow">if</span>(from==to) <span class="keywordflow">return</span>;
+<a name="l01211"></a>01211    <span class="comment">// make list of sorted nodes</span>
+<a name="l01212"></a>01212    <span class="comment">// CHECK: if multiset stores equivalent nodes in the order in which they</span>
+<a name="l01213"></a>01213    <span class="comment">// are inserted, then this routine should be called 'stable_sort'.</span>
+<a name="l01214"></a>01214    std::multiset&lt;tree_node *, compare_nodes&lt;StrictWeakOrdering&gt; &gt; nodes(comp);
+<a name="l01215"></a>01215    sibling_iterator it=from, it2=to;
+<a name="l01216"></a>01216    <span class="keywordflow">while</span>(it != to) {
+<a name="l01217"></a>01217       nodes.insert(it.node);
+<a name="l01218"></a>01218       ++it;
+<a name="l01219"></a>01219       }
+<a name="l01220"></a>01220    <span class="comment">// reassemble</span>
+<a name="l01221"></a>01221    --it2;
+<a name="l01222"></a>01222 
+<a name="l01223"></a>01223    <span class="comment">// prev and next are the nodes before and after the sorted range</span>
+<a name="l01224"></a>01224    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *prev=from.node-&gt;prev_sibling;
+<a name="l01225"></a>01225    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *next=it2.node-&gt;next_sibling;
+<a name="l01226"></a>01226    <span class="keyword">typename</span> std::multiset&lt;tree_node *, compare_nodes&lt;StrictWeakOrdering&gt; &gt;<a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e" title="The default iterator type throughout the tree class.">::iterator</a> nit=nodes.<a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>(), eit=nodes.<a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>();
+<a name="l01227"></a>01227    <span class="keywordflow">if</span>(prev==0) {
+<a name="l01228"></a>01228       <span class="keywordflow">if</span>((*nit)-&gt;parent!=0) <span class="comment">// to catch "sorting the head" situations, when there is no parent</span>
+<a name="l01229"></a>01229          (*nit)-&gt;parent-&gt;first_child=(*nit);
+<a name="l01230"></a>01230       }
+<a name="l01231"></a>01231    <span class="keywordflow">else</span> prev-&gt;next_sibling=(*nit);
+<a name="l01232"></a>01232 
+<a name="l01233"></a>01233    --eit;
+<a name="l01234"></a>01234    <span class="keywordflow">while</span>(nit!=eit) {
+<a name="l01235"></a>01235       (*nit)-&gt;prev_sibling=prev;
+<a name="l01236"></a>01236       <span class="keywordflow">if</span>(prev)
+<a name="l01237"></a>01237          prev-&gt;next_sibling=(*nit);
+<a name="l01238"></a>01238       prev=(*nit);
+<a name="l01239"></a>01239       ++nit;
+<a name="l01240"></a>01240       }
+<a name="l01241"></a>01241    <span class="comment">// prev now points to the last-but-one node in the sorted range</span>
+<a name="l01242"></a>01242    <span class="keywordflow">if</span>(prev)
+<a name="l01243"></a>01243       prev-&gt;next_sibling=(*eit);
+<a name="l01244"></a>01244 
+<a name="l01245"></a>01245    <span class="comment">// eit points to the last node in the sorted range.</span>
+<a name="l01246"></a>01246    (*eit)-&gt;next_sibling=next;
+<a name="l01247"></a>01247    (*eit)-&gt;prev_sibling=prev; <span class="comment">// missed in the loop above</span>
+<a name="l01248"></a>01248    <span class="keywordflow">if</span>(next==0) {
+<a name="l01249"></a>01249       <span class="keywordflow">if</span>((*eit)-&gt;parent!=0) <span class="comment">// to catch "sorting the head" situations, when there is no parent</span>
+<a name="l01250"></a>01250          (*eit)-&gt;parent-&gt;last_child=(*eit);
+<a name="l01251"></a>01251       }
+<a name="l01252"></a>01252    <span class="keywordflow">else</span> next-&gt;prev_sibling=(*eit);
+<a name="l01253"></a>01253 
+<a name="l01254"></a>01254    <span class="keywordflow">if</span>(deep) {  <span class="comment">// sort the children of each node too</span>
+<a name="l01255"></a>01255       sibling_iterator bcs(*nodes.begin());
+<a name="l01256"></a>01256       sibling_iterator ecs(*eit);
+<a name="l01257"></a>01257       ++ecs;
+<a name="l01258"></a>01258       <span class="keywordflow">while</span>(bcs!=ecs) {
+<a name="l01259"></a>01259          <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(bcs), <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(bcs), comp, deep);
+<a name="l01260"></a>01260          ++bcs;
+<a name="l01261"></a>01261          }
+<a name="l01262"></a>01262       }
+<a name="l01263"></a>01263    }
+<a name="l01264"></a>01264 
+<a name="l01265"></a>01265 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01266"></a>01266 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
+<a name="l01267"></a>01267 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">tree&lt;T, tree_node_allocator&gt;::equal</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three_)<span class="keyword"> const</span>
+<a name="l01268"></a>01268 <span class="keyword">   </span>{
+<a name="l01269"></a>01269    std::equal_to&lt;T&gt; comp;
+<a name="l01270"></a>01270    <span class="keywordflow">return</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(one_, two, three_, comp);
+<a name="l01271"></a>01271    }
+<a name="l01272"></a>01272 
+<a name="l01273"></a>01273 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01274"></a>01274 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
+<a name="l01275"></a>01275 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">tree&lt;T, tree_node_allocator&gt;::equal_subtree</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two_)<span class="keyword"> const</span>
+<a name="l01276"></a>01276 <span class="keyword">   </span>{
+<a name="l01277"></a>01277    std::equal_to&lt;T&gt; comp;
+<a name="l01278"></a>01278    <span class="keywordflow">return</span> <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">equal_subtree</a>(one_, two_, comp);
+<a name="l01279"></a>01279    }
+<a name="l01280"></a>01280 
+<a name="l01281"></a>01281 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01282"></a>01282 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
+<a name="l01283"></a>01283 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">tree&lt;T, tree_node_allocator&gt;::equal</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three_, BinaryPredicate fun)<span class="keyword"> const</span>
+<a name="l01284"></a>01284 <span class="keyword">   </span>{
+<a name="l01285"></a>01285    pre_order_iterator one(one_), three(three_);
+<a name="l01286"></a>01286 
+<a name="l01287"></a>01287 <span class="comment">// if(one==two &amp;&amp; is_valid(three) &amp;&amp; three.number_of_children()!=0)</span>
+<a name="l01288"></a>01288 <span class="comment">//    return false;</span>
+<a name="l01289"></a>01289    <span class="keywordflow">while</span>(one!=two &amp;&amp; <a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(three)) {
+<a name="l01290"></a>01290       <span class="keywordflow">if</span>(!fun(*one,*three))
+<a name="l01291"></a>01291          <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01292"></a>01292       <span class="keywordflow">if</span>(one.number_of_children()!=three.number_of_children()) 
+<a name="l01293"></a>01293          <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01294"></a>01294       ++one;
+<a name="l01295"></a>01295       ++three;
+<a name="l01296"></a>01296       }
+<a name="l01297"></a>01297    <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01298"></a>01298    }
+<a name="l01299"></a>01299 
+<a name="l01300"></a>01300 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01301"></a>01301 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
+<a name="l01302"></a>01302 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">tree&lt;T, tree_node_allocator&gt;::equal_subtree</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two_, BinaryPredicate fun)<span class="keyword"> const</span>
+<a name="l01303"></a>01303 <span class="keyword">   </span>{
+<a name="l01304"></a>01304    pre_order_iterator one(one_), two(two_);
+<a name="l01305"></a>01305 
+<a name="l01306"></a>01306    <span class="keywordflow">if</span>(!fun(*one,*two)) <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01307"></a>01307    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">number_of_children</a>(one)!=<a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">number_of_children</a>(two)) <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01308"></a>01308    <span class="keywordflow">return</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(one),<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(one),<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(two),fun);
+<a name="l01309"></a>01309    }
+<a name="l01310"></a>01310 
+<a name="l01311"></a>01311 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01312"></a>01312 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a> <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">tree&lt;T, tree_node_allocator&gt;::subtree</a>(sibling_iterator from, sibling_iterator to)<span class="keyword"> const</span>
+<a name="l01313"></a>01313 <span class="keyword">   </span>{
+<a name="l01314"></a>01314    <a class="code" href="classtree.html">tree</a> tmp;
+<a name="l01315"></a>01315    tmp.<a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(<a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
+<a name="l01316"></a>01316    tmp.<a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(tmp.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), tmp.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(), from, to);
+<a name="l01317"></a>01317    <span class="keywordflow">return</span> tmp;
+<a name="l01318"></a>01318    }
+<a name="l01319"></a>01319 
+<a name="l01320"></a>01320 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01321"></a>01321 <span class="keywordtype">void</span> <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">tree&lt;T, tree_node_allocator&gt;::subtree</a>(<a class="code" href="classtree.html">tree</a>&amp; tmp, sibling_iterator from, sibling_iterator to)<span class="keyword"> const</span>
+<a name="l01322"></a>01322 <span class="keyword">   </span>{
+<a name="l01323"></a>01323    tmp.<a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(<a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
+<a name="l01324"></a>01324    tmp.<a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(tmp.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), tmp.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(), from, to);
+<a name="l01325"></a>01325    }
+<a name="l01326"></a>01326 
+<a name="l01327"></a>01327 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01328"></a>01328 <span class="keywordtype">int</span> <a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">tree&lt;T, tree_node_allocator&gt;::size</a>()<span class="keyword"> const</span>
+<a name="l01329"></a>01329 <span class="keyword">   </span>{
+<a name="l01330"></a>01330    <span class="keywordtype">int</span> i=0;
+<a name="l01331"></a>01331    pre_order_iterator it=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), eit=<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>();
+<a name="l01332"></a>01332    <span class="keywordflow">while</span>(it!=eit) {
+<a name="l01333"></a>01333       ++i;
+<a name="l01334"></a>01334       ++it;
+<a name="l01335"></a>01335       }
+<a name="l01336"></a>01336    <span class="keywordflow">return</span> i;
+<a name="l01337"></a>01337    }
+<a name="l01338"></a>01338 
+<a name="l01339"></a>01339 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01340"></a>01340 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2" title="Check if tree is empty.">tree&lt;T, tree_node_allocator&gt;::empty</a>()<span class="keyword"> const</span>
+<a name="l01341"></a>01341 <span class="keyword">   </span>{
+<a name="l01342"></a>01342    pre_order_iterator it=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), eit=<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>();
+<a name="l01343"></a>01343    <span class="keywordflow">return</span> (it==eit);
+<a name="l01344"></a>01344    }
+<a name="l01345"></a>01345 
+<a name="l01346"></a>01346 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01347"></a>01347 <span class="keywordtype">int</span> <a class="code" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1" title="Compute the depth to the root.">tree&lt;T, tree_node_allocator&gt;::depth</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
+<a name="l01348"></a>01348 <span class="keyword">   </span>{
+<a name="l01349"></a>01349    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a>* pos=it.node;
+<a name="l01350"></a>01350    assert(pos!=0);
+<a name="l01351"></a>01351    <span class="keywordtype">int</span> ret=0;
+<a name="l01352"></a>01352    <span class="keywordflow">while</span>(pos-&gt;parent!=0) {
+<a name="l01353"></a>01353       pos=pos-&gt;parent;
+<a name="l01354"></a>01354       ++ret;
+<a name="l01355"></a>01355       }
+<a name="l01356"></a>01356    <span class="keywordflow">return</span> ret;
+<a name="l01357"></a>01357    }
+<a name="l01358"></a>01358 
+<a name="l01359"></a>01359 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01360"></a>01360 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">tree&lt;T, tree_node_allocator&gt;::number_of_children</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
+<a name="l01361"></a>01361 <span class="keyword">   </span>{
+<a name="l01362"></a>01362    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *pos=it.node-&gt;first_child;
+<a name="l01363"></a>01363    <span class="keywordflow">if</span>(pos==0) <span class="keywordflow">return</span> 0;
+<a name="l01364"></a>01364    
+<a name="l01365"></a>01365    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ret=1;
+<a name="l01366"></a>01366 <span class="comment">//   while(pos!=it.node-&gt;last_child) {</span>
+<a name="l01367"></a>01367 <span class="comment">//      ++ret;</span>
+<a name="l01368"></a>01368 <span class="comment">//      pos=pos-&gt;next_sibling;</span>
+<a name="l01369"></a>01369 <span class="comment">//      }</span>
+<a name="l01370"></a>01370    <span class="keywordflow">while</span>((pos=pos-&gt;next_sibling))
+<a name="l01371"></a>01371       ++ret;
+<a name="l01372"></a>01372    <span class="keywordflow">return</span> ret;
+<a name="l01373"></a>01373    }
+<a name="l01374"></a>01374 
+<a name="l01375"></a>01375 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01376"></a>01376 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">tree&lt;T, tree_node_allocator&gt;::number_of_siblings</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
+<a name="l01377"></a>01377 <span class="keyword">   </span>{
+<a name="l01378"></a>01378    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *pos=it.node;
+<a name="l01379"></a>01379    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ret=0;
+<a name="l01380"></a>01380    <span class="keywordflow">while</span>(pos-&gt;next_sibling &amp;&amp; 
+<a name="l01381"></a>01381          pos-&gt;next_sibling!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a> &amp;&amp;
+<a name="l01382"></a>01382          pos-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>) {
+<a name="l01383"></a>01383       ++ret;
+<a name="l01384"></a>01384       pos=pos-&gt;next_sibling;
+<a name="l01385"></a>01385       }
+<a name="l01386"></a>01386    <span class="keywordflow">return</span> ret;
+<a name="l01387"></a>01387    }
+<a name="l01388"></a>01388 
+<a name="l01389"></a>01389 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01390"></a>01390 <span class="keywordtype">void</span> <a class="code" href="classtree.html#e842f9b70235bc2412b3c43bca759448" title="Exchange the node (plus subtree) with its sibling node (do nothing if no sibling...">tree&lt;T, tree_node_allocator&gt;::swap</a>(sibling_iterator it)
+<a name="l01391"></a>01391    {
+<a name="l01392"></a>01392    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *nxt=it.node-&gt;next_sibling;
+<a name="l01393"></a>01393    <span class="keywordflow">if</span>(nxt) {
+<a name="l01394"></a>01394       <span class="keywordflow">if</span>(it.node-&gt;prev_sibling)
+<a name="l01395"></a>01395          it.node-&gt;prev_sibling-&gt;next_sibling=nxt;
+<a name="l01396"></a>01396       <span class="keywordflow">else</span>
+<a name="l01397"></a>01397          it.node-&gt;parent-&gt;first_child=nxt;
+<a name="l01398"></a>01398       nxt-&gt;prev_sibling=it.node-&gt;prev_sibling;
+<a name="l01399"></a>01399       <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *nxtnxt=nxt-&gt;next_sibling;
+<a name="l01400"></a>01400       <span class="keywordflow">if</span>(nxtnxt)
+<a name="l01401"></a>01401          nxtnxt-&gt;prev_sibling=it.node;
+<a name="l01402"></a>01402       <span class="keywordflow">else</span>
+<a name="l01403"></a>01403          it.node-&gt;parent-&gt;last_child=it.node;
+<a name="l01404"></a>01404       nxt-&gt;next_sibling=it.node;
+<a name="l01405"></a>01405       it.node-&gt;prev_sibling=nxt;
+<a name="l01406"></a>01406       it.node-&gt;next_sibling=nxtnxt;
+<a name="l01407"></a>01407       }
+<a name="l01408"></a>01408    }
+<a name="l01409"></a>01409 
+<a name="l01410"></a>01410 <span class="comment">// template &lt;class BinaryPredicate&gt;</span>
+<a name="l01411"></a>01411 <span class="comment">// tree&lt;T, tree_node_allocator&gt;::iterator tree&lt;T, tree_node_allocator&gt;::find_subtree(</span>
+<a name="l01412"></a>01412 <span class="comment">//    sibling_iterator subfrom, sibling_iterator subto, iterator from, iterator to, </span>
+<a name="l01413"></a>01413 <span class="comment">//    BinaryPredicate fun) const</span>
+<a name="l01414"></a>01414 <span class="comment">//    {</span>
+<a name="l01415"></a>01415 <span class="comment">//    assert(1==0); // this routine is not finished yet.</span>
+<a name="l01416"></a>01416 <span class="comment">//    while(from!=to) {</span>
+<a name="l01417"></a>01417 <span class="comment">//       if(fun(*subfrom, *from)) {</span>
+<a name="l01418"></a>01418 <span class="comment">//          </span>
+<a name="l01419"></a>01419 <span class="comment">//          }</span>
+<a name="l01420"></a>01420 <span class="comment">//       }</span>
+<a name="l01421"></a>01421 <span class="comment">//    return to;</span>
+<a name="l01422"></a>01422 <span class="comment">//    }</span>
+<a name="l01423"></a>01423 
+<a name="l01424"></a>01424 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01425"></a>01425 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#825e2106781e846bdd8732c117dc21db" title="Determine whether node at position is in the subtrees with root in the range.">tree&lt;T, tree_node_allocator&gt;::is_in_subtree</a>(<span class="keyword">const</span> iterator_base&amp; it, <span class="keyword">const</span> iterator_base&amp; begin, 
+<a name="l01426"></a>01426                                                  <span class="keyword">const</span> iterator_base&amp; end)<span class="keyword"> const</span>
+<a name="l01427"></a>01427 <span class="keyword">   </span>{
+<a name="l01428"></a>01428    <span class="comment">// FIXME: this should be optimised.</span>
+<a name="l01429"></a>01429    pre_order_iterator tmp=begin;
+<a name="l01430"></a>01430    <span class="keywordflow">while</span>(tmp!=end) {
+<a name="l01431"></a>01431       <span class="keywordflow">if</span>(tmp==it) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01432"></a>01432       ++tmp;
+<a name="l01433"></a>01433       }
+<a name="l01434"></a>01434    <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01435"></a>01435    }
+<a name="l01436"></a>01436 
+<a name="l01437"></a>01437 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01438"></a>01438 <span class="keywordtype">bool</span> <a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">tree&lt;T, tree_node_allocator&gt;::is_valid</a>(<span class="keyword">const</span> iterator_base&amp; it)<span class="keyword"> const</span>
+<a name="l01439"></a>01439 <span class="keyword">   </span>{
+<a name="l01440"></a>01440    <span class="keywordflow">if</span>(it.node==0 || it.node==<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>) <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01441"></a>01441    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01442"></a>01442    }
+<a name="l01443"></a>01443 
+<a name="l01444"></a>01444 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01445"></a>01445 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86" title="Determine the index of a node in the range of siblings to which it belongs.">tree&lt;T, tree_node_allocator&gt;::index</a>(sibling_iterator it)<span class="keyword"> const</span>
+<a name="l01446"></a>01446 <span class="keyword">   </span>{
+<a name="l01447"></a>01447    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ind=0;
+<a name="l01448"></a>01448    <span class="keywordflow">if</span>(it.node-&gt;parent==0) {
+<a name="l01449"></a>01449       <span class="keywordflow">while</span>(it.node-&gt;prev_sibling!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>) {
+<a name="l01450"></a>01450          it.node=it.node-&gt;prev_sibling;
+<a name="l01451"></a>01451          ++ind;
+<a name="l01452"></a>01452          }
+<a name="l01453"></a>01453       }
+<a name="l01454"></a>01454    <span class="keywordflow">else</span> {
+<a name="l01455"></a>01455       <span class="keywordflow">while</span>(it.node-&gt;prev_sibling!=0) {
+<a name="l01456"></a>01456          it.node=it.node-&gt;prev_sibling;
+<a name="l01457"></a>01457          ++ind;
+<a name="l01458"></a>01458          }
+<a name="l01459"></a>01459       }
+<a name="l01460"></a>01460    <span class="keywordflow">return</span> ind;
+<a name="l01461"></a>01461    }
+<a name="l01462"></a>01462 
+<a name="l01463"></a>01463 
+<a name="l01464"></a>01464 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01465"></a>01465 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#446c722c82607f8b3243a9153b665d19" title="Inverse of &amp;#39;index&amp;#39;: return the n-th child of the node at position.">tree&lt;T, tree_node_allocator&gt;::child</a>(<span class="keyword">const</span> iterator_base&amp; it, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)<span class="keyword"> const</span>
+<a name="l01466"></a>01466 <span class="keyword">   </span>{
+<a name="l01467"></a>01467    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=it.node-&gt;first_child;
+<a name="l01468"></a>01468    <span class="keywordflow">while</span>(num--) {
+<a name="l01469"></a>01469       assert(tmp!=0);
+<a name="l01470"></a>01470       tmp=tmp-&gt;next_sibling;
+<a name="l01471"></a>01471       }
+<a name="l01472"></a>01472    <span class="keywordflow">return</span> tmp;
+<a name="l01473"></a>01473    }
+<a name="l01474"></a>01474 
+<a name="l01475"></a>01475 
+<a name="l01476"></a>01476 
+<a name="l01477"></a>01477 
+<a name="l01478"></a>01478 <span class="comment">// Iterator base</span>
+<a name="l01479"></a>01479 
+<a name="l01480"></a>01480 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01481"></a>01481 <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">tree&lt;T, tree_node_allocator&gt;::iterator_base::iterator_base</a>()
+<a name="l01482"></a>01482    : node(0), skip_current_children_(<a class="code" href="inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">false</a>)
+<a name="l01483"></a>01483    {
+<a name="l01484"></a>01484    }
+<a name="l01485"></a>01485 
+<a name="l01486"></a>01486 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01487"></a>01487 <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">tree&lt;T, tree_node_allocator&gt;::iterator_base::iterator_base</a>(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tn)
+<a name="l01488"></a>01488    : node(tn), skip_current_children_(<a class="code" href="inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">false</a>)
+<a name="l01489"></a>01489    {
+<a name="l01490"></a>01490    }
+<a name="l01491"></a>01491 
+<a name="l01492"></a>01492 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01493"></a>01493 T&amp; <a class="code" href="classtree_1_1iterator__base.html#ada7cbe4d4f9a5ec29db78d10712edc6">tree&lt;T, tree_node_allocator&gt;::iterator_base::operator*</a>()<span class="keyword"> const</span>
+<a name="l01494"></a>01494 <span class="keyword">   </span>{
+<a name="l01495"></a>01495    <span class="keywordflow">return</span> node-&gt;data;
+<a name="l01496"></a>01496    }
+<a name="l01497"></a>01497 
+<a name="l01498"></a>01498 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01499"></a>01499 T* <a class="code" href="classtree_1_1iterator__base.html#bd9c59569df7d8be5a50c835c180f4dc">tree&lt;T, tree_node_allocator&gt;::iterator_base::operator-&gt;</a>()<span class="keyword"> const</span>
+<a name="l01500"></a>01500 <span class="keyword">   </span>{
+<a name="l01501"></a>01501    <span class="keywordflow">return</span> &amp;(node-&gt;data);
+<a name="l01502"></a>01502    }
+<a name="l01503"></a>01503 
+<a name="l01504"></a>01504 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01505"></a>01505 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1post__order__iterator.html#59f0d0d145f27ed094a69214e1831102">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator!=</a>(<span class="keyword">const</span> post_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01506"></a>01506 <span class="keyword">   </span>{
+<a name="l01507"></a>01507    <span class="keywordflow">if</span>(other.node!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01508"></a>01508    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01509"></a>01509    }
+<a name="l01510"></a>01510 
+<a name="l01511"></a>01511 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01512"></a>01512 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1post__order__iterator.html#b1303f191d6bc8a62e5f03fa53466ec4">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator==</a>(<span class="keyword">const</span> post_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01513"></a>01513 <span class="keyword">   </span>{
+<a name="l01514"></a>01514    <span class="keywordflow">if</span>(other.node==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01515"></a>01515    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01516"></a>01516    }
+<a name="l01517"></a>01517 
+<a name="l01518"></a>01518 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01519"></a>01519 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1pre__order__iterator.html#14425c7743e9a6da2d96b172a85d2bed">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator!=</a>(<span class="keyword">const</span> pre_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01520"></a>01520 <span class="keyword">   </span>{
+<a name="l01521"></a>01521    <span class="keywordflow">if</span>(other.node!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01522"></a>01522    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01523"></a>01523    }
+<a name="l01524"></a>01524 
+<a name="l01525"></a>01525 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01526"></a>01526 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1pre__order__iterator.html#ea8dee1bfc2450608b2b35d26a9f11b7">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator==</a>(<span class="keyword">const</span> pre_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01527"></a>01527 <span class="keyword">   </span>{
+<a name="l01528"></a>01528    <span class="keywordflow">if</span>(other.node==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01529"></a>01529    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01530"></a>01530    }
+<a name="l01531"></a>01531 
+<a name="l01532"></a>01532 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01533"></a>01533 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1sibling__iterator.html#2f4b2c5112c9d16f65852bc84d34c9c9">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator!=</a>(<span class="keyword">const</span> sibling_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01534"></a>01534 <span class="keyword">   </span>{
+<a name="l01535"></a>01535    <span class="keywordflow">if</span>(other.node!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01536"></a>01536    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01537"></a>01537    }
+<a name="l01538"></a>01538 
+<a name="l01539"></a>01539 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01540"></a>01540 <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1sibling__iterator.html#f235d7b64b7d2654437482bab80c797b">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator==</a>(<span class="keyword">const</span> sibling_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01541"></a>01541 <span class="keyword">   </span>{
+<a name="l01542"></a>01542    <span class="keywordflow">if</span>(other.node==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01543"></a>01543    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01544"></a>01544    }
+<a name="l01545"></a>01545 
+<a name="l01546"></a>01546 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01547"></a>01547 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">tree&lt;T, tree_node_allocator&gt;::iterator_base::begin</a>()<span class="keyword"> const</span>
+<a name="l01548"></a>01548 <span class="keyword">   </span>{
+<a name="l01549"></a>01549    sibling_iterator ret(node-&gt;first_child);
+<a name="l01550"></a>01550    ret.parent_=this-&gt;node;
+<a name="l01551"></a>01551    <span class="keywordflow">return</span> ret;
+<a name="l01552"></a>01552    }
+<a name="l01553"></a>01553 
+<a name="l01554"></a>01554 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01555"></a>01555 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">tree&lt;T, tree_node_allocator&gt;::iterator_base::end</a>()<span class="keyword"> const</span>
+<a name="l01556"></a>01556 <span class="keyword">   </span>{
+<a name="l01557"></a>01557    sibling_iterator ret(0);
+<a name="l01558"></a>01558    ret.parent_=node;
+<a name="l01559"></a>01559    <span class="keywordflow">return</span> ret;
+<a name="l01560"></a>01560    }
+<a name="l01561"></a>01561 
+<a name="l01562"></a>01562 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01563"></a>01563 <span class="keywordtype">void</span> <a class="code" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb" title="When called, the next increment/decrement skips children of this node.">tree&lt;T, tree_node_allocator&gt;::iterator_base::skip_children</a>()
+<a name="l01564"></a>01564    {
+<a name="l01565"></a>01565    skip_current_children_=<span class="keyword">true</span>;
+<a name="l01566"></a>01566    }
+<a name="l01567"></a>01567 
+<a name="l01568"></a>01568 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01569"></a>01569 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17" title="Number of children of the node pointed to by the iterator.">tree&lt;T, tree_node_allocator&gt;::iterator_base::number_of_children</a>()<span class="keyword"> const</span>
+<a name="l01570"></a>01570 <span class="keyword">   </span>{
+<a name="l01571"></a>01571    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *pos=node-&gt;first_child;
+<a name="l01572"></a>01572    <span class="keywordflow">if</span>(pos==0) <span class="keywordflow">return</span> 0;
+<a name="l01573"></a>01573    
+<a name="l01574"></a>01574    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ret=1;
+<a name="l01575"></a>01575    <span class="keywordflow">while</span>(pos!=node-&gt;last_child) {
+<a name="l01576"></a>01576       ++ret;
+<a name="l01577"></a>01577       pos=pos-&gt;next_sibling;
+<a name="l01578"></a>01578       }
+<a name="l01579"></a>01579    <span class="keywordflow">return</span> ret;
+<a name="l01580"></a>01580    }
+<a name="l01581"></a>01581 
+<a name="l01582"></a>01582 
+<a name="l01583"></a>01583 
+<a name="l01584"></a>01584 <span class="comment">// Pre-order iterator</span>
+<a name="l01585"></a>01585 
+<a name="l01586"></a>01586 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01587"></a>01587 <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>() 
+<a name="l01588"></a>01588    : iterator_base(0)
+<a name="l01589"></a>01589    {
+<a name="l01590"></a>01590    }
+<a name="l01591"></a>01591 
+<a name="l01592"></a>01592 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01593"></a>01593 <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tn)
+<a name="l01594"></a>01594    : iterator_base(tn)
+<a name="l01595"></a>01595    {
+<a name="l01596"></a>01596    }
+<a name="l01597"></a>01597 
+<a name="l01598"></a>01598 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01599"></a>01599 <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<span class="keyword">const</span> iterator_base &amp;other)
+<a name="l01600"></a>01600    : iterator_base(other.node)
+<a name="l01601"></a>01601    {
+<a name="l01602"></a>01602    }
+<a name="l01603"></a>01603 
+<a name="l01604"></a>01604 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01605"></a>01605 <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
+<a name="l01606"></a>01606    : iterator_base(other.node)
+<a name="l01607"></a>01607    {
+<a name="l01608"></a>01608    <span class="keywordflow">if</span>(this-&gt;node==0) {
+<a name="l01609"></a>01609       <span class="keywordflow">if</span>(other.range_last()!=0)
+<a name="l01610"></a>01610          this-&gt;node=other.range_last();
+<a name="l01611"></a>01611       <span class="keywordflow">else</span> 
+<a name="l01612"></a>01612          this-&gt;node=other.parent_;
+<a name="l01613"></a>01613       this-&gt;skip_children();
+<a name="l01614"></a>01614       ++(*this);
+<a name="l01615"></a>01615       }
+<a name="l01616"></a>01616    }
+<a name="l01617"></a>01617 
+<a name="l01618"></a>01618 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01619"></a>01619 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#07b77d1591ad7f05e4531489561d36d2">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator++</a>()
+<a name="l01620"></a>01620    {
+<a name="l01621"></a>01621    assert(this-&gt;node!=0);
+<a name="l01622"></a>01622    <span class="keywordflow">if</span>(!this-&gt;skip_current_children_ &amp;&amp; this-&gt;node-&gt;first_child != 0) {
+<a name="l01623"></a>01623       this-&gt;node=this-&gt;node-&gt;first_child;
+<a name="l01624"></a>01624       }
+<a name="l01625"></a>01625    <span class="keywordflow">else</span> {
+<a name="l01626"></a>01626       this-&gt;skip_current_children_=<span class="keyword">false</span>;
+<a name="l01627"></a>01627       <span class="keywordflow">while</span>(this-&gt;node-&gt;next_sibling==0) {
+<a name="l01628"></a>01628          this-&gt;node=this-&gt;node-&gt;parent;
+<a name="l01629"></a>01629          <span class="keywordflow">if</span>(this-&gt;node==0)
+<a name="l01630"></a>01630             <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01631"></a>01631          }
+<a name="l01632"></a>01632       this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l01633"></a>01633       }
+<a name="l01634"></a>01634    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01635"></a>01635    }
+<a name="l01636"></a>01636 
+<a name="l01637"></a>01637 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01638"></a>01638 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#4e2dd21653724b6413d9949caf9bb107">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator--</a>()
+<a name="l01639"></a>01639    {
+<a name="l01640"></a>01640    assert(this-&gt;node!=0);
+<a name="l01641"></a>01641    <span class="keywordflow">if</span>(this-&gt;node-&gt;prev_sibling) {
+<a name="l01642"></a>01642       this-&gt;node=this-&gt;node-&gt;prev_sibling;
+<a name="l01643"></a>01643       <span class="keywordflow">while</span>(this-&gt;node-&gt;last_child)
+<a name="l01644"></a>01644          this-&gt;node=this-&gt;node-&gt;last_child;
+<a name="l01645"></a>01645       }
+<a name="l01646"></a>01646    <span class="keywordflow">else</span> {
+<a name="l01647"></a>01647       this-&gt;node=this-&gt;node-&gt;parent;
+<a name="l01648"></a>01648       <span class="keywordflow">if</span>(this-&gt;node==0)
+<a name="l01649"></a>01649          <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01650"></a>01650       }
+<a name="l01651"></a>01651    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01652"></a>01652 }
+<a name="l01653"></a>01653 
+<a name="l01654"></a>01654 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01655"></a>01655 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree_1_1pre__order__iterator.html#07b77d1591ad7f05e4531489561d36d2">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator++</a>(<span class="keywordtype">int</span> n)
+<a name="l01656"></a>01656    {
+<a name="l01657"></a>01657    pre_order_iterator copy = *<span class="keyword">this</span>;
+<a name="l01658"></a>01658    ++(*this);
+<a name="l01659"></a>01659    <span class="keywordflow">return</span> copy;
+<a name="l01660"></a>01660    }
+<a name="l01661"></a>01661 
+<a name="l01662"></a>01662 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01663"></a>01663 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree_1_1pre__order__iterator.html#4e2dd21653724b6413d9949caf9bb107">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator--</a>(<span class="keywordtype">int</span> n)
+<a name="l01664"></a>01664 {
+<a name="l01665"></a>01665   pre_order_iterator copy = *<span class="keyword">this</span>;
+<a name="l01666"></a>01666   --(*this);
+<a name="l01667"></a>01667   <span class="keywordflow">return</span> copy;
+<a name="l01668"></a>01668 }
+<a name="l01669"></a>01669 
+<a name="l01670"></a>01670 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01671"></a>01671 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#5ab66cd50ae22c9b246231b41b7720f5">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01672"></a>01672    {
+<a name="l01673"></a>01673    <span class="keywordflow">while</span>(num&gt;0) {
+<a name="l01674"></a>01674       ++(*this);
+<a name="l01675"></a>01675       --num;
+<a name="l01676"></a>01676       }
+<a name="l01677"></a>01677    <span class="keywordflow">return</span> (*<span class="keyword">this</span>);
+<a name="l01678"></a>01678    }
+<a name="l01679"></a>01679 
+<a name="l01680"></a>01680 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01681"></a>01681 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#722aedfd8f8be3490324a587d17cb133">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01682"></a>01682    {
+<a name="l01683"></a>01683    <span class="keywordflow">while</span>(num&gt;0) {
+<a name="l01684"></a>01684       --(*this);
+<a name="l01685"></a>01685       --num;
+<a name="l01686"></a>01686       }
+<a name="l01687"></a>01687    <span class="keywordflow">return</span> (*<span class="keyword">this</span>);
+<a name="l01688"></a>01688    }
+<a name="l01689"></a>01689 
+<a name="l01690"></a>01690 
+<a name="l01691"></a>01691 
+<a name="l01692"></a>01692 <span class="comment">// Post-order iterator</span>
+<a name="l01693"></a>01693 
+<a name="l01694"></a>01694 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01695"></a>01695 <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>() 
+<a name="l01696"></a>01696    : iterator_base(0)
+<a name="l01697"></a>01697    {
+<a name="l01698"></a>01698    }
+<a name="l01699"></a>01699 
+<a name="l01700"></a>01700 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01701"></a>01701 <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tn)
+<a name="l01702"></a>01702    : iterator_base(tn)
+<a name="l01703"></a>01703    {
+<a name="l01704"></a>01704    }
+<a name="l01705"></a>01705 
+<a name="l01706"></a>01706 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01707"></a>01707 <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<span class="keyword">const</span> iterator_base &amp;other)
+<a name="l01708"></a>01708    : iterator_base(other.node)
+<a name="l01709"></a>01709    {
+<a name="l01710"></a>01710    }
+<a name="l01711"></a>01711 
+<a name="l01712"></a>01712 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01713"></a>01713 <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
+<a name="l01714"></a>01714    : iterator_base(other.node)
+<a name="l01715"></a>01715    {
+<a name="l01716"></a>01716    <span class="keywordflow">if</span>(this-&gt;node==0) {
+<a name="l01717"></a>01717       <span class="keywordflow">if</span>(other.range_last()!=0)
+<a name="l01718"></a>01718          this-&gt;node=other.range_last();
+<a name="l01719"></a>01719       <span class="keywordflow">else</span> 
+<a name="l01720"></a>01720          this-&gt;node=other.parent_;
+<a name="l01721"></a>01721       this-&gt;skip_children();
+<a name="l01722"></a>01722       ++(*this);
+<a name="l01723"></a>01723       }
+<a name="l01724"></a>01724    }
+<a name="l01725"></a>01725 
+<a name="l01726"></a>01726 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01727"></a>01727 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#baba42c4ecb0a0bb8b21b0c28dfa3009">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator++</a>()
+<a name="l01728"></a>01728    {
+<a name="l01729"></a>01729    assert(this-&gt;node!=0);
+<a name="l01730"></a>01730    <span class="keywordflow">if</span>(this-&gt;node-&gt;next_sibling==0) {
+<a name="l01731"></a>01731       this-&gt;node=this-&gt;node-&gt;parent;
+<a name="l01732"></a>01732       this-&gt;skip_current_children_=<span class="keyword">false</span>;
+<a name="l01733"></a>01733       }
+<a name="l01734"></a>01734    <span class="keywordflow">else</span> {
+<a name="l01735"></a>01735       this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l01736"></a>01736       <span class="keywordflow">if</span>(this-&gt;skip_current_children_) {
+<a name="l01737"></a>01737          this-&gt;skip_current_children_=<span class="keyword">false</span>;
+<a name="l01738"></a>01738          }
+<a name="l01739"></a>01739       <span class="keywordflow">else</span> {
+<a name="l01740"></a>01740          <span class="keywordflow">while</span>(this-&gt;node-&gt;first_child)
+<a name="l01741"></a>01741             this-&gt;node=this-&gt;node-&gt;first_child;
+<a name="l01742"></a>01742          }
+<a name="l01743"></a>01743       }
+<a name="l01744"></a>01744    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01745"></a>01745    }
+<a name="l01746"></a>01746 
+<a name="l01747"></a>01747 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01748"></a>01748 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#f70bbd10b24ca0cf1c674e4ef40899db">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator--</a>()
+<a name="l01749"></a>01749    {
+<a name="l01750"></a>01750    assert(this-&gt;node!=0);
+<a name="l01751"></a>01751    <span class="keywordflow">if</span>(this-&gt;skip_current_children_ || this-&gt;node-&gt;last_child==0) {
+<a name="l01752"></a>01752       this-&gt;skip_current_children_=<span class="keyword">false</span>;
+<a name="l01753"></a>01753       <span class="keywordflow">while</span>(this-&gt;node-&gt;prev_sibling==0)
+<a name="l01754"></a>01754          this-&gt;node=this-&gt;node-&gt;parent;
+<a name="l01755"></a>01755       this-&gt;node=this-&gt;node-&gt;prev_sibling;
+<a name="l01756"></a>01756       }
+<a name="l01757"></a>01757    <span class="keywordflow">else</span> {
+<a name="l01758"></a>01758       this-&gt;node=this-&gt;node-&gt;last_child;
+<a name="l01759"></a>01759       }
+<a name="l01760"></a>01760    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01761"></a>01761 }
+<a name="l01762"></a>01762 
+<a name="l01763"></a>01763 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01764"></a>01764 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree_1_1post__order__iterator.html#baba42c4ecb0a0bb8b21b0c28dfa3009">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator++</a>(<span class="keywordtype">int</span>)
+<a name="l01765"></a>01765    {
+<a name="l01766"></a>01766    post_order_iterator copy = *<span class="keyword">this</span>;
+<a name="l01767"></a>01767    ++(*this);
+<a name="l01768"></a>01768    <span class="keywordflow">return</span> copy;
+<a name="l01769"></a>01769    }
+<a name="l01770"></a>01770 
+<a name="l01771"></a>01771 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01772"></a>01772 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree_1_1post__order__iterator.html#f70bbd10b24ca0cf1c674e4ef40899db">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator--</a>(<span class="keywordtype">int</span>)
+<a name="l01773"></a>01773    {
+<a name="l01774"></a>01774    post_order_iterator copy = *<span class="keyword">this</span>;
+<a name="l01775"></a>01775    --(*this);
+<a name="l01776"></a>01776    <span class="keywordflow">return</span> copy;
+<a name="l01777"></a>01777    }
+<a name="l01778"></a>01778 
+<a name="l01779"></a>01779 
+<a name="l01780"></a>01780 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01781"></a>01781 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#0b6c2246f41b0a2ff8e4c9d9efcee879">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01782"></a>01782    {
+<a name="l01783"></a>01783    <span class="keywordflow">while</span>(num&gt;0) {
+<a name="l01784"></a>01784       ++(*this);
+<a name="l01785"></a>01785       --num;
+<a name="l01786"></a>01786       }
+<a name="l01787"></a>01787    <span class="keywordflow">return</span> (*<span class="keyword">this</span>);
+<a name="l01788"></a>01788    }
+<a name="l01789"></a>01789 
+<a name="l01790"></a>01790 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01791"></a>01791 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#93b7ddae75f30985a0d81f38bcbaa306">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01792"></a>01792    {
+<a name="l01793"></a>01793    <span class="keywordflow">while</span>(num&gt;0) {
+<a name="l01794"></a>01794       --(*this);
+<a name="l01795"></a>01795       --num;
+<a name="l01796"></a>01796       }
+<a name="l01797"></a>01797    <span class="keywordflow">return</span> (*<span class="keyword">this</span>);
+<a name="l01798"></a>01798    }
+<a name="l01799"></a>01799 
+<a name="l01800"></a>01800 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01801"></a>01801 <span class="keywordtype">void</span> <a class="code" href="classtree_1_1post__order__iterator.html#ca4676b4986854521cfa2c7d84f62204" title="Set iterator to the first child as deep as possible down the tree.">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::descend_all</a>()
+<a name="l01802"></a>01802    {
+<a name="l01803"></a>01803    assert(this-&gt;node!=0);
+<a name="l01804"></a>01804    <span class="keywordflow">while</span>(this-&gt;node-&gt;first_child)
+<a name="l01805"></a>01805       this-&gt;node=this-&gt;node-&gt;first_child;
+<a name="l01806"></a>01806    }
+<a name="l01807"></a>01807 
+<a name="l01808"></a>01808 
+<a name="l01809"></a>01809 <span class="comment">// Fixed depth iterator</span>
+<a name="l01810"></a>01810 
+<a name="l01811"></a>01811 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01812"></a>01812 <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>()
+<a name="l01813"></a>01813    : iterator_base()
+<a name="l01814"></a>01814    {
+<a name="l01815"></a>01815    set_first_parent_();
+<a name="l01816"></a>01816    }
+<a name="l01817"></a>01817 
+<a name="l01818"></a>01818 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01819"></a>01819 <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tn)
+<a name="l01820"></a>01820    : iterator_base(tn)
+<a name="l01821"></a>01821    {
+<a name="l01822"></a>01822    set_first_parent_();
+<a name="l01823"></a>01823    }
+<a name="l01824"></a>01824 
+<a name="l01825"></a>01825 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01826"></a>01826 <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> iterator_base&amp; other)
+<a name="l01827"></a>01827    : iterator_base(other.node)
+<a name="l01828"></a>01828    {
+<a name="l01829"></a>01829    set_first_parent_();
+<a name="l01830"></a>01830    }
+<a name="l01831"></a>01831 
+<a name="l01832"></a>01832 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01833"></a>01833 <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
+<a name="l01834"></a>01834    : iterator_base(other.node), first_parent_(other.parent_)
+<a name="l01835"></a>01835    {
+<a name="l01836"></a>01836    find_leftmost_parent_();
+<a name="l01837"></a>01837    }
+<a name="l01838"></a>01838 
+<a name="l01839"></a>01839 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01840"></a>01840 <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> fixed_depth_iterator&amp; other)
+<a name="l01841"></a>01841    : iterator_base(other.node), first_parent_(other.first_parent_)
+<a name="l01842"></a>01842    {
+<a name="l01843"></a>01843    }
+<a name="l01844"></a>01844 
+<a name="l01845"></a>01845 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01846"></a>01846 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::set_first_parent_</a>()
+<a name="l01847"></a>01847    {
+<a name="l01848"></a>01848    <span class="keywordflow">return</span>; <span class="comment">// FIXME: we do not use first_parent_ yet, and it actually needs some serious reworking if</span>
+<a name="l01849"></a>01849            <span class="comment">// it is ever to work at the 'head' level.</span>
+<a name="l01850"></a>01850    first_parent_=0;
+<a name="l01851"></a>01851    <span class="keywordflow">if</span>(this-&gt;node==0) <span class="keywordflow">return</span>;
+<a name="l01852"></a>01852    <span class="keywordflow">if</span>(this-&gt;node-&gt;parent!=0)
+<a name="l01853"></a>01853       first_parent_=this-&gt;node-&gt;parent;
+<a name="l01854"></a>01854    <span class="keywordflow">if</span>(first_parent_)
+<a name="l01855"></a>01855       find_leftmost_parent_();
+<a name="l01856"></a>01856    }
+<a name="l01857"></a>01857 
+<a name="l01858"></a>01858 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01859"></a>01859 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::find_leftmost_parent_</a>()
+<a name="l01860"></a>01860    {
+<a name="l01861"></a>01861    <span class="keywordflow">return</span>; <span class="comment">// FIXME: see 'set_first_parent()'</span>
+<a name="l01862"></a>01862    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmppar=first_parent_;
+<a name="l01863"></a>01863    <span class="keywordflow">while</span>(tmppar-&gt;prev_sibling) {
+<a name="l01864"></a>01864       tmppar=tmppar-&gt;prev_sibling;
+<a name="l01865"></a>01865       <span class="keywordflow">if</span>(tmppar-&gt;first_child)
+<a name="l01866"></a>01866          first_parent_=tmppar;
+<a name="l01867"></a>01867       }
+<a name="l01868"></a>01868    }
+<a name="l01869"></a>01869 
+<a name="l01870"></a>01870 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01871"></a>01871 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#71bcee62caa033974d5c0d94ab0dc0c6">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator++</a>()
+<a name="l01872"></a>01872    {
+<a name="l01873"></a>01873    assert(this-&gt;node!=0);
+<a name="l01874"></a>01874 
+<a name="l01875"></a>01875    <span class="keywordflow">if</span>(this-&gt;node-&gt;next_sibling) {
+<a name="l01876"></a>01876       this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l01877"></a>01877       }
+<a name="l01878"></a>01878    <span class="keywordflow">else</span> { 
+<a name="l01879"></a>01879       <span class="keywordtype">int</span> relative_depth=0;
+<a name="l01880"></a>01880       upper:
+<a name="l01881"></a>01881       <span class="keywordflow">do</span> {
+<a name="l01882"></a>01882          this-&gt;node=this-&gt;node-&gt;parent;
+<a name="l01883"></a>01883          <span class="keywordflow">if</span>(this-&gt;node==0) <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01884"></a>01884          --relative_depth;
+<a name="l01885"></a>01885          } <span class="keywordflow">while</span>(this-&gt;node-&gt;next_sibling==0);
+<a name="l01886"></a>01886       lower:
+<a name="l01887"></a>01887       this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l01888"></a>01888       <span class="keywordflow">while</span>(this-&gt;node-&gt;first_child==0) {
+<a name="l01889"></a>01889          <span class="keywordflow">if</span>(this-&gt;node-&gt;next_sibling==0)
+<a name="l01890"></a>01890             <span class="keywordflow">goto</span> upper;
+<a name="l01891"></a>01891          this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l01892"></a>01892          <span class="keywordflow">if</span>(this-&gt;node==0) <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01893"></a>01893          }
+<a name="l01894"></a>01894       <span class="keywordflow">while</span>(relative_depth&lt;0 &amp;&amp; this-&gt;node-&gt;first_child!=0) {
+<a name="l01895"></a>01895          this-&gt;node=this-&gt;node-&gt;first_child;
+<a name="l01896"></a>01896          ++relative_depth;
+<a name="l01897"></a>01897          }
+<a name="l01898"></a>01898       <span class="keywordflow">if</span>(relative_depth&lt;0) {
+<a name="l01899"></a>01899          <span class="keywordflow">if</span>(this-&gt;node-&gt;next_sibling==0) <span class="keywordflow">goto</span> upper;
+<a name="l01900"></a>01900          <span class="keywordflow">else</span>                          <span class="keywordflow">goto</span> lower;
+<a name="l01901"></a>01901          }
+<a name="l01902"></a>01902       }
+<a name="l01903"></a>01903    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01904"></a>01904 
+<a name="l01905"></a>01905 <span class="comment">// if(this-&gt;node-&gt;next_sibling!=0) {</span>
+<a name="l01906"></a>01906 <span class="comment">//    this-&gt;node=this-&gt;node-&gt;next_sibling;</span>
+<a name="l01907"></a>01907 <span class="comment">//    assert(this-&gt;node!=0);</span>
+<a name="l01908"></a>01908 <span class="comment">//    if(this-&gt;node-&gt;parent==0 &amp;&amp; this-&gt;node-&gt;next_sibling==0) // feet element</span>
+<a name="l01909"></a>01909 <span class="comment">//       this-&gt;node=0;</span>
+<a name="l01910"></a>01910 <span class="comment">//    }</span>
+<a name="l01911"></a>01911 <span class="comment">// else {</span>
+<a name="l01912"></a>01912 <span class="comment">//    tree_node *par=this-&gt;node-&gt;parent;</span>
+<a name="l01913"></a>01913 <span class="comment">//    do {</span>
+<a name="l01914"></a>01914 <span class="comment">//       par=par-&gt;next_sibling;</span>
+<a name="l01915"></a>01915 <span class="comment">//       if(par==0) { // FIXME: need to keep track of this!</span>
+<a name="l01916"></a>01916 <span class="comment">//          this-&gt;node=0;</span>
+<a name="l01917"></a>01917 <span class="comment">//          return *this;</span>
+<a name="l01918"></a>01918 <span class="comment">//          }</span>
+<a name="l01919"></a>01919 <span class="comment">//       } while(par-&gt;first_child==0);</span>
+<a name="l01920"></a>01920 <span class="comment">//    this-&gt;node=par-&gt;first_child;</span>
+<a name="l01921"></a>01921 <span class="comment">//    }</span>
+<a name="l01922"></a>01922    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01923"></a>01923    }
+<a name="l01924"></a>01924 
+<a name="l01925"></a>01925 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01926"></a>01926 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#39a2c5b5048ec0dfff33fbb55bd7767e">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator--</a>()
+<a name="l01927"></a>01927    {
+<a name="l01928"></a>01928    assert(this-&gt;node!=0);
+<a name="l01929"></a>01929    <span class="keywordflow">if</span>(this-&gt;node-&gt;prev_sibling!=0) {
+<a name="l01930"></a>01930       this-&gt;node=this-&gt;node-&gt;prev_sibling;
+<a name="l01931"></a>01931       assert(this-&gt;node!=0);
+<a name="l01932"></a>01932       <span class="keywordflow">if</span>(this-&gt;node-&gt;parent==0 &amp;&amp; this-&gt;node-&gt;prev_sibling==0) <span class="comment">// head element</span>
+<a name="l01933"></a>01933          this-&gt;node=0;
+<a name="l01934"></a>01934       }
+<a name="l01935"></a>01935    <span class="keywordflow">else</span> {
+<a name="l01936"></a>01936       <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *par=this-&gt;node-&gt;parent;
+<a name="l01937"></a>01937       <span class="keywordflow">do</span> {
+<a name="l01938"></a>01938          par=par-&gt;prev_sibling;
+<a name="l01939"></a>01939          <span class="keywordflow">if</span>(par==0) { <span class="comment">// FIXME: need to keep track of this!</span>
+<a name="l01940"></a>01940             this-&gt;node=0;
+<a name="l01941"></a>01941             <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01942"></a>01942             }
+<a name="l01943"></a>01943          } <span class="keywordflow">while</span>(par-&gt;last_child==0);
+<a name="l01944"></a>01944       this-&gt;node=par-&gt;last_child;
+<a name="l01945"></a>01945       }
+<a name="l01946"></a>01946    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01947"></a>01947 }
+<a name="l01948"></a>01948 
+<a name="l01949"></a>01949 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01950"></a>01950 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#71bcee62caa033974d5c0d94ab0dc0c6">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator++</a>(<span class="keywordtype">int</span>)
+<a name="l01951"></a>01951    {
+<a name="l01952"></a>01952    fixed_depth_iterator copy = *<span class="keyword">this</span>;
+<a name="l01953"></a>01953    ++(*this);
+<a name="l01954"></a>01954    <span class="keywordflow">return</span> copy;
+<a name="l01955"></a>01955    }
+<a name="l01956"></a>01956 
+<a name="l01957"></a>01957 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01958"></a>01958 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#39a2c5b5048ec0dfff33fbb55bd7767e">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator--</a>(<span class="keywordtype">int</span>)
+<a name="l01959"></a>01959 {
+<a name="l01960"></a>01960   fixed_depth_iterator copy = *<span class="keyword">this</span>;
+<a name="l01961"></a>01961   --(*this);
+<a name="l01962"></a>01962   <span class="keywordflow">return</span> copy;
+<a name="l01963"></a>01963 }
+<a name="l01964"></a>01964 
+<a name="l01965"></a>01965 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01966"></a>01966 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#e8ccf119ae29e96044d9a4eeca2a539d">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01967"></a>01967    {
+<a name="l01968"></a>01968    <span class="keywordflow">while</span>(num&gt;0) {
+<a name="l01969"></a>01969       --(*this);
+<a name="l01970"></a>01970       --(num);
+<a name="l01971"></a>01971       }
+<a name="l01972"></a>01972    <span class="keywordflow">return</span> (*<span class="keyword">this</span>);
+<a name="l01973"></a>01973    }
+<a name="l01974"></a>01974 
+<a name="l01975"></a>01975 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01976"></a>01976 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#6909c400794c6feb49d75b99dbf6aa00">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01977"></a>01977    {
+<a name="l01978"></a>01978    <span class="keywordflow">while</span>(num&gt;0) {
+<a name="l01979"></a>01979       ++(*this);
+<a name="l01980"></a>01980       --(num);
+<a name="l01981"></a>01981       }
+<a name="l01982"></a>01982    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l01983"></a>01983    }
+<a name="l01984"></a>01984 
+<a name="l01985"></a>01985 <span class="comment">// FIXME: add the other members of fixed_depth_iterator.</span>
+<a name="l01986"></a>01986 
+<a name="l01987"></a>01987 
+<a name="l01988"></a>01988 <span class="comment">// Sibling iterator</span>
+<a name="l01989"></a>01989 
+<a name="l01990"></a>01990 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01991"></a>01991 <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>() 
+<a name="l01992"></a>01992    : iterator_base()
+<a name="l01993"></a>01993    {
+<a name="l01994"></a>01994    set_parent_();
+<a name="l01995"></a>01995    }
+<a name="l01996"></a>01996 
+<a name="l01997"></a>01997 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l01998"></a>01998 <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tn)
+<a name="l01999"></a>01999    : iterator_base(tn)
+<a name="l02000"></a>02000    {
+<a name="l02001"></a>02001    set_parent_();
+<a name="l02002"></a>02002    }
+<a name="l02003"></a>02003 
+<a name="l02004"></a>02004 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02005"></a>02005 <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<span class="keyword">const</span> iterator_base&amp; other)
+<a name="l02006"></a>02006    : iterator_base(other.node)
+<a name="l02007"></a>02007    {
+<a name="l02008"></a>02008    set_parent_();
+<a name="l02009"></a>02009    }
+<a name="l02010"></a>02010 
+<a name="l02011"></a>02011 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02012"></a>02012 <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
+<a name="l02013"></a>02013    : iterator_base(other), parent_(other.parent_)
+<a name="l02014"></a>02014    {
+<a name="l02015"></a>02015    }
+<a name="l02016"></a>02016 
+<a name="l02017"></a>02017 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02018"></a>02018 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::set_parent_</a>()
+<a name="l02019"></a>02019    {
+<a name="l02020"></a>02020    parent_=0;
+<a name="l02021"></a>02021    <span class="keywordflow">if</span>(this-&gt;node==0) <span class="keywordflow">return</span>;
+<a name="l02022"></a>02022    <span class="keywordflow">if</span>(this-&gt;node-&gt;parent!=0)
+<a name="l02023"></a>02023       parent_=this-&gt;node-&gt;parent;
+<a name="l02024"></a>02024    }
+<a name="l02025"></a>02025 
+<a name="l02026"></a>02026 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02027"></a>02027 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#8d0d647a7843432b5ccc18724fcc3493">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator++</a>()
+<a name="l02028"></a>02028    {
+<a name="l02029"></a>02029    <span class="keywordflow">if</span>(this-&gt;node)
+<a name="l02030"></a>02030       this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l02031"></a>02031    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l02032"></a>02032    }
+<a name="l02033"></a>02033 
+<a name="l02034"></a>02034 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02035"></a>02035 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#7e91377755da77acd20d5b9356f7498e">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator--</a>()
+<a name="l02036"></a>02036    {
+<a name="l02037"></a>02037    <span class="keywordflow">if</span>(this-&gt;node) this-&gt;node=this-&gt;node-&gt;prev_sibling;
+<a name="l02038"></a>02038    <span class="keywordflow">else</span> {
+<a name="l02039"></a>02039       assert(parent_);
+<a name="l02040"></a>02040       this-&gt;node=parent_-&gt;last_child;
+<a name="l02041"></a>02041       }
+<a name="l02042"></a>02042    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
+<a name="l02043"></a>02043 }
+<a name="l02044"></a>02044 
+<a name="l02045"></a>02045 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02046"></a>02046 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1sibling__iterator.html#8d0d647a7843432b5ccc18724fcc3493">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator++</a>(<span class="keywordtype">int</span>)
+<a name="l02047"></a>02047    {
+<a name="l02048"></a>02048    sibling_iterator copy = *<span class="keyword">this</span>;
+<a name="l02049"></a>02049    ++(*this);
+<a name="l02050"></a>02050    <span class="keywordflow">return</span> copy;
+<a name="l02051"></a>02051    }
+<a name="l02052"></a>02052 
+<a name="l02053"></a>02053 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02054"></a>02054 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1sibling__iterator.html#7e91377755da77acd20d5b9356f7498e">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator--</a>(<span class="keywordtype">int</span>)
+<a name="l02055"></a>02055    {
+<a name="l02056"></a>02056    sibling_iterator copy = *<span class="keyword">this</span>;
+<a name="l02057"></a>02057    --(*this);
+<a name="l02058"></a>02058    <span class="keywordflow">return</span> copy;
+<a name="l02059"></a>02059    }
+<a name="l02060"></a>02060 
+<a name="l02061"></a>02061 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02062"></a>02062 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#d36b6994a50c0f73154b08ab35abf336">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l02063"></a>02063    {
+<a name="l02064"></a>02064    <span class="keywordflow">while</span>(num&gt;0) {
+<a name="l02065"></a>02065       ++(*this);
+<a name="l02066"></a>02066       --num;
+<a name="l02067"></a>02067       }
+<a name="l02068"></a>02068    <span class="keywordflow">return</span> (*<span class="keyword">this</span>);
+<a name="l02069"></a>02069    }
+<a name="l02070"></a>02070 
+<a name="l02071"></a>02071 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02072"></a>02072 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#f7b0a37317400fe16a1ad422c1ee6fa1">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l02073"></a>02073    {
+<a name="l02074"></a>02074    <span class="keywordflow">while</span>(num&gt;0) {
+<a name="l02075"></a>02075       --(*this);
+<a name="l02076"></a>02076       --num;
+<a name="l02077"></a>02077       }
+<a name="l02078"></a>02078    <span class="keywordflow">return</span> (*<span class="keyword">this</span>);
+<a name="l02079"></a>02079    }
+<a name="l02080"></a>02080 
+<a name="l02081"></a>02081 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02082"></a>02082 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::tree_node</a> *<a class="code" href="classtree_1_1sibling__iterator.html#faed5294cdf5a6679c788fff0196c2a8">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::range_first</a>()<span class="keyword"> const</span>
+<a name="l02083"></a>02083 <span class="keyword">   </span>{
+<a name="l02084"></a>02084    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmp=parent_-&gt;first_child;
+<a name="l02085"></a>02085    <span class="keywordflow">return</span> tmp;
+<a name="l02086"></a>02086    }
+<a name="l02087"></a>02087 
+<a name="l02088"></a>02088 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
+<a name="l02089"></a>02089 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::tree_node</a> *<a class="code" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::range_last</a>()<span class="keyword"> const</span>
+<a name="l02090"></a>02090 <span class="keyword">   </span>{
+<a name="l02091"></a>02091    <span class="keywordflow">return</span> parent_-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>;
+<a name="l02092"></a>02092    }
+<a name="l02093"></a>02093 
+<a name="l02094"></a>02094 
+<a name="l02095"></a>02095 <span class="preprocessor">#endif</span>
+<a name="l02096"></a>02096 <span class="preprocessor"></span>
+<a name="l02097"></a>02097 <span class="comment">// Local variables:</span>
+<a name="l02098"></a>02098 <span class="comment">// default-tab-width: 3</span>
+<a name="l02099"></a>02099 <span class="comment">// End:</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2win32_8cpp-source.html'
--- doc/html/fx-0_89_80_2lib_2win32_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2win32_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,92 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: win32.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>win32.cpp</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment"> $RCSfile: win32.cpp,v $</span>
+<a name="l00003"></a>00003 <span class="comment"> -------------------</span>
+<a name="l00004"></a>00004 <span class="comment"> cvs         : $Id: win32.cpp,v 1.3 2007/10/27 12:15:58 aquamaniac Exp $</span>
+<a name="l00005"></a>00005 <span class="comment"> begin       : Sat Oct 27 2007</span>
+<a name="l00006"></a>00006 <span class="comment"> copyright   : (C) 2007 by Martin Preuss</span>
+<a name="l00007"></a>00007 <span class="comment"> email       : martin@libchipcard.de</span>
+<a name="l00008"></a>00008 <span class="comment"></span>
+<a name="l00009"></a>00009 <span class="comment"> ***************************************************************************</span>
+<a name="l00010"></a>00010 <span class="comment"> * This file is part of the project "LibOfx".                              *</span>
+<a name="l00011"></a>00011 <span class="comment"> * Please see toplevel file COPYING of that project for license details.   *</span>
+<a name="l00012"></a>00012 <span class="comment"> ***************************************************************************/</span>
+<a name="l00013"></a>00013 
+<a name="l00014"></a>00014 
+<a name="l00015"></a>00015 <span class="preprocessor">#include "win32.hh"</span>
+<a name="l00016"></a>00016 
+<a name="l00017"></a>00017 <span class="preprocessor">#include &lt;errno.h&gt;</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00019"></a>00019 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#include &lt;string.h&gt;</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;unistd.h&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;sys/stat.h&gt;</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;fcntl.h&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;assert.h&gt;</span>
+<a name="l00025"></a>00025 
+<a name="l00026"></a>00026 
+<a name="l00027"></a>00027 
+<a name="l00028"></a>00028 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00029"></a>00029 <span class="preprocessor"></span>
+<a name="l00030"></a>00030 <span class="keywordtype">int</span> mkstemp(<span class="keywordtype">char</span> *tmpl) {
+<a name="l00031"></a>00031   <span class="keywordtype">int</span> fd=-1;
+<a name="l00032"></a>00032   <span class="keywordtype">int</span> len;
+<a name="l00033"></a>00033   <span class="keywordtype">char</span> *nf;
+<a name="l00034"></a>00034   <span class="keywordtype">int</span> i;
+<a name="l00035"></a>00035 
+<a name="l00036"></a>00036   len=strlen(tmpl);
+<a name="l00037"></a>00037   <span class="keywordflow">if</span> (len&lt;6) {
+<a name="l00038"></a>00038     <span class="comment">/* bad template */</span>
+<a name="l00039"></a>00039     errno=EINVAL;
+<a name="l00040"></a>00040     <span class="keywordflow">return</span> -1;
+<a name="l00041"></a>00041   }
+<a name="l00042"></a>00042   <span class="keywordflow">if</span> (strcasecmp(tmpl+(len-7), <span class="stringliteral">"XXXXXX"</span>)) {
+<a name="l00043"></a>00043     <span class="comment">/* bad template, last 6 chars must be "X" */</span>
+<a name="l00044"></a>00044     errno=EINVAL;
+<a name="l00045"></a>00045     <span class="keywordflow">return</span> -1;
+<a name="l00046"></a>00046   }
+<a name="l00047"></a>00047 
+<a name="l00048"></a>00048   nf=strdup(tmpl);
+<a name="l00049"></a>00049 
+<a name="l00050"></a>00050   <span class="keywordflow">for</span> (i=0; i&lt;10; i++) {
+<a name="l00051"></a>00051     <span class="keywordtype">int</span> rnd;
+<a name="l00052"></a>00052     <span class="keywordtype">char</span> numbuf[16];
+<a name="l00053"></a>00053 
+<a name="l00054"></a>00054     rnd=rand();
+<a name="l00055"></a>00055     snprintf(numbuf, <span class="keyword">sizeof</span>(numbuf)-1, <span class="stringliteral">"%06x"</span>, rnd);
+<a name="l00056"></a>00056     memmove(nf+(len-7), numbuf, 6);
+<a name="l00057"></a>00057     fd=open(nf, O_RDWR | O_BINARY | O_CREAT, 0444);
+<a name="l00058"></a>00058     <span class="keywordflow">if</span> (fd&gt;=0) {
+<a name="l00059"></a>00059       memmove(tmpl, nf, len);
+<a name="l00060"></a>00060       free(nf);
+<a name="l00061"></a>00061       <span class="keywordflow">return</span> fd;
+<a name="l00062"></a>00062     }
+<a name="l00063"></a>00063   }
+<a name="l00064"></a>00064   free(nf);
+<a name="l00065"></a>00065   errno=EEXIST;
+<a name="l00066"></a>00066   <span class="keywordflow">return</span> -1;
+<a name="l00067"></a>00067 }
+<a name="l00068"></a>00068 
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 <span class="preprocessor">#endif</span>
+<a name="l00071"></a>00071 <span class="preprocessor"></span>
+<a name="l00072"></a>00072 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/fx-0_89_80_2lib_2win32_8hh-source.html'
--- doc/html/fx-0_89_80_2lib_2win32_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/fx-0_89_80_2lib_2win32_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,53 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: win32.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>win32.hh</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment"> $RCSfile: win32.hh,v $</span>
+<a name="l00003"></a>00003 <span class="comment"> -------------------</span>
+<a name="l00004"></a>00004 <span class="comment"> cvs         : $Id: win32.hh,v 1.3 2007/10/27 12:15:58 aquamaniac Exp $</span>
+<a name="l00005"></a>00005 <span class="comment"> begin       : Sat Oct 27 2007</span>
+<a name="l00006"></a>00006 <span class="comment"> copyright   : (C) 2007 by Martin Preuss</span>
+<a name="l00007"></a>00007 <span class="comment"> email       : martin@libchipcard.de</span>
+<a name="l00008"></a>00008 <span class="comment"></span>
+<a name="l00009"></a>00009 <span class="comment"> ***************************************************************************</span>
+<a name="l00010"></a>00010 <span class="comment"> * This file is part of the project "LibOfx".                              *</span>
+<a name="l00011"></a>00011 <span class="comment"> * Please see toplevel file COPYING of that project for license details.   *</span>
+<a name="l00012"></a>00012 <span class="comment"> ***************************************************************************/</span>
+<a name="l00013"></a>00013 
+<a name="l00014"></a>00014 <span class="preprocessor">#ifndef LIBOFX_WIN32_HH</span>
+<a name="l00015"></a>00015 <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_WIN32_HH</span>
+<a name="l00016"></a>00016 <span class="preprocessor"></span>
+<a name="l00017"></a>00017 
+<a name="l00018"></a>00018 
+<a name="l00019"></a>00019 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor"># include &lt;config.h&gt;</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#endif</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span>
+<a name="l00023"></a>00023 
+<a name="l00024"></a>00024 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00025"></a>00025 <span class="preprocessor"></span>
+<a name="l00026"></a>00026 <span class="keywordtype">int</span> mkstemp(<span class="keywordtype">char</span> *tmpl);
+<a name="l00027"></a>00027 
+<a name="l00028"></a>00028 
+<a name="l00029"></a>00029 <span class="preprocessor">#endif</span>
+<a name="l00030"></a>00030 <span class="preprocessor"></span>
+<a name="l00031"></a>00031 
+<a name="l00032"></a>00032 <span class="preprocessor">#endif</span>
+<a name="l00033"></a>00033 <span class="preprocessor"></span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== modified file 'doc/html/getopt1_8c-source.html'
--- doc/html/getopt1_8c-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/getopt1_8c-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: getopt1.c Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>getopt1.c</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* getopt_long and getopt_long_only entry points for GNU getopt.</span>
 <a name="l00002"></a>00002 <span class="comment">   Copyright (C) 1987,88,89,90,91,92,93,94,96,97,98</span>
 <a name="l00003"></a>00003 <span class="comment">     Free Software Foundation, Inc.</span>
@@ -117,7 +113,7 @@
 <a name="l00098"></a>00098 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
 <a name="l00099"></a>00099 
 <a name="l00100"></a>00100 <span class="keywordtype">int</span>
-<a name="l00101"></a>00101 <a class="code" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">main</a> (argc, argv)
+<a name="l00101"></a>00101 <a class="code" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (argc, argv)
 <a name="l00102"></a>00102      int argc;
 <a name="l00103"></a>00103      <span class="keywordtype">char</span> **argv;
 <a name="l00104"></a>00104 {
@@ -147,7 +143,7 @@
 <a name="l00128"></a>00128       <span class="keywordflow">switch</span> (c)
 <a name="l00129"></a>00129         {
 <a name="l00130"></a>00130         <span class="keywordflow">case</span> 0:
-<a name="l00131"></a>00131           printf (<span class="stringliteral">"option %s"</span>, long_options[option_index].<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>);
+<a name="l00131"></a>00131           printf (<span class="stringliteral">"option %s"</span>, long_options[option_index].<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
 <a name="l00132"></a>00132           <span class="keywordflow">if</span> (optarg)
 <a name="l00133"></a>00133             printf (<span class="stringliteral">" with arg %s"</span>, optarg);
 <a name="l00134"></a>00134           printf (<span class="stringliteral">"\n"</span>);
@@ -205,8 +201,8 @@
 <a name="l00186"></a>00186 }
 <a name="l00187"></a>00187 
 <a name="l00188"></a>00188 <span class="preprocessor">#endif </span><span class="comment">/* TEST */</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/getopt_8c-source.html'
--- doc/html/getopt_8c-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/getopt_8c-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: getopt.c Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>getopt.c</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* Getopt for GNU.</span>
 <a name="l00002"></a>00002 <span class="comment">   NOTE: getopt is now part of the C library, so if you don't know what</span>
 <a name="l00003"></a>00003 <span class="comment">   "Keep this file name-space clean" means, talk to drepper@gnu.org</span>
@@ -668,11 +664,11 @@
 <a name="l00649"></a>00649 
 <a name="l00650"></a>00650       <span class="comment">/* Test all long options for either exact match</span>
 <a name="l00651"></a>00651 <span class="comment">         or abbreviated matches.  */</span>
-<a name="l00652"></a>00652       <span class="keywordflow">for</span> (p = longopts, option_index = 0; p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>; p++, option_index++)
-<a name="l00653"></a>00653         <span class="keywordflow">if</span> (!strncmp (p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>, nextchar, nameend - nextchar))
+<a name="l00652"></a>00652       <span class="keywordflow">for</span> (p = longopts, option_index = 0; p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>; p++, option_index++)
+<a name="l00653"></a>00653         <span class="keywordflow">if</span> (!strncmp (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>, nextchar, nameend - nextchar))
 <a name="l00654"></a>00654           {
-<a name="l00655"></a>00655             if ((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) (nameend - nextchar)
-<a name="l00656"></a>00656                 == (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) strlen (p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>))
+<a name="l00655"></a>00655             <span class="keywordflow">if</span> ((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) (nameend - nextchar)
+<a name="l00656"></a>00656                 == (<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) strlen (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>))
 <a name="l00657"></a>00657               {
 <a name="l00658"></a>00658                 <span class="comment">/* Exact match found.  */</span>
 <a name="l00659"></a>00659                 pfound = p;
@@ -687,9 +683,9 @@
 <a name="l00668"></a>00668                 indfound = option_index;
 <a name="l00669"></a>00669               }
 <a name="l00670"></a>00670             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (long_only
-<a name="l00671"></a>00671                      || pfound-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a> != p-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a>
-<a name="l00672"></a>00672                      || pfound-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a> != p-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>
-<a name="l00673"></a>00673                      || pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a> != p-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>)
+<a name="l00671"></a>00671                      || pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a> != p-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>
+<a name="l00672"></a>00672                      || pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a> != p-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>
+<a name="l00673"></a>00673                      || pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a> != p-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>)
 <a name="l00674"></a>00674               <span class="comment">/* Second or later nonexact match found.  */</span>
 <a name="l00675"></a>00675               ambig = 1;
 <a name="l00676"></a>00676           }
@@ -713,7 +709,7 @@
 <a name="l00694"></a>00694             {
 <a name="l00695"></a>00695               <span class="comment">/* Don't test has_arg with &gt;, because some C compilers don't</span>
 <a name="l00696"></a>00696 <span class="comment">                 allow it to be used on enums.  */</span>
-<a name="l00697"></a>00697               <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a>)
+<a name="l00697"></a>00697               <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>)
 <a name="l00698"></a>00698                 optarg = nameend + 1;
 <a name="l00699"></a>00699               <span class="keywordflow">else</span>
 <a name="l00700"></a>00700                 {
@@ -723,21 +719,21 @@
 <a name="l00704"></a>00704                         <span class="comment">/* --option */</span>
 <a name="l00705"></a>00705                         fprintf (stderr,
 <a name="l00706"></a>00706                                  _(<span class="stringliteral">"%s: option `--%s' doesn't allow an argument\n"</span>),
-<a name="l00707"></a>00707                                  argv[0], pfound-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>);
+<a name="l00707"></a>00707                                  argv[0], pfound-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
 <a name="l00708"></a>00708                       <span class="keywordflow">else</span>
 <a name="l00709"></a>00709                         <span class="comment">/* +option or -option */</span>
 <a name="l00710"></a>00710                         fprintf (stderr,
 <a name="l00711"></a>00711                                  _(<span class="stringliteral">"%s: option `%c%s' doesn't allow an argument\n"</span>),
-<a name="l00712"></a>00712                                  argv[0], argv[optind - 1][0], pfound-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>);
+<a name="l00712"></a>00712                                  argv[0], argv[optind - 1][0], pfound-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
 <a name="l00713"></a>00713                     }
 <a name="l00714"></a>00714 
 <a name="l00715"></a>00715                   nextchar += strlen (nextchar);
 <a name="l00716"></a>00716 
-<a name="l00717"></a>00717                   optopt = pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00717"></a>00717                   optopt = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00718"></a>00718                   <span class="keywordflow">return</span> <span class="charliteral">'?'</span>;
 <a name="l00719"></a>00719                 }
 <a name="l00720"></a>00720             }
-<a name="l00721"></a>00721           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a> == 1)
+<a name="l00721"></a>00721           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a> == 1)
 <a name="l00722"></a>00722             {
 <a name="l00723"></a>00723               <span class="keywordflow">if</span> (optind &lt; argc)
 <a name="l00724"></a>00724                 optarg = argv[optind++];
@@ -748,19 +744,19 @@
 <a name="l00729"></a>00729                            _(<span class="stringliteral">"%s: option `%s' requires an argument\n"</span>),
 <a name="l00730"></a>00730                            argv[0], argv[optind - 1]);
 <a name="l00731"></a>00731                   nextchar += strlen (nextchar);
-<a name="l00732"></a>00732                   optopt = pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00732"></a>00732                   optopt = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00733"></a>00733                   <span class="keywordflow">return</span> optstring[0] == <span class="charliteral">':'</span> ? <span class="charliteral">':'</span> : <span class="charliteral">'?'</span>;
 <a name="l00734"></a>00734                 }
 <a name="l00735"></a>00735             }
 <a name="l00736"></a>00736           nextchar += strlen (nextchar);
 <a name="l00737"></a>00737           <span class="keywordflow">if</span> (longind != NULL)
 <a name="l00738"></a>00738             *longind = option_index;
-<a name="l00739"></a>00739           <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>)
+<a name="l00739"></a>00739           <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>)
 <a name="l00740"></a>00740             {
-<a name="l00741"></a>00741               *(pfound-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>) = pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00741"></a>00741               *(pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>) = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00742"></a>00742               <span class="keywordflow">return</span> 0;
 <a name="l00743"></a>00743             }
-<a name="l00744"></a>00744           <span class="keywordflow">return</span> pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00744"></a>00744           <span class="keywordflow">return</span> pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00745"></a>00745         }
 <a name="l00746"></a>00746 
 <a name="l00747"></a>00747       <span class="comment">/* Can't find it as a long option.  If this is not getopt_long_only,</span>
@@ -860,10 +856,10 @@
 <a name="l00841"></a>00841 
 <a name="l00842"></a>00842         <span class="comment">/* Test all long options for either exact match</span>
 <a name="l00843"></a>00843 <span class="comment">           or abbreviated matches.  */</span>
-<a name="l00844"></a>00844         <span class="keywordflow">for</span> (p = longopts, option_index = 0; p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>; p++, option_index++)
-<a name="l00845"></a>00845           <span class="keywordflow">if</span> (!strncmp (p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>, nextchar, nameend - nextchar))
+<a name="l00844"></a>00844         <span class="keywordflow">for</span> (p = longopts, option_index = 0; p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>; p++, option_index++)
+<a name="l00845"></a>00845           <span class="keywordflow">if</span> (!strncmp (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>, nextchar, nameend - nextchar))
 <a name="l00846"></a>00846             {
-<a name="l00847"></a>00847               if ((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) (nameend - nextchar) == strlen (p-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>))
+<a name="l00847"></a>00847               <span class="keywordflow">if</span> ((<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) (nameend - nextchar) == strlen (p-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>))
 <a name="l00848"></a>00848                 {
 <a name="l00849"></a>00849                   <span class="comment">/* Exact match found.  */</span>
 <a name="l00850"></a>00850                   pfound = p;
@@ -897,20 +893,20 @@
 <a name="l00878"></a>00878               {
 <a name="l00879"></a>00879                 <span class="comment">/* Don't test has_arg with &gt;, because some C compilers don't</span>
 <a name="l00880"></a>00880 <span class="comment">                   allow it to be used on enums.  */</span>
-<a name="l00881"></a>00881                 <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a>)
+<a name="l00881"></a>00881                 <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>)
 <a name="l00882"></a>00882                   optarg = nameend + 1;
 <a name="l00883"></a>00883                 <span class="keywordflow">else</span>
 <a name="l00884"></a>00884                   {
 <a name="l00885"></a>00885                     <span class="keywordflow">if</span> (print_errors)
 <a name="l00886"></a>00886                       fprintf (stderr, _(<span class="stringliteral">"\</span>
 <a name="l00887"></a>00887 <span class="stringliteral">%s: option `-W %s' doesn't allow an argument\n"</span>),
-<a name="l00888"></a>00888                                argv[0], pfound-&gt;<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>);
+<a name="l00888"></a>00888                                argv[0], pfound-&gt;<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>);
 <a name="l00889"></a>00889 
 <a name="l00890"></a>00890                     nextchar += strlen (nextchar);
 <a name="l00891"></a>00891                     <span class="keywordflow">return</span> <span class="charliteral">'?'</span>;
 <a name="l00892"></a>00892                   }
 <a name="l00893"></a>00893               }
-<a name="l00894"></a>00894             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a> == 1)
+<a name="l00894"></a>00894             <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a> == 1)
 <a name="l00895"></a>00895               {
 <a name="l00896"></a>00896                 <span class="keywordflow">if</span> (optind &lt; argc)
 <a name="l00897"></a>00897                   optarg = argv[optind++];
@@ -927,12 +923,12 @@
 <a name="l00908"></a>00908             nextchar += strlen (nextchar);
 <a name="l00909"></a>00909             <span class="keywordflow">if</span> (longind != NULL)
 <a name="l00910"></a>00910               *longind = option_index;
-<a name="l00911"></a>00911             <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>)
+<a name="l00911"></a>00911             <span class="keywordflow">if</span> (pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>)
 <a name="l00912"></a>00912               {
-<a name="l00913"></a>00913                 *(pfound-&gt;<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>) = pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00913"></a>00913                 *(pfound-&gt;<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>) = pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00914"></a>00914                 <span class="keywordflow">return</span> 0;
 <a name="l00915"></a>00915               }
-<a name="l00916"></a>00916             <span class="keywordflow">return</span> pfound-&gt;<a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00916"></a>00916             <span class="keywordflow">return</span> pfound-&gt;<a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00917"></a>00917           }
 <a name="l00918"></a>00918           nextchar = NULL;
 <a name="l00919"></a>00919           <span class="keywordflow">return</span> <span class="charliteral">'W'</span>;   <span class="comment">/* Let the application handle it.   */</span>
@@ -1007,7 +1003,7 @@
 <a name="l00988"></a>00988 <span class="comment">   the above definition of `getopt'.  */</span>
 <a name="l00989"></a>00989 
 <a name="l00990"></a>00990 <span class="keywordtype">int</span>
-<a name="l00991"></a>00991 <a class="code" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">main</a> (argc, argv)
+<a name="l00991"></a>00991 <a class="code" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (argc, argv)
 <a name="l00992"></a>00992      int argc;
 <a name="l00993"></a>00993      <span class="keywordtype">char</span> **argv;
 <a name="l00994"></a>00994 {
@@ -1072,8 +1068,8 @@
 <a name="l01053"></a>01053 }
 <a name="l01054"></a>01054 
 <a name="l01055"></a>01055 <span class="preprocessor">#endif </span><span class="comment">/* TEST */</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/globals.html'
--- doc/html/globals.html	2006-10-20 13:12:33 +0000
+++ doc/html/globals.html	2008-02-06 17:25:16 +0000
@@ -1,25 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li id="current"><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="globals.html"><span>All</span></a></li>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
     <li><a href="globals_func.html"><span>Functions</span></a></li>
     <li><a href="globals_vars.html"><span>Variables</span></a></li>
     <li><a href="globals_type.html"><span>Typedefs</span></a></li>
@@ -30,25 +32,22 @@
 </div>
 <div class="tabs">
   <ul>
-    <li><a href="#index_a"><span>a</span></a></li>
-    <li><a href="#index_b"><span>b</span></a></li>
-    <li><a href="#index_c"><span>c</span></a></li>
-    <li><a href="#index_d"><span>d</span></a></li>
-    <li><a href="#index_e"><span>e</span></a></li>
-    <li><a href="#index_f"><span>f</span></a></li>
-    <li><a href="#index_i"><span>i</span></a></li>
-    <li><a href="#index_k"><span>k</span></a></li>
-    <li><a href="#index_l"><span>l</span></a></li>
-    <li><a href="#index_m"><span>m</span></a></li>
-    <li><a href="#index_o"><span>o</span></a></li>
-    <li><a href="#index_p"><span>p</span></a></li>
-    <li><a href="#index_q"><span>q</span></a></li>
-    <li><a href="#index_r"><span>r</span></a></li>
-    <li><a href="#index_s"><span>s</span></a></li>
-    <li><a href="#index_t"><span>t</span></a></li>
-    <li><a href="#index_u"><span>u</span></a></li>
-    <li><a href="#index_v"><span>v</span></a></li>
-    <li><a href="#index_w"><span>w</span></a></li>
+    <li class="current"><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
   </ul>
 </div>
 
@@ -56,223 +55,20 @@
 Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
 <p>
 <h3><a class="anchor" name="index_a">- a -</a></h3><ul>
-<li>AccountType
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">inc/libofx.h</a><li>AppendCharStringtostring()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#f54953e915499daefb8959d8b15fa6f0">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">fx-0.8.2/lib/ofx_utilities.cpp</a>, <a class="el" href="ofx__utilities_8hh.html#f54953e915499daefb8959d8b15fa6f0">ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">ofx_utilities.cpp</a><li>AUTODETECT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">inc/libofx.h</a></ul>
-<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
-<li>BankNames()
-: <a class="el" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">ofxpartner.cpp</a></ul>
-<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
-<li>CFCT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">inc/libofx.h</a><li>CharStringtostring()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#0d78db2f18e9d8b4a9916b90819d073e">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">fx-0.8.2/lib/ofx_utilities.cpp</a>, <a class="el" href="ofx__utilities_8hh.html#0d78db2f18e9d8b4a9916b90819d073e">ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">ofx_utilities.cpp</a><li>CharStringtowchar_t()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#53f86c2bd09208cb164d2cb70f2938b3">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8hh.html#53f86c2bd09208cb164d2cb70f2938b3">ofx_utilities.hh</a></ul>
-<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
-<li>DEBUG
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">messages.hh</a><li>DEBUG1
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252">messages.hh</a><li>DEBUG2
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719">messages.hh</a><li>DEBUG3
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252">messages.hh</a><li>DEBUG4
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">messages.hh</a><li>DEBUG5
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf">messages.hh</a><li>DELETE
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">inc/libofx.h</a><li>DTD_SEARCH_PATH
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">ofx_preproc.cpp</a><li>DTD_SEARCH_PATH_NUM
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">ofx_preproc.cpp</a></ul>
-<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
-<li>entity_ptr
-: <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">fx-0.8.2/lib/ofx_sgml.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">fx-0.8.2/lib/ofc_sgml.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">ofx_sgml.cpp</a>, <a class="el" href="ofc__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">ofc_sgml.cpp</a>, <a class="el" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">messages.cpp</a><li>ERROR
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">messages.hh</a><li>error_msgs_list
-: <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">fx-0.8.2/lib/ofx_error_msg.hh</a>, <a class="el" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">ofx_error_msg.hh</a></ul>
-<h3><a class="anchor" name="index_f">- f -</a></h3><ul>
-<li>false
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">inc/libofx.h</a><li>FiIdCorrectionAction
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">inc/libofx.h</a><li>find_dtd()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#5efb55f65bf1d51e4863c6cc1c10439c">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="ofx__preproc_8hh.html#5efb55f65bf1d51e4863c6cc1c10439c">ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">ofx_preproc.cpp</a><li>find_error_msg()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">fx-0.8.2/lib/ofx_error_msg.hh</a>, <a class="el" href="ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">ofx_error_msg.hh</a><li>FipidForBank()
-: <a class="el" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">ofxpartner.cpp</a></ul>
-<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
-<li>INFO
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">messages.hh</a><li>InvTransactionType
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">inc/libofx.h</a></ul>
-<h3><a class="anchor" name="index_k">- k -</a></h3><ul>
-<li>kBankFilename
-: <a class="el" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">ofxpartner.cpp</a><li>kCcFilename
-: <a class="el" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">ofxpartner.cpp</a><li>kInvFilename
-: <a class="el" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">ofxpartner.cpp</a></ul>
-<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
-<li>LAST
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">inc/libofx.h</a><li>libofx_detect_file_type()
-: <a class="el" href="fx-0_88_82_2lib_2file__preproc_8hh.html#66c966ce570524cb29e39babf2f303d5">fx-0.8.2/lib/file_preproc.hh</a>, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">fx-0.8.2/lib/file_preproc.cpp</a>, <a class="el" href="file__preproc_8hh.html#66c966ce570524cb29e39babf2f303d5">file_preproc.hh</a>, <a class="el" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">file_preproc.cpp</a><li>libofx_free_context()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">inc/libofx.h</a><li>libofx_get_file_format_description()
-: <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#02f1a3ffa44b420a4c04018a7c609673">fx-0.8.2/lib/file_preproc.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="file__preproc_8cpp.html#02f1a3ffa44b420a4c04018a7c609673">file_preproc.cpp</a>, <a class="el" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">inc/libofx.h</a><li>libofx_get_file_format_from_str()
-: <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#ff38c12e4e1b9537d55f1ef4c4b8556d">fx-0.8.2/lib/file_preproc.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="file__preproc_8cpp.html#ff38c12e4e1b9537d55f1ef4c4b8556d">file_preproc.cpp</a>, <a class="el" href="inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">inc/libofx.h</a><li>libofx_get_new_context()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">inc/libofx.h</a><li>libofx_proc_buffer()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#b9071aa8248754f9886f5d3a4a904e00">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="ofx__preproc_8cpp.html#b9071aa8248754f9886f5d3a4a904e00">ofx_preproc.cpp</a>, <a class="el" href="inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">inc/libofx.h</a><li>libofx_proc_file()
-: <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#a89d39d1d9d75a129183026eca85c967">fx-0.8.2/lib/file_preproc.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="file__preproc_8cpp.html#a89d39d1d9d75a129183026eca85c967">file_preproc.cpp</a>, <a class="el" href="inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">inc/libofx.h</a><li>libofx_request_accountinfo()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html#be4a80df141ea332f7ab31a2b7eeb4c2">fx-0.8.2/lib/ofx_request_accountinfo.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="ofx__request__accountinfo_8cpp.html#be4a80df141ea332f7ab31a2b7eeb4c2">ofx_request_accountinfo.cpp</a>, <a class="el" href="inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">inc/libofx.h</a><li>libofx_request_payment()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#0ad511b87481c301b8a9de3405c9b196">fx-0.8.2/lib/ofx_request_statement.cpp</a>, <a class="el" href="ofx__request__statement_8cpp.html#0ad511b87481c301b8a9de3405c9b196">ofx_request_statement.cpp</a><li>libofx_request_payment_status()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#f408dfb1579b0d6f980d96ffcb45e674">fx-0.8.2/lib/ofx_request_statement.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="ofx__request__statement_8cpp.html#f408dfb1579b0d6f980d96ffcb45e674">ofx_request_statement.cpp</a>, <a class="el" href="inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">inc/libofx.h</a><li>libofx_request_statement()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#39b4ef4bfd5e58227b07c2f2f5c09803">fx-0.8.2/lib/ofx_request_statement.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="ofx__request__statement_8cpp.html#39b4ef4bfd5e58227b07c2f2f5c09803">ofx_request_statement.cpp</a>, <a class="el" href="inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">inc/libofx.h</a><li>LibofxContextPtr
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">inc/libofx.h</a><li>LibofxExportFormatList
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">inc/libofx.h</a><li>LibofxFileFormat
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">inc/libofx.h</a><li>LibofxImportFormatList
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">inc/libofx.h</a><li>LibofxProcAccountCallback
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">inc/libofx.h</a><li>LibofxProcSecurityCallback
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">inc/libofx.h</a><li>LibofxProcStatementCallback
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">inc/libofx.h</a><li>LibofxProcStatusCallback
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">inc/libofx.h</a><li>LibofxProcTransactionCallback
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">inc/libofx.h</a></ul>
-<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
-<li>main()
-: <a class="el" href="ofxdump_8cpp.html#28052c36c3b61c6c0eaa18f5d226118f">ofxdump.cpp</a>, <a class="el" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">ofx2qif.c</a><li>MainContainer
-: <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_sgml.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_containers_misc.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_container_transaction.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_container_statement.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_container_security.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_container_generic.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_container_account.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofc_sgml.cpp</a>, <a class="el" href="ofx__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_sgml.cpp</a>, <a class="el" href="ofx__containers__misc_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_containers_misc.cpp</a>, <a class="el" href="ofx__container__transaction_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_container_transaction.cpp</a>, <a class="el" href="ofx__container__statement_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_container_statement.cpp</a>, <a class="el" href="ofx__container__security_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_container_security.cpp</a>, <a class="el" href="ofx__container__generic_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_container_generic.cpp</a>, <a class="el" href="ofx__container__account_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_container_account.cpp</a>, <a class="el" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofc_sgml.cpp</a><li>message_out()
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#15597c0646783f472203d52c3f7e581a">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8hh.html#15597c0646783f472203d52c3f7e581a">messages.hh</a>, <a class="el" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">messages.cpp</a></ul>
-<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
-<li>OFC
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">inc/libofx.h</a><li>ofc_proc_sgml()
-: <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html#cf526ca0ea3e6ed91c719bfb686663f7">fx-0.8.2/lib/ofc_sgml.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">fx-0.8.2/lib/ofc_sgml.cpp</a>, <a class="el" href="ofc__sgml_8hh.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_sgml.hh</a>, <a class="el" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_sgml.cpp</a><li>OFCDTD_FILENAME
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">ofx_preproc.hh</a><li>OFX
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">inc/libofx.h</a><li>OFX160DTD_FILENAME
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">ofx_preproc.hh</a><li>OFX_ACCOUNT_ID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">inc/libofx.h</a><li>OFX_ACCOUNT_NAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">inc/libofx.h</a><li>OFX_ACCTID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">inc/libofx.h</a><li>OFX_ACCTKEY_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">inc/libofx.h</a><li>OFX_AMOUNT_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#609b01533497ee31000a7503e48b2cdb">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#609b01533497ee31000a7503e48b2cdb">inc/libofx.h</a><li>OFX_ATM
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">inc/libofx.h</a><li>OFX_BALANCE_DESCRIPTION_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1319bccc0b425f593504ed4c4410e570">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#1319bccc0b425f593504ed4c4410e570">inc/libofx.h</a><li>OFX_BALANCE_NAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#bea4c8e4902b5844db76b5efefb54d67">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#bea4c8e4902b5844db76b5efefb54d67">inc/libofx.h</a><li>OFX_BANKID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">inc/libofx.h</a><li>OFX_BRANCHID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">inc/libofx.h</a><li>OFX_BROKERID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">inc/libofx.h</a><li>OFX_BUYDEBT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">inc/libofx.h</a><li>OFX_BUYMF
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">inc/libofx.h</a><li>OFX_BUYOPT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">inc/libofx.h</a><li>OFX_BUYOTHER
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">inc/libofx.h</a><li>OFX_BUYSTOCK
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">inc/libofx.h</a><li>OFX_CASH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">inc/libofx.h</a><li>OFX_CHECK
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">inc/libofx.h</a><li>OFX_CHECK_NUMBER_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#98353eaf0a31f2ade7d87e97f5c60a10">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#98353eaf0a31f2ade7d87e97f5c60a10">inc/libofx.h</a><li>OFX_CLOSUREOPT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">inc/libofx.h</a><li>OFX_CREDIT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">inc/libofx.h</a><li>OFX_CURRENCY_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">inc/libofx.h</a><li>OFX_DEBIT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">inc/libofx.h</a><li>ofx_DEBUG1_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">messages.cpp</a><li>ofx_DEBUG2_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">messages.cpp</a><li>ofx_DEBUG3_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">messages.cpp</a><li>ofx_DEBUG4_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">messages.cpp</a><li>ofx_DEBUG5_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">messages.cpp</a><li>ofx_DEBUG_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">messages.cpp</a><li>OFX_DEP
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">inc/libofx.h</a><li>OFX_DIRECTDEBIT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">inc/libofx.h</a><li>OFX_DIRECTDEP
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">inc/libofx.h</a><li>OFX_DIV
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">inc/libofx.h</a><li>OFX_ELEMENT_NAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">inc/libofx.h</a><li>ofx_ERROR_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">messages.cpp</a><li>OFX_FEE
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">inc/libofx.h</a><li>OFX_FID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">inc/libofx.h</a><li>OFX_FITID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#70a927cda060452ec535e77781d9ce71">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#70a927cda060452ec535e77781d9ce71">inc/libofx.h</a><li>OFX_INCOME
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">inc/libofx.h</a><li>ofx_INFO_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">messages.cpp</a><li>OFX_INT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">inc/libofx.h</a><li>OFX_INVEXPENSE
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">inc/libofx.h</a><li>OFX_JRNLFUND
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">inc/libofx.h</a><li>OFX_JRNLSEC
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678">inc/libofx.h</a><li>OFX_MARGININTEREST
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">inc/libofx.h</a><li>OFX_MARKETING_INFO_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">inc/libofx.h</a><li>OFX_MEMO2_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">inc/libofx.h</a><li>OFX_MEMO_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14658a025be4f8ab3ce87d59255557a1">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#14658a025be4f8ab3ce87d59255557a1">inc/libofx.h</a><li>OFX_NAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">inc/libofx.h</a><li>OFX_ORG_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">inc/libofx.h</a><li>OFX_OTHER
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">inc/libofx.h</a><li>ofx_PARSER_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">messages.cpp</a><li>OFX_PAYACCT_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#2766cffbd2b30950514516496c179094">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#2766cffbd2b30950514516496c179094">inc/libofx.h</a><li>OFX_PAYMENT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">inc/libofx.h</a><li>OFX_POS
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">inc/libofx.h</a><li>OFX_POSTALCODE_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#16781a946309e4034d67e6b6e09f7238">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#16781a946309e4034d67e6b6e09f7238">inc/libofx.h</a><li>ofx_proc_account_cb()
-: <a class="el" href="ofxdump_8cpp.html#814545865a019ace576eb0d97157d4be">ofxdump.cpp</a>, <a class="el" href="ofx2qif_8c.html#fbd0b9b3f10494320ba3601ab56c5c2d">ofx2qif.c</a><li>ofx_proc_file()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#878483503b673b330380995e1da3a7ea">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="ofx__preproc_8hh.html#878483503b673b330380995e1da3a7ea">ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_preproc.cpp</a><li>ofx_proc_security_cb()
-: <a class="el" href="ofxdump_8cpp.html#317e6b33ec82269ba18956494a5254d3">ofxdump.cpp</a><li>ofx_proc_sgml()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html#769a50bb61eeaf248abbb4e578f89842">fx-0.8.2/lib/ofx_sgml.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">fx-0.8.2/lib/ofx_sgml.cpp</a>, <a class="el" href="ofx__sgml_8hh.html#769a50bb61eeaf248abbb4e578f89842">ofx_sgml.hh</a>, <a class="el" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_sgml.cpp</a><li>ofx_proc_statement_cb()
-: <a class="el" href="ofxdump_8cpp.html#33302bd3ca5e36839ab0793cdc6441d4">ofxdump.cpp</a>, <a class="el" href="ofx2qif_8c.html#2753e6e37777c57b5346642b06142cd4">ofx2qif.c</a><li>ofx_proc_status_cb()
-: <a class="el" href="ofxdump_8cpp.html#3df9fcb280a930ef711bdec9288b9cc8">ofxdump.cpp</a><li>ofx_proc_transaction_cb()
-: <a class="el" href="ofxdump_8cpp.html#371f323211396c28d5c6319be5be3ed8">ofxdump.cpp</a>, <a class="el" href="ofx2qif_8c.html#411f3cb6e88b8669a7a4b6dc18a7e758">ofx2qif.c</a><li>OFX_REFERENCE_NUMBER_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#cc16652d1582973c4cf44886539c1b82">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#cc16652d1582973c4cf44886539c1b82">inc/libofx.h</a><li>OFX_REINVEST
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">inc/libofx.h</a><li>OFX_REPEATPMT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">inc/libofx.h</a><li>OFX_RETOFCAP
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">inc/libofx.h</a><li>OFX_SECNAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#0d5c5c4fe1700e548e70c106db0c41d8">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#0d5c5c4fe1700e548e70c106db0c41d8">inc/libofx.h</a><li>OFX_SELLDEBT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">inc/libofx.h</a><li>OFX_SELLMF
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">inc/libofx.h</a><li>OFX_SELLOPT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">inc/libofx.h</a><li>OFX_SELLOTHER
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">inc/libofx.h</a><li>OFX_SELLSTOCK
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">inc/libofx.h</a><li>ofx_set_account_cb()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">inc/libofx.h</a><li>ofx_set_security_cb()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">inc/libofx.h</a><li>ofx_set_statement_cb()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">inc/libofx.h</a><li>ofx_set_status_cb()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">inc/libofx.h</a><li>ofx_set_transaction_cb()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">inc/libofx.h</a><li>ofx_show_position
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">messages.cpp</a><li>OFX_SPLIT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">inc/libofx.h</a><li>OFX_SRVCHG
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">inc/libofx.h</a><li>OFX_STATE_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#106dffe15d30f5c17404ef6cbf9ae3fa">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#106dffe15d30f5c17404ef6cbf9ae3fa">inc/libofx.h</a><li>ofx_STATUS_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">messages.cpp</a><li>OFX_SVRTID2_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">inc/libofx.h</a><li>OFX_TICKER_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#32d832a778f16f9599a7a44575681f4d">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#32d832a778f16f9599a7a44575681f4d">inc/libofx.h</a><li>OFX_TOKEN2_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#93a79f3d4c13cd1de90e0a5742b882da">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#93a79f3d4c13cd1de90e0a5742b882da">inc/libofx.h</a><li>OFX_TRANSACTION_NAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#40f37dafcf9d45693f112a2b8275c210">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#40f37dafcf9d45693f112a2b8275c210">inc/libofx.h</a><li>OFX_TRANSFER
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">inc/libofx.h</a><li>OFX_UNIQUE_ID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">inc/libofx.h</a><li>OFX_UNIQUE_ID_TYPE_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">inc/libofx.h</a><li>OFX_URL_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">inc/libofx.h</a><li>OFX_USERID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">inc/libofx.h</a><li>OFX_USERPASS_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">inc/libofx.h</a><li>ofx_WARNING_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">messages.cpp</a><li>OFX_XFER
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">inc/libofx.h</a><li>ofxamount_to_double()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#ca59f589043d9d418168b8092809d0a1">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">fx-0.8.2/lib/ofx_utilities.cpp</a>, <a class="el" href="ofx__utilities_8hh.html#ca59f589043d9d418168b8092809d0a1">ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofx_utilities.cpp</a><li>ofxdate_to_time_t()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#a82c89f166fafe7ac376f2ecc7f1059a">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">fx-0.8.2/lib/ofx_utilities.cpp</a>, <a class="el" href="ofx__utilities_8hh.html#a82c89f166fafe7ac376f2ecc7f1059a">ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofx_utilities.cpp</a><li>OfxHeader()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#e0c9348ddcb7da503b17069e9ea77f75">fx-0.8.2/lib/ofx_request.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">fx-0.8.2/lib/ofx_request.cpp</a>, <a class="el" href="ofx__request_8hh.html#e0c9348ddcb7da503b17069e9ea77f75">ofx_request.hh</a>, <a class="el" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">ofx_request.cpp</a><li>OfxMsgType
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">messages.hh</a><li>OPENSPDCL_FILENAME
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">ofx_preproc.hh</a><li>operator&lt;&lt;()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#095339d14cabfdc91293958f37f871f7">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8hh.html#095339d14cabfdc91293958f37f871f7">ofx_utilities.hh</a></ul>
-<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
-<li>PARSER
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">messages.hh</a><li>position
-: <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">fx-0.8.2/lib/ofx_sgml.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">fx-0.8.2/lib/ofc_sgml.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">ofx_sgml.cpp</a>, <a class="el" href="ofc__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">ofc_sgml.cpp</a>, <a class="el" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">messages.cpp</a><li>post()
-: <a class="el" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">ofxpartner.cpp</a></ul>
-<h3><a class="anchor" name="index_q">- q -</a></h3><ul>
-<li>QIF
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">inc/libofx.h</a><li>QIF_FILE_MAX_SIZE
-: <a class="el" href="ofx2qif_8c.html#f3b9362349db483d66dcd2067bc9df82">ofx2qif.c</a></ul>
-<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
-<li>READ_BUFFER_SIZE
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">fx-0.8.2/lib/file_preproc.cpp</a>, <a class="el" href="ofx__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">ofx_preproc.cpp</a>, <a class="el" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">file_preproc.cpp</a><li>REPLACE
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">inc/libofx.h</a></ul>
-<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
-<li>sanitize_proprietary_tags()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#1081ea6fa992f51998090e4c24d6cc64">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="ofx__preproc_8hh.html#1081ea6fa992f51998090e4c24d6cc64">ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">ofx_preproc.cpp</a><li>ServiceInfo()
-: <a class="el" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">ofxpartner.cpp</a><li>show_line_number()
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">messages.cpp</a><li>STATUS
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">messages.hh</a><li>strip_whitespace()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#eb4379d3bf0c6900bda8b5f2feb9db92">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">fx-0.8.2/lib/ofx_utilities.cpp</a>, <a class="el" href="ofx__utilities_8hh.html#eb4379d3bf0c6900bda8b5f2feb9db92">ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">ofx_utilities.cpp</a></ul>
-<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
-<li>time_t_to_ofxdate()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#81beedfec4dc7c410153f3722fe67a77">fx-0.8.2/lib/ofx_request.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">fx-0.8.2/lib/ofx_request.cpp</a>, <a class="el" href="ofx__request_8hh.html#81beedfec4dc7c410153f3722fe67a77">ofx_request.hh</a>, <a class="el" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">ofx_request.cpp</a><li>time_t_to_ofxdatetime()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#db904c8d68b46495893e0db60a2acbcf">fx-0.8.2/lib/ofx_request.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">fx-0.8.2/lib/ofx_request.cpp</a>, <a class="el" href="ofx__request_8hh.html#db904c8d68b46495893e0db60a2acbcf">ofx_request.hh</a>, <a class="el" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">ofx_request.cpp</a><li>TransactionType
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">inc/libofx.h</a><li>true
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d3c656d7299463f92752692270f121e8">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#d3c656d7299463f92752692270f121e8">inc/libofx.h</a></ul>
-<h3><a class="anchor" name="index_u">- u -</a></h3><ul>
-<li>UNKNOWN
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">inc/libofx.h</a></ul>
-<h3><a class="anchor" name="index_v">- v -</a></h3><ul>
-<li>ValidateIndexCache()
-: <a class="el" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">ofxpartner.cpp</a></ul>
-<h3><a class="anchor" name="index_w">- w -</a></h3><ul>
-<li>WARNING
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">messages.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li>AppendCharStringtostring()
+: <a class="el" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">ofx_utilities.cpp</a>
+, <a class="el" href="ofx__utilities_8hh.html#50b88c84b759d3058397336e7ea42c32">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#50b88c84b759d3058397336e7ea42c32">fx-0.8.2/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#50b88c84b759d3058397336e7ea42c32">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">fx-0.8.2/lib/ofx_utilities.cpp</a>
+<li>AUTODETECT
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">inc/libofx.h</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== added file 'doc/html/globals_0x63.html'
--- doc/html/globals_0x63.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x63.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,78 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li class="current"><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_c">- c -</a></h3><ul>
+<li>CFCT
+: <a class="el" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">libofx-0.9.0/inc/libofx.h</a>
+<li>CharStringtostring()
+: <a class="el" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#e7575392f9f9c464ede10057dec0e8e4">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#e7575392f9f9c464ede10057dec0e8e4">fx-0.8.2/lib/ofx_utilities.hh</a>
+, <a class="el" href="ofx__utilities_8hh.html#e7575392f9f9c464ede10057dec0e8e4">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">fx-0.8.2/lib/ofx_utilities.cpp</a>
+<li>CharStringtowchar_t()
+: <a class="el" href="ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75">fx-0.8.2/lib/ofx_utilities.hh</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x64.html'
--- doc/html/globals_0x64.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x64.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,102 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li class="current"><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
+<li>DEBUG
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">fx-0.9.0/lib/messages.hh</a>
+<li>DEBUG1
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">fx-0.9.0/lib/messages.hh</a>
+<li>DEBUG2
+: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">messages.hh</a>
+<li>DEBUG3
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">fx-0.9.0/lib/messages.hh</a>
+<li>DEBUG4
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">fx-0.9.0/lib/messages.hh</a>
+<li>DEBUG5
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">fx-0.9.0/lib/messages.hh</a>
+<li>DELETE
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">inc/libofx.h</a>
+<li>DIRSEP
+: <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#2c89f3449c0cc91f289ecbef54188d8d">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="ofx__utilities_8cpp.html#2c89f3449c0cc91f289ecbef54188d8d">ofx_utilities.cpp</a>
+<li>DTD_SEARCH_PATH
+: <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">fx-0.8.2/lib/ofx_preproc.cpp</a>
+<li>DTD_SEARCH_PATH_NUM
+: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">fx-0.9.0/lib/ofx_preproc.cpp</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x65.html'
--- doc/html/globals_0x65.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x65.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,81 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li class="current"><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
+<li>entity_ptr
+: <a class="el" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">messages.cpp</a>
+, <a class="el" href="ofc__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.9.0/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.9.0/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.8.2/lib/ofc_sgml.cpp</a>
+, <a class="el" href="ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.8.2/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.9.0/lib/messages.cpp</a>
+<li>ERROR
+: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">messages.hh</a>
+<li>error_msgs_list
+: <a class="el" href="ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">ofx_error_msg.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">fx-0.8.2/lib/ofx_error_msg.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">fx-0.9.0/lib/ofx_error_msg.hh</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x66.html'
--- doc/html/globals_0x66.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x66.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,82 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li class="current"><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_f">- f -</a></h3><ul>
+<li>false
+: <a class="el" href="inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">libofx-0.9.0/inc/libofx.h</a>
+<li>FiIdCorrectionAction
+: <a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23">libofx-0.9.0/inc/libofx.h</a>
+<li>find_dtd()
+: <a class="el" href="ofx__preproc_8hh.html#a45231657cddffcb50db295076956183">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#668d0fdb6a2859c117273c02eb478e53">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#668d0fdb6a2859c117273c02eb478e53">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183">ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#a45231657cddffcb50db295076956183">fx-0.9.0/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183">fx-0.9.0/lib/ofx_preproc.cpp</a>
+<li>find_error_msg()
+: <a class="el" href="ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">ofx_error_msg.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">fx-0.8.2/lib/ofx_error_msg.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">fx-0.9.0/lib/ofx_error_msg.hh</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x69.html'
--- doc/html/globals_0x69.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x69.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,71 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li class="current"><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_i">- i -</a></h3><ul>
+<li>INFO
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">fx-0.9.0/lib/messages.hh</a>
+<li>InvTransactionType
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">libofx-0.9.0/inc/libofx.h</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x6c.html'
--- doc/html/globals_0x6c.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x6c.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,197 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li class="current"><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
+<li>LAST
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">libofx-0.9.0/inc/libofx.h</a>
+<li>LIBOFX_BUILD_VERSION
+: <a class="el" href="inc_2libofx_8h.html#483ab1dcfec944873e1d112a089b7419">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#483ab1dcfec944873e1d112a089b7419">libofx-0.9.0/inc/libofx.h</a>
+<li>LIBOFX_DEFAULT_INPUT_ENCODING
+: <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">fx-0.8.2/lib/ofx_preproc.cpp</a>
+<li>LIBOFX_DEFAULT_OUTPUT_ENCODING
+: <a class="el" href="ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">fx-0.9.0/lib/ofx_preproc.cpp</a>
+<li>libofx_detect_file_type()
+: <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">fx-0.9.0/lib/file_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2file__preproc_8hh.html#34e14069654b16390599d24154b1f8d0">fx-0.9.0/lib/file_preproc.hh</a>
+, <a class="el" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">file_preproc.cpp</a>
+, <a class="el" href="file__preproc_8hh.html#34e14069654b16390599d24154b1f8d0">file_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">fx-0.8.2/lib/file_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8hh.html#34e14069654b16390599d24154b1f8d0">fx-0.8.2/lib/file_preproc.hh</a>
+<li>libofx_free_context()
+: <a class="el" href="inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf">libofx-0.9.0/inc/libofx.h</a>
+<li>libofx_get_file_format_description()
+: <a class="el" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e">inc/libofx.h</a>
+, <a class="el" href="file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">file_preproc.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">fx-0.8.2/lib/file_preproc.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">fx-0.9.0/lib/file_preproc.cpp</a>
+<li>libofx_get_file_format_from_str()
+: <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">fx-0.9.0/lib/file_preproc.cpp</a>
+, <a class="el" href="inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a">inc/libofx.h</a>
+, <a class="el" href="file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">file_preproc.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">fx-0.8.2/lib/file_preproc.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a">libofx-0.9.0/inc/libofx.h</a>
+<li>libofx_get_new_context()
+: <a class="el" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0">libofx-0.9.0/inc/libofx.h</a>
+<li>LIBOFX_MAJOR_VERSION
+: <a class="el" href="inc_2libofx_8h.html#9ad8c7b7d900c6928e9140615f1275a3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#9ad8c7b7d900c6928e9140615f1275a3">libofx-0.9.0/inc/libofx.h</a>
+<li>LIBOFX_MICRO_VERSION
+: <a class="el" href="inc_2libofx_8h.html#ccb0524df75c9175dc818990f6e5c03c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#ccb0524df75c9175dc818990f6e5c03c">libofx-0.9.0/inc/libofx.h</a>
+<li>LIBOFX_MINOR_VERSION
+: <a class="el" href="inc_2libofx_8h.html#3527e3d14bbc471075eaadb71b9e39f1">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#3527e3d14bbc471075eaadb71b9e39f1">libofx-0.9.0/inc/libofx.h</a>
+<li>libofx_proc_buffer()
+: <a class="el" href="inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">inc/libofx.h</a>
+, <a class="el" href="ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">ofx_preproc.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">fx-0.9.0/lib/ofx_preproc.cpp</a>
+<li>libofx_proc_file()
+: <a class="el" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805">inc/libofx.h</a>
+, <a class="el" href="file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">file_preproc.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">fx-0.8.2/lib/file_preproc.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">fx-0.9.0/lib/file_preproc.cpp</a>
+<li>libofx_request_accountinfo()
+: <a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">fx-0.9.0/lib/ofx_request_accountinfo.cpp</a>
+, <a class="el" href="inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449">inc/libofx.h</a>
+, <a class="el" href="ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">ofx_request_accountinfo.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">fx-0.8.2/lib/ofx_request_accountinfo.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449">libofx-0.9.0/inc/libofx.h</a>
+<li>libofx_request_payment()
+: <a class="el" href="ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">ofx_request_statement.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">fx-0.8.2/lib/ofx_request_statement.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">fx-0.9.0/lib/ofx_request_statement.cpp</a>
+<li>libofx_request_payment_status()
+: <a class="el" href="ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">ofx_request_statement.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">fx-0.8.2/lib/ofx_request_statement.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">fx-0.9.0/lib/ofx_request_statement.cpp</a>
+, <a class="el" href="inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">inc/libofx.h</a>
+<li>libofx_request_statement()
+: <a class="el" href="inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d">inc/libofx.h</a>
+, <a class="el" href="ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">ofx_request_statement.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">fx-0.8.2/lib/ofx_request_statement.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">fx-0.9.0/lib/ofx_request_statement.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d">libofx-0.8.2/inc/libofx.h</a>
+<li>libofx_set_dtd_dir()
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">inc/libofx.h</a>
+<li>LIBOFX_VERSION_RELEASE_STRING
+: <a class="el" href="inc_2libofx_8h.html#68cfe36f821e562e01082c66030ac8aa">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#68cfe36f821e562e01082c66030ac8aa">libofx-0.9.0/inc/libofx.h</a>
+<li>LibofxContextPtr
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">inc/libofx.h</a>
+<li>LibofxExportFormatList
+: <a class="el" href="inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">libofx-0.8.2/inc/libofx.h</a>
+<li>LibofxFileFormat
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">libofx-0.9.0/inc/libofx.h</a>
+<li>LibofxImportFormatList
+: <a class="el" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">libofx-0.9.0/inc/libofx.h</a>
+<li>LibofxProcAccountCallback
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">inc/libofx.h</a>
+<li>LibofxProcSecurityCallback
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">libofx-0.9.0/inc/libofx.h</a>
+<li>LibofxProcStatementCallback
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">libofx-0.9.0/inc/libofx.h</a>
+<li>LibofxProcStatusCallback
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">inc/libofx.h</a>
+<li>LibofxProcTransactionCallback
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">inc/libofx.h</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x6d.html'
--- doc/html/globals_0x6d.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x6d.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,103 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li class="current"><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
+<li>main()
+: <a class="el" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">ofx2qif.c</a>
+, <a class="el" href="ofxdump_8cpp.html#0ddf1224851353fc92bfbff6f499fa97">ofxdump.cpp</a>
+<li>MainContainer
+: <a class="el" href="ofx__container__account_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_container_account.cpp</a>
+, <a class="el" href="ofx__container__transaction_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_container_transaction.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_container_transaction.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_containers_misc.cpp</a>
+, <a class="el" href="ofx__containers__misc_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_containers_misc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofc_sgml.cpp</a>
+, <a class="el" href="ofx__container__generic_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_container_generic.cpp</a>
+, <a class="el" href="ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_containers_misc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_container_transaction.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__container__statement_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_container_statement.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__container__security_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_container_security.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__container__account_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_container_account.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__container__generic_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_container_generic.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofc_sgml.cpp</a>
+, <a class="el" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofc_sgml.cpp</a>
+, <a class="el" href="ofx__container__security_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_container_security.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_container_account.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_container_statement.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_container_security.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_container_generic.cpp</a>
+, <a class="el" href="ofx__container__statement_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_container_statement.cpp</a>
+<li>message_out()
+: <a class="el" href="messages_8hh.html#6f56d85178951a91c7a06ea0538aa2d4">messages.hh</a>
+, <a class="el" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#6f56d85178951a91c7a06ea0538aa2d4">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#6f56d85178951a91c7a06ea0538aa2d4">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">fx-0.8.2/lib/messages.cpp</a>
+<li>mkTempFileName()
+: <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#a0e945c824a3012017b4babd721d9f38">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">ofx_utilities.cpp</a>
+, <a class="el" href="ofx__utilities_8hh.html#a0e945c824a3012017b4babd721d9f38">ofx_utilities.hh</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x6f.html'
--- doc/html/globals_0x6f.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x6f.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,507 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li class="current"><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
+<li>OFC
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">libofx-0.9.0/inc/libofx.h</a>
+<li>ofc_proc_sgml()
+: <a class="el" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">fx-0.9.0/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8hh.html#ee7c042ff1c1d0ee11c693a9617735e5">fx-0.9.0/lib/ofc_sgml.hh</a>
+, <a class="el" href="ofc__sgml_8hh.html#ee7c042ff1c1d0ee11c693a9617735e5">ofc_sgml.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">fx-0.8.2/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html#ee7c042ff1c1d0ee11c693a9617735e5">fx-0.8.2/lib/ofc_sgml.hh</a>
+<li>OFCDTD_FILENAME
+: <a class="el" href="ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">fx-0.9.0/lib/ofx_preproc.hh</a>
+<li>OFX
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX160DTD_FILENAME
+: <a class="el" href="ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">fx-0.9.0/lib/ofx_preproc.hh</a>
+<li>OFX_ACCOUNT_ID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#69861648d37d02054778473eece609f5">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#69861648d37d02054778473eece609f5">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ACCOUNT_NAME_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ACCTID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ACCTKEY_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_AMOUNT_LENGTH
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">inc/libofx.h</a>
+<li>OFX_APPID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#a821a583f7c4a219c1cb5343ca2710e3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a821a583f7c4a219c1cb5343ca2710e3">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_APPVER_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#b6e3588136989b8dd250fc6918294012">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b6e3588136989b8dd250fc6918294012">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ATM
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BALANCE_DESCRIPTION_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BALANCE_NAME_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BANKID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BRANCHID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BROKERID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BUYDEBT
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BUYMF
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BUYOPT
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_BUYOTHER
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BUYSTOCK
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CASH
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CHECK
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CHECK_NUMBER_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CLOSUREOPT
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CREDIT
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CURRENCY_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_DEBIT
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">libofx-0.9.0/inc/libofx.h</a>
+<li>ofx_DEBUG1_msg
+: <a class="el" href="messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_DEBUG2_msg
+: <a class="el" href="messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_DEBUG3_msg
+: <a class="el" href="messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_DEBUG4_msg
+: <a class="el" href="messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_DEBUG5_msg
+: <a class="el" href="messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_DEBUG_msg
+: <a class="el" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">fx-0.9.0/lib/messages.cpp</a>
+<li>OFX_DEP
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_DIRECTDEBIT
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_DIRECTDEP
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_DIV
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ELEMENT_NAME_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">libofx-0.9.0/inc/libofx.h</a>
+<li>ofx_ERROR_msg
+: <a class="el" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">fx-0.9.0/lib/messages.cpp</a>
+<li>OFX_FEE
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_FID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_FITID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_HEADERVERSION_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#56203dc319d05344eb8bf9918db99c65">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#56203dc319d05344eb8bf9918db99c65">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_INCOME
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">libofx-0.9.0/inc/libofx.h</a>
+<li>ofx_INFO_msg
+: <a class="el" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">fx-0.9.0/lib/messages.cpp</a>
+<li>OFX_INT
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_INVEXPENSE
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_JRNLFUND
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_JRNLSEC
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_MARGININTEREST
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_MARKETING_INFO_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_MEMO2_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_MEMO_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_NAME_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ORG_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_OTHER
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">libofx-0.9.0/inc/libofx.h</a>
+<li>ofx_PARSER_msg
+: <a class="el" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">fx-0.9.0/lib/messages.cpp</a>
+<li>OFX_PAYACCT_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_PAYMENT
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_POS
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_POSTALCODE_LENGTH
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">libofx-0.9.0/inc/libofx.h</a>
+<li>ofx_proc_account_cb()
+: <a class="el" href="ofx2qif_8c.html#38eb5d0ff22f171823f8d507255460bd">ofx2qif.c</a>
+, <a class="el" href="ofxdump_8cpp.html#9473bc2a5282ec3d70de240a2e5aac26">ofxdump.cpp</a>
+<li>ofx_proc_file()
+: <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8hh.html#962fcc61a6192bd63ac3fb234fd07cc4">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#962fcc61a6192bd63ac3fb234fd07cc4">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#962fcc61a6192bd63ac3fb234fd07cc4">fx-0.9.0/lib/ofx_preproc.hh</a>
+<li>ofx_proc_security_cb()
+: <a class="el" href="ofxdump_8cpp.html#a7664a0520b502d7592e282a29e391b3">ofxdump.cpp</a>
+<li>ofx_proc_sgml()
+: <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8hh.html#27d475cfed072c1761992192a9ce83cc">fx-0.9.0/lib/ofx_sgml.hh</a>
+, <a class="el" href="ofx__sgml_8hh.html#27d475cfed072c1761992192a9ce83cc">ofx_sgml.hh</a>
+, <a class="el" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">fx-0.8.2/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html#27d475cfed072c1761992192a9ce83cc">fx-0.8.2/lib/ofx_sgml.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">fx-0.9.0/lib/ofx_sgml.cpp</a>
+<li>ofx_proc_statement_cb()
+: <a class="el" href="ofx2qif_8c.html#8f46bf3d68bbd9cc9d6471d310168b45">ofx2qif.c</a>
+, <a class="el" href="ofxdump_8cpp.html#1bde0ef62b6d4a3381e09225bc73dc77">ofxdump.cpp</a>
+<li>ofx_proc_status_cb()
+: <a class="el" href="ofxdump_8cpp.html#a069e96633e6527f5adb8635968eb471">ofxdump.cpp</a>
+<li>ofx_proc_transaction_cb()
+: <a class="el" href="ofx2qif_8c.html#7850aaa7c07cabcacb6849e82f773463">ofx2qif.c</a>
+, <a class="el" href="ofxdump_8cpp.html#6940ffe6adc71a091fdef20a460c2364">ofxdump.cpp</a>
+<li>OFX_REFERENCE_NUMBER_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_REINVEST
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_REPEATPMT
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">inc/libofx.h</a>
+<li>OFX_RETOFCAP
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_SECNAME_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_SELLDEBT
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">inc/libofx.h</a>
+<li>OFX_SELLMF
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">inc/libofx.h</a>
+<li>OFX_SELLOPT
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_SELLOTHER
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">inc/libofx.h</a>
+<li>OFX_SELLSTOCK
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">libofx-0.8.2/inc/libofx.h</a>
+<li>ofx_set_account_cb()
+: <a class="el" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">libofx-0.8.2/inc/libofx.h</a>
+<li>ofx_set_security_cb()
+: <a class="el" href="inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">libofx-0.9.0/inc/libofx.h</a>
+<li>ofx_set_statement_cb()
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">libofx-0.8.2/inc/libofx.h</a>
+<li>ofx_set_status_cb()
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">inc/libofx.h</a>
+<li>ofx_set_transaction_cb()
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">inc/libofx.h</a>
+<li>ofx_show_position
+: <a class="el" href="messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">fx-0.9.0/lib/messages.cpp</a>
+<li>OFX_SPLIT
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_SRVCHG
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_STATE_LENGTH
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">inc/libofx.h</a>
+<li>ofx_STATUS_msg
+: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">messages.cpp</a>
+<li>OFX_SVRTID2_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_TICKER_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_TOKEN2_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_TRANSACTION_NAME_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_TRANSFER
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">inc/libofx.h</a>
+<li>OFX_UNIQUE_ID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_UNIQUE_ID_TYPE_LENGTH
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">inc/libofx.h</a>
+<li>OFX_URL_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">inc/libofx.h</a>
+<li>OFX_USERID_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">inc/libofx.h</a>
+<li>OFX_USERPASS_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">libofx-0.9.0/inc/libofx.h</a>
+<li>ofx_WARNING_msg
+: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">fx-0.9.0/lib/messages.cpp</a>
+<li>OFX_XFER
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">inc/libofx.h</a>
+<li>ofxamount_to_double()
+: <a class="el" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">fx-0.8.2/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#bfca5b423e5d7b194eb53c53f706f6ba">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#bfca5b423e5d7b194eb53c53f706f6ba">fx-0.8.2/lib/ofx_utilities.hh</a>
+, <a class="el" href="ofx__utilities_8hh.html#bfca5b423e5d7b194eb53c53f706f6ba">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">fx-0.9.0/lib/ofx_utilities.cpp</a>
+<li>ofxdate_to_time_t()
+: <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#5fdbbc08f8d80a534f8db03d25316d7a">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">fx-0.8.2/lib/ofx_utilities.cpp</a>
+, <a class="el" href="ofx__utilities_8hh.html#5fdbbc08f8d80a534f8db03d25316d7a">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#5fdbbc08f8d80a534f8db03d25316d7a">fx-0.8.2/lib/ofx_utilities.hh</a>
+<li>OfxHeader()
+: <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#399259df57ba3945719d5282b3601af3">fx-0.8.2/lib/ofx_request.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">fx-0.9.0/lib/ofx_request.cpp</a>
+, <a class="el" href="ofx__request_8hh.html#38a94b99f351615ee7a342f409db8499">ofx_request.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html#38a94b99f351615ee7a342f409db8499">fx-0.9.0/lib/ofx_request.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#399259df57ba3945719d5282b3601af3">fx-0.8.2/lib/ofx_request.hh</a>
+, <a class="el" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">ofx_request.cpp</a>
+<li>OfxMsgType
+: <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">fx-0.8.2/lib/messages.hh</a>
+<li>OPENSPDCL_FILENAME
+: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">fx-0.9.0/lib/ofx_preproc.hh</a>
+, <a class="el" href="ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">ofx_preproc.hh</a>
+<li>operator&lt;&lt;()
+: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e">fx-0.8.2/lib/ofx_utilities.hh</a>
+, <a class="el" href="ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e">fx-0.9.0/lib/ofx_utilities.hh</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x70.html'
--- doc/html/globals_0x70.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x70.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,77 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li class="current"><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
+<li>PARSER
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">fx-0.9.0/lib/messages.hh</a>
+<li>position
+: <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.8.2/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.8.2/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">ofx_sgml.cpp</a>
+, <a class="el" href="ofc__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">ofc_sgml.cpp</a>
+, <a class="el" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.9.0/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.9.0/lib/ofx_sgml.cpp</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x71.html'
--- doc/html/globals_0x71.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x71.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,69 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li class="current"><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_q">- q -</a></h3><ul>
+<li>QIF
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">libofx-0.9.0/inc/libofx.h</a>
+<li>QIF_FILE_MAX_SIZE
+: <a class="el" href="ofx2qif_8c.html#746e398756fe4d68b06e3bbd1418402a">ofx2qif.c</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x72.html'
--- doc/html/globals_0x72.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x72.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,74 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li class="current"><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
+<li>READ_BUFFER_SIZE
+: <a class="el" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">file_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">fx-0.9.0/lib/file_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">fx-0.8.2/lib/file_preproc.cpp</a>
+<li>REPLACE
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">inc/libofx.h</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x73.html'
--- doc/html/globals_0x73.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x73.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,85 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li class="current"><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_s">- s -</a></h3><ul>
+<li>sanitize_proprietary_tags()
+: <a class="el" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8hh.html#cdbd49c3c11946411dd76016609bd333">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#cdbd49c3c11946411dd76016609bd333">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#cdbd49c3c11946411dd76016609bd333">fx-0.9.0/lib/ofx_preproc.hh</a>
+<li>show_line_number()
+: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">messages.cpp</a>
+<li>STATUS
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">fx-0.9.0/lib/messages.hh</a>
+<li>strip_whitespace()
+: <a class="el" href="ofx__utilities_8hh.html#34933785dd934134973847e58a700733">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">fx-0.8.2/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#34933785dd934134973847e58a700733">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#34933785dd934134973847e58a700733">fx-0.8.2/lib/ofx_utilities.hh</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x74.html'
--- doc/html/globals_0x74.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x74.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,85 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li class="current"><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_t">- t -</a></h3><ul>
+<li>time_t_to_ofxdate()
+: <a class="el" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">ofx_request.cpp</a>
+, <a class="el" href="ofx__request_8hh.html#34e84f6346e9d35feba51592e3db190c">ofx_request.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#34e84f6346e9d35feba51592e3db190c">fx-0.8.2/lib/ofx_request.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">fx-0.9.0/lib/ofx_request.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">fx-0.8.2/lib/ofx_request.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html#34e84f6346e9d35feba51592e3db190c">fx-0.9.0/lib/ofx_request.hh</a>
+<li>time_t_to_ofxdatetime()
+: <a class="el" href="ofx__request_8hh.html#2f86a163dc83453b02683f1d20d6b3d6">ofx_request.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">fx-0.8.2/lib/ofx_request.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#2f86a163dc83453b02683f1d20d6b3d6">fx-0.8.2/lib/ofx_request.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">fx-0.9.0/lib/ofx_request.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html#2f86a163dc83453b02683f1d20d6b3d6">fx-0.9.0/lib/ofx_request.hh</a>
+, <a class="el" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">ofx_request.cpp</a>
+<li>TransactionType
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">libofx-0.8.2/inc/libofx.h</a>
+<li>true
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">libofx-0.9.0/inc/libofx.h</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x75.html'
--- doc/html/globals_0x75.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x75.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,67 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li class="current"><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_u">- u -</a></h3><ul>
+<li>UNKNOWN
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">libofx-0.8.2/inc/libofx.h</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/globals_0x77.html'
--- doc/html/globals_0x77.html	1970-01-01 00:00:00 +0000
+++ doc/html/globals_0x77.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,67 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: Data Fields</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li class="current"><a href="globals.html"><span>All</span></a></li>
+    <li><a href="globals_func.html"><span>Functions</span></a></li>
+    <li><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li><a href="globals_defs.html"><span>Defines</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="globals.html#index_a"><span>a</span></a></li>
+    <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
+    <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
+    <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
+    <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
+    <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
+    <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
+    <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
+    <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
+    <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
+    <li><a href="globals_0x71.html#index_q"><span>q</span></a></li>
+    <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
+    <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
+    <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
+    <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
+    <li class="current"><a href="globals_0x77.html#index_w"><span>w</span></a></li>
+  </ul>
+</div>
+
+<p>
+Here is a list of all documented functions, variables, defines, enums, and typedefs with links to the documentation:
+<p>
+<h3><a class="anchor" name="index_w">- w -</a></h3><ul>
+<li>WARNING
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">fx-0.8.2/lib/messages.hh</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== modified file 'doc/html/globals_defs.html'
--- doc/html/globals_defs.html	2006-10-20 13:12:33 +0000
+++ doc/html/globals_defs.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li id="current"><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="globals.html"><span>All</span></a></li>
@@ -25,13 +27,15 @@
     <li><a href="globals_type.html"><span>Typedefs</span></a></li>
     <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
     <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
-    <li id="current"><a href="globals_defs.html"><span>Defines</span></a></li>
+    <li class="current"><a href="globals_defs.html"><span>Defines</span></a></li>
   </ul>
 </div>
 <div class="tabs">
   <ul>
     <li><a href="#index_c"><span>c</span></a></li>
+    <li><a href="#index_d"><span>d</span></a></li>
     <li><a href="#index_f"><span>f</span></a></li>
+    <li><a href="#index_l"><span>l</span></a></li>
     <li><a href="#index_o"><span>o</span></a></li>
     <li><a href="#index_q"><span>q</span></a></li>
     <li><a href="#index_t"><span>t</span></a></li>
@@ -43,57 +47,217 @@
 <p>
 <h3><a class="anchor" name="index_c">- c -</a></h3><ul>
 <li>CFCT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">inc/libofx.h</a></ul>
+: <a class="el" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">libofx-0.8.2/inc/libofx.h</a>
+</ul>
+<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
+<li>DIRSEP
+: <a class="el" href="ofx__utilities_8cpp.html#2c89f3449c0cc91f289ecbef54188d8d">ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#2c89f3449c0cc91f289ecbef54188d8d">fx-0.9.0/lib/ofx_utilities.cpp</a>
+</ul>
 <h3><a class="anchor" name="index_f">- f -</a></h3><ul>
 <li>false
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">inc/libofx.h</a></ul>
+: <a class="el" href="inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">libofx-0.8.2/inc/libofx.h</a>
+</ul>
+<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
+<li>LIBOFX_BUILD_VERSION
+: <a class="el" href="inc_2libofx_8h.html#483ab1dcfec944873e1d112a089b7419">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#483ab1dcfec944873e1d112a089b7419">libofx-0.9.0/inc/libofx.h</a>
+<li>LIBOFX_DEFAULT_INPUT_ENCODING
+: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">ofx_preproc.cpp</a>
+<li>LIBOFX_DEFAULT_OUTPUT_ENCODING
+: <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">fx-0.8.2/lib/ofx_preproc.cpp</a>
+<li>LIBOFX_MAJOR_VERSION
+: <a class="el" href="inc_2libofx_8h.html#9ad8c7b7d900c6928e9140615f1275a3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#9ad8c7b7d900c6928e9140615f1275a3">libofx-0.9.0/inc/libofx.h</a>
+<li>LIBOFX_MICRO_VERSION
+: <a class="el" href="inc_2libofx_8h.html#ccb0524df75c9175dc818990f6e5c03c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#ccb0524df75c9175dc818990f6e5c03c">libofx-0.9.0/inc/libofx.h</a>
+<li>LIBOFX_MINOR_VERSION
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#3527e3d14bbc471075eaadb71b9e39f1">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#3527e3d14bbc471075eaadb71b9e39f1">inc/libofx.h</a>
+<li>LIBOFX_VERSION_RELEASE_STRING
+: <a class="el" href="inc_2libofx_8h.html#68cfe36f821e562e01082c66030ac8aa">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#68cfe36f821e562e01082c66030ac8aa">libofx-0.9.0/inc/libofx.h</a>
+</ul>
 <h3><a class="anchor" name="index_o">- o -</a></h3><ul>
 <li>OFCDTD_FILENAME
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">ofx_preproc.hh</a><li>OFX160DTD_FILENAME
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">ofx_preproc.hh</a><li>OFX_ACCOUNT_ID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">inc/libofx.h</a><li>OFX_ACCOUNT_NAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">inc/libofx.h</a><li>OFX_ACCTID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">inc/libofx.h</a><li>OFX_ACCTKEY_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">inc/libofx.h</a><li>OFX_AMOUNT_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#609b01533497ee31000a7503e48b2cdb">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#609b01533497ee31000a7503e48b2cdb">inc/libofx.h</a><li>OFX_BALANCE_DESCRIPTION_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1319bccc0b425f593504ed4c4410e570">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#1319bccc0b425f593504ed4c4410e570">inc/libofx.h</a><li>OFX_BALANCE_NAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#bea4c8e4902b5844db76b5efefb54d67">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#bea4c8e4902b5844db76b5efefb54d67">inc/libofx.h</a><li>OFX_BANKID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">inc/libofx.h</a><li>OFX_BRANCHID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">inc/libofx.h</a><li>OFX_BROKERID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">inc/libofx.h</a><li>OFX_CHECK_NUMBER_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#98353eaf0a31f2ade7d87e97f5c60a10">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#98353eaf0a31f2ade7d87e97f5c60a10">inc/libofx.h</a><li>OFX_CURRENCY_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">inc/libofx.h</a><li>OFX_ELEMENT_NAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">inc/libofx.h</a><li>OFX_FID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">inc/libofx.h</a><li>OFX_FITID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#70a927cda060452ec535e77781d9ce71">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#70a927cda060452ec535e77781d9ce71">inc/libofx.h</a><li>OFX_MARKETING_INFO_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">inc/libofx.h</a><li>OFX_MEMO2_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">inc/libofx.h</a><li>OFX_MEMO_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14658a025be4f8ab3ce87d59255557a1">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#14658a025be4f8ab3ce87d59255557a1">inc/libofx.h</a><li>OFX_NAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">inc/libofx.h</a><li>OFX_ORG_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">inc/libofx.h</a><li>OFX_PAYACCT_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#2766cffbd2b30950514516496c179094">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#2766cffbd2b30950514516496c179094">inc/libofx.h</a><li>OFX_POSTALCODE_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#16781a946309e4034d67e6b6e09f7238">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#16781a946309e4034d67e6b6e09f7238">inc/libofx.h</a><li>OFX_REFERENCE_NUMBER_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#cc16652d1582973c4cf44886539c1b82">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#cc16652d1582973c4cf44886539c1b82">inc/libofx.h</a><li>OFX_SECNAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#0d5c5c4fe1700e548e70c106db0c41d8">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#0d5c5c4fe1700e548e70c106db0c41d8">inc/libofx.h</a><li>OFX_STATE_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#106dffe15d30f5c17404ef6cbf9ae3fa">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#106dffe15d30f5c17404ef6cbf9ae3fa">inc/libofx.h</a><li>OFX_SVRTID2_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">inc/libofx.h</a><li>OFX_TICKER_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#32d832a778f16f9599a7a44575681f4d">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#32d832a778f16f9599a7a44575681f4d">inc/libofx.h</a><li>OFX_TOKEN2_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#93a79f3d4c13cd1de90e0a5742b882da">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#93a79f3d4c13cd1de90e0a5742b882da">inc/libofx.h</a><li>OFX_TRANSACTION_NAME_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#40f37dafcf9d45693f112a2b8275c210">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#40f37dafcf9d45693f112a2b8275c210">inc/libofx.h</a><li>OFX_UNIQUE_ID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">inc/libofx.h</a><li>OFX_UNIQUE_ID_TYPE_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">inc/libofx.h</a><li>OFX_URL_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">inc/libofx.h</a><li>OFX_USERID_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">inc/libofx.h</a><li>OFX_USERPASS_LENGTH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">inc/libofx.h</a><li>OPENSPDCL_FILENAME
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">ofx_preproc.hh</a></ul>
+: <a class="el" href="ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">fx-0.9.0/lib/ofx_preproc.hh</a>
+<li>OFX160DTD_FILENAME
+: <a class="el" href="ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">fx-0.9.0/lib/ofx_preproc.hh</a>
+<li>OFX_ACCOUNT_ID_LENGTH
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#69861648d37d02054778473eece609f5">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#69861648d37d02054778473eece609f5">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">inc/libofx.h</a>
+<li>OFX_ACCOUNT_NAME_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ACCTID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ACCTKEY_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_AMOUNT_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_APPID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#a821a583f7c4a219c1cb5343ca2710e3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a821a583f7c4a219c1cb5343ca2710e3">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_APPVER_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#b6e3588136989b8dd250fc6918294012">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b6e3588136989b8dd250fc6918294012">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BALANCE_DESCRIPTION_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BALANCE_NAME_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BANKID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BRANCHID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BROKERID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CHECK_NUMBER_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CURRENCY_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ELEMENT_NAME_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_FID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_FITID_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_HEADERVERSION_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#56203dc319d05344eb8bf9918db99c65">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#56203dc319d05344eb8bf9918db99c65">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_MARKETING_INFO_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_MEMO2_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_MEMO_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_NAME_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ORG_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_PAYACCT_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_POSTALCODE_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_REFERENCE_NUMBER_LENGTH
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">inc/libofx.h</a>
+<li>OFX_SECNAME_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_STATE_LENGTH
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_SVRTID2_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_TICKER_LENGTH
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">inc/libofx.h</a>
+<li>OFX_TOKEN2_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_TRANSACTION_NAME_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_UNIQUE_ID_LENGTH
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">inc/libofx.h</a>
+<li>OFX_UNIQUE_ID_TYPE_LENGTH
+: <a class="el" href="inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_URL_LENGTH
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">inc/libofx.h</a>
+<li>OFX_USERID_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_USERPASS_LENGTH
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">inc/libofx.h</a>
+<li>OPENSPDCL_FILENAME
+: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">fx-0.9.0/lib/ofx_preproc.hh</a>
+</ul>
 <h3><a class="anchor" name="index_q">- q -</a></h3><ul>
 <li>QIF_FILE_MAX_SIZE
-: <a class="el" href="ofx2qif_8c.html#f3b9362349db483d66dcd2067bc9df82">ofx2qif.c</a></ul>
+: <a class="el" href="ofx2qif_8c.html#746e398756fe4d68b06e3bbd1418402a">ofx2qif.c</a>
+</ul>
 <h3><a class="anchor" name="index_t">- t -</a></h3><ul>
 <li>true
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d3c656d7299463f92752692270f121e8">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#d3c656d7299463f92752692270f121e8">inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+: <a class="el" href="inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">libofx-0.8.2/inc/libofx.h</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/globals_enum.html'
--- doc/html/globals_enum.html	2006-10-20 13:12:33 +0000
+++ doc/html/globals_enum.html	2008-02-06 17:25:16 +0000
@@ -1,29 +1,31 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li id="current"><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="globals.html"><span>All</span></a></li>
     <li><a href="globals_func.html"><span>Functions</span></a></li>
     <li><a href="globals_vars.html"><span>Variables</span></a></li>
     <li><a href="globals_type.html"><span>Typedefs</span></a></li>
-    <li id="current"><a href="globals_enum.html"><span>Enumerations</span></a></li>
+    <li class="current"><a href="globals_enum.html"><span>Enumerations</span></a></li>
     <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
     <li><a href="globals_defs.html"><span>Defines</span></a></li>
   </ul>
@@ -31,15 +33,29 @@
 &nbsp;
 <p>
 <ul>
-<li>AccountType
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">inc/libofx.h</a><li>FiIdCorrectionAction
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">inc/libofx.h</a><li>InvTransactionType
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">inc/libofx.h</a><li>LibofxFileFormat
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">inc/libofx.h</a><li>OfxMsgType
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">messages.hh</a><li>TransactionType
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li>FiIdCorrectionAction
+: <a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23">libofx-0.8.2/inc/libofx.h</a>
+<li>InvTransactionType
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">libofx-0.8.2/inc/libofx.h</a>
+<li>LibofxFileFormat
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">libofx-0.8.2/inc/libofx.h</a>
+<li>OfxMsgType
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">fx-0.8.2/lib/messages.hh</a>
+<li>TransactionType
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">libofx-0.8.2/inc/libofx.h</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/globals_eval.html'
--- doc/html/globals_eval.html	2006-10-20 13:12:33 +0000
+++ doc/html/globals_eval.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li id="current"><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="globals.html"><span>All</span></a></li>
@@ -24,7 +26,7 @@
     <li><a href="globals_vars.html"><span>Variables</span></a></li>
     <li><a href="globals_type.html"><span>Typedefs</span></a></li>
     <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
-    <li id="current"><a href="globals_eval.html"><span>Enumerator</span></a></li>
+    <li class="current"><a href="globals_eval.html"><span>Enumerator</span></a></li>
     <li><a href="globals_defs.html"><span>Defines</span></a></li>
   </ul>
 </div>
@@ -50,86 +52,254 @@
 <p>
 <h3><a class="anchor" name="index_a">- a -</a></h3><ul>
 <li>AUTODETECT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">inc/libofx.h</a></ul>
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">libofx-0.8.2/inc/libofx.h</a>
+</ul>
 <h3><a class="anchor" name="index_d">- d -</a></h3><ul>
 <li>DEBUG
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">messages.hh</a><li>DEBUG1
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252">messages.hh</a><li>DEBUG2
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719">messages.hh</a><li>DEBUG3
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252">messages.hh</a><li>DEBUG4
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">messages.hh</a><li>DEBUG5
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf">messages.hh</a><li>DELETE
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">inc/libofx.h</a></ul>
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">fx-0.9.0/lib/messages.hh</a>
+<li>DEBUG1
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">fx-0.9.0/lib/messages.hh</a>
+<li>DEBUG2
+: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">messages.hh</a>
+<li>DEBUG3
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">fx-0.8.2/lib/messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">fx-0.9.0/lib/messages.hh</a>
+<li>DEBUG4
+: <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">fx-0.8.2/lib/messages.hh</a>
+<li>DEBUG5
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">fx-0.8.2/lib/messages.hh</a>
+<li>DELETE
+: <a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">libofx-0.8.2/inc/libofx.h</a>
+</ul>
 <h3><a class="anchor" name="index_e">- e -</a></h3><ul>
 <li>ERROR
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">messages.hh</a></ul>
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">fx-0.8.2/lib/messages.hh</a>
+</ul>
 <h3><a class="anchor" name="index_i">- i -</a></h3><ul>
 <li>INFO
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">messages.hh</a></ul>
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">fx-0.8.2/lib/messages.hh</a>
+</ul>
 <h3><a class="anchor" name="index_l">- l -</a></h3><ul>
 <li>LAST
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">inc/libofx.h</a></ul>
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">libofx-0.8.2/inc/libofx.h</a>
+</ul>
 <h3><a class="anchor" name="index_o">- o -</a></h3><ul>
 <li>OFC
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">inc/libofx.h</a><li>OFX
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">inc/libofx.h</a><li>OFX_ATM
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">inc/libofx.h</a><li>OFX_BUYDEBT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">inc/libofx.h</a><li>OFX_BUYMF
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">inc/libofx.h</a><li>OFX_BUYOPT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">inc/libofx.h</a><li>OFX_BUYOTHER
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">inc/libofx.h</a><li>OFX_BUYSTOCK
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">inc/libofx.h</a><li>OFX_CASH
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">inc/libofx.h</a><li>OFX_CHECK
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">inc/libofx.h</a><li>OFX_CLOSUREOPT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">inc/libofx.h</a><li>OFX_CREDIT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">inc/libofx.h</a><li>OFX_DEBIT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">inc/libofx.h</a><li>OFX_DEP
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">inc/libofx.h</a><li>OFX_DIRECTDEBIT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">inc/libofx.h</a><li>OFX_DIRECTDEP
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">inc/libofx.h</a><li>OFX_DIV
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">inc/libofx.h</a><li>OFX_FEE
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">inc/libofx.h</a><li>OFX_INCOME
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">inc/libofx.h</a><li>OFX_INT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">inc/libofx.h</a><li>OFX_INVEXPENSE
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">inc/libofx.h</a><li>OFX_JRNLFUND
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">inc/libofx.h</a><li>OFX_JRNLSEC
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678">inc/libofx.h</a><li>OFX_MARGININTEREST
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">inc/libofx.h</a><li>OFX_OTHER
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">inc/libofx.h</a><li>OFX_PAYMENT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">inc/libofx.h</a><li>OFX_POS
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">inc/libofx.h</a><li>OFX_REINVEST
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">inc/libofx.h</a><li>OFX_REPEATPMT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">inc/libofx.h</a><li>OFX_RETOFCAP
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">inc/libofx.h</a><li>OFX_SELLDEBT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">inc/libofx.h</a><li>OFX_SELLMF
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">inc/libofx.h</a><li>OFX_SELLOPT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">inc/libofx.h</a><li>OFX_SELLOTHER
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">inc/libofx.h</a><li>OFX_SELLSTOCK
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">inc/libofx.h</a><li>OFX_SPLIT
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">inc/libofx.h</a><li>OFX_SRVCHG
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">inc/libofx.h</a><li>OFX_TRANSFER
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">inc/libofx.h</a><li>OFX_XFER
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">inc/libofx.h</a></ul>
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_ATM
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">inc/libofx.h</a>
+<li>OFX_BUYDEBT
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BUYMF
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BUYOPT
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BUYOTHER
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_BUYSTOCK
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CASH
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CHECK
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_CLOSUREOPT
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">inc/libofx.h</a>
+<li>OFX_CREDIT
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_DEBIT
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_DEP
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_DIRECTDEBIT
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_DIRECTDEP
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_DIV
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_FEE
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_INCOME
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_INT
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_INVEXPENSE
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_JRNLFUND
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_JRNLSEC
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_MARGININTEREST
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_OTHER
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_PAYMENT
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_POS
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">inc/libofx.h</a>
+<li>OFX_REINVEST
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_REPEATPMT
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_RETOFCAP
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_SELLDEBT
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">inc/libofx.h</a>
+<li>OFX_SELLMF
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_SELLOPT
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_SELLOTHER
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_SELLSTOCK
+: <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_SPLIT
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">inc/libofx.h</a>
+<li>OFX_SRVCHG
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">libofx-0.8.2/inc/libofx.h</a>
+<li>OFX_TRANSFER
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">libofx-0.9.0/inc/libofx.h</a>
+<li>OFX_XFER
+: <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">libofx-0.8.2/inc/libofx.h</a>
+</ul>
 <h3><a class="anchor" name="index_p">- p -</a></h3><ul>
 <li>PARSER
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">messages.hh</a></ul>
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">fx-0.8.2/lib/messages.hh</a>
+</ul>
 <h3><a class="anchor" name="index_q">- q -</a></h3><ul>
 <li>QIF
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">inc/libofx.h</a></ul>
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">libofx-0.8.2/inc/libofx.h</a>
+</ul>
 <h3><a class="anchor" name="index_r">- r -</a></h3><ul>
 <li>REPLACE
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">inc/libofx.h</a></ul>
+: <a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">libofx-0.8.2/inc/libofx.h</a>
+</ul>
 <h3><a class="anchor" name="index_s">- s -</a></h3><ul>
 <li>STATUS
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">messages.hh</a></ul>
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">fx-0.8.2/lib/messages.hh</a>
+</ul>
 <h3><a class="anchor" name="index_u">- u -</a></h3><ul>
 <li>UNKNOWN
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">inc/libofx.h</a></ul>
+: <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">libofx-0.8.2/inc/libofx.h</a>
+</ul>
 <h3><a class="anchor" name="index_w">- w -</a></h3><ul>
 <li>WARNING
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">messages.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+: <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">fx-0.8.2/lib/messages.hh</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/globals_func.html'
--- doc/html/globals_func.html	2006-10-20 13:12:33 +0000
+++ doc/html/globals_func.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li id="current"><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="globals.html"><span>All</span></a></li>
-    <li id="current"><a href="globals_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="globals_func.html"><span>Functions</span></a></li>
     <li><a href="globals_vars.html"><span>Variables</span></a></li>
     <li><a href="globals_type.html"><span>Typedefs</span></a></li>
     <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
@@ -31,16 +33,13 @@
 <div class="tabs">
   <ul>
     <li><a href="#index_a"><span>a</span></a></li>
-    <li><a href="#index_b"><span>b</span></a></li>
     <li><a href="#index_c"><span>c</span></a></li>
     <li><a href="#index_f"><span>f</span></a></li>
     <li><a href="#index_l"><span>l</span></a></li>
     <li><a href="#index_m"><span>m</span></a></li>
     <li><a href="#index_o"><span>o</span></a></li>
-    <li><a href="#index_p"><span>p</span></a></li>
     <li><a href="#index_s"><span>s</span></a></li>
     <li><a href="#index_t"><span>t</span></a></li>
-    <li><a href="#index_v"><span>v</span></a></li>
   </ul>
 </div>
 
@@ -49,73 +48,248 @@
 <p>
 <h3><a class="anchor" name="index_a">- a -</a></h3><ul>
 <li>AppendCharStringtostring()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#f54953e915499daefb8959d8b15fa6f0">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">fx-0.8.2/lib/ofx_utilities.cpp</a>, <a class="el" href="ofx__utilities_8hh.html#f54953e915499daefb8959d8b15fa6f0">ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">ofx_utilities.cpp</a></ul>
-<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
-<li>BankNames()
-: <a class="el" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">ofxpartner.cpp</a></ul>
+: <a class="el" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#50b88c84b759d3058397336e7ea42c32">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#50b88c84b759d3058397336e7ea42c32">fx-0.8.2/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">fx-0.8.2/lib/ofx_utilities.cpp</a>
+, <a class="el" href="ofx__utilities_8hh.html#50b88c84b759d3058397336e7ea42c32">ofx_utilities.hh</a>
+</ul>
 <h3><a class="anchor" name="index_c">- c -</a></h3><ul>
 <li>CharStringtostring()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#0d78db2f18e9d8b4a9916b90819d073e">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">fx-0.8.2/lib/ofx_utilities.cpp</a>, <a class="el" href="ofx__utilities_8hh.html#0d78db2f18e9d8b4a9916b90819d073e">ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">ofx_utilities.cpp</a><li>CharStringtowchar_t()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#53f86c2bd09208cb164d2cb70f2938b3">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8hh.html#53f86c2bd09208cb164d2cb70f2938b3">ofx_utilities.hh</a></ul>
+: <a class="el" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">ofx_utilities.cpp</a>
+, <a class="el" href="ofx__utilities_8hh.html#e7575392f9f9c464ede10057dec0e8e4">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#e7575392f9f9c464ede10057dec0e8e4">fx-0.8.2/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#e7575392f9f9c464ede10057dec0e8e4">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">fx-0.8.2/lib/ofx_utilities.cpp</a>
+<li>CharStringtowchar_t()
+: <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75">fx-0.8.2/lib/ofx_utilities.hh</a>
+, <a class="el" href="ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75">ofx_utilities.hh</a>
+</ul>
 <h3><a class="anchor" name="index_f">- f -</a></h3><ul>
 <li>find_dtd()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#5efb55f65bf1d51e4863c6cc1c10439c">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="ofx__preproc_8hh.html#5efb55f65bf1d51e4863c6cc1c10439c">ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">ofx_preproc.cpp</a><li>find_error_msg()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">fx-0.8.2/lib/ofx_error_msg.hh</a>, <a class="el" href="ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">ofx_error_msg.hh</a><li>FipidForBank()
-: <a class="el" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">ofxpartner.cpp</a></ul>
+: <a class="el" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183">ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8hh.html#a45231657cddffcb50db295076956183">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#668d0fdb6a2859c117273c02eb478e53">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#a45231657cddffcb50db295076956183">fx-0.9.0/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#668d0fdb6a2859c117273c02eb478e53">fx-0.8.2/lib/ofx_preproc.cpp</a>
+<li>find_error_msg()
+: <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">fx-0.9.0/lib/ofx_error_msg.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">fx-0.8.2/lib/ofx_error_msg.hh</a>
+, <a class="el" href="ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">ofx_error_msg.hh</a>
+</ul>
 <h3><a class="anchor" name="index_l">- l -</a></h3><ul>
 <li>libofx_detect_file_type()
-: <a class="el" href="fx-0_88_82_2lib_2file__preproc_8hh.html#66c966ce570524cb29e39babf2f303d5">fx-0.8.2/lib/file_preproc.hh</a>, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">fx-0.8.2/lib/file_preproc.cpp</a>, <a class="el" href="file__preproc_8hh.html#66c966ce570524cb29e39babf2f303d5">file_preproc.hh</a>, <a class="el" href="file__preproc_8cpp.html#66c966ce570524cb29e39babf2f303d5">file_preproc.cpp</a><li>libofx_free_context()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">inc/libofx.h</a><li>libofx_get_file_format_description()
-: <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#02f1a3ffa44b420a4c04018a7c609673">fx-0.8.2/lib/file_preproc.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="file__preproc_8cpp.html#02f1a3ffa44b420a4c04018a7c609673">file_preproc.cpp</a>, <a class="el" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">inc/libofx.h</a><li>libofx_get_file_format_from_str()
-: <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#ff38c12e4e1b9537d55f1ef4c4b8556d">fx-0.8.2/lib/file_preproc.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="file__preproc_8cpp.html#ff38c12e4e1b9537d55f1ef4c4b8556d">file_preproc.cpp</a>, <a class="el" href="inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">inc/libofx.h</a><li>libofx_get_new_context()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">inc/libofx.h</a><li>libofx_proc_buffer()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#b9071aa8248754f9886f5d3a4a904e00">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="ofx__preproc_8cpp.html#b9071aa8248754f9886f5d3a4a904e00">ofx_preproc.cpp</a>, <a class="el" href="inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">inc/libofx.h</a><li>libofx_proc_file()
-: <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#a89d39d1d9d75a129183026eca85c967">fx-0.8.2/lib/file_preproc.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="file__preproc_8cpp.html#a89d39d1d9d75a129183026eca85c967">file_preproc.cpp</a>, <a class="el" href="inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">inc/libofx.h</a><li>libofx_request_accountinfo()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html#be4a80df141ea332f7ab31a2b7eeb4c2">fx-0.8.2/lib/ofx_request_accountinfo.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="ofx__request__accountinfo_8cpp.html#be4a80df141ea332f7ab31a2b7eeb4c2">ofx_request_accountinfo.cpp</a>, <a class="el" href="inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">inc/libofx.h</a><li>libofx_request_payment()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#0ad511b87481c301b8a9de3405c9b196">fx-0.8.2/lib/ofx_request_statement.cpp</a>, <a class="el" href="ofx__request__statement_8cpp.html#0ad511b87481c301b8a9de3405c9b196">ofx_request_statement.cpp</a><li>libofx_request_payment_status()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#f408dfb1579b0d6f980d96ffcb45e674">fx-0.8.2/lib/ofx_request_statement.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="ofx__request__statement_8cpp.html#f408dfb1579b0d6f980d96ffcb45e674">ofx_request_statement.cpp</a>, <a class="el" href="inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">inc/libofx.h</a><li>libofx_request_statement()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#39b4ef4bfd5e58227b07c2f2f5c09803">fx-0.8.2/lib/ofx_request_statement.cpp</a>, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="ofx__request__statement_8cpp.html#39b4ef4bfd5e58227b07c2f2f5c09803">ofx_request_statement.cpp</a>, <a class="el" href="inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">inc/libofx.h</a></ul>
+: <a class="el" href="file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">file_preproc.cpp</a>
+, <a class="el" href="file__preproc_8hh.html#34e14069654b16390599d24154b1f8d0">file_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8hh.html#34e14069654b16390599d24154b1f8d0">fx-0.8.2/lib/file_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">fx-0.9.0/lib/file_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#34e14069654b16390599d24154b1f8d0">fx-0.8.2/lib/file_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2file__preproc_8hh.html#34e14069654b16390599d24154b1f8d0">fx-0.9.0/lib/file_preproc.hh</a>
+<li>libofx_free_context()
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf">inc/libofx.h</a>
+<li>libofx_get_file_format_description()
+: <a class="el" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e">inc/libofx.h</a>
+, <a class="el" href="file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">file_preproc.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">fx-0.8.2/lib/file_preproc.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#01e232aea6806e09e048c98c94a49b66">fx-0.9.0/lib/file_preproc.cpp</a>
+<li>libofx_get_file_format_from_str()
+: <a class="el" href="inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a">inc/libofx.h</a>
+, <a class="el" href="file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">file_preproc.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">fx-0.8.2/lib/file_preproc.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#3bf84ecbf6ca512ea73d204c64972dbc">fx-0.9.0/lib/file_preproc.cpp</a>
+<li>libofx_get_new_context()
+: <a class="el" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0">libofx-0.9.0/inc/libofx.h</a>
+<li>libofx_proc_buffer()
+: <a class="el" href="inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">inc/libofx.h</a>
+, <a class="el" href="ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">ofx_preproc.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">fx-0.9.0/lib/ofx_preproc.cpp</a>
+<li>libofx_proc_file()
+: <a class="el" href="file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">file_preproc.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">fx-0.8.2/lib/file_preproc.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#29b78b5f31a8c75206a8e2b4d665099f">fx-0.9.0/lib/file_preproc.cpp</a>
+, <a class="el" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805">inc/libofx.h</a>
+<li>libofx_request_accountinfo()
+: <a class="el" href="inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449">inc/libofx.h</a>
+, <a class="el" href="ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">ofx_request_accountinfo.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">fx-0.8.2/lib/ofx_request_accountinfo.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">fx-0.9.0/lib/ofx_request_accountinfo.cpp</a>
+<li>libofx_request_payment()
+: <a class="el" href="ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">ofx_request_statement.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">fx-0.8.2/lib/ofx_request_statement.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">fx-0.9.0/lib/ofx_request_statement.cpp</a>
+<li>libofx_request_payment_status()
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">fx-0.9.0/lib/ofx_request_statement.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">fx-0.8.2/lib/ofx_request_statement.cpp</a>
+, <a class="el" href="inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">inc/libofx.h</a>
+, <a class="el" href="ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">ofx_request_statement.cpp</a>
+<li>libofx_request_statement()
+: <a class="el" href="inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d">inc/libofx.h</a>
+, <a class="el" href="ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">ofx_request_statement.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">fx-0.9.0/lib/ofx_request_statement.cpp</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">fx-0.8.2/lib/ofx_request_statement.cpp</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d">libofx-0.8.2/inc/libofx.h</a>
+<li>libofx_set_dtd_dir()
+: <a class="el" href="inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">libofx-0.9.0/inc/libofx.h</a>
+</ul>
 <h3><a class="anchor" name="index_m">- m -</a></h3><ul>
 <li>main()
-: <a class="el" href="ofxdump_8cpp.html#28052c36c3b61c6c0eaa18f5d226118f">ofxdump.cpp</a>, <a class="el" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">ofx2qif.c</a><li>message_out()
-: <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#15597c0646783f472203d52c3f7e581a">fx-0.8.2/lib/messages.hh</a>, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8hh.html#15597c0646783f472203d52c3f7e581a">messages.hh</a>, <a class="el" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">messages.cpp</a></ul>
+: <a class="el" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">ofx2qif.c</a>
+, <a class="el" href="ofxdump_8cpp.html#0ddf1224851353fc92bfbff6f499fa97">ofxdump.cpp</a>
+<li>message_out()
+: <a class="el" href="messages_8hh.html#6f56d85178951a91c7a06ea0538aa2d4">messages.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#6f56d85178951a91c7a06ea0538aa2d4">fx-0.9.0/lib/messages.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#6f56d85178951a91c7a06ea0538aa2d4">fx-0.8.2/lib/messages.hh</a>
+<li>mkTempFileName()
+: <a class="el" href="ofx__utilities_8hh.html#a0e945c824a3012017b4babd721d9f38">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#a0e945c824a3012017b4babd721d9f38">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">ofx_utilities.cpp</a>
+</ul>
 <h3><a class="anchor" name="index_o">- o -</a></h3><ul>
 <li>ofc_proc_sgml()
-: <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html#cf526ca0ea3e6ed91c719bfb686663f7">fx-0.8.2/lib/ofc_sgml.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">fx-0.8.2/lib/ofc_sgml.cpp</a>, <a class="el" href="ofc__sgml_8hh.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_sgml.hh</a>, <a class="el" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_sgml.cpp</a><li>ofx_proc_account_cb()
-: <a class="el" href="ofxdump_8cpp.html#814545865a019ace576eb0d97157d4be">ofxdump.cpp</a>, <a class="el" href="ofx2qif_8c.html#fbd0b9b3f10494320ba3601ab56c5c2d">ofx2qif.c</a><li>ofx_proc_file()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#878483503b673b330380995e1da3a7ea">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="ofx__preproc_8hh.html#878483503b673b330380995e1da3a7ea">ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_preproc.cpp</a><li>ofx_proc_security_cb()
-: <a class="el" href="ofxdump_8cpp.html#317e6b33ec82269ba18956494a5254d3">ofxdump.cpp</a><li>ofx_proc_sgml()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html#769a50bb61eeaf248abbb4e578f89842">fx-0.8.2/lib/ofx_sgml.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">fx-0.8.2/lib/ofx_sgml.cpp</a>, <a class="el" href="ofx__sgml_8hh.html#769a50bb61eeaf248abbb4e578f89842">ofx_sgml.hh</a>, <a class="el" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_sgml.cpp</a><li>ofx_proc_statement_cb()
-: <a class="el" href="ofxdump_8cpp.html#33302bd3ca5e36839ab0793cdc6441d4">ofxdump.cpp</a>, <a class="el" href="ofx2qif_8c.html#2753e6e37777c57b5346642b06142cd4">ofx2qif.c</a><li>ofx_proc_status_cb()
-: <a class="el" href="ofxdump_8cpp.html#3df9fcb280a930ef711bdec9288b9cc8">ofxdump.cpp</a><li>ofx_proc_transaction_cb()
-: <a class="el" href="ofxdump_8cpp.html#371f323211396c28d5c6319be5be3ed8">ofxdump.cpp</a>, <a class="el" href="ofx2qif_8c.html#411f3cb6e88b8669a7a4b6dc18a7e758">ofx2qif.c</a><li>ofx_set_account_cb()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">inc/libofx.h</a><li>ofx_set_security_cb()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">inc/libofx.h</a><li>ofx_set_statement_cb()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">inc/libofx.h</a><li>ofx_set_status_cb()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">inc/libofx.h</a><li>ofx_set_transaction_cb()
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">inc/libofx.h</a><li>ofxamount_to_double()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#ca59f589043d9d418168b8092809d0a1">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">fx-0.8.2/lib/ofx_utilities.cpp</a>, <a class="el" href="ofx__utilities_8hh.html#ca59f589043d9d418168b8092809d0a1">ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofx_utilities.cpp</a><li>ofxdate_to_time_t()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#a82c89f166fafe7ac376f2ecc7f1059a">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">fx-0.8.2/lib/ofx_utilities.cpp</a>, <a class="el" href="ofx__utilities_8hh.html#a82c89f166fafe7ac376f2ecc7f1059a">ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofx_utilities.cpp</a><li>OfxHeader()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#e0c9348ddcb7da503b17069e9ea77f75">fx-0.8.2/lib/ofx_request.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">fx-0.8.2/lib/ofx_request.cpp</a>, <a class="el" href="ofx__request_8hh.html#e0c9348ddcb7da503b17069e9ea77f75">ofx_request.hh</a>, <a class="el" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">ofx_request.cpp</a><li>operator&lt;&lt;()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#095339d14cabfdc91293958f37f871f7">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8hh.html#095339d14cabfdc91293958f37f871f7">ofx_utilities.hh</a></ul>
-<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
-<li>post()
-: <a class="el" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">ofxpartner.cpp</a></ul>
+: <a class="el" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">ofc_sgml.cpp</a>
+, <a class="el" href="ofc__sgml_8hh.html#ee7c042ff1c1d0ee11c693a9617735e5">ofc_sgml.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html#ee7c042ff1c1d0ee11c693a9617735e5">fx-0.8.2/lib/ofc_sgml.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">fx-0.9.0/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">fx-0.8.2/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8hh.html#ee7c042ff1c1d0ee11c693a9617735e5">fx-0.9.0/lib/ofc_sgml.hh</a>
+<li>ofx_proc_account_cb()
+: <a class="el" href="ofxdump_8cpp.html#9473bc2a5282ec3d70de240a2e5aac26">ofxdump.cpp</a>
+, <a class="el" href="ofx2qif_8c.html#38eb5d0ff22f171823f8d507255460bd">ofx2qif.c</a>
+<li>ofx_proc_file()
+: <a class="el" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8hh.html#962fcc61a6192bd63ac3fb234fd07cc4">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#962fcc61a6192bd63ac3fb234fd07cc4">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#962fcc61a6192bd63ac3fb234fd07cc4">fx-0.9.0/lib/ofx_preproc.hh</a>
+<li>ofx_proc_security_cb()
+: <a class="el" href="ofxdump_8cpp.html#a7664a0520b502d7592e282a29e391b3">ofxdump.cpp</a>
+<li>ofx_proc_sgml()
+: <a class="el" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">ofx_sgml.cpp</a>
+, <a class="el" href="ofx__sgml_8hh.html#27d475cfed072c1761992192a9ce83cc">ofx_sgml.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">fx-0.8.2/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html#27d475cfed072c1761992192a9ce83cc">fx-0.8.2/lib/ofx_sgml.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">fx-0.9.0/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8hh.html#27d475cfed072c1761992192a9ce83cc">fx-0.9.0/lib/ofx_sgml.hh</a>
+<li>ofx_proc_statement_cb()
+: <a class="el" href="ofx2qif_8c.html#8f46bf3d68bbd9cc9d6471d310168b45">ofx2qif.c</a>
+, <a class="el" href="ofxdump_8cpp.html#1bde0ef62b6d4a3381e09225bc73dc77">ofxdump.cpp</a>
+<li>ofx_proc_status_cb()
+: <a class="el" href="ofxdump_8cpp.html#a069e96633e6527f5adb8635968eb471">ofxdump.cpp</a>
+<li>ofx_proc_transaction_cb()
+: <a class="el" href="ofx2qif_8c.html#7850aaa7c07cabcacb6849e82f773463">ofx2qif.c</a>
+, <a class="el" href="ofxdump_8cpp.html#6940ffe6adc71a091fdef20a460c2364">ofxdump.cpp</a>
+<li>ofx_set_account_cb()
+: <a class="el" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">libofx-0.9.0/inc/libofx.h</a>
+<li>ofx_set_security_cb()
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">libofx-0.8.2/inc/libofx.h</a>
+<li>ofx_set_statement_cb()
+: <a class="el" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">libofx-0.9.0/inc/libofx.h</a>
+<li>ofx_set_status_cb()
+: <a class="el" href="inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">libofx-0.9.0/inc/libofx.h</a>
+<li>ofx_set_transaction_cb()
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">inc/libofx.h</a>
+<li>ofxamount_to_double()
+: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">fx-0.8.2/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#bfca5b423e5d7b194eb53c53f706f6ba">fx-0.8.2/lib/ofx_utilities.hh</a>
+, <a class="el" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">ofx_utilities.cpp</a>
+, <a class="el" href="ofx__utilities_8hh.html#bfca5b423e5d7b194eb53c53f706f6ba">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#bfca5b423e5d7b194eb53c53f706f6ba">fx-0.9.0/lib/ofx_utilities.hh</a>
+<li>ofxdate_to_time_t()
+: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">fx-0.8.2/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#5fdbbc08f8d80a534f8db03d25316d7a">fx-0.8.2/lib/ofx_utilities.hh</a>
+, <a class="el" href="ofx__utilities_8hh.html#5fdbbc08f8d80a534f8db03d25316d7a">ofx_utilities.hh</a>
+, <a class="el" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#5fdbbc08f8d80a534f8db03d25316d7a">fx-0.9.0/lib/ofx_utilities.hh</a>
+<li>OfxHeader()
+: <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#399259df57ba3945719d5282b3601af3">fx-0.8.2/lib/ofx_request.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#399259df57ba3945719d5282b3601af3">fx-0.8.2/lib/ofx_request.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">fx-0.9.0/lib/ofx_request.cpp</a>
+, <a class="el" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">ofx_request.cpp</a>
+, <a class="el" href="ofx__request_8hh.html#38a94b99f351615ee7a342f409db8499">ofx_request.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html#38a94b99f351615ee7a342f409db8499">fx-0.9.0/lib/ofx_request.hh</a>
+<li>operator&lt;&lt;()
+: <a class="el" href="ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e">fx-0.8.2/lib/ofx_utilities.hh</a>
+</ul>
 <h3><a class="anchor" name="index_s">- s -</a></h3><ul>
 <li>sanitize_proprietary_tags()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#1081ea6fa992f51998090e4c24d6cc64">fx-0.8.2/lib/ofx_preproc.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="ofx__preproc_8hh.html#1081ea6fa992f51998090e4c24d6cc64">ofx_preproc.hh</a>, <a class="el" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">ofx_preproc.cpp</a><li>ServiceInfo()
-: <a class="el" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">ofxpartner.cpp</a><li>show_line_number()
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">messages.cpp</a><li>strip_whitespace()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#eb4379d3bf0c6900bda8b5f2feb9db92">fx-0.8.2/lib/ofx_utilities.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">fx-0.8.2/lib/ofx_utilities.cpp</a>, <a class="el" href="ofx__utilities_8hh.html#eb4379d3bf0c6900bda8b5f2feb9db92">ofx_utilities.hh</a>, <a class="el" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">ofx_utilities.cpp</a></ul>
+: <a class="el" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">ofx_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8hh.html#cdbd49c3c11946411dd76016609bd333">ofx_preproc.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#cdbd49c3c11946411dd76016609bd333">fx-0.8.2/lib/ofx_preproc.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#cdbd49c3c11946411dd76016609bd333">fx-0.9.0/lib/ofx_preproc.hh</a>
+<li>show_line_number()
+: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">messages.cpp</a>
+<li>strip_whitespace()
+: <a class="el" href="ofx__utilities_8hh.html#34933785dd934134973847e58a700733">ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">fx-0.8.2/lib/ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">fx-0.9.0/lib/ofx_utilities.cpp</a>
+, <a class="el" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">ofx_utilities.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#34933785dd934134973847e58a700733">fx-0.9.0/lib/ofx_utilities.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#34933785dd934134973847e58a700733">fx-0.8.2/lib/ofx_utilities.hh</a>
+</ul>
 <h3><a class="anchor" name="index_t">- t -</a></h3><ul>
 <li>time_t_to_ofxdate()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#81beedfec4dc7c410153f3722fe67a77">fx-0.8.2/lib/ofx_request.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">fx-0.8.2/lib/ofx_request.cpp</a>, <a class="el" href="ofx__request_8hh.html#81beedfec4dc7c410153f3722fe67a77">ofx_request.hh</a>, <a class="el" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">ofx_request.cpp</a><li>time_t_to_ofxdatetime()
-: <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#db904c8d68b46495893e0db60a2acbcf">fx-0.8.2/lib/ofx_request.hh</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">fx-0.8.2/lib/ofx_request.cpp</a>, <a class="el" href="ofx__request_8hh.html#db904c8d68b46495893e0db60a2acbcf">ofx_request.hh</a>, <a class="el" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">ofx_request.cpp</a></ul>
-<h3><a class="anchor" name="index_v">- v -</a></h3><ul>
-<li>ValidateIndexCache()
-: <a class="el" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">ofxpartner.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+: <a class="el" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">ofx_request.cpp</a>
+, <a class="el" href="ofx__request_8hh.html#34e84f6346e9d35feba51592e3db190c">ofx_request.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#34e84f6346e9d35feba51592e3db190c">fx-0.8.2/lib/ofx_request.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">fx-0.9.0/lib/ofx_request.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">fx-0.8.2/lib/ofx_request.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html#34e84f6346e9d35feba51592e3db190c">fx-0.9.0/lib/ofx_request.hh</a>
+<li>time_t_to_ofxdatetime()
+: <a class="el" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">ofx_request.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">fx-0.8.2/lib/ofx_request.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">fx-0.9.0/lib/ofx_request.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html#2f86a163dc83453b02683f1d20d6b3d6">fx-0.9.0/lib/ofx_request.hh</a>
+, <a class="el" href="ofx__request_8hh.html#2f86a163dc83453b02683f1d20d6b3d6">ofx_request.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html#2f86a163dc83453b02683f1d20d6b3d6">fx-0.8.2/lib/ofx_request.hh</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/globals_type.html'
--- doc/html/globals_type.html	2006-10-20 13:12:33 +0000
+++ doc/html/globals_type.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li id="current"><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="globals.html"><span>All</span></a></li>
     <li><a href="globals_func.html"><span>Functions</span></a></li>
     <li><a href="globals_vars.html"><span>Variables</span></a></li>
-    <li id="current"><a href="globals_type.html"><span>Typedefs</span></a></li>
+    <li class="current"><a href="globals_type.html"><span>Typedefs</span></a></li>
     <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
     <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
     <li><a href="globals_defs.html"><span>Defines</span></a></li>
@@ -32,9 +34,12 @@
 <p>
 <ul>
 <li>LibofxContextPtr
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+: <a class="el" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">libofx-0.8.2/inc/libofx.h</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/globals_vars.html'
--- doc/html/globals_vars.html	2006-10-20 13:12:33 +0000
+++ doc/html/globals_vars.html	2008-02-06 17:25:16 +0000
@@ -1,68 +1,206 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li id="current"><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="globals.html"><span>Globals</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="globals.html"><span>All</span></a></li>
     <li><a href="globals_func.html"><span>Functions</span></a></li>
-    <li id="current"><a href="globals_vars.html"><span>Variables</span></a></li>
+    <li class="current"><a href="globals_vars.html"><span>Variables</span></a></li>
     <li><a href="globals_type.html"><span>Typedefs</span></a></li>
     <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
     <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
     <li><a href="globals_defs.html"><span>Defines</span></a></li>
   </ul>
 </div>
+<div class="tabs">
+  <ul>
+    <li><a href="#index_d"><span>d</span></a></li>
+    <li><a href="#index_e"><span>e</span></a></li>
+    <li><a href="#index_l"><span>l</span></a></li>
+    <li><a href="#index_m"><span>m</span></a></li>
+    <li><a href="#index_o"><span>o</span></a></li>
+    <li><a href="#index_p"><span>p</span></a></li>
+    <li><a href="#index_r"><span>r</span></a></li>
+  </ul>
+</div>
+
+<p>
 &nbsp;
 <p>
-<ul>
+<h3><a class="anchor" name="index_d">- d -</a></h3><ul>
 <li>DTD_SEARCH_PATH
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">ofx_preproc.cpp</a><li>DTD_SEARCH_PATH_NUM
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">ofx_preproc.cpp</a><li>entity_ptr
-: <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">fx-0.8.2/lib/ofx_sgml.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">fx-0.8.2/lib/ofc_sgml.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">ofx_sgml.cpp</a>, <a class="el" href="ofc__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">ofc_sgml.cpp</a>, <a class="el" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">messages.cpp</a><li>error_msgs_list
-: <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">fx-0.8.2/lib/ofx_error_msg.hh</a>, <a class="el" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">ofx_error_msg.hh</a><li>kBankFilename
-: <a class="el" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">ofxpartner.cpp</a><li>kCcFilename
-: <a class="el" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">ofxpartner.cpp</a><li>kInvFilename
-: <a class="el" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">ofxpartner.cpp</a><li>LibofxExportFormatList
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">inc/libofx.h</a><li>LibofxImportFormatList
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">inc/libofx.h</a><li>LibofxProcAccountCallback
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">inc/libofx.h</a><li>LibofxProcSecurityCallback
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">inc/libofx.h</a><li>LibofxProcStatementCallback
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">inc/libofx.h</a><li>LibofxProcStatusCallback
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">inc/libofx.h</a><li>LibofxProcTransactionCallback
-: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">libofx-0.8.2/inc/libofx.h</a>, <a class="el" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">inc/libofx.h</a><li>MainContainer
-: <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_sgml.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_containers_misc.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_container_transaction.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_container_statement.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_container_security.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_container_generic.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofx_container_account.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">fx-0.8.2/lib/ofc_sgml.cpp</a>, <a class="el" href="ofx__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_sgml.cpp</a>, <a class="el" href="ofx__containers__misc_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_containers_misc.cpp</a>, <a class="el" href="ofx__container__transaction_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_container_transaction.cpp</a>, <a class="el" href="ofx__container__statement_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_container_statement.cpp</a>, <a class="el" href="ofx__container__security_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_container_security.cpp</a>, <a class="el" href="ofx__container__generic_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_container_generic.cpp</a>, <a class="el" href="ofx__container__account_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofx_container_account.cpp</a>, <a class="el" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">ofc_sgml.cpp</a><li>ofx_DEBUG1_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">messages.cpp</a><li>ofx_DEBUG2_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">messages.cpp</a><li>ofx_DEBUG3_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">messages.cpp</a><li>ofx_DEBUG4_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">messages.cpp</a><li>ofx_DEBUG5_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">messages.cpp</a><li>ofx_DEBUG_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">messages.cpp</a><li>ofx_ERROR_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">messages.cpp</a><li>ofx_INFO_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">messages.cpp</a><li>ofx_PARSER_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">messages.cpp</a><li>ofx_show_position
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">messages.cpp</a><li>ofx_STATUS_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">messages.cpp</a><li>ofx_WARNING_msg
-: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">messages.cpp</a><li>position
-: <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">fx-0.8.2/lib/ofx_sgml.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">fx-0.8.2/lib/ofc_sgml.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">fx-0.8.2/lib/messages.cpp</a>, <a class="el" href="ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">ofx_sgml.cpp</a>, <a class="el" href="ofc__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">ofc_sgml.cpp</a>, <a class="el" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">messages.cpp</a><li>READ_BUFFER_SIZE
-: <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">fx-0.8.2/lib/ofx_preproc.cpp</a>, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">fx-0.8.2/lib/file_preproc.cpp</a>, <a class="el" href="ofx__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">ofx_preproc.cpp</a>, <a class="el" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">file_preproc.cpp</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+: <a class="el" href="ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">fx-0.9.0/lib/ofx_preproc.cpp</a>
+<li>DTD_SEARCH_PATH_NUM
+: <a class="el" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">fx-0.9.0/lib/ofx_preproc.cpp</a>
+</ul>
+<h3><a class="anchor" name="index_e">- e -</a></h3><ul>
+<li>entity_ptr
+: <a class="el" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">messages.cpp</a>
+, <a class="el" href="ofc__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.9.0/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.9.0/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.8.2/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">fx-0.8.2/lib/ofx_sgml.cpp</a>
+, <a class="el" href="ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">ofx_sgml.cpp</a>
+<li>error_msgs_list
+: <a class="el" href="ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">ofx_error_msg.hh</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">fx-0.8.2/lib/ofx_error_msg.hh</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">fx-0.9.0/lib/ofx_error_msg.hh</a>
+</ul>
+<h3><a class="anchor" name="index_l">- l -</a></h3><ul>
+<li>LibofxExportFormatList
+: <a class="el" href="inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">libofx-0.9.0/inc/libofx.h</a>
+<li>LibofxImportFormatList
+: <a class="el" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">libofx-0.9.0/inc/libofx.h</a>
+<li>LibofxProcAccountCallback
+: <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">inc/libofx.h</a>
+<li>LibofxProcSecurityCallback
+: <a class="el" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">libofx-0.8.2/inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">libofx-0.9.0/inc/libofx.h</a>
+<li>LibofxProcStatementCallback
+: <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">libofx-0.8.2/inc/libofx.h</a>
+<li>LibofxProcStatusCallback
+: <a class="el" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">libofx-0.8.2/inc/libofx.h</a>
+<li>LibofxProcTransactionCallback
+: <a class="el" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">inc/libofx.h</a>
+, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">libofx-0.9.0/inc/libofx.h</a>
+, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">libofx-0.8.2/inc/libofx.h</a>
+</ul>
+<h3><a class="anchor" name="index_m">- m -</a></h3><ul>
+<li>MainContainer
+: <a class="el" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_containers_misc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_container_transaction.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__container__statement_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_container_statement.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__container__security_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_container_security.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__container__generic_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_container_generic.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__container__account_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofx_container_account.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.9.0/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_containers_misc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_container_transaction.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_container_statement.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_container_security.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_container_generic.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofx_container_account.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">fx-0.8.2/lib/ofc_sgml.cpp</a>
+, <a class="el" href="ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_sgml.cpp</a>
+, <a class="el" href="ofx__containers__misc_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_containers_misc.cpp</a>
+, <a class="el" href="ofx__container__transaction_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_container_transaction.cpp</a>
+, <a class="el" href="ofx__container__statement_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_container_statement.cpp</a>
+, <a class="el" href="ofx__container__security_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_container_security.cpp</a>
+, <a class="el" href="ofx__container__generic_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_container_generic.cpp</a>
+, <a class="el" href="ofx__container__account_8cpp.html#759a7d80c051f4f1adc2abae56002100">ofx_container_account.cpp</a>
+</ul>
+<h3><a class="anchor" name="index_o">- o -</a></h3><ul>
+<li>ofx_DEBUG1_msg
+: <a class="el" href="messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_DEBUG2_msg
+: <a class="el" href="messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_DEBUG3_msg
+: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">messages.cpp</a>
+<li>ofx_DEBUG4_msg
+: <a class="el" href="messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_DEBUG5_msg
+: <a class="el" href="messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_DEBUG_msg
+: <a class="el" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_ERROR_msg
+: <a class="el" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_INFO_msg
+: <a class="el" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_PARSER_msg
+: <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">fx-0.8.2/lib/messages.cpp</a>
+<li>ofx_show_position
+: <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">messages.cpp</a>
+<li>ofx_STATUS_msg
+: <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">fx-0.9.0/lib/messages.cpp</a>
+<li>ofx_WARNING_msg
+: <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">fx-0.8.2/lib/messages.cpp</a>
+</ul>
+<h3><a class="anchor" name="index_p">- p -</a></h3><ul>
+<li>position
+: <a class="el" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">messages.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.9.0/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.9.0/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.9.0/lib/messages.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.8.2/lib/ofx_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.8.2/lib/ofc_sgml.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#4da8008b6f110050513003edf67a2495">fx-0.8.2/lib/messages.cpp</a>
+, <a class="el" href="ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">ofx_sgml.cpp</a>
+, <a class="el" href="ofc__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">ofc_sgml.cpp</a>
+</ul>
+<h3><a class="anchor" name="index_r">- r -</a></h3><ul>
+<li>READ_BUFFER_SIZE
+: <a class="el" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">file_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">fx-0.9.0/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">fx-0.9.0/lib/file_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">fx-0.8.2/lib/ofx_preproc.cpp</a>
+, <a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">fx-0.8.2/lib/file_preproc.cpp</a>
+, <a class="el" href="ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">ofx_preproc.cpp</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/gnugetopt_8h-source.html'
--- doc/html/gnugetopt_8h-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/gnugetopt_8h-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: gnugetopt.h Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>gnugetopt.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* Declarations for getopt.</span>
 <a name="l00002"></a>00002 <span class="comment">   Copyright (C) 1989-1994, 1996-1999, 2001 Free Software Foundation, Inc.</span>
 <a name="l00003"></a>00003 <span class="comment">   This file is part of the GNU C Library.</span>
@@ -113,15 +109,15 @@
 <a name="l00094"></a><a class="code" href="structoption.html">00094</a> <span class="keyword">struct </span><a class="code" href="structoption.html">option</a>
 <a name="l00095"></a>00095 {
 <a name="l00096"></a>00096 <span class="preprocessor"># if (defined __STDC__ &amp;&amp; __STDC__) || defined __cplusplus</span>
-<a name="l00097"></a>00097 <span class="preprocessor"></span>  <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>;
+<a name="l00097"></a>00097 <span class="preprocessor"></span>  <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>;
 <a name="l00098"></a>00098 <span class="preprocessor"># else</span>
-<a name="l00099"></a><a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">00099</a> <span class="preprocessor"></span>  <span class="keywordtype">char</span> *<a class="code" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a>;
+<a name="l00099"></a><a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">00099</a> <span class="preprocessor"></span>  <span class="keywordtype">char</span> *<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>;
 <a name="l00100"></a>00100 <span class="preprocessor"># endif</span>
 <a name="l00101"></a>00101 <span class="preprocessor"></span>  <span class="comment">/* has_arg can't be an enum because some compilers complain about</span>
 <a name="l00102"></a>00102 <span class="comment">     type mismatches in all the code that assumes it is an int.  */</span>
-<a name="l00103"></a><a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">00103</a>   <span class="keywordtype">int</span> <a class="code" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a>;
-<a name="l00104"></a><a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">00104</a>   <span class="keywordtype">int</span> *<a class="code" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a>;
-<a name="l00105"></a><a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">00105</a>   <span class="keywordtype">int</span> <a class="code" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a>;
+<a name="l00103"></a><a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">00103</a>   <span class="keywordtype">int</span> <a class="code" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a>;
+<a name="l00104"></a><a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">00104</a>   <span class="keywordtype">int</span> *<a class="code" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a>;
+<a name="l00105"></a><a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">00105</a>   <span class="keywordtype">int</span> <a class="code" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a>;
 <a name="l00106"></a>00106 };
 <a name="l00107"></a>00107 
 <a name="l00108"></a>00108 <span class="comment">/* Names for the values of the `has_arg' field of `struct option'.  */</span>
@@ -197,8 +193,8 @@
 <a name="l00178"></a>00178 <span class="preprocessor">#undef __need_getopt</span>
 <a name="l00179"></a>00179 <span class="preprocessor"></span>
 <a name="l00180"></a>00180 <span class="preprocessor">#endif </span><span class="comment">/* getopt.h */</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/hierarchy.html'
--- doc/html/hierarchy.html	2006-10-20 13:12:33 +0000
+++ doc/html/hierarchy.html	2008-02-06 17:25:16 +0000
@@ -1,42 +1,49 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Hierarchical Index</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li class="current"><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>LibOFX Class Hierarchy</h1>This inheritance list is sorted roughly, but not completely, alphabetically:<ul>
+<li><a class="el" href="structcmdline__parser__params.html">cmdline_parser_params</a>
 <li><a class="el" href="structErrorMsg.html">ErrorMsg</a>
+<li><a class="el" href="structgengetopt__args__info.html">gengetopt_args_info</a>
 <li><a class="el" href="classLibofxContext.html">LibofxContext</a>
 <li><a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>
 <li><a class="el" href="classNodeParser.html">NodeParser</a>
 <li><a class="el" href="classOFCApplication.html">OFCApplication</a>
 <li><a class="el" href="structOfxAccountData.html">OfxAccountData</a>
-<li><a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a>
 <li><a class="el" href="classOfxAggregate.html">OfxAggregate</a>
 <ul>
 <li><a class="el" href="classOfxRequest.html">OfxRequest</a>
 <ul>
 <li><a class="el" href="classOfxAccountInfoRequest.html">OfxAccountInfoRequest</a>
 <li><a class="el" href="classOfxAccountInfoRequest.html">OfxAccountInfoRequest</a>
-<li><a class="el" href="classOfxPaymentRequest.html">OfxPaymentRequest</a>
-<li><a class="el" href="classOfxPaymentRequest.html">OfxPaymentRequest</a>
+<li><a class="el" href="classOfxAccountInfoRequest.html">OfxAccountInfoRequest</a>
+<li><a class="el" href="classOfxPaymentRequest.html">OfxPaymentRequest</a>
+<li><a class="el" href="classOfxPaymentRequest.html">OfxPaymentRequest</a>
+<li><a class="el" href="classOfxPaymentRequest.html">OfxPaymentRequest</a>
+<li><a class="el" href="classOfxStatementRequest.html">OfxStatementRequest</a>
 <li><a class="el" href="classOfxStatementRequest.html">OfxStatementRequest</a>
 <li><a class="el" href="classOfxStatementRequest.html">OfxStatementRequest</a>
 </ul>
+<li><a class="el" href="classOfxRequest.html">OfxRequest</a>
 <li><a class="el" href="classOfxRequest.html">OfxRequest</a>
 </ul>
 <li><a class="el" href="classOFXApplication.html">OFXApplication</a>
@@ -47,27 +54,38 @@
 <ul>
 <li><a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a>
 <li><a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a>
-<li><a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>
-<li><a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>
-<li><a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a>
-<li><a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a>
-<li><a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>
-<li><a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>
-<li><a class="el" href="classOfxPushUpContainer.html">OfxPushUpContainer</a>
-<li><a class="el" href="classOfxPushUpContainer.html">OfxPushUpContainer</a>
-<li><a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a>
-<li><a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a>
-<li><a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a>
-<li><a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a>
+<li><a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a>
+<li><a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>
+<li><a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>
+<li><a class="el" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>
+<li><a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a>
+<li><a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a>
+<li><a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a>
+<li><a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>
+<li><a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>
+<li><a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>
+<li><a class="el" href="classOfxPushUpContainer.html">OfxPushUpContainer</a>
+<li><a class="el" href="classOfxPushUpContainer.html">OfxPushUpContainer</a>
+<li><a class="el" href="classOfxPushUpContainer.html">OfxPushUpContainer</a>
+<li><a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a>
+<li><a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a>
+<li><a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a>
+<li><a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a>
+<li><a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a>
+<li><a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a>
+<li><a class="el" href="classOfxStatusContainer.html">OfxStatusContainer</a>
 <li><a class="el" href="classOfxStatusContainer.html">OfxStatusContainer</a>
 <li><a class="el" href="classOfxStatusContainer.html">OfxStatusContainer</a>
 <li><a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>
 <ul>
 <li><a class="el" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a>
 <li><a class="el" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a>
+<li><a class="el" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a>
+<li><a class="el" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a>
 <li><a class="el" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a>
 <li><a class="el" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a>
 </ul>
+<li><a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>
 <li><a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>
 </ul>
 <li><a class="el" href="structOfxPayee.html">OfxPayee</a>
@@ -78,28 +96,26 @@
 <li><a class="el" href="structOfxTransactionData.html">OfxTransactionData</a>
 <li><a class="el" href="structoption.html">option</a>
 <li><a class="el" href="classtree.html">tree&lt; T, tree_node_allocator &gt;</a>
-<li><a class="el" href="classtree_1_1fixed__depth__iterator.html">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
 <li><a class="el" href="classtree_1_1iterator__base.html">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
 <ul>
 <li><a class="el" href="classtree_1_1fixed__depth__iterator.html">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
 <li><a class="el" href="classtree_1_1fixed__depth__iterator.html">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
-<li><a class="el" href="classtree_1_1post__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
-<li><a class="el" href="classtree_1_1post__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
-<li><a class="el" href="classtree_1_1pre__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
-<li><a class="el" href="classtree_1_1pre__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+<li><a class="el" href="classtree_1_1fixed__depth__iterator.html">tree&lt; T, tree_node_allocator &gt;::fixed_depth_iterator</a>
+<li><a class="el" href="classtree_1_1post__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+<li><a class="el" href="classtree_1_1post__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+<li><a class="el" href="classtree_1_1post__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
+<li><a class="el" href="classtree_1_1pre__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+<li><a class="el" href="classtree_1_1pre__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+<li><a class="el" href="classtree_1_1pre__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
+<li><a class="el" href="classtree_1_1sibling__iterator.html">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
 <li><a class="el" href="classtree_1_1sibling__iterator.html">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
 <li><a class="el" href="classtree_1_1sibling__iterator.html">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
 </ul>
-<li><a class="el" href="classtree_1_1iterator__base.html">tree&lt; T, tree_node_allocator &gt;::iterator_base</a>
-<li><a class="el" href="classtree_1_1iterator__base__less.html">tree&lt; T, tree_node_allocator &gt;::iterator_base_less</a>
-<li><a class="el" href="classtree_1_1iterator__base__less.html">tree&lt; T, tree_node_allocator &gt;::iterator_base_less</a>
-<li><a class="el" href="classtree_1_1post__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::post_order_iterator</a>
-<li><a class="el" href="classtree_1_1pre__order__iterator.html">tree&lt; T, tree_node_allocator &gt;::pre_order_iterator</a>
-<li><a class="el" href="classtree_1_1sibling__iterator.html">tree&lt; T, tree_node_allocator &gt;::sibling_iterator</a>
+<li><a class="el" href="classtree_1_1iterator__base__less.html">tree&lt; T, tree_node_allocator &gt;::iterator_base_less</a>
 <li><a class="el" href="classtree__node__.html">tree_node_&lt; T &gt;</a>
 </ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/inc_2libofx_8h-source.html'
--- doc/html/inc_2libofx_8h-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/inc_2libofx_8h-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: libofx.h Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>libofx.h</h1><a href="inc_2libofx_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">              libofx.h  -  Main header file for the libofx API</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,418 +32,420 @@
 <a name="l00036"></a>00036 <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_H</span>
 <a name="l00037"></a>00037 <span class="preprocessor"></span><span class="preprocessor">#include &lt;time.h&gt;</span>
 <a name="l00038"></a>00038 
-<a name="l00039"></a>00039 <span class="preprocessor">#ifdef __cplusplus</span>
-<a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">#define CFCT extern "C"</span>
-<a name="l00041"></a>00041 <span class="preprocessor"></span><span class="preprocessor">#else</span>
-<a name="l00042"></a><a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">00042</a> <span class="preprocessor"></span><span class="preprocessor">#define CFCT</span>
-<a name="l00043"></a><a class="code" href="inc_2libofx_8h.html#d3c656d7299463f92752692270f121e8">00043</a> <span class="preprocessor"></span><span class="preprocessor">#define true 1</span>
-<a name="l00044"></a><a class="code" href="inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">00044</a> <span class="preprocessor"></span><span class="preprocessor">#define false 0</span>
-<a name="l00045"></a>00045 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
-<a name="l00046"></a>00046 <span class="preprocessor"></span>
-<a name="l00047"></a><a class="code" href="inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">00047</a> <span class="preprocessor">#define OFX_ELEMENT_NAME_LENGTH         100</span>
-<a name="l00048"></a><a class="code" href="inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">00048</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_SVRTID2_LENGTH             36 + 1</span>
-<a name="l00049"></a><a class="code" href="inc_2libofx_8h.html#98353eaf0a31f2ade7d87e97f5c60a10">00049</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_CHECK_NUMBER_LENGTH        12 + 1</span>
-<a name="l00050"></a><a class="code" href="inc_2libofx_8h.html#cc16652d1582973c4cf44886539c1b82">00050</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_REFERENCE_NUMBER_LENGTH    32 + 1</span>
-<a name="l00051"></a><a class="code" href="inc_2libofx_8h.html#70a927cda060452ec535e77781d9ce71">00051</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_FITID_LENGTH               255 + 1</span>
-<a name="l00052"></a><a class="code" href="inc_2libofx_8h.html#93a79f3d4c13cd1de90e0a5742b882da">00052</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TOKEN2_LENGTH              36 + 1</span>
-<a name="l00053"></a><a class="code" href="inc_2libofx_8h.html#14658a025be4f8ab3ce87d59255557a1">00053</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MEMO_LENGTH                255 + 1</span>
-<a name="l00054"></a><a class="code" href="inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">00054</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MEMO2_LENGTH               390 + 1</span>
-<a name="l00055"></a><a class="code" href="inc_2libofx_8h.html#bea4c8e4902b5844db76b5efefb54d67">00055</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BALANCE_NAME_LENGTH        32 + 1</span>
-<a name="l00056"></a><a class="code" href="inc_2libofx_8h.html#1319bccc0b425f593504ed4c4410e570">00056</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BALANCE_DESCRIPTION_LENGTH 80 + 1</span>
-<a name="l00057"></a><a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">00057</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_CURRENCY_LENGTH            3 + 1 </span><span class="comment">/* In ISO-4217 format */</span>
-<a name="l00058"></a><a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">00058</a> <span class="preprocessor">#define OFX_BANKID_LENGTH              9 + 1</span>
-<a name="l00059"></a><a class="code" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">00059</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BRANCHID_LENGTH            22 + 1</span>
-<a name="l00060"></a><a class="code" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">00060</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCTID_LENGTH              22 + 1 </span>
-<a name="l00061"></a><a class="code" href="inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">00061</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCTKEY_LENGTH             22 + 1</span>
-<a name="l00062"></a><a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">00062</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BROKERID_LENGTH            22 + 1</span>
-<a name="l00063"></a>00063 <span class="preprocessor"></span><span class="comment">/* Must be MAX of &lt;BANKID&gt;+&lt;BRANCHID&gt;+&lt;ACCTID&gt;, &lt;ACCTID&gt;+&lt;ACCTKEY&gt; and &lt;ACCTID&gt;+&lt;BROKERID&gt; */</span>
-<a name="l00064"></a><a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">00064</a> <span class="preprocessor">#define OFX_ACCOUNT_ID_LENGTH OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1</span>
-<a name="l00065"></a><a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">00065</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCOUNT_NAME_LENGTH        255</span>
-<a name="l00066"></a><a class="code" href="inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">00066</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MARKETING_INFO_LENGTH      360 + 1</span>
-<a name="l00067"></a><a class="code" href="inc_2libofx_8h.html#40f37dafcf9d45693f112a2b8275c210">00067</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TRANSACTION_NAME_LENGTH    32 + 1</span>
-<a name="l00068"></a><a class="code" href="inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">00068</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_UNIQUE_ID_LENGTH           32 + 1</span>
-<a name="l00069"></a><a class="code" href="inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">00069</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_UNIQUE_ID_TYPE_LENGTH      10 + 1</span>
-<a name="l00070"></a><a class="code" href="inc_2libofx_8h.html#0d5c5c4fe1700e548e70c106db0c41d8">00070</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_SECNAME_LENGTH             32 + 1</span>
-<a name="l00071"></a><a class="code" href="inc_2libofx_8h.html#32d832a778f16f9599a7a44575681f4d">00071</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TICKER_LENGTH              32 + 1</span>
-<a name="l00072"></a><a class="code" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">00072</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ORG_LENGTH                 32 + 1</span>
-<a name="l00073"></a><a class="code" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">00073</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_FID_LENGTH                 32 + 1</span>
-<a name="l00074"></a><a class="code" href="inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">00074</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_USERID_LENGTH              32 + 1</span>
-<a name="l00075"></a><a class="code" href="inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">00075</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_USERPASS_LENGTH            32 + 1</span>
-<a name="l00076"></a><a class="code" href="inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">00076</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_URL_LENGTH                 500 + 1</span>
-<a name="l00077"></a>00077 <span class="preprocessor"></span><span class="comment">/*</span>
-<a name="l00078"></a>00078 <span class="comment">#define OFX_STATEMENT_CB               0;</span>
-<a name="l00079"></a>00079 <span class="comment">#define OFX_ACCOUNT_CB                 1;</span>
-<a name="l00080"></a>00080 <span class="comment">#define OFX_TRACSACTION_CB             2;</span>
-<a name="l00081"></a>00081 <span class="comment">#define OFX_SECURITY_CB                3;</span>
-<a name="l00082"></a>00082 <span class="comment">#define OFX_STATUS_CB                  4;</span>
-<a name="l00083"></a>00083 <span class="comment">*/</span>
-<a name="l00084"></a>00084 
-<a name="l00085"></a><a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">00085</a> <span class="keyword">typedef</span> <span class="keywordtype">void</span> * <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>;
-<a name="l00091"></a>00091 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> <a class="code" href="inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">libofx_get_new_context</a>();
-<a name="l00097"></a>00097 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">libofx_free_context</a>( <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> );
-<a name="l00098"></a>00098 
-<a name="l00100"></a><a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">00100</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>{ <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">AUTODETECT</a>, 
-<a name="l00101"></a>00101                      <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>, 
-<a name="l00102"></a>00102                      <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>, 
-<a name="l00103"></a>00103                      <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, 
-<a name="l00104"></a>00104                      <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">UNKNOWN</a>, 
-<a name="l00105"></a><a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">00105</a>                      <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a> 
-<a name="l00106"></a>00106 };
-<a name="l00107"></a>00107 
-<a name="l00108"></a><a class="code" href="structLibofxFileFormatInfo.html">00108</a> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>{
-<a name="l00109"></a><a class="code" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">00109</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">format</a>;
-<a name="l00110"></a><a class="code" href="structLibofxFileFormatInfo.html#d2cedb4565d24bf632fb95d3974e316b">00110</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structLibofxFileFormatInfo.html#d2cedb4565d24bf632fb95d3974e316b">format_name</a>;  
-<a name="l00111"></a><a class="code" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">00111</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">description</a>; 
-<a name="l00112"></a>00112 };
-<a name="l00113"></a>00113 
-<a name="l00114"></a>00114 
-<a name="l00115"></a>00115 <span class="preprocessor">#ifndef OFX_AQUAMANIAC_UGLY_HACK1</span>
-<a name="l00116"></a>00116 <span class="preprocessor"></span>
-<a name="l00117"></a><a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">00117</a> <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[] = 
-<a name="l00118"></a>00118 {
-<a name="l00119"></a>00119 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">AUTODETECT</a>, <span class="stringliteral">"AUTODETECT"</span>, <span class="stringliteral">"AUTODETECT (File format will be automatically detected later)"</span>},
-<a name="l00120"></a>00120 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>, <span class="stringliteral">"OFX"</span>, <span class="stringliteral">"OFX (Open Financial eXchange (OFX or QFX))"</span>},
-<a name="l00121"></a>00121 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>, <span class="stringliteral">"OFC"</span>, <span class="stringliteral">"OFC (Microsoft Open Financial Connectivity)"</span>},
-<a name="l00122"></a>00122 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
-<a name="l00123"></a>00123 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
-<a name="l00124"></a>00124 };
-<a name="l00125"></a>00125 
-<a name="l00126"></a><a class="code" href="inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">00126</a> <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="code" href="inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">LibofxExportFormatList</a>[] = 
-<a name="l00127"></a>00127 {
-<a name="l00128"></a>00128 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
-<a name="l00129"></a>00129 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
-<a name="l00130"></a>00130 };
-<a name="l00131"></a>00131 
-<a name="l00139"></a>00139 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">libofx_get_file_format_from_str</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">const</span> <span class="keywordtype">char</span> * file_type_string);
-<a name="l00140"></a>00140 
-<a name="l00148"></a>00148 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx_get_file_format_description</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> file_format);
-<a name="l00149"></a>00149 
-<a name="l00150"></a>00150 <span class="preprocessor">#endif</span>
-<a name="l00151"></a>00151 <span class="preprocessor"></span>
-<a name="l00158"></a>00158 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">libofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context,
-<a name="l00159"></a>00159                           <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename,
-<a name="l00160"></a>00160                           <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> ftype);
-<a name="l00161"></a>00161 
-<a name="l00162"></a>00162 
-<a name="l00175"></a><a class="code" href="structOfxStatusData.html">00175</a> <span class="keyword">struct </span><a class="code" href="structOfxStatusData.html">OfxStatusData</a>{  
-<a name="l00180"></a><a class="code" href="structOfxStatusData.html#659b7102e14a4d3e02bf0757ee1b12b9">00180</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxStatusData.html#659b7102e14a4d3e02bf0757ee1b12b9">ofx_element_name</a>[<a class="code" href="inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">OFX_ELEMENT_NAME_LENGTH</a>];
-<a name="l00182"></a><a class="code" href="structOfxStatusData.html#39fa34d1bc8c87c27b118479cecd5bf6">00182</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#39fa34d1bc8c87c27b118479cecd5bf6">ofx_element_name_valid</a>;
-<a name="l00183"></a>00183   
-<a name="l00188"></a><a class="code" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">00188</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">code</a>;            
-<a name="l00189"></a><a class="code" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">00189</a>   <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">name</a>;          
-<a name="l00190"></a><a class="code" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">00190</a>   <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">description</a>;   
-<a name="l00191"></a><a class="code" href="structOfxStatusData.html#69d5e443877e2e9300197a6057060a68">00191</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#69d5e443877e2e9300197a6057060a68">code_valid</a>;      
-<a name="l00194"></a><a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">00194</a>     <span class="keyword">enum</span> <a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">Severity</a>{<a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2">INFO</a>, 
-<a name="l00195"></a>00195                 <a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267">WARN</a>, 
-<a name="l00196"></a><a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8">00196</a>                 <a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8">ERROR</a> 
-<a name="l00197"></a>00197   } <a class="code" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a>;
-<a name="l00198"></a><a class="code" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">00198</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">severity_valid</a>;
-<a name="l00199"></a>00199   
-<a name="l00205"></a><a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">00205</a>   <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a>; 
-<a name="l00207"></a><a class="code" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">00207</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">server_message_valid</a>;
-<a name="l00209"></a>00209 };
-<a name="l00210"></a>00210 
-<a name="l00211"></a>00211 
-<a name="l00220"></a><a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">00220</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxStatusData.html">OfxStatusData</a> data, void * status_data);
-<a name="l00221"></a>00221 
-<a name="l00228"></a><a class="code" href="structOfxAccountData.html">00228</a> <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html">OfxAccountData</a>{
-<a name="l00229"></a>00229   
-<a name="l00240"></a><a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">00240</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>[<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>];
-<a name="l00246"></a><a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">00246</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>[<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>];
-<a name="l00247"></a><a class="code" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">00247</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">account_id_valid</a>;<span class="comment">/* Use for both account_id and account_name */</span>
-<a name="l00248"></a>00248 
-<a name="l00250"></a><a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">00250</a>     <span class="keyword">enum</span> <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">AccountType</a>{
-<a name="l00251"></a>00251     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9">OFX_CHECKING</a>,  
-<a name="l00252"></a>00252     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957">OFX_SAVINGS</a>,   
-<a name="l00253"></a>00253     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493">OFX_MONEYMRKT</a>, 
-<a name="l00254"></a>00254     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89">OFX_CREDITLINE</a>,
-<a name="l00255"></a>00255     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f">OFX_CMA</a>,       
-<a name="l00256"></a>00256     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471">OFX_CREDITCARD</a>,
-<a name="l00257"></a><a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">00257</a>     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">OFX_INVESTMENT</a> 
-<a name="l00258"></a>00258   } <a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>;
-<a name="l00259"></a><a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">00259</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a>;
-<a name="l00260"></a><a class="code" href="structOfxAccountData.html#c32bd379c1cdf26d0dfdb0d4992ba9e0">00260</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#c32bd379c1cdf26d0dfdb0d4992ba9e0">currency</a>[<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>]; 
-<a name="l00261"></a><a class="code" href="structOfxAccountData.html#ec553bba34510a9085d8395ae57eb4d2">00261</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#ec553bba34510a9085d8395ae57eb4d2">currency_valid</a>;
-<a name="l00262"></a>00262 
-<a name="l00263"></a><a class="code" href="structOfxAccountData.html#b52ce38f9b338995155193e251a913eb">00263</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#b52ce38f9b338995155193e251a913eb">bank_id</a>[<a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>];
-<a name="l00264"></a><a class="code" href="structOfxAccountData.html#383072a07037bd2a6e3b3bdd2dd8ce68">00264</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#383072a07037bd2a6e3b3bdd2dd8ce68">bank_id_valid</a>;
-<a name="l00265"></a>00265 
-<a name="l00266"></a><a class="code" href="structOfxAccountData.html#638e07ea5ceae389d128b18451a92c3f">00266</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#638e07ea5ceae389d128b18451a92c3f">broker_id</a>[<a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>];
-<a name="l00267"></a><a class="code" href="structOfxAccountData.html#18c96bae133fcb04c8f5cdadd2d785ca">00267</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#18c96bae133fcb04c8f5cdadd2d785ca">broker_id_valid</a>;
-<a name="l00268"></a>00268 
-<a name="l00269"></a><a class="code" href="structOfxAccountData.html#392911775b01dcd1fa08f8aae8d6354b">00269</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#392911775b01dcd1fa08f8aae8d6354b">branch_id</a>[<a class="code" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">OFX_BRANCHID_LENGTH</a>];
-<a name="l00270"></a><a class="code" href="structOfxAccountData.html#a90da480f5333cb62e65abff64fc8ca1">00270</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#a90da480f5333cb62e65abff64fc8ca1">branch_id_valid</a>;
-<a name="l00271"></a>00271 
-<a name="l00272"></a><a class="code" href="structOfxAccountData.html#4055a6a7c29f5d7227a21143c15827cc">00272</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#4055a6a7c29f5d7227a21143c15827cc">account_number</a>[<a class="code" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">OFX_ACCTID_LENGTH</a>];
-<a name="l00273"></a><a class="code" href="structOfxAccountData.html#4f3d55c94002500f9f3e3b398a71f9b0">00273</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#4f3d55c94002500f9f3e3b398a71f9b0">account_number_valid</a>;
-<a name="l00274"></a>00274 
-<a name="l00275"></a>00275 };
-<a name="l00276"></a>00276 
-<a name="l00289"></a><a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">00289</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html">OfxAccountData</a> data, void * account_data);
-<a name="l00290"></a>00290 
-<a name="l00297"></a><a class="code" href="structOfxSecurityData.html">00297</a> <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html">OfxSecurityData</a>{
-<a name="l00303"></a><a class="code" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">00303</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">unique_id</a>[<a class="code" href="inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">OFX_UNIQUE_ID_LENGTH</a>];   
-<a name="l00304"></a><a class="code" href="structOfxSecurityData.html#7a07e05b7a7de7cbc93ef5819e08cdfb">00304</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#7a07e05b7a7de7cbc93ef5819e08cdfb">unique_id_valid</a>;
-<a name="l00305"></a><a class="code" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">00305</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">unique_id_type</a>[<a class="code" href="inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">OFX_UNIQUE_ID_TYPE_LENGTH</a>];
-<a name="l00307"></a><a class="code" href="structOfxSecurityData.html#fa8afe497229c9f561b734b784af4136">00307</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#fa8afe497229c9f561b734b784af4136">unique_id_type_valid</a>;
-<a name="l00308"></a><a class="code" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">00308</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">secname</a>[<a class="code" href="inc_2libofx_8h.html#0d5c5c4fe1700e548e70c106db0c41d8">OFX_SECNAME_LENGTH</a>];
-<a name="l00309"></a><a class="code" href="structOfxSecurityData.html#2ac745aadacd3adff898b02c29a8ee50">00309</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#2ac745aadacd3adff898b02c29a8ee50">secname_valid</a>;
-<a name="l00310"></a>00310 
-<a name="l00316"></a><a class="code" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">00316</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">ticker</a>[<a class="code" href="inc_2libofx_8h.html#32d832a778f16f9599a7a44575681f4d">OFX_TICKER_LENGTH</a>];
-<a name="l00317"></a><a class="code" href="structOfxSecurityData.html#832eb4d40a617065f39d6543ae5cfdd4">00317</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#832eb4d40a617065f39d6543ae5cfdd4">ticker_valid</a>;
-<a name="l00318"></a>00318 
-<a name="l00319"></a><a class="code" href="structOfxSecurityData.html#e3c6ea360c7dce731d263c1f83b5cbd9">00319</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxSecurityData.html#e3c6ea360c7dce731d263c1f83b5cbd9">unitprice</a>;
-<a name="l00321"></a><a class="code" href="structOfxSecurityData.html#6527ef1b5444ad8dcc5c9f3e53b93abc">00321</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#6527ef1b5444ad8dcc5c9f3e53b93abc">unitprice_valid</a>;
-<a name="l00322"></a>00322 
-<a name="l00323"></a><a class="code" href="structOfxSecurityData.html#2be22a41f746673f06ea6b6820cc17e9">00323</a>   time_t <a class="code" href="structOfxSecurityData.html#2be22a41f746673f06ea6b6820cc17e9">date_unitprice</a>;
-<a name="l00324"></a><a class="code" href="structOfxSecurityData.html#45533d8f177dc2a329d03c5e79f0dd14">00324</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#45533d8f177dc2a329d03c5e79f0dd14">date_unitprice_valid</a>;
-<a name="l00325"></a>00325 
-<a name="l00326"></a><a class="code" href="structOfxSecurityData.html#6f943b5de690b0c8e3577ee32dc0f682">00326</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#6f943b5de690b0c8e3577ee32dc0f682">currency</a>[<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>]; 
-<a name="l00329"></a><a class="code" href="structOfxSecurityData.html#b510698f4aadf98dea2a38774afecf36">00329</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#b510698f4aadf98dea2a38774afecf36">currency_valid</a>;
-<a name="l00330"></a><a class="code" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">00330</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">memo</a>[<a class="code" href="inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">OFX_MEMO2_LENGTH</a>];
-<a name="l00331"></a><a class="code" href="structOfxSecurityData.html#fca86ce1faa30e4dcd6e31ff8fb8ab76">00331</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#fca86ce1faa30e4dcd6e31ff8fb8ab76">memo_valid</a>;
-<a name="l00332"></a>00332 };<span class="comment">/* end struct OfxSecurityData */</span>
-<a name="l00333"></a>00333 
-<a name="l00345"></a><a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">00345</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> data, void * security_data);
+<a name="l00039"></a><a class="code" href="inc_2libofx_8h.html#9ad8c7b7d900c6928e9140615f1275a3">00039</a> <span class="preprocessor">#define LIBOFX_MAJOR_VERSION 0</span>
+<a name="l00040"></a><a class="code" href="inc_2libofx_8h.html#3527e3d14bbc471075eaadb71b9e39f1">00040</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_MINOR_VERSION 9</span>
+<a name="l00041"></a><a class="code" href="inc_2libofx_8h.html#ccb0524df75c9175dc818990f6e5c03c">00041</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_MICRO_VERSION 0</span>
+<a name="l00042"></a><a class="code" href="inc_2libofx_8h.html#483ab1dcfec944873e1d112a089b7419">00042</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_BUILD_VERSION 0</span>
+<a name="l00043"></a><a class="code" href="inc_2libofx_8h.html#68cfe36f821e562e01082c66030ac8aa">00043</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_VERSION_RELEASE_STRING "0.9.0"</span>
+<a name="l00044"></a>00044 <span class="preprocessor"></span>
+<a name="l00045"></a>00045 
+<a name="l00046"></a>00046 <span class="preprocessor">#ifdef __cplusplus</span>
+<a name="l00047"></a>00047 <span class="preprocessor"></span><span class="preprocessor">#define CFCT extern "C"</span>
+<a name="l00048"></a>00048 <span class="preprocessor"></span><span class="preprocessor">#else</span>
+<a name="l00049"></a><a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">00049</a> <span class="preprocessor"></span><span class="preprocessor">#define CFCT</span>
+<a name="l00050"></a><a class="code" href="inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">00050</a> <span class="preprocessor"></span><span class="preprocessor">#define true 1</span>
+<a name="l00051"></a><a class="code" href="inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">00051</a> <span class="preprocessor"></span><span class="preprocessor">#define false 0</span>
+<a name="l00052"></a>00052 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00053"></a>00053 <span class="preprocessor"></span>
+<a name="l00054"></a><a class="code" href="inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">00054</a> <span class="preprocessor">#define OFX_ELEMENT_NAME_LENGTH         100</span>
+<a name="l00055"></a><a class="code" href="inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">00055</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_SVRTID2_LENGTH             (36 + 1)</span>
+<a name="l00056"></a><a class="code" href="inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">00056</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_CHECK_NUMBER_LENGTH        (12 + 1)</span>
+<a name="l00057"></a><a class="code" href="inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">00057</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_REFERENCE_NUMBER_LENGTH    (32 + 1)</span>
+<a name="l00058"></a><a class="code" href="inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">00058</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_FITID_LENGTH               (255 + 1)</span>
+<a name="l00059"></a><a class="code" href="inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">00059</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TOKEN2_LENGTH              (36 + 1)</span>
+<a name="l00060"></a><a class="code" href="inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">00060</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MEMO_LENGTH                (255 + 1)</span>
+<a name="l00061"></a><a class="code" href="inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">00061</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MEMO2_LENGTH               (390 + 1)</span>
+<a name="l00062"></a><a class="code" href="inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">00062</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BALANCE_NAME_LENGTH        (32 + 1)</span>
+<a name="l00063"></a><a class="code" href="inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">00063</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BALANCE_DESCRIPTION_LENGTH (80 + 1)</span>
+<a name="l00064"></a><a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">00064</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_CURRENCY_LENGTH            (3 + 1) </span><span class="comment">/* In ISO-4217 format */</span>
+<a name="l00065"></a><a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">00065</a> <span class="preprocessor">#define OFX_BANKID_LENGTH              (9 + 1)</span>
+<a name="l00066"></a><a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">00066</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BRANCHID_LENGTH            (22 + 1)</span>
+<a name="l00067"></a><a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">00067</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCTID_LENGTH              (22 + 1)</span>
+<a name="l00068"></a><a class="code" href="inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">00068</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCTKEY_LENGTH             (22 + 1)</span>
+<a name="l00069"></a><a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">00069</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BROKERID_LENGTH            (22 + 1)</span>
+<a name="l00070"></a>00070 <span class="preprocessor"></span><span class="comment">/* Must be MAX of &lt;BANKID&gt;+&lt;BRANCHID&gt;+&lt;ACCTID&gt;, &lt;ACCTID&gt;+&lt;ACCTKEY&gt; and &lt;ACCTID&gt;+&lt;BROKERID&gt; */</span>
+<a name="l00071"></a><a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">00071</a> <span class="preprocessor">#define OFX_ACCOUNT_ID_LENGTH (OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1)</span>
+<a name="l00072"></a><a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">00072</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCOUNT_NAME_LENGTH        255</span>
+<a name="l00073"></a><a class="code" href="inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">00073</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MARKETING_INFO_LENGTH      (360 + 1)</span>
+<a name="l00074"></a><a class="code" href="inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">00074</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TRANSACTION_NAME_LENGTH    (32 + 1)</span>
+<a name="l00075"></a><a class="code" href="inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">00075</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_UNIQUE_ID_LENGTH           (32 + 1)</span>
+<a name="l00076"></a><a class="code" href="inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">00076</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_UNIQUE_ID_TYPE_LENGTH      (10 + 1)</span>
+<a name="l00077"></a><a class="code" href="inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">00077</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_SECNAME_LENGTH             (32 + 1)</span>
+<a name="l00078"></a><a class="code" href="inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">00078</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TICKER_LENGTH              (32 + 1)</span>
+<a name="l00079"></a><a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">00079</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ORG_LENGTH                 (32 + 1)</span>
+<a name="l00080"></a><a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">00080</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_FID_LENGTH                 (32 + 1)</span>
+<a name="l00081"></a><a class="code" href="inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">00081</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_USERID_LENGTH              (32 + 1)</span>
+<a name="l00082"></a><a class="code" href="inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">00082</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_USERPASS_LENGTH            (32 + 1)</span>
+<a name="l00083"></a><a class="code" href="inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">00083</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_URL_LENGTH                 (500 + 1)</span>
+<a name="l00084"></a><a class="code" href="inc_2libofx_8h.html#a821a583f7c4a219c1cb5343ca2710e3">00084</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_APPID_LENGTH               (32)</span>
+<a name="l00085"></a><a class="code" href="inc_2libofx_8h.html#b6e3588136989b8dd250fc6918294012">00085</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_APPVER_LENGTH              (32)</span>
+<a name="l00086"></a><a class="code" href="inc_2libofx_8h.html#56203dc319d05344eb8bf9918db99c65">00086</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_HEADERVERSION_LENGTH       (32)</span>
+<a name="l00087"></a>00087 <span class="preprocessor"></span>
+<a name="l00088"></a>00088 <span class="comment">/*</span>
+<a name="l00089"></a>00089 <span class="comment">#define OFX_STATEMENT_CB               0;</span>
+<a name="l00090"></a>00090 <span class="comment">#define OFX_ACCOUNT_CB                 1;</span>
+<a name="l00091"></a>00091 <span class="comment">#define OFX_TRACSACTION_CB             2;</span>
+<a name="l00092"></a>00092 <span class="comment">#define OFX_SECURITY_CB                3;</span>
+<a name="l00093"></a>00093 <span class="comment">#define OFX_STATUS_CB                  4;</span>
+<a name="l00094"></a>00094 <span class="comment">*/</span>
+<a name="l00095"></a>00095 
+<a name="l00096"></a><a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">00096</a> <span class="keyword">typedef</span> <span class="keywordtype">void</span> * <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>;
+<a name="l00102"></a>00102 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> <a class="code" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0" title="Initialise the library and return a new context.">libofx_get_new_context</a>();
+<a name="l00108"></a>00108 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf" title="Free all ressources used by this context.">libofx_free_context</a>( <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> );
+<a name="l00109"></a>00109 
+<a name="l00110"></a>00110 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">libofx_set_dtd_dir</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context,
+<a name="l00111"></a>00111                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s);
+<a name="l00112"></a>00112 
+<a name="l00114"></a><a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">00114</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>{ <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a name="l00115"></a><a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">00115</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<a name="l00116"></a><a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">00116</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a name="l00117"></a><a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">00117</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<a name="l00118"></a><a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">00118</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a name="l00119"></a><a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">00119</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a> 
+<a name="l00120"></a>00120 };
+<a name="l00121"></a>00121 
+<a name="l00122"></a><a class="code" href="structLibofxFileFormatInfo.html">00122</a> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>{
+<a name="l00123"></a><a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">00123</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>;
+<a name="l00124"></a><a class="code" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">00124</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">format_name</a>;  
+<a name="l00125"></a><a class="code" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">00125</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">description</a>; 
+<a name="l00126"></a>00126 };
+<a name="l00127"></a>00127 
+<a name="l00128"></a>00128 
+<a name="l00129"></a>00129 <span class="preprocessor">#ifndef OFX_AQUAMANIAC_UGLY_HACK1</span>
+<a name="l00130"></a>00130 <span class="preprocessor"></span>
+<a name="l00131"></a><a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">00131</a> <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[] = 
+<a name="l00132"></a>00132 {
+<a name="l00133"></a>00133 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, <span class="stringliteral">"AUTODETECT"</span>, <span class="stringliteral">"AUTODETECT (File format will be automatically detected later)"</span>},
+<a name="l00134"></a>00134 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, <span class="stringliteral">"OFX"</span>, <span class="stringliteral">"OFX (Open Financial eXchange (OFX or QFX))"</span>},
+<a name="l00135"></a>00135 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, <span class="stringliteral">"OFC"</span>, <span class="stringliteral">"OFC (Microsoft Open Financial Connectivity)"</span>},
+<a name="l00136"></a>00136 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+<a name="l00137"></a>00137 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+<a name="l00138"></a>00138 };
+<a name="l00139"></a>00139 
+<a name="l00140"></a><a class="code" href="inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">00140</a> <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="code" href="inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">LibofxExportFormatList</a>[] = 
+<a name="l00141"></a>00141 {
+<a name="l00142"></a>00142 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+<a name="l00143"></a>00143 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+<a name="l00144"></a>00144 };
+<a name="l00145"></a>00145 
+<a name="l00153"></a>00153 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a" title="libofx_get_file_type returns a proper enum from a file type string.">libofx_get_file_format_from_str</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">const</span> <span class="keywordtype">char</span> * file_type_string);
+<a name="l00154"></a>00154 
+<a name="l00162"></a>00162 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format);
+<a name="l00163"></a>00163 
+<a name="l00164"></a>00164 <span class="preprocessor">#endif</span>
+<a name="l00165"></a>00165 <span class="preprocessor"></span>
+<a name="l00172"></a>00172 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805" title="libofx_proc_file is the entry point of the library.">libofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context,
+<a name="l00173"></a>00173                           <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename,
+<a name="l00174"></a>00174                           <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> ftype);
+<a name="l00175"></a>00175 
+<a name="l00176"></a>00176 
+<a name="l00189"></a><a class="code" href="structOfxStatusData.html">00189</a> <span class="keyword">struct </span><a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a>{  
+<a name="l00194"></a><a class="code" href="structOfxStatusData.html#d49b449f9d4bf1746d71728cd1f5b925">00194</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxStatusData.html#d49b449f9d4bf1746d71728cd1f5b925">ofx_element_name</a>[<a class="code" href="inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">OFX_ELEMENT_NAME_LENGTH</a>];
+<a name="l00196"></a><a class="code" href="structOfxStatusData.html#011f73b45f88aac63ec44727ed6b306d">00196</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#011f73b45f88aac63ec44727ed6b306d">ofx_element_name_valid</a>;
+<a name="l00197"></a>00197   
+<a name="l00202"></a><a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">00202</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a>;            
+<a name="l00203"></a><a class="code" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">00203</a>   <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">name</a>;          
+<a name="l00204"></a><a class="code" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">00204</a>   <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">description</a>;   
+<a name="l00205"></a><a class="code" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">00205</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">code_valid</a>;      
+<a name="l00208"></a><a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">00208</a>     <span class="keyword">enum</span> <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">Severity</a>{<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<a name="l00209"></a><a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">00209</a>                 <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<a name="l00210"></a><a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">00210</a>                 <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a> 
+<a name="l00211"></a>00211   } <a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>;
+<a name="l00212"></a><a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">00212</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a>;
+<a name="l00213"></a>00213   
+<a name="l00219"></a><a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">00219</a>   <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>; 
+<a name="l00221"></a><a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">00221</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a>;
+<a name="l00223"></a>00223 };
+<a name="l00224"></a>00224 
+<a name="l00225"></a>00225 
+<a name="l00234"></a><a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">00234</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> data, void * status_data);
+<a name="l00235"></a>00235 
+<a name="l00247"></a><a class="code" href="structOfxAccountData.html">00247</a> <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>{
+<a name="l00248"></a>00248   
+<a name="l00259"></a><a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">00259</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>[<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>];
+<a name="l00265"></a><a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">00265</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>[<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>];
+<a name="l00266"></a><a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">00266</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>;<span class="comment">/* Use for both account_id and account_name */</span>
+<a name="l00267"></a>00267 
+<a name="l00269"></a><a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">00269</a>     <span class="keyword">enum</span> <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">AccountType</a>{
+<a name="l00270"></a><a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">00270</a>     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>,  
+<a name="l00271"></a><a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">00271</a>     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>,   
+<a name="l00272"></a><a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">00272</a>     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a name="l00273"></a><a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">00273</a>     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>,
+<a name="l00274"></a><a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">00274</a>     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>,       
+<a name="l00275"></a><a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">00275</a>     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>,
+<a name="l00276"></a><a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">00276</a>     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a> 
+<a name="l00277"></a>00277   } <a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>;
+<a name="l00278"></a><a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">00278</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>;
+<a name="l00279"></a><a class="code" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">00279</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00280"></a><a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">00280</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a>;
+<a name="l00281"></a>00281 
+<a name="l00283"></a><a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">00283</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a>[<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>];
+<a name="l00284"></a><a class="code" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">00284</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">account_number_valid</a>;
+<a name="l00285"></a>00285 
+<a name="l00287"></a><a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">00287</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a>[<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>];
+<a name="l00288"></a><a class="code" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">00288</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">bank_id_valid</a>;
+<a name="l00289"></a>00289 
+<a name="l00290"></a><a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">00290</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a>[<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>];
+<a name="l00291"></a><a class="code" href="structOfxAccountData.html#59defd36706bd332e080dcf56437dabf">00291</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#59defd36706bd332e080dcf56437dabf">broker_id_valid</a>;
+<a name="l00292"></a>00292 
+<a name="l00293"></a><a class="code" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">00293</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">branch_id</a>[<a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>];
+<a name="l00294"></a><a class="code" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">00294</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">branch_id_valid</a>;
+<a name="l00295"></a>00295 
+<a name="l00296"></a>00296 };
+<a name="l00297"></a>00297 
+<a name="l00310"></a><a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">00310</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data, void * account_data);
+<a name="l00311"></a>00311 
+<a name="l00318"></a><a class="code" href="structOfxSecurityData.html">00318</a> <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a>{
+<a name="l00324"></a><a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">00324</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a>[<a class="code" href="inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">OFX_UNIQUE_ID_LENGTH</a>];   
+<a name="l00325"></a><a class="code" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">00325</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">unique_id_valid</a>;
+<a name="l00326"></a><a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">00326</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a>[<a class="code" href="inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">OFX_UNIQUE_ID_TYPE_LENGTH</a>];
+<a name="l00328"></a><a class="code" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">00328</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">unique_id_type_valid</a>;
+<a name="l00329"></a><a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">00329</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a>[<a class="code" href="inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">OFX_SECNAME_LENGTH</a>];
+<a name="l00330"></a><a class="code" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">00330</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">secname_valid</a>;
+<a name="l00331"></a>00331 
+<a name="l00337"></a><a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">00337</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a>[<a class="code" href="inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">OFX_TICKER_LENGTH</a>];
+<a name="l00338"></a><a class="code" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">00338</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">ticker_valid</a>;
+<a name="l00339"></a>00339 
+<a name="l00340"></a><a class="code" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">00340</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">unitprice</a>;
+<a name="l00342"></a><a class="code" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">00342</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">unitprice_valid</a>;
+<a name="l00343"></a>00343 
+<a name="l00344"></a><a class="code" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">00344</a>   time_t <a class="code" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">date_unitprice</a>;
+<a name="l00345"></a><a class="code" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">00345</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">date_unitprice_valid</a>;
 <a name="l00346"></a>00346 
-<a name="l00347"></a><a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">00347</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
-<a name="l00348"></a>00348     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">OFX_CREDIT</a>,     
-<a name="l00349"></a>00349     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">OFX_DEBIT</a>,      
-<a name="l00350"></a>00350     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">OFX_INT</a>,        
-<a name="l00351"></a>00351     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">OFX_DIV</a>,        
-<a name="l00352"></a>00352     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">OFX_FEE</a>,        
-<a name="l00353"></a>00353     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">OFX_SRVCHG</a>,     
-<a name="l00354"></a>00354     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">OFX_DEP</a>,        
-<a name="l00355"></a>00355     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">OFX_ATM</a>,        
-<a name="l00356"></a>00356     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">OFX_POS</a>,        
-<a name="l00357"></a>00357     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">OFX_XFER</a>,       
-<a name="l00358"></a>00358     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">OFX_CHECK</a>,      
-<a name="l00359"></a>00359     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">OFX_PAYMENT</a>,    
-<a name="l00360"></a>00360     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">OFX_CASH</a>,       
-<a name="l00361"></a>00361     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">OFX_DIRECTDEP</a>,  
-<a name="l00362"></a>00362     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">OFX_DIRECTDEBIT</a>,
-<a name="l00363"></a>00363     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">OFX_REPEATPMT</a>,  
-<a name="l00364"></a><a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">00364</a>     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">OFX_OTHER</a>       
-<a name="l00365"></a>00365   } <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">TransactionType</a>;
-<a name="l00366"></a>00366 
-<a name="l00367"></a><a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">00367</a> <span class="keyword">typedef</span>  <span class="keyword">enum</span>{
-<a name="l00368"></a>00368     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">OFX_BUYDEBT</a>,        
-<a name="l00369"></a>00369     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">OFX_BUYMF</a>,          
-<a name="l00370"></a>00370     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">OFX_BUYOPT</a>,         
-<a name="l00371"></a>00371     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">OFX_BUYOTHER</a>,       
-<a name="l00372"></a>00372     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">OFX_BUYSTOCK</a>,       
-<a name="l00373"></a>00373     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">OFX_CLOSUREOPT</a>,     
-<a name="l00374"></a>00374     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">OFX_INCOME</a>,         
-<a name="l00375"></a>00375     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">OFX_INVEXPENSE</a>,     
-<a name="l00376"></a>00376     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">OFX_JRNLFUND</a>,       
-<a name="l00377"></a>00377     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678">OFX_JRNLSEC</a>,        
-<a name="l00378"></a>00378     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">OFX_MARGININTEREST</a>, 
-<a name="l00379"></a>00379     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">OFX_REINVEST</a>,       
-<a name="l00380"></a>00380     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">OFX_RETOFCAP</a>,       
-<a name="l00381"></a>00381     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">OFX_SELLDEBT</a>,       
-<a name="l00382"></a>00382     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">OFX_SELLMF</a>,         
-<a name="l00383"></a>00383     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">OFX_SELLOPT</a>,        
-<a name="l00384"></a>00384     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">OFX_SELLOTHER</a>,      
-<a name="l00385"></a>00385     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">OFX_SELLSTOCK</a>,      
-<a name="l00386"></a>00386     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">OFX_SPLIT</a>,          
-<a name="l00387"></a><a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">00387</a>     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">OFX_TRANSFER</a>        
-<a name="l00388"></a>00388   }  <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">InvTransactionType</a>;
-<a name="l00389"></a><a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">00389</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
-<a name="l00390"></a>00390     <a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">DELETE</a>, 
-<a name="l00392"></a><a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">00392</a>     <a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">REPLACE</a> 
-<a name="l00394"></a>00394   } <a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">FiIdCorrectionAction</a>;
-<a name="l00395"></a>00395 
-<a name="l00402"></a><a class="code" href="structOfxTransactionData.html">00402</a> <span class="keyword">struct </span><a class="code" href="structOfxTransactionData.html">OfxTransactionData</a>{
-<a name="l00403"></a>00403   
-<a name="l00409"></a><a class="code" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">00409</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">account_id</a>[<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>];
-<a name="l00412"></a><a class="code" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">00412</a>   <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html">OfxAccountData</a> * <a class="code" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">account_ptr</a>; 
-<a name="l00414"></a><a class="code" href="structOfxTransactionData.html#02095f6be8951af8640d6e4d96e6a7c7">00414</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#02095f6be8951af8640d6e4d96e6a7c7">account_id_valid</a>;
-<a name="l00415"></a>00415 
-<a name="l00416"></a><a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">00416</a>   <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">TransactionType</a> <a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>;
-<a name="l00417"></a>00417   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a>;
-<a name="l00418"></a>00418  
-<a name="l00422"></a><a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">00422</a>   <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">InvTransactionType</a> <a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>;
-<a name="l00423"></a><a class="code" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">00423</a>   <span class="keywordtype">int</span>  <a class="code" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">invtransactiontype_valid</a>;
-<a name="l00424"></a>00424 
-<a name="l00425"></a><a class="code" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">00425</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">units</a>;     
-<a name="l00431"></a><a class="code" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">00431</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">units_valid</a>;
-<a name="l00432"></a><a class="code" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">00432</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">unitprice</a>; 
-<a name="l00434"></a><a class="code" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">00434</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">unitprice_valid</a>;
-<a name="l00435"></a><a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">00435</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a>;    
-<a name="l00439"></a><a class="code" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">00439</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">amount_valid</a>;
-<a name="l00440"></a><a class="code" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">00440</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">fi_id</a>[256];  
-<a name="l00443"></a><a class="code" href="structOfxTransactionData.html#9922d2151c43440ffe643fbf8cc1bb36">00443</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#9922d2151c43440ffe643fbf8cc1bb36">fi_id_valid</a>;
-<a name="l00444"></a>00444   
-<a name="l00452"></a><a class="code" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">00452</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">unique_id</a>[<a class="code" href="inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">OFX_UNIQUE_ID_LENGTH</a>];  
-<a name="l00453"></a><a class="code" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">00453</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">unique_id_valid</a>;
-<a name="l00454"></a><a class="code" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">00454</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">unique_id_type</a>[<a class="code" href="inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">OFX_UNIQUE_ID_TYPE_LENGTH</a>];
-<a name="l00456"></a><a class="code" href="structOfxTransactionData.html#7470f4b24458c5fc1ae4d32e04578832">00456</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#7470f4b24458c5fc1ae4d32e04578832">unique_id_type_valid</a>;
-<a name="l00457"></a><a class="code" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">00457</a>   <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> *<a class="code" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">security_data_ptr</a>;  
-<a name="l00458"></a><a class="code" href="structOfxTransactionData.html#e778083e6550c520a2855a28367cd4cb">00458</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#e778083e6550c520a2855a28367cd4cb">security_data_valid</a>;
-<a name="l00459"></a>00459   
-<a name="l00460"></a><a class="code" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">00460</a>   time_t <a class="code" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">date_posted</a>;
-<a name="l00465"></a><a class="code" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">00465</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">date_posted_valid</a>;
-<a name="l00466"></a>00466   
-<a name="l00467"></a><a class="code" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">00467</a>   time_t <a class="code" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">date_initiated</a>;
-<a name="l00473"></a><a class="code" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">00473</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">date_initiated_valid</a>;
-<a name="l00474"></a><a class="code" href="structOfxTransactionData.html#be9a3435e5c27396714b915bbec892d9">00474</a>   time_t <a class="code" href="structOfxTransactionData.html#be9a3435e5c27396714b915bbec892d9">date_funds_available</a>;
-<a name="l00477"></a><a class="code" href="structOfxTransactionData.html#a279f61654ffc1119f4a7a0475314b8f">00477</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#a279f61654ffc1119f4a7a0475314b8f">date_funds_available_valid</a>;
-<a name="l00481"></a><a class="code" href="structOfxTransactionData.html#9db59281d0b9883e307da469e45c5e25">00481</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#9db59281d0b9883e307da469e45c5e25">fi_id_corrected</a>[256];
-<a name="l00482"></a><a class="code" href="structOfxTransactionData.html#760693682215d56c510ddf222514d18e">00482</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#760693682215d56c510ddf222514d18e">fi_id_corrected_valid</a>;
-<a name="l00485"></a><a class="code" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">00485</a>   <a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">FiIdCorrectionAction</a> <a class="code" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">fi_id_correction_action</a>;
-<a name="l00486"></a><a class="code" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">00486</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">fi_id_correction_action_valid</a>;
+<a name="l00347"></a><a class="code" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">00347</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00350"></a><a class="code" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">00350</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">currency_valid</a>;
+<a name="l00351"></a><a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">00351</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a>[<a class="code" href="inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">OFX_MEMO2_LENGTH</a>];
+<a name="l00352"></a><a class="code" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">00352</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">memo_valid</a>;
+<a name="l00353"></a>00353 };<span class="comment">/* end struct OfxSecurityData */</span>
+<a name="l00354"></a>00354 
+<a name="l00366"></a><a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">00366</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> data, void * security_data);
+<a name="l00367"></a>00367 
+<a name="l00368"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">00368</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
+<a name="l00369"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">00369</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>,     
+<a name="l00370"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">00370</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>,      
+<a name="l00371"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">00371</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>,        
+<a name="l00372"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">00372</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>,        
+<a name="l00373"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">00373</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>,        
+<a name="l00374"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">00374</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>,     
+<a name="l00375"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">00375</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>,        
+<a name="l00376"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">00376</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>,        
+<a name="l00377"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">00377</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>,        
+<a name="l00378"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">00378</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>,       
+<a name="l00379"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">00379</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>,      
+<a name="l00380"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">00380</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>,    
+<a name="l00381"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">00381</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>,       
+<a name="l00382"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">00382</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>,  
+<a name="l00383"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">00383</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>,
+<a name="l00384"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">00384</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>,  
+<a name="l00385"></a><a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">00385</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>       
+<a name="l00386"></a>00386   } <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a>;
+<a name="l00387"></a>00387 
+<a name="l00388"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">00388</a> <span class="keyword">typedef</span>  <span class="keyword">enum</span>{
+<a name="l00389"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">00389</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>,        
+<a name="l00390"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">00390</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>,          
+<a name="l00391"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">00391</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>,         
+<a name="l00392"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">00392</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>,       
+<a name="l00393"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">00393</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>,       
+<a name="l00394"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">00394</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>,     
+<a name="l00395"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">00395</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>,         
+<a name="l00396"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">00396</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>,     
+<a name="l00397"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">00397</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>,       
+<a name="l00398"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">00398</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>,        
+<a name="l00399"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">00399</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a name="l00400"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">00400</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>,       
+<a name="l00401"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">00401</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>,       
+<a name="l00402"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">00402</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>,       
+<a name="l00403"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">00403</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>,         
+<a name="l00404"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">00404</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>,        
+<a name="l00405"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">00405</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>,      
+<a name="l00406"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">00406</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>,      
+<a name="l00407"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">00407</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>,          
+<a name="l00408"></a><a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">00408</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>        
+<a name="l00409"></a>00409   }  <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a>;
+<a name="l00410"></a><a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">00410</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
+<a name="l00411"></a><a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">00411</a>     <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a name="l00413"></a><a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">00413</a>     <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a> 
+<a name="l00415"></a>00415   } <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a>;
+<a name="l00416"></a>00416 
+<a name="l00423"></a><a class="code" href="structOfxTransactionData.html">00423</a> <span class="keyword">struct </span><a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a>{
+<a name="l00424"></a>00424   
+<a name="l00430"></a><a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">00430</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a>[<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>];
+<a name="l00433"></a><a class="code" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">00433</a>   <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * <a class="code" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">account_ptr</a>; 
+<a name="l00435"></a><a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">00435</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a>;
+<a name="l00436"></a>00436 
+<a name="l00437"></a><a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">00437</a>   <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a> <a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>;
+<a name="l00438"></a>00438   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>;
+<a name="l00439"></a>00439  
+<a name="l00443"></a><a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">00443</a>   <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a> <a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>;
+<a name="l00444"></a><a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">00444</a>   <span class="keywordtype">int</span>  <a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a>;
+<a name="l00445"></a>00445 
+<a name="l00446"></a><a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">00446</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a>;     
+<a name="l00452"></a><a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">00452</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a>;
+<a name="l00453"></a><a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">00453</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a>; 
+<a name="l00455"></a><a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">00455</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a>;
+<a name="l00456"></a><a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">00456</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>;    
+<a name="l00460"></a><a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">00460</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a>;
+<a name="l00461"></a><a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">00461</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>[256];  
+<a name="l00464"></a><a class="code" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">00464</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">fi_id_valid</a>;
+<a name="l00465"></a>00465   
+<a name="l00473"></a><a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">00473</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>[<a class="code" href="inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">OFX_UNIQUE_ID_LENGTH</a>];  
+<a name="l00474"></a><a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">00474</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a>;
+<a name="l00475"></a><a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">00475</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a>[<a class="code" href="inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">OFX_UNIQUE_ID_TYPE_LENGTH</a>];
+<a name="l00477"></a><a class="code" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">00477</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">unique_id_type_valid</a>;
+<a name="l00478"></a><a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">00478</a>   <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> *<a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a>;  
+<a name="l00479"></a><a class="code" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">00479</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">security_data_valid</a>;
+<a name="l00480"></a>00480   
+<a name="l00481"></a><a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">00481</a>   time_t <a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a>;
+<a name="l00486"></a><a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">00486</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a>;
 <a name="l00487"></a>00487   
-<a name="l00490"></a><a class="code" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">00490</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">server_transaction_id</a>[<a class="code" href="inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">OFX_SVRTID2_LENGTH</a>];
-<a name="l00491"></a><a class="code" href="structOfxTransactionData.html#ac773a8cfd36ea8dcbff4a0173a5178d">00491</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#ac773a8cfd36ea8dcbff4a0173a5178d">server_transaction_id_valid</a>;
-<a name="l00495"></a><a class="code" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">00495</a> <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">check_number</a>[<a class="code" href="inc_2libofx_8h.html#98353eaf0a31f2ade7d87e97f5c60a10">OFX_CHECK_NUMBER_LENGTH</a>];
-<a name="l00496"></a><a class="code" href="structOfxTransactionData.html#8b49156636e8dc3b1f56ae91955765b4">00496</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#8b49156636e8dc3b1f56ae91955765b4">check_number_valid</a>;
-<a name="l00499"></a><a class="code" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">00499</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">reference_number</a>[<a class="code" href="inc_2libofx_8h.html#cc16652d1582973c4cf44886539c1b82">OFX_REFERENCE_NUMBER_LENGTH</a>];
-<a name="l00500"></a><a class="code" href="structOfxTransactionData.html#6cca71dde5d0ced4458e4cc4d9be17e5">00500</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#6cca71dde5d0ced4458e4cc4d9be17e5">reference_number_valid</a>;
-<a name="l00501"></a><a class="code" href="structOfxTransactionData.html#3283c78f62957daba020a89f5f5ff632">00501</a>   <span class="keywordtype">long</span> <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#3283c78f62957daba020a89f5f5ff632">standard_industrial_code</a>;
-<a name="l00503"></a><a class="code" href="structOfxTransactionData.html#84c2f46550c8158d87074bba6d57d592">00503</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#84c2f46550c8158d87074bba6d57d592">standard_industrial_code_valid</a>;
-<a name="l00504"></a><a class="code" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">00504</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">payee_id</a>[<a class="code" href="inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">OFX_SVRTID2_LENGTH</a>];
-<a name="l00505"></a><a class="code" href="structOfxTransactionData.html#b2bdd11a3085660e89da09c86aeb9643">00505</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#b2bdd11a3085660e89da09c86aeb9643">payee_id_valid</a>;
-<a name="l00506"></a><a class="code" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">00506</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">name</a>[<a class="code" href="inc_2libofx_8h.html#40f37dafcf9d45693f112a2b8275c210">OFX_TRANSACTION_NAME_LENGTH</a>];
-<a name="l00508"></a><a class="code" href="structOfxTransactionData.html#b3c75cdec303b138889b3de61e75c869">00508</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#b3c75cdec303b138889b3de61e75c869">name_valid</a>;
-<a name="l00509"></a><a class="code" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">00509</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">memo</a>[<a class="code" href="inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">OFX_MEMO2_LENGTH</a>];
-<a name="l00510"></a><a class="code" href="structOfxTransactionData.html#eccceb6745312b5bdcd919056e7d987f">00510</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#eccceb6745312b5bdcd919056e7d987f">memo_valid</a>;
-<a name="l00511"></a><a class="code" href="structOfxTransactionData.html#37fb3882c1bc7079e47d2007af1ca028">00511</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#37fb3882c1bc7079e47d2007af1ca028">commission</a>;
-<a name="l00512"></a><a class="code" href="structOfxTransactionData.html#86d8e5fc00290bb173c1b6b948c35dd3">00512</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#86d8e5fc00290bb173c1b6b948c35dd3">commission_valid</a>;
-<a name="l00513"></a><a class="code" href="structOfxTransactionData.html#e3ec90702e1e5abbae847c77eb9cfc0e">00513</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#e3ec90702e1e5abbae847c77eb9cfc0e">fees</a>;
-<a name="l00514"></a><a class="code" href="structOfxTransactionData.html#fed8f3953c6f8d1d346be5c61501a93e">00514</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#fed8f3953c6f8d1d346be5c61501a93e">fees_valid</a>;
-<a name="l00515"></a><a class="code" href="structOfxTransactionData.html#57a0bf358659ac3c28eb330ae8c0abb9">00515</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#57a0bf358659ac3c28eb330ae8c0abb9">oldunits</a>;     <span class="comment">/*number of units held before stock split */</span>
-<a name="l00516"></a><a class="code" href="structOfxTransactionData.html#5129a4ab98abe2227338d4d5cef94e53">00516</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#5129a4ab98abe2227338d4d5cef94e53">oldunits_valid</a>;
-<a name="l00517"></a><a class="code" href="structOfxTransactionData.html#f0b75e90de07492e9aed6a57d879e358">00517</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#f0b75e90de07492e9aed6a57d879e358">newunits</a>;     <span class="comment">/*number of units held after stock split */</span>
-<a name="l00518"></a><a class="code" href="structOfxTransactionData.html#fd317e28426dce6b508872d5a15d1651">00518</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#fd317e28426dce6b508872d5a15d1651">newunits_valid</a>;
-<a name="l00519"></a>00519 
-<a name="l00520"></a>00520 
-<a name="l00521"></a>00521   <span class="comment">/*********** NOT YET COMPLETE!!! *********************/</span>
-<a name="l00522"></a>00522 };
-<a name="l00523"></a>00523 
-<a name="l00532"></a><a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">00532</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxTransactionData.html">OfxTransactionData</a> data, void * transaction_data);
-<a name="l00533"></a>00533 
-<a name="l00542"></a><a class="code" href="structOfxStatementData.html">00542</a> <span class="keyword">struct </span><a class="code" href="structOfxStatementData.html">OfxStatementData</a>{
-<a name="l00543"></a>00543 
-<a name="l00551"></a><a class="code" href="structOfxStatementData.html#8c016ce953f1d4d3d08573f0181f7fc8">00551</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#8c016ce953f1d4d3d08573f0181f7fc8">currency</a>[<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>]; 
-<a name="l00552"></a><a class="code" href="structOfxStatementData.html#2e01678983fb37679da62d982932301a">00552</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#2e01678983fb37679da62d982932301a">currency_valid</a>;
-<a name="l00553"></a><a class="code" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">00553</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">account_id</a>[<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>];
-<a name="l00555"></a><a class="code" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">00555</a>   <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html">OfxAccountData</a> * <a class="code" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">account_ptr</a>; 
-<a name="l00557"></a><a class="code" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">00557</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">account_id_valid</a>;
-<a name="l00560"></a><a class="code" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">00560</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">ledger_balance</a>;
-<a name="l00561"></a><a class="code" href="structOfxStatementData.html#36aa92a5090a5b005003a56d030bfe2d">00561</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#36aa92a5090a5b005003a56d030bfe2d">ledger_balance_valid</a>;
-<a name="l00562"></a><a class="code" href="structOfxStatementData.html#6c67dd7b0665b531e773f543fc7fb81c">00562</a>   time_t <a class="code" href="structOfxStatementData.html#6c67dd7b0665b531e773f543fc7fb81c">ledger_balance_date</a>;
-<a name="l00563"></a><a class="code" href="structOfxStatementData.html#156eaa5cdf06cfbb42f671d53e32f4c8">00563</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#156eaa5cdf06cfbb42f671d53e32f4c8">ledger_balance_date_valid</a>;
-<a name="l00564"></a>00564   
-<a name="l00570"></a><a class="code" href="structOfxStatementData.html#da9c55ec9c74912447df814e9d4cca91">00570</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxStatementData.html#da9c55ec9c74912447df814e9d4cca91">available_balance</a>; 
-<a name="l00573"></a><a class="code" href="structOfxStatementData.html#2b21efec7e7c885db13af63230c1a76d">00573</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#2b21efec7e7c885db13af63230c1a76d">available_balance_valid</a>;
-<a name="l00574"></a><a class="code" href="structOfxStatementData.html#bbed79d9d703d99258707077ec8fb237">00574</a>   time_t <a class="code" href="structOfxStatementData.html#bbed79d9d703d99258707077ec8fb237">available_balance_date</a>;
-<a name="l00575"></a><a class="code" href="structOfxStatementData.html#b43a960e67c71cd8b7c91376ca12d462">00575</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#b43a960e67c71cd8b7c91376ca12d462">available_balance_date_valid</a>;
-<a name="l00580"></a><a class="code" href="structOfxStatementData.html#e309f20e09668f4d0cf852f771d2cc16">00580</a>   time_t <a class="code" href="structOfxStatementData.html#e309f20e09668f4d0cf852f771d2cc16">date_start</a>;
-<a name="l00581"></a><a class="code" href="structOfxStatementData.html#dc9f69ca4ccb9ce8b2ee99a633ce1663">00581</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#dc9f69ca4ccb9ce8b2ee99a633ce1663">date_start_valid</a>;
-<a name="l00586"></a><a class="code" href="structOfxStatementData.html#9a9474d4266ee8362691de638eb2b95b">00586</a>   time_t <a class="code" href="structOfxStatementData.html#9a9474d4266ee8362691de638eb2b95b">date_end</a>;
-<a name="l00587"></a><a class="code" href="structOfxStatementData.html#da9e71bfc700d9836f8ed1a0a5394d68">00587</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#da9e71bfc700d9836f8ed1a0a5394d68">date_end_valid</a>;
-<a name="l00590"></a><a class="code" href="structOfxStatementData.html#fb61c45788b7da6fde86b94c39721b35">00590</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#fb61c45788b7da6fde86b94c39721b35">marketing_info</a>[<a class="code" href="inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">OFX_MARKETING_INFO_LENGTH</a>];
-<a name="l00591"></a><a class="code" href="structOfxStatementData.html#51882ec4112a0784458335387a2307d9">00591</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#51882ec4112a0784458335387a2307d9">marketing_info_valid</a>;
-<a name="l00592"></a>00592 };
-<a name="l00593"></a>00593 
-<a name="l00601"></a><a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">00601</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxStatementData.html">OfxStatementData</a> data, void * statement_data);
-<a name="l00602"></a>00602 
-<a name="l00606"></a><a class="code" href="structOfxCurrency.html">00606</a> <span class="keyword">struct </span><a class="code" href="structOfxCurrency.html">OfxCurrency</a>{
-<a name="l00607"></a><a class="code" href="structOfxCurrency.html#178b53e406a02275243f1e1e483220e8">00607</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxCurrency.html#178b53e406a02275243f1e1e483220e8">currency</a>[<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>]; 
-<a name="l00608"></a><a class="code" href="structOfxCurrency.html#978f8a9698789bb843d19fa39d972f2f">00608</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxCurrency.html#978f8a9698789bb843d19fa39d972f2f">exchange_rate</a>;  
-<a name="l00609"></a><a class="code" href="structOfxCurrency.html#7c4a8c93761859e996614694a973081c">00609</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxCurrency.html#7c4a8c93761859e996614694a973081c">must_convert</a>;   
-<a name="l00610"></a>00610 };
-<a name="l00611"></a>00611 
-<a name="l00612"></a>00612 
-<a name="l00619"></a>00619 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">ofx_set_status_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00620"></a>00620                             <a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb,
-<a name="l00621"></a>00621                             <span class="keywordtype">void</span> *user_data);
-<a name="l00628"></a>00628 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">ofx_set_account_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00629"></a>00629                              <a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb,
-<a name="l00630"></a>00630                              <span class="keywordtype">void</span> *user_data);
-<a name="l00637"></a>00637 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">ofx_set_security_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00638"></a>00638                               <a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb,
-<a name="l00639"></a>00639                               <span class="keywordtype">void</span> *user_data);
-<a name="l00646"></a>00646 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">ofx_set_transaction_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00647"></a>00647                                  <a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb,
-<a name="l00648"></a>00648                                  <span class="keywordtype">void</span> *user_data);
-<a name="l00649"></a>00649 
-<a name="l00656"></a>00656 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">ofx_set_statement_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00657"></a>00657                                <a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb,
-<a name="l00658"></a>00658                                <span class="keywordtype">void</span> *user_data);
-<a name="l00659"></a>00659 
-<a name="l00660"></a>00660 
-<a name="l00664"></a>00664 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">libofx_proc_buffer</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00665"></a>00665                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size);
-<a name="l00666"></a>00666                             
-<a name="l00672"></a>00672 
-<a name="l00677"></a><a class="code" href="structOfxFiServiceInfo.html">00677</a> <span class="keyword">struct </span><a class="code" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a>{
-<a name="l00678"></a><a class="code" href="structOfxFiServiceInfo.html#2dbea9cf2b6881ee430000a168cd8338">00678</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#2dbea9cf2b6881ee430000a168cd8338">fid</a>[<a class="code" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">OFX_FID_LENGTH</a>];
-<a name="l00679"></a><a class="code" href="structOfxFiServiceInfo.html#73a4c5b29a004bb210c751636b2352db">00679</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#73a4c5b29a004bb210c751636b2352db">org</a>[<a class="code" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">OFX_ORG_LENGTH</a>];
-<a name="l00680"></a><a class="code" href="structOfxFiServiceInfo.html#892b7434b389b85d67ece222f5dc1bdb">00680</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#892b7434b389b85d67ece222f5dc1bdb">url</a>[<a class="code" href="inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">OFX_URL_LENGTH</a>];
-<a name="l00681"></a><a class="code" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">00681</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">accountlist</a>; 
-<a name="l00682"></a><a class="code" href="structOfxFiServiceInfo.html#c02b7fbdca5599cfa064887cddf94804">00682</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#c02b7fbdca5599cfa064887cddf94804">statements</a>; 
-<a name="l00683"></a><a class="code" href="structOfxFiServiceInfo.html#41f3e3e7d5e090592791c8132fe14030">00683</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#41f3e3e7d5e090592791c8132fe14030">billpay</a>; 
-<a name="l00684"></a><a class="code" href="structOfxFiServiceInfo.html#a390b4cdb30ff1c96114b77c0e0737f6">00684</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#a390b4cdb30ff1c96114b77c0e0737f6">investments</a>; 
-<a name="l00685"></a>00685 };
-<a name="l00686"></a>00686 
-<a name="l00696"></a><a class="code" href="structOfxFiLogin.html">00696</a> <span class="keyword">struct </span><a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>{
-<a name="l00697"></a><a class="code" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">00697</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">fid</a>[<a class="code" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">OFX_FID_LENGTH</a>];
-<a name="l00698"></a><a class="code" href="structOfxFiLogin.html#4b44e09e0f415913fea555001554cd3d">00698</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#4b44e09e0f415913fea555001554cd3d">org</a>[<a class="code" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">OFX_ORG_LENGTH</a>];
-<a name="l00699"></a><a class="code" href="structOfxFiLogin.html#7513251178c3f4d9b665132436428cdf">00699</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#7513251178c3f4d9b665132436428cdf">userid</a>[<a class="code" href="inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">OFX_USERID_LENGTH</a>];
-<a name="l00700"></a><a class="code" href="structOfxFiLogin.html#2995949d8c307d2434ad82a61dbb6f1e">00700</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#2995949d8c307d2434ad82a61dbb6f1e">userpass</a>[<a class="code" href="inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">OFX_USERPASS_LENGTH</a>];
-<a name="l00701"></a>00701 };
-<a name="l00702"></a>00702 
-<a name="l00703"></a><a class="code" href="inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">00703</a> <span class="keyword">typedef</span> <span class="keyword">enum</span>{
-<a name="l00704"></a>00704   OFX_NO_ACCOUNT=0,
-<a name="l00705"></a>00705   OFX_BANK_ACCOUNT,
-<a name="l00706"></a>00706   OFX_INVEST_ACCOUNT,
-<a name="l00707"></a>00707   OFX_CREDITCARD_ACCOUNT,
-<a name="l00708"></a>00708   OFX_INVALID_ACCOUNT
-<a name="l00709"></a>00709 } <a class="code" href="inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">AccountType</a>;
-<a name="l00710"></a>00710 
-<a name="l00719"></a><a class="code" href="structOfxAccountInfo.html">00719</a> <span class="keyword">struct </span><a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>{
-<a name="l00720"></a><a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">00720</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a>[<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>];
-<a name="l00721"></a><a class="code" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">00721</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">bankid</a>[<a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>];
-<a name="l00722"></a><a class="code" href="structOfxAccountInfo.html#1b8903e24442ff02fc0a12ee0592cae6">00722</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountInfo.html#1b8903e24442ff02fc0a12ee0592cae6">brokerid</a>[<a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>];
-<a name="l00723"></a><a class="code" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">00723</a>   <a class="code" href="inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">AccountType</a> <a class="code" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">type</a>;
-<a name="l00724"></a>00724 };
-<a name="l00725"></a>00725 
-<a name="l00726"></a><a class="code" href="inc_2libofx_8h.html#609b01533497ee31000a7503e48b2cdb">00726</a> <span class="preprocessor">#define OFX_AMOUNT_LENGTH 32 + 1</span>
-<a name="l00727"></a><a class="code" href="inc_2libofx_8h.html#2766cffbd2b30950514516496c179094">00727</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_PAYACCT_LENGTH 32 + 1</span>
-<a name="l00728"></a><a class="code" href="inc_2libofx_8h.html#106dffe15d30f5c17404ef6cbf9ae3fa">00728</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_STATE_LENGTH 5 + 1</span>
-<a name="l00729"></a><a class="code" href="inc_2libofx_8h.html#16781a946309e4034d67e6b6e09f7238">00729</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_POSTALCODE_LENGTH 11 + 1</span>
-<a name="l00730"></a><a class="code" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">00730</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_NAME_LENGTH 32 + 1</span>
-<a name="l00731"></a>00731 <span class="preprocessor"></span>
-<a name="l00732"></a><a class="code" href="structOfxPayment.html">00732</a> <span class="keyword">struct </span><a class="code" href="structOfxPayment.html">OfxPayment</a>{
-<a name="l00733"></a><a class="code" href="structOfxPayment.html#fb1972bf3033b4604422d21273bb8d4e">00733</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#fb1972bf3033b4604422d21273bb8d4e">amount</a>[<a class="code" href="inc_2libofx_8h.html#609b01533497ee31000a7503e48b2cdb">OFX_AMOUNT_LENGTH</a>];
-<a name="l00734"></a><a class="code" href="structOfxPayment.html#d57648ec18e28322c8cc71fce995f083">00734</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#d57648ec18e28322c8cc71fce995f083">account</a>[<a class="code" href="inc_2libofx_8h.html#2766cffbd2b30950514516496c179094">OFX_PAYACCT_LENGTH</a>];
-<a name="l00735"></a><a class="code" href="structOfxPayment.html#9b30730015e0bdcf6661eadcb82b6698">00735</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#9b30730015e0bdcf6661eadcb82b6698">datedue</a>[9];
-<a name="l00736"></a><a class="code" href="structOfxPayment.html#e63577fa1dc3cff71b5dd6f09b0bd86a">00736</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#e63577fa1dc3cff71b5dd6f09b0bd86a">memo</a>[<a class="code" href="inc_2libofx_8h.html#14658a025be4f8ab3ce87d59255557a1">OFX_MEMO_LENGTH</a>];
-<a name="l00737"></a>00737 };
-<a name="l00738"></a>00738 
-<a name="l00739"></a><a class="code" href="structOfxPayee.html">00739</a> <span class="keyword">struct </span><a class="code" href="structOfxPayee.html">OfxPayee</a>{
-<a name="l00740"></a><a class="code" href="structOfxPayee.html#244c3b827ff9a03b64819e004b6c2703">00740</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#244c3b827ff9a03b64819e004b6c2703">name</a>[<a class="code" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">OFX_NAME_LENGTH</a>];
-<a name="l00741"></a><a class="code" href="structOfxPayee.html#3509ec9ece608232be3ffc63b4077d27">00741</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#3509ec9ece608232be3ffc63b4077d27">address1</a>[<a class="code" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">OFX_NAME_LENGTH</a>];
-<a name="l00742"></a><a class="code" href="structOfxPayee.html#4b3bd752ae504378f3bd3822e969b2fa">00742</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#4b3bd752ae504378f3bd3822e969b2fa">city</a>[<a class="code" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">OFX_NAME_LENGTH</a>];
-<a name="l00743"></a><a class="code" href="structOfxPayee.html#05962d6b480e93be8ee06c6890aff0eb">00743</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#05962d6b480e93be8ee06c6890aff0eb">state</a>[<a class="code" href="inc_2libofx_8h.html#106dffe15d30f5c17404ef6cbf9ae3fa">OFX_STATE_LENGTH</a>];
-<a name="l00744"></a><a class="code" href="structOfxPayee.html#a07d96270910acde171ebe29a8a263c2">00744</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#a07d96270910acde171ebe29a8a263c2">postalcode</a>[<a class="code" href="inc_2libofx_8h.html#16781a946309e4034d67e6b6e09f7238">OFX_POSTALCODE_LENGTH</a>];
-<a name="l00745"></a><a class="code" href="structOfxPayee.html#c79b99be08186762285da39f91948627">00745</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#c79b99be08186762285da39f91948627">phone</a>[<a class="code" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">OFX_NAME_LENGTH</a>];
-<a name="l00746"></a>00746 };
-<a name="l00747"></a>00747 
-<a name="l00760"></a>00760 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">libofx_request_statement</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* fi, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>* account, time_t date_from );
-<a name="l00761"></a>00761 
-<a name="l00773"></a>00773 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">libofx_request_accountinfo</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login );
-<a name="l00774"></a>00774 
-<a name="l00775"></a>00775 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">char</span>* libofx_request_payment( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>* account, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>* payee, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>* payment );
-<a name="l00776"></a>00776 
-<a name="l00777"></a>00777 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">libofx_request_payment_status</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keywordtype">char</span>* transactionid );
-<a name="l00778"></a>00778 
-<a name="l00780"></a>00780 
-<a name="l00781"></a>00781 <span class="preprocessor">#endif</span>
-<a name="l00782"></a>00782 <span class="preprocessor"></span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00488"></a><a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">00488</a>   time_t <a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a>;
+<a name="l00494"></a><a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">00494</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a>;
+<a name="l00495"></a><a class="code" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">00495</a>   time_t <a class="code" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">date_funds_available</a>;
+<a name="l00498"></a><a class="code" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">00498</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">date_funds_available_valid</a>;
+<a name="l00502"></a><a class="code" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">00502</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">fi_id_corrected</a>[256];
+<a name="l00503"></a><a class="code" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">00503</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">fi_id_corrected_valid</a>;
+<a name="l00506"></a><a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">00506</a>   <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a> <a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>;
+<a name="l00507"></a><a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">00507</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a>;
+<a name="l00508"></a>00508   
+<a name="l00511"></a><a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">00511</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a>[<a class="code" href="inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">OFX_SVRTID2_LENGTH</a>];
+<a name="l00512"></a><a class="code" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">00512</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">server_transaction_id_valid</a>;
+<a name="l00516"></a><a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">00516</a> <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>[<a class="code" href="inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">OFX_CHECK_NUMBER_LENGTH</a>];
+<a name="l00517"></a><a class="code" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">00517</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">check_number_valid</a>;
+<a name="l00520"></a><a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">00520</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>[<a class="code" href="inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">OFX_REFERENCE_NUMBER_LENGTH</a>];
+<a name="l00521"></a><a class="code" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">00521</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">reference_number_valid</a>;
+<a name="l00522"></a><a class="code" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">00522</a>   <span class="keywordtype">long</span> <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">standard_industrial_code</a>;
+<a name="l00524"></a><a class="code" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">00524</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">standard_industrial_code_valid</a>;
+<a name="l00525"></a><a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">00525</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a>[<a class="code" href="inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">OFX_SVRTID2_LENGTH</a>];
+<a name="l00526"></a><a class="code" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">00526</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">payee_id_valid</a>;
+<a name="l00527"></a><a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">00527</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>[<a class="code" href="inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">OFX_TRANSACTION_NAME_LENGTH</a>];
+<a name="l00529"></a><a class="code" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">00529</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">name_valid</a>;
+<a name="l00530"></a><a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">00530</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>[<a class="code" href="inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">OFX_MEMO2_LENGTH</a>];
+<a name="l00531"></a><a class="code" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">00531</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">memo_valid</a>;
+<a name="l00532"></a><a class="code" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">00532</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">commission</a>;
+<a name="l00533"></a><a class="code" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">00533</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">commission_valid</a>;
+<a name="l00534"></a><a class="code" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">00534</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">fees</a>;
+<a name="l00535"></a><a class="code" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">00535</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">fees_valid</a>;
+<a name="l00536"></a><a class="code" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">00536</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">oldunits</a>;     <span class="comment">/*number of units held before stock split */</span>
+<a name="l00537"></a><a class="code" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">00537</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">oldunits_valid</a>;
+<a name="l00538"></a><a class="code" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">00538</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">newunits</a>;     <span class="comment">/*number of units held after stock split */</span>
+<a name="l00539"></a><a class="code" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">00539</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">newunits_valid</a>;
+<a name="l00540"></a>00540 
+<a name="l00541"></a>00541 
+<a name="l00542"></a>00542   <span class="comment">/*********** NOT YET COMPLETE!!! *********************/</span>
+<a name="l00543"></a>00543 };
+<a name="l00544"></a>00544 
+<a name="l00553"></a><a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">00553</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data, void * transaction_data);
+<a name="l00554"></a>00554 
+<a name="l00563"></a><a class="code" href="structOfxStatementData.html">00563</a> <span class="keyword">struct </span><a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a>{
+<a name="l00564"></a>00564 
+<a name="l00572"></a><a class="code" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">00572</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00573"></a><a class="code" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">00573</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">currency_valid</a>;
+<a name="l00574"></a><a class="code" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">00574</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">account_id</a>[<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>];
+<a name="l00576"></a><a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">00576</a>   <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * <a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a>; 
+<a name="l00578"></a><a class="code" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">00578</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">account_id_valid</a>;
+<a name="l00581"></a><a class="code" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">00581</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">ledger_balance</a>;
+<a name="l00582"></a><a class="code" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">00582</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">ledger_balance_valid</a>;
+<a name="l00583"></a><a class="code" href="structOfxStatementData.html#57f9892d09da4a6d69c44b7f9af45fc0">00583</a>   time_t <a class="code" href="structOfxStatementData.html#57f9892d09da4a6d69c44b7f9af45fc0">ledger_balance_date</a>;
+<a name="l00584"></a><a class="code" href="structOfxStatementData.html#765dfa1991995af8a2c72b774df6cb6d">00584</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#765dfa1991995af8a2c72b774df6cb6d">ledger_balance_date_valid</a>;
+<a name="l00585"></a>00585   
+<a name="l00591"></a><a class="code" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">00591</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">available_balance</a>; 
+<a name="l00594"></a><a class="code" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">00594</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">available_balance_valid</a>;
+<a name="l00595"></a><a class="code" href="structOfxStatementData.html#5062a88aaae023cd5506db8991187c1c">00595</a>   time_t <a class="code" href="structOfxStatementData.html#5062a88aaae023cd5506db8991187c1c">available_balance_date</a>;
+<a name="l00596"></a><a class="code" href="structOfxStatementData.html#4c2936f050f1cacd32e11e294dd96de6">00596</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#4c2936f050f1cacd32e11e294dd96de6">available_balance_date_valid</a>;
+<a name="l00601"></a><a class="code" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">00601</a>   time_t <a class="code" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">date_start</a>;
+<a name="l00602"></a><a class="code" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">00602</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">date_start_valid</a>;
+<a name="l00607"></a><a class="code" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">00607</a>   time_t <a class="code" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">date_end</a>;
+<a name="l00608"></a><a class="code" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">00608</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">date_end_valid</a>;
+<a name="l00611"></a><a class="code" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">00611</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">marketing_info</a>[<a class="code" href="inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">OFX_MARKETING_INFO_LENGTH</a>];
+<a name="l00612"></a><a class="code" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">00612</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">marketing_info_valid</a>;
+<a name="l00613"></a>00613 };
+<a name="l00614"></a>00614 
+<a name="l00622"></a><a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">00622</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data, void * statement_data);
+<a name="l00623"></a>00623 
+<a name="l00627"></a><a class="code" href="structOfxCurrency.html">00627</a> <span class="keyword">struct </span><a class="code" href="structOfxCurrency.html" title="NOT YET SUPPORTED.">OfxCurrency</a>{
+<a name="l00628"></a><a class="code" href="structOfxCurrency.html#b161a37469e797c6762d7dd909819332">00628</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxCurrency.html#b161a37469e797c6762d7dd909819332">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00629"></a><a class="code" href="structOfxCurrency.html#42189e2f5c6b57cf09cb75689a6c1b88">00629</a>   <span class="keywordtype">double</span> <a class="code" href="structOfxCurrency.html#42189e2f5c6b57cf09cb75689a6c1b88">exchange_rate</a>;  
+<a name="l00630"></a><a class="code" href="structOfxCurrency.html#19eb1ccd12664af9dfdb55d67641f32d">00630</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxCurrency.html#19eb1ccd12664af9dfdb55d67641f32d">must_convert</a>;   
+<a name="l00631"></a>00631 };
+<a name="l00632"></a>00632 
+<a name="l00633"></a>00633 
+<a name="l00640"></a>00640 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">ofx_set_status_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00641"></a>00641                             <a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb,
+<a name="l00642"></a>00642                             <span class="keywordtype">void</span> *user_data);
+<a name="l00649"></a>00649 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00650"></a>00650                              <a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb,
+<a name="l00651"></a>00651                              <span class="keywordtype">void</span> *user_data);
+<a name="l00658"></a>00658 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">ofx_set_security_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00659"></a>00659                               <a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb,
+<a name="l00660"></a>00660                               <span class="keywordtype">void</span> *user_data);
+<a name="l00667"></a>00667 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00668"></a>00668                                  <a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb,
+<a name="l00669"></a>00669                                  <span class="keywordtype">void</span> *user_data);
+<a name="l00670"></a>00670 
+<a name="l00677"></a>00677 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00678"></a>00678                                <a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb,
+<a name="l00679"></a>00679                                <span class="keywordtype">void</span> *user_data);
+<a name="l00680"></a>00680 
+<a name="l00681"></a>00681 
+<a name="l00685"></a>00685 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00686"></a>00686                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size);
+<a name="l00687"></a>00687                             
+<a name="l00693"></a>00693 
+<a name="l00698"></a><a class="code" href="structOfxFiServiceInfo.html">00698</a> <span class="keyword">struct </span><a class="code" href="structOfxFiServiceInfo.html" title="Information returned by the OFX Partner Server about a financial institution.">OfxFiServiceInfo</a>{
+<a name="l00699"></a><a class="code" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">00699</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">fid</a>[<a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>];
+<a name="l00700"></a><a class="code" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">00700</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">org</a>[<a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>];
+<a name="l00701"></a><a class="code" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">00701</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">url</a>[<a class="code" href="inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">OFX_URL_LENGTH</a>];
+<a name="l00702"></a><a class="code" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">00702</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">accountlist</a>; 
+<a name="l00703"></a><a class="code" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">00703</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">statements</a>; 
+<a name="l00704"></a><a class="code" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">00704</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">billpay</a>; 
+<a name="l00705"></a><a class="code" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">00705</a>   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">investments</a>; 
+<a name="l00706"></a>00706 };
+<a name="l00707"></a>00707 
+<a name="l00717"></a><a class="code" href="structOfxFiLogin.html">00717</a> <span class="keyword">struct </span><a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>{
+<a name="l00718"></a><a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">00718</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a>[<a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>];
+<a name="l00719"></a><a class="code" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">00719</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">org</a>[<a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>];
+<a name="l00720"></a><a class="code" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">00720</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">userid</a>[<a class="code" href="inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">OFX_USERID_LENGTH</a>];
+<a name="l00721"></a><a class="code" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">00721</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">userpass</a>[<a class="code" href="inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">OFX_USERPASS_LENGTH</a>];
+<a name="l00722"></a><a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">00722</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a>[<a class="code" href="inc_2libofx_8h.html#56203dc319d05344eb8bf9918db99c65">OFX_HEADERVERSION_LENGTH</a>];
+<a name="l00723"></a><a class="code" href="structOfxFiLogin.html#0589bf38951c4e698236146c019d4cd1">00723</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#0589bf38951c4e698236146c019d4cd1">appid</a>[<a class="code" href="inc_2libofx_8h.html#a821a583f7c4a219c1cb5343ca2710e3">OFX_APPID_LENGTH</a>];
+<a name="l00724"></a><a class="code" href="structOfxFiLogin.html#f870ca3b27992fb53f203d23f33d097c">00724</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#f870ca3b27992fb53f203d23f33d097c">appver</a>[<a class="code" href="inc_2libofx_8h.html#b6e3588136989b8dd250fc6918294012">OFX_APPVER_LENGTH</a>];
+<a name="l00725"></a>00725 };
+<a name="l00726"></a>00726 
+<a name="l00727"></a><a class="code" href="inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">00727</a> <span class="preprocessor">#define OFX_AMOUNT_LENGTH (32 + 1)</span>
+<a name="l00728"></a><a class="code" href="inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">00728</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_PAYACCT_LENGTH (32 + 1)</span>
+<a name="l00729"></a><a class="code" href="inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">00729</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_STATE_LENGTH (5 + 1)</span>
+<a name="l00730"></a><a class="code" href="inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">00730</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_POSTALCODE_LENGTH (11 + 1)</span>
+<a name="l00731"></a><a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">00731</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_NAME_LENGTH (32 + 1)</span>
+<a name="l00732"></a>00732 <span class="preprocessor"></span>
+<a name="l00733"></a><a class="code" href="structOfxPayment.html">00733</a> <span class="keyword">struct </span><a class="code" href="structOfxPayment.html">OfxPayment</a>{
+<a name="l00734"></a><a class="code" href="structOfxPayment.html#ce2679ca7e17d6ba7a79cf03399beb8a">00734</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#ce2679ca7e17d6ba7a79cf03399beb8a">amount</a>[<a class="code" href="inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">OFX_AMOUNT_LENGTH</a>];
+<a name="l00735"></a><a class="code" href="structOfxPayment.html#851acab467352b911fa62781657ce328">00735</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#851acab467352b911fa62781657ce328">account</a>[<a class="code" href="inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">OFX_PAYACCT_LENGTH</a>];
+<a name="l00736"></a><a class="code" href="structOfxPayment.html#8c7bf483dba9043d5c49993756681e7b">00736</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#8c7bf483dba9043d5c49993756681e7b">datedue</a>[9];
+<a name="l00737"></a><a class="code" href="structOfxPayment.html#3d6cbc61b6b1561f6a641bedcb5d25f5">00737</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#3d6cbc61b6b1561f6a641bedcb5d25f5">memo</a>[<a class="code" href="inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">OFX_MEMO_LENGTH</a>];
+<a name="l00738"></a>00738 };
+<a name="l00739"></a>00739 
+<a name="l00740"></a><a class="code" href="structOfxPayee.html">00740</a> <span class="keyword">struct </span><a class="code" href="structOfxPayee.html">OfxPayee</a>{
+<a name="l00741"></a><a class="code" href="structOfxPayee.html#2ad9e35d86d1f7432114048a55bb5a73">00741</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#2ad9e35d86d1f7432114048a55bb5a73">name</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00742"></a><a class="code" href="structOfxPayee.html#985439daf6ac8a7a34c92e5f9e829901">00742</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#985439daf6ac8a7a34c92e5f9e829901">address1</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00743"></a><a class="code" href="structOfxPayee.html#03d236ffc1640ecc56640c4e29093215">00743</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#03d236ffc1640ecc56640c4e29093215">city</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00744"></a><a class="code" href="structOfxPayee.html#d93547c7b47ed9d2428c0516fec2ed55">00744</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#d93547c7b47ed9d2428c0516fec2ed55">state</a>[<a class="code" href="inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">OFX_STATE_LENGTH</a>];
+<a name="l00745"></a><a class="code" href="structOfxPayee.html#b23cc650855fe8313f3a984a76b233cb">00745</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#b23cc650855fe8313f3a984a76b233cb">postalcode</a>[<a class="code" href="inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">OFX_POSTALCODE_LENGTH</a>];
+<a name="l00746"></a><a class="code" href="structOfxPayee.html#90f01576639fa04ff30a4c8836b6491f">00746</a>   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#90f01576639fa04ff30a4c8836b6491f">phone</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00747"></a>00747 };
+<a name="l00748"></a>00748 
+<a name="l00761"></a>00761 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d" title="Creates an OFX statement request in string form.">libofx_request_statement</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* fi, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, time_t date_from );
+<a name="l00762"></a>00762 
+<a name="l00774"></a>00774 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449" title="Creates an OFX account info (list) request in string form.">libofx_request_accountinfo</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login );
+<a name="l00775"></a>00775 
+<a name="l00776"></a>00776 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* libofx_request_payment( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>* payee, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>* payment );
+<a name="l00777"></a>00777 
+<a name="l00778"></a>00778 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keywordtype">char</span>* transactionid );
+<a name="l00779"></a>00779 
+<a name="l00781"></a>00781 
+<a name="l00782"></a>00782 <span class="preprocessor">#endif</span>
+<a name="l00783"></a>00783 <span class="preprocessor"></span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/inc_2libofx_8h.html'
--- doc/html/inc_2libofx_8h.html	2006-10-20 13:12:33 +0000
+++ doc/html/inc_2libofx_8h.html	2008-02-06 17:25:16 +0000
@@ -1,30 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: libofx.h File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>libofx.h File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Main header file containing the LibOfx API. 
 <p>
 This file should be included for all applications who use this API. This header file will work with both C and C++ programs. The entire API is made of the following structures and functions.<p>
 All of the following ofx_proc_* functions are callbacks (Except ofx_proc_file which is the entry point). They must be implemented by your program, but can be left empty if not needed. They are called each time the associated structure is filled by the library.<p>
 Important note: The variables associated with every data element have a _valid companion. Always check that data_valid == true before using. Not only will you ensure that the data is meaningfull, but also that pointers are valid and strings point to a null terminated string. Elements listed as mandatory are for information purpose only, do not trust the bank not to send you non-conforming data... 
-<p>
-Definition in file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
+<p>Definition in file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
 <p>
 
 <p>
@@ -57,751 +53,977 @@
 <tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html">OfxFiLogin</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Information sufficient to log into an financial institution.  <a href="structOfxFiLogin.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Information sufficient to identify an account.  <a href="structOfxAccountInfo.html#_details">More...</a><br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html">OfxPayment</a></td></tr>
 
 <tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html">OfxPayee</a></td></tr>
 
 <tr><td colspan="2"><br><h2>Creating OFX Files</h2></td></tr>
 <tr><td colspan="2">This group deals with creating OFX files <br><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="609b01533497ee31000a7503e48b2cdb"></a><!-- doxytag: member="inc/libofx.h::OFX_AMOUNT_LENGTH" ref="609b01533497ee31000a7503e48b2cdb" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#609b01533497ee31000a7503e48b2cdb">OFX_AMOUNT_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2766cffbd2b30950514516496c179094"></a><!-- doxytag: member="inc/libofx.h::OFX_PAYACCT_LENGTH" ref="2766cffbd2b30950514516496c179094" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#2766cffbd2b30950514516496c179094">OFX_PAYACCT_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="106dffe15d30f5c17404ef6cbf9ae3fa"></a><!-- doxytag: member="inc/libofx.h::OFX_STATE_LENGTH" ref="106dffe15d30f5c17404ef6cbf9ae3fa" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#106dffe15d30f5c17404ef6cbf9ae3fa">OFX_STATE_LENGTH</a>&nbsp;&nbsp;&nbsp;5 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="16781a946309e4034d67e6b6e09f7238"></a><!-- doxytag: member="inc/libofx.h::OFX_POSTALCODE_LENGTH" ref="16781a946309e4034d67e6b6e09f7238" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#16781a946309e4034d67e6b6e09f7238">OFX_POSTALCODE_LENGTH</a>&nbsp;&nbsp;&nbsp;11 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4ef47a1374277f56c4d0cb4039245cb8"></a><!-- doxytag: member="inc/libofx.h::OFX_NAME_LENGTH" ref="4ef47a1374277f56c4d0cb4039245cb8" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">OFX_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">AccountType</a> { <br>
-&nbsp;&nbsp;<b>OFX_NO_ACCOUNT</b> = 0, 
-<b>OFX_BANK_ACCOUNT</b>, 
-<b>OFX_INVEST_ACCOUNT</b>, 
-<b>OFX_CREDITCARD_ACCOUNT</b>, 
-<br>
-&nbsp;&nbsp;<b>OFX_INVALID_ACCOUNT</b>
-<br>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">libofx_request_statement</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *fi, const struct <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> *account, time_t date_from)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates an OFX statement request in string form.  <a href="#f91a1c7694b46e7fcc8e175a7c224dde"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">libofx_request_accountinfo</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates an OFX account info (list) request in string form.  <a href="#78ec3ce215baf3f6739cc98f8b7ca128"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2dcfc4b4b217dee65f6affa5a0a8d5ff"></a><!-- doxytag: member="inc/libofx.h::libofx_request_payment" ref="2dcfc4b4b217dee65f6affa5a0a8d5ff" args="(const struct OfxFiLogin *login, const struct OfxAccountInfo *account, const struct OfxPayee *payee, const struct OfxPayment *payment)" -->
-CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><b>libofx_request_payment</b> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const struct <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> *account, const struct <a class="el" href="structOfxPayee.html">OfxPayee</a> *payee, const struct <a class="el" href="structOfxPayment.html">OfxPayment</a> *payment)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f408dfb1579b0d6f980d96ffcb45e674"></a><!-- doxytag: member="inc/libofx.h::libofx_request_payment_status" ref="f408dfb1579b0d6f980d96ffcb45e674" args="(const struct OfxFiLogin *login, const char *transactionid)" -->
-CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">libofx_request_payment_status</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const char *transactionid)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="58da6c854e5fd8b879e3348c6285198f"></a><!-- doxytag: member="inc/libofx.h::OFX_AMOUNT_LENGTH" ref="58da6c854e5fd8b879e3348c6285198f" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">OFX_AMOUNT_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6b2c390e87d270a029d21708ca9faad3"></a><!-- doxytag: member="inc/libofx.h::OFX_PAYACCT_LENGTH" ref="6b2c390e87d270a029d21708ca9faad3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">OFX_PAYACCT_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c28dc585985dd3c517f2eb818f909a8d"></a><!-- doxytag: member="inc/libofx.h::OFX_STATE_LENGTH" ref="c28dc585985dd3c517f2eb818f909a8d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">OFX_STATE_LENGTH</a>&nbsp;&nbsp;&nbsp;(5 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c58b9d7dc304b11a10f87ae600520917"></a><!-- doxytag: member="inc/libofx.h::OFX_POSTALCODE_LENGTH" ref="c58b9d7dc304b11a10f87ae600520917" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">OFX_POSTALCODE_LENGTH</a>&nbsp;&nbsp;&nbsp;(11 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="765b4da64823bc421b7a2ffddacaeb1c"></a><!-- doxytag: member="inc/libofx.h::OFX_NAME_LENGTH" ref="765b4da64823bc421b7a2ffddacaeb1c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d">libofx_request_statement</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *fi, const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, time_t date_from)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates an OFX statement request in string form.  <a href="#8095d04a045a8f0bdfd5c32ea6f1638d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449">libofx_request_accountinfo</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates an OFX account info (list) request in string form.  <a href="#24821dd5f7269d3b58e6bbaeb0bf0449"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="965e8d232d572f712368e6cb1d46e3da"></a><!-- doxytag: member="inc/libofx.h::libofx_request_payment" ref="965e8d232d572f712368e6cb1d46e3da" args="(const struct OfxFiLogin *login, const struct OfxAccountData *account, const struct OfxPayee *payee, const struct OfxPayment *payment)" -->
+CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><b>libofx_request_payment</b> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, const struct <a class="el" href="structOfxPayee.html">OfxPayee</a> *payee, const struct <a class="el" href="structOfxPayment.html">OfxPayment</a> *payment)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b9b42a433677da688d0f9f37d9da24d1"></a><!-- doxytag: member="inc/libofx.h::libofx_request_payment_status" ref="b9b42a433677da688d0f9f37d9da24d1" args="(const struct OfxFiLogin *login, const char *transactionid)" -->
+CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const char *transactionid)</td></tr>
 
 <tr><td colspan="2"><br><h2>Defines</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="78c711cc9f71d9032ea0e2ec66b87e74"></a><!-- doxytag: member="inc/libofx.h::CFCT" ref="78c711cc9f71d9032ea0e2ec66b87e74" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d3c656d7299463f92752692270f121e8"></a><!-- doxytag: member="inc/libofx.h::true" ref="d3c656d7299463f92752692270f121e8" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#d3c656d7299463f92752692270f121e8">true</a>&nbsp;&nbsp;&nbsp;1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="924dded66e355a2c955251063df9e97e"></a><!-- doxytag: member="inc/libofx.h::false" ref="924dded66e355a2c955251063df9e97e" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">false</a>&nbsp;&nbsp;&nbsp;0</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4696b71f2f719fb2a347255fd5e59c06"></a><!-- doxytag: member="inc/libofx.h::OFX_ELEMENT_NAME_LENGTH" ref="4696b71f2f719fb2a347255fd5e59c06" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">OFX_ELEMENT_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;100</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c2e27a2a23bf5c2032d7c52b68503dc3"></a><!-- doxytag: member="inc/libofx.h::OFX_SVRTID2_LENGTH" ref="c2e27a2a23bf5c2032d7c52b68503dc3" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">OFX_SVRTID2_LENGTH</a>&nbsp;&nbsp;&nbsp;36 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="98353eaf0a31f2ade7d87e97f5c60a10"></a><!-- doxytag: member="inc/libofx.h::OFX_CHECK_NUMBER_LENGTH" ref="98353eaf0a31f2ade7d87e97f5c60a10" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#98353eaf0a31f2ade7d87e97f5c60a10">OFX_CHECK_NUMBER_LENGTH</a>&nbsp;&nbsp;&nbsp;12 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cc16652d1582973c4cf44886539c1b82"></a><!-- doxytag: member="inc/libofx.h::OFX_REFERENCE_NUMBER_LENGTH" ref="cc16652d1582973c4cf44886539c1b82" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#cc16652d1582973c4cf44886539c1b82">OFX_REFERENCE_NUMBER_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="70a927cda060452ec535e77781d9ce71"></a><!-- doxytag: member="inc/libofx.h::OFX_FITID_LENGTH" ref="70a927cda060452ec535e77781d9ce71" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#70a927cda060452ec535e77781d9ce71">OFX_FITID_LENGTH</a>&nbsp;&nbsp;&nbsp;255 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="93a79f3d4c13cd1de90e0a5742b882da"></a><!-- doxytag: member="inc/libofx.h::OFX_TOKEN2_LENGTH" ref="93a79f3d4c13cd1de90e0a5742b882da" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#93a79f3d4c13cd1de90e0a5742b882da">OFX_TOKEN2_LENGTH</a>&nbsp;&nbsp;&nbsp;36 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="14658a025be4f8ab3ce87d59255557a1"></a><!-- doxytag: member="inc/libofx.h::OFX_MEMO_LENGTH" ref="14658a025be4f8ab3ce87d59255557a1" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#14658a025be4f8ab3ce87d59255557a1">OFX_MEMO_LENGTH</a>&nbsp;&nbsp;&nbsp;255 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="714ba11afb658896761e8ec2efa8453a"></a><!-- doxytag: member="inc/libofx.h::OFX_MEMO2_LENGTH" ref="714ba11afb658896761e8ec2efa8453a" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">OFX_MEMO2_LENGTH</a>&nbsp;&nbsp;&nbsp;390 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bea4c8e4902b5844db76b5efefb54d67"></a><!-- doxytag: member="inc/libofx.h::OFX_BALANCE_NAME_LENGTH" ref="bea4c8e4902b5844db76b5efefb54d67" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#bea4c8e4902b5844db76b5efefb54d67">OFX_BALANCE_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1319bccc0b425f593504ed4c4410e570"></a><!-- doxytag: member="inc/libofx.h::OFX_BALANCE_DESCRIPTION_LENGTH" ref="1319bccc0b425f593504ed4c4410e570" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#1319bccc0b425f593504ed4c4410e570">OFX_BALANCE_DESCRIPTION_LENGTH</a>&nbsp;&nbsp;&nbsp;80 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="afc64de0b45217d814043a9197f13a89"></a><!-- doxytag: member="inc/libofx.h::OFX_CURRENCY_LENGTH" ref="afc64de0b45217d814043a9197f13a89" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>&nbsp;&nbsp;&nbsp;3 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6ead6f5e66f1098eb4d9504f87db14c7"></a><!-- doxytag: member="inc/libofx.h::OFX_BANKID_LENGTH" ref="6ead6f5e66f1098eb4d9504f87db14c7" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>&nbsp;&nbsp;&nbsp;9 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="76cadf9ae3ce7cdf8c466e486937c8c0"></a><!-- doxytag: member="inc/libofx.h::OFX_BRANCHID_LENGTH" ref="76cadf9ae3ce7cdf8c466e486937c8c0" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">OFX_BRANCHID_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="76c0d4d43a6aedcff925f080f3afaf79"></a><!-- doxytag: member="inc/libofx.h::OFX_ACCTID_LENGTH" ref="76c0d4d43a6aedcff925f080f3afaf79" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">OFX_ACCTID_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="99aa462dae1742b4a046399e96c7b3b5"></a><!-- doxytag: member="inc/libofx.h::OFX_ACCTKEY_LENGTH" ref="99aa462dae1742b4a046399e96c7b3b5" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">OFX_ACCTKEY_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e79af297ff5901fed480f7abd81a7723"></a><!-- doxytag: member="inc/libofx.h::OFX_BROKERID_LENGTH" ref="e79af297ff5901fed480f7abd81a7723" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="19314a0ce3c6c7e119f076f4881ff3b0"></a><!-- doxytag: member="inc/libofx.h::OFX_ACCOUNT_ID_LENGTH" ref="19314a0ce3c6c7e119f076f4881ff3b0" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>&nbsp;&nbsp;&nbsp;OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="062cb2d3b1dcb05af05d234438fc11bc"></a><!-- doxytag: member="inc/libofx.h::OFX_ACCOUNT_NAME_LENGTH" ref="062cb2d3b1dcb05af05d234438fc11bc" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;255</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4d60f36d19fbf64f2687d1aa925bae44"></a><!-- doxytag: member="inc/libofx.h::OFX_MARKETING_INFO_LENGTH" ref="4d60f36d19fbf64f2687d1aa925bae44" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">OFX_MARKETING_INFO_LENGTH</a>&nbsp;&nbsp;&nbsp;360 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="40f37dafcf9d45693f112a2b8275c210"></a><!-- doxytag: member="inc/libofx.h::OFX_TRANSACTION_NAME_LENGTH" ref="40f37dafcf9d45693f112a2b8275c210" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#40f37dafcf9d45693f112a2b8275c210">OFX_TRANSACTION_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8534f56a747f1d88b1199b3b69c31213"></a><!-- doxytag: member="inc/libofx.h::OFX_UNIQUE_ID_LENGTH" ref="8534f56a747f1d88b1199b3b69c31213" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">OFX_UNIQUE_ID_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c517407dee658c488925065ac1e3c540"></a><!-- doxytag: member="inc/libofx.h::OFX_UNIQUE_ID_TYPE_LENGTH" ref="c517407dee658c488925065ac1e3c540" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">OFX_UNIQUE_ID_TYPE_LENGTH</a>&nbsp;&nbsp;&nbsp;10 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0d5c5c4fe1700e548e70c106db0c41d8"></a><!-- doxytag: member="inc/libofx.h::OFX_SECNAME_LENGTH" ref="0d5c5c4fe1700e548e70c106db0c41d8" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#0d5c5c4fe1700e548e70c106db0c41d8">OFX_SECNAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="32d832a778f16f9599a7a44575681f4d"></a><!-- doxytag: member="inc/libofx.h::OFX_TICKER_LENGTH" ref="32d832a778f16f9599a7a44575681f4d" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#32d832a778f16f9599a7a44575681f4d">OFX_TICKER_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="56b0446a10fd95e71bdf88aa178e5432"></a><!-- doxytag: member="inc/libofx.h::OFX_ORG_LENGTH" ref="56b0446a10fd95e71bdf88aa178e5432" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">OFX_ORG_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="89fc4ec6078eb93b5e982e491246a7ee"></a><!-- doxytag: member="inc/libofx.h::OFX_FID_LENGTH" ref="89fc4ec6078eb93b5e982e491246a7ee" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">OFX_FID_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3681f4415bcf99d43499a615a12e9fa2"></a><!-- doxytag: member="inc/libofx.h::OFX_USERID_LENGTH" ref="3681f4415bcf99d43499a615a12e9fa2" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">OFX_USERID_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3e13a23dcc6326229ab9174cac338fd6"></a><!-- doxytag: member="inc/libofx.h::OFX_USERPASS_LENGTH" ref="3e13a23dcc6326229ab9174cac338fd6" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">OFX_USERPASS_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f12e893de4744171ded7e5615a6065dd"></a><!-- doxytag: member="inc/libofx.h::OFX_URL_LENGTH" ref="f12e893de4744171ded7e5615a6065dd" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">OFX_URL_LENGTH</a>&nbsp;&nbsp;&nbsp;500 + 1</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9ad8c7b7d900c6928e9140615f1275a3"></a><!-- doxytag: member="inc/libofx.h::LIBOFX_MAJOR_VERSION" ref="9ad8c7b7d900c6928e9140615f1275a3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#9ad8c7b7d900c6928e9140615f1275a3">LIBOFX_MAJOR_VERSION</a>&nbsp;&nbsp;&nbsp;0</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3527e3d14bbc471075eaadb71b9e39f1"></a><!-- doxytag: member="inc/libofx.h::LIBOFX_MINOR_VERSION" ref="3527e3d14bbc471075eaadb71b9e39f1" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#3527e3d14bbc471075eaadb71b9e39f1">LIBOFX_MINOR_VERSION</a>&nbsp;&nbsp;&nbsp;9</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ccb0524df75c9175dc818990f6e5c03c"></a><!-- doxytag: member="inc/libofx.h::LIBOFX_MICRO_VERSION" ref="ccb0524df75c9175dc818990f6e5c03c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#ccb0524df75c9175dc818990f6e5c03c">LIBOFX_MICRO_VERSION</a>&nbsp;&nbsp;&nbsp;0</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="483ab1dcfec944873e1d112a089b7419"></a><!-- doxytag: member="inc/libofx.h::LIBOFX_BUILD_VERSION" ref="483ab1dcfec944873e1d112a089b7419" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#483ab1dcfec944873e1d112a089b7419">LIBOFX_BUILD_VERSION</a>&nbsp;&nbsp;&nbsp;0</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="68cfe36f821e562e01082c66030ac8aa"></a><!-- doxytag: member="inc/libofx.h::LIBOFX_VERSION_RELEASE_STRING" ref="68cfe36f821e562e01082c66030ac8aa" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#68cfe36f821e562e01082c66030ac8aa">LIBOFX_VERSION_RELEASE_STRING</a>&nbsp;&nbsp;&nbsp;&quot;0.9.0&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="47f3130aac7543264fac840fb657cc3d"></a><!-- doxytag: member="inc/libofx.h::CFCT" ref="47f3130aac7543264fac840fb657cc3d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="41f9c5fb8b08eb5dc3edce4dcb37fee7"></a><!-- doxytag: member="inc/libofx.h::true" ref="41f9c5fb8b08eb5dc3edce4dcb37fee7" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">true</a>&nbsp;&nbsp;&nbsp;1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="65e9886d74aaee76545e83dd09011727"></a><!-- doxytag: member="inc/libofx.h::false" ref="65e9886d74aaee76545e83dd09011727" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">false</a>&nbsp;&nbsp;&nbsp;0</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5ed330c0afc0b111a5da321dc40b226e"></a><!-- doxytag: member="inc/libofx.h::OFX_ELEMENT_NAME_LENGTH" ref="5ed330c0afc0b111a5da321dc40b226e" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">OFX_ELEMENT_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;100</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b1a8253fb77259cffd1b6e541f9ca92d"></a><!-- doxytag: member="inc/libofx.h::OFX_SVRTID2_LENGTH" ref="b1a8253fb77259cffd1b6e541f9ca92d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">OFX_SVRTID2_LENGTH</a>&nbsp;&nbsp;&nbsp;(36 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="61df923230a6e85eb0ba00f92fbb0b6a"></a><!-- doxytag: member="inc/libofx.h::OFX_CHECK_NUMBER_LENGTH" ref="61df923230a6e85eb0ba00f92fbb0b6a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">OFX_CHECK_NUMBER_LENGTH</a>&nbsp;&nbsp;&nbsp;(12 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1986c7960dfc65a9e23be6c5f6c3ff56"></a><!-- doxytag: member="inc/libofx.h::OFX_REFERENCE_NUMBER_LENGTH" ref="1986c7960dfc65a9e23be6c5f6c3ff56" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">OFX_REFERENCE_NUMBER_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4bcfc93f90d44abbc3a728a56f53915c"></a><!-- doxytag: member="inc/libofx.h::OFX_FITID_LENGTH" ref="4bcfc93f90d44abbc3a728a56f53915c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">OFX_FITID_LENGTH</a>&nbsp;&nbsp;&nbsp;(255 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5846e5ce8cd8e1a91c78396effa276f4"></a><!-- doxytag: member="inc/libofx.h::OFX_TOKEN2_LENGTH" ref="5846e5ce8cd8e1a91c78396effa276f4" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">OFX_TOKEN2_LENGTH</a>&nbsp;&nbsp;&nbsp;(36 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5880fc183dddd4edbf205fce89480189"></a><!-- doxytag: member="inc/libofx.h::OFX_MEMO_LENGTH" ref="5880fc183dddd4edbf205fce89480189" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">OFX_MEMO_LENGTH</a>&nbsp;&nbsp;&nbsp;(255 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7c763f5c089c8549d526f5dc9ae28498"></a><!-- doxytag: member="inc/libofx.h::OFX_MEMO2_LENGTH" ref="7c763f5c089c8549d526f5dc9ae28498" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">OFX_MEMO2_LENGTH</a>&nbsp;&nbsp;&nbsp;(390 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="961dc40842b1f4c20bc08d193f57d8b4"></a><!-- doxytag: member="inc/libofx.h::OFX_BALANCE_NAME_LENGTH" ref="961dc40842b1f4c20bc08d193f57d8b4" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">OFX_BALANCE_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c4eee853e9752511b4049ff67c3ba168"></a><!-- doxytag: member="inc/libofx.h::OFX_BALANCE_DESCRIPTION_LENGTH" ref="c4eee853e9752511b4049ff67c3ba168" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">OFX_BALANCE_DESCRIPTION_LENGTH</a>&nbsp;&nbsp;&nbsp;(80 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bb7701460acb587f9113ccf818b567ad"></a><!-- doxytag: member="inc/libofx.h::OFX_CURRENCY_LENGTH" ref="bb7701460acb587f9113ccf818b567ad" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>&nbsp;&nbsp;&nbsp;(3 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="70f2178af34abf7e98bee521b745f780"></a><!-- doxytag: member="inc/libofx.h::OFX_BANKID_LENGTH" ref="70f2178af34abf7e98bee521b745f780" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>&nbsp;&nbsp;&nbsp;(9 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7aa5e724bd9557d21169289d98ae631a"></a><!-- doxytag: member="inc/libofx.h::OFX_BRANCHID_LENGTH" ref="7aa5e724bd9557d21169289d98ae631a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>&nbsp;&nbsp;&nbsp;(22 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="68c0d75fde3884b2ace680ef8b5fdd07"></a><!-- doxytag: member="inc/libofx.h::OFX_ACCTID_LENGTH" ref="68c0d75fde3884b2ace680ef8b5fdd07" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>&nbsp;&nbsp;&nbsp;(22 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="89f43cb6e2af995c6024b7ddbb32b6b9"></a><!-- doxytag: member="inc/libofx.h::OFX_ACCTKEY_LENGTH" ref="89f43cb6e2af995c6024b7ddbb32b6b9" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">OFX_ACCTKEY_LENGTH</a>&nbsp;&nbsp;&nbsp;(22 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a1256fa7603b452e20a4701e2aae53d5"></a><!-- doxytag: member="inc/libofx.h::OFX_BROKERID_LENGTH" ref="a1256fa7603b452e20a4701e2aae53d5" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>&nbsp;&nbsp;&nbsp;(22 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="69861648d37d02054778473eece609f5"></a><!-- doxytag: member="inc/libofx.h::OFX_ACCOUNT_ID_LENGTH" ref="69861648d37d02054778473eece609f5" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>&nbsp;&nbsp;&nbsp;(OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="065582a1df4497de4a0b00ba909d2e48"></a><!-- doxytag: member="inc/libofx.h::OFX_ACCOUNT_NAME_LENGTH" ref="065582a1df4497de4a0b00ba909d2e48" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;255</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="61ce08f420b24b001f7bee78671149e6"></a><!-- doxytag: member="inc/libofx.h::OFX_MARKETING_INFO_LENGTH" ref="61ce08f420b24b001f7bee78671149e6" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">OFX_MARKETING_INFO_LENGTH</a>&nbsp;&nbsp;&nbsp;(360 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1419e2ce65ac40af5559a133161f1113"></a><!-- doxytag: member="inc/libofx.h::OFX_TRANSACTION_NAME_LENGTH" ref="1419e2ce65ac40af5559a133161f1113" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">OFX_TRANSACTION_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c8b6ecd69a4a9b769a61a8c890d14df5"></a><!-- doxytag: member="inc/libofx.h::OFX_UNIQUE_ID_LENGTH" ref="c8b6ecd69a4a9b769a61a8c890d14df5" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">OFX_UNIQUE_ID_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="79a2ca4590e15c773c3b0599a75fe6f3"></a><!-- doxytag: member="inc/libofx.h::OFX_UNIQUE_ID_TYPE_LENGTH" ref="79a2ca4590e15c773c3b0599a75fe6f3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">OFX_UNIQUE_ID_TYPE_LENGTH</a>&nbsp;&nbsp;&nbsp;(10 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1e46e380960ed692c417d0948d501004"></a><!-- doxytag: member="inc/libofx.h::OFX_SECNAME_LENGTH" ref="1e46e380960ed692c417d0948d501004" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">OFX_SECNAME_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="861246644f0fef25dcf250bc7c3382d4"></a><!-- doxytag: member="inc/libofx.h::OFX_TICKER_LENGTH" ref="861246644f0fef25dcf250bc7c3382d4" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">OFX_TICKER_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="74914e6380be88d51ab921a0f3078646"></a><!-- doxytag: member="inc/libofx.h::OFX_ORG_LENGTH" ref="74914e6380be88d51ab921a0f3078646" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5524910cf3ba47b3d7a1b6752b69d056"></a><!-- doxytag: member="inc/libofx.h::OFX_FID_LENGTH" ref="5524910cf3ba47b3d7a1b6752b69d056" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="385135109c07d8a1a72fc3edcb5f115f"></a><!-- doxytag: member="inc/libofx.h::OFX_USERID_LENGTH" ref="385135109c07d8a1a72fc3edcb5f115f" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">OFX_USERID_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="57b6f3b8bd4d0012d1a26ffa6e636d4c"></a><!-- doxytag: member="inc/libofx.h::OFX_USERPASS_LENGTH" ref="57b6f3b8bd4d0012d1a26ffa6e636d4c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">OFX_USERPASS_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2c364470aa70104473ba7c0134c27ae2"></a><!-- doxytag: member="inc/libofx.h::OFX_URL_LENGTH" ref="2c364470aa70104473ba7c0134c27ae2" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">OFX_URL_LENGTH</a>&nbsp;&nbsp;&nbsp;(500 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a821a583f7c4a219c1cb5343ca2710e3"></a><!-- doxytag: member="inc/libofx.h::OFX_APPID_LENGTH" ref="a821a583f7c4a219c1cb5343ca2710e3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#a821a583f7c4a219c1cb5343ca2710e3">OFX_APPID_LENGTH</a>&nbsp;&nbsp;&nbsp;(32)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b6e3588136989b8dd250fc6918294012"></a><!-- doxytag: member="inc/libofx.h::OFX_APPVER_LENGTH" ref="b6e3588136989b8dd250fc6918294012" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#b6e3588136989b8dd250fc6918294012">OFX_APPVER_LENGTH</a>&nbsp;&nbsp;&nbsp;(32)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="56203dc319d05344eb8bf9918db99c65"></a><!-- doxytag: member="inc/libofx.h::OFX_HEADERVERSION_LENGTH" ref="56203dc319d05344eb8bf9918db99c65" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#56203dc319d05344eb8bf9918db99c65">OFX_HEADERVERSION_LENGTH</a>&nbsp;&nbsp;&nbsp;(32)</td></tr>
 
 <tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="15e5ea23015b0e379679d9e8db1057c0"></a><!-- doxytag: member="inc/libofx.h::LibofxContextPtr" ref="15e5ea23015b0e379679d9e8db1057c0" args="" -->
-typedef void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cb05196108aab07092d1b4931577b87c"></a><!-- doxytag: member="inc/libofx.h::LibofxContextPtr" ref="cb05196108aab07092d1b4931577b87c" args="" -->
+typedef void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a></td></tr>
 
 <tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> { <br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">AUTODETECT</a>, 
-<a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>, 
-<a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>, 
-<a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">UNKNOWN</a>, 
-<a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>
-<br>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">TransactionType</a> { <br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">OFX_CREDIT</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">OFX_DEBIT</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">OFX_INT</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">OFX_DIV</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">OFX_FEE</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">OFX_SRVCHG</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">OFX_DEP</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">OFX_ATM</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">OFX_POS</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">OFX_XFER</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">OFX_CHECK</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">OFX_PAYMENT</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">OFX_CASH</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">OFX_DIRECTDEP</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">OFX_DIRECTDEBIT</a>, 
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">OFX_REPEATPMT</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">OFX_OTHER</a>
-<br>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">InvTransactionType</a> { <br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">OFX_BUYDEBT</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">OFX_BUYMF</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">OFX_BUYOPT</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">OFX_BUYOTHER</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">OFX_BUYSTOCK</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">OFX_CLOSUREOPT</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">OFX_INCOME</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">OFX_INVEXPENSE</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">OFX_JRNLFUND</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678">OFX_JRNLSEC</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">OFX_MARGININTEREST</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">OFX_REINVEST</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">OFX_RETOFCAP</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">OFX_SELLDEBT</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">OFX_SELLMF</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">OFX_SELLOPT</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">OFX_SELLOTHER</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">OFX_SELLSTOCK</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">OFX_SPLIT</a>, 
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">OFX_TRANSFER</a>
-<br>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">FiIdCorrectionAction</a> { <a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">DELETE</a>, 
-<a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">REPLACE</a>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>
+<br>
  }</td></tr>
 
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">libofx_get_new_context</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialise the library and return a new context.  <a href="#a7b5862c7891e3341777121874a3c12e"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">libofx_free_context</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Free all ressources used by this context.  <a href="#92f6a27aeee0a6c5f5a32d83db853607"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">libofx_get_file_format_from_str</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], const char *file_type_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_get_file_type returns a proper enum from a file type string.  <a href="#a3003a2b6fe2fdf0d3ac1843f052f443"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx_get_file_format_description</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> file_format)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">get_file_format_description returns a string description of a LibofxFileType.  <a href="#e6b476fc8d8fbd4e0d190601c74c951b"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">libofx_proc_file</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context, const char *p_filename, enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> ftype)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_proc_file is the entry point of the library.  <a href="#a45401e73484b8d562196816789dbf46"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">ofx_set_status_cb</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">ofx_set_account_cb</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">ofx_set_security_cb</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">ofx_set_transaction_cb</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">ofx_set_statement_cb</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">libofx_proc_buffer</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, const char *s, unsigned int size)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0">libofx_get_new_context</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialise the library and return a new context.  <a href="#e2f086d4e5fdf4b314640ea8fed400b0"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf">libofx_free_context</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Free all ressources used by this context.  <a href="#e76c85ae1e58b1bb41abf7eb3aca0baf"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ada0ed982ff7454ed17fa5c6cddd2d05"></a><!-- doxytag: member="inc/libofx.h::libofx_set_dtd_dir" ref="ada0ed982ff7454ed17fa5c6cddd2d05" args="(LibofxContextPtr libofx_context, const char *s)" -->
+CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">libofx_set_dtd_dir</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, const char *s)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT enum <br>
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a">libofx_get_file_format_from_str</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], const char *file_type_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_get_file_type returns a proper enum from a file type string.  <a href="#5fef31e6dc9df467c269a860aa4af12a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e">libofx_get_file_format_description</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">get_file_format_description returns a string description of a LibofxFileType.  <a href="#efc89267742d989b5f17708076807b5e"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805">libofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, const char *p_filename, enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> ftype)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_proc_file is the entry point of the library.  <a href="#f5c4a0387f06b5cccd483a1fd392f805"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">ofx_set_status_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">ofx_set_security_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, const char *s, unsigned int size)</td></tr>
 
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a> []</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">LibofxExportFormatList</a> []</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> )(const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxStatusData.html">OfxStatusData</a> stucture.  <a href="#14155cb28af71092c8920c633337238a"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> )(const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxAccountData.html">OfxAccountData</a> stucture.  <a href="#d1e59908e86e1ce5458e08782f6ff264"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> )(const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> stucture.  <a href="#aba3bbdf4c71ce498a36e115c2f96444"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> )(const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> stucture.  <a href="#9ebd0c663e69751b90e56888a835eb72"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> )(const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxStatementData.html">OfxStatementData</a> stucture.  <a href="#ebbf69e9ff550da0b0137b3cf3cfc916"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <br>
+<a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a> []</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <br>
+<a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">LibofxExportFormatList</a> []</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a> )(const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> stucture.  <a href="#50daae5a31dcfb84db8ede120f28c2db"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a> )(const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> stucture.  <a href="#1d20edeaa14f8da3dbeb98fb4af0aa0b"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a> )(const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> stucture.  <a href="#05780ed831281da04cc4c65682c1989f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a> )(const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> stucture.  <a href="#35d231437fba371dcd4553c4c5c29901"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a> )(const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> stucture.  <a href="#457cbf849ad1ac5914cfb8bdeaccf4d5"></a><br></td></tr>
 </table>
 <hr><h2>Enumeration Type Documentation</h2>
-<a class="anchor" name="c91fe5ab1348da4f21c6c9482451a1c4"></a><!-- doxytag: member="inc/libofx.h::FiIdCorrectionAction" ref="c91fe5ab1348da4f21c6c9482451a1c4" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">FiIdCorrectionAction</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-<dl compact><dt><b>Enumerator: </b></dt><dd>
-<table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2"></a><!-- doxytag: member="DELETE" ref="c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2" args="" -->DELETE</em>&nbsp;</td><td>
-The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147"></a><!-- doxytag: member="REPLACE" ref="c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147" args="" -->REPLACE</em>&nbsp;</td><td>
-The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
-</table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00389">389</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="05a2bed3ce45f12f212860faf6d00374"></a><!-- doxytag: member="inc/libofx.h::InvTransactionType" ref="05a2bed3ce45f12f212860faf6d00374" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">InvTransactionType</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-<dl compact><dt><b>Enumerator: </b></dt><dd>
-<table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098"></a><!-- doxytag: member="OFX_BUYDEBT" ref="05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
-Buy debt security </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14"></a><!-- doxytag: member="OFX_BUYMF" ref="05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
-Buy mutual fund </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db"></a><!-- doxytag: member="OFX_BUYOPT" ref="05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
-Buy option </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e"></a><!-- doxytag: member="OFX_BUYOTHER" ref="05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
-Buy other security type </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
-Buy stock </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
-Close a position for an option </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a"></a><!-- doxytag: member="OFX_INCOME" ref="05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a" args="" -->OFX_INCOME</em>&nbsp;</td><td>
-Investment income is realized as cash into the investment account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
-Misc investment expense that is associated with a specific security </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65"></a><!-- doxytag: member="OFX_JRNLFUND" ref="05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
-Journaling cash holdings between subaccounts within the same investment account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678"></a><!-- doxytag: member="OFX_JRNLSEC" ref="05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
-Journaling security holdings between subaccounts within the same investment account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
-Margin interest expense </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b"></a><!-- doxytag: member="OFX_REINVEST" ref="05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
-Reinvestment of income </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25"></a><!-- doxytag: member="OFX_RETOFCAP" ref="05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
-Return of capital </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8"></a><!-- doxytag: member="OFX_SELLDEBT" ref="05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
-Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0"></a><!-- doxytag: member="OFX_SELLMF" ref="05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
-Sell mutual fund </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d"></a><!-- doxytag: member="OFX_SELLOPT" ref="05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
-Sell option </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
-Sell other type of security </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
-Sell stock </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0"></a><!-- doxytag: member="OFX_SPLIT" ref="05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
-Stock or mutial fund split </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236"></a><!-- doxytag: member="OFX_TRANSFER" ref="05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
-Transfer holdings in and out of the investment account </td></tr>
-</table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00367">367</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b13650ecdb69a39a228ec00b995ffd84"></a><!-- doxytag: member="inc/libofx.h::LibofxFileFormat" ref="b13650ecdb69a39a228ec00b995ffd84" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<a class="anchor" name="526538786b3535e284f651da05768b23"></a><!-- doxytag: member="inc/libofx.h::FiIdCorrectionAction" ref="526538786b3535e284f651da05768b23" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913"></a><!-- doxytag: member="DELETE" ref="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913" args="" -->DELETE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91"></a><!-- doxytag: member="REPLACE" ref="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91" args="" -->REPLACE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913"></a><!-- doxytag: member="DELETE" ref="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913" args="" -->DELETE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91"></a><!-- doxytag: member="REPLACE" ref="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91" args="" -->REPLACE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913"></a><!-- doxytag: member="DELETE" ref="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913" args="" -->DELETE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91"></a><!-- doxytag: member="REPLACE" ref="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91" args="" -->REPLACE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00410">410</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a"></a><!-- doxytag: member="inc/libofx.h::InvTransactionType" ref="b81d18936ea1dd7ac5cd708a23a06a9a" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce"></a><!-- doxytag: member="OFX_BUYDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
+Buy debt security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d"></a><!-- doxytag: member="OFX_BUYMF" ref="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
+Buy mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af"></a><!-- doxytag: member="OFX_BUYOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
+Buy <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61"></a><!-- doxytag: member="OFX_BUYOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
+Buy other security type </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
+Buy stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
+Close a position for an <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4"></a><!-- doxytag: member="OFX_INCOME" ref="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4" args="" -->OFX_INCOME</em>&nbsp;</td><td>
+Investment income is realized as cash into the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
+Misc investment expense that is associated with a specific security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921"></a><!-- doxytag: member="OFX_JRNLFUND" ref="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
+Journaling cash holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34"></a><!-- doxytag: member="OFX_JRNLSEC" ref="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
+Journaling security holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
+Margin interest expense </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5"></a><!-- doxytag: member="OFX_REINVEST" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
+Reinvestment of income </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f"></a><!-- doxytag: member="OFX_RETOFCAP" ref="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
+Return of capital </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf"></a><!-- doxytag: member="OFX_SELLDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
+Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2"></a><!-- doxytag: member="OFX_SELLMF" ref="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
+Sell mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3"></a><!-- doxytag: member="OFX_SELLOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
+Sell <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
+Sell other type of security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
+Sell stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99"></a><!-- doxytag: member="OFX_SPLIT" ref="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
+Stock or mutial fund split </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1"></a><!-- doxytag: member="OFX_TRANSFER" ref="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
+Transfer holdings in and out of the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce"></a><!-- doxytag: member="OFX_BUYDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
+Buy debt security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d"></a><!-- doxytag: member="OFX_BUYMF" ref="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
+Buy mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af"></a><!-- doxytag: member="OFX_BUYOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
+Buy <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61"></a><!-- doxytag: member="OFX_BUYOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
+Buy other security type </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
+Buy stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
+Close a position for an <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4"></a><!-- doxytag: member="OFX_INCOME" ref="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4" args="" -->OFX_INCOME</em>&nbsp;</td><td>
+Investment income is realized as cash into the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
+Misc investment expense that is associated with a specific security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921"></a><!-- doxytag: member="OFX_JRNLFUND" ref="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
+Journaling cash holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34"></a><!-- doxytag: member="OFX_JRNLSEC" ref="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
+Journaling security holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
+Margin interest expense </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5"></a><!-- doxytag: member="OFX_REINVEST" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
+Reinvestment of income </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f"></a><!-- doxytag: member="OFX_RETOFCAP" ref="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
+Return of capital </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf"></a><!-- doxytag: member="OFX_SELLDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
+Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2"></a><!-- doxytag: member="OFX_SELLMF" ref="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
+Sell mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3"></a><!-- doxytag: member="OFX_SELLOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
+Sell <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
+Sell other type of security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
+Sell stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99"></a><!-- doxytag: member="OFX_SPLIT" ref="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
+Stock or mutial fund split </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1"></a><!-- doxytag: member="OFX_TRANSFER" ref="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
+Transfer holdings in and out of the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce"></a><!-- doxytag: member="OFX_BUYDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
+Buy debt security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d"></a><!-- doxytag: member="OFX_BUYMF" ref="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
+Buy mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af"></a><!-- doxytag: member="OFX_BUYOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
+Buy <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61"></a><!-- doxytag: member="OFX_BUYOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
+Buy other security type </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
+Buy stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
+Close a position for an <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4"></a><!-- doxytag: member="OFX_INCOME" ref="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4" args="" -->OFX_INCOME</em>&nbsp;</td><td>
+Investment income is realized as cash into the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
+Misc investment expense that is associated with a specific security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921"></a><!-- doxytag: member="OFX_JRNLFUND" ref="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
+Journaling cash holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34"></a><!-- doxytag: member="OFX_JRNLSEC" ref="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
+Journaling security holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
+Margin interest expense </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5"></a><!-- doxytag: member="OFX_REINVEST" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
+Reinvestment of income </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f"></a><!-- doxytag: member="OFX_RETOFCAP" ref="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
+Return of capital </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf"></a><!-- doxytag: member="OFX_SELLDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
+Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2"></a><!-- doxytag: member="OFX_SELLMF" ref="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
+Sell mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3"></a><!-- doxytag: member="OFX_SELLOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
+Sell <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
+Sell other type of security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
+Sell stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99"></a><!-- doxytag: member="OFX_SPLIT" ref="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
+Stock or mutial fund split </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1"></a><!-- doxytag: member="OFX_TRANSFER" ref="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
+Transfer holdings in and out of the investment account </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00388">388</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="954c5e33f48105c5d932d4842e7736de"></a><!-- doxytag: member="inc/libofx.h::LibofxFileFormat" ref="954c5e33f48105c5d932d4842e7736de" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 List of possible file formats <dl compact><dt><b>Enumerator: </b></dt><dd>
 <table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056"></a><!-- doxytag: member="AUTODETECT" ref="b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056" args="" -->AUTODETECT</em>&nbsp;</td><td>
-Not really a file format, used to tell the library to try to autodetect the format </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57"></a><!-- doxytag: member="OFX" ref="b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57" args="" -->OFX</em>&nbsp;</td><td>
-Open Financial eXchange (OFX/QFX) file </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712"></a><!-- doxytag: member="OFC" ref="b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712" args="" -->OFC</em>&nbsp;</td><td>
-Microsoft Open Financial Connectivity (OFC) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa"></a><!-- doxytag: member="QIF" ref="b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa" args="" -->QIF</em>&nbsp;</td><td>
-Intuit Quicken Interchange Format (QIF) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553"></a><!-- doxytag: member="UNKNOWN" ref="b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553" args="" -->UNKNOWN</em>&nbsp;</td><td>
-Unknown file format </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf"></a><!-- doxytag: member="LAST" ref="b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf" args="" -->LAST</em>&nbsp;</td><td>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0"></a><!-- doxytag: member="AUTODETECT" ref="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0" args="" -->AUTODETECT</em>&nbsp;</td><td>
+Not really a file format, used to tell the library to try to autodetect the format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d"></a><!-- doxytag: member="OFX" ref="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d" args="" -->OFX</em>&nbsp;</td><td>
+Open Financial eXchange (OFX/QFX) file </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7"></a><!-- doxytag: member="OFC" ref="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7" args="" -->OFC</em>&nbsp;</td><td>
+Microsoft Open Financial Connectivity (OFC) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06"></a><!-- doxytag: member="QIF" ref="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06" args="" -->QIF</em>&nbsp;</td><td>
+Intuit Quicken Interchange Format (QIF) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c"></a><!-- doxytag: member="UNKNOWN" ref="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c" args="" -->UNKNOWN</em>&nbsp;</td><td>
+Unknown file format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33"></a><!-- doxytag: member="LAST" ref="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33" args="" -->LAST</em>&nbsp;</td><td>
+Not a file format, meant as a loop breaking condition </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0"></a><!-- doxytag: member="AUTODETECT" ref="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0" args="" -->AUTODETECT</em>&nbsp;</td><td>
+Not really a file format, used to tell the library to try to autodetect the format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d"></a><!-- doxytag: member="OFX" ref="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d" args="" -->OFX</em>&nbsp;</td><td>
+Open Financial eXchange (OFX/QFX) file </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7"></a><!-- doxytag: member="OFC" ref="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7" args="" -->OFC</em>&nbsp;</td><td>
+Microsoft Open Financial Connectivity (OFC) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06"></a><!-- doxytag: member="QIF" ref="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06" args="" -->QIF</em>&nbsp;</td><td>
+Intuit Quicken Interchange Format (QIF) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c"></a><!-- doxytag: member="UNKNOWN" ref="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c" args="" -->UNKNOWN</em>&nbsp;</td><td>
+Unknown file format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33"></a><!-- doxytag: member="LAST" ref="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33" args="" -->LAST</em>&nbsp;</td><td>
+Not a file format, meant as a loop breaking condition </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0"></a><!-- doxytag: member="AUTODETECT" ref="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0" args="" -->AUTODETECT</em>&nbsp;</td><td>
+Not really a file format, used to tell the library to try to autodetect the format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d"></a><!-- doxytag: member="OFX" ref="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d" args="" -->OFX</em>&nbsp;</td><td>
+Open Financial eXchange (OFX/QFX) file </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7"></a><!-- doxytag: member="OFC" ref="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7" args="" -->OFC</em>&nbsp;</td><td>
+Microsoft Open Financial Connectivity (OFC) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06"></a><!-- doxytag: member="QIF" ref="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06" args="" -->QIF</em>&nbsp;</td><td>
+Intuit Quicken Interchange Format (QIF) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c"></a><!-- doxytag: member="UNKNOWN" ref="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c" args="" -->UNKNOWN</em>&nbsp;</td><td>
+Unknown file format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33"></a><!-- doxytag: member="LAST" ref="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33" args="" -->LAST</em>&nbsp;</td><td>
 Not a file format, meant as a loop breaking condition </td></tr>
 </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00100">100</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="8fa4e9c180211ede72c61459fd949558"></a><!-- doxytag: member="inc/libofx.h::TransactionType" ref="8fa4e9c180211ede72c61459fd949558" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00114">114</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="a7a2e64697569804f14626bbb2649a58"></a><!-- doxytag: member="inc/libofx.h::TransactionType" ref="a7a2e64697569804f14626bbb2649a58" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">TransactionType</a>          </td>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 <dl compact><dt><b>Enumerator: </b></dt><dd>
 <table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6"></a><!-- doxytag: member="OFX_CREDIT" ref="8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
-Generic credit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091"></a><!-- doxytag: member="OFX_DEBIT" ref="8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
-Generic debit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2"></a><!-- doxytag: member="OFX_INT" ref="8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2" args="" -->OFX_INT</em>&nbsp;</td><td>
-Interest earned or paid (Note: Depends on signage of amount) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2"></a><!-- doxytag: member="OFX_DIV" ref="8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2" args="" -->OFX_DIV</em>&nbsp;</td><td>
-Dividend </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f"></a><!-- doxytag: member="OFX_FEE" ref="8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f" args="" -->OFX_FEE</em>&nbsp;</td><td>
-FI fee </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b"></a><!-- doxytag: member="OFX_SRVCHG" ref="8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
-Service charge </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd"></a><!-- doxytag: member="OFX_DEP" ref="8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd" args="" -->OFX_DEP</em>&nbsp;</td><td>
-Deposit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db"></a><!-- doxytag: member="OFX_ATM" ref="8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db" args="" -->OFX_ATM</em>&nbsp;</td><td>
-ATM debit or credit (Note: Depends on signage of amount) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350"></a><!-- doxytag: member="OFX_POS" ref="8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350" args="" -->OFX_POS</em>&nbsp;</td><td>
-Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035"></a><!-- doxytag: member="OFX_XFER" ref="8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035" args="" -->OFX_XFER</em>&nbsp;</td><td>
-Transfer </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb"></a><!-- doxytag: member="OFX_CHECK" ref="8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb" args="" -->OFX_CHECK</em>&nbsp;</td><td>
-Check </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9"></a><!-- doxytag: member="OFX_PAYMENT" ref="8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
-Electronic payment </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef"></a><!-- doxytag: member="OFX_CASH" ref="8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef" args="" -->OFX_CASH</em>&nbsp;</td><td>
-Cash withdrawal </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
-Direct deposit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
-Merchant initiated debit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f"></a><!-- doxytag: member="OFX_REPEATPMT" ref="8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
-Repeating payment/standing order </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3"></a><!-- doxytag: member="OFX_OTHER" ref="8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3" args="" -->OFX_OTHER</em>&nbsp;</td><td>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3"></a><!-- doxytag: member="OFX_CREDIT" ref="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
+Generic credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a"></a><!-- doxytag: member="OFX_DEBIT" ref="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
+Generic debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce"></a><!-- doxytag: member="OFX_INT" ref="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce" args="" -->OFX_INT</em>&nbsp;</td><td>
+Interest earned or paid (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482"></a><!-- doxytag: member="OFX_DIV" ref="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482" args="" -->OFX_DIV</em>&nbsp;</td><td>
+Dividend </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b"></a><!-- doxytag: member="OFX_FEE" ref="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b" args="" -->OFX_FEE</em>&nbsp;</td><td>
+FI fee </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2"></a><!-- doxytag: member="OFX_SRVCHG" ref="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
+Service charge </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d"></a><!-- doxytag: member="OFX_DEP" ref="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d" args="" -->OFX_DEP</em>&nbsp;</td><td>
+Deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce"></a><!-- doxytag: member="OFX_ATM" ref="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce" args="" -->OFX_ATM</em>&nbsp;</td><td>
+ATM debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e"></a><!-- doxytag: member="OFX_POS" ref="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e" args="" -->OFX_POS</em>&nbsp;</td><td>
+Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6"></a><!-- doxytag: member="OFX_XFER" ref="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6" args="" -->OFX_XFER</em>&nbsp;</td><td>
+Transfer </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02"></a><!-- doxytag: member="OFX_CHECK" ref="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02" args="" -->OFX_CHECK</em>&nbsp;</td><td>
+Check </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3"></a><!-- doxytag: member="OFX_PAYMENT" ref="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
+Electronic payment </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a"></a><!-- doxytag: member="OFX_CASH" ref="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a" args="" -->OFX_CASH</em>&nbsp;</td><td>
+Cash withdrawal </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
+Direct deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
+Merchant initiated debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf"></a><!-- doxytag: member="OFX_REPEATPMT" ref="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
+Repeating payment/standing order </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101"></a><!-- doxytag: member="OFX_OTHER" ref="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101" args="" -->OFX_OTHER</em>&nbsp;</td><td>
+Somer other type of transaction </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3"></a><!-- doxytag: member="OFX_CREDIT" ref="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
+Generic credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a"></a><!-- doxytag: member="OFX_DEBIT" ref="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
+Generic debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce"></a><!-- doxytag: member="OFX_INT" ref="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce" args="" -->OFX_INT</em>&nbsp;</td><td>
+Interest earned or paid (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482"></a><!-- doxytag: member="OFX_DIV" ref="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482" args="" -->OFX_DIV</em>&nbsp;</td><td>
+Dividend </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b"></a><!-- doxytag: member="OFX_FEE" ref="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b" args="" -->OFX_FEE</em>&nbsp;</td><td>
+FI fee </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2"></a><!-- doxytag: member="OFX_SRVCHG" ref="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
+Service charge </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d"></a><!-- doxytag: member="OFX_DEP" ref="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d" args="" -->OFX_DEP</em>&nbsp;</td><td>
+Deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce"></a><!-- doxytag: member="OFX_ATM" ref="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce" args="" -->OFX_ATM</em>&nbsp;</td><td>
+ATM debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e"></a><!-- doxytag: member="OFX_POS" ref="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e" args="" -->OFX_POS</em>&nbsp;</td><td>
+Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6"></a><!-- doxytag: member="OFX_XFER" ref="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6" args="" -->OFX_XFER</em>&nbsp;</td><td>
+Transfer </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02"></a><!-- doxytag: member="OFX_CHECK" ref="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02" args="" -->OFX_CHECK</em>&nbsp;</td><td>
+Check </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3"></a><!-- doxytag: member="OFX_PAYMENT" ref="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
+Electronic payment </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a"></a><!-- doxytag: member="OFX_CASH" ref="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a" args="" -->OFX_CASH</em>&nbsp;</td><td>
+Cash withdrawal </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
+Direct deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
+Merchant initiated debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf"></a><!-- doxytag: member="OFX_REPEATPMT" ref="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
+Repeating payment/standing order </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101"></a><!-- doxytag: member="OFX_OTHER" ref="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101" args="" -->OFX_OTHER</em>&nbsp;</td><td>
+Somer other type of transaction </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3"></a><!-- doxytag: member="OFX_CREDIT" ref="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
+Generic credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a"></a><!-- doxytag: member="OFX_DEBIT" ref="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
+Generic debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce"></a><!-- doxytag: member="OFX_INT" ref="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce" args="" -->OFX_INT</em>&nbsp;</td><td>
+Interest earned or paid (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482"></a><!-- doxytag: member="OFX_DIV" ref="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482" args="" -->OFX_DIV</em>&nbsp;</td><td>
+Dividend </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b"></a><!-- doxytag: member="OFX_FEE" ref="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b" args="" -->OFX_FEE</em>&nbsp;</td><td>
+FI fee </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2"></a><!-- doxytag: member="OFX_SRVCHG" ref="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
+Service charge </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d"></a><!-- doxytag: member="OFX_DEP" ref="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d" args="" -->OFX_DEP</em>&nbsp;</td><td>
+Deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce"></a><!-- doxytag: member="OFX_ATM" ref="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce" args="" -->OFX_ATM</em>&nbsp;</td><td>
+ATM debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e"></a><!-- doxytag: member="OFX_POS" ref="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e" args="" -->OFX_POS</em>&nbsp;</td><td>
+Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6"></a><!-- doxytag: member="OFX_XFER" ref="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6" args="" -->OFX_XFER</em>&nbsp;</td><td>
+Transfer </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02"></a><!-- doxytag: member="OFX_CHECK" ref="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02" args="" -->OFX_CHECK</em>&nbsp;</td><td>
+Check </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3"></a><!-- doxytag: member="OFX_PAYMENT" ref="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
+Electronic payment </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a"></a><!-- doxytag: member="OFX_CASH" ref="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a" args="" -->OFX_CASH</em>&nbsp;</td><td>
+Cash withdrawal </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
+Direct deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
+Merchant initiated debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf"></a><!-- doxytag: member="OFX_REPEATPMT" ref="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
+Repeating payment/standing order </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101"></a><!-- doxytag: member="OFX_OTHER" ref="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101" args="" -->OFX_OTHER</em>&nbsp;</td><td>
 Somer other type of transaction </td></tr>
 </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00347">347</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00368">368</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="92f6a27aeee0a6c5f5a32d83db853607"></a><!-- doxytag: member="inc/libofx.h::libofx_free_context" ref="92f6a27aeee0a6c5f5a32d83db853607" args="(LibofxContextPtr)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="e76c85ae1e58b1bb41abf7eb3aca0baf"></a><!-- doxytag: member="inc/libofx.h::libofx_free_context" ref="e76c85ae1e58b1bb41abf7eb3aca0baf" args="(LibofxContextPtr)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">CFCT int libofx_free_context           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">CFCT int libofx_free_context           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Free all ressources used by this context. 
 <p>
-<dl compact><dt><b>Returns:</b></dt><dd>0 if successfull. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00144">144</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.
-<p>
-Referenced by <a class="el" href="context_8cpp-source.html#l00144">libofx_free_context()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="e6b476fc8d8fbd4e0d190601c74c951b"></a><!-- doxytag: member="inc/libofx.h::libofx_get_file_format_description" ref="e6b476fc8d8fbd4e0d190601c74c951b" args="(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT const char* libofx_get_file_format_description           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>format_list</em>[], </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>file_format</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>0 if successfull. </dd></dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00144">144</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="context_8cpp-source.html#l00144">libofx_free_context()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="efc89267742d989b5f17708076807b5e"></a><!-- doxytag: member="inc/libofx.h::libofx_get_file_format_description" ref="efc89267742d989b5f17708076807b5e" args="(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT const char* libofx_get_file_format_description           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>file_format</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 get_file_format_description returns a string description of a LibofxFileType. 
 <p>
-The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList  The file format which should match one of the formats in the list. <dl compact><dt><b>Returns:</b></dt><dd>null terminated string suitable for debugging output or user communication. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00037">37</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.
-<p>
-Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00067">libofx_proc_file()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a3003a2b6fe2fdf0d3ac1843f052f443"></a><!-- doxytag: member="inc/libofx.h::libofx_get_file_format_from_str" ref="a3003a2b6fe2fdf0d3ac1843f052f443" args="(const struct LibofxFileFormatInfo format_list[], const char *file_type_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> libofx_get_file_format_from_str           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>format_list</em>[], </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>file_type_string</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList  The file format which should match one of the formats in the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>null terminated string suitable for debugging output or user communication. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00037">37</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00067">libofx_proc_file()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5fef31e6dc9df467c269a860aa4af12a"></a><!-- doxytag: member="inc/libofx.h::libofx_get_file_format_from_str" ref="5fef31e6dc9df467c269a860aa4af12a" args="(const struct LibofxFileFormatInfo format_list[], const char *file_type_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_get_file_format_from_str           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>file_type_string</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_get_file_type returns a proper enum from a file type string. 
 <p>
-The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList  The string which contain the file format matching one of the format_name of the list. <dl compact><dt><b>Returns:</b></dt><dd>the file format, or UNKNOWN if the format wasn't recognised. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00054">54</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a7b5862c7891e3341777121874a3c12e"></a><!-- doxytag: member="inc/libofx.h::libofx_get_new_context" ref="a7b5862c7891e3341777121874a3c12e" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList  The string which contain the file format matching one of the format_name of the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>the file format, or UNKNOWN if the format wasn't recognised. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00054">54</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00369">main()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e2f086d4e5fdf4b314640ea8fed400b0"></a><!-- doxytag: member="inc/libofx.h::libofx_get_new_context" ref="e2f086d4e5fdf4b314640ea8fed400b0" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">CFCT <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_get_new_context           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">CFCT <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_get_new_context           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Initialise the library and return a new context. 
 <p>
-<dl compact><dt><b>Note:</b></dt><dd>: Actual object returned is <a class="el" href="classLibofxContext.html">LibofxContext</a> * </dd></dl>
-
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00140">140</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.
-<p>
-Referenced by <a class="el" href="context_8cpp-source.html#l00140">libofx_get_new_context()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b9071aa8248754f9886f5d3a4a904e00"></a><!-- doxytag: member="inc/libofx.h::libofx_proc_buffer" ref="b9071aa8248754f9886f5d3a4a904e00" args="(LibofxContextPtr ctx, const char *s, unsigned int size)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int libofx_proc_buffer           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>s</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>unsigned int&nbsp;</td>
-          <td class="mdname" nowrap> <em>size</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>the new context, to be used by the other functions.</dd></dl>
+<dl class="note" compact><dt><b>Note:</b></dt><dd>: Actual object returned is <a class="el" href="classLibofxContext.html">LibofxContext</a> * </dd></dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00140">140</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="context_8cpp-source.html#l00140">libofx_get_new_context()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="02ee3c0b61d866f98fd0f15775d06895"></a><!-- doxytag: member="inc/libofx.h::libofx_proc_buffer" ref="02ee3c0b61d866f98fd0f15775d06895" args="(LibofxContextPtr ctx, const char *s, unsigned int size)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_buffer           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>s</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">unsigned int&nbsp;</td>
+          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses the content of the given buffer. 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00201">201</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a45401e73484b8d562196816789dbf46"></a><!-- doxytag: member="inc/libofx.h::libofx_proc_file" ref="a45401e73484b8d562196816789dbf46" args="(LibofxContextPtr libofx_context, const char *p_filename, enum LibofxFileFormat ftype)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int libofx_proc_file           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>p_filename</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ftype</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00280">280</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f5c4a0387f06b5cccd483a1fd392f805"></a><!-- doxytag: member="inc/libofx.h::libofx_proc_file" ref="f5c4a0387f06b5cccd483a1fd392f805" args="(LibofxContextPtr libofx_context, const char *p_filename, enum LibofxFileFormat ftype)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>ftype</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_proc_file is the entry point of the library. 
 <p>
 libofx_proc_file must be called by the client, with a list of 1 or more OFX files to be parsed in command line format. 
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00067">67</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="78ec3ce215baf3f6739cc98f8b7ca128"></a><!-- doxytag: member="inc/libofx.h::libofx_request_accountinfo" ref="78ec3ce215baf3f6739cc98f8b7ca128" args="(const struct OfxFiLogin *login)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00067">67</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="24821dd5f7269d3b58e6bbaeb0bf0449"></a><!-- doxytag: member="inc/libofx.h::libofx_request_accountinfo" ref="24821dd5f7269d3b58e6bbaeb0bf0449" args="(const struct OfxFiLogin *login)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">CFCT char* libofx_request_accountinfo           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>login</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">CFCT char* libofx_request_accountinfo           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *&nbsp;</td>
+          <td class="paramname"> <em>login</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Creates an OFX account info (list) request in string form. 
@@ -812,48 +1034,40 @@
     <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>Identifies the financial institution and the user logging in. </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free. </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="f91a1c7694b46e7fcc8e175a7c224dde"></a><!-- doxytag: member="inc/libofx.h::libofx_request_statement" ref="f91a1c7694b46e7fcc8e175a7c224dde" args="(const struct OfxFiLogin *fi, const struct OfxAccountInfo *account, time_t date_from)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT char* libofx_request_statement           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>fi</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const struct <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>account</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>time_t&nbsp;</td>
-          <td class="mdname" nowrap> <em>date_from</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free. </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="8095d04a045a8f0bdfd5c32ea6f1638d"></a><!-- doxytag: member="inc/libofx.h::libofx_request_statement" ref="8095d04a045a8f0bdfd5c32ea6f1638d" args="(const struct OfxFiLogin *fi, const struct OfxAccountData *account, time_t date_from)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT char* libofx_request_statement           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *&nbsp;</td>
+          <td class="paramname"> <em>fi</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td>
+          <td class="paramname"> <em>account</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">time_t&nbsp;</td>
+          <td class="paramname"> <em>date_from</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Creates an OFX statement request in string form. 
@@ -865,48 +1079,40 @@
     <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>Idenfities the account for which a statement is desired </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free. </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="e048539a577aff43501d2c22cb9ff4a9"></a><!-- doxytag: member="inc/libofx.h::ofx_set_account_cb" ref="e048539a577aff43501d2c22cb9ff4a9" args="(LibofxContextPtr ctx, LibofxProcAccountCallback cb, void *user_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT void ofx_set_account_cb           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>cb</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>void *&nbsp;</td>
-          <td class="mdname" nowrap> <em>user_data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free. </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="2bdf268c693b4cadf88a19796c026a2c"></a><!-- doxytag: member="inc/libofx.h::ofx_set_account_cb" ref="2bdf268c693b4cadf88a19796c026a2c" args="(LibofxContextPtr ctx, LibofxProcAccountCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_account_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set the account callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
@@ -917,50 +1123,42 @@
   </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00160">160</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="context_8cpp-source.html#l00160">ofx_set_account_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b32c9604a3ecc1cad5e1d3dd561b3a20"></a><!-- doxytag: member="inc/libofx.h::ofx_set_security_cb" ref="b32c9604a3ecc1cad5e1d3dd561b3a20" args="(LibofxContextPtr ctx, LibofxProcSecurityCallback cb, void *user_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT void ofx_set_security_cb           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>cb</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>void *&nbsp;</td>
-          <td class="mdname" nowrap> <em>user_data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00169">169</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="context_8cpp-source.html#l00169">ofx_set_account_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="841a0f012607c0e1b6053e7e5dce34a8"></a><!-- doxytag: member="inc/libofx.h::ofx_set_security_cb" ref="841a0f012607c0e1b6053e7e5dce34a8" args="(LibofxContextPtr ctx, LibofxProcSecurityCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_security_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set the security callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
@@ -971,50 +1169,42 @@
   </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00168">168</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.
-<p>
-Referenced by <a class="el" href="context_8cpp-source.html#l00168">ofx_set_security_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ff0651d1d0e9a71d4a46b4a835ab3c98"></a><!-- doxytag: member="inc/libofx.h::ofx_set_statement_cb" ref="ff0651d1d0e9a71d4a46b4a835ab3c98" args="(LibofxContextPtr ctx, LibofxProcStatementCallback cb, void *user_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT void ofx_set_statement_cb           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>cb</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>void *&nbsp;</td>
-          <td class="mdname" nowrap> <em>user_data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00177">177</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00369">main()</a>, and <a class="el" href="context_8cpp-source.html#l00177">ofx_set_security_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="afd8ce6626b070ec64479e7993e6fc07"></a><!-- doxytag: member="inc/libofx.h::ofx_set_statement_cb" ref="afd8ce6626b070ec64479e7993e6fc07" args="(LibofxContextPtr ctx, LibofxProcStatementCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_statement_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set the statement callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
@@ -1025,50 +1215,42 @@
   </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00184">184</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="context_8cpp-source.html#l00184">ofx_set_statement_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="44cffa9ef1f5b1ff78b051e5fc710b05"></a><!-- doxytag: member="inc/libofx.h::ofx_set_status_cb" ref="44cffa9ef1f5b1ff78b051e5fc710b05" args="(LibofxContextPtr ctx, LibofxProcStatusCallback cb, void *user_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT void ofx_set_status_cb           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>cb</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>void *&nbsp;</td>
-          <td class="mdname" nowrap> <em>user_data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00193">193</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="context_8cpp-source.html#l00193">ofx_set_statement_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c9e39dac5b93d9db8ee699f3809a0c79"></a><!-- doxytag: member="inc/libofx.h::ofx_set_status_cb" ref="c9e39dac5b93d9db8ee699f3809a0c79" args="(LibofxContextPtr ctx, LibofxProcStatusCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_status_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set the status callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
@@ -1079,50 +1261,42 @@
   </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00153">153</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.
-<p>
-Referenced by <a class="el" href="context_8cpp-source.html#l00153">ofx_set_status_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="5516a2d26ff7ee2d4eefc3202275eda1"></a><!-- doxytag: member="inc/libofx.h::ofx_set_transaction_cb" ref="5516a2d26ff7ee2d4eefc3202275eda1" args="(LibofxContextPtr ctx, LibofxProcTransactionCallback cb, void *user_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT void ofx_set_transaction_cb           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>cb</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>void *&nbsp;</td>
-          <td class="mdname" nowrap> <em>user_data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00162">162</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00369">main()</a>, and <a class="el" href="context_8cpp-source.html#l00162">ofx_set_status_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="0f47dac1e503298ff60e9d6bdc5a5775"></a><!-- doxytag: member="inc/libofx.h::ofx_set_transaction_cb" ref="0f47dac1e503298ff60e9d6bdc5a5775" args="(LibofxContextPtr ctx, LibofxProcTransactionCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_transaction_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set the transaction callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
@@ -1133,216 +1307,160 @@
   </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00176">176</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="context_8cpp-source.html#l00176">ofx_set_transaction_cb()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00185">185</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="context_8cpp-source.html#l00185">ofx_set_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="8245d22af7e29641a398a4f6db9485ff"></a><!-- doxytag: member="inc/libofx.h::LibofxExportFormatList" ref="8245d22af7e29641a398a4f6db9485ff" args="[]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">LibofxExportFormatList</a>[]          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-<b>Initial value:</b><div class="fragment"><pre class="fragment"> 
-{
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
-}
-</pre></div>
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00126">126</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="47340ac933be2130bdb93a9be72ed440"></a><!-- doxytag: member="inc/libofx.h::LibofxImportFormatList" ref="47340ac933be2130bdb93a9be72ed440" args="[]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[]          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-<b>Initial value:</b><div class="fragment"><pre class="fragment"> 
-{
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">AUTODETECT</a>, <span class="stringliteral">"AUTODETECT"</span>, <span class="stringliteral">"AUTODETECT (File format will be automatically detected later)"</span>},
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>, <span class="stringliteral">"OFX"</span>, <span class="stringliteral">"OFX (Open Financial eXchange (OFX or QFX))"</span>},
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>, <span class="stringliteral">"OFC"</span>, <span class="stringliteral">"OFC (Microsoft Open Financial Connectivity)"</span>},
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
-}
-</pre></div>
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00117">117</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00037">libofx_get_file_format_description()</a>, <a class="el" href="file__preproc_8cpp-source.html#l00054">libofx_get_file_format_from_str()</a>, <a class="el" href="file__preproc_8cpp-source.html#l00067">libofx_proc_file()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00369">main()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d1e59908e86e1ce5458e08782f6ff264"></a><!-- doxytag: member="inc/libofx.h::LibofxProcAccountCallback" ref="d1e59908e86e1ce5458e08782f6ff264" args=")(const struct OfxAccountData data, void *account_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT typedef int(* <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a>)(const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The callback function for the <a class="el" href="structOfxAccountData.html">OfxAccountData</a> stucture. 
-<p>
-The ofx_proc_account_cb event is always generated first, to allow the application to create accounts or ask the user to match an existing account before the ofx_proc_statement and ofx_proc_transaction event are received. An <a class="el" href="structOfxAccountData.html">OfxAccountData</a> is passed to this event.<p>
-Note however that this <a class="el" href="structOfxAccountData.html">OfxAccountData</a> structure will also be available as part of <a class="el" href="structOfxStatementData.html">OfxStatementData</a> structure passed to ofx_proc_statement event, as well as a pointer to an arbitrary data structure. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00289">289</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="aba3bbdf4c71ce498a36e115c2f96444"></a><!-- doxytag: member="inc/libofx.h::LibofxProcSecurityCallback" ref="aba3bbdf4c71ce498a36e115c2f96444" args=")(const struct OfxSecurityData data, void *security_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT typedef int(* <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a>)(const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The callback function for the <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> stucture. 
-<p>
-An ofx_proc_security_cb event is generated for any securities listed in the ofx file. It is generated after ofx_proc_statement but before ofx_proc_transaction. It is meant to be used to allow the client to create a new commodity or security (such as a new stock type). Please note however that this information is usually also available as part of each OfxtransactionData. An <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00345">345</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ebbf69e9ff550da0b0137b3cf3cfc916"></a><!-- doxytag: member="inc/libofx.h::LibofxProcStatementCallback" ref="ebbf69e9ff550da0b0137b3cf3cfc916" args=")(const struct OfxStatementData data, void *statement_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT typedef int(* <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a>)(const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The callback function for the <a class="el" href="structOfxStatementData.html">OfxStatementData</a> stucture. 
-<p>
-The ofx_proc_statement_cb event is sent after all ofx_proc_transaction events have been sent. An <a class="el" href="structOfxStatementData.html">OfxStatementData</a> is passed to this event, as well as a pointer to an arbitrary data structure. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00601">601</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="14155cb28af71092c8920c633337238a"></a><!-- doxytag: member="inc/libofx.h::LibofxProcStatusCallback" ref="14155cb28af71092c8920c633337238a" args=")(const struct OfxStatusData data, void *status_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT typedef int(* <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a>)(const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The callback function for the <a class="el" href="structOfxStatusData.html">OfxStatusData</a> stucture. 
-<p>
-An ofx_proc_status_cb event is sent everytime the server has generated a OFX STATUS element. As such, it could be received at any time(but not during other events). An <a class="el" href="structOfxStatusData.html">OfxStatusData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00220">220</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="9ebd0c663e69751b90e56888a835eb72"></a><!-- doxytag: member="inc/libofx.h::LibofxProcTransactionCallback" ref="9ebd0c663e69751b90e56888a835eb72" args=")(const struct OfxTransactionData data, void *transaction_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT typedef int(* <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a>)(const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The callback function for the <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> stucture. 
-<p>
-An ofx_proc_transaction_cb event is generated for every transaction in the ofx response, after ofx_proc_statement (and possibly ofx_proc_security is generated. An <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00532">532</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a class="anchor" name="a82489ca2279144569727138feb344e8"></a><!-- doxytag: member="inc/libofx.h::LibofxExportFormatList" ref="a82489ca2279144569727138feb344e8" args="[]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">LibofxExportFormatList</a>[]          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<b>Initial value:</b><div class="fragment"><pre class="fragment"> 
+{
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+}
+</pre></div>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00140">140</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b1ad431f1a4db406c34db2833ca80748"></a><!-- doxytag: member="inc/libofx.h::LibofxImportFormatList" ref="b1ad431f1a4db406c34db2833ca80748" args="[]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[]          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<b>Initial value:</b><div class="fragment"><pre class="fragment"> 
+{
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, <span class="stringliteral">"AUTODETECT"</span>, <span class="stringliteral">"AUTODETECT (File format will be automatically detected later)"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, <span class="stringliteral">"OFX"</span>, <span class="stringliteral">"OFX (Open Financial eXchange (OFX or QFX))"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, <span class="stringliteral">"OFC"</span>, <span class="stringliteral">"OFC (Microsoft Open Financial Connectivity)"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+}
+</pre></div>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00131">131</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00037">libofx_get_file_format_description()</a>, <a class="el" href="file__preproc_8cpp-source.html#l00054">libofx_get_file_format_from_str()</a>, <a class="el" href="file__preproc_8cpp-source.html#l00067">libofx_proc_file()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00369">main()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="1d20edeaa14f8da3dbeb98fb4af0aa0b"></a><!-- doxytag: member="inc/libofx.h::LibofxProcAccountCallback" ref="1d20edeaa14f8da3dbeb98fb4af0aa0b" args=")(const struct OfxAccountData data, void *account_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a>)(const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> stucture. 
+<p>
+The ofx_proc_account_cb event is always generated first, to allow the application to create accounts or ask the user to match an existing account before the ofx_proc_statement and ofx_proc_transaction event are received. An <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> is passed to this event.<p>
+Note however that this <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> structure will also be available as part of <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> structure passed to ofx_proc_statement event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00310">310</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="05780ed831281da04cc4c65682c1989f"></a><!-- doxytag: member="inc/libofx.h::LibofxProcSecurityCallback" ref="05780ed831281da04cc4c65682c1989f" args=")(const struct OfxSecurityData data, void *security_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a>)(const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> stucture. 
+<p>
+An ofx_proc_security_cb event is generated for any securities listed in the ofx file. It is generated after ofx_proc_statement but before ofx_proc_transaction. It is meant to be used to allow the client to create a new commodity or security (such as a new stock type). Please note however that this information is usually also available as part of each OfxtransactionData. An <a class="el" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00366">366</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="457cbf849ad1ac5914cfb8bdeaccf4d5"></a><!-- doxytag: member="inc/libofx.h::LibofxProcStatementCallback" ref="457cbf849ad1ac5914cfb8bdeaccf4d5" args=")(const struct OfxStatementData data, void *statement_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a>)(const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> stucture. 
+<p>
+The ofx_proc_statement_cb event is sent after all ofx_proc_transaction events have been sent. An <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00622">622</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="50daae5a31dcfb84db8ede120f28c2db"></a><!-- doxytag: member="inc/libofx.h::LibofxProcStatusCallback" ref="50daae5a31dcfb84db8ede120f28c2db" args=")(const struct OfxStatusData data, void *status_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a>)(const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> stucture. 
+<p>
+An ofx_proc_status_cb event is sent everytime the server has generated a OFX STATUS element. As such, it could be received at any time(but not during other events). An <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00234">234</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="35d231437fba371dcd4553c4c5c29901"></a><!-- doxytag: member="inc/libofx.h::LibofxProcTransactionCallback" ref="35d231437fba371dcd4553c4c5c29901" args=")(const struct OfxTransactionData data, void *transaction_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a>)(const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> stucture. 
+<p>
+An ofx_proc_transaction_cb event is generated for every transaction in the ofx response, after ofx_proc_statement (and possibly ofx_proc_security is generated. An <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00553">553</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/index.html'
--- doc/html/index.html	2004-01-16 11:23:51 +0000
+++ doc/html/index.html	2008-02-06 17:25:16 +0000
@@ -1,8 +1,11 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX</title></head>
 <frameset cols="250,*">
   <frame src="tree.html" name="treefrm">
   <frame src="main.html" name="basefrm">
+  <noframes>
+    <a href="main.html">Frames are disabled. Click here to go to the main page.</a>
+  </noframes>
 </frameset>
 </html>

=== modified file 'doc/html/libofx-0_88_82_2inc_2libofx_8h-source.html'
--- doc/html/libofx-0_88_82_2inc_2libofx_8h-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/libofx-0_88_82_2inc_2libofx_8h-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: libofx.h Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>libofx.h</h1><a href="libofx-0_88_82_2inc_2libofx_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">              libofx.h  -  Main header file for the libofx API</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -39,41 +35,41 @@
 <a name="l00039"></a>00039 <span class="preprocessor">#ifdef __cplusplus</span>
 <a name="l00040"></a>00040 <span class="preprocessor"></span><span class="preprocessor">#define CFCT extern "C"</span>
 <a name="l00041"></a>00041 <span class="preprocessor"></span><span class="preprocessor">#else</span>
-<a name="l00042"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">00042</a> <span class="preprocessor"></span><span class="preprocessor">#define CFCT</span>
-<a name="l00043"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#d3c656d7299463f92752692270f121e8">00043</a> <span class="preprocessor"></span><span class="preprocessor">#define true 1</span>
-<a name="l00044"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">00044</a> <span class="preprocessor"></span><span class="preprocessor">#define false 0</span>
+<a name="l00042"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">00042</a> <span class="preprocessor"></span><span class="preprocessor">#define CFCT</span>
+<a name="l00043"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">00043</a> <span class="preprocessor"></span><span class="preprocessor">#define true 1</span>
+<a name="l00044"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">00044</a> <span class="preprocessor"></span><span class="preprocessor">#define false 0</span>
 <a name="l00045"></a>00045 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
 <a name="l00046"></a>00046 <span class="preprocessor"></span>
-<a name="l00047"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">00047</a> <span class="preprocessor">#define OFX_ELEMENT_NAME_LENGTH         100</span>
-<a name="l00048"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">00048</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_SVRTID2_LENGTH             36 + 1</span>
-<a name="l00049"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#98353eaf0a31f2ade7d87e97f5c60a10">00049</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_CHECK_NUMBER_LENGTH        12 + 1</span>
-<a name="l00050"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#cc16652d1582973c4cf44886539c1b82">00050</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_REFERENCE_NUMBER_LENGTH    32 + 1</span>
-<a name="l00051"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#70a927cda060452ec535e77781d9ce71">00051</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_FITID_LENGTH               255 + 1</span>
-<a name="l00052"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#93a79f3d4c13cd1de90e0a5742b882da">00052</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TOKEN2_LENGTH              36 + 1</span>
-<a name="l00053"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#14658a025be4f8ab3ce87d59255557a1">00053</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MEMO_LENGTH                255 + 1</span>
-<a name="l00054"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">00054</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MEMO2_LENGTH               390 + 1</span>
-<a name="l00055"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#bea4c8e4902b5844db76b5efefb54d67">00055</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BALANCE_NAME_LENGTH        32 + 1</span>
-<a name="l00056"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#1319bccc0b425f593504ed4c4410e570">00056</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BALANCE_DESCRIPTION_LENGTH 80 + 1</span>
-<a name="l00057"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">00057</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_CURRENCY_LENGTH            3 + 1 </span><span class="comment">/* In ISO-4217 format */</span>
-<a name="l00058"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">00058</a> <span class="preprocessor">#define OFX_BANKID_LENGTH              9 + 1</span>
-<a name="l00059"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">00059</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BRANCHID_LENGTH            22 + 1</span>
-<a name="l00060"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">00060</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCTID_LENGTH              22 + 1 </span>
-<a name="l00061"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">00061</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCTKEY_LENGTH             22 + 1</span>
-<a name="l00062"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">00062</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BROKERID_LENGTH            22 + 1</span>
+<a name="l00047"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">00047</a> <span class="preprocessor">#define OFX_ELEMENT_NAME_LENGTH         100</span>
+<a name="l00048"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">00048</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_SVRTID2_LENGTH             36 + 1</span>
+<a name="l00049"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">00049</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_CHECK_NUMBER_LENGTH        12 + 1</span>
+<a name="l00050"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">00050</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_REFERENCE_NUMBER_LENGTH    32 + 1</span>
+<a name="l00051"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">00051</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_FITID_LENGTH               255 + 1</span>
+<a name="l00052"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">00052</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TOKEN2_LENGTH              36 + 1</span>
+<a name="l00053"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">00053</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MEMO_LENGTH                255 + 1</span>
+<a name="l00054"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">00054</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MEMO2_LENGTH               390 + 1</span>
+<a name="l00055"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">00055</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BALANCE_NAME_LENGTH        32 + 1</span>
+<a name="l00056"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">00056</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BALANCE_DESCRIPTION_LENGTH 80 + 1</span>
+<a name="l00057"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">00057</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_CURRENCY_LENGTH            3 + 1 </span><span class="comment">/* In ISO-4217 format */</span>
+<a name="l00058"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">00058</a> <span class="preprocessor">#define OFX_BANKID_LENGTH              9 + 1</span>
+<a name="l00059"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">00059</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BRANCHID_LENGTH            22 + 1</span>
+<a name="l00060"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">00060</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCTID_LENGTH              22 + 1 </span>
+<a name="l00061"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">00061</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCTKEY_LENGTH             22 + 1</span>
+<a name="l00062"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">00062</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BROKERID_LENGTH            22 + 1</span>
 <a name="l00063"></a>00063 <span class="preprocessor"></span><span class="comment">/* Must be MAX of &lt;BANKID&gt;+&lt;BRANCHID&gt;+&lt;ACCTID&gt;, &lt;ACCTID&gt;+&lt;ACCTKEY&gt; and &lt;ACCTID&gt;+&lt;BROKERID&gt; */</span>
-<a name="l00064"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">00064</a> <span class="preprocessor">#define OFX_ACCOUNT_ID_LENGTH OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1</span>
-<a name="l00065"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">00065</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCOUNT_NAME_LENGTH        255</span>
-<a name="l00066"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">00066</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MARKETING_INFO_LENGTH      360 + 1</span>
-<a name="l00067"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#40f37dafcf9d45693f112a2b8275c210">00067</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TRANSACTION_NAME_LENGTH    32 + 1</span>
-<a name="l00068"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">00068</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_UNIQUE_ID_LENGTH           32 + 1</span>
-<a name="l00069"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">00069</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_UNIQUE_ID_TYPE_LENGTH      10 + 1</span>
-<a name="l00070"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#0d5c5c4fe1700e548e70c106db0c41d8">00070</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_SECNAME_LENGTH             32 + 1</span>
-<a name="l00071"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#32d832a778f16f9599a7a44575681f4d">00071</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TICKER_LENGTH              32 + 1</span>
-<a name="l00072"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">00072</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ORG_LENGTH                 32 + 1</span>
-<a name="l00073"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">00073</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_FID_LENGTH                 32 + 1</span>
-<a name="l00074"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">00074</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_USERID_LENGTH              32 + 1</span>
-<a name="l00075"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">00075</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_USERPASS_LENGTH            32 + 1</span>
-<a name="l00076"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">00076</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_URL_LENGTH                 500 + 1</span>
+<a name="l00064"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#69861648d37d02054778473eece609f5">00064</a> <span class="preprocessor">#define OFX_ACCOUNT_ID_LENGTH OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1</span>
+<a name="l00065"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">00065</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCOUNT_NAME_LENGTH        255</span>
+<a name="l00066"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">00066</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MARKETING_INFO_LENGTH      360 + 1</span>
+<a name="l00067"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">00067</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TRANSACTION_NAME_LENGTH    32 + 1</span>
+<a name="l00068"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">00068</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_UNIQUE_ID_LENGTH           32 + 1</span>
+<a name="l00069"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">00069</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_UNIQUE_ID_TYPE_LENGTH      10 + 1</span>
+<a name="l00070"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">00070</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_SECNAME_LENGTH             32 + 1</span>
+<a name="l00071"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">00071</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TICKER_LENGTH              32 + 1</span>
+<a name="l00072"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">00072</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ORG_LENGTH                 32 + 1</span>
+<a name="l00073"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">00073</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_FID_LENGTH                 32 + 1</span>
+<a name="l00074"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">00074</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_USERID_LENGTH              32 + 1</span>
+<a name="l00075"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">00075</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_USERPASS_LENGTH            32 + 1</span>
+<a name="l00076"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">00076</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_URL_LENGTH                 500 + 1</span>
 <a name="l00077"></a>00077 <span class="preprocessor"></span><span class="comment">/*</span>
 <a name="l00078"></a>00078 <span class="comment">#define OFX_STATEMENT_CB               0;</span>
 <a name="l00079"></a>00079 <span class="comment">#define OFX_ACCOUNT_CB                 1;</span>
@@ -82,372 +78,357 @@
 <a name="l00082"></a>00082 <span class="comment">#define OFX_STATUS_CB                  4;</span>
 <a name="l00083"></a>00083 <span class="comment">*/</span>
 <a name="l00084"></a>00084 
-<a name="l00085"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">00085</a> <span class="keyword">typedef</span> <span class="keywordtype">void</span> * <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>;
-<a name="l00091"></a>00091 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> <a class="code" href="inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">libofx_get_new_context</a>();
-<a name="l00097"></a>00097 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">libofx_free_context</a>( <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> );
+<a name="l00085"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">00085</a> <span class="keyword">typedef</span> <span class="keywordtype">void</span> * <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>;
+<a name="l00091"></a>00091 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> <a class="code" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0" title="Initialise the library and return a new context.">libofx_get_new_context</a>();
+<a name="l00097"></a>00097 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf" title="Free all ressources used by this context.">libofx_free_context</a>( <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> );
 <a name="l00098"></a>00098 
-<a name="l00100"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">00100</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>{ <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">AUTODETECT</a>, 
-<a name="l00101"></a>00101                      <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>, 
-<a name="l00102"></a>00102                      <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>, 
-<a name="l00103"></a>00103                      <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, 
-<a name="l00104"></a>00104                      <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">UNKNOWN</a>, 
-<a name="l00105"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">00105</a>                      <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a> 
+<a name="l00100"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">00100</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>{ <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a name="l00101"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">00101</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<a name="l00102"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">00102</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a name="l00103"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">00103</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<a name="l00104"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">00104</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a name="l00105"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">00105</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a> 
 <a name="l00106"></a>00106 };
 <a name="l00107"></a>00107 
 <a name="l00108"></a>00108 <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>{
-<a name="l00109"></a>00109 <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">format</a>;
-<a name="l00110"></a><a class="code" href="structLibofxFileFormatInfo.html#d2cedb4565d24bf632fb95d3974e316b">00110</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structLibofxFileFormatInfo.html#d2cedb4565d24bf632fb95d3974e316b">format_name</a>;  
-<a name="l00111"></a><a class="code" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">00111</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">description</a>; 
+<a name="l00109"></a>00109 <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>;
+<a name="l00110"></a><a class="code" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">00110</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">format_name</a>;  
+<a name="l00111"></a><a class="code" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">00111</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">description</a>; 
 <a name="l00112"></a>00112 };
 <a name="l00113"></a>00113 
 <a name="l00114"></a>00114 
 <a name="l00115"></a>00115 <span class="preprocessor">#ifndef OFX_AQUAMANIAC_UGLY_HACK1</span>
 <a name="l00116"></a>00116 <span class="preprocessor"></span>
-<a name="l00117"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">00117</a> <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[] = 
+<a name="l00117"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">00117</a> <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[] = 
 <a name="l00118"></a>00118 {
-<a name="l00119"></a>00119 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">AUTODETECT</a>, <span class="stringliteral">"AUTODETECT"</span>, <span class="stringliteral">"AUTODETECT (File format will be automatically detected later)"</span>},
-<a name="l00120"></a>00120 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>, <span class="stringliteral">"OFX"</span>, <span class="stringliteral">"OFX (Open Financial eXchange (OFX or QFX))"</span>},
-<a name="l00121"></a>00121 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>, <span class="stringliteral">"OFC"</span>, <span class="stringliteral">"OFC (Microsoft Open Financial Connectivity)"</span>},
-<a name="l00122"></a>00122 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
-<a name="l00123"></a>00123 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+<a name="l00119"></a>00119 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, <span class="stringliteral">"AUTODETECT"</span>, <span class="stringliteral">"AUTODETECT (File format will be automatically detected later)"</span>},
+<a name="l00120"></a>00120 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, <span class="stringliteral">"OFX"</span>, <span class="stringliteral">"OFX (Open Financial eXchange (OFX or QFX))"</span>},
+<a name="l00121"></a>00121 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, <span class="stringliteral">"OFC"</span>, <span class="stringliteral">"OFC (Microsoft Open Financial Connectivity)"</span>},
+<a name="l00122"></a>00122 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+<a name="l00123"></a>00123 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
 <a name="l00124"></a>00124 };
 <a name="l00125"></a>00125 
-<a name="l00126"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">00126</a> <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="code" href="inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">LibofxExportFormatList</a>[] = 
+<a name="l00126"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">00126</a> <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="code" href="inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">LibofxExportFormatList</a>[] = 
 <a name="l00127"></a>00127 {
-<a name="l00128"></a>00128 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
-<a name="l00129"></a>00129 {<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+<a name="l00128"></a>00128 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+<a name="l00129"></a>00129 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
 <a name="l00130"></a>00130 };
 <a name="l00131"></a>00131 
-<a name="l00139"></a>00139 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="code" href="inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">libofx_get_file_format_from_str</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">const</span> <span class="keywordtype">char</span> * file_type_string);
+<a name="l00139"></a>00139 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a" title="libofx_get_file_type returns a proper enum from a file type string.">libofx_get_file_format_from_str</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">const</span> <span class="keywordtype">char</span> * file_type_string);
 <a name="l00140"></a>00140 
-<a name="l00148"></a>00148 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx_get_file_format_description</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> file_format);
+<a name="l00148"></a>00148 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format);
 <a name="l00149"></a>00149 
 <a name="l00150"></a>00150 <span class="preprocessor">#endif</span>
 <a name="l00151"></a>00151 <span class="preprocessor"></span>
-<a name="l00158"></a>00158 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">libofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context,
+<a name="l00158"></a>00158 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805" title="libofx_proc_file is the entry point of the library.">libofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context,
 <a name="l00159"></a>00159                           <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename,
-<a name="l00160"></a>00160                           <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> ftype);
+<a name="l00160"></a>00160                           <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> ftype);
 <a name="l00161"></a>00161 
 <a name="l00162"></a>00162 
-<a name="l00175"></a>00175 <span class="keyword">struct </span><a class="code" href="structOfxStatusData.html">OfxStatusData</a>{  
-<a name="l00180"></a>00180   <span class="keywordtype">char</span> <a class="code" href="structOfxStatusData.html#659b7102e14a4d3e02bf0757ee1b12b9">ofx_element_name</a>[<a class="code" href="inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">OFX_ELEMENT_NAME_LENGTH</a>];
-<a name="l00182"></a>00182   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#39fa34d1bc8c87c27b118479cecd5bf6">ofx_element_name_valid</a>;
+<a name="l00175"></a>00175 <span class="keyword">struct </span><a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a>{  
+<a name="l00180"></a>00180   <span class="keywordtype">char</span> <a class="code" href="structOfxStatusData.html#d49b449f9d4bf1746d71728cd1f5b925">ofx_element_name</a>[<a class="code" href="inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">OFX_ELEMENT_NAME_LENGTH</a>];
+<a name="l00182"></a>00182   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#011f73b45f88aac63ec44727ed6b306d">ofx_element_name_valid</a>;
 <a name="l00183"></a>00183   
-<a name="l00188"></a>00188   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">code</a>;            
-<a name="l00189"></a><a class="code" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">00189</a>   <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">name</a>;          
-<a name="l00190"></a><a class="code" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">00190</a>   <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">description</a>;   
-<a name="l00191"></a>00191   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#69d5e443877e2e9300197a6057060a68">code_valid</a>;      
-<a name="l00194"></a><a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">00194</a>     <span class="keyword">enum</span> <a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">Severity</a>{<a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2">INFO</a>, 
-<a name="l00195"></a>00195                 <a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267">WARN</a>, 
-<a name="l00196"></a>00196                 <a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8">ERROR</a> 
-<a name="l00197"></a>00197   } <a class="code" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a>;
-<a name="l00198"></a>00198   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">severity_valid</a>;
+<a name="l00188"></a>00188   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a>;            
+<a name="l00189"></a><a class="code" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">00189</a>   <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">name</a>;          
+<a name="l00190"></a><a class="code" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">00190</a>   <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">description</a>;   
+<a name="l00191"></a>00191   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">code_valid</a>;      
+<a name="l00194"></a><a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">00194</a>     <span class="keyword">enum</span> <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">Severity</a>{<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<a name="l00195"></a>00195                 <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<a name="l00196"></a>00196                 <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a> 
+<a name="l00197"></a>00197   } <a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>;
+<a name="l00198"></a>00198   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a>;
 <a name="l00199"></a>00199   
-<a name="l00205"></a><a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">00205</a>   <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a>; 
-<a name="l00207"></a>00207   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">server_message_valid</a>;
+<a name="l00205"></a><a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">00205</a>   <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>; 
+<a name="l00207"></a>00207   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a>;
 <a name="l00209"></a>00209 };
 <a name="l00210"></a>00210 
 <a name="l00211"></a>00211 
-<a name="l00220"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">00220</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxStatusData.html">OfxStatusData</a> data, void * status_data);
+<a name="l00220"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">00220</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> data, void * status_data);
 <a name="l00221"></a>00221 
-<a name="l00228"></a>00228 <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html">OfxAccountData</a>{
-<a name="l00229"></a>00229   
-<a name="l00240"></a>00240   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>[<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>];
-<a name="l00246"></a>00246   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>[<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>];
-<a name="l00247"></a>00247   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">account_id_valid</a>;<span class="comment">/* Use for both account_id and account_name */</span>
-<a name="l00248"></a>00248 
-<a name="l00250"></a><a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">00250</a>     <span class="keyword">enum</span> <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">AccountType</a>{
-<a name="l00251"></a>00251     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9">OFX_CHECKING</a>,  
-<a name="l00252"></a>00252     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957">OFX_SAVINGS</a>,   
-<a name="l00253"></a>00253     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493">OFX_MONEYMRKT</a>, 
-<a name="l00254"></a>00254     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89">OFX_CREDITLINE</a>,
-<a name="l00255"></a>00255     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f">OFX_CMA</a>,       
-<a name="l00256"></a>00256     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471">OFX_CREDITCARD</a>,
-<a name="l00257"></a>00257     <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">OFX_INVESTMENT</a> 
-<a name="l00258"></a>00258   } <a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>;
-<a name="l00259"></a>00259   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a>;
-<a name="l00260"></a>00260   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#c32bd379c1cdf26d0dfdb0d4992ba9e0">currency</a>[<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>]; 
-<a name="l00261"></a>00261   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#ec553bba34510a9085d8395ae57eb4d2">currency_valid</a>;
-<a name="l00262"></a>00262 
-<a name="l00263"></a>00263   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#b52ce38f9b338995155193e251a913eb">bank_id</a>[<a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>];
-<a name="l00264"></a>00264   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#383072a07037bd2a6e3b3bdd2dd8ce68">bank_id_valid</a>;
-<a name="l00265"></a>00265 
-<a name="l00266"></a>00266   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#638e07ea5ceae389d128b18451a92c3f">broker_id</a>[<a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>];
-<a name="l00267"></a>00267   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#18c96bae133fcb04c8f5cdadd2d785ca">broker_id_valid</a>;
-<a name="l00268"></a>00268 
-<a name="l00269"></a>00269   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#392911775b01dcd1fa08f8aae8d6354b">branch_id</a>[<a class="code" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">OFX_BRANCHID_LENGTH</a>];
-<a name="l00270"></a>00270   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#a90da480f5333cb62e65abff64fc8ca1">branch_id_valid</a>;
+<a name="l00233"></a>00233 <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>{
+<a name="l00234"></a>00234   
+<a name="l00245"></a>00245   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>[<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>];
+<a name="l00251"></a>00251   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>[<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>];
+<a name="l00252"></a>00252   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>;<span class="comment">/* Use for both account_id and account_name */</span>
+<a name="l00253"></a>00253 
+<a name="l00255"></a><a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">00255</a>     <span class="keyword">enum</span> <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">AccountType</a>{
+<a name="l00256"></a>00256     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>,  
+<a name="l00257"></a>00257     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>,   
+<a name="l00258"></a>00258     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a name="l00259"></a>00259     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>,
+<a name="l00260"></a>00260     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>,       
+<a name="l00261"></a>00261     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>,
+<a name="l00262"></a>00262     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a> 
+<a name="l00263"></a>00263   } <a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>;
+<a name="l00264"></a>00264   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>;
+<a name="l00265"></a>00265   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00266"></a>00266   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a>;
+<a name="l00267"></a>00267 
+<a name="l00269"></a>00269   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a>[<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>];
+<a name="l00270"></a>00270   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">account_number_valid</a>;
 <a name="l00271"></a>00271 
-<a name="l00272"></a>00272   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#4055a6a7c29f5d7227a21143c15827cc">account_number</a>[<a class="code" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">OFX_ACCTID_LENGTH</a>];
-<a name="l00273"></a>00273   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#4f3d55c94002500f9f3e3b398a71f9b0">account_number_valid</a>;
-<a name="l00274"></a>00274 
-<a name="l00275"></a>00275 };
-<a name="l00276"></a>00276 
-<a name="l00289"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">00289</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html">OfxAccountData</a> data, void * account_data);
-<a name="l00290"></a>00290 
-<a name="l00297"></a>00297 <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html">OfxSecurityData</a>{
-<a name="l00303"></a>00303   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">unique_id</a>[<a class="code" href="inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">OFX_UNIQUE_ID_LENGTH</a>];   
-<a name="l00304"></a>00304   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#7a07e05b7a7de7cbc93ef5819e08cdfb">unique_id_valid</a>;
-<a name="l00305"></a>00305   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">unique_id_type</a>[<a class="code" href="inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">OFX_UNIQUE_ID_TYPE_LENGTH</a>];
-<a name="l00307"></a>00307   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#fa8afe497229c9f561b734b784af4136">unique_id_type_valid</a>;
-<a name="l00308"></a>00308   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">secname</a>[<a class="code" href="inc_2libofx_8h.html#0d5c5c4fe1700e548e70c106db0c41d8">OFX_SECNAME_LENGTH</a>];
-<a name="l00309"></a>00309   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#2ac745aadacd3adff898b02c29a8ee50">secname_valid</a>;
-<a name="l00310"></a>00310 
-<a name="l00316"></a>00316   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">ticker</a>[<a class="code" href="inc_2libofx_8h.html#32d832a778f16f9599a7a44575681f4d">OFX_TICKER_LENGTH</a>];
-<a name="l00317"></a>00317   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#832eb4d40a617065f39d6543ae5cfdd4">ticker_valid</a>;
-<a name="l00318"></a>00318 
-<a name="l00319"></a>00319   <span class="keywordtype">double</span> <a class="code" href="structOfxSecurityData.html#e3c6ea360c7dce731d263c1f83b5cbd9">unitprice</a>;
-<a name="l00321"></a>00321   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#6527ef1b5444ad8dcc5c9f3e53b93abc">unitprice_valid</a>;
-<a name="l00322"></a>00322 
-<a name="l00323"></a>00323   time_t <a class="code" href="structOfxSecurityData.html#2be22a41f746673f06ea6b6820cc17e9">date_unitprice</a>;
-<a name="l00324"></a>00324   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#45533d8f177dc2a329d03c5e79f0dd14">date_unitprice_valid</a>;
+<a name="l00273"></a>00273   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a>[<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>];
+<a name="l00274"></a>00274   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">bank_id_valid</a>;
+<a name="l00275"></a>00275 
+<a name="l00276"></a>00276   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a>[<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>];
+<a name="l00277"></a>00277   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#59defd36706bd332e080dcf56437dabf">broker_id_valid</a>;
+<a name="l00278"></a>00278 
+<a name="l00279"></a>00279   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">branch_id</a>[<a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>];
+<a name="l00280"></a>00280   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">branch_id_valid</a>;
+<a name="l00281"></a>00281 
+<a name="l00282"></a>00282 };
+<a name="l00283"></a>00283 
+<a name="l00296"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">00296</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data, void * account_data);
+<a name="l00297"></a>00297 
+<a name="l00304"></a>00304 <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a>{
+<a name="l00310"></a>00310   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a>[<a class="code" href="inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">OFX_UNIQUE_ID_LENGTH</a>];   
+<a name="l00311"></a>00311   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">unique_id_valid</a>;
+<a name="l00312"></a>00312   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a>[<a class="code" href="inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">OFX_UNIQUE_ID_TYPE_LENGTH</a>];
+<a name="l00314"></a>00314   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">unique_id_type_valid</a>;
+<a name="l00315"></a>00315   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a>[<a class="code" href="inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">OFX_SECNAME_LENGTH</a>];
+<a name="l00316"></a>00316   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">secname_valid</a>;
+<a name="l00317"></a>00317 
+<a name="l00323"></a>00323   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a>[<a class="code" href="inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">OFX_TICKER_LENGTH</a>];
+<a name="l00324"></a>00324   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">ticker_valid</a>;
 <a name="l00325"></a>00325 
-<a name="l00326"></a>00326   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#6f943b5de690b0c8e3577ee32dc0f682">currency</a>[<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>]; 
-<a name="l00329"></a>00329   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#b510698f4aadf98dea2a38774afecf36">currency_valid</a>;
-<a name="l00330"></a>00330   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">memo</a>[<a class="code" href="inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">OFX_MEMO2_LENGTH</a>];
-<a name="l00331"></a>00331   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#fca86ce1faa30e4dcd6e31ff8fb8ab76">memo_valid</a>;
-<a name="l00332"></a>00332 };<span class="comment">/* end struct OfxSecurityData */</span>
-<a name="l00333"></a>00333 
-<a name="l00345"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">00345</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> data, void * security_data);
-<a name="l00346"></a>00346 
-<a name="l00347"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">00347</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
-<a name="l00348"></a>00348     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">OFX_CREDIT</a>,     
-<a name="l00349"></a>00349     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">OFX_DEBIT</a>,      
-<a name="l00350"></a>00350     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">OFX_INT</a>,        
-<a name="l00351"></a>00351     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">OFX_DIV</a>,        
-<a name="l00352"></a>00352     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">OFX_FEE</a>,        
-<a name="l00353"></a>00353     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">OFX_SRVCHG</a>,     
-<a name="l00354"></a>00354     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">OFX_DEP</a>,        
-<a name="l00355"></a>00355     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">OFX_ATM</a>,        
-<a name="l00356"></a>00356     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">OFX_POS</a>,        
-<a name="l00357"></a>00357     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">OFX_XFER</a>,       
-<a name="l00358"></a>00358     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">OFX_CHECK</a>,      
-<a name="l00359"></a>00359     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">OFX_PAYMENT</a>,    
-<a name="l00360"></a>00360     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">OFX_CASH</a>,       
-<a name="l00361"></a>00361     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">OFX_DIRECTDEP</a>,  
-<a name="l00362"></a>00362     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">OFX_DIRECTDEBIT</a>,
-<a name="l00363"></a>00363     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">OFX_REPEATPMT</a>,  
-<a name="l00364"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">00364</a>     <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">OFX_OTHER</a>       
-<a name="l00365"></a>00365   } <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">TransactionType</a>;
-<a name="l00366"></a>00366 
-<a name="l00367"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">00367</a> <span class="keyword">typedef</span>  <span class="keyword">enum</span>{
-<a name="l00368"></a>00368     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">OFX_BUYDEBT</a>,        
-<a name="l00369"></a>00369     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">OFX_BUYMF</a>,          
-<a name="l00370"></a>00370     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">OFX_BUYOPT</a>,         
-<a name="l00371"></a>00371     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">OFX_BUYOTHER</a>,       
-<a name="l00372"></a>00372     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">OFX_BUYSTOCK</a>,       
-<a name="l00373"></a>00373     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">OFX_CLOSUREOPT</a>,     
-<a name="l00374"></a>00374     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">OFX_INCOME</a>,         
-<a name="l00375"></a>00375     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">OFX_INVEXPENSE</a>,     
-<a name="l00376"></a>00376     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">OFX_JRNLFUND</a>,       
-<a name="l00377"></a>00377     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678">OFX_JRNLSEC</a>,        
-<a name="l00378"></a>00378     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">OFX_MARGININTEREST</a>, 
-<a name="l00379"></a>00379     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">OFX_REINVEST</a>,       
-<a name="l00380"></a>00380     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">OFX_RETOFCAP</a>,       
-<a name="l00381"></a>00381     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">OFX_SELLDEBT</a>,       
-<a name="l00382"></a>00382     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">OFX_SELLMF</a>,         
-<a name="l00383"></a>00383     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">OFX_SELLOPT</a>,        
-<a name="l00384"></a>00384     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">OFX_SELLOTHER</a>,      
-<a name="l00385"></a>00385     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">OFX_SELLSTOCK</a>,      
-<a name="l00386"></a>00386     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">OFX_SPLIT</a>,          
-<a name="l00387"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">00387</a>     <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">OFX_TRANSFER</a>        
-<a name="l00388"></a>00388   }  <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">InvTransactionType</a>;
-<a name="l00389"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">00389</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
-<a name="l00390"></a>00390     <a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">DELETE</a>, 
-<a name="l00392"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">00392</a>     <a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">REPLACE</a> 
-<a name="l00394"></a>00394   } <a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">FiIdCorrectionAction</a>;
-<a name="l00395"></a>00395 
-<a name="l00402"></a>00402 <span class="keyword">struct </span><a class="code" href="structOfxTransactionData.html">OfxTransactionData</a>{
-<a name="l00403"></a>00403   
-<a name="l00409"></a>00409   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">account_id</a>[<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>];
-<a name="l00412"></a><a class="code" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">00412</a>   <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html">OfxAccountData</a> * <a class="code" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">account_ptr</a>; 
-<a name="l00414"></a>00414   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#02095f6be8951af8640d6e4d96e6a7c7">account_id_valid</a>;
-<a name="l00415"></a>00415 
-<a name="l00416"></a>00416   <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">TransactionType</a> <a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>;
-<a name="l00417"></a>00417   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a>;
-<a name="l00418"></a>00418  
-<a name="l00422"></a>00422   <a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">InvTransactionType</a> <a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>;
-<a name="l00423"></a>00423   <span class="keywordtype">int</span>  <a class="code" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">invtransactiontype_valid</a>;
-<a name="l00424"></a>00424 
-<a name="l00425"></a>00425   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">units</a>;     
-<a name="l00431"></a>00431   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">units_valid</a>;
-<a name="l00432"></a>00432   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">unitprice</a>; 
-<a name="l00434"></a>00434   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">unitprice_valid</a>;
-<a name="l00435"></a>00435   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a>;    
-<a name="l00439"></a>00439   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">amount_valid</a>;
-<a name="l00440"></a>00440   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">fi_id</a>[256];  
-<a name="l00443"></a>00443   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#9922d2151c43440ffe643fbf8cc1bb36">fi_id_valid</a>;
-<a name="l00444"></a>00444   
-<a name="l00452"></a>00452   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">unique_id</a>[<a class="code" href="inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">OFX_UNIQUE_ID_LENGTH</a>];  
-<a name="l00453"></a>00453   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">unique_id_valid</a>;
-<a name="l00454"></a>00454   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">unique_id_type</a>[<a class="code" href="inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">OFX_UNIQUE_ID_TYPE_LENGTH</a>];
-<a name="l00456"></a>00456   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#7470f4b24458c5fc1ae4d32e04578832">unique_id_type_valid</a>;
-<a name="l00457"></a><a class="code" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">00457</a>   <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> *<a class="code" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">security_data_ptr</a>;  
-<a name="l00458"></a>00458   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#e778083e6550c520a2855a28367cd4cb">security_data_valid</a>;
-<a name="l00459"></a>00459   
-<a name="l00460"></a>00460   time_t <a class="code" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">date_posted</a>;
-<a name="l00465"></a>00465   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">date_posted_valid</a>;
+<a name="l00326"></a>00326   <span class="keywordtype">double</span> <a class="code" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">unitprice</a>;
+<a name="l00328"></a>00328   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">unitprice_valid</a>;
+<a name="l00329"></a>00329 
+<a name="l00330"></a>00330   time_t <a class="code" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">date_unitprice</a>;
+<a name="l00331"></a>00331   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">date_unitprice_valid</a>;
+<a name="l00332"></a>00332 
+<a name="l00333"></a>00333   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00336"></a>00336   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">currency_valid</a>;
+<a name="l00337"></a>00337   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a>[<a class="code" href="inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">OFX_MEMO2_LENGTH</a>];
+<a name="l00338"></a>00338   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">memo_valid</a>;
+<a name="l00339"></a>00339 };<span class="comment">/* end struct OfxSecurityData */</span>
+<a name="l00340"></a>00340 
+<a name="l00352"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">00352</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> data, void * security_data);
+<a name="l00353"></a>00353 
+<a name="l00354"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">00354</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
+<a name="l00355"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">00355</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>,     
+<a name="l00356"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">00356</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>,      
+<a name="l00357"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">00357</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>,        
+<a name="l00358"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">00358</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>,        
+<a name="l00359"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">00359</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>,        
+<a name="l00360"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">00360</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>,     
+<a name="l00361"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">00361</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>,        
+<a name="l00362"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">00362</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>,        
+<a name="l00363"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">00363</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>,        
+<a name="l00364"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">00364</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>,       
+<a name="l00365"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">00365</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>,      
+<a name="l00366"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">00366</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>,    
+<a name="l00367"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">00367</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>,       
+<a name="l00368"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">00368</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>,  
+<a name="l00369"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">00369</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>,
+<a name="l00370"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">00370</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>,  
+<a name="l00371"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">00371</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>       
+<a name="l00372"></a>00372   } <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a>;
+<a name="l00373"></a>00373 
+<a name="l00374"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">00374</a> <span class="keyword">typedef</span>  <span class="keyword">enum</span>{
+<a name="l00375"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">00375</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>,        
+<a name="l00376"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">00376</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>,          
+<a name="l00377"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">00377</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>,         
+<a name="l00378"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">00378</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>,       
+<a name="l00379"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">00379</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>,       
+<a name="l00380"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">00380</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>,     
+<a name="l00381"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">00381</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>,         
+<a name="l00382"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">00382</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>,     
+<a name="l00383"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">00383</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>,       
+<a name="l00384"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">00384</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>,        
+<a name="l00385"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">00385</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a name="l00386"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">00386</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>,       
+<a name="l00387"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">00387</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>,       
+<a name="l00388"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">00388</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>,       
+<a name="l00389"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">00389</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>,         
+<a name="l00390"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">00390</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>,        
+<a name="l00391"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">00391</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>,      
+<a name="l00392"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">00392</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>,      
+<a name="l00393"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">00393</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>,          
+<a name="l00394"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">00394</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>        
+<a name="l00395"></a>00395   }  <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a>;
+<a name="l00396"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23">00396</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
+<a name="l00397"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">00397</a>     <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a name="l00399"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">00399</a>     <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a> 
+<a name="l00401"></a>00401   } <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a>;
+<a name="l00402"></a>00402 
+<a name="l00409"></a>00409 <span class="keyword">struct </span><a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a>{
+<a name="l00410"></a>00410   
+<a name="l00416"></a>00416   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a>[<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>];
+<a name="l00419"></a><a class="code" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">00419</a>   <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * <a class="code" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">account_ptr</a>; 
+<a name="l00421"></a>00421   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a>;
+<a name="l00422"></a>00422 
+<a name="l00423"></a>00423   <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a> <a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>;
+<a name="l00424"></a>00424   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>;
+<a name="l00425"></a>00425  
+<a name="l00429"></a>00429   <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a> <a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>;
+<a name="l00430"></a>00430   <span class="keywordtype">int</span>  <a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a>;
+<a name="l00431"></a>00431 
+<a name="l00432"></a>00432   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a>;     
+<a name="l00438"></a>00438   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a>;
+<a name="l00439"></a>00439   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a>; 
+<a name="l00441"></a>00441   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a>;
+<a name="l00442"></a>00442   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>;    
+<a name="l00446"></a>00446   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a>;
+<a name="l00447"></a>00447   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>[256];  
+<a name="l00450"></a>00450   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">fi_id_valid</a>;
+<a name="l00451"></a>00451   
+<a name="l00459"></a>00459   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>[<a class="code" href="inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">OFX_UNIQUE_ID_LENGTH</a>];  
+<a name="l00460"></a>00460   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a>;
+<a name="l00461"></a>00461   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a>[<a class="code" href="inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">OFX_UNIQUE_ID_TYPE_LENGTH</a>];
+<a name="l00463"></a>00463   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">unique_id_type_valid</a>;
+<a name="l00464"></a><a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">00464</a>   <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> *<a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a>;  
+<a name="l00465"></a>00465   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">security_data_valid</a>;
 <a name="l00466"></a>00466   
-<a name="l00467"></a>00467   time_t <a class="code" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">date_initiated</a>;
-<a name="l00473"></a>00473   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">date_initiated_valid</a>;
-<a name="l00474"></a>00474   time_t <a class="code" href="structOfxTransactionData.html#be9a3435e5c27396714b915bbec892d9">date_funds_available</a>;
-<a name="l00477"></a>00477   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#a279f61654ffc1119f4a7a0475314b8f">date_funds_available_valid</a>;
-<a name="l00481"></a>00481   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#9db59281d0b9883e307da469e45c5e25">fi_id_corrected</a>[256];
-<a name="l00482"></a>00482   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#760693682215d56c510ddf222514d18e">fi_id_corrected_valid</a>;
-<a name="l00485"></a>00485   <a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">FiIdCorrectionAction</a> <a class="code" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">fi_id_correction_action</a>;
-<a name="l00486"></a>00486   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">fi_id_correction_action_valid</a>;
-<a name="l00487"></a>00487   
-<a name="l00490"></a>00490   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">server_transaction_id</a>[<a class="code" href="inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">OFX_SVRTID2_LENGTH</a>];
-<a name="l00491"></a>00491   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#ac773a8cfd36ea8dcbff4a0173a5178d">server_transaction_id_valid</a>;
-<a name="l00495"></a>00495 <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">check_number</a>[<a class="code" href="inc_2libofx_8h.html#98353eaf0a31f2ade7d87e97f5c60a10">OFX_CHECK_NUMBER_LENGTH</a>];
-<a name="l00496"></a>00496   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#8b49156636e8dc3b1f56ae91955765b4">check_number_valid</a>;
-<a name="l00499"></a>00499   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">reference_number</a>[<a class="code" href="inc_2libofx_8h.html#cc16652d1582973c4cf44886539c1b82">OFX_REFERENCE_NUMBER_LENGTH</a>];
-<a name="l00500"></a>00500   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#6cca71dde5d0ced4458e4cc4d9be17e5">reference_number_valid</a>;
-<a name="l00501"></a>00501   <span class="keywordtype">long</span> <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#3283c78f62957daba020a89f5f5ff632">standard_industrial_code</a>;
-<a name="l00503"></a>00503   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#84c2f46550c8158d87074bba6d57d592">standard_industrial_code_valid</a>;
-<a name="l00504"></a>00504   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">payee_id</a>[<a class="code" href="inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">OFX_SVRTID2_LENGTH</a>];
-<a name="l00505"></a>00505   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#b2bdd11a3085660e89da09c86aeb9643">payee_id_valid</a>;
-<a name="l00506"></a>00506   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">name</a>[<a class="code" href="inc_2libofx_8h.html#40f37dafcf9d45693f112a2b8275c210">OFX_TRANSACTION_NAME_LENGTH</a>];
-<a name="l00508"></a>00508   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#b3c75cdec303b138889b3de61e75c869">name_valid</a>;
-<a name="l00509"></a>00509   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">memo</a>[<a class="code" href="inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">OFX_MEMO2_LENGTH</a>];
-<a name="l00510"></a>00510   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#eccceb6745312b5bdcd919056e7d987f">memo_valid</a>;
-<a name="l00511"></a>00511   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#37fb3882c1bc7079e47d2007af1ca028">commission</a>;
-<a name="l00512"></a>00512   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#86d8e5fc00290bb173c1b6b948c35dd3">commission_valid</a>;
-<a name="l00513"></a>00513   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#e3ec90702e1e5abbae847c77eb9cfc0e">fees</a>;
-<a name="l00514"></a>00514   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#fed8f3953c6f8d1d346be5c61501a93e">fees_valid</a>;
-<a name="l00515"></a>00515   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#57a0bf358659ac3c28eb330ae8c0abb9">oldunits</a>;     <span class="comment">/*number of units held before stock split */</span>
-<a name="l00516"></a>00516   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#5129a4ab98abe2227338d4d5cef94e53">oldunits_valid</a>;
-<a name="l00517"></a>00517   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#f0b75e90de07492e9aed6a57d879e358">newunits</a>;     <span class="comment">/*number of units held after stock split */</span>
-<a name="l00518"></a>00518   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#fd317e28426dce6b508872d5a15d1651">newunits_valid</a>;
-<a name="l00519"></a>00519 
-<a name="l00520"></a>00520 
-<a name="l00521"></a>00521   <span class="comment">/*********** NOT YET COMPLETE!!! *********************/</span>
-<a name="l00522"></a>00522 };
-<a name="l00523"></a>00523 
-<a name="l00532"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">00532</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxTransactionData.html">OfxTransactionData</a> data, void * transaction_data);
-<a name="l00533"></a>00533 
-<a name="l00542"></a>00542 <span class="keyword">struct </span><a class="code" href="structOfxStatementData.html">OfxStatementData</a>{
-<a name="l00543"></a>00543 
-<a name="l00551"></a>00551   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#8c016ce953f1d4d3d08573f0181f7fc8">currency</a>[<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>]; 
-<a name="l00552"></a>00552   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#2e01678983fb37679da62d982932301a">currency_valid</a>;
-<a name="l00553"></a>00553   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">account_id</a>[<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>];
-<a name="l00555"></a><a class="code" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">00555</a>   <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html">OfxAccountData</a> * <a class="code" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">account_ptr</a>; 
-<a name="l00557"></a>00557   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">account_id_valid</a>;
-<a name="l00560"></a>00560   <span class="keywordtype">double</span> <a class="code" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">ledger_balance</a>;
-<a name="l00561"></a>00561   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#36aa92a5090a5b005003a56d030bfe2d">ledger_balance_valid</a>;
-<a name="l00562"></a>00562   time_t <a class="code" href="structOfxStatementData.html#6c67dd7b0665b531e773f543fc7fb81c">ledger_balance_date</a>;
-<a name="l00563"></a>00563   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#156eaa5cdf06cfbb42f671d53e32f4c8">ledger_balance_date_valid</a>;
-<a name="l00564"></a>00564   
-<a name="l00570"></a>00570   <span class="keywordtype">double</span> <a class="code" href="structOfxStatementData.html#da9c55ec9c74912447df814e9d4cca91">available_balance</a>; 
-<a name="l00573"></a>00573   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#2b21efec7e7c885db13af63230c1a76d">available_balance_valid</a>;
-<a name="l00574"></a>00574   time_t <a class="code" href="structOfxStatementData.html#bbed79d9d703d99258707077ec8fb237">available_balance_date</a>;
-<a name="l00575"></a>00575   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#b43a960e67c71cd8b7c91376ca12d462">available_balance_date_valid</a>;
-<a name="l00580"></a>00580   time_t <a class="code" href="structOfxStatementData.html#e309f20e09668f4d0cf852f771d2cc16">date_start</a>;
-<a name="l00581"></a>00581   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#dc9f69ca4ccb9ce8b2ee99a633ce1663">date_start_valid</a>;
-<a name="l00586"></a>00586   time_t <a class="code" href="structOfxStatementData.html#9a9474d4266ee8362691de638eb2b95b">date_end</a>;
-<a name="l00587"></a>00587   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#da9e71bfc700d9836f8ed1a0a5394d68">date_end_valid</a>;
-<a name="l00590"></a>00590   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#fb61c45788b7da6fde86b94c39721b35">marketing_info</a>[<a class="code" href="inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">OFX_MARKETING_INFO_LENGTH</a>];
-<a name="l00591"></a>00591   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#51882ec4112a0784458335387a2307d9">marketing_info_valid</a>;
-<a name="l00592"></a>00592 };
-<a name="l00593"></a>00593 
-<a name="l00601"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">00601</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxStatementData.html">OfxStatementData</a> data, void * statement_data);
-<a name="l00602"></a>00602 
-<a name="l00606"></a>00606 <span class="keyword">struct </span><a class="code" href="structOfxCurrency.html">OfxCurrency</a>{
-<a name="l00607"></a>00607   <span class="keywordtype">char</span> <a class="code" href="structOfxCurrency.html#178b53e406a02275243f1e1e483220e8">currency</a>[<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>]; 
-<a name="l00608"></a>00608   <span class="keywordtype">double</span> <a class="code" href="structOfxCurrency.html#978f8a9698789bb843d19fa39d972f2f">exchange_rate</a>;  
-<a name="l00609"></a>00609   <span class="keywordtype">int</span> <a class="code" href="structOfxCurrency.html#7c4a8c93761859e996614694a973081c">must_convert</a>;   
-<a name="l00610"></a>00610 };
-<a name="l00611"></a>00611 
-<a name="l00612"></a>00612 
-<a name="l00619"></a>00619 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">ofx_set_status_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00620"></a>00620                             <a class="code" href="inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb,
-<a name="l00621"></a>00621                             <span class="keywordtype">void</span> *user_data);
-<a name="l00628"></a>00628 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">ofx_set_account_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00629"></a>00629                              <a class="code" href="inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb,
-<a name="l00630"></a>00630                              <span class="keywordtype">void</span> *user_data);
-<a name="l00637"></a>00637 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">ofx_set_security_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00638"></a>00638                               <a class="code" href="inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb,
-<a name="l00639"></a>00639                               <span class="keywordtype">void</span> *user_data);
-<a name="l00646"></a>00646 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">ofx_set_transaction_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00647"></a>00647                                  <a class="code" href="inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb,
-<a name="l00648"></a>00648                                  <span class="keywordtype">void</span> *user_data);
-<a name="l00649"></a>00649 
-<a name="l00656"></a>00656 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">ofx_set_statement_cb</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00657"></a>00657                                <a class="code" href="inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb,
-<a name="l00658"></a>00658                                <span class="keywordtype">void</span> *user_data);
-<a name="l00659"></a>00659 
-<a name="l00660"></a>00660 
-<a name="l00664"></a>00664 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">libofx_proc_buffer</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00665"></a>00665                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size);
-<a name="l00666"></a>00666                             
-<a name="l00672"></a>00672 
-<a name="l00677"></a>00677 <span class="keyword">struct </span><a class="code" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a>{
-<a name="l00678"></a>00678   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#2dbea9cf2b6881ee430000a168cd8338">fid</a>[<a class="code" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">OFX_FID_LENGTH</a>];
-<a name="l00679"></a>00679   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#73a4c5b29a004bb210c751636b2352db">org</a>[<a class="code" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">OFX_ORG_LENGTH</a>];
-<a name="l00680"></a>00680   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#892b7434b389b85d67ece222f5dc1bdb">url</a>[<a class="code" href="inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">OFX_URL_LENGTH</a>];
-<a name="l00681"></a>00681   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">accountlist</a>; 
-<a name="l00682"></a>00682   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#c02b7fbdca5599cfa064887cddf94804">statements</a>; 
-<a name="l00683"></a>00683   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#41f3e3e7d5e090592791c8132fe14030">billpay</a>; 
-<a name="l00684"></a>00684   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#a390b4cdb30ff1c96114b77c0e0737f6">investments</a>; 
-<a name="l00685"></a>00685 };
-<a name="l00686"></a>00686 
-<a name="l00696"></a>00696 <span class="keyword">struct </span><a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>{
-<a name="l00697"></a>00697   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">fid</a>[<a class="code" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">OFX_FID_LENGTH</a>];
-<a name="l00698"></a>00698   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#4b44e09e0f415913fea555001554cd3d">org</a>[<a class="code" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">OFX_ORG_LENGTH</a>];
-<a name="l00699"></a>00699   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#7513251178c3f4d9b665132436428cdf">userid</a>[<a class="code" href="inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">OFX_USERID_LENGTH</a>];
-<a name="l00700"></a>00700   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#2995949d8c307d2434ad82a61dbb6f1e">userpass</a>[<a class="code" href="inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">OFX_USERPASS_LENGTH</a>];
-<a name="l00701"></a>00701 };
-<a name="l00702"></a>00702 
-<a name="l00703"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">00703</a> <span class="keyword">typedef</span> <span class="keyword">enum</span>{
-<a name="l00704"></a>00704   OFX_NO_ACCOUNT=0,
-<a name="l00705"></a>00705   OFX_BANK_ACCOUNT,
-<a name="l00706"></a>00706   OFX_INVEST_ACCOUNT,
-<a name="l00707"></a>00707   OFX_CREDITCARD_ACCOUNT,
-<a name="l00708"></a>00708   OFX_INVALID_ACCOUNT
-<a name="l00709"></a>00709 } <a class="code" href="inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">AccountType</a>;
-<a name="l00710"></a>00710 
-<a name="l00719"></a>00719 <span class="keyword">struct </span><a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>{
-<a name="l00720"></a>00720   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a>[<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>];
-<a name="l00721"></a>00721   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">bankid</a>[<a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>];
-<a name="l00722"></a>00722   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountInfo.html#1b8903e24442ff02fc0a12ee0592cae6">brokerid</a>[<a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>];
-<a name="l00723"></a>00723   <a class="code" href="inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">AccountType</a> <a class="code" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">type</a>;
-<a name="l00724"></a>00724 };
-<a name="l00725"></a>00725 
-<a name="l00726"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#609b01533497ee31000a7503e48b2cdb">00726</a> <span class="preprocessor">#define OFX_AMOUNT_LENGTH 32 + 1</span>
-<a name="l00727"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#2766cffbd2b30950514516496c179094">00727</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_PAYACCT_LENGTH 32 + 1</span>
-<a name="l00728"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#106dffe15d30f5c17404ef6cbf9ae3fa">00728</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_STATE_LENGTH 5 + 1</span>
-<a name="l00729"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#16781a946309e4034d67e6b6e09f7238">00729</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_POSTALCODE_LENGTH 11 + 1</span>
-<a name="l00730"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">00730</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_NAME_LENGTH 32 + 1</span>
-<a name="l00731"></a>00731 <span class="preprocessor"></span>
-<a name="l00732"></a>00732 <span class="keyword">struct </span><a class="code" href="structOfxPayment.html">OfxPayment</a>{
-<a name="l00733"></a>00733   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#fb1972bf3033b4604422d21273bb8d4e">amount</a>[<a class="code" href="inc_2libofx_8h.html#609b01533497ee31000a7503e48b2cdb">OFX_AMOUNT_LENGTH</a>];
-<a name="l00734"></a>00734   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#d57648ec18e28322c8cc71fce995f083">account</a>[<a class="code" href="inc_2libofx_8h.html#2766cffbd2b30950514516496c179094">OFX_PAYACCT_LENGTH</a>];
-<a name="l00735"></a>00735   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#9b30730015e0bdcf6661eadcb82b6698">datedue</a>[9];
-<a name="l00736"></a>00736   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#e63577fa1dc3cff71b5dd6f09b0bd86a">memo</a>[<a class="code" href="inc_2libofx_8h.html#14658a025be4f8ab3ce87d59255557a1">OFX_MEMO_LENGTH</a>];
-<a name="l00737"></a>00737 };
-<a name="l00738"></a>00738 
-<a name="l00739"></a>00739 <span class="keyword">struct </span><a class="code" href="structOfxPayee.html">OfxPayee</a>{
-<a name="l00740"></a>00740   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#244c3b827ff9a03b64819e004b6c2703">name</a>[<a class="code" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">OFX_NAME_LENGTH</a>];
-<a name="l00741"></a>00741   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#3509ec9ece608232be3ffc63b4077d27">address1</a>[<a class="code" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">OFX_NAME_LENGTH</a>];
-<a name="l00742"></a>00742   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#4b3bd752ae504378f3bd3822e969b2fa">city</a>[<a class="code" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">OFX_NAME_LENGTH</a>];
-<a name="l00743"></a>00743   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#05962d6b480e93be8ee06c6890aff0eb">state</a>[<a class="code" href="inc_2libofx_8h.html#106dffe15d30f5c17404ef6cbf9ae3fa">OFX_STATE_LENGTH</a>];
-<a name="l00744"></a>00744   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#a07d96270910acde171ebe29a8a263c2">postalcode</a>[<a class="code" href="inc_2libofx_8h.html#16781a946309e4034d67e6b6e09f7238">OFX_POSTALCODE_LENGTH</a>];
-<a name="l00745"></a>00745   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#c79b99be08186762285da39f91948627">phone</a>[<a class="code" href="inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">OFX_NAME_LENGTH</a>];
-<a name="l00746"></a>00746 };
-<a name="l00747"></a>00747 
-<a name="l00760"></a>00760 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">libofx_request_statement</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* fi, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>* account, time_t date_from );
-<a name="l00761"></a>00761 
-<a name="l00773"></a>00773 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">libofx_request_accountinfo</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login );
-<a name="l00774"></a>00774 
-<a name="l00775"></a>00775 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">char</span>* libofx_request_payment( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>* account, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>* payee, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>* payment );
-<a name="l00776"></a>00776 
-<a name="l00777"></a>00777 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">libofx_request_payment_status</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keywordtype">char</span>* transactionid );
-<a name="l00778"></a>00778 
-<a name="l00780"></a>00780 
-<a name="l00781"></a>00781 <span class="preprocessor">#endif</span>
-<a name="l00782"></a>00782 <span class="preprocessor"></span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00467"></a>00467   time_t <a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a>;
+<a name="l00472"></a>00472   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a>;
+<a name="l00473"></a>00473   
+<a name="l00474"></a>00474   time_t <a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a>;
+<a name="l00480"></a>00480   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a>;
+<a name="l00481"></a>00481   time_t <a class="code" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">date_funds_available</a>;
+<a name="l00484"></a>00484   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">date_funds_available_valid</a>;
+<a name="l00488"></a>00488   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">fi_id_corrected</a>[256];
+<a name="l00489"></a>00489   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">fi_id_corrected_valid</a>;
+<a name="l00492"></a>00492   <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a> <a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>;
+<a name="l00493"></a>00493   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a>;
+<a name="l00494"></a>00494   
+<a name="l00497"></a>00497   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a>[<a class="code" href="inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">OFX_SVRTID2_LENGTH</a>];
+<a name="l00498"></a>00498   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">server_transaction_id_valid</a>;
+<a name="l00502"></a>00502 <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>[<a class="code" href="inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">OFX_CHECK_NUMBER_LENGTH</a>];
+<a name="l00503"></a>00503   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">check_number_valid</a>;
+<a name="l00506"></a>00506   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>[<a class="code" href="inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">OFX_REFERENCE_NUMBER_LENGTH</a>];
+<a name="l00507"></a>00507   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">reference_number_valid</a>;
+<a name="l00508"></a>00508   <span class="keywordtype">long</span> <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">standard_industrial_code</a>;
+<a name="l00510"></a>00510   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">standard_industrial_code_valid</a>;
+<a name="l00511"></a>00511   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a>[<a class="code" href="inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">OFX_SVRTID2_LENGTH</a>];
+<a name="l00512"></a>00512   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">payee_id_valid</a>;
+<a name="l00513"></a>00513   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>[<a class="code" href="inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">OFX_TRANSACTION_NAME_LENGTH</a>];
+<a name="l00515"></a>00515   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">name_valid</a>;
+<a name="l00516"></a>00516   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>[<a class="code" href="inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">OFX_MEMO2_LENGTH</a>];
+<a name="l00517"></a>00517   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">memo_valid</a>;
+<a name="l00518"></a>00518   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">commission</a>;
+<a name="l00519"></a>00519   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">commission_valid</a>;
+<a name="l00520"></a>00520   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">fees</a>;
+<a name="l00521"></a>00521   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">fees_valid</a>;
+<a name="l00522"></a>00522   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">oldunits</a>;     <span class="comment">/*number of units held before stock split */</span>
+<a name="l00523"></a>00523   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">oldunits_valid</a>;
+<a name="l00524"></a>00524   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">newunits</a>;     <span class="comment">/*number of units held after stock split */</span>
+<a name="l00525"></a>00525   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">newunits_valid</a>;
+<a name="l00526"></a>00526 
+<a name="l00527"></a>00527 
+<a name="l00528"></a>00528   <span class="comment">/*********** NOT YET COMPLETE!!! *********************/</span>
+<a name="l00529"></a>00529 };
+<a name="l00530"></a>00530 
+<a name="l00539"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">00539</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data, void * transaction_data);
+<a name="l00540"></a>00540 
+<a name="l00549"></a>00549 <span class="keyword">struct </span><a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a>{
+<a name="l00550"></a>00550 
+<a name="l00558"></a>00558   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00559"></a>00559   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">currency_valid</a>;
+<a name="l00560"></a>00560   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">account_id</a>[<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>];
+<a name="l00562"></a><a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">00562</a>   <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * <a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a>; 
+<a name="l00564"></a>00564   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">account_id_valid</a>;
+<a name="l00567"></a>00567   <span class="keywordtype">double</span> <a class="code" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">ledger_balance</a>;
+<a name="l00568"></a>00568   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">ledger_balance_valid</a>;
+<a name="l00569"></a>00569   time_t <a class="code" href="structOfxStatementData.html#57f9892d09da4a6d69c44b7f9af45fc0">ledger_balance_date</a>;
+<a name="l00570"></a>00570   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#765dfa1991995af8a2c72b774df6cb6d">ledger_balance_date_valid</a>;
+<a name="l00571"></a>00571   
+<a name="l00577"></a>00577   <span class="keywordtype">double</span> <a class="code" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">available_balance</a>; 
+<a name="l00580"></a>00580   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">available_balance_valid</a>;
+<a name="l00581"></a>00581   time_t <a class="code" href="structOfxStatementData.html#5062a88aaae023cd5506db8991187c1c">available_balance_date</a>;
+<a name="l00582"></a>00582   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#4c2936f050f1cacd32e11e294dd96de6">available_balance_date_valid</a>;
+<a name="l00587"></a>00587   time_t <a class="code" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">date_start</a>;
+<a name="l00588"></a>00588   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">date_start_valid</a>;
+<a name="l00593"></a>00593   time_t <a class="code" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">date_end</a>;
+<a name="l00594"></a>00594   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">date_end_valid</a>;
+<a name="l00597"></a>00597   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">marketing_info</a>[<a class="code" href="inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">OFX_MARKETING_INFO_LENGTH</a>];
+<a name="l00598"></a>00598   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">marketing_info_valid</a>;
+<a name="l00599"></a>00599 };
+<a name="l00600"></a>00600 
+<a name="l00608"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">00608</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data, void * statement_data);
+<a name="l00609"></a>00609 
+<a name="l00613"></a>00613 <span class="keyword">struct </span><a class="code" href="structOfxCurrency.html" title="NOT YET SUPPORTED.">OfxCurrency</a>{
+<a name="l00614"></a>00614   <span class="keywordtype">char</span> <a class="code" href="structOfxCurrency.html#b161a37469e797c6762d7dd909819332">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00615"></a>00615   <span class="keywordtype">double</span> <a class="code" href="structOfxCurrency.html#42189e2f5c6b57cf09cb75689a6c1b88">exchange_rate</a>;  
+<a name="l00616"></a>00616   <span class="keywordtype">int</span> <a class="code" href="structOfxCurrency.html#19eb1ccd12664af9dfdb55d67641f32d">must_convert</a>;   
+<a name="l00617"></a>00617 };
+<a name="l00618"></a>00618 
+<a name="l00619"></a>00619 
+<a name="l00626"></a>00626 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">ofx_set_status_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00627"></a>00627                             <a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb,
+<a name="l00628"></a>00628                             <span class="keywordtype">void</span> *user_data);
+<a name="l00635"></a>00635 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00636"></a>00636                              <a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb,
+<a name="l00637"></a>00637                              <span class="keywordtype">void</span> *user_data);
+<a name="l00644"></a>00644 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">ofx_set_security_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00645"></a>00645                               <a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb,
+<a name="l00646"></a>00646                               <span class="keywordtype">void</span> *user_data);
+<a name="l00653"></a>00653 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00654"></a>00654                                  <a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb,
+<a name="l00655"></a>00655                                  <span class="keywordtype">void</span> *user_data);
+<a name="l00656"></a>00656 
+<a name="l00663"></a>00663 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00664"></a>00664                                <a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb,
+<a name="l00665"></a>00665                                <span class="keywordtype">void</span> *user_data);
+<a name="l00666"></a>00666 
+<a name="l00667"></a>00667 
+<a name="l00671"></a>00671 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00672"></a>00672                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size);
+<a name="l00673"></a>00673                             
+<a name="l00679"></a>00679 
+<a name="l00684"></a>00684 <span class="keyword">struct </span><a class="code" href="structOfxFiServiceInfo.html" title="Information returned by the OFX Partner Server about a financial institution.">OfxFiServiceInfo</a>{
+<a name="l00685"></a>00685   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">fid</a>[<a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>];
+<a name="l00686"></a>00686   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">org</a>[<a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>];
+<a name="l00687"></a>00687   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">url</a>[<a class="code" href="inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">OFX_URL_LENGTH</a>];
+<a name="l00688"></a>00688   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">accountlist</a>; 
+<a name="l00689"></a>00689   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">statements</a>; 
+<a name="l00690"></a>00690   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">billpay</a>; 
+<a name="l00691"></a>00691   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">investments</a>; 
+<a name="l00692"></a>00692 };
+<a name="l00693"></a>00693 
+<a name="l00703"></a>00703 <span class="keyword">struct </span><a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>{
+<a name="l00704"></a>00704   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a>[<a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>];
+<a name="l00705"></a>00705   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">org</a>[<a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>];
+<a name="l00706"></a>00706   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">userid</a>[<a class="code" href="inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">OFX_USERID_LENGTH</a>];
+<a name="l00707"></a>00707   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">userpass</a>[<a class="code" href="inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">OFX_USERPASS_LENGTH</a>];
+<a name="l00708"></a>00708 };
+<a name="l00709"></a>00709 
+<a name="l00710"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">00710</a> <span class="preprocessor">#define OFX_AMOUNT_LENGTH 32 + 1</span>
+<a name="l00711"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">00711</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_PAYACCT_LENGTH 32 + 1</span>
+<a name="l00712"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">00712</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_STATE_LENGTH 5 + 1</span>
+<a name="l00713"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">00713</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_POSTALCODE_LENGTH 11 + 1</span>
+<a name="l00714"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">00714</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_NAME_LENGTH 32 + 1</span>
+<a name="l00715"></a>00715 <span class="preprocessor"></span>
+<a name="l00716"></a>00716 <span class="keyword">struct </span><a class="code" href="structOfxPayment.html">OfxPayment</a>{
+<a name="l00717"></a>00717   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#ce2679ca7e17d6ba7a79cf03399beb8a">amount</a>[<a class="code" href="inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">OFX_AMOUNT_LENGTH</a>];
+<a name="l00718"></a>00718   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#851acab467352b911fa62781657ce328">account</a>[<a class="code" href="inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">OFX_PAYACCT_LENGTH</a>];
+<a name="l00719"></a>00719   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#8c7bf483dba9043d5c49993756681e7b">datedue</a>[9];
+<a name="l00720"></a>00720   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#3d6cbc61b6b1561f6a641bedcb5d25f5">memo</a>[<a class="code" href="inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">OFX_MEMO_LENGTH</a>];
+<a name="l00721"></a>00721 };
+<a name="l00722"></a>00722 
+<a name="l00723"></a>00723 <span class="keyword">struct </span><a class="code" href="structOfxPayee.html">OfxPayee</a>{
+<a name="l00724"></a>00724   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#2ad9e35d86d1f7432114048a55bb5a73">name</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00725"></a>00725   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#985439daf6ac8a7a34c92e5f9e829901">address1</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00726"></a>00726   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#03d236ffc1640ecc56640c4e29093215">city</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00727"></a>00727   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#d93547c7b47ed9d2428c0516fec2ed55">state</a>[<a class="code" href="inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">OFX_STATE_LENGTH</a>];
+<a name="l00728"></a>00728   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#b23cc650855fe8313f3a984a76b233cb">postalcode</a>[<a class="code" href="inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">OFX_POSTALCODE_LENGTH</a>];
+<a name="l00729"></a>00729   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#90f01576639fa04ff30a4c8836b6491f">phone</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00730"></a>00730 };
+<a name="l00731"></a>00731 
+<a name="l00744"></a>00744 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d" title="Creates an OFX statement request in string form.">libofx_request_statement</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* fi, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, time_t date_from );
+<a name="l00745"></a>00745 
+<a name="l00757"></a>00757 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449" title="Creates an OFX account info (list) request in string form.">libofx_request_accountinfo</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login );
+<a name="l00758"></a>00758 
+<a name="l00759"></a>00759 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* libofx_request_payment( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>* payee, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>* payment );
+<a name="l00760"></a>00760 
+<a name="l00761"></a>00761 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keywordtype">char</span>* transactionid );
+<a name="l00762"></a>00762 
+<a name="l00764"></a>00764 
+<a name="l00765"></a>00765 <span class="preprocessor">#endif</span>
+<a name="l00766"></a>00766 <span class="preprocessor"></span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/libofx-0_88_82_2inc_2libofx_8h.html'
--- doc/html/libofx-0_88_82_2inc_2libofx_8h.html	2006-10-20 13:12:33 +0000
+++ doc/html/libofx-0_88_82_2inc_2libofx_8h.html	2008-02-06 17:25:16 +0000
@@ -1,30 +1,26 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: libofx.h File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>libofx.h File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Main header file containing the LibOfx API. 
 <p>
 This file should be included for all applications who use this API. This header file will work with both C and C++ programs. The entire API is made of the following structures and functions.<p>
 All of the following ofx_proc_* functions are callbacks (Except ofx_proc_file which is the entry point). They must be implemented by your program, but can be left empty if not needed. They are called each time the associated structure is filled by the library.<p>
 Important note: The variables associated with every data element have a _valid companion. Always check that data_valid == true before using. Not only will you ensure that the data is meaningfull, but also that pointers are valid and strings point to a null terminated string. Elements listed as mandatory are for information purpose only, do not trust the bank not to send you non-conforming data... 
-<p>
-Definition in file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.
+<p>Definition in file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
 <p>
 
 <p>
@@ -57,743 +53,940 @@
 <tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html">OfxFiLogin</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Information sufficient to log into an financial institution.  <a href="structOfxFiLogin.html#_details">More...</a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a></td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Information sufficient to identify an account.  <a href="structOfxAccountInfo.html#_details">More...</a><br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html">OfxPayment</a></td></tr>
 
 <tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html">OfxPayee</a></td></tr>
 
 <tr><td colspan="2"><br><h2>Creating OFX Files</h2></td></tr>
 <tr><td colspan="2">This group deals with creating OFX files <br><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="609b01533497ee31000a7503e48b2cdb"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_AMOUNT_LENGTH" ref="609b01533497ee31000a7503e48b2cdb" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#609b01533497ee31000a7503e48b2cdb">OFX_AMOUNT_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2766cffbd2b30950514516496c179094"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_PAYACCT_LENGTH" ref="2766cffbd2b30950514516496c179094" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#2766cffbd2b30950514516496c179094">OFX_PAYACCT_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="106dffe15d30f5c17404ef6cbf9ae3fa"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_STATE_LENGTH" ref="106dffe15d30f5c17404ef6cbf9ae3fa" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#106dffe15d30f5c17404ef6cbf9ae3fa">OFX_STATE_LENGTH</a>&nbsp;&nbsp;&nbsp;5 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="16781a946309e4034d67e6b6e09f7238"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_POSTALCODE_LENGTH" ref="16781a946309e4034d67e6b6e09f7238" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#16781a946309e4034d67e6b6e09f7238">OFX_POSTALCODE_LENGTH</a>&nbsp;&nbsp;&nbsp;11 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4ef47a1374277f56c4d0cb4039245cb8"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_NAME_LENGTH" ref="4ef47a1374277f56c4d0cb4039245cb8" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4ef47a1374277f56c4d0cb4039245cb8">OFX_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">AccountType</a> { <br>
-&nbsp;&nbsp;<b>OFX_NO_ACCOUNT</b> = 0, 
-<b>OFX_BANK_ACCOUNT</b>, 
-<b>OFX_INVEST_ACCOUNT</b>, 
-<b>OFX_CREDITCARD_ACCOUNT</b>, 
-<br>
-&nbsp;&nbsp;<b>OFX_INVALID_ACCOUNT</b>
-<br>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">libofx_request_statement</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *fi, const struct <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> *account, time_t date_from)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates an OFX statement request in string form.  <a href="#f91a1c7694b46e7fcc8e175a7c224dde"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">libofx_request_accountinfo</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates an OFX account info (list) request in string form.  <a href="#78ec3ce215baf3f6739cc98f8b7ca128"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2dcfc4b4b217dee65f6affa5a0a8d5ff"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_request_payment" ref="2dcfc4b4b217dee65f6affa5a0a8d5ff" args="(const struct OfxFiLogin *login, const struct OfxAccountInfo *account, const struct OfxPayee *payee, const struct OfxPayment *payment)" -->
-CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><b>libofx_request_payment</b> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const struct <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> *account, const struct <a class="el" href="structOfxPayee.html">OfxPayee</a> *payee, const struct <a class="el" href="structOfxPayment.html">OfxPayment</a> *payment)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f408dfb1579b0d6f980d96ffcb45e674"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_request_payment_status" ref="f408dfb1579b0d6f980d96ffcb45e674" args="(const struct OfxFiLogin *login, const char *transactionid)" -->
-CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">libofx_request_payment_status</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const char *transactionid)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="58da6c854e5fd8b879e3348c6285198f"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_AMOUNT_LENGTH" ref="58da6c854e5fd8b879e3348c6285198f" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">OFX_AMOUNT_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6b2c390e87d270a029d21708ca9faad3"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_PAYACCT_LENGTH" ref="6b2c390e87d270a029d21708ca9faad3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">OFX_PAYACCT_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c28dc585985dd3c517f2eb818f909a8d"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_STATE_LENGTH" ref="c28dc585985dd3c517f2eb818f909a8d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">OFX_STATE_LENGTH</a>&nbsp;&nbsp;&nbsp;5 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c58b9d7dc304b11a10f87ae600520917"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_POSTALCODE_LENGTH" ref="c58b9d7dc304b11a10f87ae600520917" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">OFX_POSTALCODE_LENGTH</a>&nbsp;&nbsp;&nbsp;11 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="765b4da64823bc421b7a2ffddacaeb1c"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_NAME_LENGTH" ref="765b4da64823bc421b7a2ffddacaeb1c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d">libofx_request_statement</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *fi, const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, time_t date_from)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates an OFX statement request in string form.  <a href="#8095d04a045a8f0bdfd5c32ea6f1638d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449">libofx_request_accountinfo</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates an OFX account info (list) request in string form.  <a href="#24821dd5f7269d3b58e6bbaeb0bf0449"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="965e8d232d572f712368e6cb1d46e3da"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_request_payment" ref="965e8d232d572f712368e6cb1d46e3da" args="(const struct OfxFiLogin *login, const struct OfxAccountData *account, const struct OfxPayee *payee, const struct OfxPayment *payment)" -->
+CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><b>libofx_request_payment</b> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, const struct <a class="el" href="structOfxPayee.html">OfxPayee</a> *payee, const struct <a class="el" href="structOfxPayment.html">OfxPayment</a> *payment)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b9b42a433677da688d0f9f37d9da24d1"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_request_payment_status" ref="b9b42a433677da688d0f9f37d9da24d1" args="(const struct OfxFiLogin *login, const char *transactionid)" -->
+CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const char *transactionid)</td></tr>
 
 <tr><td colspan="2"><br><h2>Defines</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="78c711cc9f71d9032ea0e2ec66b87e74"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::CFCT" ref="78c711cc9f71d9032ea0e2ec66b87e74" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d3c656d7299463f92752692270f121e8"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::true" ref="d3c656d7299463f92752692270f121e8" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d3c656d7299463f92752692270f121e8">true</a>&nbsp;&nbsp;&nbsp;1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="924dded66e355a2c955251063df9e97e"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::false" ref="924dded66e355a2c955251063df9e97e" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">false</a>&nbsp;&nbsp;&nbsp;0</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4696b71f2f719fb2a347255fd5e59c06"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ELEMENT_NAME_LENGTH" ref="4696b71f2f719fb2a347255fd5e59c06" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">OFX_ELEMENT_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;100</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c2e27a2a23bf5c2032d7c52b68503dc3"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_SVRTID2_LENGTH" ref="c2e27a2a23bf5c2032d7c52b68503dc3" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c2e27a2a23bf5c2032d7c52b68503dc3">OFX_SVRTID2_LENGTH</a>&nbsp;&nbsp;&nbsp;36 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="98353eaf0a31f2ade7d87e97f5c60a10"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_CHECK_NUMBER_LENGTH" ref="98353eaf0a31f2ade7d87e97f5c60a10" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#98353eaf0a31f2ade7d87e97f5c60a10">OFX_CHECK_NUMBER_LENGTH</a>&nbsp;&nbsp;&nbsp;12 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cc16652d1582973c4cf44886539c1b82"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_REFERENCE_NUMBER_LENGTH" ref="cc16652d1582973c4cf44886539c1b82" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#cc16652d1582973c4cf44886539c1b82">OFX_REFERENCE_NUMBER_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="70a927cda060452ec535e77781d9ce71"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_FITID_LENGTH" ref="70a927cda060452ec535e77781d9ce71" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#70a927cda060452ec535e77781d9ce71">OFX_FITID_LENGTH</a>&nbsp;&nbsp;&nbsp;255 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="93a79f3d4c13cd1de90e0a5742b882da"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_TOKEN2_LENGTH" ref="93a79f3d4c13cd1de90e0a5742b882da" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#93a79f3d4c13cd1de90e0a5742b882da">OFX_TOKEN2_LENGTH</a>&nbsp;&nbsp;&nbsp;36 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="14658a025be4f8ab3ce87d59255557a1"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_MEMO_LENGTH" ref="14658a025be4f8ab3ce87d59255557a1" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14658a025be4f8ab3ce87d59255557a1">OFX_MEMO_LENGTH</a>&nbsp;&nbsp;&nbsp;255 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="714ba11afb658896761e8ec2efa8453a"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_MEMO2_LENGTH" ref="714ba11afb658896761e8ec2efa8453a" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#714ba11afb658896761e8ec2efa8453a">OFX_MEMO2_LENGTH</a>&nbsp;&nbsp;&nbsp;390 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bea4c8e4902b5844db76b5efefb54d67"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_BALANCE_NAME_LENGTH" ref="bea4c8e4902b5844db76b5efefb54d67" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#bea4c8e4902b5844db76b5efefb54d67">OFX_BALANCE_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1319bccc0b425f593504ed4c4410e570"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_BALANCE_DESCRIPTION_LENGTH" ref="1319bccc0b425f593504ed4c4410e570" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1319bccc0b425f593504ed4c4410e570">OFX_BALANCE_DESCRIPTION_LENGTH</a>&nbsp;&nbsp;&nbsp;80 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="afc64de0b45217d814043a9197f13a89"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_CURRENCY_LENGTH" ref="afc64de0b45217d814043a9197f13a89" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>&nbsp;&nbsp;&nbsp;3 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6ead6f5e66f1098eb4d9504f87db14c7"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_BANKID_LENGTH" ref="6ead6f5e66f1098eb4d9504f87db14c7" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>&nbsp;&nbsp;&nbsp;9 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="76cadf9ae3ce7cdf8c466e486937c8c0"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_BRANCHID_LENGTH" ref="76cadf9ae3ce7cdf8c466e486937c8c0" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">OFX_BRANCHID_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="76c0d4d43a6aedcff925f080f3afaf79"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ACCTID_LENGTH" ref="76c0d4d43a6aedcff925f080f3afaf79" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">OFX_ACCTID_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="99aa462dae1742b4a046399e96c7b3b5"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ACCTKEY_LENGTH" ref="99aa462dae1742b4a046399e96c7b3b5" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">OFX_ACCTKEY_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e79af297ff5901fed480f7abd81a7723"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_BROKERID_LENGTH" ref="e79af297ff5901fed480f7abd81a7723" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="19314a0ce3c6c7e119f076f4881ff3b0"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ACCOUNT_ID_LENGTH" ref="19314a0ce3c6c7e119f076f4881ff3b0" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>&nbsp;&nbsp;&nbsp;OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="062cb2d3b1dcb05af05d234438fc11bc"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ACCOUNT_NAME_LENGTH" ref="062cb2d3b1dcb05af05d234438fc11bc" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;255</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4d60f36d19fbf64f2687d1aa925bae44"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_MARKETING_INFO_LENGTH" ref="4d60f36d19fbf64f2687d1aa925bae44" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">OFX_MARKETING_INFO_LENGTH</a>&nbsp;&nbsp;&nbsp;360 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="40f37dafcf9d45693f112a2b8275c210"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_TRANSACTION_NAME_LENGTH" ref="40f37dafcf9d45693f112a2b8275c210" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#40f37dafcf9d45693f112a2b8275c210">OFX_TRANSACTION_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8534f56a747f1d88b1199b3b69c31213"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_UNIQUE_ID_LENGTH" ref="8534f56a747f1d88b1199b3b69c31213" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8534f56a747f1d88b1199b3b69c31213">OFX_UNIQUE_ID_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c517407dee658c488925065ac1e3c540"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_UNIQUE_ID_TYPE_LENGTH" ref="c517407dee658c488925065ac1e3c540" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c517407dee658c488925065ac1e3c540">OFX_UNIQUE_ID_TYPE_LENGTH</a>&nbsp;&nbsp;&nbsp;10 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0d5c5c4fe1700e548e70c106db0c41d8"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_SECNAME_LENGTH" ref="0d5c5c4fe1700e548e70c106db0c41d8" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#0d5c5c4fe1700e548e70c106db0c41d8">OFX_SECNAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="32d832a778f16f9599a7a44575681f4d"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_TICKER_LENGTH" ref="32d832a778f16f9599a7a44575681f4d" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#32d832a778f16f9599a7a44575681f4d">OFX_TICKER_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="56b0446a10fd95e71bdf88aa178e5432"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ORG_LENGTH" ref="56b0446a10fd95e71bdf88aa178e5432" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">OFX_ORG_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="89fc4ec6078eb93b5e982e491246a7ee"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_FID_LENGTH" ref="89fc4ec6078eb93b5e982e491246a7ee" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">OFX_FID_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3681f4415bcf99d43499a615a12e9fa2"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_USERID_LENGTH" ref="3681f4415bcf99d43499a615a12e9fa2" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">OFX_USERID_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3e13a23dcc6326229ab9174cac338fd6"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_USERPASS_LENGTH" ref="3e13a23dcc6326229ab9174cac338fd6" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">OFX_USERPASS_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f12e893de4744171ded7e5615a6065dd"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_URL_LENGTH" ref="f12e893de4744171ded7e5615a6065dd" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">OFX_URL_LENGTH</a>&nbsp;&nbsp;&nbsp;500 + 1</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="47f3130aac7543264fac840fb657cc3d"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::CFCT" ref="47f3130aac7543264fac840fb657cc3d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="41f9c5fb8b08eb5dc3edce4dcb37fee7"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::true" ref="41f9c5fb8b08eb5dc3edce4dcb37fee7" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">true</a>&nbsp;&nbsp;&nbsp;1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="65e9886d74aaee76545e83dd09011727"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::false" ref="65e9886d74aaee76545e83dd09011727" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">false</a>&nbsp;&nbsp;&nbsp;0</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5ed330c0afc0b111a5da321dc40b226e"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ELEMENT_NAME_LENGTH" ref="5ed330c0afc0b111a5da321dc40b226e" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">OFX_ELEMENT_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;100</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b1a8253fb77259cffd1b6e541f9ca92d"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_SVRTID2_LENGTH" ref="b1a8253fb77259cffd1b6e541f9ca92d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">OFX_SVRTID2_LENGTH</a>&nbsp;&nbsp;&nbsp;36 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="61df923230a6e85eb0ba00f92fbb0b6a"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_CHECK_NUMBER_LENGTH" ref="61df923230a6e85eb0ba00f92fbb0b6a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">OFX_CHECK_NUMBER_LENGTH</a>&nbsp;&nbsp;&nbsp;12 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1986c7960dfc65a9e23be6c5f6c3ff56"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_REFERENCE_NUMBER_LENGTH" ref="1986c7960dfc65a9e23be6c5f6c3ff56" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">OFX_REFERENCE_NUMBER_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4bcfc93f90d44abbc3a728a56f53915c"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_FITID_LENGTH" ref="4bcfc93f90d44abbc3a728a56f53915c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">OFX_FITID_LENGTH</a>&nbsp;&nbsp;&nbsp;255 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5846e5ce8cd8e1a91c78396effa276f4"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_TOKEN2_LENGTH" ref="5846e5ce8cd8e1a91c78396effa276f4" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">OFX_TOKEN2_LENGTH</a>&nbsp;&nbsp;&nbsp;36 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5880fc183dddd4edbf205fce89480189"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_MEMO_LENGTH" ref="5880fc183dddd4edbf205fce89480189" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">OFX_MEMO_LENGTH</a>&nbsp;&nbsp;&nbsp;255 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7c763f5c089c8549d526f5dc9ae28498"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_MEMO2_LENGTH" ref="7c763f5c089c8549d526f5dc9ae28498" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">OFX_MEMO2_LENGTH</a>&nbsp;&nbsp;&nbsp;390 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="961dc40842b1f4c20bc08d193f57d8b4"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_BALANCE_NAME_LENGTH" ref="961dc40842b1f4c20bc08d193f57d8b4" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">OFX_BALANCE_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c4eee853e9752511b4049ff67c3ba168"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_BALANCE_DESCRIPTION_LENGTH" ref="c4eee853e9752511b4049ff67c3ba168" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">OFX_BALANCE_DESCRIPTION_LENGTH</a>&nbsp;&nbsp;&nbsp;80 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bb7701460acb587f9113ccf818b567ad"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_CURRENCY_LENGTH" ref="bb7701460acb587f9113ccf818b567ad" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>&nbsp;&nbsp;&nbsp;3 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="70f2178af34abf7e98bee521b745f780"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_BANKID_LENGTH" ref="70f2178af34abf7e98bee521b745f780" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>&nbsp;&nbsp;&nbsp;9 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7aa5e724bd9557d21169289d98ae631a"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_BRANCHID_LENGTH" ref="7aa5e724bd9557d21169289d98ae631a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="68c0d75fde3884b2ace680ef8b5fdd07"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ACCTID_LENGTH" ref="68c0d75fde3884b2ace680ef8b5fdd07" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="89f43cb6e2af995c6024b7ddbb32b6b9"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ACCTKEY_LENGTH" ref="89f43cb6e2af995c6024b7ddbb32b6b9" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">OFX_ACCTKEY_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a1256fa7603b452e20a4701e2aae53d5"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_BROKERID_LENGTH" ref="a1256fa7603b452e20a4701e2aae53d5" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>&nbsp;&nbsp;&nbsp;22 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="69861648d37d02054778473eece609f5"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ACCOUNT_ID_LENGTH" ref="69861648d37d02054778473eece609f5" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>&nbsp;&nbsp;&nbsp;OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="065582a1df4497de4a0b00ba909d2e48"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ACCOUNT_NAME_LENGTH" ref="065582a1df4497de4a0b00ba909d2e48" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;255</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="61ce08f420b24b001f7bee78671149e6"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_MARKETING_INFO_LENGTH" ref="61ce08f420b24b001f7bee78671149e6" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">OFX_MARKETING_INFO_LENGTH</a>&nbsp;&nbsp;&nbsp;360 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1419e2ce65ac40af5559a133161f1113"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_TRANSACTION_NAME_LENGTH" ref="1419e2ce65ac40af5559a133161f1113" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">OFX_TRANSACTION_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c8b6ecd69a4a9b769a61a8c890d14df5"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_UNIQUE_ID_LENGTH" ref="c8b6ecd69a4a9b769a61a8c890d14df5" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">OFX_UNIQUE_ID_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="79a2ca4590e15c773c3b0599a75fe6f3"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_UNIQUE_ID_TYPE_LENGTH" ref="79a2ca4590e15c773c3b0599a75fe6f3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">OFX_UNIQUE_ID_TYPE_LENGTH</a>&nbsp;&nbsp;&nbsp;10 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1e46e380960ed692c417d0948d501004"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_SECNAME_LENGTH" ref="1e46e380960ed692c417d0948d501004" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">OFX_SECNAME_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="861246644f0fef25dcf250bc7c3382d4"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_TICKER_LENGTH" ref="861246644f0fef25dcf250bc7c3382d4" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">OFX_TICKER_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="74914e6380be88d51ab921a0f3078646"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_ORG_LENGTH" ref="74914e6380be88d51ab921a0f3078646" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5524910cf3ba47b3d7a1b6752b69d056"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_FID_LENGTH" ref="5524910cf3ba47b3d7a1b6752b69d056" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="385135109c07d8a1a72fc3edcb5f115f"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_USERID_LENGTH" ref="385135109c07d8a1a72fc3edcb5f115f" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">OFX_USERID_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="57b6f3b8bd4d0012d1a26ffa6e636d4c"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_USERPASS_LENGTH" ref="57b6f3b8bd4d0012d1a26ffa6e636d4c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">OFX_USERPASS_LENGTH</a>&nbsp;&nbsp;&nbsp;32 + 1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2c364470aa70104473ba7c0134c27ae2"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::OFX_URL_LENGTH" ref="2c364470aa70104473ba7c0134c27ae2" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">OFX_URL_LENGTH</a>&nbsp;&nbsp;&nbsp;500 + 1</td></tr>
 
 <tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="15e5ea23015b0e379679d9e8db1057c0"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxContextPtr" ref="15e5ea23015b0e379679d9e8db1057c0" args="" -->
-typedef void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cb05196108aab07092d1b4931577b87c"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxContextPtr" ref="cb05196108aab07092d1b4931577b87c" args="" -->
+typedef void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a></td></tr>
 
 <tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> { <br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">AUTODETECT</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553">UNKNOWN</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>
-<br>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">TransactionType</a> { <br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">OFX_CREDIT</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">OFX_DEBIT</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">OFX_INT</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">OFX_DIV</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">OFX_FEE</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">OFX_SRVCHG</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">OFX_DEP</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">OFX_ATM</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">OFX_POS</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">OFX_XFER</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">OFX_CHECK</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">OFX_PAYMENT</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">OFX_CASH</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">OFX_DIRECTDEP</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">OFX_DIRECTDEBIT</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">OFX_REPEATPMT</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">OFX_OTHER</a>
-<br>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">InvTransactionType</a> { <br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">OFX_BUYDEBT</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">OFX_BUYMF</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">OFX_BUYOPT</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">OFX_BUYOTHER</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">OFX_BUYSTOCK</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">OFX_CLOSUREOPT</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">OFX_INCOME</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">OFX_INVEXPENSE</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">OFX_JRNLFUND</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678">OFX_JRNLSEC</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">OFX_MARGININTEREST</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">OFX_REINVEST</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">OFX_RETOFCAP</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">OFX_SELLDEBT</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">OFX_SELLMF</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">OFX_SELLOPT</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">OFX_SELLOTHER</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">OFX_SELLSTOCK</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">OFX_SPLIT</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">OFX_TRANSFER</a>
-<br>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">FiIdCorrectionAction</a> { <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">DELETE</a>, 
-<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">REPLACE</a>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>
+<br>
  }</td></tr>
 
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">libofx_get_new_context</a> ()</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialise the library and return a new context.  <a href="#a7b5862c7891e3341777121874a3c12e"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">libofx_free_context</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Free all ressources used by this context.  <a href="#92f6a27aeee0a6c5f5a32d83db853607"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">libofx_get_file_format_from_str</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], const char *file_type_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_get_file_type returns a proper enum from a file type string.  <a href="#a3003a2b6fe2fdf0d3ac1843f052f443"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e6b476fc8d8fbd4e0d190601c74c951b">libofx_get_file_format_description</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> file_format)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">get_file_format_description returns a string description of a LibofxFileType.  <a href="#e6b476fc8d8fbd4e0d190601c74c951b"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">libofx_proc_file</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context, const char *p_filename, enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> ftype)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_proc_file is the entry point of the library.  <a href="#a45401e73484b8d562196816789dbf46"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">ofx_set_status_cb</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">ofx_set_account_cb</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">ofx_set_security_cb</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">ofx_set_transaction_cb</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">ofx_set_statement_cb</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> cb, void *user_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">libofx_proc_buffer</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, const char *s, unsigned int size)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0">libofx_get_new_context</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialise the library and return a new context.  <a href="#e2f086d4e5fdf4b314640ea8fed400b0"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf">libofx_free_context</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Free all ressources used by this context.  <a href="#e76c85ae1e58b1bb41abf7eb3aca0baf"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT enum <br>
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a">libofx_get_file_format_from_str</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], const char *file_type_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_get_file_type returns a proper enum from a file type string.  <a href="#5fef31e6dc9df467c269a860aa4af12a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e">libofx_get_file_format_description</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">get_file_format_description returns a string description of a LibofxFileType.  <a href="#efc89267742d989b5f17708076807b5e"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805">libofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, const char *p_filename, enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> ftype)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_proc_file is the entry point of the library.  <a href="#f5c4a0387f06b5cccd483a1fd392f805"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">ofx_set_status_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">ofx_set_security_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, const char *s, unsigned int size)</td></tr>
 
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a> []</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">LibofxExportFormatList</a> []</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a> )(const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxStatusData.html">OfxStatusData</a> stucture.  <a href="#14155cb28af71092c8920c633337238a"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a> )(const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxAccountData.html">OfxAccountData</a> stucture.  <a href="#d1e59908e86e1ce5458e08782f6ff264"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a> )(const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> stucture.  <a href="#aba3bbdf4c71ce498a36e115c2f96444"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a> )(const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> stucture.  <a href="#9ebd0c663e69751b90e56888a835eb72"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a> )(const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxStatementData.html">OfxStatementData</a> stucture.  <a href="#ebbf69e9ff550da0b0137b3cf3cfc916"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <br>
+<a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a> []</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <br>
+<a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">LibofxExportFormatList</a> []</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a> )(const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> stucture.  <a href="#50daae5a31dcfb84db8ede120f28c2db"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a> )(const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> stucture.  <a href="#1d20edeaa14f8da3dbeb98fb4af0aa0b"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a> )(const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> stucture.  <a href="#05780ed831281da04cc4c65682c1989f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a> )(const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> stucture.  <a href="#35d231437fba371dcd4553c4c5c29901"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a> )(const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> stucture.  <a href="#457cbf849ad1ac5914cfb8bdeaccf4d5"></a><br></td></tr>
 </table>
 <hr><h2>Enumeration Type Documentation</h2>
-<a class="anchor" name="c91fe5ab1348da4f21c6c9482451a1c4"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::FiIdCorrectionAction" ref="c91fe5ab1348da4f21c6c9482451a1c4" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">FiIdCorrectionAction</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-<dl compact><dt><b>Enumerator: </b></dt><dd>
-<table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2"></a><!-- doxytag: member="DELETE" ref="c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2" args="" -->DELETE</em>&nbsp;</td><td>
-The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147"></a><!-- doxytag: member="REPLACE" ref="c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147" args="" -->REPLACE</em>&nbsp;</td><td>
-The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
-</table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00389">389</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="05a2bed3ce45f12f212860faf6d00374"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::InvTransactionType" ref="05a2bed3ce45f12f212860faf6d00374" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">InvTransactionType</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-<dl compact><dt><b>Enumerator: </b></dt><dd>
-<table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098"></a><!-- doxytag: member="OFX_BUYDEBT" ref="05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
-Buy debt security </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14"></a><!-- doxytag: member="OFX_BUYMF" ref="05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
-Buy mutual fund </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db"></a><!-- doxytag: member="OFX_BUYOPT" ref="05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
-Buy option </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e"></a><!-- doxytag: member="OFX_BUYOTHER" ref="05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
-Buy other security type </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
-Buy stock </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
-Close a position for an option </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a"></a><!-- doxytag: member="OFX_INCOME" ref="05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a" args="" -->OFX_INCOME</em>&nbsp;</td><td>
-Investment income is realized as cash into the investment account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
-Misc investment expense that is associated with a specific security </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65"></a><!-- doxytag: member="OFX_JRNLFUND" ref="05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
-Journaling cash holdings between subaccounts within the same investment account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678"></a><!-- doxytag: member="OFX_JRNLSEC" ref="05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
-Journaling security holdings between subaccounts within the same investment account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
-Margin interest expense </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b"></a><!-- doxytag: member="OFX_REINVEST" ref="05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
-Reinvestment of income </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25"></a><!-- doxytag: member="OFX_RETOFCAP" ref="05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
-Return of capital </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8"></a><!-- doxytag: member="OFX_SELLDEBT" ref="05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
-Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0"></a><!-- doxytag: member="OFX_SELLMF" ref="05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
-Sell mutual fund </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d"></a><!-- doxytag: member="OFX_SELLOPT" ref="05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
-Sell option </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
-Sell other type of security </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
-Sell stock </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0"></a><!-- doxytag: member="OFX_SPLIT" ref="05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
-Stock or mutial fund split </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236"></a><!-- doxytag: member="OFX_TRANSFER" ref="05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
-Transfer holdings in and out of the investment account </td></tr>
-</table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00367">367</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b13650ecdb69a39a228ec00b995ffd84"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxFileFormat" ref="b13650ecdb69a39a228ec00b995ffd84" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<a class="anchor" name="526538786b3535e284f651da05768b23"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::FiIdCorrectionAction" ref="526538786b3535e284f651da05768b23" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913"></a><!-- doxytag: member="DELETE" ref="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913" args="" -->DELETE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91"></a><!-- doxytag: member="REPLACE" ref="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91" args="" -->REPLACE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913"></a><!-- doxytag: member="DELETE" ref="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913" args="" -->DELETE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91"></a><!-- doxytag: member="REPLACE" ref="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91" args="" -->REPLACE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913"></a><!-- doxytag: member="DELETE" ref="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913" args="" -->DELETE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91"></a><!-- doxytag: member="REPLACE" ref="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91" args="" -->REPLACE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00396">396</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::InvTransactionType" ref="b81d18936ea1dd7ac5cd708a23a06a9a" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce"></a><!-- doxytag: member="OFX_BUYDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
+Buy debt security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d"></a><!-- doxytag: member="OFX_BUYMF" ref="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
+Buy mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af"></a><!-- doxytag: member="OFX_BUYOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
+Buy <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61"></a><!-- doxytag: member="OFX_BUYOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
+Buy other security type </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
+Buy stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
+Close a position for an <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4"></a><!-- doxytag: member="OFX_INCOME" ref="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4" args="" -->OFX_INCOME</em>&nbsp;</td><td>
+Investment income is realized as cash into the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
+Misc investment expense that is associated with a specific security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921"></a><!-- doxytag: member="OFX_JRNLFUND" ref="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
+Journaling cash holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34"></a><!-- doxytag: member="OFX_JRNLSEC" ref="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
+Journaling security holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
+Margin interest expense </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5"></a><!-- doxytag: member="OFX_REINVEST" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
+Reinvestment of income </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f"></a><!-- doxytag: member="OFX_RETOFCAP" ref="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
+Return of capital </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf"></a><!-- doxytag: member="OFX_SELLDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
+Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2"></a><!-- doxytag: member="OFX_SELLMF" ref="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
+Sell mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3"></a><!-- doxytag: member="OFX_SELLOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
+Sell <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
+Sell other type of security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
+Sell stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99"></a><!-- doxytag: member="OFX_SPLIT" ref="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
+Stock or mutial fund split </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1"></a><!-- doxytag: member="OFX_TRANSFER" ref="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
+Transfer holdings in and out of the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce"></a><!-- doxytag: member="OFX_BUYDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
+Buy debt security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d"></a><!-- doxytag: member="OFX_BUYMF" ref="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
+Buy mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af"></a><!-- doxytag: member="OFX_BUYOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
+Buy <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61"></a><!-- doxytag: member="OFX_BUYOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
+Buy other security type </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
+Buy stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
+Close a position for an <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4"></a><!-- doxytag: member="OFX_INCOME" ref="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4" args="" -->OFX_INCOME</em>&nbsp;</td><td>
+Investment income is realized as cash into the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
+Misc investment expense that is associated with a specific security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921"></a><!-- doxytag: member="OFX_JRNLFUND" ref="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
+Journaling cash holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34"></a><!-- doxytag: member="OFX_JRNLSEC" ref="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
+Journaling security holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
+Margin interest expense </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5"></a><!-- doxytag: member="OFX_REINVEST" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
+Reinvestment of income </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f"></a><!-- doxytag: member="OFX_RETOFCAP" ref="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
+Return of capital </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf"></a><!-- doxytag: member="OFX_SELLDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
+Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2"></a><!-- doxytag: member="OFX_SELLMF" ref="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
+Sell mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3"></a><!-- doxytag: member="OFX_SELLOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
+Sell <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
+Sell other type of security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
+Sell stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99"></a><!-- doxytag: member="OFX_SPLIT" ref="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
+Stock or mutial fund split </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1"></a><!-- doxytag: member="OFX_TRANSFER" ref="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
+Transfer holdings in and out of the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce"></a><!-- doxytag: member="OFX_BUYDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
+Buy debt security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d"></a><!-- doxytag: member="OFX_BUYMF" ref="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
+Buy mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af"></a><!-- doxytag: member="OFX_BUYOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
+Buy <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61"></a><!-- doxytag: member="OFX_BUYOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
+Buy other security type </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
+Buy stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
+Close a position for an <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4"></a><!-- doxytag: member="OFX_INCOME" ref="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4" args="" -->OFX_INCOME</em>&nbsp;</td><td>
+Investment income is realized as cash into the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
+Misc investment expense that is associated with a specific security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921"></a><!-- doxytag: member="OFX_JRNLFUND" ref="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
+Journaling cash holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34"></a><!-- doxytag: member="OFX_JRNLSEC" ref="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
+Journaling security holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
+Margin interest expense </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5"></a><!-- doxytag: member="OFX_REINVEST" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
+Reinvestment of income </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f"></a><!-- doxytag: member="OFX_RETOFCAP" ref="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
+Return of capital </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf"></a><!-- doxytag: member="OFX_SELLDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
+Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2"></a><!-- doxytag: member="OFX_SELLMF" ref="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
+Sell mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3"></a><!-- doxytag: member="OFX_SELLOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
+Sell <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
+Sell other type of security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
+Sell stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99"></a><!-- doxytag: member="OFX_SPLIT" ref="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
+Stock or mutial fund split </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1"></a><!-- doxytag: member="OFX_TRANSFER" ref="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
+Transfer holdings in and out of the investment account </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00374">374</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="954c5e33f48105c5d932d4842e7736de"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxFileFormat" ref="954c5e33f48105c5d932d4842e7736de" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 List of possible file formats <dl compact><dt><b>Enumerator: </b></dt><dd>
 <table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056"></a><!-- doxytag: member="AUTODETECT" ref="b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056" args="" -->AUTODETECT</em>&nbsp;</td><td>
-Not really a file format, used to tell the library to try to autodetect the format </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57"></a><!-- doxytag: member="OFX" ref="b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57" args="" -->OFX</em>&nbsp;</td><td>
-Open Financial eXchange (OFX/QFX) file </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712"></a><!-- doxytag: member="OFC" ref="b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712" args="" -->OFC</em>&nbsp;</td><td>
-Microsoft Open Financial Connectivity (OFC) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa"></a><!-- doxytag: member="QIF" ref="b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa" args="" -->QIF</em>&nbsp;</td><td>
-Intuit Quicken Interchange Format (QIF) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553"></a><!-- doxytag: member="UNKNOWN" ref="b13650ecdb69a39a228ec00b995ffd8469d0acaac863ce22d121be6feedc3553" args="" -->UNKNOWN</em>&nbsp;</td><td>
-Unknown file format </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf"></a><!-- doxytag: member="LAST" ref="b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf" args="" -->LAST</em>&nbsp;</td><td>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0"></a><!-- doxytag: member="AUTODETECT" ref="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0" args="" -->AUTODETECT</em>&nbsp;</td><td>
+Not really a file format, used to tell the library to try to autodetect the format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d"></a><!-- doxytag: member="OFX" ref="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d" args="" -->OFX</em>&nbsp;</td><td>
+Open Financial eXchange (OFX/QFX) file </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7"></a><!-- doxytag: member="OFC" ref="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7" args="" -->OFC</em>&nbsp;</td><td>
+Microsoft Open Financial Connectivity (OFC) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06"></a><!-- doxytag: member="QIF" ref="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06" args="" -->QIF</em>&nbsp;</td><td>
+Intuit Quicken Interchange Format (QIF) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c"></a><!-- doxytag: member="UNKNOWN" ref="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c" args="" -->UNKNOWN</em>&nbsp;</td><td>
+Unknown file format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33"></a><!-- doxytag: member="LAST" ref="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33" args="" -->LAST</em>&nbsp;</td><td>
+Not a file format, meant as a loop breaking condition </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0"></a><!-- doxytag: member="AUTODETECT" ref="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0" args="" -->AUTODETECT</em>&nbsp;</td><td>
+Not really a file format, used to tell the library to try to autodetect the format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d"></a><!-- doxytag: member="OFX" ref="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d" args="" -->OFX</em>&nbsp;</td><td>
+Open Financial eXchange (OFX/QFX) file </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7"></a><!-- doxytag: member="OFC" ref="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7" args="" -->OFC</em>&nbsp;</td><td>
+Microsoft Open Financial Connectivity (OFC) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06"></a><!-- doxytag: member="QIF" ref="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06" args="" -->QIF</em>&nbsp;</td><td>
+Intuit Quicken Interchange Format (QIF) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c"></a><!-- doxytag: member="UNKNOWN" ref="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c" args="" -->UNKNOWN</em>&nbsp;</td><td>
+Unknown file format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33"></a><!-- doxytag: member="LAST" ref="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33" args="" -->LAST</em>&nbsp;</td><td>
+Not a file format, meant as a loop breaking condition </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0"></a><!-- doxytag: member="AUTODETECT" ref="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0" args="" -->AUTODETECT</em>&nbsp;</td><td>
+Not really a file format, used to tell the library to try to autodetect the format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d"></a><!-- doxytag: member="OFX" ref="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d" args="" -->OFX</em>&nbsp;</td><td>
+Open Financial eXchange (OFX/QFX) file </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7"></a><!-- doxytag: member="OFC" ref="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7" args="" -->OFC</em>&nbsp;</td><td>
+Microsoft Open Financial Connectivity (OFC) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06"></a><!-- doxytag: member="QIF" ref="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06" args="" -->QIF</em>&nbsp;</td><td>
+Intuit Quicken Interchange Format (QIF) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c"></a><!-- doxytag: member="UNKNOWN" ref="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c" args="" -->UNKNOWN</em>&nbsp;</td><td>
+Unknown file format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33"></a><!-- doxytag: member="LAST" ref="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33" args="" -->LAST</em>&nbsp;</td><td>
 Not a file format, meant as a loop breaking condition </td></tr>
 </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00100">100</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="8fa4e9c180211ede72c61459fd949558"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::TransactionType" ref="8fa4e9c180211ede72c61459fd949558" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00100">100</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="a7a2e64697569804f14626bbb2649a58"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::TransactionType" ref="a7a2e64697569804f14626bbb2649a58" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">TransactionType</a>          </td>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 <dl compact><dt><b>Enumerator: </b></dt><dd>
 <table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6"></a><!-- doxytag: member="OFX_CREDIT" ref="8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
-Generic credit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091"></a><!-- doxytag: member="OFX_DEBIT" ref="8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
-Generic debit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2"></a><!-- doxytag: member="OFX_INT" ref="8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2" args="" -->OFX_INT</em>&nbsp;</td><td>
-Interest earned or paid (Note: Depends on signage of amount) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2"></a><!-- doxytag: member="OFX_DIV" ref="8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2" args="" -->OFX_DIV</em>&nbsp;</td><td>
-Dividend </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f"></a><!-- doxytag: member="OFX_FEE" ref="8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f" args="" -->OFX_FEE</em>&nbsp;</td><td>
-FI fee </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b"></a><!-- doxytag: member="OFX_SRVCHG" ref="8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
-Service charge </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd"></a><!-- doxytag: member="OFX_DEP" ref="8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd" args="" -->OFX_DEP</em>&nbsp;</td><td>
-Deposit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db"></a><!-- doxytag: member="OFX_ATM" ref="8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db" args="" -->OFX_ATM</em>&nbsp;</td><td>
-ATM debit or credit (Note: Depends on signage of amount) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350"></a><!-- doxytag: member="OFX_POS" ref="8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350" args="" -->OFX_POS</em>&nbsp;</td><td>
-Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035"></a><!-- doxytag: member="OFX_XFER" ref="8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035" args="" -->OFX_XFER</em>&nbsp;</td><td>
-Transfer </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb"></a><!-- doxytag: member="OFX_CHECK" ref="8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb" args="" -->OFX_CHECK</em>&nbsp;</td><td>
-Check </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9"></a><!-- doxytag: member="OFX_PAYMENT" ref="8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
-Electronic payment </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef"></a><!-- doxytag: member="OFX_CASH" ref="8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef" args="" -->OFX_CASH</em>&nbsp;</td><td>
-Cash withdrawal </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
-Direct deposit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
-Merchant initiated debit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f"></a><!-- doxytag: member="OFX_REPEATPMT" ref="8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
-Repeating payment/standing order </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3"></a><!-- doxytag: member="OFX_OTHER" ref="8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3" args="" -->OFX_OTHER</em>&nbsp;</td><td>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3"></a><!-- doxytag: member="OFX_CREDIT" ref="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
+Generic credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a"></a><!-- doxytag: member="OFX_DEBIT" ref="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
+Generic debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce"></a><!-- doxytag: member="OFX_INT" ref="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce" args="" -->OFX_INT</em>&nbsp;</td><td>
+Interest earned or paid (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482"></a><!-- doxytag: member="OFX_DIV" ref="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482" args="" -->OFX_DIV</em>&nbsp;</td><td>
+Dividend </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b"></a><!-- doxytag: member="OFX_FEE" ref="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b" args="" -->OFX_FEE</em>&nbsp;</td><td>
+FI fee </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2"></a><!-- doxytag: member="OFX_SRVCHG" ref="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
+Service charge </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d"></a><!-- doxytag: member="OFX_DEP" ref="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d" args="" -->OFX_DEP</em>&nbsp;</td><td>
+Deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce"></a><!-- doxytag: member="OFX_ATM" ref="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce" args="" -->OFX_ATM</em>&nbsp;</td><td>
+ATM debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e"></a><!-- doxytag: member="OFX_POS" ref="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e" args="" -->OFX_POS</em>&nbsp;</td><td>
+Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6"></a><!-- doxytag: member="OFX_XFER" ref="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6" args="" -->OFX_XFER</em>&nbsp;</td><td>
+Transfer </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02"></a><!-- doxytag: member="OFX_CHECK" ref="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02" args="" -->OFX_CHECK</em>&nbsp;</td><td>
+Check </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3"></a><!-- doxytag: member="OFX_PAYMENT" ref="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
+Electronic payment </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a"></a><!-- doxytag: member="OFX_CASH" ref="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a" args="" -->OFX_CASH</em>&nbsp;</td><td>
+Cash withdrawal </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
+Direct deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
+Merchant initiated debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf"></a><!-- doxytag: member="OFX_REPEATPMT" ref="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
+Repeating payment/standing order </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101"></a><!-- doxytag: member="OFX_OTHER" ref="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101" args="" -->OFX_OTHER</em>&nbsp;</td><td>
+Somer other type of transaction </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3"></a><!-- doxytag: member="OFX_CREDIT" ref="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
+Generic credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a"></a><!-- doxytag: member="OFX_DEBIT" ref="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
+Generic debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce"></a><!-- doxytag: member="OFX_INT" ref="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce" args="" -->OFX_INT</em>&nbsp;</td><td>
+Interest earned or paid (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482"></a><!-- doxytag: member="OFX_DIV" ref="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482" args="" -->OFX_DIV</em>&nbsp;</td><td>
+Dividend </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b"></a><!-- doxytag: member="OFX_FEE" ref="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b" args="" -->OFX_FEE</em>&nbsp;</td><td>
+FI fee </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2"></a><!-- doxytag: member="OFX_SRVCHG" ref="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
+Service charge </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d"></a><!-- doxytag: member="OFX_DEP" ref="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d" args="" -->OFX_DEP</em>&nbsp;</td><td>
+Deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce"></a><!-- doxytag: member="OFX_ATM" ref="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce" args="" -->OFX_ATM</em>&nbsp;</td><td>
+ATM debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e"></a><!-- doxytag: member="OFX_POS" ref="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e" args="" -->OFX_POS</em>&nbsp;</td><td>
+Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6"></a><!-- doxytag: member="OFX_XFER" ref="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6" args="" -->OFX_XFER</em>&nbsp;</td><td>
+Transfer </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02"></a><!-- doxytag: member="OFX_CHECK" ref="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02" args="" -->OFX_CHECK</em>&nbsp;</td><td>
+Check </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3"></a><!-- doxytag: member="OFX_PAYMENT" ref="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
+Electronic payment </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a"></a><!-- doxytag: member="OFX_CASH" ref="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a" args="" -->OFX_CASH</em>&nbsp;</td><td>
+Cash withdrawal </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
+Direct deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
+Merchant initiated debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf"></a><!-- doxytag: member="OFX_REPEATPMT" ref="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
+Repeating payment/standing order </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101"></a><!-- doxytag: member="OFX_OTHER" ref="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101" args="" -->OFX_OTHER</em>&nbsp;</td><td>
+Somer other type of transaction </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3"></a><!-- doxytag: member="OFX_CREDIT" ref="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
+Generic credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a"></a><!-- doxytag: member="OFX_DEBIT" ref="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
+Generic debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce"></a><!-- doxytag: member="OFX_INT" ref="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce" args="" -->OFX_INT</em>&nbsp;</td><td>
+Interest earned or paid (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482"></a><!-- doxytag: member="OFX_DIV" ref="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482" args="" -->OFX_DIV</em>&nbsp;</td><td>
+Dividend </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b"></a><!-- doxytag: member="OFX_FEE" ref="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b" args="" -->OFX_FEE</em>&nbsp;</td><td>
+FI fee </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2"></a><!-- doxytag: member="OFX_SRVCHG" ref="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
+Service charge </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d"></a><!-- doxytag: member="OFX_DEP" ref="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d" args="" -->OFX_DEP</em>&nbsp;</td><td>
+Deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce"></a><!-- doxytag: member="OFX_ATM" ref="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce" args="" -->OFX_ATM</em>&nbsp;</td><td>
+ATM debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e"></a><!-- doxytag: member="OFX_POS" ref="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e" args="" -->OFX_POS</em>&nbsp;</td><td>
+Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6"></a><!-- doxytag: member="OFX_XFER" ref="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6" args="" -->OFX_XFER</em>&nbsp;</td><td>
+Transfer </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02"></a><!-- doxytag: member="OFX_CHECK" ref="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02" args="" -->OFX_CHECK</em>&nbsp;</td><td>
+Check </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3"></a><!-- doxytag: member="OFX_PAYMENT" ref="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
+Electronic payment </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a"></a><!-- doxytag: member="OFX_CASH" ref="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a" args="" -->OFX_CASH</em>&nbsp;</td><td>
+Cash withdrawal </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
+Direct deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
+Merchant initiated debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf"></a><!-- doxytag: member="OFX_REPEATPMT" ref="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
+Repeating payment/standing order </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101"></a><!-- doxytag: member="OFX_OTHER" ref="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101" args="" -->OFX_OTHER</em>&nbsp;</td><td>
 Somer other type of transaction </td></tr>
 </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00347">347</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00354">354</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="92f6a27aeee0a6c5f5a32d83db853607"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_free_context" ref="92f6a27aeee0a6c5f5a32d83db853607" args="(LibofxContextPtr)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="e76c85ae1e58b1bb41abf7eb3aca0baf"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_free_context" ref="e76c85ae1e58b1bb41abf7eb3aca0baf" args="(LibofxContextPtr)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">CFCT int libofx_free_context           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">CFCT int libofx_free_context           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Free all ressources used by this context. 
 <p>
-<dl compact><dt><b>Returns:</b></dt><dd>0 if successfull. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00144">144</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="e6b476fc8d8fbd4e0d190601c74c951b"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_get_file_format_description" ref="e6b476fc8d8fbd4e0d190601c74c951b" args="(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT const char* libofx_get_file_format_description           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>format_list</em>[], </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>file_format</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>0 if successfull. </dd></dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00144">144</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="efc89267742d989b5f17708076807b5e"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_get_file_format_description" ref="efc89267742d989b5f17708076807b5e" args="(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT const char* libofx_get_file_format_description           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>file_format</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 get_file_format_description returns a string description of a LibofxFileType. 
 <p>
-The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList  The file format which should match one of the formats in the list. <dl compact><dt><b>Returns:</b></dt><dd>null terminated string suitable for debugging output or user communication. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00037">37</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a3003a2b6fe2fdf0d3ac1843f052f443"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_get_file_format_from_str" ref="a3003a2b6fe2fdf0d3ac1843f052f443" args="(const struct LibofxFileFormatInfo format_list[], const char *file_type_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> libofx_get_file_format_from_str           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>format_list</em>[], </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>file_type_string</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList  The file format which should match one of the formats in the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>null terminated string suitable for debugging output or user communication. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00037">37</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5fef31e6dc9df467c269a860aa4af12a"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_get_file_format_from_str" ref="5fef31e6dc9df467c269a860aa4af12a" args="(const struct LibofxFileFormatInfo format_list[], const char *file_type_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_get_file_format_from_str           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>file_type_string</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_get_file_type returns a proper enum from a file type string. 
 <p>
-The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList  The string which contain the file format matching one of the format_name of the list. <dl compact><dt><b>Returns:</b></dt><dd>the file format, or UNKNOWN if the format wasn't recognised. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00054">54</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a7b5862c7891e3341777121874a3c12e"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_get_new_context" ref="a7b5862c7891e3341777121874a3c12e" args="()" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList  The string which contain the file format matching one of the format_name of the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>the file format, or UNKNOWN if the format wasn't recognised. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00054">54</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e2f086d4e5fdf4b314640ea8fed400b0"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_get_new_context" ref="e2f086d4e5fdf4b314640ea8fed400b0" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">CFCT <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_get_new_context           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">CFCT <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_get_new_context           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Initialise the library and return a new context. 
 <p>
-<dl compact><dt><b>Note:</b></dt><dd>: Actual object returned is <a class="el" href="classLibofxContext.html">LibofxContext</a> * </dd></dl>
-
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00140">140</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b9071aa8248754f9886f5d3a4a904e00"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_proc_buffer" ref="b9071aa8248754f9886f5d3a4a904e00" args="(LibofxContextPtr ctx, const char *s, unsigned int size)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int libofx_proc_buffer           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>s</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>unsigned int&nbsp;</td>
-          <td class="mdname" nowrap> <em>size</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>the new context, to be used by the other functions.</dd></dl>
+<dl class="note" compact><dt><b>Note:</b></dt><dd>: Actual object returned is <a class="el" href="classLibofxContext.html">LibofxContext</a> * </dd></dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00140">140</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="02ee3c0b61d866f98fd0f15775d06895"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_proc_buffer" ref="02ee3c0b61d866f98fd0f15775d06895" args="(LibofxContextPtr ctx, const char *s, unsigned int size)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_buffer           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>s</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">unsigned int&nbsp;</td>
+          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses the content of the given buffer. 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00201">201</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a45401e73484b8d562196816789dbf46"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_proc_file" ref="a45401e73484b8d562196816789dbf46" args="(LibofxContextPtr libofx_context, const char *p_filename, enum LibofxFileFormat ftype)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int libofx_proc_file           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>p_filename</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ftype</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00280">280</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f5c4a0387f06b5cccd483a1fd392f805"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_proc_file" ref="f5c4a0387f06b5cccd483a1fd392f805" args="(LibofxContextPtr libofx_context, const char *p_filename, enum LibofxFileFormat ftype)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>ftype</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 libofx_proc_file is the entry point of the library. 
 <p>
 libofx_proc_file must be called by the client, with a list of 1 or more OFX files to be parsed in command line format. 
-<p>
-Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00067">67</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="78ec3ce215baf3f6739cc98f8b7ca128"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_request_accountinfo" ref="78ec3ce215baf3f6739cc98f8b7ca128" args="(const struct OfxFiLogin *login)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00067">67</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="24821dd5f7269d3b58e6bbaeb0bf0449"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_request_accountinfo" ref="24821dd5f7269d3b58e6bbaeb0bf0449" args="(const struct OfxFiLogin *login)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">CFCT char* libofx_request_accountinfo           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>login</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">CFCT char* libofx_request_accountinfo           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *&nbsp;</td>
+          <td class="paramname"> <em>login</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Creates an OFX account info (list) request in string form. 
@@ -804,48 +997,40 @@
     <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>Identifies the financial institution and the user logging in. </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free. </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="f91a1c7694b46e7fcc8e175a7c224dde"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_request_statement" ref="f91a1c7694b46e7fcc8e175a7c224dde" args="(const struct OfxFiLogin *fi, const struct OfxAccountInfo *account, time_t date_from)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT char* libofx_request_statement           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>fi</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const struct <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>account</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>time_t&nbsp;</td>
-          <td class="mdname" nowrap> <em>date_from</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free. </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="8095d04a045a8f0bdfd5c32ea6f1638d"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::libofx_request_statement" ref="8095d04a045a8f0bdfd5c32ea6f1638d" args="(const struct OfxFiLogin *fi, const struct OfxAccountData *account, time_t date_from)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT char* libofx_request_statement           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *&nbsp;</td>
+          <td class="paramname"> <em>fi</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td>
+          <td class="paramname"> <em>account</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">time_t&nbsp;</td>
+          <td class="paramname"> <em>date_from</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Creates an OFX statement request in string form. 
@@ -857,48 +1042,40 @@
     <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>Idenfities the account for which a statement is desired </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free. </dd></dl>
-    </td>
-  </tr>
-</table>
-<a class="anchor" name="e048539a577aff43501d2c22cb9ff4a9"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::ofx_set_account_cb" ref="e048539a577aff43501d2c22cb9ff4a9" args="(LibofxContextPtr ctx, LibofxProcAccountCallback cb, void *user_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT void ofx_set_account_cb           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>cb</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>void *&nbsp;</td>
-          <td class="mdname" nowrap> <em>user_data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free. </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="2bdf268c693b4cadf88a19796c026a2c"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::ofx_set_account_cb" ref="2bdf268c693b4cadf88a19796c026a2c" args="(LibofxContextPtr ctx, LibofxProcAccountCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_account_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set the account callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
@@ -909,48 +1086,40 @@
   </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00160">160</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b32c9604a3ecc1cad5e1d3dd561b3a20"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::ofx_set_security_cb" ref="b32c9604a3ecc1cad5e1d3dd561b3a20" args="(LibofxContextPtr ctx, LibofxProcSecurityCallback cb, void *user_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT void ofx_set_security_cb           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>cb</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>void *&nbsp;</td>
-          <td class="mdname" nowrap> <em>user_data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00169">169</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="841a0f012607c0e1b6053e7e5dce34a8"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::ofx_set_security_cb" ref="841a0f012607c0e1b6053e7e5dce34a8" args="(LibofxContextPtr ctx, LibofxProcSecurityCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_security_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set the security callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
@@ -961,48 +1130,40 @@
   </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00168">168</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ff0651d1d0e9a71d4a46b4a835ab3c98"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::ofx_set_statement_cb" ref="ff0651d1d0e9a71d4a46b4a835ab3c98" args="(LibofxContextPtr ctx, LibofxProcStatementCallback cb, void *user_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT void ofx_set_statement_cb           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>cb</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>void *&nbsp;</td>
-          <td class="mdname" nowrap> <em>user_data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00177">177</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="afd8ce6626b070ec64479e7993e6fc07"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::ofx_set_statement_cb" ref="afd8ce6626b070ec64479e7993e6fc07" args="(LibofxContextPtr ctx, LibofxProcStatementCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_statement_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set the statement callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
@@ -1013,48 +1174,40 @@
   </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00184">184</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="44cffa9ef1f5b1ff78b051e5fc710b05"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::ofx_set_status_cb" ref="44cffa9ef1f5b1ff78b051e5fc710b05" args="(LibofxContextPtr ctx, LibofxProcStatusCallback cb, void *user_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT void ofx_set_status_cb           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>cb</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>void *&nbsp;</td>
-          <td class="mdname" nowrap> <em>user_data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00193">193</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c9e39dac5b93d9db8ee699f3809a0c79"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::ofx_set_status_cb" ref="c9e39dac5b93d9db8ee699f3809a0c79" args="(LibofxContextPtr ctx, LibofxProcStatusCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_status_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set the status callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
@@ -1065,48 +1218,40 @@
   </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00153">153</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="5516a2d26ff7ee2d4eefc3202275eda1"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::ofx_set_transaction_cb" ref="5516a2d26ff7ee2d4eefc3202275eda1" args="(LibofxContextPtr ctx, LibofxProcTransactionCallback cb, void *user_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT void ofx_set_transaction_cb           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>cb</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>void *&nbsp;</td>
-          <td class="mdname" nowrap> <em>user_data</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00162">162</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="0f47dac1e503298ff60e9d6bdc5a5775"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::ofx_set_transaction_cb" ref="0f47dac1e503298ff60e9d6bdc5a5775" args="(LibofxContextPtr ctx, LibofxProcTransactionCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_transaction_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Set the transaction callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
@@ -1117,212 +1262,156 @@
   </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="context_8cpp-source.html#l00176">176</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00185">185</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="8245d22af7e29641a398a4f6db9485ff"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxExportFormatList" ref="8245d22af7e29641a398a4f6db9485ff" args="[]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#8245d22af7e29641a398a4f6db9485ff">LibofxExportFormatList</a>[]          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-<b>Initial value:</b><div class="fragment"><pre class="fragment"> 
-{
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
-}
-</pre></div>
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00126">126</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="47340ac933be2130bdb93a9be72ed440"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxImportFormatList" ref="47340ac933be2130bdb93a9be72ed440" args="[]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[]          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-<b>Initial value:</b><div class="fragment"><pre class="fragment"> 
-{
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84412e931fcf6ad79f28960811f5572056">AUTODETECT</a>, <span class="stringliteral">"AUTODETECT"</span>, <span class="stringliteral">"AUTODETECT (File format will be automatically detected later)"</span>},
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>, <span class="stringliteral">"OFX"</span>, <span class="stringliteral">"OFX (Open Financial eXchange (OFX or QFX))"</span>},
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>, <span class="stringliteral">"OFC"</span>, <span class="stringliteral">"OFC (Microsoft Open Financial Connectivity)"</span>},
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84d5236fc6036e875a74984d0cc60ec8aa">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
-{<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
-}
-</pre></div>
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00117">117</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d1e59908e86e1ce5458e08782f6ff264"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxProcAccountCallback" ref="d1e59908e86e1ce5458e08782f6ff264" args=")(const struct OfxAccountData data, void *account_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT typedef int(* <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#d1e59908e86e1ce5458e08782f6ff264">LibofxProcAccountCallback</a>)(const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The callback function for the <a class="el" href="structOfxAccountData.html">OfxAccountData</a> stucture. 
-<p>
-The ofx_proc_account_cb event is always generated first, to allow the application to create accounts or ask the user to match an existing account before the ofx_proc_statement and ofx_proc_transaction event are received. An <a class="el" href="structOfxAccountData.html">OfxAccountData</a> is passed to this event.<p>
-Note however that this <a class="el" href="structOfxAccountData.html">OfxAccountData</a> structure will also be available as part of <a class="el" href="structOfxStatementData.html">OfxStatementData</a> structure passed to ofx_proc_statement event, as well as a pointer to an arbitrary data structure. 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00289">289</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="aba3bbdf4c71ce498a36e115c2f96444"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxProcSecurityCallback" ref="aba3bbdf4c71ce498a36e115c2f96444" args=")(const struct OfxSecurityData data, void *security_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT typedef int(* <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#aba3bbdf4c71ce498a36e115c2f96444">LibofxProcSecurityCallback</a>)(const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The callback function for the <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> stucture. 
-<p>
-An ofx_proc_security_cb event is generated for any securities listed in the ofx file. It is generated after ofx_proc_statement but before ofx_proc_transaction. It is meant to be used to allow the client to create a new commodity or security (such as a new stock type). Please note however that this information is usually also available as part of each OfxtransactionData. An <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00345">345</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ebbf69e9ff550da0b0137b3cf3cfc916"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxProcStatementCallback" ref="ebbf69e9ff550da0b0137b3cf3cfc916" args=")(const struct OfxStatementData data, void *statement_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT typedef int(* <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#ebbf69e9ff550da0b0137b3cf3cfc916">LibofxProcStatementCallback</a>)(const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The callback function for the <a class="el" href="structOfxStatementData.html">OfxStatementData</a> stucture. 
-<p>
-The ofx_proc_statement_cb event is sent after all ofx_proc_transaction events have been sent. An <a class="el" href="structOfxStatementData.html">OfxStatementData</a> is passed to this event, as well as a pointer to an arbitrary data structure. 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00601">601</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="14155cb28af71092c8920c633337238a"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxProcStatusCallback" ref="14155cb28af71092c8920c633337238a" args=")(const struct OfxStatusData data, void *status_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT typedef int(* <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#14155cb28af71092c8920c633337238a">LibofxProcStatusCallback</a>)(const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The callback function for the <a class="el" href="structOfxStatusData.html">OfxStatusData</a> stucture. 
-<p>
-An ofx_proc_status_cb event is sent everytime the server has generated a OFX STATUS element. As such, it could be received at any time(but not during other events). An <a class="el" href="structOfxStatusData.html">OfxStatusData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00220">220</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="9ebd0c663e69751b90e56888a835eb72"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxProcTransactionCallback" ref="9ebd0c663e69751b90e56888a835eb72" args=")(const struct OfxTransactionData data, void *transaction_data)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT typedef int(* <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#9ebd0c663e69751b90e56888a835eb72">LibofxProcTransactionCallback</a>)(const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The callback function for the <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> stucture. 
-<p>
-An ofx_proc_transaction_cb event is generated for every transaction in the ofx response, after ofx_proc_statement (and possibly ofx_proc_security is generated. An <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00532">532</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a class="anchor" name="a82489ca2279144569727138feb344e8"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxExportFormatList" ref="a82489ca2279144569727138feb344e8" args="[]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">LibofxExportFormatList</a>[]          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<b>Initial value:</b><div class="fragment"><pre class="fragment"> 
+{
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+}
+</pre></div>
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00126">126</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b1ad431f1a4db406c34db2833ca80748"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxImportFormatList" ref="b1ad431f1a4db406c34db2833ca80748" args="[]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[]          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<b>Initial value:</b><div class="fragment"><pre class="fragment"> 
+{
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, <span class="stringliteral">"AUTODETECT"</span>, <span class="stringliteral">"AUTODETECT (File format will be automatically detected later)"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, <span class="stringliteral">"OFX"</span>, <span class="stringliteral">"OFX (Open Financial eXchange (OFX or QFX))"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, <span class="stringliteral">"OFC"</span>, <span class="stringliteral">"OFC (Microsoft Open Financial Connectivity)"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+}
+</pre></div>
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00117">117</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="1d20edeaa14f8da3dbeb98fb4af0aa0b"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxProcAccountCallback" ref="1d20edeaa14f8da3dbeb98fb4af0aa0b" args=")(const struct OfxAccountData data, void *account_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a>)(const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> stucture. 
+<p>
+The ofx_proc_account_cb event is always generated first, to allow the application to create accounts or ask the user to match an existing account before the ofx_proc_statement and ofx_proc_transaction event are received. An <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> is passed to this event.<p>
+Note however that this <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> structure will also be available as part of <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> structure passed to ofx_proc_statement event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00296">296</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="05780ed831281da04cc4c65682c1989f"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxProcSecurityCallback" ref="05780ed831281da04cc4c65682c1989f" args=")(const struct OfxSecurityData data, void *security_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a>)(const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> stucture. 
+<p>
+An ofx_proc_security_cb event is generated for any securities listed in the ofx file. It is generated after ofx_proc_statement but before ofx_proc_transaction. It is meant to be used to allow the client to create a new commodity or security (such as a new stock type). Please note however that this information is usually also available as part of each OfxtransactionData. An <a class="el" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00352">352</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="457cbf849ad1ac5914cfb8bdeaccf4d5"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxProcStatementCallback" ref="457cbf849ad1ac5914cfb8bdeaccf4d5" args=")(const struct OfxStatementData data, void *statement_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a>)(const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> stucture. 
+<p>
+The ofx_proc_statement_cb event is sent after all ofx_proc_transaction events have been sent. An <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00608">608</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="50daae5a31dcfb84db8ede120f28c2db"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxProcStatusCallback" ref="50daae5a31dcfb84db8ede120f28c2db" args=")(const struct OfxStatusData data, void *status_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a>)(const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> stucture. 
+<p>
+An ofx_proc_status_cb event is sent everytime the server has generated a OFX STATUS element. As such, it could be received at any time(but not during other events). An <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00220">220</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="35d231437fba371dcd4553c4c5c29901"></a><!-- doxytag: member="libofx-0.8.2/inc/libofx.h::LibofxProcTransactionCallback" ref="35d231437fba371dcd4553c4c5c29901" args=")(const struct OfxTransactionData data, void *transaction_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a>)(const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> stucture. 
+<p>
+An ofx_proc_transaction_cb event is generated for every transaction in the ofx response, after ofx_proc_statement (and possibly ofx_proc_security is generated. An <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00539">539</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== added file 'doc/html/libofx-0_89_80_2inc_2libofx_8h-source.html'
--- doc/html/libofx-0_89_80_2inc_2libofx_8h-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/libofx-0_89_80_2inc_2libofx_8h-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,451 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: libofx.h Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>libofx.h</h1><a href="libofx-0_89_80_2inc_2libofx_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment">              libofx.h  -  Main header file for the libofx API</span>
+<a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
+<a name="l00004"></a>00004 <span class="comment">    copyright            : (C) 2002 by Benoit Grgoire</span>
+<a name="l00005"></a>00005 <span class="comment">    email                : bock@step.polymtl.ca</span>
+<a name="l00006"></a>00006 <span class="comment">***************************************************************************/</span>
+<a name="l00026"></a>00026 <span class="comment">/***************************************************************************</span>
+<a name="l00027"></a>00027 <span class="comment"> *                                                                         *</span>
+<a name="l00028"></a>00028 <span class="comment"> *   This program is free software; you can redistribute it and/or modify  *</span>
+<a name="l00029"></a>00029 <span class="comment"> *   it under the terms of the GNU General Public License as published by  *</span>
+<a name="l00030"></a>00030 <span class="comment"> *   the Free Software Foundation; either version 2 of the License, or     *</span>
+<a name="l00031"></a>00031 <span class="comment"> *   (at your option) any later version.                                   *</span>
+<a name="l00032"></a>00032 <span class="comment"> *                                                                         *</span>
+<a name="l00033"></a>00033 <span class="comment"> ***************************************************************************/</span>
+<a name="l00034"></a>00034 
+<a name="l00035"></a>00035 <span class="preprocessor">#ifndef LIBOFX_H</span>
+<a name="l00036"></a>00036 <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_H</span>
+<a name="l00037"></a>00037 <span class="preprocessor"></span><span class="preprocessor">#include &lt;time.h&gt;</span>
+<a name="l00038"></a>00038 
+<a name="l00039"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#9ad8c7b7d900c6928e9140615f1275a3">00039</a> <span class="preprocessor">#define LIBOFX_MAJOR_VERSION 0</span>
+<a name="l00040"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#3527e3d14bbc471075eaadb71b9e39f1">00040</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_MINOR_VERSION 9</span>
+<a name="l00041"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#ccb0524df75c9175dc818990f6e5c03c">00041</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_MICRO_VERSION 0</span>
+<a name="l00042"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#483ab1dcfec944873e1d112a089b7419">00042</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_BUILD_VERSION 0</span>
+<a name="l00043"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#68cfe36f821e562e01082c66030ac8aa">00043</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_VERSION_RELEASE_STRING "0.9.0"</span>
+<a name="l00044"></a>00044 <span class="preprocessor"></span>
+<a name="l00045"></a>00045 
+<a name="l00046"></a>00046 <span class="preprocessor">#ifdef __cplusplus</span>
+<a name="l00047"></a>00047 <span class="preprocessor"></span><span class="preprocessor">#define CFCT extern "C"</span>
+<a name="l00048"></a>00048 <span class="preprocessor"></span><span class="preprocessor">#else</span>
+<a name="l00049"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">00049</a> <span class="preprocessor"></span><span class="preprocessor">#define CFCT</span>
+<a name="l00050"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">00050</a> <span class="preprocessor"></span><span class="preprocessor">#define true 1</span>
+<a name="l00051"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">00051</a> <span class="preprocessor"></span><span class="preprocessor">#define false 0</span>
+<a name="l00052"></a>00052 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00053"></a>00053 <span class="preprocessor"></span>
+<a name="l00054"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">00054</a> <span class="preprocessor">#define OFX_ELEMENT_NAME_LENGTH         100</span>
+<a name="l00055"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">00055</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_SVRTID2_LENGTH             (36 + 1)</span>
+<a name="l00056"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">00056</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_CHECK_NUMBER_LENGTH        (12 + 1)</span>
+<a name="l00057"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">00057</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_REFERENCE_NUMBER_LENGTH    (32 + 1)</span>
+<a name="l00058"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">00058</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_FITID_LENGTH               (255 + 1)</span>
+<a name="l00059"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">00059</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TOKEN2_LENGTH              (36 + 1)</span>
+<a name="l00060"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">00060</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MEMO_LENGTH                (255 + 1)</span>
+<a name="l00061"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">00061</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MEMO2_LENGTH               (390 + 1)</span>
+<a name="l00062"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">00062</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BALANCE_NAME_LENGTH        (32 + 1)</span>
+<a name="l00063"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">00063</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BALANCE_DESCRIPTION_LENGTH (80 + 1)</span>
+<a name="l00064"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">00064</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_CURRENCY_LENGTH            (3 + 1) </span><span class="comment">/* In ISO-4217 format */</span>
+<a name="l00065"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">00065</a> <span class="preprocessor">#define OFX_BANKID_LENGTH              (9 + 1)</span>
+<a name="l00066"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">00066</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BRANCHID_LENGTH            (22 + 1)</span>
+<a name="l00067"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">00067</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCTID_LENGTH              (22 + 1)</span>
+<a name="l00068"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">00068</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCTKEY_LENGTH             (22 + 1)</span>
+<a name="l00069"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">00069</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_BROKERID_LENGTH            (22 + 1)</span>
+<a name="l00070"></a>00070 <span class="preprocessor"></span><span class="comment">/* Must be MAX of &lt;BANKID&gt;+&lt;BRANCHID&gt;+&lt;ACCTID&gt;, &lt;ACCTID&gt;+&lt;ACCTKEY&gt; and &lt;ACCTID&gt;+&lt;BROKERID&gt; */</span>
+<a name="l00071"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#69861648d37d02054778473eece609f5">00071</a> <span class="preprocessor">#define OFX_ACCOUNT_ID_LENGTH (OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1)</span>
+<a name="l00072"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">00072</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ACCOUNT_NAME_LENGTH        255</span>
+<a name="l00073"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">00073</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_MARKETING_INFO_LENGTH      (360 + 1)</span>
+<a name="l00074"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">00074</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TRANSACTION_NAME_LENGTH    (32 + 1)</span>
+<a name="l00075"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">00075</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_UNIQUE_ID_LENGTH           (32 + 1)</span>
+<a name="l00076"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">00076</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_UNIQUE_ID_TYPE_LENGTH      (10 + 1)</span>
+<a name="l00077"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">00077</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_SECNAME_LENGTH             (32 + 1)</span>
+<a name="l00078"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">00078</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_TICKER_LENGTH              (32 + 1)</span>
+<a name="l00079"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">00079</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_ORG_LENGTH                 (32 + 1)</span>
+<a name="l00080"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">00080</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_FID_LENGTH                 (32 + 1)</span>
+<a name="l00081"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">00081</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_USERID_LENGTH              (32 + 1)</span>
+<a name="l00082"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">00082</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_USERPASS_LENGTH            (32 + 1)</span>
+<a name="l00083"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">00083</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_URL_LENGTH                 (500 + 1)</span>
+<a name="l00084"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a821a583f7c4a219c1cb5343ca2710e3">00084</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_APPID_LENGTH               (32)</span>
+<a name="l00085"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b6e3588136989b8dd250fc6918294012">00085</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_APPVER_LENGTH              (32)</span>
+<a name="l00086"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#56203dc319d05344eb8bf9918db99c65">00086</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_HEADERVERSION_LENGTH       (32)</span>
+<a name="l00087"></a>00087 <span class="preprocessor"></span>
+<a name="l00088"></a>00088 <span class="comment">/*</span>
+<a name="l00089"></a>00089 <span class="comment">#define OFX_STATEMENT_CB               0;</span>
+<a name="l00090"></a>00090 <span class="comment">#define OFX_ACCOUNT_CB                 1;</span>
+<a name="l00091"></a>00091 <span class="comment">#define OFX_TRACSACTION_CB             2;</span>
+<a name="l00092"></a>00092 <span class="comment">#define OFX_SECURITY_CB                3;</span>
+<a name="l00093"></a>00093 <span class="comment">#define OFX_STATUS_CB                  4;</span>
+<a name="l00094"></a>00094 <span class="comment">*/</span>
+<a name="l00095"></a>00095 
+<a name="l00096"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">00096</a> <span class="keyword">typedef</span> <span class="keywordtype">void</span> * <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>;
+<a name="l00102"></a>00102 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> <a class="code" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0" title="Initialise the library and return a new context.">libofx_get_new_context</a>();
+<a name="l00108"></a>00108 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf" title="Free all ressources used by this context.">libofx_free_context</a>( <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> );
+<a name="l00109"></a>00109 
+<a name="l00110"></a>00110 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">libofx_set_dtd_dir</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context,
+<a name="l00111"></a>00111                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s);
+<a name="l00112"></a>00112 
+<a name="l00114"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">00114</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>{ <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a name="l00115"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">00115</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<a name="l00116"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">00116</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a name="l00117"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">00117</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<a name="l00118"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">00118</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a name="l00119"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">00119</a>                      <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a> 
+<a name="l00120"></a>00120 };
+<a name="l00121"></a>00121 
+<a name="l00122"></a>00122 <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>{
+<a name="l00123"></a>00123 <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>;
+<a name="l00124"></a><a class="code" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">00124</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">format_name</a>;  
+<a name="l00125"></a><a class="code" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">00125</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">description</a>; 
+<a name="l00126"></a>00126 };
+<a name="l00127"></a>00127 
+<a name="l00128"></a>00128 
+<a name="l00129"></a>00129 <span class="preprocessor">#ifndef OFX_AQUAMANIAC_UGLY_HACK1</span>
+<a name="l00130"></a>00130 <span class="preprocessor"></span>
+<a name="l00131"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">00131</a> <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[] = 
+<a name="l00132"></a>00132 {
+<a name="l00133"></a>00133 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, <span class="stringliteral">"AUTODETECT"</span>, <span class="stringliteral">"AUTODETECT (File format will be automatically detected later)"</span>},
+<a name="l00134"></a>00134 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, <span class="stringliteral">"OFX"</span>, <span class="stringliteral">"OFX (Open Financial eXchange (OFX or QFX))"</span>},
+<a name="l00135"></a>00135 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, <span class="stringliteral">"OFC"</span>, <span class="stringliteral">"OFC (Microsoft Open Financial Connectivity)"</span>},
+<a name="l00136"></a>00136 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+<a name="l00137"></a>00137 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+<a name="l00138"></a>00138 };
+<a name="l00139"></a>00139 
+<a name="l00140"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">00140</a> <span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="code" href="inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">LibofxExportFormatList</a>[] = 
+<a name="l00141"></a>00141 {
+<a name="l00142"></a>00142 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+<a name="l00143"></a>00143 {<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+<a name="l00144"></a>00144 };
+<a name="l00145"></a>00145 
+<a name="l00153"></a>00153 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="code" href="inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a" title="libofx_get_file_type returns a proper enum from a file type string.">libofx_get_file_format_from_str</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">const</span> <span class="keywordtype">char</span> * file_type_string);
+<a name="l00154"></a>00154 
+<a name="l00162"></a>00162 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e" title="get_file_format_description returns a string description of a LibofxFileType.">libofx_get_file_format_description</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format);
+<a name="l00163"></a>00163 
+<a name="l00164"></a>00164 <span class="preprocessor">#endif</span>
+<a name="l00165"></a>00165 <span class="preprocessor"></span>
+<a name="l00172"></a>00172 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805" title="libofx_proc_file is the entry point of the library.">libofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context,
+<a name="l00173"></a>00173                           <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename,
+<a name="l00174"></a>00174                           <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> ftype);
+<a name="l00175"></a>00175 
+<a name="l00176"></a>00176 
+<a name="l00189"></a>00189 <span class="keyword">struct </span><a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a>{  
+<a name="l00194"></a>00194   <span class="keywordtype">char</span> <a class="code" href="structOfxStatusData.html#d49b449f9d4bf1746d71728cd1f5b925">ofx_element_name</a>[<a class="code" href="inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">OFX_ELEMENT_NAME_LENGTH</a>];
+<a name="l00196"></a>00196   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#011f73b45f88aac63ec44727ed6b306d">ofx_element_name_valid</a>;
+<a name="l00197"></a>00197   
+<a name="l00202"></a>00202   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a>;            
+<a name="l00203"></a><a class="code" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">00203</a>   <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">name</a>;          
+<a name="l00204"></a><a class="code" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">00204</a>   <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">description</a>;   
+<a name="l00205"></a>00205   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">code_valid</a>;      
+<a name="l00208"></a><a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">00208</a>     <span class="keyword">enum</span> <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">Severity</a>{<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<a name="l00209"></a>00209                 <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<a name="l00210"></a>00210                 <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a> 
+<a name="l00211"></a>00211   } <a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>;
+<a name="l00212"></a>00212   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a>;
+<a name="l00213"></a>00213   
+<a name="l00219"></a><a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">00219</a>   <span class="keywordtype">char</span>* <a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>; 
+<a name="l00221"></a>00221   <span class="keywordtype">int</span> <a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a>;
+<a name="l00223"></a>00223 };
+<a name="l00224"></a>00224 
+<a name="l00225"></a>00225 
+<a name="l00234"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">00234</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> data, void * status_data);
+<a name="l00235"></a>00235 
+<a name="l00247"></a>00247 <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>{
+<a name="l00248"></a>00248   
+<a name="l00259"></a>00259   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>[<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>];
+<a name="l00265"></a>00265   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>[<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>];
+<a name="l00266"></a>00266   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>;<span class="comment">/* Use for both account_id and account_name */</span>
+<a name="l00267"></a>00267 
+<a name="l00269"></a><a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">00269</a>     <span class="keyword">enum</span> <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">AccountType</a>{
+<a name="l00270"></a>00270     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>,  
+<a name="l00271"></a>00271     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>,   
+<a name="l00272"></a>00272     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a name="l00273"></a>00273     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>,
+<a name="l00274"></a>00274     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>,       
+<a name="l00275"></a>00275     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>,
+<a name="l00276"></a>00276     <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a> 
+<a name="l00277"></a>00277   } <a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>;
+<a name="l00278"></a>00278   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>;
+<a name="l00279"></a>00279   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00280"></a>00280   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a>;
+<a name="l00281"></a>00281 
+<a name="l00283"></a>00283   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a>[<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>];
+<a name="l00284"></a>00284   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">account_number_valid</a>;
+<a name="l00285"></a>00285 
+<a name="l00287"></a>00287   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a>[<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>];
+<a name="l00288"></a>00288   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">bank_id_valid</a>;
+<a name="l00289"></a>00289 
+<a name="l00290"></a>00290   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a>[<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>];
+<a name="l00291"></a>00291   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#59defd36706bd332e080dcf56437dabf">broker_id_valid</a>;
+<a name="l00292"></a>00292 
+<a name="l00293"></a>00293   <span class="keywordtype">char</span> <a class="code" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">branch_id</a>[<a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>];
+<a name="l00294"></a>00294   <span class="keywordtype">int</span> <a class="code" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">branch_id_valid</a>;
+<a name="l00295"></a>00295 
+<a name="l00296"></a>00296 };
+<a name="l00297"></a>00297 
+<a name="l00310"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">00310</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data, void * account_data);
+<a name="l00311"></a>00311 
+<a name="l00318"></a>00318 <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a>{
+<a name="l00324"></a>00324   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a>[<a class="code" href="inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">OFX_UNIQUE_ID_LENGTH</a>];   
+<a name="l00325"></a>00325   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">unique_id_valid</a>;
+<a name="l00326"></a>00326   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a>[<a class="code" href="inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">OFX_UNIQUE_ID_TYPE_LENGTH</a>];
+<a name="l00328"></a>00328   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">unique_id_type_valid</a>;
+<a name="l00329"></a>00329   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a>[<a class="code" href="inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">OFX_SECNAME_LENGTH</a>];
+<a name="l00330"></a>00330   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">secname_valid</a>;
+<a name="l00331"></a>00331 
+<a name="l00337"></a>00337   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a>[<a class="code" href="inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">OFX_TICKER_LENGTH</a>];
+<a name="l00338"></a>00338   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">ticker_valid</a>;
+<a name="l00339"></a>00339 
+<a name="l00340"></a>00340   <span class="keywordtype">double</span> <a class="code" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">unitprice</a>;
+<a name="l00342"></a>00342   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">unitprice_valid</a>;
+<a name="l00343"></a>00343 
+<a name="l00344"></a>00344   time_t <a class="code" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">date_unitprice</a>;
+<a name="l00345"></a>00345   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">date_unitprice_valid</a>;
+<a name="l00346"></a>00346 
+<a name="l00347"></a>00347   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00350"></a>00350   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">currency_valid</a>;
+<a name="l00351"></a>00351   <span class="keywordtype">char</span> <a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a>[<a class="code" href="inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">OFX_MEMO2_LENGTH</a>];
+<a name="l00352"></a>00352   <span class="keywordtype">int</span> <a class="code" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">memo_valid</a>;
+<a name="l00353"></a>00353 };<span class="comment">/* end struct OfxSecurityData */</span>
+<a name="l00354"></a>00354 
+<a name="l00366"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">00366</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> data, void * security_data);
+<a name="l00367"></a>00367 
+<a name="l00368"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">00368</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
+<a name="l00369"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">00369</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>,     
+<a name="l00370"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">00370</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>,      
+<a name="l00371"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">00371</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>,        
+<a name="l00372"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">00372</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>,        
+<a name="l00373"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">00373</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>,        
+<a name="l00374"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">00374</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>,     
+<a name="l00375"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">00375</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>,        
+<a name="l00376"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">00376</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>,        
+<a name="l00377"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">00377</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>,        
+<a name="l00378"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">00378</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>,       
+<a name="l00379"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">00379</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>,      
+<a name="l00380"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">00380</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>,    
+<a name="l00381"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">00381</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>,       
+<a name="l00382"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">00382</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>,  
+<a name="l00383"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">00383</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>,
+<a name="l00384"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">00384</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>,  
+<a name="l00385"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">00385</a>     <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>       
+<a name="l00386"></a>00386   } <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a>;
+<a name="l00387"></a>00387 
+<a name="l00388"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">00388</a> <span class="keyword">typedef</span>  <span class="keyword">enum</span>{
+<a name="l00389"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">00389</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>,        
+<a name="l00390"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">00390</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>,          
+<a name="l00391"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">00391</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>,         
+<a name="l00392"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">00392</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>,       
+<a name="l00393"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">00393</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>,       
+<a name="l00394"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">00394</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>,     
+<a name="l00395"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">00395</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>,         
+<a name="l00396"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">00396</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>,     
+<a name="l00397"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">00397</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>,       
+<a name="l00398"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">00398</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>,        
+<a name="l00399"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">00399</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a name="l00400"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">00400</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>,       
+<a name="l00401"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">00401</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>,       
+<a name="l00402"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">00402</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>,       
+<a name="l00403"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">00403</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>,         
+<a name="l00404"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">00404</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>,        
+<a name="l00405"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">00405</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>,      
+<a name="l00406"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">00406</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>,      
+<a name="l00407"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">00407</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>,          
+<a name="l00408"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">00408</a>     <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>        
+<a name="l00409"></a>00409   }  <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a>;
+<a name="l00410"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23">00410</a> <span class="keyword">typedef</span> <span class="keyword">enum</span> {
+<a name="l00411"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">00411</a>     <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a name="l00413"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">00413</a>     <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a> 
+<a name="l00415"></a>00415   } <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a>;
+<a name="l00416"></a>00416 
+<a name="l00423"></a>00423 <span class="keyword">struct </span><a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a>{
+<a name="l00424"></a>00424   
+<a name="l00430"></a>00430   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a>[<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>];
+<a name="l00433"></a><a class="code" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">00433</a>   <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * <a class="code" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">account_ptr</a>; 
+<a name="l00435"></a>00435   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a>;
+<a name="l00436"></a>00436 
+<a name="l00437"></a>00437   <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a> <a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>;
+<a name="l00438"></a>00438   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>;
+<a name="l00439"></a>00439  
+<a name="l00443"></a>00443   <a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a> <a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>;
+<a name="l00444"></a>00444   <span class="keywordtype">int</span>  <a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a>;
+<a name="l00445"></a>00445 
+<a name="l00446"></a>00446   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a>;     
+<a name="l00452"></a>00452   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a>;
+<a name="l00453"></a>00453   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a>; 
+<a name="l00455"></a>00455   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a>;
+<a name="l00456"></a>00456   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>;    
+<a name="l00460"></a>00460   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a>;
+<a name="l00461"></a>00461   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>[256];  
+<a name="l00464"></a>00464   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">fi_id_valid</a>;
+<a name="l00465"></a>00465   
+<a name="l00473"></a>00473   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>[<a class="code" href="inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">OFX_UNIQUE_ID_LENGTH</a>];  
+<a name="l00474"></a>00474   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a>;
+<a name="l00475"></a>00475   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a>[<a class="code" href="inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">OFX_UNIQUE_ID_TYPE_LENGTH</a>];
+<a name="l00477"></a>00477   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">unique_id_type_valid</a>;
+<a name="l00478"></a><a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">00478</a>   <span class="keyword">struct </span><a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> *<a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a>;  
+<a name="l00479"></a>00479   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">security_data_valid</a>;
+<a name="l00480"></a>00480   
+<a name="l00481"></a>00481   time_t <a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a>;
+<a name="l00486"></a>00486   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a>;
+<a name="l00487"></a>00487   
+<a name="l00488"></a>00488   time_t <a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a>;
+<a name="l00494"></a>00494   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a>;
+<a name="l00495"></a>00495   time_t <a class="code" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">date_funds_available</a>;
+<a name="l00498"></a>00498   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">date_funds_available_valid</a>;
+<a name="l00502"></a>00502   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">fi_id_corrected</a>[256];
+<a name="l00503"></a>00503   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">fi_id_corrected_valid</a>;
+<a name="l00506"></a>00506   <a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a> <a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>;
+<a name="l00507"></a>00507   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a>;
+<a name="l00508"></a>00508   
+<a name="l00511"></a>00511   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a>[<a class="code" href="inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">OFX_SVRTID2_LENGTH</a>];
+<a name="l00512"></a>00512   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">server_transaction_id_valid</a>;
+<a name="l00516"></a>00516 <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>[<a class="code" href="inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">OFX_CHECK_NUMBER_LENGTH</a>];
+<a name="l00517"></a>00517   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">check_number_valid</a>;
+<a name="l00520"></a>00520   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>[<a class="code" href="inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">OFX_REFERENCE_NUMBER_LENGTH</a>];
+<a name="l00521"></a>00521   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">reference_number_valid</a>;
+<a name="l00522"></a>00522   <span class="keywordtype">long</span> <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">standard_industrial_code</a>;
+<a name="l00524"></a>00524   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">standard_industrial_code_valid</a>;
+<a name="l00525"></a>00525   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a>[<a class="code" href="inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">OFX_SVRTID2_LENGTH</a>];
+<a name="l00526"></a>00526   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">payee_id_valid</a>;
+<a name="l00527"></a>00527   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>[<a class="code" href="inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">OFX_TRANSACTION_NAME_LENGTH</a>];
+<a name="l00529"></a>00529   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">name_valid</a>;
+<a name="l00530"></a>00530   <span class="keywordtype">char</span> <a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>[<a class="code" href="inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">OFX_MEMO2_LENGTH</a>];
+<a name="l00531"></a>00531   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">memo_valid</a>;
+<a name="l00532"></a>00532   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">commission</a>;
+<a name="l00533"></a>00533   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">commission_valid</a>;
+<a name="l00534"></a>00534   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">fees</a>;
+<a name="l00535"></a>00535   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">fees_valid</a>;
+<a name="l00536"></a>00536   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">oldunits</a>;     <span class="comment">/*number of units held before stock split */</span>
+<a name="l00537"></a>00537   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">oldunits_valid</a>;
+<a name="l00538"></a>00538   <span class="keywordtype">double</span> <a class="code" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">newunits</a>;     <span class="comment">/*number of units held after stock split */</span>
+<a name="l00539"></a>00539   <span class="keywordtype">int</span> <a class="code" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">newunits_valid</a>;
+<a name="l00540"></a>00540 
+<a name="l00541"></a>00541 
+<a name="l00542"></a>00542   <span class="comment">/*********** NOT YET COMPLETE!!! *********************/</span>
+<a name="l00543"></a>00543 };
+<a name="l00544"></a>00544 
+<a name="l00553"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">00553</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data, void * transaction_data);
+<a name="l00554"></a>00554 
+<a name="l00563"></a>00563 <span class="keyword">struct </span><a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a>{
+<a name="l00564"></a>00564 
+<a name="l00572"></a>00572   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00573"></a>00573   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">currency_valid</a>;
+<a name="l00574"></a>00574   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">account_id</a>[<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>];
+<a name="l00576"></a><a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">00576</a>   <span class="keyword">struct </span><a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * <a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a>; 
+<a name="l00578"></a>00578   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">account_id_valid</a>;
+<a name="l00581"></a>00581   <span class="keywordtype">double</span> <a class="code" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">ledger_balance</a>;
+<a name="l00582"></a>00582   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">ledger_balance_valid</a>;
+<a name="l00583"></a>00583   time_t <a class="code" href="structOfxStatementData.html#57f9892d09da4a6d69c44b7f9af45fc0">ledger_balance_date</a>;
+<a name="l00584"></a>00584   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#765dfa1991995af8a2c72b774df6cb6d">ledger_balance_date_valid</a>;
+<a name="l00585"></a>00585   
+<a name="l00591"></a>00591   <span class="keywordtype">double</span> <a class="code" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">available_balance</a>; 
+<a name="l00594"></a>00594   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">available_balance_valid</a>;
+<a name="l00595"></a>00595   time_t <a class="code" href="structOfxStatementData.html#5062a88aaae023cd5506db8991187c1c">available_balance_date</a>;
+<a name="l00596"></a>00596   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#4c2936f050f1cacd32e11e294dd96de6">available_balance_date_valid</a>;
+<a name="l00601"></a>00601   time_t <a class="code" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">date_start</a>;
+<a name="l00602"></a>00602   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">date_start_valid</a>;
+<a name="l00607"></a>00607   time_t <a class="code" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">date_end</a>;
+<a name="l00608"></a>00608   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">date_end_valid</a>;
+<a name="l00611"></a>00611   <span class="keywordtype">char</span> <a class="code" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">marketing_info</a>[<a class="code" href="inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">OFX_MARKETING_INFO_LENGTH</a>];
+<a name="l00612"></a>00612   <span class="keywordtype">int</span> <a class="code" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">marketing_info_valid</a>;
+<a name="l00613"></a>00613 };
+<a name="l00614"></a>00614 
+<a name="l00622"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">00622</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keyword">typedef</span> int (*<a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a>)(<span class="keyword">const</span> <span class="keyword">struct </span><a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data, void * statement_data);
+<a name="l00623"></a>00623 
+<a name="l00627"></a>00627 <span class="keyword">struct </span><a class="code" href="structOfxCurrency.html" title="NOT YET SUPPORTED.">OfxCurrency</a>{
+<a name="l00628"></a>00628   <span class="keywordtype">char</span> <a class="code" href="structOfxCurrency.html#b161a37469e797c6762d7dd909819332">currency</a>[<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>]; 
+<a name="l00629"></a>00629   <span class="keywordtype">double</span> <a class="code" href="structOfxCurrency.html#42189e2f5c6b57cf09cb75689a6c1b88">exchange_rate</a>;  
+<a name="l00630"></a>00630   <span class="keywordtype">int</span> <a class="code" href="structOfxCurrency.html#19eb1ccd12664af9dfdb55d67641f32d">must_convert</a>;   
+<a name="l00631"></a>00631 };
+<a name="l00632"></a>00632 
+<a name="l00633"></a>00633 
+<a name="l00640"></a>00640 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">ofx_set_status_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00641"></a>00641                             <a class="code" href="inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db" title="The callback function for the OfxStatusData stucture.">LibofxProcStatusCallback</a> cb,
+<a name="l00642"></a>00642                             <span class="keywordtype">void</span> *user_data);
+<a name="l00649"></a>00649 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00650"></a>00650                              <a class="code" href="inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b" title="The callback function for the OfxAccountData stucture.">LibofxProcAccountCallback</a> cb,
+<a name="l00651"></a>00651                              <span class="keywordtype">void</span> *user_data);
+<a name="l00658"></a>00658 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">ofx_set_security_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00659"></a>00659                               <a class="code" href="inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f" title="The callback function for the OfxSecurityData stucture.">LibofxProcSecurityCallback</a> cb,
+<a name="l00660"></a>00660                               <span class="keywordtype">void</span> *user_data);
+<a name="l00667"></a>00667 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00668"></a>00668                                  <a class="code" href="inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901" title="The callback function for the OfxTransactionData stucture.">LibofxProcTransactionCallback</a> cb,
+<a name="l00669"></a>00669                                  <span class="keywordtype">void</span> *user_data);
+<a name="l00670"></a>00670 
+<a name="l00677"></a>00677 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">void</span> <a class="code" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00678"></a>00678                                <a class="code" href="inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5" title="The callback function for the OfxStatementData stucture.">LibofxProcStatementCallback</a> cb,
+<a name="l00679"></a>00679                                <span class="keywordtype">void</span> *user_data);
+<a name="l00680"></a>00680 
+<a name="l00681"></a>00681 
+<a name="l00685"></a>00685 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00686"></a>00686                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size);
+<a name="l00687"></a>00687                             
+<a name="l00693"></a>00693 
+<a name="l00698"></a>00698 <span class="keyword">struct </span><a class="code" href="structOfxFiServiceInfo.html" title="Information returned by the OFX Partner Server about a financial institution.">OfxFiServiceInfo</a>{
+<a name="l00699"></a>00699   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">fid</a>[<a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>];
+<a name="l00700"></a>00700   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">org</a>[<a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>];
+<a name="l00701"></a>00701   <span class="keywordtype">char</span> <a class="code" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">url</a>[<a class="code" href="inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">OFX_URL_LENGTH</a>];
+<a name="l00702"></a>00702   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">accountlist</a>; 
+<a name="l00703"></a>00703   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">statements</a>; 
+<a name="l00704"></a>00704   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">billpay</a>; 
+<a name="l00705"></a>00705   <span class="keywordtype">int</span> <a class="code" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">investments</a>; 
+<a name="l00706"></a>00706 };
+<a name="l00707"></a>00707 
+<a name="l00717"></a>00717 <span class="keyword">struct </span><a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>{
+<a name="l00718"></a>00718   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a>[<a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>];
+<a name="l00719"></a>00719   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">org</a>[<a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>];
+<a name="l00720"></a>00720   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">userid</a>[<a class="code" href="inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">OFX_USERID_LENGTH</a>];
+<a name="l00721"></a>00721   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">userpass</a>[<a class="code" href="inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">OFX_USERPASS_LENGTH</a>];
+<a name="l00722"></a>00722   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a>[<a class="code" href="inc_2libofx_8h.html#56203dc319d05344eb8bf9918db99c65">OFX_HEADERVERSION_LENGTH</a>];
+<a name="l00723"></a>00723   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#0589bf38951c4e698236146c019d4cd1">appid</a>[<a class="code" href="inc_2libofx_8h.html#a821a583f7c4a219c1cb5343ca2710e3">OFX_APPID_LENGTH</a>];
+<a name="l00724"></a>00724   <span class="keywordtype">char</span> <a class="code" href="structOfxFiLogin.html#f870ca3b27992fb53f203d23f33d097c">appver</a>[<a class="code" href="inc_2libofx_8h.html#b6e3588136989b8dd250fc6918294012">OFX_APPVER_LENGTH</a>];
+<a name="l00725"></a>00725 };
+<a name="l00726"></a>00726 
+<a name="l00727"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">00727</a> <span class="preprocessor">#define OFX_AMOUNT_LENGTH (32 + 1)</span>
+<a name="l00728"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">00728</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_PAYACCT_LENGTH (32 + 1)</span>
+<a name="l00729"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">00729</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_STATE_LENGTH (5 + 1)</span>
+<a name="l00730"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">00730</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_POSTALCODE_LENGTH (11 + 1)</span>
+<a name="l00731"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">00731</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX_NAME_LENGTH (32 + 1)</span>
+<a name="l00732"></a>00732 <span class="preprocessor"></span>
+<a name="l00733"></a>00733 <span class="keyword">struct </span><a class="code" href="structOfxPayment.html">OfxPayment</a>{
+<a name="l00734"></a>00734   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#ce2679ca7e17d6ba7a79cf03399beb8a">amount</a>[<a class="code" href="inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">OFX_AMOUNT_LENGTH</a>];
+<a name="l00735"></a>00735   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#851acab467352b911fa62781657ce328">account</a>[<a class="code" href="inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">OFX_PAYACCT_LENGTH</a>];
+<a name="l00736"></a>00736   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#8c7bf483dba9043d5c49993756681e7b">datedue</a>[9];
+<a name="l00737"></a>00737   <span class="keywordtype">char</span> <a class="code" href="structOfxPayment.html#3d6cbc61b6b1561f6a641bedcb5d25f5">memo</a>[<a class="code" href="inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">OFX_MEMO_LENGTH</a>];
+<a name="l00738"></a>00738 };
+<a name="l00739"></a>00739 
+<a name="l00740"></a>00740 <span class="keyword">struct </span><a class="code" href="structOfxPayee.html">OfxPayee</a>{
+<a name="l00741"></a>00741   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#2ad9e35d86d1f7432114048a55bb5a73">name</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00742"></a>00742   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#985439daf6ac8a7a34c92e5f9e829901">address1</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00743"></a>00743   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#03d236ffc1640ecc56640c4e29093215">city</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00744"></a>00744   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#d93547c7b47ed9d2428c0516fec2ed55">state</a>[<a class="code" href="inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">OFX_STATE_LENGTH</a>];
+<a name="l00745"></a>00745   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#b23cc650855fe8313f3a984a76b233cb">postalcode</a>[<a class="code" href="inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">OFX_POSTALCODE_LENGTH</a>];
+<a name="l00746"></a>00746   <span class="keywordtype">char</span> <a class="code" href="structOfxPayee.html#90f01576639fa04ff30a4c8836b6491f">phone</a>[<a class="code" href="inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>];
+<a name="l00747"></a>00747 };
+<a name="l00748"></a>00748 
+<a name="l00761"></a>00761 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d" title="Creates an OFX statement request in string form.">libofx_request_statement</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* fi, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, time_t date_from );
+<a name="l00762"></a>00762 
+<a name="l00774"></a>00774 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449" title="Creates an OFX account info (list) request in string form.">libofx_request_accountinfo</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login );
+<a name="l00775"></a>00775 
+<a name="l00776"></a>00776 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* libofx_request_payment( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>* payee, <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>* payment );
+<a name="l00777"></a>00777 
+<a name="l00778"></a>00778 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keywordtype">char</span>* transactionid );
+<a name="l00779"></a>00779 
+<a name="l00781"></a>00781 
+<a name="l00782"></a>00782 <span class="preprocessor">#endif</span>
+<a name="l00783"></a>00783 <span class="preprocessor"></span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/libofx-0_89_80_2inc_2libofx_8h.html'
--- doc/html/libofx-0_89_80_2inc_2libofx_8h.html	1970-01-01 00:00:00 +0000
+++ doc/html/libofx-0_89_80_2inc_2libofx_8h.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,1444 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: libofx.h File Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>libofx.h File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
+Main header file containing the LibOfx API. 
+<p>
+This file should be included for all applications who use this API. This header file will work with both C and C++ programs. The entire API is made of the following structures and functions.<p>
+All of the following ofx_proc_* functions are callbacks (Except ofx_proc_file which is the entry point). They must be implemented by your program, but can be left empty if not needed. They are called each time the associated structure is filled by the library.<p>
+Important note: The variables associated with every data element have a _valid companion. Always check that data_valid == true before using. Not only will you ensure that the data is meaningfull, but also that pointers are valid and strings point to a null terminated string. Elements listed as mandatory are for information purpose only, do not trust the bank not to send you non-conforming data... 
+<p>Definition in file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+<p>
+
+<p>
+<a href="libofx-0_89_80_2inc_2libofx_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html">OfxStatusData</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An abstraction of an OFX STATUS element.  <a href="structOfxStatusData.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html">OfxAccountData</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An abstraction of an account.  <a href="structOfxAccountData.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html">OfxSecurityData</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An abstraction of a security, such as a stock, mutual fund, etc.  <a href="structOfxSecurityData.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html">OfxTransactionData</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An abstraction of a transaction in an account.  <a href="structOfxTransactionData.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html">OfxStatementData</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An abstraction of an account statement.  <a href="structOfxStatementData.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxCurrency.html">OfxCurrency</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">NOT YET SUPPORTED.  <a href="structOfxCurrency.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Information returned by the OFX Partner Server about a financial institution.  <a href="structOfxFiServiceInfo.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html">OfxFiLogin</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Information sufficient to log into an financial institution.  <a href="structOfxFiLogin.html#_details">More...</a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html">OfxPayment</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html">OfxPayee</a></td></tr>
+
+<tr><td colspan="2"><br><h2>Creating OFX Files</h2></td></tr>
+<tr><td colspan="2">This group deals with creating OFX files <br><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="58da6c854e5fd8b879e3348c6285198f"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_AMOUNT_LENGTH" ref="58da6c854e5fd8b879e3348c6285198f" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#58da6c854e5fd8b879e3348c6285198f">OFX_AMOUNT_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6b2c390e87d270a029d21708ca9faad3"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_PAYACCT_LENGTH" ref="6b2c390e87d270a029d21708ca9faad3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#6b2c390e87d270a029d21708ca9faad3">OFX_PAYACCT_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c28dc585985dd3c517f2eb818f909a8d"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_STATE_LENGTH" ref="c28dc585985dd3c517f2eb818f909a8d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c28dc585985dd3c517f2eb818f909a8d">OFX_STATE_LENGTH</a>&nbsp;&nbsp;&nbsp;(5 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c58b9d7dc304b11a10f87ae600520917"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_POSTALCODE_LENGTH" ref="c58b9d7dc304b11a10f87ae600520917" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c58b9d7dc304b11a10f87ae600520917">OFX_POSTALCODE_LENGTH</a>&nbsp;&nbsp;&nbsp;(11 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="765b4da64823bc421b7a2ffddacaeb1c"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_NAME_LENGTH" ref="765b4da64823bc421b7a2ffddacaeb1c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#765b4da64823bc421b7a2ffddacaeb1c">OFX_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d">libofx_request_statement</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *fi, const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, time_t date_from)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates an OFX statement request in string form.  <a href="#8095d04a045a8f0bdfd5c32ea6f1638d"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449">libofx_request_accountinfo</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates an OFX account info (list) request in string form.  <a href="#24821dd5f7269d3b58e6bbaeb0bf0449"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="965e8d232d572f712368e6cb1d46e3da"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_request_payment" ref="965e8d232d572f712368e6cb1d46e3da" args="(const struct OfxFiLogin *login, const struct OfxAccountData *account, const struct OfxPayee *payee, const struct OfxPayment *payment)" -->
+CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><b>libofx_request_payment</b> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, const struct <a class="el" href="structOfxPayee.html">OfxPayee</a> *payee, const struct <a class="el" href="structOfxPayment.html">OfxPayment</a> *payment)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b9b42a433677da688d0f9f37d9da24d1"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_request_payment_status" ref="b9b42a433677da688d0f9f37d9da24d1" args="(const struct OfxFiLogin *login, const char *transactionid)" -->
+CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const char *transactionid)</td></tr>
+
+<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9ad8c7b7d900c6928e9140615f1275a3"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LIBOFX_MAJOR_VERSION" ref="9ad8c7b7d900c6928e9140615f1275a3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#9ad8c7b7d900c6928e9140615f1275a3">LIBOFX_MAJOR_VERSION</a>&nbsp;&nbsp;&nbsp;0</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3527e3d14bbc471075eaadb71b9e39f1"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LIBOFX_MINOR_VERSION" ref="3527e3d14bbc471075eaadb71b9e39f1" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#3527e3d14bbc471075eaadb71b9e39f1">LIBOFX_MINOR_VERSION</a>&nbsp;&nbsp;&nbsp;9</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ccb0524df75c9175dc818990f6e5c03c"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LIBOFX_MICRO_VERSION" ref="ccb0524df75c9175dc818990f6e5c03c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#ccb0524df75c9175dc818990f6e5c03c">LIBOFX_MICRO_VERSION</a>&nbsp;&nbsp;&nbsp;0</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="483ab1dcfec944873e1d112a089b7419"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LIBOFX_BUILD_VERSION" ref="483ab1dcfec944873e1d112a089b7419" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#483ab1dcfec944873e1d112a089b7419">LIBOFX_BUILD_VERSION</a>&nbsp;&nbsp;&nbsp;0</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="68cfe36f821e562e01082c66030ac8aa"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LIBOFX_VERSION_RELEASE_STRING" ref="68cfe36f821e562e01082c66030ac8aa" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#68cfe36f821e562e01082c66030ac8aa">LIBOFX_VERSION_RELEASE_STRING</a>&nbsp;&nbsp;&nbsp;&quot;0.9.0&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="47f3130aac7543264fac840fb657cc3d"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::CFCT" ref="47f3130aac7543264fac840fb657cc3d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="41f9c5fb8b08eb5dc3edce4dcb37fee7"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::true" ref="41f9c5fb8b08eb5dc3edce4dcb37fee7" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#41f9c5fb8b08eb5dc3edce4dcb37fee7">true</a>&nbsp;&nbsp;&nbsp;1</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="65e9886d74aaee76545e83dd09011727"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::false" ref="65e9886d74aaee76545e83dd09011727" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">false</a>&nbsp;&nbsp;&nbsp;0</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5ed330c0afc0b111a5da321dc40b226e"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_ELEMENT_NAME_LENGTH" ref="5ed330c0afc0b111a5da321dc40b226e" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">OFX_ELEMENT_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;100</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b1a8253fb77259cffd1b6e541f9ca92d"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_SVRTID2_LENGTH" ref="b1a8253fb77259cffd1b6e541f9ca92d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b1a8253fb77259cffd1b6e541f9ca92d">OFX_SVRTID2_LENGTH</a>&nbsp;&nbsp;&nbsp;(36 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="61df923230a6e85eb0ba00f92fbb0b6a"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_CHECK_NUMBER_LENGTH" ref="61df923230a6e85eb0ba00f92fbb0b6a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#61df923230a6e85eb0ba00f92fbb0b6a">OFX_CHECK_NUMBER_LENGTH</a>&nbsp;&nbsp;&nbsp;(12 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1986c7960dfc65a9e23be6c5f6c3ff56"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_REFERENCE_NUMBER_LENGTH" ref="1986c7960dfc65a9e23be6c5f6c3ff56" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1986c7960dfc65a9e23be6c5f6c3ff56">OFX_REFERENCE_NUMBER_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4bcfc93f90d44abbc3a728a56f53915c"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_FITID_LENGTH" ref="4bcfc93f90d44abbc3a728a56f53915c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#4bcfc93f90d44abbc3a728a56f53915c">OFX_FITID_LENGTH</a>&nbsp;&nbsp;&nbsp;(255 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5846e5ce8cd8e1a91c78396effa276f4"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_TOKEN2_LENGTH" ref="5846e5ce8cd8e1a91c78396effa276f4" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5846e5ce8cd8e1a91c78396effa276f4">OFX_TOKEN2_LENGTH</a>&nbsp;&nbsp;&nbsp;(36 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5880fc183dddd4edbf205fce89480189"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_MEMO_LENGTH" ref="5880fc183dddd4edbf205fce89480189" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5880fc183dddd4edbf205fce89480189">OFX_MEMO_LENGTH</a>&nbsp;&nbsp;&nbsp;(255 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7c763f5c089c8549d526f5dc9ae28498"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_MEMO2_LENGTH" ref="7c763f5c089c8549d526f5dc9ae28498" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#7c763f5c089c8549d526f5dc9ae28498">OFX_MEMO2_LENGTH</a>&nbsp;&nbsp;&nbsp;(390 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="961dc40842b1f4c20bc08d193f57d8b4"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_BALANCE_NAME_LENGTH" ref="961dc40842b1f4c20bc08d193f57d8b4" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#961dc40842b1f4c20bc08d193f57d8b4">OFX_BALANCE_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c4eee853e9752511b4049ff67c3ba168"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_BALANCE_DESCRIPTION_LENGTH" ref="c4eee853e9752511b4049ff67c3ba168" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c4eee853e9752511b4049ff67c3ba168">OFX_BALANCE_DESCRIPTION_LENGTH</a>&nbsp;&nbsp;&nbsp;(80 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bb7701460acb587f9113ccf818b567ad"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_CURRENCY_LENGTH" ref="bb7701460acb587f9113ccf818b567ad" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>&nbsp;&nbsp;&nbsp;(3 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="70f2178af34abf7e98bee521b745f780"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_BANKID_LENGTH" ref="70f2178af34abf7e98bee521b745f780" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>&nbsp;&nbsp;&nbsp;(9 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7aa5e724bd9557d21169289d98ae631a"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_BRANCHID_LENGTH" ref="7aa5e724bd9557d21169289d98ae631a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>&nbsp;&nbsp;&nbsp;(22 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="68c0d75fde3884b2ace680ef8b5fdd07"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_ACCTID_LENGTH" ref="68c0d75fde3884b2ace680ef8b5fdd07" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>&nbsp;&nbsp;&nbsp;(22 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="89f43cb6e2af995c6024b7ddbb32b6b9"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_ACCTKEY_LENGTH" ref="89f43cb6e2af995c6024b7ddbb32b6b9" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">OFX_ACCTKEY_LENGTH</a>&nbsp;&nbsp;&nbsp;(22 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a1256fa7603b452e20a4701e2aae53d5"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_BROKERID_LENGTH" ref="a1256fa7603b452e20a4701e2aae53d5" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>&nbsp;&nbsp;&nbsp;(22 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="69861648d37d02054778473eece609f5"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_ACCOUNT_ID_LENGTH" ref="69861648d37d02054778473eece609f5" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>&nbsp;&nbsp;&nbsp;(OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="065582a1df4497de4a0b00ba909d2e48"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_ACCOUNT_NAME_LENGTH" ref="065582a1df4497de4a0b00ba909d2e48" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;255</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="61ce08f420b24b001f7bee78671149e6"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_MARKETING_INFO_LENGTH" ref="61ce08f420b24b001f7bee78671149e6" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">OFX_MARKETING_INFO_LENGTH</a>&nbsp;&nbsp;&nbsp;(360 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1419e2ce65ac40af5559a133161f1113"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_TRANSACTION_NAME_LENGTH" ref="1419e2ce65ac40af5559a133161f1113" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1419e2ce65ac40af5559a133161f1113">OFX_TRANSACTION_NAME_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c8b6ecd69a4a9b769a61a8c890d14df5"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_UNIQUE_ID_LENGTH" ref="c8b6ecd69a4a9b769a61a8c890d14df5" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c8b6ecd69a4a9b769a61a8c890d14df5">OFX_UNIQUE_ID_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="79a2ca4590e15c773c3b0599a75fe6f3"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_UNIQUE_ID_TYPE_LENGTH" ref="79a2ca4590e15c773c3b0599a75fe6f3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#79a2ca4590e15c773c3b0599a75fe6f3">OFX_UNIQUE_ID_TYPE_LENGTH</a>&nbsp;&nbsp;&nbsp;(10 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1e46e380960ed692c417d0948d501004"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_SECNAME_LENGTH" ref="1e46e380960ed692c417d0948d501004" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1e46e380960ed692c417d0948d501004">OFX_SECNAME_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="861246644f0fef25dcf250bc7c3382d4"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_TICKER_LENGTH" ref="861246644f0fef25dcf250bc7c3382d4" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#861246644f0fef25dcf250bc7c3382d4">OFX_TICKER_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="74914e6380be88d51ab921a0f3078646"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_ORG_LENGTH" ref="74914e6380be88d51ab921a0f3078646" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5524910cf3ba47b3d7a1b6752b69d056"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_FID_LENGTH" ref="5524910cf3ba47b3d7a1b6752b69d056" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="385135109c07d8a1a72fc3edcb5f115f"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_USERID_LENGTH" ref="385135109c07d8a1a72fc3edcb5f115f" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">OFX_USERID_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="57b6f3b8bd4d0012d1a26ffa6e636d4c"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_USERPASS_LENGTH" ref="57b6f3b8bd4d0012d1a26ffa6e636d4c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">OFX_USERPASS_LENGTH</a>&nbsp;&nbsp;&nbsp;(32 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2c364470aa70104473ba7c0134c27ae2"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_URL_LENGTH" ref="2c364470aa70104473ba7c0134c27ae2" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">OFX_URL_LENGTH</a>&nbsp;&nbsp;&nbsp;(500 + 1)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a821a583f7c4a219c1cb5343ca2710e3"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_APPID_LENGTH" ref="a821a583f7c4a219c1cb5343ca2710e3" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a821a583f7c4a219c1cb5343ca2710e3">OFX_APPID_LENGTH</a>&nbsp;&nbsp;&nbsp;(32)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b6e3588136989b8dd250fc6918294012"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_APPVER_LENGTH" ref="b6e3588136989b8dd250fc6918294012" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b6e3588136989b8dd250fc6918294012">OFX_APPVER_LENGTH</a>&nbsp;&nbsp;&nbsp;(32)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="56203dc319d05344eb8bf9918db99c65"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::OFX_HEADERVERSION_LENGTH" ref="56203dc319d05344eb8bf9918db99c65" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#56203dc319d05344eb8bf9918db99c65">OFX_HEADERVERSION_LENGTH</a>&nbsp;&nbsp;&nbsp;(32)</td></tr>
+
+<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cb05196108aab07092d1b4931577b87c"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LibofxContextPtr" ref="cb05196108aab07092d1b4931577b87c" args="" -->
+typedef void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a></td></tr>
+
+<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>, 
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a> { <br>
+&nbsp;&nbsp;<a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>, 
+<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>
+<br>
+ }</td></tr>
+
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0">libofx_get_new_context</a> ()</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Initialise the library and return a new context.  <a href="#e2f086d4e5fdf4b314640ea8fed400b0"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf">libofx_free_context</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Free all ressources used by this context.  <a href="#e76c85ae1e58b1bb41abf7eb3aca0baf"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ada0ed982ff7454ed17fa5c6cddd2d05"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_set_dtd_dir" ref="ada0ed982ff7454ed17fa5c6cddd2d05" args="(LibofxContextPtr libofx_context, const char *s)" -->
+CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#ada0ed982ff7454ed17fa5c6cddd2d05">libofx_set_dtd_dir</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, const char *s)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT enum <br>
+<a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a">libofx_get_file_format_from_str</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], const char *file_type_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_get_file_type returns a proper enum from a file type string.  <a href="#5fef31e6dc9df467c269a860aa4af12a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#efc89267742d989b5f17708076807b5e">libofx_get_file_format_description</a> (const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> format_list[], enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">get_file_format_description returns a string description of a LibofxFileType.  <a href="#efc89267742d989b5f17708076807b5e"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805">libofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, const char *p_filename, enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> ftype)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">libofx_proc_file is the entry point of the library.  <a href="#f5c4a0387f06b5cccd483a1fd392f805"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">ofx_set_status_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">ofx_set_security_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a> cb, void *user_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, const char *s, unsigned int size)</td></tr>
+
+<tr><td colspan="2"><br><h2>Variables</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <br>
+<a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a> []</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <br>
+<a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">LibofxExportFormatList</a> []</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a> )(const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> stucture.  <a href="#50daae5a31dcfb84db8ede120f28c2db"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a> )(const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> stucture.  <a href="#1d20edeaa14f8da3dbeb98fb4af0aa0b"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a> )(const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> stucture.  <a href="#05780ed831281da04cc4c65682c1989f"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a> )(const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> stucture.  <a href="#35d231437fba371dcd4553c4c5c29901"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT typedef int(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a> )(const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The callback function for the <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> stucture.  <a href="#457cbf849ad1ac5914cfb8bdeaccf4d5"></a><br></td></tr>
+</table>
+<hr><h2>Enumeration Type Documentation</h2>
+<a class="anchor" name="526538786b3535e284f651da05768b23"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::FiIdCorrectionAction" ref="526538786b3535e284f651da05768b23" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913"></a><!-- doxytag: member="DELETE" ref="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913" args="" -->DELETE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91"></a><!-- doxytag: member="REPLACE" ref="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91" args="" -->REPLACE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913"></a><!-- doxytag: member="DELETE" ref="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913" args="" -->DELETE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91"></a><!-- doxytag: member="REPLACE" ref="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91" args="" -->REPLACE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913"></a><!-- doxytag: member="DELETE" ref="526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913" args="" -->DELETE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be deleted </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91"></a><!-- doxytag: member="REPLACE" ref="526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91" args="" -->REPLACE</em>&nbsp;</td><td>
+The transaction with a fi_id matching fi_id_corrected should be replaced with this one </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00410">410</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::InvTransactionType" ref="b81d18936ea1dd7ac5cd708a23a06a9a" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce"></a><!-- doxytag: member="OFX_BUYDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
+Buy debt security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d"></a><!-- doxytag: member="OFX_BUYMF" ref="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
+Buy mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af"></a><!-- doxytag: member="OFX_BUYOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
+Buy <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61"></a><!-- doxytag: member="OFX_BUYOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
+Buy other security type </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
+Buy stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
+Close a position for an <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4"></a><!-- doxytag: member="OFX_INCOME" ref="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4" args="" -->OFX_INCOME</em>&nbsp;</td><td>
+Investment income is realized as cash into the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
+Misc investment expense that is associated with a specific security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921"></a><!-- doxytag: member="OFX_JRNLFUND" ref="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
+Journaling cash holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34"></a><!-- doxytag: member="OFX_JRNLSEC" ref="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
+Journaling security holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
+Margin interest expense </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5"></a><!-- doxytag: member="OFX_REINVEST" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
+Reinvestment of income </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f"></a><!-- doxytag: member="OFX_RETOFCAP" ref="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
+Return of capital </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf"></a><!-- doxytag: member="OFX_SELLDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
+Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2"></a><!-- doxytag: member="OFX_SELLMF" ref="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
+Sell mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3"></a><!-- doxytag: member="OFX_SELLOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
+Sell <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
+Sell other type of security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
+Sell stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99"></a><!-- doxytag: member="OFX_SPLIT" ref="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
+Stock or mutial fund split </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1"></a><!-- doxytag: member="OFX_TRANSFER" ref="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
+Transfer holdings in and out of the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce"></a><!-- doxytag: member="OFX_BUYDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
+Buy debt security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d"></a><!-- doxytag: member="OFX_BUYMF" ref="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
+Buy mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af"></a><!-- doxytag: member="OFX_BUYOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
+Buy <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61"></a><!-- doxytag: member="OFX_BUYOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
+Buy other security type </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
+Buy stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
+Close a position for an <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4"></a><!-- doxytag: member="OFX_INCOME" ref="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4" args="" -->OFX_INCOME</em>&nbsp;</td><td>
+Investment income is realized as cash into the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
+Misc investment expense that is associated with a specific security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921"></a><!-- doxytag: member="OFX_JRNLFUND" ref="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
+Journaling cash holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34"></a><!-- doxytag: member="OFX_JRNLSEC" ref="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
+Journaling security holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
+Margin interest expense </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5"></a><!-- doxytag: member="OFX_REINVEST" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
+Reinvestment of income </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f"></a><!-- doxytag: member="OFX_RETOFCAP" ref="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
+Return of capital </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf"></a><!-- doxytag: member="OFX_SELLDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
+Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2"></a><!-- doxytag: member="OFX_SELLMF" ref="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
+Sell mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3"></a><!-- doxytag: member="OFX_SELLOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
+Sell <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
+Sell other type of security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
+Sell stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99"></a><!-- doxytag: member="OFX_SPLIT" ref="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
+Stock or mutial fund split </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1"></a><!-- doxytag: member="OFX_TRANSFER" ref="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
+Transfer holdings in and out of the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce"></a><!-- doxytag: member="OFX_BUYDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce" args="" -->OFX_BUYDEBT</em>&nbsp;</td><td>
+Buy debt security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d"></a><!-- doxytag: member="OFX_BUYMF" ref="b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d" args="" -->OFX_BUYMF</em>&nbsp;</td><td>
+Buy mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af"></a><!-- doxytag: member="OFX_BUYOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af" args="" -->OFX_BUYOPT</em>&nbsp;</td><td>
+Buy <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61"></a><!-- doxytag: member="OFX_BUYOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61" args="" -->OFX_BUYOTHER</em>&nbsp;</td><td>
+Buy other security type </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067"></a><!-- doxytag: member="OFX_BUYSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067" args="" -->OFX_BUYSTOCK</em>&nbsp;</td><td>
+Buy stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15"></a><!-- doxytag: member="OFX_CLOSUREOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15" args="" -->OFX_CLOSUREOPT</em>&nbsp;</td><td>
+Close a position for an <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4"></a><!-- doxytag: member="OFX_INCOME" ref="b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4" args="" -->OFX_INCOME</em>&nbsp;</td><td>
+Investment income is realized as cash into the investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301"></a><!-- doxytag: member="OFX_INVEXPENSE" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301" args="" -->OFX_INVEXPENSE</em>&nbsp;</td><td>
+Misc investment expense that is associated with a specific security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921"></a><!-- doxytag: member="OFX_JRNLFUND" ref="b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921" args="" -->OFX_JRNLFUND</em>&nbsp;</td><td>
+Journaling cash holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34"></a><!-- doxytag: member="OFX_JRNLSEC" ref="b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34" args="" -->OFX_JRNLSEC</em>&nbsp;</td><td>
+Journaling security holdings between subaccounts within the same investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670"></a><!-- doxytag: member="OFX_MARGININTEREST" ref="b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670" args="" -->OFX_MARGININTEREST</em>&nbsp;</td><td>
+Margin interest expense </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5"></a><!-- doxytag: member="OFX_REINVEST" ref="b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5" args="" -->OFX_REINVEST</em>&nbsp;</td><td>
+Reinvestment of income </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f"></a><!-- doxytag: member="OFX_RETOFCAP" ref="b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f" args="" -->OFX_RETOFCAP</em>&nbsp;</td><td>
+Return of capital </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf"></a><!-- doxytag: member="OFX_SELLDEBT" ref="b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf" args="" -->OFX_SELLDEBT</em>&nbsp;</td><td>
+Sell debt security. Used when debt is sold, called, or reached maturity </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2"></a><!-- doxytag: member="OFX_SELLMF" ref="b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2" args="" -->OFX_SELLMF</em>&nbsp;</td><td>
+Sell mutual fund </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3"></a><!-- doxytag: member="OFX_SELLOPT" ref="b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3" args="" -->OFX_SELLOPT</em>&nbsp;</td><td>
+Sell <a class="el" href="structoption.html">option</a> </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7"></a><!-- doxytag: member="OFX_SELLOTHER" ref="b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7" args="" -->OFX_SELLOTHER</em>&nbsp;</td><td>
+Sell other type of security </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c"></a><!-- doxytag: member="OFX_SELLSTOCK" ref="b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c" args="" -->OFX_SELLSTOCK</em>&nbsp;</td><td>
+Sell stock </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99"></a><!-- doxytag: member="OFX_SPLIT" ref="b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99" args="" -->OFX_SPLIT</em>&nbsp;</td><td>
+Stock or mutial fund split </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1"></a><!-- doxytag: member="OFX_TRANSFER" ref="b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1" args="" -->OFX_TRANSFER</em>&nbsp;</td><td>
+Transfer holdings in and out of the investment account </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00388">388</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="954c5e33f48105c5d932d4842e7736de"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LibofxFileFormat" ref="954c5e33f48105c5d932d4842e7736de" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+List of possible file formats <dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0"></a><!-- doxytag: member="AUTODETECT" ref="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0" args="" -->AUTODETECT</em>&nbsp;</td><td>
+Not really a file format, used to tell the library to try to autodetect the format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d"></a><!-- doxytag: member="OFX" ref="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d" args="" -->OFX</em>&nbsp;</td><td>
+Open Financial eXchange (OFX/QFX) file </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7"></a><!-- doxytag: member="OFC" ref="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7" args="" -->OFC</em>&nbsp;</td><td>
+Microsoft Open Financial Connectivity (OFC) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06"></a><!-- doxytag: member="QIF" ref="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06" args="" -->QIF</em>&nbsp;</td><td>
+Intuit Quicken Interchange Format (QIF) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c"></a><!-- doxytag: member="UNKNOWN" ref="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c" args="" -->UNKNOWN</em>&nbsp;</td><td>
+Unknown file format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33"></a><!-- doxytag: member="LAST" ref="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33" args="" -->LAST</em>&nbsp;</td><td>
+Not a file format, meant as a loop breaking condition </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0"></a><!-- doxytag: member="AUTODETECT" ref="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0" args="" -->AUTODETECT</em>&nbsp;</td><td>
+Not really a file format, used to tell the library to try to autodetect the format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d"></a><!-- doxytag: member="OFX" ref="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d" args="" -->OFX</em>&nbsp;</td><td>
+Open Financial eXchange (OFX/QFX) file </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7"></a><!-- doxytag: member="OFC" ref="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7" args="" -->OFC</em>&nbsp;</td><td>
+Microsoft Open Financial Connectivity (OFC) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06"></a><!-- doxytag: member="QIF" ref="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06" args="" -->QIF</em>&nbsp;</td><td>
+Intuit Quicken Interchange Format (QIF) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c"></a><!-- doxytag: member="UNKNOWN" ref="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c" args="" -->UNKNOWN</em>&nbsp;</td><td>
+Unknown file format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33"></a><!-- doxytag: member="LAST" ref="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33" args="" -->LAST</em>&nbsp;</td><td>
+Not a file format, meant as a loop breaking condition </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0"></a><!-- doxytag: member="AUTODETECT" ref="954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0" args="" -->AUTODETECT</em>&nbsp;</td><td>
+Not really a file format, used to tell the library to try to autodetect the format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d"></a><!-- doxytag: member="OFX" ref="954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d" args="" -->OFX</em>&nbsp;</td><td>
+Open Financial eXchange (OFX/QFX) file </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7"></a><!-- doxytag: member="OFC" ref="954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7" args="" -->OFC</em>&nbsp;</td><td>
+Microsoft Open Financial Connectivity (OFC) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06"></a><!-- doxytag: member="QIF" ref="954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06" args="" -->QIF</em>&nbsp;</td><td>
+Intuit Quicken Interchange Format (QIF) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c"></a><!-- doxytag: member="UNKNOWN" ref="954c5e33f48105c5d932d4842e7736de6ce26a62afab55d7606ad4e92428b30c" args="" -->UNKNOWN</em>&nbsp;</td><td>
+Unknown file format </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33"></a><!-- doxytag: member="LAST" ref="954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33" args="" -->LAST</em>&nbsp;</td><td>
+Not a file format, meant as a loop breaking condition </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00114">114</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="a7a2e64697569804f14626bbb2649a58"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::TransactionType" ref="a7a2e64697569804f14626bbb2649a58" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3"></a><!-- doxytag: member="OFX_CREDIT" ref="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
+Generic credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a"></a><!-- doxytag: member="OFX_DEBIT" ref="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
+Generic debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce"></a><!-- doxytag: member="OFX_INT" ref="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce" args="" -->OFX_INT</em>&nbsp;</td><td>
+Interest earned or paid (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482"></a><!-- doxytag: member="OFX_DIV" ref="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482" args="" -->OFX_DIV</em>&nbsp;</td><td>
+Dividend </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b"></a><!-- doxytag: member="OFX_FEE" ref="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b" args="" -->OFX_FEE</em>&nbsp;</td><td>
+FI fee </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2"></a><!-- doxytag: member="OFX_SRVCHG" ref="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
+Service charge </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d"></a><!-- doxytag: member="OFX_DEP" ref="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d" args="" -->OFX_DEP</em>&nbsp;</td><td>
+Deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce"></a><!-- doxytag: member="OFX_ATM" ref="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce" args="" -->OFX_ATM</em>&nbsp;</td><td>
+ATM debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e"></a><!-- doxytag: member="OFX_POS" ref="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e" args="" -->OFX_POS</em>&nbsp;</td><td>
+Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6"></a><!-- doxytag: member="OFX_XFER" ref="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6" args="" -->OFX_XFER</em>&nbsp;</td><td>
+Transfer </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02"></a><!-- doxytag: member="OFX_CHECK" ref="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02" args="" -->OFX_CHECK</em>&nbsp;</td><td>
+Check </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3"></a><!-- doxytag: member="OFX_PAYMENT" ref="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
+Electronic payment </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a"></a><!-- doxytag: member="OFX_CASH" ref="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a" args="" -->OFX_CASH</em>&nbsp;</td><td>
+Cash withdrawal </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
+Direct deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
+Merchant initiated debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf"></a><!-- doxytag: member="OFX_REPEATPMT" ref="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
+Repeating payment/standing order </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101"></a><!-- doxytag: member="OFX_OTHER" ref="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101" args="" -->OFX_OTHER</em>&nbsp;</td><td>
+Somer other type of transaction </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3"></a><!-- doxytag: member="OFX_CREDIT" ref="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
+Generic credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a"></a><!-- doxytag: member="OFX_DEBIT" ref="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
+Generic debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce"></a><!-- doxytag: member="OFX_INT" ref="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce" args="" -->OFX_INT</em>&nbsp;</td><td>
+Interest earned or paid (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482"></a><!-- doxytag: member="OFX_DIV" ref="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482" args="" -->OFX_DIV</em>&nbsp;</td><td>
+Dividend </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b"></a><!-- doxytag: member="OFX_FEE" ref="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b" args="" -->OFX_FEE</em>&nbsp;</td><td>
+FI fee </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2"></a><!-- doxytag: member="OFX_SRVCHG" ref="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
+Service charge </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d"></a><!-- doxytag: member="OFX_DEP" ref="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d" args="" -->OFX_DEP</em>&nbsp;</td><td>
+Deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce"></a><!-- doxytag: member="OFX_ATM" ref="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce" args="" -->OFX_ATM</em>&nbsp;</td><td>
+ATM debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e"></a><!-- doxytag: member="OFX_POS" ref="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e" args="" -->OFX_POS</em>&nbsp;</td><td>
+Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6"></a><!-- doxytag: member="OFX_XFER" ref="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6" args="" -->OFX_XFER</em>&nbsp;</td><td>
+Transfer </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02"></a><!-- doxytag: member="OFX_CHECK" ref="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02" args="" -->OFX_CHECK</em>&nbsp;</td><td>
+Check </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3"></a><!-- doxytag: member="OFX_PAYMENT" ref="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
+Electronic payment </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a"></a><!-- doxytag: member="OFX_CASH" ref="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a" args="" -->OFX_CASH</em>&nbsp;</td><td>
+Cash withdrawal </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
+Direct deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
+Merchant initiated debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf"></a><!-- doxytag: member="OFX_REPEATPMT" ref="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
+Repeating payment/standing order </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101"></a><!-- doxytag: member="OFX_OTHER" ref="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101" args="" -->OFX_OTHER</em>&nbsp;</td><td>
+Somer other type of transaction </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3"></a><!-- doxytag: member="OFX_CREDIT" ref="a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3" args="" -->OFX_CREDIT</em>&nbsp;</td><td>
+Generic credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a"></a><!-- doxytag: member="OFX_DEBIT" ref="a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a" args="" -->OFX_DEBIT</em>&nbsp;</td><td>
+Generic debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce"></a><!-- doxytag: member="OFX_INT" ref="a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce" args="" -->OFX_INT</em>&nbsp;</td><td>
+Interest earned or paid (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482"></a><!-- doxytag: member="OFX_DIV" ref="a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482" args="" -->OFX_DIV</em>&nbsp;</td><td>
+Dividend </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b"></a><!-- doxytag: member="OFX_FEE" ref="a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b" args="" -->OFX_FEE</em>&nbsp;</td><td>
+FI fee </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2"></a><!-- doxytag: member="OFX_SRVCHG" ref="a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2" args="" -->OFX_SRVCHG</em>&nbsp;</td><td>
+Service charge </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d"></a><!-- doxytag: member="OFX_DEP" ref="a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d" args="" -->OFX_DEP</em>&nbsp;</td><td>
+Deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce"></a><!-- doxytag: member="OFX_ATM" ref="a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce" args="" -->OFX_ATM</em>&nbsp;</td><td>
+ATM debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e"></a><!-- doxytag: member="OFX_POS" ref="a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e" args="" -->OFX_POS</em>&nbsp;</td><td>
+Point of sale debit or credit (Note: Depends on signage of amount) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6"></a><!-- doxytag: member="OFX_XFER" ref="a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6" args="" -->OFX_XFER</em>&nbsp;</td><td>
+Transfer </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02"></a><!-- doxytag: member="OFX_CHECK" ref="a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02" args="" -->OFX_CHECK</em>&nbsp;</td><td>
+Check </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3"></a><!-- doxytag: member="OFX_PAYMENT" ref="a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3" args="" -->OFX_PAYMENT</em>&nbsp;</td><td>
+Electronic payment </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a"></a><!-- doxytag: member="OFX_CASH" ref="a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a" args="" -->OFX_CASH</em>&nbsp;</td><td>
+Cash withdrawal </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed"></a><!-- doxytag: member="OFX_DIRECTDEP" ref="a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed" args="" -->OFX_DIRECTDEP</em>&nbsp;</td><td>
+Direct deposit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef"></a><!-- doxytag: member="OFX_DIRECTDEBIT" ref="a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef" args="" -->OFX_DIRECTDEBIT</em>&nbsp;</td><td>
+Merchant initiated debit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf"></a><!-- doxytag: member="OFX_REPEATPMT" ref="a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf" args="" -->OFX_REPEATPMT</em>&nbsp;</td><td>
+Repeating payment/standing order </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101"></a><!-- doxytag: member="OFX_OTHER" ref="a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101" args="" -->OFX_OTHER</em>&nbsp;</td><td>
+Somer other type of transaction </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00368">368</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<hr><h2>Function Documentation</h2>
+<a class="anchor" name="e76c85ae1e58b1bb41abf7eb3aca0baf"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_free_context" ref="e76c85ae1e58b1bb41abf7eb3aca0baf" args="(LibofxContextPtr)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_free_context           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Free all ressources used by this context. 
+<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>0 if successfull. </dd></dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00144">144</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="efc89267742d989b5f17708076807b5e"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_get_file_format_description" ref="efc89267742d989b5f17708076807b5e" args="(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT const char* libofx_get_file_format_description           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>file_format</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+get_file_format_description returns a string description of a LibofxFileType. 
+<p>
+The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList  The file format which should match one of the formats in the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>null terminated string suitable for debugging output or user communication. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00037">37</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5fef31e6dc9df467c269a860aa4af12a"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_get_file_format_from_str" ref="5fef31e6dc9df467c269a860aa4af12a" args="(const struct LibofxFileFormatInfo format_list[], const char *file_type_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> libofx_get_file_format_from_str           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a>&nbsp;</td>
+          <td class="paramname"> <em>format_list</em>[], </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>file_type_string</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+libofx_get_file_type returns a proper enum from a file type string. 
+<p>
+The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList  The string which contain the file format matching one of the format_name of the list. <dl class="return" compact><dt><b>Returns:</b></dt><dd>the file format, or UNKNOWN if the format wasn't recognised. </dd></dl>
+
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00054">54</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e2f086d4e5fdf4b314640ea8fed400b0"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_get_new_context" ref="e2f086d4e5fdf4b314640ea8fed400b0" args="()" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_get_new_context           </td>
+          <td>(</td>
+          <td class="paramname">          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Initialise the library and return a new context. 
+<p>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>the new context, to be used by the other functions.</dd></dl>
+<dl class="note" compact><dt><b>Note:</b></dt><dd>: Actual object returned is <a class="el" href="classLibofxContext.html">LibofxContext</a> * </dd></dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00140">140</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="02ee3c0b61d866f98fd0f15775d06895"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_proc_buffer" ref="02ee3c0b61d866f98fd0f15775d06895" args="(LibofxContextPtr ctx, const char *s, unsigned int size)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_buffer           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>s</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">unsigned int&nbsp;</td>
+          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Parses the content of the given buffer. 
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00280">280</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f5c4a0387f06b5cccd483a1fd392f805"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_proc_file" ref="f5c4a0387f06b5cccd483a1fd392f805" args="(LibofxContextPtr libofx_context, const char *p_filename, enum LibofxFileFormat ftype)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td>
+          <td class="paramname"> <em>ftype</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+libofx_proc_file is the entry point of the library. 
+<p>
+libofx_proc_file must be called by the client, with a list of 1 or more OFX files to be parsed in command line format. 
+<p>Definition at line <a class="el" href="file__preproc_8cpp-source.html#l00067">67</a> of file <a class="el" href="file__preproc_8cpp-source.html">file_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="24821dd5f7269d3b58e6bbaeb0bf0449"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_request_accountinfo" ref="24821dd5f7269d3b58e6bbaeb0bf0449" args="(const struct OfxFiLogin *login)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT char* libofx_request_accountinfo           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *&nbsp;</td>
+          <td class="paramname"> <em>login</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates an OFX account info (list) request in string form. 
+<p>
+Creates a string which should be passed to an OFX server. This string is an OFX request suitable to retrieve a list of accounts from the <code>fi</code> <p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>Identifies the financial institution and the user logging in. </td></tr>
+  </table>
+</dl>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free. </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="8095d04a045a8f0bdfd5c32ea6f1638d"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::libofx_request_statement" ref="8095d04a045a8f0bdfd5c32ea6f1638d" args="(const struct OfxFiLogin *fi, const struct OfxAccountData *account, time_t date_from)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT char* libofx_request_statement           </td>
+          <td>(</td>
+          <td class="paramtype">const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *&nbsp;</td>
+          <td class="paramname"> <em>fi</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td>
+          <td class="paramname"> <em>account</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">time_t&nbsp;</td>
+          <td class="paramname"> <em>date_from</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Creates an OFX statement request in string form. 
+<p>
+Creates a string which should be passed to an OFX server. This string is an OFX request suitable to retrieve a statement for the <code>account</code> from the <code>fi</code> <p>
+<dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>fi</em>&nbsp;</td><td>Identifies the financial institution and the user logging in. </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>account</em>&nbsp;</td><td>Idenfities the account for which a statement is desired </td></tr>
+  </table>
+</dl>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>string pointer to the request. This is allocated via malloc(), and is the callers responsibility to free. </dd></dl>
+
+</div>
+</div><p>
+<a class="anchor" name="2bdf268c693b4cadf88a19796c026a2c"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::ofx_set_account_cb" ref="2bdf268c693b4cadf88a19796c026a2c" args="(LibofxContextPtr ctx, LibofxProcAccountCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_account_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Set the account callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>ctx</em>&nbsp;</td><td>context </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>cb</em>&nbsp;</td><td>callback function </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>user_data</em>&nbsp;</td><td>user data to be passed to the callback </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00169">169</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="841a0f012607c0e1b6053e7e5dce34a8"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::ofx_set_security_cb" ref="841a0f012607c0e1b6053e7e5dce34a8" args="(LibofxContextPtr ctx, LibofxProcSecurityCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_security_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Set the security callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>ctx</em>&nbsp;</td><td>context </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>cb</em>&nbsp;</td><td>callback function </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>user_data</em>&nbsp;</td><td>user data to be passed to the callback </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00177">177</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="afd8ce6626b070ec64479e7993e6fc07"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::ofx_set_statement_cb" ref="afd8ce6626b070ec64479e7993e6fc07" args="(LibofxContextPtr ctx, LibofxProcStatementCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_statement_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Set the statement callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>ctx</em>&nbsp;</td><td>context </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>cb</em>&nbsp;</td><td>callback function </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>user_data</em>&nbsp;</td><td>user data to be passed to the callback </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00193">193</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c9e39dac5b93d9db8ee699f3809a0c79"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::ofx_set_status_cb" ref="c9e39dac5b93d9db8ee699f3809a0c79" args="(LibofxContextPtr ctx, LibofxProcStatusCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_status_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Set the status callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>ctx</em>&nbsp;</td><td>context </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>cb</em>&nbsp;</td><td>callback function </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>user_data</em>&nbsp;</td><td>user data to be passed to the callback </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00162">162</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="0f47dac1e503298ff60e9d6bdc5a5775"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::ofx_set_transaction_cb" ref="0f47dac1e503298ff60e9d6bdc5a5775" args="(LibofxContextPtr ctx, LibofxProcTransactionCallback cb, void *user_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT void ofx_set_transaction_cb           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a>&nbsp;</td>
+          <td class="paramname"> <em>cb</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">void *&nbsp;</td>
+          <td class="paramname"> <em>user_data</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Set the transaction callback in the given context. <dl compact><dt><b>Parameters:</b></dt><dd>
+  <table border="0" cellspacing="2" cellpadding="0">
+    <tr><td valign="top"></td><td valign="top"><em>ctx</em>&nbsp;</td><td>context </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>cb</em>&nbsp;</td><td>callback function </td></tr>
+    <tr><td valign="top"></td><td valign="top"><em>user_data</em>&nbsp;</td><td>user data to be passed to the callback </td></tr>
+  </table>
+</dl>
+
+<p>Definition at line <a class="el" href="context_8cpp-source.html#l00185">185</a> of file <a class="el" href="context_8cpp-source.html">context.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr><h2>Variable Documentation</h2>
+<a class="anchor" name="a82489ca2279144569727138feb344e8"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LibofxExportFormatList" ref="a82489ca2279144569727138feb344e8" args="[]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#a82489ca2279144569727138feb344e8">LibofxExportFormatList</a>[]          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<b>Initial value:</b><div class="fragment"><pre class="fragment"> 
+{
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+}
+</pre></div>
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00140">140</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b1ad431f1a4db406c34db2833ca80748"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LibofxImportFormatList" ref="b1ad431f1a4db406c34db2833ca80748" args="[]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structLibofxFileFormatInfo.html">LibofxFileFormatInfo</a> <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[]          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+<b>Initial value:</b><div class="fragment"><pre class="fragment"> 
+{
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de9e87dd56d47acdcc5f86eedf6ae0f7a0">AUTODETECT</a>, <span class="stringliteral">"AUTODETECT"</span>, <span class="stringliteral">"AUTODETECT (File format will be automatically detected later)"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>, <span class="stringliteral">"OFX"</span>, <span class="stringliteral">"OFX (Open Financial eXchange (OFX or QFX))"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>, <span class="stringliteral">"OFC"</span>, <span class="stringliteral">"OFC (Microsoft Open Financial Connectivity)"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de24ab5a4575ba12cefc5ee7e1a4074a06">QIF</a>, <span class="stringliteral">"QIF"</span>, <span class="stringliteral">"QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"</span>},
+{<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>, <span class="stringliteral">"LAST"</span>, <span class="stringliteral">"Not a file format, meant as a loop breaking condition"</span>}
+}
+</pre></div>
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00131">131</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="1d20edeaa14f8da3dbeb98fb4af0aa0b"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LibofxProcAccountCallback" ref="1d20edeaa14f8da3dbeb98fb4af0aa0b" args=")(const struct OfxAccountData data, void *account_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#1d20edeaa14f8da3dbeb98fb4af0aa0b">LibofxProcAccountCallback</a>)(const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> stucture. 
+<p>
+The ofx_proc_account_cb event is always generated first, to allow the application to create accounts or ask the user to match an existing account before the ofx_proc_statement and ofx_proc_transaction event are received. An <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> is passed to this event.<p>
+Note however that this <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> structure will also be available as part of <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> structure passed to ofx_proc_statement event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00310">310</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="05780ed831281da04cc4c65682c1989f"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LibofxProcSecurityCallback" ref="05780ed831281da04cc4c65682c1989f" args=")(const struct OfxSecurityData data, void *security_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#05780ed831281da04cc4c65682c1989f">LibofxProcSecurityCallback</a>)(const struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> stucture. 
+<p>
+An ofx_proc_security_cb event is generated for any securities listed in the ofx file. It is generated after ofx_proc_statement but before ofx_proc_transaction. It is meant to be used to allow the client to create a new commodity or security (such as a new stock type). Please note however that this information is usually also available as part of each OfxtransactionData. An <a class="el" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00366">366</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="457cbf849ad1ac5914cfb8bdeaccf4d5"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LibofxProcStatementCallback" ref="457cbf849ad1ac5914cfb8bdeaccf4d5" args=")(const struct OfxStatementData data, void *statement_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#457cbf849ad1ac5914cfb8bdeaccf4d5">LibofxProcStatementCallback</a>)(const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> stucture. 
+<p>
+The ofx_proc_statement_cb event is sent after all ofx_proc_transaction events have been sent. An <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00622">622</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="50daae5a31dcfb84db8ede120f28c2db"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LibofxProcStatusCallback" ref="50daae5a31dcfb84db8ede120f28c2db" args=")(const struct OfxStatusData data, void *status_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#50daae5a31dcfb84db8ede120f28c2db">LibofxProcStatusCallback</a>)(const struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> stucture. 
+<p>
+An ofx_proc_status_cb event is sent everytime the server has generated a OFX STATUS element. As such, it could be received at any time(but not during other events). An <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00234">234</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="35d231437fba371dcd4553c4c5c29901"></a><!-- doxytag: member="libofx-0.9.0/inc/libofx.h::LibofxProcTransactionCallback" ref="35d231437fba371dcd4553c4c5c29901" args=")(const struct OfxTransactionData data, void *transaction_data)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT typedef int(* <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#35d231437fba371dcd4553c4c5c29901">LibofxProcTransactionCallback</a>)(const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The callback function for the <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> stucture. 
+<p>
+An ofx_proc_transaction_cb event is generated for every transaction in the ofx response, after ofx_proc_statement (and possibly ofx_proc_security is generated. An <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> structure is passed to this event, as well as a pointer to an arbitrary data structure. 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00553">553</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== modified file 'doc/html/main.html'
--- doc/html/main.html	2006-10-20 13:12:33 +0000
+++ doc/html/main.html	2008-02-06 17:25:16 +0000
@@ -1,17 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
-<title>LibOFX: LibOFX developer&apos;s manual</title>
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: LibOFX developer&#39;s manual</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
-    <li id="current"><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li class="current"><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>LibOFX developer's manual</h1>
 <p>
 <h2><a class="anchor" name="intro">
@@ -22,17 +23,17 @@
 API documentation</a></h3>
 If you are only interested in the API. It's covered entirely in the libofx.h section.<h3><a class="anchor" name="ofxdump">
 ofxdump documentation</a></h3>
-The user documentation for the ofxdump utility is on the <a class="el" href="ofxdump_8cpp.html">ofxdump.cpp</a> page.<h3><a class="anchor" name="ofx2qif">
+The user documentation for the ofxdump utility is on the <a class="el" href="ofxdump_8cpp.html" title="Code for ofxdump utility. C++ example code.">ofxdump.cpp</a> page.<h3><a class="anchor" name="ofx2qif">
 ofx2qif documentation</a></h3>
-The user documentation for the ofx2qif converter is on the <a class="el" href="ofx2qif_8c.html">ofx2qif.c</a> page.<h2><a class="anchor" name="contact">
+The user documentation for the ofx2qif converter is on the <a class="el" href="ofx2qif_8c.html" title="Code for ofx2qif utility. C example code.">ofx2qif.c</a> page.<h2><a class="anchor" name="contact">
 Contacts</a></h2>
 <h3><a class="anchor" name="web">
 Web Site</a></h3>
 News about LibOFX as well as the latest version can always be found at <a href="http://libofx.sourceforge.net/">http://libofx.sourceforge.net/</a><h3><a class="anchor" name="email">
 Email</a></h3>
 If you have any questions not covered in this documentation or the web site, do not hesitate to email me:<p>
-Benoit Grgoire mailto:<a href="mailto:bock@step.polymtl.ca">bock@step.polymtl.ca</a> <hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:21 2006 for LibOFX by&nbsp;
+Benoit Grgoire mailto:<a href="mailto:bock@step.polymtl.ca">bock@step.polymtl.ca</a> <hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/main__doc_8c-source.html'
--- doc/html/main__doc_8c-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/main__doc_8c-source.html	2008-02-06 17:25:16 +0000
@@ -1,25 +1,21 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: main_doc.c Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>main_doc.c</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/messages_8cpp-source.html'
--- doc/html/messages_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/messages_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: messages.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>messages.cpp</h1><a href="messages_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_messages.cpp  </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -35,30 +31,30 @@
 <a name="l00019"></a>00019 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00020"></a>00020 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00021"></a>00021 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00022"></a>00022 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00023"></a>00023 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
 <a name="l00024"></a>00024 
-<a name="l00025"></a><a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">00025</a> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>; 
-<a name="l00026"></a><a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">00026</a> SGMLApplication::Position <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>; 
-<a name="l00028"></a><a class="code" href="messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">00028</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">ofx_PARSER_msg</a> = <span class="keyword">false</span>; 
-<a name="l00029"></a><a class="code" href="messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">00029</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">ofx_DEBUG_msg</a> = <span class="keyword">false</span>;
-<a name="l00030"></a><a class="code" href="messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">00030</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">ofx_DEBUG1_msg</a> = <span class="keyword">false</span>;
-<a name="l00031"></a><a class="code" href="messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">00031</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">ofx_DEBUG2_msg</a> = <span class="keyword">false</span>;
-<a name="l00032"></a><a class="code" href="messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">00032</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">ofx_DEBUG3_msg</a> = <span class="keyword">false</span>;
-<a name="l00033"></a><a class="code" href="messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">00033</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">ofx_DEBUG4_msg</a> = <span class="keyword">false</span>;
-<a name="l00034"></a><a class="code" href="messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">00034</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">ofx_DEBUG5_msg</a> = <span class="keyword">false</span>;
-<a name="l00035"></a><a class="code" href="messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">00035</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">ofx_STATUS_msg</a> = <span class="keyword">false</span>;
-<a name="l00036"></a><a class="code" href="messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">00036</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">ofx_INFO_msg</a> = <span class="keyword">false</span>;
-<a name="l00037"></a><a class="code" href="messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">00037</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">ofx_WARNING_msg</a> = <span class="keyword">false</span>;
-<a name="l00038"></a><a class="code" href="messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">00038</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">ofx_ERROR_msg</a> = <span class="keyword">false</span>;
-<a name="l00039"></a><a class="code" href="messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">00039</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">ofx_show_position</a> = <span class="keyword">true</span>;
-<a name="l00041"></a><a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">00041</a> <span class="keywordtype">void</span> <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>()
+<a name="l00025"></a><a class="code" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">00025</a> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>; 
+<a name="l00026"></a><a class="code" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">00026</a> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>; 
+<a name="l00028"></a><a class="code" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">00028</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a> = <span class="keyword">false</span>; 
+<a name="l00029"></a><a class="code" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">00029</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a> = <span class="keyword">false</span>;
+<a name="l00030"></a><a class="code" href="messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">00030</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a> = <span class="keyword">false</span>;
+<a name="l00031"></a><a class="code" href="messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">00031</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a> = <span class="keyword">false</span>;
+<a name="l00032"></a><a class="code" href="messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">00032</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a> = <span class="keyword">false</span>;
+<a name="l00033"></a><a class="code" href="messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">00033</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a> = <span class="keyword">false</span>;
+<a name="l00034"></a><a class="code" href="messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">00034</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a> = <span class="keyword">false</span>;
+<a name="l00035"></a><a class="code" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">00035</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a> = <span class="keyword">false</span>;
+<a name="l00036"></a><a class="code" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">00036</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a> = <span class="keyword">false</span>;
+<a name="l00037"></a><a class="code" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">00037</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a> = <span class="keyword">false</span>;
+<a name="l00038"></a><a class="code" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">00038</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a> = <span class="keyword">false</span>;
+<a name="l00039"></a><a class="code" href="messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">00039</a> <span class="keyword">volatile</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> = <span class="keyword">true</span>;
+<a name="l00041"></a><a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">00041</a> <span class="keywordtype">void</span> <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>()
 <a name="l00042"></a>00042 {
-<a name="l00043"></a>00043   <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>;
-<a name="l00044"></a>00044   <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>;
+<a name="l00043"></a>00043   <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>;
+<a name="l00044"></a>00044   <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>;
 <a name="l00045"></a>00045 
 <a name="l00046"></a>00046 
-<a name="l00047"></a>00047   <span class="keywordflow">if</span>((<a class="code" href="messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">ofx_show_position</a> == <span class="keyword">true</span>))
+<a name="l00047"></a>00047   <span class="keywordflow">if</span>((<a class="code" href="messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> == <span class="keyword">true</span>))
 <a name="l00048"></a>00048     {
 <a name="l00049"></a>00049       SGMLApplication::Location *location = <span class="keyword">new</span> SGMLApplication::Location(entity_ptr, position);
 <a name="l00050"></a>00050       cerr &lt;&lt; <span class="stringliteral">"(Above message occured on Line "</span>&lt;&lt;location-&gt;lineNumber&lt;&lt;<span class="stringliteral">", Column "</span>&lt;&lt;location-&gt;columnNumber&lt;&lt;<span class="stringliteral">")"</span>&lt;&lt;endl;
@@ -66,87 +62,87 @@
 <a name="l00052"></a>00052     }
 <a name="l00053"></a>00053 }
 <a name="l00054"></a>00054 
-<a name="l00058"></a><a class="code" href="fx-0_88_82_2lib_2messages_8hh.html#15597c0646783f472203d52c3f7e581a">00058</a> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> error_type, <span class="keyword">const</span> string message)
+<a name="l00058"></a><a class="code" href="fx-0_89_80_2lib_2messages_8hh.html#6f56d85178951a91c7a06ea0538aa2d4">00058</a> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type, <span class="keyword">const</span> <span class="keywordtype">string</span> message)
 <a name="l00059"></a>00059 {
 <a name="l00060"></a>00060 
 <a name="l00061"></a>00061 
 <a name="l00062"></a>00062   <span class="keywordflow">switch</span>  (error_type){
-<a name="l00063"></a>00063   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a> :
-<a name="l00064"></a>00064     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">ofx_DEBUG_msg</a>==<span class="keyword">true</span>){
+<a name="l00063"></a>00063   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a> :
+<a name="l00064"></a>00064     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a>==<span class="keyword">true</span>){
 <a name="l00065"></a>00065       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00066"></a>00066       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00066"></a>00066       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00067"></a>00067     }
 <a name="l00068"></a>00068     <span class="keywordflow">break</span>;
-<a name="l00069"></a>00069   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252">DEBUG1</a> :
-<a name="l00070"></a>00070     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">ofx_DEBUG1_msg</a>==<span class="keyword">true</span>){
+<a name="l00069"></a>00069   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a> :
+<a name="l00070"></a>00070     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a>==<span class="keyword">true</span>){
 <a name="l00071"></a>00071       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG1: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00072"></a>00072       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00072"></a>00072       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00073"></a>00073     }
 <a name="l00074"></a>00074     <span class="keywordflow">break</span>;
-<a name="l00075"></a>00075   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719">DEBUG2</a> :
-<a name="l00076"></a>00076     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">ofx_DEBUG2_msg</a>==<span class="keyword">true</span>){
+<a name="l00075"></a>00075   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a> :
+<a name="l00076"></a>00076     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a>==<span class="keyword">true</span>){
 <a name="l00077"></a>00077       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG2: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00078"></a>00078       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00078"></a>00078       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00079"></a>00079     }
 <a name="l00080"></a>00080     <span class="keywordflow">break</span>;
-<a name="l00081"></a>00081   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252">DEBUG3</a> :
-<a name="l00082"></a>00082     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">ofx_DEBUG3_msg</a>==<span class="keyword">true</span>){
+<a name="l00081"></a>00081   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a> :
+<a name="l00082"></a>00082     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a>==<span class="keyword">true</span>){
 <a name="l00083"></a>00083       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG3: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00084"></a>00084       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00084"></a>00084       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00085"></a>00085     }
 <a name="l00086"></a>00086     <span class="keywordflow">break</span>;
-<a name="l00087"></a>00087   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">DEBUG4</a> :
-<a name="l00088"></a>00088     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">ofx_DEBUG4_msg</a>==<span class="keyword">true</span>){
+<a name="l00087"></a>00087   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a> :
+<a name="l00088"></a>00088     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a>==<span class="keyword">true</span>){
 <a name="l00089"></a>00089       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG4: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00090"></a>00090       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00090"></a>00090       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00091"></a>00091     }
 <a name="l00092"></a>00092     <span class="keywordflow">break</span>;
-<a name="l00093"></a>00093   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf">DEBUG5</a> :
-<a name="l00094"></a>00094     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">ofx_DEBUG5_msg</a>==<span class="keyword">true</span>){
+<a name="l00093"></a>00093   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a> :
+<a name="l00094"></a>00094     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a>==<span class="keyword">true</span>){
 <a name="l00095"></a>00095       cerr &lt;&lt; <span class="stringliteral">"LibOFX DEBUG5: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00096"></a>00096       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00096"></a>00096       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00097"></a>00097     }
 <a name="l00098"></a>00098     <span class="keywordflow">break</span>;
-<a name="l00099"></a>00099   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">STATUS</a> :
-<a name="l00100"></a>00100     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">ofx_STATUS_msg</a>==<span class="keyword">true</span>){
+<a name="l00099"></a>00099   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> :
+<a name="l00100"></a>00100     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a>==<span class="keyword">true</span>){
 <a name="l00101"></a>00101       cerr &lt;&lt; <span class="stringliteral">"LibOFX STATUS: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00103"></a>00103     }
 <a name="l00104"></a>00104     <span class="keywordflow">break</span>;
-<a name="l00105"></a>00105   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a> :
-<a name="l00106"></a>00106     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">ofx_INFO_msg</a>==<span class="keyword">true</span>){
+<a name="l00105"></a>00105   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a> :
+<a name="l00106"></a>00106     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a>==<span class="keyword">true</span>){
 <a name="l00107"></a>00107       cerr &lt;&lt; <span class="stringliteral">"LibOFX INFO: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00108"></a>00108       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00108"></a>00108       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00109"></a>00109     }
 <a name="l00110"></a>00110     <span class="keywordflow">break</span>;
-<a name="l00111"></a>00111   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">WARNING</a> :
-<a name="l00112"></a>00112     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">ofx_WARNING_msg</a>==<span class="keyword">true</span>){
+<a name="l00111"></a>00111   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a> :
+<a name="l00112"></a>00112     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a>==<span class="keyword">true</span>){
 <a name="l00113"></a>00113       cerr &lt;&lt; <span class="stringliteral">"LibOFX WARNING: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00114"></a>00114       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00114"></a>00114       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00115"></a>00115     }
 <a name="l00116"></a>00116     <span class="keywordflow">break</span>;
-<a name="l00117"></a>00117   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a> :
-<a name="l00118"></a>00118     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">ofx_ERROR_msg</a>==<span class="keyword">true</span>){
+<a name="l00117"></a>00117   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a> :
+<a name="l00118"></a>00118     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a>==<span class="keyword">true</span>){
 <a name="l00119"></a>00119       cerr &lt;&lt; <span class="stringliteral">"LibOFX ERROR: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00120"></a>00120       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00120"></a>00120       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00121"></a>00121     }
 <a name="l00122"></a>00122     <span class="keywordflow">break</span>;
-<a name="l00123"></a>00123   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a> :
-<a name="l00124"></a>00124     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">ofx_PARSER_msg</a>==<span class="keyword">true</span>){
+<a name="l00123"></a>00123   <span class="keywordflow">case</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a> :
+<a name="l00124"></a>00124     <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a>==<span class="keyword">true</span>){
 <a name="l00125"></a>00125       cerr &lt;&lt; <span class="stringliteral">"LibOFX PARSER: "</span> &lt;&lt; message&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00126"></a>00126       <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00126"></a>00126       <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00127"></a>00127     }
 <a name="l00128"></a>00128     <span class="keywordflow">break</span>;
 <a name="l00129"></a>00129   <span class="keywordflow">default</span>:
 <a name="l00130"></a>00130     cerr &lt;&lt; <span class="stringliteral">"LibOFX UNKNOWN ERROR CLASS, This is a bug in LibOFX\n"</span>;
-<a name="l00131"></a>00131     <a class="code" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a>();
+<a name="l00131"></a>00131     <a class="code" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a>();
 <a name="l00132"></a>00132   }
 <a name="l00133"></a>00133 
 <a name="l00134"></a>00134   <span class="keywordflow">return</span> 0;
 <a name="l00135"></a>00135 }
 <a name="l00136"></a>00136 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/messages_8cpp.html'
--- doc/html/messages_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/messages_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,495 +1,371 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: messages.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>messages.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Message IO functionality. 
 <p>
 
-<p>
-Definition in file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
+<p>Definition in file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="messages_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6f6c15fa39f4977b6eafc60be5d3409b"></a><!-- doxytag: member="messages.cpp::show_line_number" ref="6f6c15fa39f4977b6eafc60be5d3409b" args="()" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#6f6c15fa39f4977b6eafc60be5d3409b">show_line_number</a> ()</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> error_type, const string message)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Message output function.  <a href="#99c5e187aa2ee7e5e08fb6e77d63bfe3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="38700caf40614c44e567a90d53cdfe37"></a><!-- doxytag: member="messages.cpp::show_line_number" ref="38700caf40614c44e567a90d53cdfe37" args="()" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#38700caf40614c44e567a90d53cdfe37">show_line_number</a> ()</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa">message_out</a> (<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type, const string message)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Message output function.  <a href="#6af6947c1ec6fcbefd793f80c26d90fa"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">ofx_PARSER_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">ofx_DEBUG_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">ofx_DEBUG1_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">ofx_DEBUG2_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">ofx_DEBUG3_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">ofx_DEBUG4_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">ofx_DEBUG5_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">ofx_STATUS_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">ofx_INFO_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">ofx_WARNING_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">ofx_ERROR_msg</a> = false</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">ofx_show_position</a> = true</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a> = false</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">volatile int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> = true</td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="99c5e187aa2ee7e5e08fb6e77d63bfe3"></a><!-- doxytag: member="messages.cpp::message_out" ref="99c5e187aa2ee7e5e08fb6e77d63bfe3" args="(OfxMsgType error_type, const string message)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int message_out           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>error_type</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>message</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="6af6947c1ec6fcbefd793f80c26d90fa"></a><!-- doxytag: member="messages.cpp::message_out" ref="6af6947c1ec6fcbefd793f80c26d90fa" args="(OfxMsgType error_type, const string message)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int message_out           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>&nbsp;</td>
+          <td class="paramname"> <em>error_type</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>message</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Message output function. 
 <p>
 Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00058">58</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00047">OfxDummyContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__generic_8cpp-source.html#l00055">OfxGenericContainer::add_attribute()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00073">OfxStatementContainer::add_balance()</a>, <a class="el" href="ofx__container__main_8cpp-source.html#l00057">OfxMainContainer::add_container()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00283">OFXApplication::data()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00276">OFCApplication::data()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00295">OFXApplication::error()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00288">OFCApplication::error()</a>, <a class="el" href="ofx__preproc_8cpp-source.html#l00434">find_dtd()</a>, <a class="el" href="ofx__container__main_8cpp-source.html#l00183">OfxMainContainer::find_security()</a>, <a class="el" href="ofx__container__main_8cpp-source.html#l00154">OfxMainContainer::gen_event()</a>, <a class="el" href="file__preproc_8cpp-source.html#l00099">libofx_detect_file_type()</a>, <a class="el" href="ofx__preproc_8cpp-source.html#l00201">libofx_proc_buffer()</a>, <a class="el" href="file__preproc_8cpp-source.html#l00067">libofx_proc_file()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00345">ofc_proc_sgml()</a>, <a class="el" href="ofx__preproc_8cpp-source.html#l00058">ofx_proc_file()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00352">ofx_proc_sgml()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00041">OfxDummyContainer::OfxDummyContainer()</a>, <a class="el" href="ofx__container__generic_8cpp-source.html#l00038">OfxGenericContainer::OfxGenericContainer()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00259">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00056">OfxPushUpContainer::OfxPushUpContainer()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00036">OfxTransactionContainer::OfxTransactionContainer()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00339">OFXApplication::openEntityChange()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00332">OFCApplication::openEntityChange()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00071">OFXApplication::startElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00064">OFCApplication::startElement()</a>, <a class="el" href="ofx__utilities_8cpp-source.html#l00186">strip_whitespace()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00062">OFXApplication::~OFXApplication()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00145">OfxBalanceContainer::~OfxBalanceContainer()</a>, <a class="el" href="ofx__container__main_8cpp-source.html#l00038">OfxMainContainer::~OfxMainContainer()</a>, and <a class="el" href="ofx__containers__misc_8cpp-source.html#l00083">OfxStatusContainer::~OfxStatusContainer()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00058">58</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00047">OfxDummyContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__generic_8cpp-source.html#l00055">OfxGenericContainer::add_attribute()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00073">OfxStatementContainer::add_balance()</a>, <a class="el" href="ofx__container__main_8cpp-source.html#l00057">OfxMainContainer::add_container()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00283">OFXApplication::data()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00276">OFCApplication::data()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00295">OFXApplication::error()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00288">OFCApplication::error()</a>, <a class="el" href="ofx__preproc_8cpp-source.html#l00514">find_dtd()</a>, <a class="el" href="ofx__container__main_8cpp-source.html#l00183">OfxMainContainer::find_security()</a>, <a class="el" href="ofx__container__main_8cpp-source.html#l00154">OfxMainContainer::gen_event()</a>, <a class="el" href="file__preproc_8cpp-source.html#l00099">libofx_detect_file_type()</a>, <a class="el" href="ofx__preproc_8cpp-source.html#l00280">libofx_proc_buffer()</a>, <a class="el" href="file__preproc_8cpp-source.html#l00067">libofx_proc_file()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00345">ofc_proc_sgml()</a>, <a class="el" href="ofx__preproc_8cpp-source.html#l00070">ofx_proc_file()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00352">ofx_proc_sgml()</a>, <a class="el" href="ofx__utilities_8cpp-source.html#l00106">ofxdate_to_time_t()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00041">OfxDummyContainer::OfxDummyContainer()</a>, <a class="el" href="ofx__container__generic_8cpp-source.html#l00038">OfxGenericContainer::OfxGenericContainer()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00259">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00056">OfxPushUpContainer::OfxPushUpContainer()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00036">OfxTransactionContainer::OfxTransactionContainer()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00339">OFXApplication::openEntityChange()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00332">OFCApplication::openEntityChange()</a>, <a class="el" href="ofx__preproc_8cpp-source.html#l00411">sanitize_proprietary_tags()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00071">OFXApplication::startElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00064">OFCApplication::startElement()</a>, <a class="el" href="ofx__utilities_8cpp-source.html#l00195">strip_whitespace()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00062">OFXApplication::~OFXApplication()</a>, <a class="el" href="ofx__containers__misc_8cpp-source.html#l00145">OfxBalanceContainer::~OfxBalanceContainer()</a>, <a class="el" href="ofx__container__main_8cpp-source.html#l00038">OfxMainContainer::~OfxMainContainer()</a>, and <a class="el" href="ofx__containers__misc_8cpp-source.html#l00083">OfxStatusContainer::~OfxStatusContainer()</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="c8e1fbbf7434010d88e4ebb6b2c56340"></a><!-- doxytag: member="messages.cpp::entity_ptr" ref="c8e1fbbf7434010d88e4ebb6b2c56340" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="adaa870f35b4a4fb6b268ae8ea872ccf"></a><!-- doxytag: member="messages.cpp::entity_ptr" ref="adaa870f35b4a4fb6b268ae8ea872ccf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>          </td>
+          <td class="memname">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00339">OFXApplication::openEntityChange()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00332">OFCApplication::openEntityChange()</a>, and <a class="el" href="messages_8cpp-source.html#l00041">show_line_number()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="4823e184d0350f64bccc6761cf4ca2dd"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG1_msg" ref="4823e184d0350f64bccc6761cf4ca2dd" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00339">OFXApplication::openEntityChange()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00332">OFCApplication::openEntityChange()</a>, and <a class="el" href="messages_8cpp-source.html#l00041">show_line_number()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="7a6f1ae26a09b234af9fb6f53466de41"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG1_msg" ref="7a6f1ae26a09b234af9fb6f53466de41" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#4823e184d0350f64bccc6761cf4ca2dd">ofx_DEBUG1_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#7a6f1ae26a09b234af9fb6f53466de41">ofx_DEBUG1_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, debug level 1 messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00030">30</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="9e5ef2460cbedcf9fa16cc32b28ea3aa"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG2_msg" ref="9e5ef2460cbedcf9fa16cc32b28ea3aa" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00030">30</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="8ad3c6505850cff41f658a18acee7241"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG2_msg" ref="8ad3c6505850cff41f658a18acee7241" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#9e5ef2460cbedcf9fa16cc32b28ea3aa">ofx_DEBUG2_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#8ad3c6505850cff41f658a18acee7241">ofx_DEBUG2_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, debug level 2 messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00031">31</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="199dfceb3a69bcaf8bf34c5b69cde892"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG3_msg" ref="199dfceb3a69bcaf8bf34c5b69cde892" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00031">31</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="1983d755b7b1a219f589e6d77271dfbb"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG3_msg" ref="1983d755b7b1a219f589e6d77271dfbb" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#199dfceb3a69bcaf8bf34c5b69cde892">ofx_DEBUG3_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#1983d755b7b1a219f589e6d77271dfbb">ofx_DEBUG3_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, debug level 3 messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00032">32</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="8f234b772fe96045cc3bbc439cca3300"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG4_msg" ref="8f234b772fe96045cc3bbc439cca3300" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00032">32</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3a8a00a07c729647b1d1f94954419cb9"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG4_msg" ref="3a8a00a07c729647b1d1f94954419cb9" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#8f234b772fe96045cc3bbc439cca3300">ofx_DEBUG4_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#3a8a00a07c729647b1d1f94954419cb9">ofx_DEBUG4_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, debug level 4 messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00033">33</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="1aadca7c4dd23c7a68f17cebe6da5e19"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG5_msg" ref="1aadca7c4dd23c7a68f17cebe6da5e19" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00033">33</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="68ffc5302d8befcf6e415ac219120162"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG5_msg" ref="68ffc5302d8befcf6e415ac219120162" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#1aadca7c4dd23c7a68f17cebe6da5e19">ofx_DEBUG5_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#68ffc5302d8befcf6e415ac219120162">ofx_DEBUG5_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, debug level 5 messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00034">34</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="08ed1d96da2de393d14e023f9efc0137"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG_msg" ref="08ed1d96da2de393d14e023f9efc0137" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00034">34</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="114453d10ab7a0a82485eb535ea2cad6"></a><!-- doxytag: member="messages.cpp::ofx_DEBUG_msg" ref="114453d10ab7a0a82485eb535ea2cad6" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">ofx_DEBUG_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, general debug messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00029">29</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="3328f7d06b8155c8ce3b2074d43f98f7"></a><!-- doxytag: member="messages.cpp::ofx_ERROR_msg" ref="3328f7d06b8155c8ce3b2074d43f98f7" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00029">29</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2b3d2ad175f65de9d36f47f959741f72"></a><!-- doxytag: member="messages.cpp::ofx_ERROR_msg" ref="2b3d2ad175f65de9d36f47f959741f72" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">ofx_ERROR_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, error messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00038">38</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="183c9908fa85da05c37ce32ef86984ae"></a><!-- doxytag: member="messages.cpp::ofx_INFO_msg" ref="183c9908fa85da05c37ce32ef86984ae" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00038">38</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="228b326318901fc303c91ed75f45ba64"></a><!-- doxytag: member="messages.cpp::ofx_INFO_msg" ref="228b326318901fc303c91ed75f45ba64" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">ofx_INFO_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, information messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00036">36</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="2ea3d64bbb6d9dc986500e7d1934c3f4"></a><!-- doxytag: member="messages.cpp::ofx_PARSER_msg" ref="2ea3d64bbb6d9dc986500e7d1934c3f4" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00036">36</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c58dfba31a4541023b331efa4f3a5079"></a><!-- doxytag: member="messages.cpp::ofx_PARSER_msg" ref="c58dfba31a4541023b331efa4f3a5079" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">ofx_PARSER_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, parser events will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00028">28</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="fa8f5185763c6e612f0f71ac71c028ee"></a><!-- doxytag: member="messages.cpp::ofx_show_position" ref="fa8f5185763c6e612f0f71ac71c028ee" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00028">28</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="2f4750bf79b46b0259dd883afd45842a"></a><!-- doxytag: member="messages.cpp::ofx_show_position" ref="2f4750bf79b46b0259dd883afd45842a" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#fa8f5185763c6e612f0f71ac71c028ee">ofx_show_position</a> = true          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#2f4750bf79b46b0259dd883afd45842a">ofx_show_position</a> = true          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, the line number will be shown after any error 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00039">39</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="messages_8cpp-source.html#l00041">show_line_number()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="dae823046f8c9180c2cb8271cf890e49"></a><!-- doxytag: member="messages.cpp::ofx_STATUS_msg" ref="dae823046f8c9180c2cb8271cf890e49" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00039">39</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="messages_8cpp-source.html#l00041">show_line_number()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="9d3605349a492ff39e5b2a006d773cbf"></a><!-- doxytag: member="messages.cpp::ofx_STATUS_msg" ref="9d3605349a492ff39e5b2a006d773cbf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">ofx_STATUS_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, status messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00035">35</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="efda1947c61fbeab27f5bee4d9d8565c"></a><!-- doxytag: member="messages.cpp::ofx_WARNING_msg" ref="efda1947c61fbeab27f5bee4d9d8565c" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00035">35</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="906d9d0b5311d914db311210f9cdce58"></a><!-- doxytag: member="messages.cpp::ofx_WARNING_msg" ref="906d9d0b5311d914db311210f9cdce58" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">volatile int <a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">ofx_WARNING_msg</a> = false          </td>
+          <td class="memname">volatile int <a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a> = false          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 If set to true, warning messages will be printed to the console 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00037">37</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d4db2383832ddcfb93e4e02ce1cb102b"></a><!-- doxytag: member="messages.cpp::position" ref="d4db2383832ddcfb93e4e02ce1cb102b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00037">37</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00202">main()</a>, and <a class="el" href="messages_8cpp-source.html#l00058">message_out()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4da8008b6f110050513003edf67a2495"></a><!-- doxytag: member="messages.cpp::position" ref="4da8008b6f110050513003edf67a2495" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::Position <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>          </td>
+          <td class="memname">SGMLApplication::Position <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00283">OFXApplication::data()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00276">OFCApplication::data()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00295">OFXApplication::error()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00288">OFCApplication::error()</a>, <a class="el" href="tree_8hh-source.html#l00818">tree&lt; T, tree_node_allocator &gt;::insert()</a>, <a class="el" href="messages_8cpp-source.html#l00041">show_line_number()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00071">OFXApplication::startElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00064">OFCApplication::startElement()</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00283">OFXApplication::data()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00276">OFCApplication::data()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00295">OFXApplication::error()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00288">OFCApplication::error()</a>, <a class="el" href="messages_8cpp-source.html#l00041">show_line_number()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00071">OFXApplication::startElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00064">OFCApplication::startElement()</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/messages_8hh-source.html'
--- doc/html/messages_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/messages_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: messages.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>messages.hh</h1><a href="messages_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_messages.h</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -34,25 +30,25 @@
 <a name="l00018"></a>00018 <span class="preprocessor">#ifndef OFX_MESSAGES_H</span>
 <a name="l00019"></a>00019 <span class="preprocessor"></span><span class="preprocessor">#define OFX_MESSAGES_H</span>
 <a name="l00020"></a>00020 <span class="preprocessor"></span>
-<a name="l00023"></a><a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">00023</a> <span class="keyword">enum</span> <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a>{
-<a name="l00024"></a>00024   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,       
-<a name="l00025"></a>00025   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252">DEBUG1</a>,      
-<a name="l00026"></a>00026   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719">DEBUG2</a>,      
-<a name="l00027"></a>00027   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252">DEBUG3</a>,      
-<a name="l00028"></a>00028   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">DEBUG4</a>,      
-<a name="l00029"></a>00029   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf">DEBUG5</a>,      
-<a name="l00030"></a>00030   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">STATUS</a> = 10, 
-<a name="l00031"></a>00031   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>,        
-<a name="l00032"></a>00032   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">WARNING</a>,     
-<a name="l00033"></a>00033   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,       
-<a name="l00034"></a><a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">00034</a>   <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>       
+<a name="l00023"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">00023</a> <span class="keyword">enum</span> <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>{
+<a name="l00024"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">00024</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,       
+<a name="l00025"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">00025</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>,      
+<a name="l00026"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">00026</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>,      
+<a name="l00027"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">00027</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>,      
+<a name="l00028"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">00028</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>,      
+<a name="l00029"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">00029</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>,      
+<a name="l00030"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">00030</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> = 10, 
+<a name="l00031"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">00031</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,        
+<a name="l00032"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">00032</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>,     
+<a name="l00033"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">00033</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,       
+<a name="l00034"></a><a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">00034</a>   <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>       
 <a name="l00035"></a>00035 };
 <a name="l00036"></a>00036 <span class="keyword">using namespace </span>std;
-<a name="l00038"></a>00038 <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> type, <span class="keyword">const</span> string message);
+<a name="l00038"></a>00038 <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> type, <span class="keyword">const</span> <span class="keywordtype">string</span> message);
 <a name="l00039"></a>00039 
 <a name="l00040"></a>00040 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/messages_8hh.html'
--- doc/html/messages_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/messages_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,152 +1,204 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: messages.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>messages.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Message IO functionality. 
 <p>
 
-<p>
-Definition in file <a class="el" href="messages_8hh-source.html">messages.hh</a>.
+<p>Definition in file <a class="el" href="messages_8hh-source.html">messages.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="messages_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> { <br>
-&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, 
-<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252">DEBUG1</a>, 
-<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719">DEBUG2</a>, 
-<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252">DEBUG3</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">DEBUG4</a>, 
-<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf">DEBUG5</a>, 
-<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">STATUS</a> =  10, 
-<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">WARNING</a>, 
-<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, 
-<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> =  10, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, 
+<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> =  10, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, 
+<a class="el" href="fx-0_88_82_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7">DEBUG1</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd">DEBUG2</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896">DEBUG3</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76">DEBUG5</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a> =  10, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>, 
+<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="fx-0_89_80_2lib_2messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>
 <br>
  }</td></tr>
 
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8hh.html#15597c0646783f472203d52c3f7e581a">message_out</a> (<a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> type, const string message)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="messages_8hh.html#6f56d85178951a91c7a06ea0538aa2d4">message_out</a> (<a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> type, const string message)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Message output function.  <a href="#15597c0646783f472203d52c3f7e581a"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Message output function.  <a href="#6f56d85178951a91c7a06ea0538aa2d4"></a><br></td></tr>
 </table>
 <hr><h2>Enumeration Type Documentation</h2>
-<a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e"></a><!-- doxytag: member="messages.hh::OfxMsgType" ref="7a1786af43f15890c2e84ec7d6f0ea4e" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69"></a><!-- doxytag: member="messages.hh::OfxMsgType" ref="7cd03dafa59895bc306bf220b7b85f69" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a>          </td>
+          <td class="memname">enum <a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 The OfxMsgType enum describe's the type of message being sent, so the application/user/library can decide if it will be printed to stdout <dl compact><dt><b>Enumerator: </b></dt><dd>
 <table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786"></a><!-- doxytag: member="DEBUG" ref="7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786" args="" -->DEBUG</em>&nbsp;</td><td>
-General debug messages </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252"></a><!-- doxytag: member="DEBUG1" ref="7a1786af43f15890c2e84ec7d6f0ea4eb58a2331bed4ff2ab58942d8246c0252" args="" -->DEBUG1</em>&nbsp;</td><td>
-Debug level 1 </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719"></a><!-- doxytag: member="DEBUG2" ref="7a1786af43f15890c2e84ec7d6f0ea4e20427bb439a57a6f32d5ef5d946e6719" args="" -->DEBUG2</em>&nbsp;</td><td>
-Debug level 2 </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252"></a><!-- doxytag: member="DEBUG3" ref="7a1786af43f15890c2e84ec7d6f0ea4ec74ea8bcbaae406990a006d3e77b8252" args="" -->DEBUG3</em>&nbsp;</td><td>
-Debug level 3 </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75"></a><!-- doxytag: member="DEBUG4" ref="7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75" args="" -->DEBUG4</em>&nbsp;</td><td>
-Debug level 4 </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf"></a><!-- doxytag: member="DEBUG5" ref="7a1786af43f15890c2e84ec7d6f0ea4e6ab3a928862afba0e78df24b9d246dcf" args="" -->DEBUG5</em>&nbsp;</td><td>
-Debug level 5 </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0"></a><!-- doxytag: member="STATUS" ref="7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0" args="" -->STATUS</em>&nbsp;</td><td>
-For major processing event (End of parsing, etc.) </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65"></a><!-- doxytag: member="INFO" ref="7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65" args="" -->INFO</em>&nbsp;</td><td>
-For minor processing event </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d"></a><!-- doxytag: member="WARNING" ref="7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d" args="" -->WARNING</em>&nbsp;</td><td>
-Warning message </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9"></a><!-- doxytag: member="ERROR" ref="7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9" args="" -->ERROR</em>&nbsp;</td><td>
-Error message </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e"></a><!-- doxytag: member="PARSER" ref="7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e" args="" -->PARSER</em>&nbsp;</td><td>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f"></a><!-- doxytag: member="DEBUG" ref="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f" args="" -->DEBUG</em>&nbsp;</td><td>
+General debug messages </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7"></a><!-- doxytag: member="DEBUG1" ref="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7" args="" -->DEBUG1</em>&nbsp;</td><td>
+Debug level 1 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd"></a><!-- doxytag: member="DEBUG2" ref="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd" args="" -->DEBUG2</em>&nbsp;</td><td>
+Debug level 2 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896"></a><!-- doxytag: member="DEBUG3" ref="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896" args="" -->DEBUG3</em>&nbsp;</td><td>
+Debug level 3 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67"></a><!-- doxytag: member="DEBUG4" ref="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67" args="" -->DEBUG4</em>&nbsp;</td><td>
+Debug level 4 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76"></a><!-- doxytag: member="DEBUG5" ref="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76" args="" -->DEBUG5</em>&nbsp;</td><td>
+Debug level 5 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97"></a><!-- doxytag: member="STATUS" ref="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97" args="" -->STATUS</em>&nbsp;</td><td>
+For major processing event (End of parsing, etc.) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806"></a><!-- doxytag: member="INFO" ref="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806" args="" -->INFO</em>&nbsp;</td><td>
+For minor processing event </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81"></a><!-- doxytag: member="WARNING" ref="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81" args="" -->WARNING</em>&nbsp;</td><td>
+Warning message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90"></a><!-- doxytag: member="ERROR" ref="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90" args="" -->ERROR</em>&nbsp;</td><td>
+Error message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b"></a><!-- doxytag: member="PARSER" ref="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b" args="" -->PARSER</em>&nbsp;</td><td>
+Parser events </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f"></a><!-- doxytag: member="DEBUG" ref="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f" args="" -->DEBUG</em>&nbsp;</td><td>
+General debug messages </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7"></a><!-- doxytag: member="DEBUG1" ref="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7" args="" -->DEBUG1</em>&nbsp;</td><td>
+Debug level 1 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd"></a><!-- doxytag: member="DEBUG2" ref="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd" args="" -->DEBUG2</em>&nbsp;</td><td>
+Debug level 2 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896"></a><!-- doxytag: member="DEBUG3" ref="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896" args="" -->DEBUG3</em>&nbsp;</td><td>
+Debug level 3 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67"></a><!-- doxytag: member="DEBUG4" ref="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67" args="" -->DEBUG4</em>&nbsp;</td><td>
+Debug level 4 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76"></a><!-- doxytag: member="DEBUG5" ref="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76" args="" -->DEBUG5</em>&nbsp;</td><td>
+Debug level 5 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97"></a><!-- doxytag: member="STATUS" ref="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97" args="" -->STATUS</em>&nbsp;</td><td>
+For major processing event (End of parsing, etc.) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806"></a><!-- doxytag: member="INFO" ref="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806" args="" -->INFO</em>&nbsp;</td><td>
+For minor processing event </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81"></a><!-- doxytag: member="WARNING" ref="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81" args="" -->WARNING</em>&nbsp;</td><td>
+Warning message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90"></a><!-- doxytag: member="ERROR" ref="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90" args="" -->ERROR</em>&nbsp;</td><td>
+Error message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b"></a><!-- doxytag: member="PARSER" ref="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b" args="" -->PARSER</em>&nbsp;</td><td>
+Parser events </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f"></a><!-- doxytag: member="DEBUG" ref="7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f" args="" -->DEBUG</em>&nbsp;</td><td>
+General debug messages </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7"></a><!-- doxytag: member="DEBUG1" ref="7cd03dafa59895bc306bf220b7b85f69cbe01fbf03249ca234b3e00a689655e7" args="" -->DEBUG1</em>&nbsp;</td><td>
+Debug level 1 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd"></a><!-- doxytag: member="DEBUG2" ref="7cd03dafa59895bc306bf220b7b85f69f176e4489e28ad1ea51b83b673c574cd" args="" -->DEBUG2</em>&nbsp;</td><td>
+Debug level 2 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896"></a><!-- doxytag: member="DEBUG3" ref="7cd03dafa59895bc306bf220b7b85f69db8f05795a0066c413b852428e313896" args="" -->DEBUG3</em>&nbsp;</td><td>
+Debug level 3 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67"></a><!-- doxytag: member="DEBUG4" ref="7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67" args="" -->DEBUG4</em>&nbsp;</td><td>
+Debug level 4 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76"></a><!-- doxytag: member="DEBUG5" ref="7cd03dafa59895bc306bf220b7b85f6993cf52ef3076c6370b5bfe1015629c76" args="" -->DEBUG5</em>&nbsp;</td><td>
+Debug level 5 </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97"></a><!-- doxytag: member="STATUS" ref="7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97" args="" -->STATUS</em>&nbsp;</td><td>
+For major processing event (End of parsing, etc.) </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806"></a><!-- doxytag: member="INFO" ref="7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806" args="" -->INFO</em>&nbsp;</td><td>
+For minor processing event </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81"></a><!-- doxytag: member="WARNING" ref="7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81" args="" -->WARNING</em>&nbsp;</td><td>
+Warning message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90"></a><!-- doxytag: member="ERROR" ref="7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90" args="" -->ERROR</em>&nbsp;</td><td>
+Error message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b"></a><!-- doxytag: member="PARSER" ref="7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b" args="" -->PARSER</em>&nbsp;</td><td>
 Parser events </td></tr>
 </table>
 </dl>
 
-<p>
-Definition at line <a class="el" href="messages_8hh-source.html#l00023">23</a> of file <a class="el" href="messages_8hh-source.html">messages.hh</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="messages_8hh-source.html#l00023">23</a> of file <a class="el" href="messages_8hh-source.html">messages.hh</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="15597c0646783f472203d52c3f7e581a"></a><!-- doxytag: member="messages.hh::message_out" ref="15597c0646783f472203d52c3f7e581a" args="(OfxMsgType type, const string message)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int message_out           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>error_type</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const string&nbsp;</td>
-          <td class="mdname" nowrap> <em>message</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="6f56d85178951a91c7a06ea0538aa2d4"></a><!-- doxytag: member="messages.hh::message_out" ref="6f56d85178951a91c7a06ea0538aa2d4" args="(OfxMsgType type, const string message)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int message_out           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a>&nbsp;</td>
+          <td class="paramname"> <em>error_type</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>message</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Message output function. 
 <p>
 Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00058">58</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00058">58</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/namespaceOfxPartner.html'
--- doc/html/namespaceOfxPartner.html	2006-10-20 13:12:33 +0000
+++ doc/html/namespaceOfxPartner.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxPartner Namespace Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
-    <li id="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="namespaces.html"><span>Namespace List</span></a></li>
     <li><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxPartner Namespace Reference</h1>
 <p>
 
@@ -24,37 +26,38 @@
 <table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="68ddff2f2558a22c5741a1f670fc7fa6"></a><!-- doxytag: member="OfxPartner::post" ref="68ddff2f2558a22c5741a1f670fc7fa6" args="(const string &amp;request, const string &amp;url, const string &amp;filename)" -->
-bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a> (const string &amp;request, const string &amp;url, const string &amp;filename)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="951dc107754e0bfa7d5364e1518efd65"></a><!-- doxytag: member="OfxPartner::ValidateIndexCache" ref="951dc107754e0bfa7d5364e1518efd65" args="(void)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">ValidateIndexCache</a> (void)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b9a0ee86a517e48f97a5efb0789d112d"></a><!-- doxytag: member="OfxPartner::BankNames" ref="b9a0ee86a517e48f97a5efb0789d112d" args="(void)" -->
-vector&lt; string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">BankNames</a> (void)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="01dfac57aa6faf785dc4b92480094f00"></a><!-- doxytag: member="OfxPartner::FipidForBank" ref="01dfac57aa6faf785dc4b92480094f00" args="(const string &amp;bank)" -->
-vector&lt; string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">FipidForBank</a> (const string &amp;bank)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="98dc22fd00cbe6c2256da00805c46acc"></a><!-- doxytag: member="OfxPartner::ServiceInfo" ref="98dc22fd00cbe6c2256da00805c46acc" args="(const std::string &amp;fipid)" -->
-<a class="el" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">ServiceInfo</a> (const std::string &amp;fipid)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d7d7767d52207beab0d425d41a10ca9d"></a><!-- doxytag: member="OfxPartner::FipidForBank" ref="d7d7767d52207beab0d425d41a10ca9d" args="(const std::string &amp;bank)" -->
-std::vector&lt; std::string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><b>FipidForBank</b> (const std::string &amp;bank)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="eae033ba144dd6e1a27a81d80fb985f4"></a><!-- doxytag: member="OfxPartner::post" ref="eae033ba144dd6e1a27a81d80fb985f4" args="(const string &amp;request, const string &amp;url, const string &amp;filename)" -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a> (const string &amp;request, const string &amp;url, const string &amp;filename)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ef396b717081bb217cc350676d9b8165"></a><!-- doxytag: member="OfxPartner::ValidateIndexCache" ref="ef396b717081bb217cc350676d9b8165" args="(void)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#ef396b717081bb217cc350676d9b8165">ValidateIndexCache</a> (void)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="849cbb4d1d013b56c3ba28ef1e574fba"></a><!-- doxytag: member="OfxPartner::BankNames" ref="849cbb4d1d013b56c3ba28ef1e574fba" args="(void)" -->
+vector&lt; string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#849cbb4d1d013b56c3ba28ef1e574fba">BankNames</a> (void)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cfd9337cce7e4f82bd69b5d78362f7bb"></a><!-- doxytag: member="OfxPartner::FipidForBank" ref="cfd9337cce7e4f82bd69b5d78362f7bb" args="(const string &amp;bank)" -->
+vector&lt; string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#cfd9337cce7e4f82bd69b5d78362f7bb">FipidForBank</a> (const string &amp;bank)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7707f0e2acc21b43faca823ef9a2fef3"></a><!-- doxytag: member="OfxPartner::ServiceInfo" ref="7707f0e2acc21b43faca823ef9a2fef3" args="(const std::string &amp;fipid)" -->
+<a class="el" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">ServiceInfo</a> (const std::string &amp;fipid)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c5d3b75d886dfcb7317206294f755fee"></a><!-- doxytag: member="OfxPartner::FipidForBank" ref="c5d3b75d886dfcb7317206294f755fee" args="(const std::string &amp;bank)" -->
+std::vector<br>
+&lt; std::string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><b>FipidForBank</b> (const std::string &amp;bank)</td></tr>
 
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d49e6cfb1eb1163dd5e116f1c5bfa77e"></a><!-- doxytag: member="OfxPartner::kBankFilename" ref="d49e6cfb1eb1163dd5e116f1c5bfa77e" args="" -->
-const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">kBankFilename</a> = &quot;ofx-bank-index.xml&quot;</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d6e4231296f62de3b85ba4386e134cb9"></a><!-- doxytag: member="OfxPartner::kCcFilename" ref="d6e4231296f62de3b85ba4386e134cb9" args="" -->
-const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">kCcFilename</a> = &quot;ofx-cc-index.xml&quot;</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a73b2cf6f588ad17ed9f1b09dc4a959c"></a><!-- doxytag: member="OfxPartner::kInvFilename" ref="a73b2cf6f588ad17ed9f1b09dc4a959c" args="" -->
-const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">kInvFilename</a> = &quot;ofx-inv-index.xml&quot;</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="20028fb5bb6216afa275d5a400692026"></a><!-- doxytag: member="OfxPartner::kBankFilename" ref="20028fb5bb6216afa275d5a400692026" args="" -->
+const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#20028fb5bb6216afa275d5a400692026">kBankFilename</a> = &quot;ofx-bank-index.xml&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="23fa7b5e68a615741fefb26e61bed53d"></a><!-- doxytag: member="OfxPartner::kCcFilename" ref="23fa7b5e68a615741fefb26e61bed53d" args="" -->
+const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#23fa7b5e68a615741fefb26e61bed53d">kCcFilename</a> = &quot;ofx-cc-index.xml&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e941d2197fe884768f5790d9f99fafcf"></a><!-- doxytag: member="OfxPartner::kInvFilename" ref="e941d2197fe884768f5790d9f99fafcf" args="" -->
+const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#e941d2197fe884768f5790d9f99fafcf">kInvFilename</a> = &quot;ofx-inv-index.xml&quot;</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/namespacekp.html'
--- doc/html/namespacekp.html	2006-10-20 13:12:33 +0000
+++ doc/html/namespacekp.html	2008-02-06 17:25:16 +0000
@@ -1,47 +1,47 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: kp Namespace Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
-    <li id="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="namespaces.html"><span>Namespace List</span></a></li>
     <li><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>kp Namespace Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 
 <p>
 
 <p>
-
-<p>
 <table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="cc3b0ad9bfc78d3b604dfb285d01d3e5"></a><!-- doxytag: member="kp::constructor" ref="cc3b0ad9bfc78d3b604dfb285d01d3e5" args="(T1 *p, T2 &amp;val)" -->
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="d1c6c23984a78bfc8336c7ca244d6f1c"></a><!-- doxytag: member="kp::constructor" ref="d1c6c23984a78bfc8336c7ca244d6f1c" args="(T1 *p, T2 &amp;val)" -->
 template&lt;class T1, class T2&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">constructor</a> (T1 *p, T2 &amp;val)</td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="ec4bf27cb4009889552c179c74fa9e1d"></a><!-- doxytag: member="kp::constructor" ref="ec4bf27cb4009889552c179c74fa9e1d" args="(T1 *p)" -->
-template&lt;class T1&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacekp.html#ec4bf27cb4009889552c179c74fa9e1d">constructor</a> (T1 *p)</td></tr>
-
-<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="734effe09627ef03b0d12f076775c783"></a><!-- doxytag: member="kp::destructor" ref="734effe09627ef03b0d12f076775c783" args="(T1 *p)" -->
-template&lt;class T1&gt; </td></tr>
-<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacekp.html#734effe09627ef03b0d12f076775c783">destructor</a> (T1 *p)</td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">constructor</a> (T1 *p, T2 &amp;val)</td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="b625db515f044b7ddaa92769e2e6d745"></a><!-- doxytag: member="kp::constructor" ref="b625db515f044b7ddaa92769e2e6d745" args="(T1 *p)" -->
+template&lt;class T1&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacekp.html#b625db515f044b7ddaa92769e2e6d745">constructor</a> (T1 *p)</td></tr>
+
+<tr><td class="memTemplParams" nowrap colspan="2"><a class="anchor" name="a6813c11eeb1c091cdd1eff62de70914"></a><!-- doxytag: member="kp::destructor" ref="a6813c11eeb1c091cdd1eff62de70914" args="(T1 *p)" -->
+template&lt;class T1&gt; </td></tr>
+<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">destructor</a> (T1 *p)</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/namespacemembers.html'
--- doc/html/namespacemembers.html	2006-10-20 13:12:33 +0000
+++ doc/html/namespacemembers.html	2008-02-06 17:25:16 +0000
@@ -1,25 +1,27 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
-    <li id="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="namespaces.html"><span>Namespace List</span></a></li>
-    <li id="current"><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
-  </ul></div>
+    <li class="current"><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="namespacemembers.html"><span>All</span></a></li>
+    <li class="current"><a href="namespacemembers.html"><span>All</span></a></li>
     <li><a href="namespacemembers_func.html"><span>Functions</span></a></li>
     <li><a href="namespacemembers_vars.html"><span>Variables</span></a></li>
   </ul>
@@ -28,18 +30,28 @@
 <p>
 <ul>
 <li>BankNames()
-: <a class="el" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">OfxPartner</a><li>constructor()
-: <a class="el" href="namespacekp.html#ec4bf27cb4009889552c179c74fa9e1d">kp</a><li>destructor()
-: <a class="el" href="namespacekp.html#734effe09627ef03b0d12f076775c783">kp</a><li>FipidForBank()
-: <a class="el" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">OfxPartner</a><li>kBankFilename
-: <a class="el" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">OfxPartner</a><li>kCcFilename
-: <a class="el" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">OfxPartner</a><li>kInvFilename
-: <a class="el" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">OfxPartner</a><li>post()
-: <a class="el" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">OfxPartner</a><li>ServiceInfo()
-: <a class="el" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">OfxPartner</a><li>ValidateIndexCache()
-: <a class="el" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">OfxPartner</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+: <a class="el" href="namespaceOfxPartner.html#849cbb4d1d013b56c3ba28ef1e574fba">OfxPartner</a>
+<li>constructor()
+: <a class="el" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp</a>
+<li>destructor()
+: <a class="el" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp</a>
+<li>FipidForBank()
+: <a class="el" href="namespaceOfxPartner.html#cfd9337cce7e4f82bd69b5d78362f7bb">OfxPartner</a>
+<li>kBankFilename
+: <a class="el" href="namespaceOfxPartner.html#20028fb5bb6216afa275d5a400692026">OfxPartner</a>
+<li>kCcFilename
+: <a class="el" href="namespaceOfxPartner.html#23fa7b5e68a615741fefb26e61bed53d">OfxPartner</a>
+<li>kInvFilename
+: <a class="el" href="namespaceOfxPartner.html#e941d2197fe884768f5790d9f99fafcf">OfxPartner</a>
+<li>post()
+: <a class="el" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">OfxPartner</a>
+<li>ServiceInfo()
+: <a class="el" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">OfxPartner</a>
+<li>ValidateIndexCache()
+: <a class="el" href="namespaceOfxPartner.html#ef396b717081bb217cc350676d9b8165">OfxPartner</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/namespacemembers_func.html'
--- doc/html/namespacemembers_func.html	2006-10-20 13:12:33 +0000
+++ doc/html/namespacemembers_func.html	2008-02-06 17:25:16 +0000
@@ -1,26 +1,28 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
-    <li id="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="namespaces.html"><span>Namespace List</span></a></li>
-    <li id="current"><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
-  </ul></div>
+    <li class="current"><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="namespacemembers.html"><span>All</span></a></li>
-    <li id="current"><a href="namespacemembers_func.html"><span>Functions</span></a></li>
+    <li class="current"><a href="namespacemembers_func.html"><span>Functions</span></a></li>
     <li><a href="namespacemembers_vars.html"><span>Variables</span></a></li>
   </ul>
 </div>
@@ -28,15 +30,22 @@
 <p>
 <ul>
 <li>BankNames()
-: <a class="el" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">OfxPartner</a><li>constructor()
-: <a class="el" href="namespacekp.html#ec4bf27cb4009889552c179c74fa9e1d">kp</a><li>destructor()
-: <a class="el" href="namespacekp.html#734effe09627ef03b0d12f076775c783">kp</a><li>FipidForBank()
-: <a class="el" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">OfxPartner</a><li>post()
-: <a class="el" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">OfxPartner</a><li>ServiceInfo()
-: <a class="el" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">OfxPartner</a><li>ValidateIndexCache()
-: <a class="el" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">OfxPartner</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+: <a class="el" href="namespaceOfxPartner.html#849cbb4d1d013b56c3ba28ef1e574fba">OfxPartner</a>
+<li>constructor()
+: <a class="el" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp</a>
+<li>destructor()
+: <a class="el" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp</a>
+<li>FipidForBank()
+: <a class="el" href="namespaceOfxPartner.html#cfd9337cce7e4f82bd69b5d78362f7bb">OfxPartner</a>
+<li>post()
+: <a class="el" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">OfxPartner</a>
+<li>ServiceInfo()
+: <a class="el" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">OfxPartner</a>
+<li>ValidateIndexCache()
+: <a class="el" href="namespaceOfxPartner.html#ef396b717081bb217cc350676d9b8165">OfxPartner</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/namespacemembers_vars.html'
--- doc/html/namespacemembers_vars.html	2006-10-20 13:12:33 +0000
+++ doc/html/namespacemembers_vars.html	2008-02-06 17:25:16 +0000
@@ -1,38 +1,43 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Data Fields</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
-    <li id="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="namespaces.html"><span>Namespace List</span></a></li>
-    <li id="current"><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
-  </ul></div>
+    <li class="current"><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="namespacemembers.html"><span>All</span></a></li>
     <li><a href="namespacemembers_func.html"><span>Functions</span></a></li>
-    <li id="current"><a href="namespacemembers_vars.html"><span>Variables</span></a></li>
+    <li class="current"><a href="namespacemembers_vars.html"><span>Variables</span></a></li>
   </ul>
 </div>
 &nbsp;
 <p>
 <ul>
 <li>kBankFilename
-: <a class="el" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">OfxPartner</a><li>kCcFilename
-: <a class="el" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">OfxPartner</a><li>kInvFilename
-: <a class="el" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">OfxPartner</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+: <a class="el" href="namespaceOfxPartner.html#20028fb5bb6216afa275d5a400692026">OfxPartner</a>
+<li>kCcFilename
+: <a class="el" href="namespaceOfxPartner.html#23fa7b5e68a615741fefb26e61bed53d">OfxPartner</a>
+<li>kInvFilename
+: <a class="el" href="namespaceOfxPartner.html#e941d2197fe884768f5790d9f99fafcf">OfxPartner</a>
+</ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/namespaces.html'
--- doc/html/namespaces.html	2006-10-20 13:12:33 +0000
+++ doc/html/namespaces.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,30 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: Namespace Index</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
-    <li id="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
-    <li id="current"><a href="namespaces.html"><span>Namespace List</span></a></li>
+    <li class="current"><a href="namespaces.html"><span>Namespace List</span></a></li>
     <li><a href="namespacemembers.html"><span>Namespace&nbsp;Members</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>LibOFX Namespace List</h1>Here is a list of all documented namespaces with brief descriptions:<table>
   <tr><td class="indexkey"><a class="el" href="namespacekp.html">kp</a></td><td class="indexvalue"></td></tr>
   <tr><td class="indexkey"><a class="el" href="namespaceOfxPartner.html">OfxPartner</a></td><td class="indexvalue"></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/nodeparser_8cpp-source.html'
--- doc/html/nodeparser_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/nodeparser_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: nodeparser.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>nodeparser.cpp</h1><a href="nodeparser_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                             nodeparser.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -32,27 +28,27 @@
 <a name="l00017"></a>00017 <span class="comment"> *                                                                         *</span>
 <a name="l00018"></a>00018 <span class="comment"> ***************************************************************************/</span>
 <a name="l00019"></a>00019 
-<a name="l00020"></a>00020 <span class="preprocessor">#include "<a class="code" href="nodeparser_8h.html">nodeparser.h</a>"</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#include "<a class="code" href="nodeparser_8h.html" title="Declaration of nodeparser object, which facilitiates searching for nodes in an XML...">nodeparser.h</a>"</span>
 <a name="l00021"></a>00021 
 <a name="l00022"></a>00022 <span class="keyword">using</span> std::string;
 <a name="l00023"></a>00023 <span class="keyword">using</span> std::vector;
 <a name="l00024"></a>00024 
-<a name="l00025"></a><a class="code" href="classNodeParser.html#9002bf36ebee3acddd00a5b878a00351">00025</a> <a class="code" href="classNodeParser.html#c2a3020604da451d9ab28ee730933ca8">NodeParser::NodeParser</a>(<span class="keyword">const</span> xmlpp::Node::NodeList&amp; list): xmlpp::Node::NodeList(list)
+<a name="l00025"></a><a class="code" href="classNodeParser.html#27485b1323433cd1f008fba38150cc89">00025</a> <a class="code" href="classNodeParser.html#547f49fdbfc9dc7a077459b2ba516329">NodeParser::NodeParser</a>(<span class="keyword">const</span> xmlpp::Node::NodeList&amp; list): xmlpp::Node::NodeList(list)
 <a name="l00026"></a>00026 {
 <a name="l00027"></a>00027 }
 <a name="l00028"></a>00028 
-<a name="l00029"></a><a class="code" href="classNodeParser.html#20beda2ab40428db0666603833eedfd2">00029</a> <a class="code" href="classNodeParser.html#c2a3020604da451d9ab28ee730933ca8">NodeParser::NodeParser</a>(<span class="keyword">const</span> xmlpp::Node* node)
+<a name="l00029"></a><a class="code" href="classNodeParser.html#1e7806e95140ee7decf7785ed990d179">00029</a> <a class="code" href="classNodeParser.html#547f49fdbfc9dc7a077459b2ba516329">NodeParser::NodeParser</a>(<span class="keyword">const</span> xmlpp::Node* node)
 <a name="l00030"></a>00030 {
 <a name="l00031"></a>00031   push_back(const_cast&lt;xmlpp::Node*&gt;(node));
 <a name="l00032"></a>00032 }
 <a name="l00033"></a>00033 
-<a name="l00034"></a><a class="code" href="classNodeParser.html#893f3c87161c086fa60e04bceac036bc">00034</a> <a class="code" href="classNodeParser.html#c2a3020604da451d9ab28ee730933ca8">NodeParser::NodeParser</a>(<span class="keyword">const</span> xmlpp::DomParser&amp; parser)
+<a name="l00034"></a><a class="code" href="classNodeParser.html#b7eb13cd7741bca26d493632149e65c8">00034</a> <a class="code" href="classNodeParser.html#547f49fdbfc9dc7a077459b2ba516329">NodeParser::NodeParser</a>(<span class="keyword">const</span> xmlpp::DomParser&amp; parser)
 <a name="l00035"></a>00035 {
 <a name="l00036"></a>00036   xmlpp::Node* node = parser.get_document()-&gt;get_root_node();
 <a name="l00037"></a>00037   push_back(const_cast&lt;xmlpp::Node*&gt;(node));
 <a name="l00038"></a>00038 }
 <a name="l00039"></a>00039 
-<a name="l00040"></a><a class="code" href="classNodeParser.html#22c2d39370bac30cc4dbbae93116f6a7">00040</a> <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">NodeParser::Path</a>(<span class="keyword">const</span> xmlpp::Node* node,<span class="keyword">const</span> std::string&amp; path)
+<a name="l00040"></a><a class="code" href="classNodeParser.html#ab69e8a0f74bdef4ea854b129274f618">00040</a> <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">NodeParser::Path</a>(<span class="keyword">const</span> xmlpp::Node* node,<span class="keyword">const</span> std::string&amp; path)
 <a name="l00041"></a>00041 {
 <a name="l00042"></a>00042   <span class="comment">//std::cout &lt;&lt; __PRETTY_FUNCTION__ &lt;&lt; std::endl;</span>
 <a name="l00043"></a>00043 
@@ -77,7 +73,7 @@
 <a name="l00062"></a>00062       <span class="comment">// if there is still some path left, ask for the rest of the path from those nodes.</span>
 <a name="l00063"></a>00063       <span class="keywordflow">if</span> ( remainder.length() )
 <a name="l00064"></a>00064       {
-<a name="l00065"></a>00065         <a class="code" href="classNodeParser.html">NodeParser</a> remain_list = <a class="code" href="classNodeParser.html#c2a3020604da451d9ab28ee730933ca8">NodeParser</a>(*iter).Path(remainder);
+<a name="l00065"></a>00065         <a class="code" href="classNodeParser.html">NodeParser</a> remain_list = <a class="code" href="classNodeParser.html#547f49fdbfc9dc7a077459b2ba516329">NodeParser</a>(*iter).Path(remainder);
 <a name="l00066"></a>00066         result.splice(result.end(),remain_list);
 <a name="l00067"></a>00067       }
 <a name="l00068"></a>00068       
@@ -90,21 +86,21 @@
 <a name="l00075"></a>00075   <span class="keywordflow">return</span> result;
 <a name="l00076"></a>00076 }
 <a name="l00077"></a>00077 
-<a name="l00078"></a><a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">00078</a> <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">NodeParser::Path</a>(<span class="keyword">const</span> std::string&amp; path)<span class="keyword"> const</span>
+<a name="l00078"></a><a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">00078</a> <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">NodeParser::Path</a>(<span class="keyword">const</span> std::string&amp; path)<span class="keyword"> const</span>
 <a name="l00079"></a>00079 <span class="keyword"></span>{
 <a name="l00080"></a>00080   <span class="comment">//std::cout &lt;&lt; __PRETTY_FUNCTION__ &lt;&lt; std::endl;</span>
 <a name="l00081"></a>00081   <a class="code" href="classNodeParser.html">NodeParser</a> result;
 <a name="l00082"></a>00082   
 <a name="l00083"></a>00083   <span class="keywordflow">for</span>(const_iterator iter = begin(); iter != end(); ++iter)
 <a name="l00084"></a>00084   {
-<a name="l00085"></a>00085     <a class="code" href="classNodeParser.html">NodeParser</a> iter_list = <a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a>(*iter,path);
+<a name="l00085"></a>00085     <a class="code" href="classNodeParser.html">NodeParser</a> iter_list = <a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a>(*iter,path);
 <a name="l00086"></a>00086     result.splice(result.end(),iter_list);
 <a name="l00087"></a>00087   }
 <a name="l00088"></a>00088 
 <a name="l00089"></a>00089   <span class="keywordflow">return</span> result;
 <a name="l00090"></a>00090 }
 <a name="l00091"></a>00091 
-<a name="l00092"></a><a class="code" href="classNodeParser.html#46a4cac3739e6f65538054a36eaed9ab">00092</a> <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#46a4cac3739e6f65538054a36eaed9ab">NodeParser::Select</a>(<span class="keyword">const</span> std::string&amp; key, <span class="keyword">const</span> std::string&amp; value)<span class="keyword"> const</span>
+<a name="l00092"></a><a class="code" href="classNodeParser.html#a94fa78e9dbb1495dbbb894bd712f6c0">00092</a> <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#a94fa78e9dbb1495dbbb894bd712f6c0">NodeParser::Select</a>(<span class="keyword">const</span> std::string&amp; key, <span class="keyword">const</span> std::string&amp; value)<span class="keyword"> const</span>
 <a name="l00093"></a>00093 <span class="keyword"></span>{
 <a name="l00094"></a>00094   <span class="comment">//std::cout &lt;&lt; __PRETTY_FUNCTION__ &lt;&lt; std::endl;</span>
 <a name="l00095"></a>00095   <a class="code" href="classNodeParser.html">NodeParser</a> result;
@@ -118,7 +114,7 @@
 <a name="l00103"></a>00103         xmlpp::Node::NodeList list = (*iter3)-&gt;get_children();
 <a name="l00104"></a>00104         <span class="keywordflow">for</span>(xmlpp::Node::NodeList::const_iterator iter4 = list.begin(); iter4 != list.end(); ++iter4)
 <a name="l00105"></a>00105         {
-<a name="l00106"></a>00106           <span class="keyword">const</span> xmlpp::TextNode* nodeText = dynamic_cast&lt;const xmlpp::TextNode*&gt;(*iter4);
+<a name="l00106"></a>00106           <span class="keyword">const</span> xmlpp::TextNode* nodeText = <span class="keyword">dynamic_cast&lt;</span><span class="keyword">const </span>xmlpp::TextNode*<span class="keyword">&gt;</span>(*iter4);
 <a name="l00107"></a>00107           <span class="keywordflow">if</span> ( nodeText &amp;&amp; nodeText-&gt;get_content() == value )
 <a name="l00108"></a>00108               result.push_back(*iter);
 <a name="l00109"></a>00109             <span class="keywordflow">break</span>;
@@ -129,7 +125,7 @@
 <a name="l00114"></a>00114   <span class="keywordflow">return</span> result;
 <a name="l00115"></a>00115 }
 <a name="l00116"></a>00116 
-<a name="l00117"></a><a class="code" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">00117</a> vector&lt;string&gt; <a class="code" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">NodeParser::Text</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00117"></a><a class="code" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">00117</a> vector&lt;string&gt; <a class="code" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">NodeParser::Text</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
 <a name="l00118"></a>00118 <span class="keyword"></span>{
 <a name="l00119"></a>00119   vector&lt;string&gt; result;
 <a name="l00120"></a>00120   
@@ -140,7 +136,7 @@
 <a name="l00125"></a>00125     xmlpp::Node::NodeList list = (*iter)-&gt;get_children();
 <a name="l00126"></a>00126     <span class="keywordflow">for</span>(xmlpp::Node::NodeList::const_iterator iter2 = list.begin(); iter2 != list.end(); ++iter2)
 <a name="l00127"></a>00127     {
-<a name="l00128"></a>00128       <span class="keyword">const</span> xmlpp::TextNode* nodeText = dynamic_cast&lt;const xmlpp::TextNode*&gt;(*iter2);
+<a name="l00128"></a>00128       <span class="keyword">const</span> xmlpp::TextNode* nodeText = <span class="keyword">dynamic_cast&lt;</span><span class="keyword">const </span>xmlpp::TextNode*<span class="keyword">&gt;</span>(*iter2);
 <a name="l00129"></a>00129       <span class="keywordflow">if</span> ( nodeText )
 <a name="l00130"></a>00130       {
 <a name="l00131"></a>00131         result.push_back(nodeText-&gt;get_content());
@@ -148,13 +144,13 @@
 <a name="l00133"></a>00133     }
 <a name="l00134"></a>00134   }
 <a name="l00135"></a>00135   <span class="keywordflow">if</span> ( result.empty() )
-<a name="l00136"></a>00136     result.push_back(string());
+<a name="l00136"></a>00136     result.push_back(<span class="keywordtype">string</span>());
 <a name="l00137"></a>00137   <span class="keywordflow">return</span> result;
 <a name="l00138"></a>00138 }
 <a name="l00139"></a>00139 
 <a name="l00140"></a>00140 <span class="comment">// vim:cin:si:ai:et:ts=2:sw=2:</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/nodeparser_8cpp.html'
--- doc/html/nodeparser_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/nodeparser_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,36 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: nodeparser.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>nodeparser.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Implementation of nodeparser object, which facilitiates searching for nodes in an XML file using a notation similiar to XPath. 
 <p>
 
-<p>
-Definition in file <a class="el" href="nodeparser_8cpp-source.html">nodeparser.cpp</a>.
+<p>Definition in file <a class="el" href="nodeparser_8cpp-source.html">nodeparser.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="nodeparser_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/nodeparser_8h-source.html'
--- doc/html/nodeparser_8h-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/nodeparser_8h-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: nodeparser.h Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>nodeparser.h</h1><a href="nodeparser_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                             nodeparser.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -42,23 +38,23 @@
 <a name="l00027"></a><a class="code" href="classNodeParser.html">00027</a> <span class="keyword">class </span><a class="code" href="classNodeParser.html">NodeParser</a>: <span class="keyword">public</span> xmlpp::Node::NodeList
 <a name="l00028"></a>00028 {
 <a name="l00029"></a>00029 <span class="keyword">public</span>:
-<a name="l00030"></a><a class="code" href="classNodeParser.html#c2a3020604da451d9ab28ee730933ca8">00030</a>   <a class="code" href="classNodeParser.html#c2a3020604da451d9ab28ee730933ca8">NodeParser</a>(<span class="keywordtype">void</span>) {}
-<a name="l00031"></a>00031   <a class="code" href="classNodeParser.html#c2a3020604da451d9ab28ee730933ca8">NodeParser</a>(<span class="keyword">const</span> xmlpp::Node::NodeList&amp;);
-<a name="l00032"></a>00032   <a class="code" href="classNodeParser.html#c2a3020604da451d9ab28ee730933ca8">NodeParser</a>(<span class="keyword">const</span> xmlpp::Node*);
-<a name="l00033"></a>00033   <a class="code" href="classNodeParser.html#c2a3020604da451d9ab28ee730933ca8">NodeParser</a>(<span class="keyword">const</span> xmlpp::DomParser&amp;);
+<a name="l00030"></a><a class="code" href="classNodeParser.html#547f49fdbfc9dc7a077459b2ba516329">00030</a>   <a class="code" href="classNodeParser.html#547f49fdbfc9dc7a077459b2ba516329">NodeParser</a>(<span class="keywordtype">void</span>) {}
+<a name="l00031"></a>00031   <a class="code" href="classNodeParser.html#547f49fdbfc9dc7a077459b2ba516329">NodeParser</a>(<span class="keyword">const</span> xmlpp::Node::NodeList&amp;);
+<a name="l00032"></a>00032   <a class="code" href="classNodeParser.html#547f49fdbfc9dc7a077459b2ba516329">NodeParser</a>(<span class="keyword">const</span> xmlpp::Node*);
+<a name="l00033"></a>00033   <a class="code" href="classNodeParser.html#547f49fdbfc9dc7a077459b2ba516329">NodeParser</a>(<span class="keyword">const</span> xmlpp::DomParser&amp;);
 <a name="l00034"></a>00034 
-<a name="l00035"></a>00035   <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a>(<span class="keyword">const</span> std::string&amp; path) <span class="keyword">const</span>;
-<a name="l00036"></a>00036   <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#46a4cac3739e6f65538054a36eaed9ab">Select</a>(<span class="keyword">const</span> std::string&amp; key, <span class="keyword">const</span> std::string&amp; value) <span class="keyword">const</span>;
-<a name="l00037"></a>00037   std::vector&lt;std::string&gt; <a class="code" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">Text</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00035"></a>00035   <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a>(<span class="keyword">const</span> std::string&amp; path) <span class="keyword">const</span>;
+<a name="l00036"></a>00036   <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#a94fa78e9dbb1495dbbb894bd712f6c0">Select</a>(<span class="keyword">const</span> std::string&amp; key, <span class="keyword">const</span> std::string&amp; value) <span class="keyword">const</span>;
+<a name="l00037"></a>00037   std::vector&lt;std::string&gt; <a class="code" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">Text</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
 <a name="l00038"></a>00038 
 <a name="l00039"></a>00039 <span class="keyword">protected</span>:
-<a name="l00040"></a>00040   <span class="keyword">static</span> <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a>(<span class="keyword">const</span> xmlpp::Node* node,<span class="keyword">const</span> std::string&amp; path);
+<a name="l00040"></a>00040   <span class="keyword">static</span> <a class="code" href="classNodeParser.html">NodeParser</a> <a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a>(<span class="keyword">const</span> xmlpp::Node* node,<span class="keyword">const</span> std::string&amp; path);
 <a name="l00041"></a>00041 };
 <a name="l00042"></a>00042 
 <a name="l00043"></a>00043 
 <a name="l00044"></a>00044 <span class="preprocessor">#endif // NODEPARSER_H</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/nodeparser_8h.html'
--- doc/html/nodeparser_8h.html	2006-10-20 13:12:33 +0000
+++ doc/html/nodeparser_8h.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: nodeparser.h File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>nodeparser.h File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Declaration of nodeparser object, which facilitiates searching for nodes in an XML file using a notation similiar to XPath. 
 <p>
 
-<p>
-Definition in file <a class="el" href="nodeparser_8h-source.html">nodeparser.h</a>.
+<p>Definition in file <a class="el" href="nodeparser_8h-source.html">nodeparser.h</a>.</p>
+
 <p>
 
 <p>
@@ -32,8 +28,8 @@
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classNodeParser.html">NodeParser</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofc__sgml_8cpp-source.html'
--- doc/html/ofc__sgml_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofc__sgml_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofc_sgml.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofc_sgml.cpp</h1><a href="ofc__sgml_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.cpp</span>
 <a name="l00003"></a>00003 <span class="comment">                          -------------------</span>
@@ -40,59 +36,59 @@
 <a name="l00026"></a>00026 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00027"></a>00027 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00028"></a>00028 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="ofc__sgml_8hh.html">ofc_sgml.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="ofc__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofc_sgml.hh</a>"</span>
 <a name="l00034"></a>00034 
 <a name="l00035"></a>00035 <span class="keyword">using namespace </span>std;
 <a name="l00036"></a>00036 
 <a name="l00037"></a>00037 
-<a name="l00038"></a>00038 <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>;
-<a name="l00039"></a>00039 <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>;
-<a name="l00040"></a>00040 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00038"></a>00038 <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>;
+<a name="l00039"></a>00039 <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>;
+<a name="l00040"></a>00040 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00041"></a>00041 
-<a name="l00044"></a><a class="code" href="classOFCApplication.html">00044</a> <span class="keyword">class </span><a class="code" href="classOFCApplication.html">OFCApplication</a> : <span class="keyword">public</span> SGMLApplication{
+<a name="l00044"></a><a class="code" href="classOFCApplication.html">00044</a> <span class="keyword">class </span><a class="code" href="classOFCApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFCApplication</a> : <span class="keyword">public</span> SGMLApplication{
 <a name="l00045"></a>00045 <span class="keyword">private</span>:
-<a name="l00046"></a>00046   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *curr_container_element; 
-<a name="l00047"></a>00047   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *tmp_container_element;
+<a name="l00046"></a>00046   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *curr_container_element; 
+<a name="l00047"></a>00047   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *tmp_container_element;
 <a name="l00048"></a>00048   <span class="keywordtype">bool</span> is_data_element; 
-<a name="l00049"></a>00049   string incoming_data; 
+<a name="l00049"></a>00049   <span class="keywordtype">string</span> incoming_data; 
 <a name="l00050"></a>00050   <a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context;
 <a name="l00051"></a>00051  <span class="keyword">public</span>:
-<a name="l00052"></a><a class="code" href="classOFCApplication.html#39738e0a8d50ff17e33655c959594d83">00052</a>   <a class="code" href="classOFCApplication.html#39738e0a8d50ff17e33655c959594d83">OFCApplication</a> (<a class="code" href="classLibofxContext.html">LibofxContext</a> * p_libofx_context)
+<a name="l00052"></a><a class="code" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">00052</a>   <a class="code" href="classOFCApplication.html#6427b00e075e4b9b95180e76fb1d55f9">OFCApplication</a> (<a class="code" href="classLibofxContext.html">LibofxContext</a> * p_libofx_context)
 <a name="l00053"></a>00053   {
-<a name="l00054"></a>00054     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>=NULL;
+<a name="l00054"></a>00054     MainContainer=NULL;
 <a name="l00055"></a>00055     curr_container_element = NULL;
 <a name="l00056"></a>00056     is_data_element = <span class="keyword">false</span>;
 <a name="l00057"></a>00057     libofx_context=p_libofx_context;
 <a name="l00058"></a>00058   }
 <a name="l00059"></a>00059   
-<a name="l00064"></a><a class="code" href="classOFCApplication.html#18809e20feba29f025168077e1e8d0b8">00064</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#18809e20feba29f025168077e1e8d0b8">startElement</a> (<span class="keyword">const</span> StartElementEvent &amp; event)
+<a name="l00064"></a><a class="code" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05">00064</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#f41018e7c903435df28ecb797fad7f05" title="Callback: Start of an OFX element.">startElement</a> (<span class="keyword">const</span> StartElementEvent &amp; event)
 <a name="l00065"></a>00065   {
-<a name="l00066"></a>00066     string identifier;
-<a name="l00067"></a>00067     <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.gi, identifier);
-<a name="l00068"></a>00068     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"startElement event received from OpenSP for element "</span> + identifier);
+<a name="l00066"></a>00066     <span class="keywordtype">string</span> identifier;
+<a name="l00067"></a>00067     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
+<a name="l00068"></a>00068     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"startElement event received from OpenSP for element "</span> + identifier);
 <a name="l00069"></a>00069     
-<a name="l00070"></a>00070     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00070"></a>00070     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00071"></a>00071 
 <a name="l00072"></a>00072     <span class="keywordflow">switch</span> (event.contentType)
 <a name="l00073"></a>00073       {
-<a name="l00074"></a>00074       <span class="keywordflow">case</span> StartElementEvent::empty:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::empty\n"</span>);
+<a name="l00074"></a>00074       <span class="keywordflow">case</span> StartElementEvent::empty:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::empty\n"</span>);
 <a name="l00075"></a>00075         <span class="keywordflow">break</span>;
-<a name="l00076"></a>00076       <span class="keywordflow">case</span> StartElementEvent::cdata:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::cdata\n"</span>);
+<a name="l00076"></a>00076       <span class="keywordflow">case</span> StartElementEvent::cdata:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::cdata\n"</span>);
 <a name="l00077"></a>00077         <span class="keywordflow">break</span>;
-<a name="l00078"></a>00078       <span class="keywordflow">case</span> StartElementEvent::rcdata:   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::rcdata\n"</span>);
+<a name="l00078"></a>00078       <span class="keywordflow">case</span> StartElementEvent::rcdata:   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::rcdata\n"</span>);
 <a name="l00079"></a>00079         <span class="keywordflow">break</span>;
-<a name="l00080"></a>00080       <span class="keywordflow">case</span> StartElementEvent::mixed:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"StartElementEvent::mixed"</span>);
+<a name="l00080"></a>00080       <span class="keywordflow">case</span> StartElementEvent::mixed:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::mixed"</span>);
 <a name="l00081"></a>00081         is_data_element = <span class="keyword">true</span>;
 <a name="l00082"></a>00082         <span class="keywordflow">break</span>;
-<a name="l00083"></a>00083       <span class="keywordflow">case</span> StartElementEvent::element:  <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"StartElementEvent::element"</span>);
+<a name="l00083"></a>00083       <span class="keywordflow">case</span> StartElementEvent::element:  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::element"</span>);
 <a name="l00084"></a>00084         is_data_element = <span class="keyword">false</span>;
 <a name="l00085"></a>00085         <span class="keywordflow">break</span>;
 <a name="l00086"></a>00086       <span class="keywordflow">default</span>:
-<a name="l00087"></a>00087         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Unknow SGML content type?!?!?!? OpenSP interface changed?"</span>);
+<a name="l00087"></a>00087         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Unknow SGML content type?!?!?!? OpenSP interface changed?"</span>);
 <a name="l00088"></a>00088       }
 <a name="l00089"></a>00089     
 <a name="l00090"></a>00090     <span class="keywordflow">if</span> (is_data_element == <span class="keyword">false</span>)
@@ -101,38 +97,38 @@
 <a name="l00093"></a>00093 
 <a name="l00094"></a>00094         <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"OFC"</span>)
 <a name="l00095"></a>00095           {
-<a name="l00096"></a>00096             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00097"></a>00097             <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = <span class="keyword">new</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> (libofx_context, curr_container_element, identifier);
-<a name="l00098"></a>00098             curr_container_element = <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00096"></a>00096             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00097"></a>00097             MainContainer = <span class="keyword">new</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00098"></a>00098             curr_container_element = MainContainer;
 <a name="l00099"></a>00099           }
 <a name="l00100"></a>00100         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STATUS"</span>)
 <a name="l00101"></a>00101           {
-<a name="l00102"></a>00102             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00103"></a>00103             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatusContainer.html">OfxStatusContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00102"></a>00102             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00103"></a>00103             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatusContainer.html" title="Represents the &amp;lt;STATUS&amp;gt; OFX SGML entity.">OfxStatusContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00104"></a>00104           }
 <a name="l00105"></a>00105         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"ACCTSTMT"</span>)
 <a name="l00106"></a>00106           {
-<a name="l00107"></a>00107             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00108"></a>00108             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00107"></a>00107             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00108"></a>00108             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00109"></a>00109           }
 <a name="l00110"></a>00110         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STMTRS"</span>)
 <a name="l00111"></a>00111           {
-<a name="l00112"></a>00112             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00112"></a>00112             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
 <a name="l00113"></a>00113             <span class="comment">//STMTRS ignored, we will process it's attributes directly inside the STATEMENT,</span>
-<a name="l00114"></a>00114             <span class="keywordflow">if</span>(curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
+<a name="l00114"></a>00114             <span class="keywordflow">if</span>(curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
 <a name="l00115"></a>00115               {
-<a name="l00116"></a>00116                 <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found while not inside a STATEMENT container"</span>);
+<a name="l00116"></a>00116                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found while not inside a STATEMENT container"</span>);
 <a name="l00117"></a>00117               }
 <a name="l00118"></a>00118             <span class="keywordflow">else</span>
 <a name="l00119"></a>00119               {
-<a name="l00120"></a>00120                 curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00120"></a>00120                 curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00121"></a>00121               }
 <a name="l00122"></a>00122           }
 <a name="l00123"></a>00123         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"GENTRN"</span> ||
 <a name="l00124"></a>00124                  identifier == <span class="stringliteral">"STMTTRN"</span>)
 <a name="l00125"></a>00125           {
-<a name="l00126"></a>00126             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00127"></a>00127             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00126"></a>00126             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00127"></a>00127             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00128"></a>00128           }
 <a name="l00129"></a>00129         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"BUYDEBT"</span> ||
 <a name="l00130"></a>00130                 identifier == <span class="stringliteral">"BUYMF"</span> ||
@@ -155,8 +151,8 @@
 <a name="l00147"></a>00147                 identifier == <span class="stringliteral">"SPLIT"</span> ||
 <a name="l00148"></a>00148                 identifier == <span class="stringliteral">"TRANSFER"</span> )
 <a name="l00149"></a>00149           {
-<a name="l00150"></a>00150             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00151"></a>00151             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00150"></a>00150             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00151"></a>00151             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00152"></a>00152           }
 <a name="l00153"></a>00153         <span class="comment">/*The following is a list of OFX elements whose attributes will be processed by the parent container*/</span>
 <a name="l00154"></a>00154         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"INVBUY"</span> ||
@@ -164,191 +160,191 @@
 <a name="l00156"></a>00156                  identifier == <span class="stringliteral">"INVTRAN"</span> ||
 <a name="l00157"></a>00157                  identifier == <span class="stringliteral">"SECID"</span>)
 <a name="l00158"></a>00158           {
-<a name="l00159"></a>00159             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00160"></a>00160             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00159"></a>00159             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00160"></a>00160             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00161"></a>00161           }
 <a name="l00162"></a>00162 
 <a name="l00163"></a>00163         <span class="comment">/* The different types of accounts */</span>
 <a name="l00164"></a>00164         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"ACCOUNT"</span>||
 <a name="l00165"></a>00165                  identifier == <span class="stringliteral">"ACCTFROM"</span> )
 <a name="l00166"></a>00166           {
-<a name="l00167"></a>00167             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00168"></a>00168             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00167"></a>00167             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00168"></a>00168             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00169"></a>00169           }
 <a name="l00170"></a>00170         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"SECINFO"</span>)
 <a name="l00171"></a>00171           {
-<a name="l00172"></a>00172             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00173"></a>00173             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00172"></a>00172             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00173"></a>00173             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00174"></a>00174           }
 <a name="l00175"></a>00175         <span class="comment">/* The different types of balances */</span>
 <a name="l00176"></a>00176         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"LEDGERBAL"</span> || identifier == <span class="stringliteral">"AVAILBAL"</span>)
 <a name="l00177"></a>00177           {
-<a name="l00178"></a>00178             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00179"></a>00179             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBalanceContainer.html">OfxBalanceContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00178"></a>00178             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00179"></a>00179             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00180"></a>00180           }
 <a name="l00181"></a>00181         <span class="keywordflow">else</span>
 <a name="l00182"></a>00182           {
 <a name="l00183"></a>00183             <span class="comment">/* We dont know this OFX element, so we create a dummy container */</span>
-<a name="l00184"></a>00184             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxDummyContainer.html">OfxDummyContainer</a>(libofx_context, curr_container_element, identifier);
+<a name="l00184"></a>00184             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>(libofx_context, curr_container_element, identifier);
 <a name="l00185"></a>00185           }
 <a name="l00186"></a>00186       }
 <a name="l00187"></a>00187     <span class="keywordflow">else</span>
 <a name="l00188"></a>00188       {
 <a name="l00189"></a>00189         <span class="comment">/* The element was a data element.  OpenSP will call one or several data() callback with the data */</span>
-<a name="l00190"></a>00190         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Data element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00190"></a>00190         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Data element "</span> + identifier + <span class="stringliteral">" found"</span>);
 <a name="l00191"></a>00191         <span class="comment">/* There is a bug in OpenSP 1.3.4, which won't send endElement Event for some elements, and will instead send an error like "document type does not allow element "MESSAGE" here".  Incoming_data should be empty in such a case, but it will not be if the endElement event was skiped. So we empty it, so at least the last element has a chance of having valid data */</span> 
 <a name="l00192"></a>00192         <span class="keywordflow">if</span> (incoming_data != <span class="stringliteral">""</span>)
 <a name="l00193"></a>00193           {
-<a name="l00194"></a>00194             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"startElement: incoming_data should be empty! You are probably using OpenSP &lt;= 1.3.4.  The folowing data was lost: "</span> + incoming_data );
+<a name="l00194"></a>00194             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"startElement: incoming_data should be empty! You are probably using OpenSP &lt;= 1.3.4.  The folowing data was lost: "</span> + incoming_data );
 <a name="l00195"></a>00195             incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00196"></a>00196           }
 <a name="l00197"></a>00197       }
 <a name="l00198"></a>00198   }
 <a name="l00199"></a>00199 
-<a name="l00204"></a><a class="code" href="classOFCApplication.html#7682bf9a0e592eba3219e1b51fc26936">00204</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#7682bf9a0e592eba3219e1b51fc26936">endElement</a> (<span class="keyword">const</span> EndElementEvent &amp; event)
+<a name="l00204"></a><a class="code" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f">00204</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#5236b08f9e8f2db3c47346089b09f97f" title="Callback: End of an OFX element.">endElement</a> (<span class="keyword">const</span> EndElementEvent &amp; event)
 <a name="l00205"></a>00205   {
-<a name="l00206"></a>00206     string identifier;
+<a name="l00206"></a>00206     <span class="keywordtype">string</span> identifier;
 <a name="l00207"></a>00207     <span class="keywordtype">bool</span> end_element_for_data_element;
 <a name="l00208"></a>00208 
-<a name="l00209"></a>00209     <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.gi, identifier);
+<a name="l00209"></a>00209     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
 <a name="l00210"></a>00210     end_element_for_data_element=is_data_element;
-<a name="l00211"></a>00211     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"endElement event received from OpenSP for element "</span> + identifier);
+<a name="l00211"></a>00211     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement event received from OpenSP for element "</span> + identifier);
 <a name="l00212"></a>00212 
-<a name="l00213"></a>00213     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00213"></a>00213     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00214"></a>00214     <span class="keywordflow">if</span> (curr_container_element == NULL)
 <a name="l00215"></a>00215       {
-<a name="l00216"></a>00216         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" without a open element (NULL pointer)"</span>);
+<a name="l00216"></a>00216         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" without a open element (NULL pointer)"</span>);
 <a name="l00217"></a>00217         incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00218"></a>00218       }
 <a name="l00219"></a>00219     <span class="keywordflow">else</span> <span class="comment">//curr_container_element != NULL</span>
 <a name="l00220"></a>00220       {
 <a name="l00221"></a>00221         <span class="keywordflow">if</span> (end_element_for_data_element == <span class="keyword">true</span>)
 <a name="l00222"></a>00222           {
-<a name="l00223"></a>00223             incoming_data = <a class="code" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a>(incoming_data);
+<a name="l00223"></a>00223             incoming_data = <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(incoming_data);
 <a name="l00224"></a>00224             
-<a name="l00225"></a>00225             curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">add_attribute</a> (identifier, incoming_data);
-<a name="l00226"></a>00226             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"endElement: Added data '"</span> + incoming_data + <span class="stringliteral">"' from "</span> + identifier + <span class="stringliteral">" to "</span> + curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a> + <span class="stringliteral">" container_element"</span>);
+<a name="l00225"></a>00225             curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a> (identifier, incoming_data);
+<a name="l00226"></a>00226             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement: Added data '"</span> + incoming_data + <span class="stringliteral">"' from "</span> + identifier + <span class="stringliteral">" to "</span> + curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> + <span class="stringliteral">" container_element"</span>);
 <a name="l00227"></a>00227             incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00228"></a>00228             is_data_element=<span class="keyword">false</span>;
 <a name="l00229"></a>00229           }
 <a name="l00230"></a>00230         <span class="keywordflow">else</span>
 <a name="l00231"></a>00231           {
-<a name="l00232"></a>00232             <span class="keywordflow">if</span> (identifier == curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>)
+<a name="l00232"></a>00232             <span class="keywordflow">if</span> (identifier == curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>)
 <a name="l00233"></a>00233               {
 <a name="l00234"></a>00234                 <span class="keywordflow">if</span>(incoming_data!=<span class="stringliteral">""</span>)
 <a name="l00235"></a>00235                   {
-<a name="l00236"></a>00236                     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"End tag for non data element "</span>+identifier+<span class="stringliteral">", incoming data should be empty but contains: "</span>+incoming_data+<span class="stringliteral">" DATA HAS BEEN LOST SOMEWHERE!"</span>);
+<a name="l00236"></a>00236                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"End tag for non data element "</span>+identifier+<span class="stringliteral">", incoming data should be empty but contains: "</span>+incoming_data+<span class="stringliteral">" DATA HAS BEEN LOST SOMEWHERE!"</span>);
 <a name="l00237"></a>00237                   }
 <a name="l00238"></a>00238 
 <a name="l00239"></a>00239                 <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"OFX"</span>)
 <a name="l00240"></a>00240                   {
 <a name="l00241"></a>00241                     <span class="comment">/* The main container is a special case */</span>
 <a name="l00242"></a>00242                     tmp_container_element = curr_container_element;
-<a name="l00243"></a>00243                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a> ();
-<a name="l00244"></a>00244                     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">gen_event</a>();
-<a name="l00245"></a>00245                     <span class="keyword">delete</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
-<a name="l00246"></a>00246                     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = NULL;
-<a name="l00247"></a>00247                     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, MainContainer destroyed"</span>);
+<a name="l00243"></a>00243                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00244"></a>00244                     MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00245"></a>00245                     <span class="keyword">delete</span> MainContainer;
+<a name="l00246"></a>00246                     MainContainer = NULL;
+<a name="l00247"></a>00247                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, MainContainer destroyed"</span>);
 <a name="l00248"></a>00248                   }
 <a name="l00249"></a>00249                 <span class="keywordflow">else</span> 
 <a name="l00250"></a>00250                   {
 <a name="l00251"></a>00251                     tmp_container_element = curr_container_element;
-<a name="l00252"></a>00252                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a> ();
-<a name="l00253"></a>00253                     <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00252"></a>00252                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00253"></a>00253                     <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00254"></a>00254                       {
-<a name="l00255"></a>00255                         tmp_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">add_to_main_tree</a>();
-<a name="l00256"></a>00256                         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, object added to MainContainer"</span>);
+<a name="l00255"></a>00255                         tmp_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00256"></a>00256                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, object added to MainContainer"</span>);
 <a name="l00257"></a>00257                       }
 <a name="l00258"></a>00258                     <span class="keywordflow">else</span>
 <a name="l00259"></a>00259                       {
-<a name="l00260"></a>00260                         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"MainContainer is NULL trying to add element "</span> + identifier);
+<a name="l00260"></a>00260                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"MainContainer is NULL trying to add element "</span> + identifier);
 <a name="l00261"></a>00261                       }
 <a name="l00262"></a>00262                   }
 <a name="l00263"></a>00263               }
 <a name="l00264"></a>00264             <span class="keywordflow">else</span>
 <a name="l00265"></a>00265               {
-<a name="l00266"></a>00266                 <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" but a "</span>+curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>+<span class="stringliteral">" is currently open."</span>);
+<a name="l00266"></a>00266                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" but a "</span>+curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" is currently open."</span>);
 <a name="l00267"></a>00267               }
 <a name="l00268"></a>00268           }
 <a name="l00269"></a>00269       }
 <a name="l00270"></a>00270   }
 <a name="l00271"></a>00271   
-<a name="l00276"></a><a class="code" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">00276</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#9d316f2b81921fa9661666523310ebc9">data</a> (<span class="keyword">const</span> DataEvent &amp; event)
+<a name="l00276"></a><a class="code" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf">00276</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#b7377bdd933c0809621c9401c4bb7faf" title="Callback: Data from an OFX element.">data</a> (<span class="keyword">const</span> DataEvent &amp; event)
 <a name="l00277"></a>00277   {
-<a name="l00278"></a>00278     string tmp;
-<a name="l00279"></a>00279     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
-<a name="l00280"></a>00280     <a class="code" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a> (event.data, incoming_data);
-<a name="l00281"></a>00281     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"data event received from OpenSP, incoming_data is now: "</span> + incoming_data);
+<a name="l00278"></a>00278     <span class="keywordtype">string</span> tmp;
+<a name="l00279"></a>00279     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00280"></a>00280     <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a> (event.data, incoming_data);
+<a name="l00281"></a>00281     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"data event received from OpenSP, incoming_data is now: "</span> + incoming_data);
 <a name="l00282"></a>00282   }
 <a name="l00283"></a>00283 
-<a name="l00288"></a><a class="code" href="classOFCApplication.html#97dd26803339b3066d6f08215c9ec2f0">00288</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#97dd26803339b3066d6f08215c9ec2f0">error</a> (<span class="keyword">const</span> ErrorEvent &amp; event)
+<a name="l00288"></a><a class="code" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3">00288</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#f0066a700819223be70fedc901c9e6e3" title="Callback: SGML parse error.">error</a> (<span class="keyword">const</span> ErrorEvent &amp; event)
 <a name="l00289"></a>00289   {
-<a name="l00290"></a>00290     string message;
-<a name="l00291"></a>00291     string string_buf;
-<a name="l00292"></a>00292     <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00290"></a>00290     <span class="keywordtype">string</span> message;
+<a name="l00291"></a>00291     <span class="keywordtype">string</span> string_buf;
+<a name="l00292"></a>00292     <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00293"></a>00293 
-<a name="l00294"></a>00294     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00294"></a>00294     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00295"></a>00295     message = message + <span class="stringliteral">"OpenSP parser: "</span>;
 <a name="l00296"></a>00296     <span class="keywordflow">switch</span> (event.type){
 <a name="l00297"></a>00297     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::quantity:
 <a name="l00298"></a>00298       message = message + <span class="stringliteral">"quantity (Exceeding a quantity limit):"</span>;
-<a name="l00299"></a>00299       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00299"></a>00299       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00300"></a>00300       <span class="keywordflow">break</span>;
 <a name="l00301"></a>00301     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::idref:
 <a name="l00302"></a>00302       message = message + <span class="stringliteral">"idref (An IDREF to a non-existent ID):"</span>;
-<a name="l00303"></a>00303       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00303"></a>00303       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00304"></a>00304       <span class="keywordflow">break</span>;
 <a name="l00305"></a>00305     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::capacity:
 <a name="l00306"></a>00306       message = message + <span class="stringliteral">"capacity (Exceeding a capacity limit):"</span>;
-<a name="l00307"></a>00307       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00307"></a>00307       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00308"></a>00308       <span class="keywordflow">break</span>;
 <a name="l00309"></a>00309     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::otherError:
 <a name="l00310"></a>00310       message = message + <span class="stringliteral">"otherError (misc parse error):"</span>;
-<a name="l00311"></a>00311       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00311"></a>00311       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00312"></a>00312       <span class="keywordflow">break</span>;
 <a name="l00313"></a>00313     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::warning:
 <a name="l00314"></a>00314       message = message + <span class="stringliteral">"warning (Not actually an error.):"</span>;
-<a name="l00315"></a>00315       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">WARNING</a>;
+<a name="l00315"></a>00315       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>;
 <a name="l00316"></a>00316       <span class="keywordflow">break</span>;
 <a name="l00317"></a>00317     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::info:
 <a name="l00318"></a>00318       message =  message + <span class="stringliteral">"info (An informationnal message.  Not actually an error):"</span>;
-<a name="l00319"></a>00319       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>;
+<a name="l00319"></a>00319       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>;
 <a name="l00320"></a>00320       <span class="keywordflow">break</span>;
 <a name="l00321"></a>00321     <span class="keywordflow">default</span>:
 <a name="l00322"></a>00322       message = message + <span class="stringliteral">"OpenSP sent an unknown error to LibOFX (You probably have a newer version of OpenSP):"</span>;
 <a name="l00323"></a>00323     }
-<a name="l00324"></a>00324     message =   message + <span class="stringliteral">"\n"</span> + <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.message, string_buf);
-<a name="l00325"></a>00325     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (error_type, message);
+<a name="l00324"></a>00324     message =   message + <span class="stringliteral">"\n"</span> + <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.message, string_buf);
+<a name="l00325"></a>00325     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (error_type, message);
 <a name="l00326"></a>00326   }
 <a name="l00327"></a>00327 
-<a name="l00332"></a><a class="code" href="classOFCApplication.html#867567a68eeb21a294a1791436ee77d6">00332</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#867567a68eeb21a294a1791436ee77d6">openEntityChange</a> (<span class="keyword">const</span> OpenEntityPtr &amp; para_entity_ptr)
+<a name="l00332"></a><a class="code" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c">00332</a>   <span class="keywordtype">void</span> <a class="code" href="classOFCApplication.html#26eddc55614d7796fb07c5edd4a86d5c" title="Callback: Receive internal OpenSP state.">openEntityChange</a> (<span class="keyword">const</span> OpenEntityPtr &amp; para_entity_ptr)
 <a name="l00333"></a>00333   {
-<a name="l00334"></a>00334     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"openEntityChange()\n"</span>);
-<a name="l00335"></a>00335     <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a> = para_entity_ptr;
+<a name="l00334"></a>00334     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"openEntityChange()\n"</span>);
+<a name="l00335"></a>00335     <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a> = para_entity_ptr;
 <a name="l00336"></a>00336 
 <a name="l00337"></a>00337   };
 <a name="l00338"></a>00338 
 <a name="l00339"></a>00339 <span class="keyword">private</span>:
 <a name="l00340"></a>00340 };
 <a name="l00341"></a>00341 
-<a name="l00345"></a><a class="code" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html#cf526ca0ea3e6ed91c719bfb686663f7">00345</a> <span class="keywordtype">int</span> <a class="code" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
+<a name="l00345"></a><a class="code" href="fx-0_89_80_2lib_2ofc__sgml_8hh.html#ee7c042ff1c1d0ee11c693a9617735e5">00345</a> <span class="keywordtype">int</span> <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
 <a name="l00346"></a>00346 {
-<a name="l00347"></a>00347   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Begin ofx_proc_sgml()"</span>);
-<a name="l00348"></a>00348   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[0]);
-<a name="l00349"></a>00349   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[1]);
-<a name="l00350"></a>00350   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[2]);
+<a name="l00347"></a>00347   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Begin ofx_proc_sgml()"</span>);
+<a name="l00348"></a>00348   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[0]);
+<a name="l00349"></a>00349   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[1]);
+<a name="l00350"></a>00350   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[2]);
 <a name="l00351"></a>00351   
 <a name="l00352"></a>00352   ParserEventGeneratorKit parserKit;
 <a name="l00353"></a>00353   parserKit.setOption (ParserEventGeneratorKit::showOpenEntities);
 <a name="l00354"></a>00354   EventGenerator *egp = parserKit.makeEventGenerator (argc, argv);
 <a name="l00355"></a>00355   egp-&gt;inhibitMessages (<span class="keyword">true</span>);  <span class="comment">/* Error output is handled by libofx not OpenSP */</span>
-<a name="l00356"></a>00356   <a class="code" href="classOFCApplication.html">OFCApplication</a> *app = <span class="keyword">new</span> <a class="code" href="classOFCApplication.html">OFCApplication</a>(libofx_context);
+<a name="l00356"></a>00356   <a class="code" href="classOFCApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFCApplication</a> *app = <span class="keyword">new</span> <a class="code" href="classOFCApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFCApplication</a>(libofx_context);
 <a name="l00357"></a>00357   <span class="keywordtype">unsigned</span> nErrors = egp-&gt;run (*app); <span class="comment">/* Begin parsing */</span>
 <a name="l00358"></a>00358   <span class="keyword">delete</span> egp;
 <a name="l00359"></a>00359   <span class="keywordflow">return</span> nErrors &gt; 0;
 <a name="l00360"></a>00360 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofc__sgml_8cpp.html'
--- doc/html/ofc__sgml_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofc__sgml_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofc_sgml.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofc_sgml.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 OFX/SGML parsing functionnality. 
 <p>
 Almost all of the SGML parser specific code is contained in this file (some is in messages.cpp and ofx_utilities.cpp). To understand this file you must read the documentation of OpenSP's generic interface: see <a href="http://openjade.sourceforge.net/">http://openjade.sourceforge.net/</a> 
-<p>
-Definition in file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.
+<p>Definition in file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+
 <p>
 
 <p>
@@ -33,119 +29,97 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This object is driven by OpenSP as it parses the SGML from the ofx file(s).  <a href="classOFCApplication.html#_details">More...</a><br></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5">ofc_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#cf526ca0ea3e6ed91c719bfb686663f7"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#ee7c042ff1c1d0ee11c693a9617735e5"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofc__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofc__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="ofc_sgml.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofc__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofc__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="ofc_sgml.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="cf526ca0ea3e6ed91c719bfb686663f7"></a><!-- doxytag: member="ofc_sgml.cpp::ofc_proc_sgml" ref="cf526ca0ea3e6ed91c719bfb686663f7" args="(LibofxContext *libofx_context, int argc, char *argv[])" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int ofc_proc_sgml           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>argc</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>argv</em>[]</td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="ee7c042ff1c1d0ee11c693a9617735e5"></a><!-- doxytag: member="ofc_sgml.cpp::ofc_proc_sgml" ref="ee7c042ff1c1d0ee11c693a9617735e5" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofc_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses a DTD and OFX file(s). 
 <p>
 ofc_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
-<p>
-Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00345">345</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00345">345</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__preproc_8cpp-source.html#l00280">libofx_proc_buffer()</a>, and <a class="el" href="ofx__preproc_8cpp-source.html#l00070">ofx_proc_file()</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="c8e1fbbf7434010d88e4ebb6b2c56340"></a><!-- doxytag: member="ofc_sgml.cpp::entity_ptr" ref="c8e1fbbf7434010d88e4ebb6b2c56340" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d4db2383832ddcfb93e4e02ce1cb102b"></a><!-- doxytag: member="ofc_sgml.cpp::position" ref="d4db2383832ddcfb93e4e02ce1cb102b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::Position <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a class="anchor" name="adaa870f35b4a4fb6b268ae8ea872ccf"></a><!-- doxytag: member="ofc_sgml.cpp::entity_ptr" ref="adaa870f35b4a4fb6b268ae8ea872ccf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4da8008b6f110050513003edf67a2495"></a><!-- doxytag: member="ofc_sgml.cpp::position" ref="4da8008b6f110050513003edf67a2495" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::Position <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofc__sgml_8hh-source.html'
--- doc/html/ofc__sgml_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofc__sgml_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofc_sgml.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofc_sgml.hh</h1><a href="ofc__sgml_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.h</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,11 +32,11 @@
 <a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define OFC_SGML_H</span>
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include "context.hh"</span>
 <a name="l00022"></a>00022 
-<a name="l00024"></a>00024 <span class="keywordtype">int</span> <a class="code" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);
+<a name="l00024"></a>00024 <span class="keywordtype">int</span> <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);
 <a name="l00025"></a>00025 
 <a name="l00026"></a>00026 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofc__sgml_8hh.html'
--- doc/html/ofc__sgml_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofc__sgml_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,88 +1,76 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofc_sgml.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofc_sgml.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 OFX/SGML parsing functionnality. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofc__sgml_8hh-source.html">ofc_sgml.hh</a>.
+<p>Definition in file <a class="el" href="ofc__sgml_8hh-source.html">ofc_sgml.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="ofc__sgml_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofc__sgml_8hh.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofc__sgml_8hh.html#ee7c042ff1c1d0ee11c693a9617735e5">ofc_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#cf526ca0ea3e6ed91c719bfb686663f7"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#ee7c042ff1c1d0ee11c693a9617735e5"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="cf526ca0ea3e6ed91c719bfb686663f7"></a><!-- doxytag: member="ofc_sgml.hh::ofc_proc_sgml" ref="cf526ca0ea3e6ed91c719bfb686663f7" args="(LibofxContext *libofx_context, int argc, char *argv[])" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int ofc_proc_sgml           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>argc</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>argv</em>[]</td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="ee7c042ff1c1d0ee11c693a9617735e5"></a><!-- doxytag: member="ofc_sgml.hh::ofc_proc_sgml" ref="ee7c042ff1c1d0ee11c693a9617735e5" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofc_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses a DTD and OFX file(s). 
 <p>
 ofc_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
-<p>
-Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00345">345</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofc__sgml_8cpp-source.html#l00345">345</a> of file <a class="el" href="ofc__sgml_8cpp-source.html">ofc_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx2qif_8c-source.html'
--- doc/html/ofx2qif_8c-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx2qif_8c-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx2qif.c Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx2qif.c</h1><a href="ofx2qif_8c.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                                   ofx2qif.c</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -35,82 +31,82 @@
 <a name="l00041"></a>00041 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
 <a name="l00042"></a>00042 <span class="preprocessor">#include &lt;string.h&gt;</span>
 <a name="l00043"></a>00043 <span class="preprocessor">#include &lt;time.h&gt;</span>
-<a name="l00044"></a>00044 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
+<a name="l00044"></a>00044 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
 <a name="l00045"></a>00045 
-<a name="l00046"></a><a class="code" href="ofx2qif_8c.html#f3b9362349db483d66dcd2067bc9df82">00046</a> <span class="preprocessor">#define QIF_FILE_MAX_SIZE 256000</span>
+<a name="l00046"></a><a class="code" href="ofx2qif_8c.html#746e398756fe4d68b06e3bbd1418402a">00046</a> <span class="preprocessor">#define QIF_FILE_MAX_SIZE 256000</span>
 <a name="l00047"></a>00047 <span class="preprocessor"></span>
-<a name="l00048"></a><a class="code" href="ofx2qif_8c.html#411f3cb6e88b8669a7a4b6dc18a7e758">00048</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#411f3cb6e88b8669a7a4b6dc18a7e758">ofx_proc_transaction_cb</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html">OfxTransactionData</a> data, <span class="keywordtype">void</span> * transaction_data)
+<a name="l00048"></a><a class="code" href="ofx2qif_8c.html#7850aaa7c07cabcacb6849e82f773463">00048</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#7850aaa7c07cabcacb6849e82f773463">ofx_proc_transaction_cb</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data, <span class="keywordtype">void</span> * transaction_data)
 <a name="l00049"></a>00049 {
 <a name="l00050"></a>00050   <span class="keywordtype">char</span> dest_string[255];
 <a name="l00051"></a>00051   <span class="keywordtype">char</span> trans_buff[4096];
 <a name="l00052"></a>00052   <span class="keyword">struct </span>tm temp_tm;
-<a name="l00053"></a>00053   <span class="keywordtype">char</span> trans_list_buff[<a class="code" href="ofx2qif_8c.html#f3b9362349db483d66dcd2067bc9df82">QIF_FILE_MAX_SIZE</a>];
+<a name="l00053"></a>00053   <span class="keywordtype">char</span> trans_list_buff[<a class="code" href="ofx2qif_8c.html#746e398756fe4d68b06e3bbd1418402a">QIF_FILE_MAX_SIZE</a>];
 <a name="l00054"></a>00054 
 <a name="l00055"></a>00055   trans_list_buff[0]=<span class="charliteral">'\0'</span>;
 <a name="l00056"></a>00056   
-<a name="l00057"></a>00057   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">date_posted_valid</a>==<span class="keyword">true</span>){
-<a name="l00058"></a>00058     temp_tm = *localtime(&amp;(data.<a class="code" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">date_posted</a>));
+<a name="l00057"></a>00057   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a>==<span class="keyword">true</span>){
+<a name="l00058"></a>00058     temp_tm = *localtime(&amp;(data.<a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a>));
 <a name="l00059"></a>00059     sprintf(trans_buff, <span class="stringliteral">"D%d%s%d%s%d%s"</span>, temp_tm.tm_mday, <span class="stringliteral">"/"</span>, temp_tm.tm_mon+1, <span class="stringliteral">"/"</span>, temp_tm.tm_year+1900, <span class="stringliteral">"\n"</span>);
 <a name="l00060"></a>00060     strncat(trans_list_buff, trans_buff, <span class="keyword">sizeof</span>(trans_list_buff)-1 - strlen(trans_list_buff));
 <a name="l00061"></a>00061   }
-<a name="l00062"></a>00062   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">amount_valid</a>==<span class="keyword">true</span>){
-<a name="l00063"></a>00063     sprintf(trans_buff, <span class="stringliteral">"T%.2f%s"</span>,data.<a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a>,<span class="stringliteral">"\n"</span>);
+<a name="l00062"></a>00062   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a>==<span class="keyword">true</span>){
+<a name="l00063"></a>00063     sprintf(trans_buff, <span class="stringliteral">"T%.2f%s"</span>,data.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>,<span class="stringliteral">"\n"</span>);
 <a name="l00064"></a>00064     strncat(trans_list_buff, trans_buff, <span class="keyword">sizeof</span>(trans_list_buff)-1 - strlen(trans_list_buff));
 <a name="l00065"></a>00065   }
-<a name="l00066"></a>00066   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#8b49156636e8dc3b1f56ae91955765b4">check_number_valid</a>==<span class="keyword">true</span>){
-<a name="l00067"></a>00067     sprintf(trans_buff, <span class="stringliteral">"N%s%s"</span>,data.<a class="code" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">check_number</a>,<span class="stringliteral">"\n"</span>);
+<a name="l00066"></a>00066   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">check_number_valid</a>==<span class="keyword">true</span>){
+<a name="l00067"></a>00067     sprintf(trans_buff, <span class="stringliteral">"N%s%s"</span>,data.<a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>,<span class="stringliteral">"\n"</span>);
 <a name="l00068"></a>00068     strncat(trans_list_buff, trans_buff, <span class="keyword">sizeof</span>(trans_list_buff)-1 - strlen(trans_list_buff));
 <a name="l00069"></a>00069   }
-<a name="l00070"></a>00070   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#6cca71dde5d0ced4458e4cc4d9be17e5">reference_number_valid</a>==<span class="keyword">true</span>){
-<a name="l00071"></a>00071     sprintf(trans_buff, <span class="stringliteral">"N%s%s"</span>,data.<a class="code" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">reference_number</a>,<span class="stringliteral">"\n"</span>);
+<a name="l00070"></a>00070   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">reference_number_valid</a>==<span class="keyword">true</span>){
+<a name="l00071"></a>00071     sprintf(trans_buff, <span class="stringliteral">"N%s%s"</span>,data.<a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>,<span class="stringliteral">"\n"</span>);
 <a name="l00072"></a>00072       strncat(trans_list_buff, trans_buff, <span class="keyword">sizeof</span>(trans_list_buff)-1 - strlen(trans_list_buff));
 <a name="l00073"></a>00073 }
-<a name="l00074"></a>00074 <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#b3c75cdec303b138889b3de61e75c869">name_valid</a>==<span class="keyword">true</span>){
-<a name="l00075"></a>00075     sprintf(trans_buff, <span class="stringliteral">"P%s%s"</span>,data.<a class="code" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">name</a>,<span class="stringliteral">"\n"</span>);
+<a name="l00074"></a>00074 <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">name_valid</a>==<span class="keyword">true</span>){
+<a name="l00075"></a>00075     sprintf(trans_buff, <span class="stringliteral">"P%s%s"</span>,data.<a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>,<span class="stringliteral">"\n"</span>);
 <a name="l00076"></a>00076         strncat(trans_list_buff, trans_buff, <span class="keyword">sizeof</span>(trans_list_buff)-1 - strlen(trans_list_buff));
 <a name="l00077"></a>00077 }
-<a name="l00078"></a>00078 <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#eccceb6745312b5bdcd919056e7d987f">memo_valid</a>==<span class="keyword">true</span>){
-<a name="l00079"></a>00079     sprintf(trans_buff, <span class="stringliteral">"M%s%s"</span>,data.<a class="code" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">memo</a>,<span class="stringliteral">"\n"</span>);
+<a name="l00078"></a>00078 <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">memo_valid</a>==<span class="keyword">true</span>){
+<a name="l00079"></a>00079     sprintf(trans_buff, <span class="stringliteral">"M%s%s"</span>,data.<a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>,<span class="stringliteral">"\n"</span>);
 <a name="l00080"></a>00080         strncat(trans_list_buff, trans_buff, <span class="keyword">sizeof</span>(trans_list_buff)-1 - strlen(trans_list_buff));
 <a name="l00081"></a>00081 }
 <a name="l00082"></a>00082 <span class="comment">/* Add PAYEE and ADRESS here once supported by the library */</span>
 <a name="l00083"></a>00083 
 <a name="l00084"></a>00084 
-<a name="l00085"></a>00085 <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a>==<span class="keyword">true</span>){
-<a name="l00086"></a>00086     <span class="keywordflow">switch</span>(data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>){
-<a name="l00087"></a>00087         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">OFX_CREDIT</a>: strncpy(dest_string, <span class="stringliteral">"Generic credit"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00085"></a>00085 <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>==<span class="keyword">true</span>){
+<a name="l00086"></a>00086     <span class="keywordflow">switch</span>(data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>){
+<a name="l00087"></a>00087         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>: strncpy(dest_string, <span class="stringliteral">"Generic credit"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00088"></a>00088         <span class="keywordflow">break</span>;
-<a name="l00089"></a>00089         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">OFX_DEBIT</a>: strncpy(dest_string, <span class="stringliteral">"Generic debit"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00089"></a>00089         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>: strncpy(dest_string, <span class="stringliteral">"Generic debit"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00090"></a>00090         <span class="keywordflow">break</span>;
-<a name="l00091"></a>00091         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">OFX_INT</a>: strncpy(dest_string, <span class="stringliteral">"Interest earned or paid (Note: Depends on signage of amount)"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00091"></a>00091         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>: strncpy(dest_string, <span class="stringliteral">"Interest earned or paid (Note: Depends on signage of amount)"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00092"></a>00092         <span class="keywordflow">break</span>;
-<a name="l00093"></a>00093         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">OFX_DIV</a>: strncpy(dest_string, <span class="stringliteral">"Dividend"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00093"></a>00093         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>: strncpy(dest_string, <span class="stringliteral">"Dividend"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00094"></a>00094         <span class="keywordflow">break</span>;
-<a name="l00095"></a>00095         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">OFX_FEE</a>: strncpy(dest_string, <span class="stringliteral">"FI fee"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00095"></a>00095         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>: strncpy(dest_string, <span class="stringliteral">"FI fee"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00096"></a>00096         <span class="keywordflow">break</span>;
-<a name="l00097"></a>00097         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">OFX_SRVCHG</a>: strncpy(dest_string, <span class="stringliteral">"Service charge"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00097"></a>00097         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>: strncpy(dest_string, <span class="stringliteral">"Service charge"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00098"></a>00098         <span class="keywordflow">break</span>;
-<a name="l00099"></a>00099         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">OFX_DEP</a>: strncpy(dest_string, <span class="stringliteral">"Deposit"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00099"></a>00099         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>: strncpy(dest_string, <span class="stringliteral">"Deposit"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00100"></a>00100         <span class="keywordflow">break</span>;
-<a name="l00101"></a>00101         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">OFX_ATM</a>: strncpy(dest_string, <span class="stringliteral">"ATM debit or credit (Note: Depends on signage of amount)"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00101"></a>00101         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>: strncpy(dest_string, <span class="stringliteral">"ATM debit or credit (Note: Depends on signage of amount)"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00102"></a>00102         <span class="keywordflow">break</span>;
-<a name="l00103"></a>00103         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">OFX_POS</a>: strncpy(dest_string, <span class="stringliteral">"Point of sale debit or credit (Note: Depends on signage of amount)"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00103"></a>00103         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>: strncpy(dest_string, <span class="stringliteral">"Point of sale debit or credit (Note: Depends on signage of amount)"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00104"></a>00104         <span class="keywordflow">break</span>;
-<a name="l00105"></a>00105         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">OFX_XFER</a>: strncpy(dest_string, <span class="stringliteral">"Transfer"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00105"></a>00105         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>: strncpy(dest_string, <span class="stringliteral">"Transfer"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00106"></a>00106         <span class="keywordflow">break</span>;
-<a name="l00107"></a>00107         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">OFX_CHECK</a>: strncpy(dest_string, <span class="stringliteral">"Check"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00107"></a>00107         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>: strncpy(dest_string, <span class="stringliteral">"Check"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00108"></a>00108         <span class="keywordflow">break</span>;
-<a name="l00109"></a>00109         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">OFX_PAYMENT</a>: strncpy(dest_string, <span class="stringliteral">"Electronic payment"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00109"></a>00109         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>: strncpy(dest_string, <span class="stringliteral">"Electronic payment"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00110"></a>00110         <span class="keywordflow">break</span>;
-<a name="l00111"></a>00111         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">OFX_CASH</a>: strncpy(dest_string, <span class="stringliteral">"Cash withdrawal"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00111"></a>00111         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>: strncpy(dest_string, <span class="stringliteral">"Cash withdrawal"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00112"></a>00112         <span class="keywordflow">break</span>;
-<a name="l00113"></a>00113         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">OFX_DIRECTDEP</a>: strncpy(dest_string, <span class="stringliteral">"Direct deposit"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00113"></a>00113         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>: strncpy(dest_string, <span class="stringliteral">"Direct deposit"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00114"></a>00114         <span class="keywordflow">break</span>;
-<a name="l00115"></a>00115         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">OFX_DIRECTDEBIT</a>: strncpy(dest_string, <span class="stringliteral">"Merchant initiated debit"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00115"></a>00115         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>: strncpy(dest_string, <span class="stringliteral">"Merchant initiated debit"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00116"></a>00116         <span class="keywordflow">break</span>;
-<a name="l00117"></a>00117         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">OFX_REPEATPMT</a>: strncpy(dest_string, <span class="stringliteral">"Repeating payment/standing order"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00117"></a>00117         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>: strncpy(dest_string, <span class="stringliteral">"Repeating payment/standing order"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00118"></a>00118         <span class="keywordflow">break</span>;
-<a name="l00119"></a>00119         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">OFX_OTHER</a>: strncpy(dest_string, <span class="stringliteral">"Other"</span>, <span class="keyword">sizeof</span>(dest_string));
+<a name="l00119"></a>00119         <span class="keywordflow">case</span> <a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>: strncpy(dest_string, <span class="stringliteral">"Other"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00120"></a>00120         <span class="keywordflow">break</span>;
 <a name="l00121"></a>00121         <span class="keywordflow">default</span> : strncpy(dest_string, <span class="stringliteral">"Unknown transaction type"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00122"></a>00122         <span class="keywordflow">break</span>;
@@ -124,18 +120,18 @@
 <a name="l00130"></a>00130  <span class="keywordflow">return</span> 0;
 <a name="l00131"></a>00131 }<span class="comment">/* end ofx_proc_transaction() */</span>
 <a name="l00132"></a>00132 
-<a name="l00133"></a><a class="code" href="ofx2qif_8c.html#2753e6e37777c57b5346642b06142cd4">00133</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#2753e6e37777c57b5346642b06142cd4">ofx_proc_statement_cb</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html">OfxStatementData</a> data, <span class="keywordtype">void</span> * statement_data)
+<a name="l00133"></a><a class="code" href="ofx2qif_8c.html#8f46bf3d68bbd9cc9d6471d310168b45">00133</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#8f46bf3d68bbd9cc9d6471d310168b45">ofx_proc_statement_cb</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data, <span class="keywordtype">void</span> * statement_data)
 <a name="l00134"></a>00134 {
 <a name="l00135"></a>00135   <span class="keyword">struct </span>tm temp_tm;
 <a name="l00136"></a>00136 
 <a name="l00137"></a>00137   printf(<span class="stringliteral">"!Account\n"</span>);
-<a name="l00138"></a>00138   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">account_id_valid</a>==<span class="keyword">true</span>){
+<a name="l00138"></a>00138   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">account_id_valid</a>==<span class="keyword">true</span>){
 <a name="l00139"></a>00139     <span class="comment">/* Use the account id as the qif name of the account */</span>
-<a name="l00140"></a>00140     printf(<span class="stringliteral">"N%s%s"</span>,data.<a class="code" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">account_id</a>,<span class="stringliteral">"\n"</span>);
+<a name="l00140"></a>00140     printf(<span class="stringliteral">"N%s%s"</span>,data.<a class="code" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">account_id</a>,<span class="stringliteral">"\n"</span>);
 <a name="l00141"></a>00141   }
-<a name="l00142"></a>00142   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">account_ptr</a>-&gt;<a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a>==<span class="keyword">true</span>)
+<a name="l00142"></a>00142   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a>-&gt;<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>==<span class="keyword">true</span>)
 <a name="l00143"></a>00143     {
-<a name="l00144"></a>00144       <span class="keywordflow">switch</span>(data.<a class="code" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">account_ptr</a>-&gt;<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>){
+<a name="l00144"></a>00144       <span class="keywordflow">switch</span>(data.<a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a>-&gt;<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>){
 <a name="l00145"></a>00145       <span class="keywordflow">case</span> OFX_CHECKING : printf(<span class="stringliteral">"TBank\n"</span>);
 <a name="l00146"></a>00146         <span class="keywordflow">break</span>;
 <a name="l00147"></a>00147       <span class="keywordflow">case</span> OFX_SAVINGS :  printf(<span class="stringliteral">"TBank\n"</span>);
@@ -153,17 +149,17 @@
 <a name="l00159"></a>00159     }
 <a name="l00160"></a>00160   printf(<span class="stringliteral">"DOFX online account\n"</span>);
 <a name="l00161"></a>00161 
-<a name="l00162"></a>00162   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#156eaa5cdf06cfbb42f671d53e32f4c8">ledger_balance_date_valid</a>==<span class="keyword">true</span>){
-<a name="l00163"></a>00163     temp_tm = *localtime(&amp;(data.<a class="code" href="structOfxStatementData.html#6c67dd7b0665b531e773f543fc7fb81c">ledger_balance_date</a>));
+<a name="l00162"></a>00162   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#765dfa1991995af8a2c72b774df6cb6d">ledger_balance_date_valid</a>==<span class="keyword">true</span>){
+<a name="l00163"></a>00163     temp_tm = *localtime(&amp;(data.<a class="code" href="structOfxStatementData.html#57f9892d09da4a6d69c44b7f9af45fc0">ledger_balance_date</a>));
 <a name="l00164"></a>00164     printf(<span class="stringliteral">"/%d%s%d%s%d%s"</span>, temp_tm.tm_mday, <span class="stringliteral">"/"</span>, temp_tm.tm_mon+1, <span class="stringliteral">"/"</span>, temp_tm.tm_year+1900, <span class="stringliteral">"\n"</span>);
 <a name="l00165"></a>00165   }
-<a name="l00166"></a>00166   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#36aa92a5090a5b005003a56d030bfe2d">ledger_balance_valid</a>==<span class="keyword">true</span>){
-<a name="l00167"></a>00167     printf(<span class="stringliteral">"$%.2f%s"</span>,data.<a class="code" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">ledger_balance</a>,<span class="stringliteral">"\n"</span>);
+<a name="l00166"></a>00166   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">ledger_balance_valid</a>==<span class="keyword">true</span>){
+<a name="l00167"></a>00167     printf(<span class="stringliteral">"$%.2f%s"</span>,data.<a class="code" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">ledger_balance</a>,<span class="stringliteral">"\n"</span>);
 <a name="l00168"></a>00168   }
 <a name="l00169"></a>00169   printf(<span class="stringliteral">"^\n"</span>);
 <a name="l00170"></a>00170   <span class="comment">/*The transactions will follow, here is the header */</span>
-<a name="l00171"></a>00171   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">account_ptr</a>-&gt;<a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a>==<span class="keyword">true</span>){
-<a name="l00172"></a>00172     <span class="keywordflow">switch</span>(data.<a class="code" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">account_ptr</a>-&gt;<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>){
+<a name="l00171"></a>00171   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a>-&gt;<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>==<span class="keyword">true</span>){
+<a name="l00172"></a>00172     <span class="keywordflow">switch</span>(data.<a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a>-&gt;<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>){
 <a name="l00173"></a>00173     <span class="keywordflow">case</span> OFX_CHECKING : printf(<span class="stringliteral">"!Type:Bank\n"</span>);
 <a name="l00174"></a>00174       <span class="keywordflow">break</span>;
 <a name="l00175"></a>00175     <span class="keywordflow">case</span> OFX_SAVINGS : printf(<span class="stringliteral">"!Type:Bank\n"</span>);
@@ -183,7 +179,7 @@
 <a name="l00189"></a>00189   <span class="keywordflow">return</span> 0;
 <a name="l00190"></a>00190 }<span class="comment">/* end ofx_proc_statement() */</span>
 <a name="l00191"></a>00191   
-<a name="l00192"></a><a class="code" href="ofx2qif_8c.html#fbd0b9b3f10494320ba3601ab56c5c2d">00192</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#fbd0b9b3f10494320ba3601ab56c5c2d">ofx_proc_account_cb</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html">OfxAccountData</a> data, <span class="keywordtype">void</span> * account_data)
+<a name="l00192"></a><a class="code" href="ofx2qif_8c.html#38eb5d0ff22f171823f8d507255460bd">00192</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#38eb5d0ff22f171823f8d507255460bd">ofx_proc_account_cb</a>(<span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data, <span class="keywordtype">void</span> * account_data)
 <a name="l00193"></a>00193 {
 <a name="l00194"></a>00194   <span class="keywordtype">char</span> dest_string[255]=<span class="stringliteral">""</span>;
 <a name="l00195"></a>00195   
@@ -193,14 +189,14 @@
 <a name="l00199"></a>00199  <span class="keywordflow">return</span> 0;
 <a name="l00200"></a>00200 }<span class="comment">/* end ofx_proc_account() */</span>
 <a name="l00201"></a>00201 
-<a name="l00202"></a><a class="code" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">00202</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">main</a> (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
+<a name="l00202"></a><a class="code" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">00202</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
 <a name="l00203"></a>00203 {
-<a name="l00204"></a>00204 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">ofx_PARSER_msg</a>;
-<a name="l00205"></a>00205 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">ofx_DEBUG_msg</a>;
-<a name="l00206"></a>00206 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">ofx_WARNING_msg</a>;
-<a name="l00207"></a>00207 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">ofx_ERROR_msg</a>;
-<a name="l00208"></a>00208 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">ofx_INFO_msg</a>;
-<a name="l00209"></a>00209 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">ofx_STATUS_msg</a>;
+<a name="l00204"></a>00204 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a>;
+<a name="l00205"></a>00205 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a>;
+<a name="l00206"></a>00206 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a>;
+<a name="l00207"></a>00207 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a>;
+<a name="l00208"></a>00208 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a>;
+<a name="l00209"></a>00209 <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a>;
 <a name="l00210"></a>00210  ofx_PARSER_msg = <span class="keyword">false</span>;
 <a name="l00211"></a>00211  ofx_DEBUG_msg = <span class="keyword">false</span>;
 <a name="l00212"></a>00212  ofx_WARNING_msg = <span class="keyword">false</span>;
@@ -208,23 +204,23 @@
 <a name="l00214"></a>00214  ofx_INFO_msg = <span class="keyword">false</span>;
 <a name="l00215"></a>00215  ofx_STATUS_msg = <span class="keyword">false</span>;
 <a name="l00216"></a>00216 
-<a name="l00217"></a>00217  <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context = <a class="code" href="inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">libofx_get_new_context</a>();
-<a name="l00218"></a>00218  <a class="code" href="inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">ofx_set_statement_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#2753e6e37777c57b5346642b06142cd4">ofx_proc_statement_cb</a>, 0);
-<a name="l00219"></a>00219  <a class="code" href="inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">ofx_set_account_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#fbd0b9b3f10494320ba3601ab56c5c2d">ofx_proc_account_cb</a>, 0);
-<a name="l00220"></a>00220  <a class="code" href="inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">ofx_set_transaction_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#411f3cb6e88b8669a7a4b6dc18a7e758">ofx_proc_transaction_cb</a>, 0);
+<a name="l00217"></a>00217  <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context = <a class="code" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0" title="Initialise the library and return a new context.">libofx_get_new_context</a>();
+<a name="l00218"></a>00218  <a class="code" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#8f46bf3d68bbd9cc9d6471d310168b45">ofx_proc_statement_cb</a>, 0);
+<a name="l00219"></a>00219  <a class="code" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#38eb5d0ff22f171823f8d507255460bd">ofx_proc_account_cb</a>, 0);
+<a name="l00220"></a>00220  <a class="code" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#7850aaa7c07cabcacb6849e82f773463">ofx_proc_transaction_cb</a>, 0);
 <a name="l00221"></a>00221 
 <a name="l00222"></a>00222  <span class="keywordflow">if</span>(argc &gt;= 2){
-<a name="l00223"></a>00223    <a class="code" href="inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">libofx_proc_file</a>(libofx_context, argv[1], <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>);
+<a name="l00223"></a>00223    <a class="code" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805" title="libofx_proc_file is the entry point of the library.">libofx_proc_file</a>(libofx_context, argv[1], <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>);
 <a name="l00224"></a>00224  }
-<a name="l00225"></a>00225  <span class="keywordflow">return</span> <a class="code" href="inc_2libofx_8h.html#92f6a27aeee0a6c5f5a32d83db853607">libofx_free_context</a>(libofx_context);
+<a name="l00225"></a>00225  <span class="keywordflow">return</span> <a class="code" href="inc_2libofx_8h.html#e76c85ae1e58b1bb41abf7eb3aca0baf" title="Free all ressources used by this context.">libofx_free_context</a>(libofx_context);
 <a name="l00226"></a>00226 }
 <a name="l00227"></a>00227 
 <a name="l00228"></a>00228 
 <a name="l00229"></a>00229 
 <a name="l00230"></a>00230 
 <a name="l00231"></a>00231 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx2qif_8c.html'
--- doc/html/ofx2qif_8c.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx2qif_8c.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx2qif.c File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx2qif.c File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Code for ofx2qif utility. C example code. 
 <p>
@@ -24,33 +20,33 @@
 I do not plan on improving working this utility much further, however be I would be more than happy to accept contributions. If you are interested in hacking on ofx2qif, links to QIF documentation are available on the LibOFX home page.<p>
 ofx2qif is meant to be the C code example and demo of the library. It uses many of the functions and structures of the LibOFX API. Note that unlike ofxdump, all error output is disabled by default.<p>
 usage: ofx2qif path_to_ofx_file/ofx_filename &gt; output_filename.qif 
-<p>
-Definition in file <a class="el" href="ofx2qif_8c-source.html">ofx2qif.c</a>.
+<p>Definition in file <a class="el" href="ofx2qif_8c-source.html">ofx2qif.c</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx2qif_8c-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Defines</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3b9362349db483d66dcd2067bc9df82"></a><!-- doxytag: member="ofx2qif.c::QIF_FILE_MAX_SIZE" ref="f3b9362349db483d66dcd2067bc9df82" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx2qif_8c.html#f3b9362349db483d66dcd2067bc9df82">QIF_FILE_MAX_SIZE</a>&nbsp;&nbsp;&nbsp;256000</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="746e398756fe4d68b06e3bbd1418402a"></a><!-- doxytag: member="ofx2qif.c::QIF_FILE_MAX_SIZE" ref="746e398756fe4d68b06e3bbd1418402a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx2qif_8c.html#746e398756fe4d68b06e3bbd1418402a">QIF_FILE_MAX_SIZE</a>&nbsp;&nbsp;&nbsp;256000</td></tr>
 
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="411f3cb6e88b8669a7a4b6dc18a7e758"></a><!-- doxytag: member="ofx2qif.c::ofx_proc_transaction_cb" ref="411f3cb6e88b8669a7a4b6dc18a7e758" args="(const struct OfxTransactionData data, void *transaction_data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx2qif_8c.html#411f3cb6e88b8669a7a4b6dc18a7e758">ofx_proc_transaction_cb</a> (const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2753e6e37777c57b5346642b06142cd4"></a><!-- doxytag: member="ofx2qif.c::ofx_proc_statement_cb" ref="2753e6e37777c57b5346642b06142cd4" args="(const struct OfxStatementData data, void *statement_data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx2qif_8c.html#2753e6e37777c57b5346642b06142cd4">ofx_proc_statement_cb</a> (const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fbd0b9b3f10494320ba3601ab56c5c2d"></a><!-- doxytag: member="ofx2qif.c::ofx_proc_account_cb" ref="fbd0b9b3f10494320ba3601ab56c5c2d" args="(const struct OfxAccountData data, void *account_data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx2qif_8c.html#fbd0b9b3f10494320ba3601ab56c5c2d">ofx_proc_account_cb</a> (const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="28052c36c3b61c6c0eaa18f5d226118f"></a><!-- doxytag: member="ofx2qif.c::main" ref="28052c36c3b61c6c0eaa18f5d226118f" args="(int argc, char *argv[])" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">main</a> (int argc, char *argv[])</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7850aaa7c07cabcacb6849e82f773463"></a><!-- doxytag: member="ofx2qif.c::ofx_proc_transaction_cb" ref="7850aaa7c07cabcacb6849e82f773463" args="(const struct OfxTransactionData data, void *transaction_data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx2qif_8c.html#7850aaa7c07cabcacb6849e82f773463">ofx_proc_transaction_cb</a> (const struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8f46bf3d68bbd9cc9d6471d310168b45"></a><!-- doxytag: member="ofx2qif.c::ofx_proc_statement_cb" ref="8f46bf3d68bbd9cc9d6471d310168b45" args="(const struct OfxStatementData data, void *statement_data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx2qif_8c.html#8f46bf3d68bbd9cc9d6471d310168b45">ofx_proc_statement_cb</a> (const struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="38eb5d0ff22f171823f8d507255460bd"></a><!-- doxytag: member="ofx2qif.c::ofx_proc_account_cb" ref="38eb5d0ff22f171823f8d507255460bd" args="(const struct OfxAccountData data, void *account_data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx2qif_8c.html#38eb5d0ff22f171823f8d507255460bd">ofx_proc_account_cb</a> (const struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0ddf1224851353fc92bfbff6f499fa97"></a><!-- doxytag: member="ofx2qif.c::main" ref="0ddf1224851353fc92bfbff6f499fa97" args="(int argc, char *argv[])" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (int argc, char *argv[])</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__aggregate_8hh-source.html'
--- doc/html/ofx__aggregate_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__aggregate_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_aggregate.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_aggregate.hh</h1><a href="ofx__aggregate_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_aggregate.hh </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -39,35 +35,35 @@
 <a name="l00024"></a>00024 
 <a name="l00025"></a>00025 <span class="keyword">using namespace </span>std;
 <a name="l00026"></a>00026 
-<a name="l00042"></a><a class="code" href="classOfxAggregate.html">00042</a> <span class="keyword">class </span><a class="code" href="classOfxAggregate.html">OfxAggregate</a>
+<a name="l00042"></a><a class="code" href="classOfxAggregate.html">00042</a> <span class="keyword">class </span><a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>
 <a name="l00043"></a>00043 {
 <a name="l00044"></a>00044 <span class="keyword">public</span>:
-<a name="l00050"></a><a class="code" href="classOfxAggregate.html#8c16fb0c23f9ad56329434307ee6c98b">00050</a>   <a class="code" href="classOfxAggregate.html#8c16fb0c23f9ad56329434307ee6c98b">OfxAggregate</a>( <span class="keyword">const</span> string&amp; tag ): m_tag( tag ) 
+<a name="l00050"></a><a class="code" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">00050</a>   <a class="code" href="classOfxAggregate.html#cc6e48f024666176d3b6f1feb1acfd77">OfxAggregate</a>( <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; tag ): m_tag( tag ) 
 <a name="l00051"></a>00051   {}
 <a name="l00052"></a>00052   
-<a name="l00059"></a><a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">00059</a>   <span class="keywordtype">void</span> <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="keyword">const</span> string&amp; tag, <span class="keyword">const</span> string&amp; data )
+<a name="l00059"></a><a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">00059</a>   <span class="keywordtype">void</span> <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; tag, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; data )
 <a name="l00060"></a>00060   {
 <a name="l00061"></a>00061     m_contents += string(<span class="stringliteral">"&lt;"</span>) + tag + string(<span class="stringliteral">"&gt;"</span>) + data + string(<span class="stringliteral">"\r\n"</span>);
 <a name="l00062"></a>00062   }
 <a name="l00063"></a>00063   
-<a name="l00069"></a><a class="code" href="classOfxAggregate.html#cb67d7766c957f4a1cf8aaf58566ac8d">00069</a>   <span class="keywordtype">void</span> <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html">OfxAggregate</a>&amp; sub ) 
+<a name="l00069"></a><a class="code" href="classOfxAggregate.html#2b729bb656f47efcf2bcfffaa22814e9">00069</a>   <span class="keywordtype">void</span> <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>&amp; sub ) 
 <a name="l00070"></a>00070   {
-<a name="l00071"></a>00071     m_contents += sub.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
+<a name="l00071"></a>00071     m_contents += sub.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
 <a name="l00072"></a>00072   }
 <a name="l00073"></a>00073  
-<a name="l00079"></a><a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">00079</a>   string <a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>( <span class="keywordtype">void</span> )<span class="keyword"> const</span>
+<a name="l00079"></a><a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">00079</a>   <span class="keywordtype">string</span> <a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>( <span class="keywordtype">void</span> )<span class="keyword"> const</span>
 <a name="l00080"></a>00080 <span class="keyword">  </span>{
 <a name="l00081"></a>00081     <span class="keywordflow">return</span> string(<span class="stringliteral">"&lt;"</span>) + m_tag + string(<span class="stringliteral">"&gt;\r\n"</span>) + m_contents + string(<span class="stringliteral">"&lt;/"</span>) + m_tag + string(<span class="stringliteral">"&gt;\r\n"</span>);
 <a name="l00082"></a>00082   }
 <a name="l00083"></a>00083 
 <a name="l00084"></a>00084 <span class="keyword">private</span>:
-<a name="l00085"></a>00085   string m_tag;
-<a name="l00086"></a>00086   string m_contents;
+<a name="l00085"></a>00085   <span class="keywordtype">string</span> m_tag;
+<a name="l00086"></a>00086   <span class="keywordtype">string</span> m_contents;
 <a name="l00087"></a>00087 };
 <a name="l00088"></a>00088 
 <a name="l00089"></a>00089 <span class="preprocessor">#endif // OFX_AGGREGATE_H</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__aggregate_8hh.html'
--- doc/html/ofx__aggregate_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__aggregate_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_aggregate.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_aggregate.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Declaration of <a class="el" href="classOfxAggregate.html">OfxAggregate</a> which allows you to construct a single OFX aggregate. 
-<p>
-
-<p>
-Definition in file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.
+Declaration of <a class="el" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> which allows you to construct a single OFX aggregate. 
+<p>
+
+<p>Definition in file <a class="el" href="ofx__aggregate_8hh-source.html">ofx_aggregate.hh</a>.</p>
+
 <p>
 
 <p>
@@ -33,8 +29,8 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A single aggregate as described in the OFX 1.02 specification.  <a href="classOfxAggregate.html#_details">More...</a><br></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__account_8cpp-source.html'
--- doc/html/ofx__container__account_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__account_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_account.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_account.cpp</h1><a href="ofx__container__account_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_account.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,22 +33,22 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00031"></a>00031 
 <a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
 <a name="l00033"></a>00033 <span class="comment"> *                      OfxAccountContainer                                *</span>
 <a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
 <a name="l00035"></a>00035 
-<a name="l00036"></a><a class="code" href="classOfxAccountContainer.html#83a97e5b5253e7e140eaa3e997c5961d">00036</a> <a class="code" href="classOfxAccountContainer.html#83a97e5b5253e7e140eaa3e997c5961d">OfxAccountContainer::OfxAccountContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00036"></a><a class="code" href="classOfxAccountContainer.html#da1972a79e8c8096184ea7a22968f35c">00036</a> <a class="code" href="classOfxAccountContainer.html#da1972a79e8c8096184ea7a22968f35c">OfxAccountContainer::OfxAccountContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00038"></a>00038 {
-<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>));
-<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"ACCOUNT"</span>;
+<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>));
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"ACCOUNT"</span>;
 <a name="l00041"></a>00041   strcpy(bankid,<span class="stringliteral">""</span>);
 <a name="l00042"></a>00042   strcpy(branchid,<span class="stringliteral">""</span>);
 <a name="l00043"></a>00043   strcpy(acctid,<span class="stringliteral">""</span>);
@@ -62,22 +58,22 @@
 <a name="l00047"></a>00047     {
 <a name="l00048"></a>00048       <span class="comment">/*Set the type for a creditcard account.  Bank account specific </span>
 <a name="l00049"></a>00049 <span class="comment">        OFX elements will set this attribute elsewhere */</span>
-<a name="l00050"></a>00050       data.account_type = data.OFX_CREDITCARD;
-<a name="l00051"></a>00051       data.account_type_valid = <span class="keyword">true</span>;
+<a name="l00050"></a>00050       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>;
+<a name="l00051"></a>00051       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a> = <span class="keyword">true</span>;
 <a name="l00052"></a>00052     }
 <a name="l00053"></a>00053   <span class="keywordflow">if</span>(para_tag_identifier== <span class="stringliteral">"INVACCTFROM"</span>)
 <a name="l00054"></a>00054     {
 <a name="l00055"></a>00055       <span class="comment">/*Set the type for an investment account.  Bank account specific </span>
 <a name="l00056"></a>00056 <span class="comment">        OFX elements will set this attribute elsewhere */</span>
-<a name="l00057"></a>00057       data.account_type = data.OFX_INVESTMENT;
-<a name="l00058"></a>00058       data.account_type_valid = <span class="keyword">true</span>;
+<a name="l00057"></a>00057       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>;
+<a name="l00058"></a>00058       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a> = <span class="keyword">true</span>;
 <a name="l00059"></a>00059     }
-<a name="l00060"></a>00060   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>!=NULL&amp;&amp;((<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>)-&gt;data.currency_valid==<span class="keyword">true</span>){
-<a name="l00061"></a>00061     strncpy(data.currency,((<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>)-&gt;data.currency,<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>); <span class="comment">/* In ISO-4217 format */</span>
-<a name="l00062"></a>00062     data.currency_valid=<span class="keyword">true</span>;
+<a name="l00060"></a>00060   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL&amp;&amp;((<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>)-&gt;<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a>==<span class="keyword">true</span>){
+<a name="l00061"></a>00061     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">currency</a>,((<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)parentcontainer)-&gt;data.currency,<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>); <span class="comment">/* In ISO-4217 format */</span>
+<a name="l00062"></a>00062     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a>=<span class="keyword">true</span>;
 <a name="l00063"></a>00063   }
 <a name="l00064"></a>00064 }
-<a name="l00065"></a><a class="code" href="classOfxAccountContainer.html#d5b83e05e06a60a7d0a874b8778fa27c">00065</a> <a class="code" href="classOfxAccountContainer.html#d5b83e05e06a60a7d0a874b8778fa27c">OfxAccountContainer::~OfxAccountContainer</a>()
+<a name="l00065"></a><a class="code" href="classOfxAccountContainer.html#64691a91027e92c8cbc5bb1240d3f1b8">00065</a> <a class="code" href="classOfxAccountContainer.html#64691a91027e92c8cbc5bb1240d3f1b8">OfxAccountContainer::~OfxAccountContainer</a>()
 <a name="l00066"></a>00066 {
 <a name="l00067"></a>00067   <span class="comment">/*  if (parentcontainer-&gt;type == "STATEMENT")</span>
 <a name="l00068"></a>00068 <span class="comment">      {</span>
@@ -86,72 +82,72 @@
 <a name="l00071"></a>00071 <span class="comment">      ofx_proc_account_cb (data);*/</span>
 <a name="l00072"></a>00072 }
 <a name="l00073"></a>00073 
-<a name="l00074"></a><a class="code" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">00074</a> <span class="keywordtype">void</span> <a class="code" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">OfxAccountContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00074"></a><a class="code" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b">00074</a> <span class="keywordtype">void</span> <a class="code" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b" title="Add data to a container object.">OfxAccountContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00075"></a>00075 {
 <a name="l00076"></a>00076   <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"BANKID"</span>){
-<a name="l00077"></a>00077     strncpy(bankid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>);
-<a name="l00078"></a>00078     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#383072a07037bd2a6e3b3bdd2dd8ce68">bank_id_valid</a>=<span class="keyword">true</span>;
-<a name="l00079"></a>00079     strncpy(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#b52ce38f9b338995155193e251a913eb">bank_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>);
+<a name="l00077"></a>00077     strncpy(bankid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>);
+<a name="l00078"></a>00078     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">bank_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00079"></a>00079     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>);
 <a name="l00080"></a>00080   }
 <a name="l00081"></a>00081   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"BRANCHID"</span>){
-<a name="l00082"></a>00082     strncpy(branchid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">OFX_BRANCHID_LENGTH</a>);
-<a name="l00083"></a>00083     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#a90da480f5333cb62e65abff64fc8ca1">branch_id_valid</a>=<span class="keyword">true</span>;
-<a name="l00084"></a>00084     strncpy(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#392911775b01dcd1fa08f8aae8d6354b">branch_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">OFX_BRANCHID_LENGTH</a>);
+<a name="l00082"></a>00082     strncpy(branchid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>);
+<a name="l00083"></a>00083     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">branch_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00084"></a>00084     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">branch_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>);
 <a name="l00085"></a>00085   }
 <a name="l00086"></a>00086   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"ACCTID"</span>){
-<a name="l00087"></a>00087     strncpy(acctid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">OFX_ACCTID_LENGTH</a>);
-<a name="l00088"></a>00088     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4f3d55c94002500f9f3e3b398a71f9b0">account_number_valid</a>=<span class="keyword">true</span>;
-<a name="l00089"></a>00089     strncpy(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4055a6a7c29f5d7227a21143c15827cc">account_number</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">OFX_ACCTID_LENGTH</a>);
+<a name="l00087"></a>00087     strncpy(acctid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>);
+<a name="l00088"></a>00088     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">account_number_valid</a>=<span class="keyword">true</span>;
+<a name="l00089"></a>00089     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>);
 <a name="l00090"></a>00090   }
 <a name="l00091"></a>00091   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"ACCTKEY"</span>){
-<a name="l00092"></a>00092     strncpy(acctkey,value.c_str(),<a class="code" href="inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">OFX_ACCTKEY_LENGTH</a>);
+<a name="l00092"></a>00092     strncpy(acctkey,value.c_str(),<a class="code" href="inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">OFX_ACCTKEY_LENGTH</a>);
 <a name="l00093"></a>00093   }
 <a name="l00094"></a>00094   <span class="keywordflow">else</span> <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"BROKERID"</span>){ <span class="comment">/* For investment accounts */</span>
-<a name="l00095"></a>00095     strncpy(brokerid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>);
-<a name="l00096"></a>00096     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#18c96bae133fcb04c8f5cdadd2d785ca">broker_id_valid</a>=<span class="keyword">true</span>;
-<a name="l00097"></a>00097     strncpy(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#638e07ea5ceae389d128b18451a92c3f">broker_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>);
+<a name="l00095"></a>00095     strncpy(brokerid,value.c_str(),<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>);
+<a name="l00096"></a>00096     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#59defd36706bd332e080dcf56437dabf">broker_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00097"></a>00097     strncpy(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a>, value.c_str(), <a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>);
 <a name="l00098"></a>00098   }
 <a name="l00099"></a>00099   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"ACCTTYPE"</span>)||(identifier==<span class="stringliteral">"ACCTTYPE2"</span>)){
-<a name="l00100"></a>00100     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a>=<span class="keyword">true</span>;
+<a name="l00100"></a>00100     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>=<span class="keyword">true</span>;
 <a name="l00101"></a>00101     <span class="keywordflow">if</span>(value==<span class="stringliteral">"CHECKING"</span>){
-<a name="l00102"></a>00102       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>=<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9">OFX_CHECKING</a>;
+<a name="l00102"></a>00102       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>;
 <a name="l00103"></a>00103     }
 <a name="l00104"></a>00104     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"SAVINGS"</span>){
-<a name="l00105"></a>00105       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>=<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957">OFX_SAVINGS</a>;
+<a name="l00105"></a>00105       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>;
 <a name="l00106"></a>00106     }
 <a name="l00107"></a>00107     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"MONEYMRKT"</span>){
-<a name="l00108"></a>00108       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>=<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493">OFX_MONEYMRKT</a>;
+<a name="l00108"></a>00108       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>;
 <a name="l00109"></a>00109     }
 <a name="l00110"></a>00110     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CREDITLINE"</span>){
-<a name="l00111"></a>00111       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>=<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89">OFX_CREDITLINE</a>;
+<a name="l00111"></a>00111       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>;
 <a name="l00112"></a>00112     }
 <a name="l00113"></a>00113     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CMA"</span>){
-<a name="l00114"></a>00114       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>=<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f">OFX_CMA</a>;
+<a name="l00114"></a>00114       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>=<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>;
 <a name="l00115"></a>00115     }
 <a name="l00116"></a>00116     <span class="comment">/* AccountType CREDITCARD is set at object creation, if appropriate */</span>
 <a name="l00117"></a>00117     <span class="keywordflow">else</span>{
-<a name="l00118"></a>00118       <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a>=<span class="keyword">false</span>;
+<a name="l00118"></a>00118       <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>=<span class="keyword">false</span>;
 <a name="l00119"></a>00119     }
 <a name="l00120"></a>00120   }
 <a name="l00121"></a>00121   <span class="keywordflow">else</span>{
 <a name="l00122"></a>00122     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00123"></a>00123     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00123"></a>00123     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00124"></a>00124   }
 <a name="l00125"></a>00125 }<span class="comment">//end OfxAccountContainer::add_attribute()</span>
 <a name="l00126"></a>00126 
-<a name="l00127"></a><a class="code" href="classOfxAccountContainer.html#82735b303e3cafb6ac1f6a715fa4e6e8">00127</a> <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#82735b303e3cafb6ac1f6a715fa4e6e8">OfxAccountContainer::gen_event</a>()
+<a name="l00127"></a><a class="code" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4">00127</a> <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4" title="Generate libofx.h events.">OfxAccountContainer::gen_event</a>()
 <a name="l00128"></a>00128 {
-<a name="l00129"></a>00129   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#acdfbe18123b9ceff1c9fe425196bc9e">accountCallback</a>(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>);
+<a name="l00129"></a>00129   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#ff6d360f9413f4bd463e101502201c5a">accountCallback</a>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>);
 <a name="l00130"></a>00130   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00131"></a>00131 }
 <a name="l00132"></a>00132 
-<a name="l00133"></a><a class="code" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">00133</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">OfxAccountContainer::add_to_main_tree</a>()
+<a name="l00133"></a><a class="code" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4">00133</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4" title="Add this container to the main tree.">OfxAccountContainer::add_to_main_tree</a>()
 <a name="l00134"></a>00134 {
 <a name="l00135"></a>00135   gen_account_id ();
 <a name="l00136"></a>00136 
-<a name="l00137"></a>00137   <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00137"></a>00137   <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00138"></a>00138     {
-<a name="l00139"></a>00139       <span class="keywordflow">return</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<span class="keyword">this</span>);
+<a name="l00139"></a>00139       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
 <a name="l00140"></a>00140     }
 <a name="l00141"></a>00141   <span class="keywordflow">else</span>
 <a name="l00142"></a>00142     {
@@ -161,40 +157,40 @@
 <a name="l00146"></a>00146 
 <a name="l00147"></a>00147 <span class="keywordtype">void</span> OfxAccountContainer::gen_account_id(<span class="keywordtype">void</span>)
 <a name="l00148"></a>00148 {
-<a name="l00149"></a>00149   <span class="keywordflow">if</span>(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>==<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471">OfxAccountData::OFX_CREDITCARD</a>){
-<a name="l00150"></a>00150     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00151"></a>00151     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00152"></a>00152     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,acctkey,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
+<a name="l00149"></a>00149   <span class="keywordflow">if</span>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>==<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OfxAccountData::OFX_CREDITCARD</a>){
+<a name="l00150"></a>00150     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00151"></a>00151     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00152"></a>00152     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctkey,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
 <a name="l00153"></a>00153 
-<a name="l00154"></a>00154     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,<span class="stringliteral">"Credit card "</span>,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
-<a name="l00155"></a>00155     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
+<a name="l00154"></a>00154     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">"Credit card "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00155"></a>00155     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
 <a name="l00156"></a>00156   }
-<a name="l00157"></a>00157   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>==<a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">OfxAccountData::OFX_INVESTMENT</a>){
-<a name="l00158"></a>00158     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,brokerid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00159"></a>00159     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00160"></a>00160     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
+<a name="l00157"></a>00157   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>==<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OfxAccountData::OFX_INVESTMENT</a>){
+<a name="l00158"></a>00158     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,brokerid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00159"></a>00159     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00160"></a>00160     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
 <a name="l00161"></a>00161 
-<a name="l00162"></a>00162     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,<span class="stringliteral">"Investment account "</span>,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
-<a name="l00163"></a>00163     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
-<a name="l00164"></a>00164     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,<span class="stringliteral">" at broker "</span>,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
-<a name="l00165"></a>00165     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,brokerid,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
+<a name="l00162"></a>00162     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">"Investment account "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00163"></a>00163     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00164"></a>00164     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">" at broker "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00165"></a>00165     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,brokerid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
 <a name="l00166"></a>00166   }
 <a name="l00167"></a>00167   <span class="keywordflow">else</span>{
-<a name="l00168"></a>00168     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,bankid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00169"></a>00169     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00170"></a>00170     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,branchid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00171"></a>00171     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
-<a name="l00172"></a>00172     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>));
+<a name="l00168"></a>00168     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,bankid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00169"></a>00169     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00170"></a>00170     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,branchid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00171"></a>00171     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<span class="stringliteral">" "</span>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
+<a name="l00172"></a>00172     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,acctid,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>));
 <a name="l00173"></a>00173 
-<a name="l00174"></a>00174     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,<span class="stringliteral">"Bank account "</span>,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
-<a name="l00175"></a>00175     strncat(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#062cb2d3b1dcb05af05d234438fc11bc">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>));
+<a name="l00174"></a>00174     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,<span class="stringliteral">"Bank account "</span>,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
+<a name="l00175"></a>00175     strncat(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>,acctid,<a class="code" href="inc_2libofx_8h.html#065582a1df4497de4a0b00ba909d2e48">OFX_ACCOUNT_NAME_LENGTH</a>-strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>));
 <a name="l00176"></a>00176   }
-<a name="l00177"></a>00177   <span class="keywordflow">if</span>(strlen(<a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>)&gt;=0){
-<a name="l00178"></a>00178     <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>.<a class="code" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">account_id_valid</a>=<span class="keyword">true</span>;
+<a name="l00177"></a>00177   <span class="keywordflow">if</span>(strlen(<a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>)&gt;=0){
+<a name="l00178"></a>00178     <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>.<a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>=<span class="keyword">true</span>;
 <a name="l00179"></a>00179   }
 <a name="l00180"></a>00180 }<span class="comment">//end OfxAccountContainer::gen_account_id()</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__account_8cpp.html'
--- doc/html/ofx__container__account_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__account_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_account.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_account.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxAccountContainer.html">OfxAccountContainer</a> for bank, credit card and investment accounts. 
-<p>
-
-<p>
-Definition in file <a class="el" href="ofx__container__account_8cpp-source.html">ofx_container_account.cpp</a>.
+Implementation of <a class="el" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> for bank, credit card and investment accounts. 
+<p>
+
+<p>Definition in file <a class="el" href="ofx__container__account_8cpp-source.html">ofx_container_account.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__container__account_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="ofx_container_account.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__container__account_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="ofx_container_account.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__container__account_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__generic_8cpp-source.html'
--- doc/html/ofx__container__generic_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__generic_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_generic.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_generic.cpp</h1><a href="ofx__container__generic_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_generic.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -38,58 +34,58 @@
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
 <a name="l00028"></a>00028 
-<a name="l00029"></a>00029 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00029"></a>00029 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00030"></a>00030 
-<a name="l00031"></a><a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">00031</a> <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)
+<a name="l00031"></a><a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">00031</a> <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context)
 <a name="l00032"></a>00032 {
-<a name="l00033"></a>00033   <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>=NULL;
-<a name="l00034"></a>00034   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">""</span>;
-<a name="l00035"></a>00035   <a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>=<span class="stringliteral">""</span>;
-<a name="l00036"></a>00036   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a> = p_libofx_context;
+<a name="l00033"></a>00033   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>=NULL;
+<a name="l00034"></a>00034   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">""</span>;
+<a name="l00035"></a>00035   <a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>=<span class="stringliteral">""</span>;
+<a name="l00036"></a>00036   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a> = p_libofx_context;
 <a name="l00037"></a>00037 }
-<a name="l00038"></a><a class="code" href="classOfxGenericContainer.html#49a8613c76ba89c27aad9ff33887f90f">00038</a> <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer)
+<a name="l00038"></a><a class="code" href="classOfxGenericContainer.html#3439790d6565423746d460be7510b888">00038</a> <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer)
 <a name="l00039"></a>00039 {
-<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a> = p_libofx_context;
-<a name="l00041"></a>00041   <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a> = para_parentcontainer;
-<a name="l00042"></a>00042   <span class="keywordflow">if</span>(<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>!=NULL&amp;&amp;<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>==<span class="stringliteral">"DUMMY"</span>){
-<a name="l00043"></a>00043     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxGenericContainer(): The parent is a DummyContainer!"</span>);
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a> = p_libofx_context;
+<a name="l00041"></a>00041   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a> = para_parentcontainer;
+<a name="l00042"></a>00042   <span class="keywordflow">if</span>(<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL&amp;&amp;<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>==<span class="stringliteral">"DUMMY"</span>){
+<a name="l00043"></a>00043     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxGenericContainer(): The parent is a DummyContainer!"</span>);
 <a name="l00044"></a>00044   }
 <a name="l00045"></a>00045 }
-<a name="l00046"></a><a class="code" href="classOfxGenericContainer.html#5adffc48d493402fd48bbad937a692e6">00046</a> <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier)
+<a name="l00046"></a><a class="code" href="classOfxGenericContainer.html#2767854a4bd914130650ce49eade8f81">00046</a> <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer::OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier)
 <a name="l00047"></a>00047 {
-<a name="l00048"></a>00048   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a> = p_libofx_context;
-<a name="l00049"></a>00049   <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a> = para_parentcontainer;
-<a name="l00050"></a>00050   <a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a> = para_tag_identifier;
-<a name="l00051"></a>00051   <span class="keywordflow">if</span>(<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>!=NULL&amp;&amp;<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>==<span class="stringliteral">"DUMMY"</span>){
-<a name="l00052"></a>00052     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxGenericContainer(): The parent for this "</span>+<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>+<span class="stringliteral">" is a DummyContainer!"</span>);
+<a name="l00048"></a>00048   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a> = p_libofx_context;
+<a name="l00049"></a>00049   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a> = para_parentcontainer;
+<a name="l00050"></a>00050   <a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a> = para_tag_identifier;
+<a name="l00051"></a>00051   <span class="keywordflow">if</span>(<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL&amp;&amp;<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>==<span class="stringliteral">"DUMMY"</span>){
+<a name="l00052"></a>00052     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxGenericContainer(): The parent for this "</span>+<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>+<span class="stringliteral">" is a DummyContainer!"</span>);
 <a name="l00053"></a>00053   }
 <a name="l00054"></a>00054 }
-<a name="l00055"></a><a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">00055</a> <span class="keywordtype">void</span> <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00055"></a><a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778">00055</a> <span class="keywordtype">void</span> <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00056"></a>00056 {
 <a name="l00057"></a>00057   <span class="comment">/*If an attribute has made it all the way up to the Generic Container's add_attribute, </span>
 <a name="l00058"></a>00058 <span class="comment">    we don't know what to do with it! */</span>
-<a name="l00059"></a>00059     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"WRITEME: "</span>+identifier+<span class="stringliteral">" ("</span>+value+<span class="stringliteral">") is not supported by the "</span>+<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>+<span class="stringliteral">" container"</span>);
+<a name="l00059"></a>00059     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"WRITEME: "</span>+identifier+<span class="stringliteral">" ("</span>+value+<span class="stringliteral">") is not supported by the "</span>+<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" container"</span>);
 <a name="l00060"></a>00060 }
-<a name="l00061"></a><a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">00061</a> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>* <a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">OfxGenericContainer::getparent</a>()
+<a name="l00061"></a><a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597">00061</a> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>* <a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">OfxGenericContainer::getparent</a>()
 <a name="l00062"></a>00062 {
-<a name="l00063"></a>00063   <span class="keywordflow">return</span> <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>;
+<a name="l00063"></a>00063   <span class="keywordflow">return</span> <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
 <a name="l00064"></a>00064 }
 <a name="l00065"></a>00065 
-<a name="l00066"></a><a class="code" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">00066</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">OfxGenericContainer::gen_event</a>()
+<a name="l00066"></a><a class="code" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105">00066</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105" title="Generate libofx.h events.">OfxGenericContainer::gen_event</a>()
 <a name="l00067"></a>00067 {
 <a name="l00068"></a>00068   <span class="comment">/* No callback is ever generated for pure virtual containers */</span>
 <a name="l00069"></a>00069   <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l00070"></a>00070 }
 <a name="l00071"></a>00071 
-<a name="l00072"></a><a class="code" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">00072</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">OfxGenericContainer::add_to_main_tree</a>()
+<a name="l00072"></a><a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036">00072</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">OfxGenericContainer::add_to_main_tree</a>()
 <a name="l00073"></a>00073 {
-<a name="l00074"></a>00074   <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00074"></a>00074   <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00075"></a>00075     {
-<a name="l00076"></a>00076       <span class="keywordflow">return</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<span class="keyword">this</span>);
+<a name="l00076"></a>00076       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
 <a name="l00077"></a>00077     }
 <a name="l00078"></a>00078   <span class="keywordflow">else</span>
 <a name="l00079"></a>00079     {
@@ -97,8 +93,8 @@
 <a name="l00081"></a>00081     }
 <a name="l00082"></a>00082 }
 <a name="l00083"></a>00083   
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__generic_8cpp.html'
--- doc/html/ofx__container__generic_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__generic_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_generic.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_generic.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a>. 
-<p>
-
-<p>
-Definition in file <a class="el" href="ofx__container__generic_8cpp-source.html">ofx_container_generic.cpp</a>.
+Implementation of <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>. 
+<p>
+
+<p>Definition in file <a class="el" href="ofx__container__generic_8cpp-source.html">ofx_container_generic.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__container__generic_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="ofx_container_generic.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__container__generic_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="ofx_container_generic.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__container__generic_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__main_8cpp-source.html'
--- doc/html/ofx__container__main_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__main_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_main.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_main.cpp</h1><a href="ofx__container__main_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_main.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -39,181 +35,181 @@
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;iostream&gt;</span>
 <a name="l00025"></a>00025 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a><a class="code" href="classOfxMainContainer.html#fdf73d70e03bdb05c8aa621bbdec86a8">00030</a> <a class="code" href="classOfxMainContainer.html#fdf73d70e03bdb05c8aa621bbdec86a8">OfxMainContainer::OfxMainContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00031"></a>00031   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00030"></a><a class="code" href="classOfxMainContainer.html#bdecebdd778e0169bcb7389f8db0454d">00030</a> <a class="code" href="classOfxMainContainer.html#bdecebdd778e0169bcb7389f8db0454d">OfxMainContainer::OfxMainContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00031"></a>00031   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00032"></a>00032 {
 <a name="l00033"></a>00033  
 <a name="l00034"></a>00034 <span class="comment">//statement_tree_top=statement_tree.insert(statement_tree_top, NULL);</span>
 <a name="l00035"></a>00035 <span class="comment">//security_tree_top=security_tree.insert(security_tree_top, NULL);</span>
 <a name="l00036"></a>00036 
 <a name="l00037"></a>00037 }
-<a name="l00038"></a><a class="code" href="classOfxMainContainer.html#7ab71728d866c0455ab4ca7f84d8447b">00038</a> <a class="code" href="classOfxMainContainer.html#7ab71728d866c0455ab4ca7f84d8447b">OfxMainContainer::~OfxMainContainer</a>()
+<a name="l00038"></a><a class="code" href="classOfxMainContainer.html#195e97a1121a6efdf898bd1cc5c43f8f">00038</a> <a class="code" href="classOfxMainContainer.html#195e97a1121a6efdf898bd1cc5c43f8f">OfxMainContainer::~OfxMainContainer</a>()
 <a name="l00039"></a>00039 {
-<a name="l00040"></a>00040   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Entering the main container's destructor"</span>);
-<a name="l00041"></a>00041   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> tmp = security_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
+<a name="l00040"></a>00040   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Entering the main container's destructor"</span>);
+<a name="l00041"></a>00041   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> tmp = security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
 <a name="l00042"></a>00042 
-<a name="l00043"></a>00043   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>())
+<a name="l00043"></a>00043   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
 <a name="l00044"></a>00044     {
-<a name="l00045"></a>00045       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Deleting "</span>+(*tmp)-&gt;type);
+<a name="l00045"></a>00045       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Deleting "</span>+(*tmp)-&gt;type);
 <a name="l00046"></a>00046       <span class="keyword">delete</span> (*tmp);
 <a name="l00047"></a>00047       ++tmp;
 <a name="l00048"></a>00048     }
-<a name="l00049"></a>00049   tmp = account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
-<a name="l00050"></a>00050   <span class="keywordflow">while</span>(tmp!=account_tree.end())
+<a name="l00049"></a>00049   tmp = account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00050"></a>00050   <span class="keywordflow">while</span>(tmp!=account_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
 <a name="l00051"></a>00051     {
-<a name="l00052"></a>00052       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Deleting "</span>+(*tmp)-&gt;type);
+<a name="l00052"></a>00052       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Deleting "</span>+(*tmp)-&gt;type);
 <a name="l00053"></a>00053       <span class="keyword">delete</span> (*tmp);
 <a name="l00054"></a>00054       ++tmp;
 <a name="l00055"></a>00055     }
 <a name="l00056"></a>00056 }
-<a name="l00057"></a><a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">00057</a> <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">OfxMainContainer::add_container</a>(<a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> * container)
+<a name="l00057"></a><a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">00057</a> <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> * container)
 <a name="l00058"></a>00058 {
-<a name="l00059"></a>00059   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container for element "</span> + container-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a> + <span class="stringliteral">"; destroying the generic container"</span>);
+<a name="l00059"></a>00059   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container for element "</span> + container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a> + <span class="stringliteral">"; destroying the generic container"</span>);
 <a name="l00060"></a>00060   <span class="comment">/* Call gen_event anyway, it could be a status container or similar */</span>
-<a name="l00061"></a>00061   container-&gt;<a class="code" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">gen_event</a>();
+<a name="l00061"></a>00061   container-&gt;<a class="code" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105" title="Generate libofx.h events.">gen_event</a>();
 <a name="l00062"></a>00062   <span class="keyword">delete</span> container;
 <a name="l00063"></a>00063   <span class="keywordflow">return</span> 0;
 <a name="l00064"></a>00064 }
 <a name="l00065"></a>00065 
-<a name="l00066"></a><a class="code" href="classOfxMainContainer.html#7a9cc1792a7a1e32decf3a81ce79101f">00066</a> <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">OfxMainContainer::add_container</a>(<a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> * container)
+<a name="l00066"></a><a class="code" href="classOfxMainContainer.html#b99721779d57ad2ed3b5e3fab1329027">00066</a> <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> * container)
 <a name="l00067"></a>00067 {
-<a name="l00068"></a>00068   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a security"</span>);
-<a name="l00069"></a>00069   security_tree.<a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(security_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), container);
+<a name="l00068"></a>00068   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a security"</span>);
+<a name="l00069"></a>00069   security_tree.<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), container);
 <a name="l00070"></a>00070   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00071"></a>00071 
 <a name="l00072"></a>00072  
 <a name="l00073"></a>00073 }
 <a name="l00074"></a>00074 
-<a name="l00075"></a><a class="code" href="classOfxMainContainer.html#dc93ac572d1114072c7f280cbd0da107">00075</a> <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">OfxMainContainer::add_container</a>(<a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> * container)
+<a name="l00075"></a><a class="code" href="classOfxMainContainer.html#0233b98484c114e449b22f67d5d8bafc">00075</a> <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> * container)
 <a name="l00076"></a>00076 {
-<a name="l00077"></a>00077   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding an account"</span>);
-<a name="l00078"></a>00078   <span class="keywordflow">if</span>( account_tree.<a class="code" href="classtree.html#153ad4a2483c86e5f3647f131629400b">size</a>()==0)
+<a name="l00077"></a>00077   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding an account"</span>);
+<a name="l00078"></a>00078   <span class="keywordflow">if</span>( account_tree.<a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">size</a>()==0)
 <a name="l00079"></a>00079     {
-<a name="l00080"></a>00080       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, account is the first account"</span>);
-<a name="l00081"></a>00081       account_tree.<a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), container);
+<a name="l00080"></a>00080       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, account is the first account"</span>);
+<a name="l00081"></a>00081       account_tree.<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), container);
 <a name="l00082"></a>00082     }
 <a name="l00083"></a>00083   <span class="keywordflow">else</span>
 <a name="l00084"></a>00084     {
-<a name="l00085"></a>00085       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, account is not the first account"</span>);
-<a name="l00086"></a>00086       <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.begin();
-<a name="l00087"></a>00087       tmp += (account_tree.number_of_siblings(tmp)); <span class="comment">//Find last account</span>
-<a name="l00088"></a>00088       account_tree.<a class="code" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">insert_after</a>(tmp, container);
+<a name="l00085"></a>00085       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, account is not the first account"</span>);
+<a name="l00086"></a>00086       <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00087"></a>00087       tmp += (account_tree.<a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
+<a name="l00088"></a>00088       account_tree.<a class="code" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e" title="Insert node as next sibling of node pointed to by position.">insert_after</a>(tmp, container);
 <a name="l00089"></a>00089     }  
 <a name="l00090"></a>00090   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00091"></a>00091 }
 <a name="l00092"></a>00092 
-<a name="l00093"></a><a class="code" href="classOfxMainContainer.html#bf410014de8a1444aacd1f515ca5bb5b">00093</a> <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">OfxMainContainer::add_container</a>(<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> * container)
+<a name="l00093"></a><a class="code" href="classOfxMainContainer.html#4b1ee2f1b0fe365acf3037abee8cc7d2">00093</a> <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * container)
 <a name="l00094"></a>00094 {
-<a name="l00095"></a>00095   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a statement"</span>);
-<a name="l00096"></a>00096   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
+<a name="l00095"></a>00095   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a statement"</span>);
+<a name="l00096"></a>00096   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
 <a name="l00097"></a>00097   <span class="comment">//cerr&lt;&lt; "size="&lt;&lt;account_tree.size()&lt;&lt;"; num_sibblings="&lt;&lt;account_tree.number_of_siblings(tmp)&lt;&lt;endl;</span>
-<a name="l00098"></a>00098   tmp += (account_tree.<a class="code" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
+<a name="l00098"></a>00098   tmp += (account_tree.<a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
 <a name="l00099"></a>00099   
-<a name="l00100"></a>00100   <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">is_valid</a>(tmp))
+<a name="l00100"></a>00100   <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(tmp))
 <a name="l00101"></a>00101     {
-<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"1: tmp is valid, Accounts are present"</span>);
-<a name="l00103"></a>00103       <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> child = account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(tmp);
-<a name="l00104"></a>00104       <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a>(tmp)!=0)
+<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"1: tmp is valid, Accounts are present"</span>);
+<a name="l00103"></a>00103       <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> child = account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(tmp);
+<a name="l00104"></a>00104       <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">number_of_children</a>(tmp)!=0)
 <a name="l00105"></a>00105         {
-<a name="l00106"></a>00106           <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(DEBUG,<span class="stringliteral">"There are already children for this account"</span>);
-<a name="l00107"></a>00107           account_tree.<a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(tmp.begin(), container);
+<a name="l00106"></a>00106           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"There are already children for this account"</span>);
+<a name="l00107"></a>00107           account_tree.<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(tmp.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), container);
 <a name="l00108"></a>00108           
 <a name="l00109"></a>00109         }
 <a name="l00110"></a>00110       <span class="keywordflow">else</span>
 <a name="l00111"></a>00111         {
-<a name="l00112"></a>00112           <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"There are no children for this account"</span>);
-<a name="l00113"></a>00113           account_tree.append_child(tmp,container);
+<a name="l00112"></a>00112           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"There are no children for this account"</span>);
+<a name="l00113"></a>00113           account_tree.<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(tmp,container);
 <a name="l00114"></a>00114         }
-<a name="l00115"></a>00115       container-&gt;add_account(&amp;( ((<a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> *)(*tmp))-&gt;data));
+<a name="l00115"></a>00115       container-&gt;<a class="code" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">add_account</a>(&amp;( ((<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> *)(*tmp))-&gt;data));
 <a name="l00116"></a>00116       <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00117"></a>00117     }
 <a name="l00118"></a>00118   <span class="keywordflow">else</span>
 <a name="l00119"></a>00119     {
-<a name="l00120"></a>00120       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container, no accounts are present (tmp is invalid)"</span>);
+<a name="l00120"></a>00120       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container, no accounts are present (tmp is invalid)"</span>);
 <a name="l00121"></a>00121       <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l00122"></a>00122     }
 <a name="l00123"></a>00123 }
 <a name="l00124"></a>00124 
-<a name="l00125"></a><a class="code" href="classOfxMainContainer.html#6df4b6527696c6a57fb0eafb46686fda">00125</a> <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">OfxMainContainer::add_container</a>(<a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> * container)
+<a name="l00125"></a><a class="code" href="classOfxMainContainer.html#e60ff6ec23a3a54d08cb86f088105b29">00125</a> <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">OfxMainContainer::add_container</a>(<a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> * container)
 <a name="l00126"></a>00126 {
-<a name="l00127"></a>00127   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a transaction"</span>);
+<a name="l00127"></a>00127   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container, adding a transaction"</span>);
 <a name="l00128"></a>00128 
-<a name="l00129"></a>00129   <span class="keywordflow">if</span>( account_tree.<a class="code" href="classtree.html#153ad4a2483c86e5f3647f131629400b">size</a>()!=0)
+<a name="l00129"></a>00129   <span class="keywordflow">if</span>( account_tree.<a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">size</a>()!=0)
 <a name="l00130"></a>00130     {
-<a name="l00131"></a>00131   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
+<a name="l00131"></a>00131   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp =  account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
 <a name="l00132"></a>00132   <span class="comment">//cerr&lt;&lt; "size="&lt;&lt;account_tree.size()&lt;&lt;"; num_sibblings="&lt;&lt;account_tree.number_of_siblings(tmp)&lt;&lt;endl;</span>
-<a name="l00133"></a>00133   tmp += (account_tree.<a class="code" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
-<a name="l00134"></a>00134       <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">is_valid</a>(tmp))
+<a name="l00133"></a>00133   tmp += (account_tree.<a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(tmp)); <span class="comment">//Find last account</span>
+<a name="l00134"></a>00134       <span class="keywordflow">if</span>(account_tree.<a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(tmp))
 <a name="l00135"></a>00135         {
-<a name="l00136"></a>00136           <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container: tmp is valid, Accounts are present"</span>);
-<a name="l00137"></a>00137           account_tree.<a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(tmp,container);
-<a name="l00138"></a>00138           container-&gt;<a class="code" href="classOfxTransactionContainer.html#55909757ff4bd31fe8bc968f5be576b0">add_account</a>(&amp;(((<a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> *)(*tmp))-&gt;data));
+<a name="l00136"></a>00136           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::add_container: tmp is valid, Accounts are present"</span>);
+<a name="l00137"></a>00137           account_tree.<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(tmp,container);
+<a name="l00138"></a>00138           container-&gt;<a class="code" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">add_account</a>(&amp;(((<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> *)(*tmp))-&gt;data));
 <a name="l00139"></a>00139           <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00140"></a>00140         }
 <a name="l00141"></a>00141       <span class="keywordflow">else</span>
 <a name="l00142"></a>00142         {
-<a name="l00143"></a>00143           <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container: tmp is invalid!"</span>);
+<a name="l00143"></a>00143           <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container: tmp is invalid!"</span>);
 <a name="l00144"></a>00144           <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l00145"></a>00145         }
 <a name="l00146"></a>00146     }
 <a name="l00147"></a>00147   <span class="keywordflow">else</span>
 <a name="l00148"></a>00148     {
-<a name="l00149"></a>00149       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container: the tree is empty!"</span>);
+<a name="l00149"></a>00149       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxMainContainer::add_container: the tree is empty!"</span>);
 <a name="l00150"></a>00150       <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l00151"></a>00151     }
 <a name="l00152"></a>00152 }
 <a name="l00153"></a>00153 
-<a name="l00154"></a><a class="code" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">00154</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">OfxMainContainer::gen_event</a>()
+<a name="l00154"></a><a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52">00154</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">OfxMainContainer::gen_event</a>()
 <a name="l00155"></a>00155 {
-<a name="l00156"></a>00156   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Begin walking the trees of the main container to generate events"</span>);
-<a name="l00157"></a>00157   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> tmp = security_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
+<a name="l00156"></a>00156   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Begin walking the trees of the main container to generate events"</span>);
+<a name="l00157"></a>00157   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::iterator</a> tmp = security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
 <a name="l00158"></a>00158   <span class="comment">//cerr&lt;&lt;"security_tree.size(): "&lt;&lt;security_tree.size()&lt;&lt;endl;</span>
 <a name="l00159"></a>00159   <span class="keywordtype">int</span> i = 0;
-<a name="l00160"></a>00160   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>())
+<a name="l00160"></a>00160   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
 <a name="l00161"></a>00161     {
-<a name="l00162"></a>00162       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Looping..."</span>);
+<a name="l00162"></a>00162       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Looping..."</span>);
 <a name="l00163"></a>00163       <span class="comment">//cerr &lt;&lt;i&lt;&lt;endl;</span>
 <a name="l00164"></a>00164       i++;
 <a name="l00165"></a>00165       (*tmp)-&gt;gen_event();
 <a name="l00166"></a>00166       ++tmp;
 <a name="l00167"></a>00167     }
-<a name="l00168"></a>00168   tmp = account_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
+<a name="l00168"></a>00168   tmp = account_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
 <a name="l00169"></a>00169   <span class="comment">//cerr&lt;&lt;account_tree.size()&lt;&lt;endl;</span>
 <a name="l00170"></a>00170   i = 0;
-<a name="l00171"></a>00171   <span class="keywordflow">while</span>(tmp!=account_tree.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>())
+<a name="l00171"></a>00171   <span class="keywordflow">while</span>(tmp!=account_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>())
 <a name="l00172"></a>00172     {
 <a name="l00173"></a>00173       <span class="comment">//cerr&lt;&lt; "i="&lt;&lt;i&lt;&lt;"; depth="&lt;&lt;account_tree.depth(tmp)&lt;&lt;endl;</span>
 <a name="l00174"></a>00174       i++;
 <a name="l00175"></a>00175       (*tmp)-&gt;gen_event();
 <a name="l00176"></a>00176       ++tmp;
 <a name="l00177"></a>00177     }
-<a name="l00178"></a>00178       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"End walking the trees of the main container to generate events"</span>);
+<a name="l00178"></a>00178       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"End walking the trees of the main container to generate events"</span>);
 <a name="l00179"></a>00179     
 <a name="l00180"></a>00180   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00181"></a>00181 }
 <a name="l00182"></a>00182 
-<a name="l00183"></a><a class="code" href="classOfxMainContainer.html#257204d0271f47d7f455169487960753">00183</a> <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> *  <a class="code" href="classOfxMainContainer.html#257204d0271f47d7f455169487960753">OfxMainContainer::find_security</a>(string unique_id)
+<a name="l00183"></a><a class="code" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">00183</a> <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> *  <a class="code" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">OfxMainContainer::find_security</a>(<span class="keywordtype">string</span> unique_id)
 <a name="l00184"></a>00184 {
-<a name="l00185"></a>00185  <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::find_security() Begin."</span>);
+<a name="l00185"></a>00185  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"OfxMainContainer::find_security() Begin."</span>);
 <a name="l00186"></a>00186 
-<a name="l00187"></a>00187   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp = security_tree.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
-<a name="l00188"></a>00188   <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> * retval = NULL;
-<a name="l00189"></a>00189   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>()&amp;&amp;retval==NULL)
+<a name="l00187"></a>00187   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;::sibling_iterator</a> tmp = security_tree.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00188"></a>00188   <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> * retval = NULL;
+<a name="l00189"></a>00189   <span class="keywordflow">while</span>(tmp!=security_tree.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>()&amp;&amp;retval==NULL)
 <a name="l00190"></a>00190     {
-<a name="l00191"></a>00191       <span class="keywordflow">if</span>(((<a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a>*)(*tmp))-&gt;data.unique_id==unique_id)
-<a name="l00192"></a>00192         { <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,(string)<span class="stringliteral">"Security "</span>+((OfxSecurityContainer*)(*tmp))-&gt;data.unique_id+<span class="stringliteral">" found."</span>);
-<a name="l00193"></a>00193           retval=&amp;((OfxSecurityContainer*)(*tmp))-&gt;data;
+<a name="l00191"></a>00191       <span class="keywordflow">if</span>(((<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>*)(*tmp))-&gt;data.unique_id==unique_id)
+<a name="l00192"></a>00192         { <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,(<span class="keywordtype">string</span>)<span class="stringliteral">"Security "</span>+((<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>*)(*tmp))-&gt;data.unique_id+<span class="stringliteral">" found."</span>);
+<a name="l00193"></a>00193           retval=&amp;((<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>*)(*tmp))-&gt;data;
 <a name="l00194"></a>00194         }
 <a name="l00195"></a>00195       ++tmp;
 <a name="l00196"></a>00196     }
 <a name="l00197"></a>00197   <span class="keywordflow">return</span> retval;
 <a name="l00198"></a>00198 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__main_8cpp.html'
--- doc/html/ofx__container__main_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__main_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,36 +1,32 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_main.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_main.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxMainContainer.html">OfxMainContainer</a>. 
-<p>
-
-<p>
-Definition in file <a class="el" href="ofx__container__main_8cpp-source.html">ofx_container_main.cpp</a>.
+Implementation of <a class="el" href="classOfxMainContainer.html" title="The root container. Created by the &lt;OFX&gt; OFX element or by the export functions...">OfxMainContainer</a>. 
+<p>
+
+<p>Definition in file <a class="el" href="ofx__container__main_8cpp-source.html">ofx_container_main.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__container__main_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__security_8cpp-source.html'
--- doc/html/ofx__container__security_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__security_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_security.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_security.cpp</h1><a href="ofx__container__security_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_security.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,76 +33,76 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00031"></a>00031 
 <a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
 <a name="l00033"></a>00033 <span class="comment"> *                     OfxSecurityContainer                                *</span>
 <a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
 <a name="l00035"></a>00035 
-<a name="l00036"></a><a class="code" href="classOfxSecurityContainer.html#7558803d35cebc4480bed38143a24b0b">00036</a> <a class="code" href="classOfxSecurityContainer.html#7558803d35cebc4480bed38143a24b0b">OfxSecurityContainer::OfxSecurityContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00036"></a><a class="code" href="classOfxSecurityContainer.html#6463edacc95fc03733c0e7fb6776c15f">00036</a> <a class="code" href="classOfxSecurityContainer.html#6463edacc95fc03733c0e7fb6776c15f">OfxSecurityContainer::OfxSecurityContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00038"></a>00038 {
-<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>));
-<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"SECURITY"</span>;
+<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>));
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"SECURITY"</span>;
 <a name="l00041"></a>00041 }
-<a name="l00042"></a><a class="code" href="classOfxSecurityContainer.html#a12308340b14eeac46ac1d7c933369b4">00042</a> <a class="code" href="classOfxSecurityContainer.html#a12308340b14eeac46ac1d7c933369b4">OfxSecurityContainer::~OfxSecurityContainer</a>()
+<a name="l00042"></a><a class="code" href="classOfxSecurityContainer.html#5205f0a09177451b4a6420da7420c256">00042</a> <a class="code" href="classOfxSecurityContainer.html#5205f0a09177451b4a6420da7420c256">OfxSecurityContainer::~OfxSecurityContainer</a>()
 <a name="l00043"></a>00043 {
 <a name="l00044"></a>00044 }
-<a name="l00045"></a><a class="code" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">00045</a> <span class="keywordtype">void</span> <a class="code" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">OfxSecurityContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00045"></a><a class="code" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e">00045</a> <span class="keywordtype">void</span> <a class="code" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e" title="Add data to a container object.">OfxSecurityContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00046"></a>00046 {
 <a name="l00047"></a>00047   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEID"</span>){
-<a name="l00048"></a>00048     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">unique_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">unique_id</a>));
-<a name="l00049"></a>00049     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#7a07e05b7a7de7cbc93ef5819e08cdfb">unique_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00048"></a>00048     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a>));
+<a name="l00049"></a>00049     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">unique_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00050"></a>00050   }
 <a name="l00051"></a>00051   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEIDTYPE"</span>){
-<a name="l00052"></a>00052     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">unique_id_type</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">unique_id_type</a>));
-<a name="l00053"></a>00053     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#fa8afe497229c9f561b734b784af4136">unique_id_type_valid</a> = <span class="keyword">true</span>;
+<a name="l00052"></a>00052     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a>));
+<a name="l00053"></a>00053     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">unique_id_type_valid</a> = <span class="keyword">true</span>;
 <a name="l00054"></a>00054   }
 <a name="l00055"></a>00055   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"SECNAME"</span>){
-<a name="l00056"></a>00056     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">secname</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">secname</a>));
-<a name="l00057"></a>00057     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#2ac745aadacd3adff898b02c29a8ee50">secname_valid</a> = <span class="keyword">true</span>;
+<a name="l00056"></a>00056     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a>));
+<a name="l00057"></a>00057     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">secname_valid</a> = <span class="keyword">true</span>;
 <a name="l00058"></a>00058   }
 <a name="l00059"></a>00059   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"TICKER"</span>){
-<a name="l00060"></a>00060     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">ticker</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">ticker</a>));
-<a name="l00061"></a>00061     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#832eb4d40a617065f39d6543ae5cfdd4">ticker_valid</a> = <span class="keyword">true</span>;
+<a name="l00060"></a>00060     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a>));
+<a name="l00061"></a>00061     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">ticker_valid</a> = <span class="keyword">true</span>;
 <a name="l00062"></a>00062   }
 <a name="l00063"></a>00063   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNITPRICE"</span>){
-<a name="l00064"></a>00064     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#e3c6ea360c7dce731d263c1f83b5cbd9">unitprice</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00065"></a>00065     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#6527ef1b5444ad8dcc5c9f3e53b93abc">unitprice_valid</a> = <span class="keyword">true</span>;
+<a name="l00064"></a>00064     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">unitprice</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00065"></a>00065     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">unitprice_valid</a> = <span class="keyword">true</span>;
 <a name="l00066"></a>00066   }
 <a name="l00067"></a>00067   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTASOF"</span>){
-<a name="l00068"></a>00068     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#2be22a41f746673f06ea6b6820cc17e9">date_unitprice</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00069"></a>00069     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#45533d8f177dc2a329d03c5e79f0dd14">date_unitprice_valid</a> = <span class="keyword">true</span>;
+<a name="l00068"></a>00068     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">date_unitprice</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00069"></a>00069     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">date_unitprice_valid</a> = <span class="keyword">true</span>;
 <a name="l00070"></a>00070   }
 <a name="l00071"></a>00071   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CURDEF"</span>){
-<a name="l00072"></a>00072     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#6f943b5de690b0c8e3577ee32dc0f682">currency</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>);
-<a name="l00073"></a>00073     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#b510698f4aadf98dea2a38774afecf36">currency_valid</a>=<span class="keyword">true</span>;
+<a name="l00072"></a>00072     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">currency</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>);
+<a name="l00073"></a>00073     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">currency_valid</a>=<span class="keyword">true</span>;
 <a name="l00074"></a>00074   }
 <a name="l00075"></a>00075   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MEMO"</span> || identifier==<span class="stringliteral">"MEMO2"</span>){
-<a name="l00076"></a>00076     strncpy(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">memo</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">memo</a>));
-<a name="l00077"></a>00077     <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>.<a class="code" href="structOfxSecurityData.html#fca86ce1faa30e4dcd6e31ff8fb8ab76">memo_valid</a> = <span class="keyword">true</span>;
+<a name="l00076"></a>00076     strncpy(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a>));
+<a name="l00077"></a>00077     <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>.<a class="code" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">memo_valid</a> = <span class="keyword">true</span>;
 <a name="l00078"></a>00078  }
 <a name="l00079"></a>00079   <span class="keywordflow">else</span>{
 <a name="l00080"></a>00080     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00081"></a>00081     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00081"></a>00081     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00082"></a>00082   }
 <a name="l00083"></a>00083 }
-<a name="l00084"></a><a class="code" href="classOfxSecurityContainer.html#a09d8de2d49cb79864dce68671f57400">00084</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxSecurityContainer.html#a09d8de2d49cb79864dce68671f57400">OfxSecurityContainer::gen_event</a>()
+<a name="l00084"></a><a class="code" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d">00084</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d" title="Generate libofx.h events.">OfxSecurityContainer::gen_event</a>()
 <a name="l00085"></a>00085 {
-<a name="l00086"></a>00086   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#a540fb9a3910bca4671b4cc6d248888f">securityCallback</a>(<a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>);
+<a name="l00086"></a>00086   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#7475e62f44e4e9351f193697956d88cd">securityCallback</a>(<a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>);
 <a name="l00087"></a>00087   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00088"></a>00088 }
 <a name="l00089"></a>00089 
-<a name="l00090"></a><a class="code" href="classOfxSecurityContainer.html#06f05be00e89e4ce256eb709dcad4326">00090</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxSecurityContainer.html#06f05be00e89e4ce256eb709dcad4326">OfxSecurityContainer::add_to_main_tree</a>()
+<a name="l00090"></a><a class="code" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f">00090</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f" title="Add this container to the main tree.">OfxSecurityContainer::add_to_main_tree</a>()
 <a name="l00091"></a>00091 {
-<a name="l00092"></a>00092   <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00092"></a>00092   <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00093"></a>00093     {
-<a name="l00094"></a>00094       <span class="keywordflow">return</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<span class="keyword">this</span>);
+<a name="l00094"></a>00094       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
 <a name="l00095"></a>00095     }
 <a name="l00096"></a>00096   <span class="keywordflow">else</span>
 <a name="l00097"></a>00097     {
@@ -114,8 +110,8 @@
 <a name="l00099"></a>00099     }
 <a name="l00100"></a>00100 }
 <a name="l00101"></a>00101   
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__security_8cpp.html'
--- doc/html/ofx__container__security_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__security_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_security.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_security.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> for stocks, bonds, mutual funds, etc. 
-<p>
-
-<p>
-Definition in file <a class="el" href="ofx__container__security_8cpp-source.html">ofx_container_security.cpp</a>.
+Implementation of <a class="el" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> for stocks, bonds, mutual funds, etc. 
+<p>
+
+<p>Definition in file <a class="el" href="ofx__container__security_8cpp-source.html">ofx_container_security.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__container__security_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="ofx_container_security.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__container__security_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="ofx_container_security.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__container__security_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__statement_8cpp-source.html'
--- doc/html/ofx__container__statement_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__statement_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_statement.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_statement.cpp</h1><a href="ofx__container__statement_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_statement.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,24 +33,24 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00031"></a>00031 
 <a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
 <a name="l00033"></a>00033 <span class="comment"> *                    OfxStatementContainer                                *</span>
 <a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
 <a name="l00035"></a>00035 
-<a name="l00036"></a><a class="code" href="classOfxStatementContainer.html#99a5e289425841bdec04ebc7c48f4b89">00036</a> <a class="code" href="classOfxStatementContainer.html#99a5e289425841bdec04ebc7c48f4b89">OfxStatementContainer::OfxStatementContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00036"></a><a class="code" href="classOfxStatementContainer.html#974c762415e209a77957ccabca3a4506">00036</a> <a class="code" href="classOfxStatementContainer.html#974c762415e209a77957ccabca3a4506">OfxStatementContainer::OfxStatementContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00038"></a>00038 {
-<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>));
-<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"STATEMENT"</span>;
+<a name="l00039"></a>00039   memset(&amp;<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>));
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"STATEMENT"</span>;
 <a name="l00041"></a>00041 }
-<a name="l00042"></a><a class="code" href="classOfxStatementContainer.html#96e32e196d0d34197b20a95ade84499e">00042</a> <a class="code" href="classOfxStatementContainer.html#96e32e196d0d34197b20a95ade84499e">OfxStatementContainer::~OfxStatementContainer</a>()
+<a name="l00042"></a><a class="code" href="classOfxStatementContainer.html#085def18d3414dc93d256b08d8f3ea2c">00042</a> <a class="code" href="classOfxStatementContainer.html#085def18d3414dc93d256b08d8f3ea2c">OfxStatementContainer::~OfxStatementContainer</a>()
 <a name="l00043"></a>00043 {
 <a name="l00044"></a>00044 <span class="comment">/*  while(transaction_queue.empty()!=true)</span>
 <a name="l00045"></a>00045 <span class="comment">    {</span>
@@ -62,50 +58,50 @@
 <a name="l00047"></a>00047 <span class="comment">      transaction_queue.pop();</span>
 <a name="l00048"></a>00048 <span class="comment">    }*/</span>
 <a name="l00049"></a>00049 }
-<a name="l00050"></a><a class="code" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">00050</a> <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">OfxStatementContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00050"></a><a class="code" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57">00050</a> <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57" title="Add data to a container object.">OfxStatementContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00051"></a>00051 {
 <a name="l00052"></a>00052   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CURDEF"</span>){
-<a name="l00053"></a>00053     strncpy(<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#8c016ce953f1d4d3d08573f0181f7fc8">currency</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#afc64de0b45217d814043a9197f13a89">OFX_CURRENCY_LENGTH</a>);
-<a name="l00054"></a>00054     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#2e01678983fb37679da62d982932301a">currency_valid</a>=<span class="keyword">true</span>;
+<a name="l00053"></a>00053     strncpy(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">currency</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#bb7701460acb587f9113ccf818b567ad">OFX_CURRENCY_LENGTH</a>);
+<a name="l00054"></a>00054     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">currency_valid</a>=<span class="keyword">true</span>;
 <a name="l00055"></a>00055   }
 <a name="l00056"></a>00056   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MKTGINFO"</span>){
-<a name="l00057"></a>00057     strncpy(<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#fb61c45788b7da6fde86b94c39721b35">marketing_info</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#4d60f36d19fbf64f2687d1aa925bae44">OFX_MARKETING_INFO_LENGTH</a>);
-<a name="l00058"></a>00058     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#51882ec4112a0784458335387a2307d9">marketing_info_valid</a>=<span class="keyword">true</span>;
+<a name="l00057"></a>00057     strncpy(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">marketing_info</a>,value.c_str(),<a class="code" href="inc_2libofx_8h.html#61ce08f420b24b001f7bee78671149e6">OFX_MARKETING_INFO_LENGTH</a>);
+<a name="l00058"></a>00058     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">marketing_info_valid</a>=<span class="keyword">true</span>;
 <a name="l00059"></a>00059   }
 <a name="l00060"></a>00060   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTSTART"</span>){
-<a name="l00061"></a>00061     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#e309f20e09668f4d0cf852f771d2cc16">date_start</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00062"></a>00062     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#dc9f69ca4ccb9ce8b2ee99a633ce1663">date_start_valid</a> = <span class="keyword">true</span>;
+<a name="l00061"></a>00061     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">date_start</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00062"></a>00062     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">date_start_valid</a> = <span class="keyword">true</span>;
 <a name="l00063"></a>00063   }
 <a name="l00064"></a>00064   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTEND"</span>){
-<a name="l00065"></a>00065     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#9a9474d4266ee8362691de638eb2b95b">date_end</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00066"></a>00066     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#da9e71bfc700d9836f8ed1a0a5394d68">date_end_valid</a> = <span class="keyword">true</span>;
+<a name="l00065"></a>00065     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">date_end</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00066"></a>00066     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">date_end_valid</a> = <span class="keyword">true</span>;
 <a name="l00067"></a>00067   }
 <a name="l00068"></a>00068   <span class="keywordflow">else</span>{
-<a name="l00069"></a>00069     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00069"></a>00069     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00070"></a>00070   }
 <a name="l00071"></a>00071 }<span class="comment">//end OfxStatementContainer::add_attribute()</span>
 <a name="l00072"></a>00072 
-<a name="l00073"></a><a class="code" href="classOfxStatementContainer.html#cf79a74290f3f0d0c9048f80c60b32e8">00073</a> <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#cf79a74290f3f0d0c9048f80c60b32e8">OfxStatementContainer::add_balance</a>(<a class="code" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>* ptr_balance_container)
+<a name="l00073"></a><a class="code" href="classOfxStatementContainer.html#91534efc97834de2ddfc66e4e0e75b5c">00073</a> <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#91534efc97834de2ddfc66e4e0e75b5c">OfxStatementContainer::add_balance</a>(<a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a>* ptr_balance_container)
 <a name="l00074"></a>00074 {
-<a name="l00075"></a>00075   <span class="keywordflow">if</span>(ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>==<span class="stringliteral">"LEDGERBAL"</span>){
-<a name="l00076"></a>00076     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">ledger_balance</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">amount</a>;
-<a name="l00077"></a>00077     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#36aa92a5090a5b005003a56d030bfe2d">ledger_balance_valid</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a>;
+<a name="l00075"></a>00075   <span class="keywordflow">if</span>(ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>==<span class="stringliteral">"LEDGERBAL"</span>){
+<a name="l00076"></a>00076     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">ledger_balance</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>;
+<a name="l00077"></a>00077     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">ledger_balance_valid</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>;
 <a name="l00078"></a>00078   }
-<a name="l00079"></a>00079   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>==<span class="stringliteral">"AVAILBAL"</span>){
-<a name="l00080"></a>00080     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#da9c55ec9c74912447df814e9d4cca91">available_balance</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">amount</a>;
-<a name="l00081"></a>00081     <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#2b21efec7e7c885db13af63230c1a76d">available_balance_valid</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a>;
+<a name="l00079"></a>00079   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>==<span class="stringliteral">"AVAILBAL"</span>){
+<a name="l00080"></a>00080     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">available_balance</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>;
+<a name="l00081"></a>00081     <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">available_balance_valid</a>=ptr_balance_container-&gt;<a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>;
 <a name="l00082"></a>00082   }
 <a name="l00083"></a>00083   <span class="keywordflow">else</span>{
-<a name="l00084"></a>00084     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"OfxStatementContainer::add_balance(): the balance has unknown tag_identifier: "</span>+ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>);
+<a name="l00084"></a>00084     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"OfxStatementContainer::add_balance(): the balance has unknown tag_identifier: "</span>+ptr_balance_container-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>);
 <a name="l00085"></a>00085   }
 <a name="l00086"></a>00086 }
 <a name="l00087"></a>00087 
 <a name="l00088"></a>00088 
-<a name="l00089"></a><a class="code" href="classOfxStatementContainer.html#19b7458f71a8e47e25525f81009c5146">00089</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxStatementContainer.html#19b7458f71a8e47e25525f81009c5146">OfxStatementContainer::add_to_main_tree</a>()
+<a name="l00089"></a><a class="code" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d">00089</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d" title="Add this container to the main tree.">OfxStatementContainer::add_to_main_tree</a>()
 <a name="l00090"></a>00090 {
-<a name="l00091"></a>00091   <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00091"></a>00091   <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00092"></a>00092     {
-<a name="l00093"></a>00093       <span class="keywordflow">return</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<span class="keyword">this</span>);
+<a name="l00093"></a>00093       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
 <a name="l00094"></a>00094     }
 <a name="l00095"></a>00095   <span class="keywordflow">else</span>
 <a name="l00096"></a>00096     {
@@ -113,28 +109,28 @@
 <a name="l00098"></a>00098     }
 <a name="l00099"></a>00099 }
 <a name="l00100"></a>00100 
-<a name="l00101"></a><a class="code" href="classOfxStatementContainer.html#69dba408b387ea2e474c0cd9cbca03a1">00101</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxStatementContainer.html#69dba408b387ea2e474c0cd9cbca03a1">OfxStatementContainer::gen_event</a>()
+<a name="l00101"></a><a class="code" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7">00101</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7" title="Generate libofx.h events.">OfxStatementContainer::gen_event</a>()
 <a name="l00102"></a>00102 {
-<a name="l00103"></a>00103   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#302efef8abcde0b6f1a76fa1f62ae828">statementCallback</a>(<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>);
+<a name="l00103"></a>00103   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#c89155697361ad0aa8aff5da19370709">statementCallback</a>(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>);
 <a name="l00104"></a>00104   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00105"></a>00105 }
 <a name="l00106"></a>00106 
 <a name="l00107"></a>00107 
-<a name="l00108"></a><a class="code" href="classOfxStatementContainer.html#874ef227d93fdc078cf396350fc9b678">00108</a> <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#874ef227d93fdc078cf396350fc9b678">OfxStatementContainer::add_account</a>(<a class="code" href="structOfxAccountData.html">OfxAccountData</a> * account_data)
+<a name="l00108"></a><a class="code" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">00108</a> <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">OfxStatementContainer::add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data)
 <a name="l00109"></a>00109 {
-<a name="l00110"></a>00110   <span class="keywordflow">if</span>(account_data-&gt;<a class="code" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">account_id_valid</a>==<span class="keyword">true</span>)
+<a name="l00110"></a>00110   <span class="keywordflow">if</span>(account_data-&gt;<a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>==<span class="keyword">true</span>)
 <a name="l00111"></a>00111     {
-<a name="l00112"></a>00112       <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">account_ptr</a> = account_data;
-<a name="l00113"></a>00113       strncpy(<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">account_id</a>,account_data-&gt;<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>);
-<a name="l00114"></a>00114       <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">account_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00112"></a>00112       <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a> = account_data;
+<a name="l00113"></a>00113       strncpy(<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">account_id</a>,account_data-&gt;<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>);
+<a name="l00114"></a>00114       <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">account_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00115"></a>00115     }
 <a name="l00116"></a>00116 }
 <a name="l00117"></a>00117 <span class="comment">/*void OfxStatementContainer::add_transaction(const OfxTransactionData transaction_data)</span>
 <a name="l00118"></a>00118 <span class="comment">{</span>
 <a name="l00119"></a>00119 <span class="comment">  transaction_queue.push(transaction_data);</span>
 <a name="l00120"></a>00120 <span class="comment">}*/</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__statement_8cpp.html'
--- doc/html/ofx__container__statement_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__statement_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_statement.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_statement.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxStatementContainer.html">OfxStatementContainer</a> for bank statements, credit cart statements, etc. 
-<p>
-
-<p>
-Definition in file <a class="el" href="ofx__container__statement_8cpp-source.html">ofx_container_statement.cpp</a>.
+Implementation of <a class="el" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> for bank statements, credit cart statements, etc. 
+<p>
+
+<p>Definition in file <a class="el" href="ofx__container__statement_8cpp-source.html">ofx_container_statement.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__container__statement_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="ofx_container_statement.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__container__statement_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="ofx_container_statement.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__container__statement_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__transaction_8cpp-source.html'
--- doc/html/ofx__container__transaction_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__transaction_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_transaction.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_transaction.cpp</h1><a href="ofx__container__transaction_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_container_account.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,66 +33,66 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00030"></a>00030 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00031"></a>00031 
 <a name="l00032"></a>00032 <span class="comment">/***************************************************************************</span>
 <a name="l00033"></a>00033 <span class="comment"> *                      OfxTransactionContainer                            *</span>
 <a name="l00034"></a>00034 <span class="comment"> ***************************************************************************/</span>
 <a name="l00035"></a>00035 
-<a name="l00036"></a><a class="code" href="classOfxTransactionContainer.html#7bf1cc0fda751f2f653c2a64cb63fae2">00036</a> <a class="code" href="classOfxTransactionContainer.html#7bf1cc0fda751f2f653c2a64cb63fae2">OfxTransactionContainer::OfxTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00036"></a><a class="code" href="classOfxTransactionContainer.html#d43b43b1006be733490c4e25f8a41434">00036</a> <a class="code" href="classOfxTransactionContainer.html#d43b43b1006be733490c4e25f8a41434">OfxTransactionContainer::OfxTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00037"></a>00037   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00038"></a>00038 {
-<a name="l00039"></a>00039   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> * tmp_parentcontainer=<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>;
+<a name="l00039"></a>00039   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> * tmp_parentcontainer=<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
 <a name="l00040"></a>00040 
-<a name="l00041"></a>00041   memset(&amp;<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>));
-<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"TRANSACTION"</span>;
+<a name="l00041"></a>00041   memset(&amp;<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>));
+<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"TRANSACTION"</span>;
 <a name="l00043"></a>00043   <span class="comment">/* Find the parent statement container*/</span>
-<a name="l00044"></a>00044   <span class="keywordflow">while</span>(tmp_parentcontainer!=NULL&amp;&amp;tmp_parentcontainer-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
+<a name="l00044"></a>00044   <span class="keywordflow">while</span>(tmp_parentcontainer!=NULL&amp;&amp;tmp_parentcontainer-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
 <a name="l00045"></a>00045     {
-<a name="l00046"></a>00046       tmp_parentcontainer=tmp_parentcontainer-&gt;<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>;
+<a name="l00046"></a>00046       tmp_parentcontainer=tmp_parentcontainer-&gt;<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
 <a name="l00047"></a>00047     }  
 <a name="l00048"></a>00048   <span class="keywordflow">if</span> (tmp_parentcontainer!=NULL){
-<a name="l00049"></a>00049     parent_statement=(<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a>*)tmp_parentcontainer;
+<a name="l00049"></a>00049     parent_statement=(<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)tmp_parentcontainer;
 <a name="l00050"></a>00050   }
 <a name="l00051"></a>00051   <span class="keywordflow">else</span>{
 <a name="l00052"></a>00052     parent_statement=NULL;
-<a name="l00053"></a>00053     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Unable to find the enclosing statement container this transaction"</span>);
+<a name="l00053"></a>00053     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Unable to find the enclosing statement container this transaction"</span>);
 <a name="l00054"></a>00054   }
-<a name="l00055"></a>00055   <span class="keywordflow">if</span> (parent_statement!=NULL&amp;&amp;parent_statement-&gt;<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">account_id_valid</a>==<span class="keyword">true</span>){
-<a name="l00056"></a>00056     strncpy(data.account_id,parent_statement-&gt;<a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>.<a class="code" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">account_id</a>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>);
-<a name="l00057"></a>00057     data.account_id_valid = <span class="keyword">true</span>;
+<a name="l00055"></a>00055   <span class="keywordflow">if</span> (parent_statement!=NULL&amp;&amp;parent_statement-&gt;<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">account_id_valid</a>==<span class="keyword">true</span>){
+<a name="l00056"></a>00056     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a>,parent_statement-&gt;<a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>.<a class="code" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">account_id</a>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>);
+<a name="l00057"></a>00057     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00058"></a>00058   }
 <a name="l00059"></a>00059 }
-<a name="l00060"></a><a class="code" href="classOfxTransactionContainer.html#e7fa208ce9f9276dfe416161bc02ec34">00060</a> <a class="code" href="classOfxTransactionContainer.html#e7fa208ce9f9276dfe416161bc02ec34">OfxTransactionContainer::~OfxTransactionContainer</a>()
+<a name="l00060"></a><a class="code" href="classOfxTransactionContainer.html#8c24bf77f0154df5bdf134ebac97b12e">00060</a> <a class="code" href="classOfxTransactionContainer.html#8c24bf77f0154df5bdf134ebac97b12e">OfxTransactionContainer::~OfxTransactionContainer</a>()
 <a name="l00061"></a>00061 {
 <a name="l00062"></a>00062 
 <a name="l00063"></a>00063 }
 <a name="l00064"></a>00064 
-<a name="l00065"></a><a class="code" href="classOfxTransactionContainer.html#c6619c52d4918a6f0e4b8e46920c26c7">00065</a> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#c6619c52d4918a6f0e4b8e46920c26c7">OfxTransactionContainer::gen_event</a>()
+<a name="l00065"></a><a class="code" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99">00065</a> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99" title="Generate libofx.h events.">OfxTransactionContainer::gen_event</a>()
 <a name="l00066"></a>00066 {
-<a name="l00067"></a>00067   <span class="keywordflow">if</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">unique_id_valid</a>==<span class="keyword">true</span>&amp;&amp;<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00067"></a>00067   <span class="keywordflow">if</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a>==<span class="keyword">true</span>&amp;&amp;MainContainer != NULL)
 <a name="l00068"></a>00068     {
-<a name="l00069"></a>00069       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">security_data_ptr</a> = <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#257204d0271f47d7f455169487960753">find_security</a>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">unique_id</a>);
-<a name="l00070"></a>00070       <span class="keywordflow">if</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">security_data_ptr</a>!=NULL)
+<a name="l00069"></a>00069       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a> = MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">find_security</a>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>);
+<a name="l00070"></a>00070       <span class="keywordflow">if</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a>!=NULL)
 <a name="l00071"></a>00071         {
-<a name="l00072"></a>00072           <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#e778083e6550c520a2855a28367cd4cb">security_data_valid</a> = <span class="keyword">true</span>;
+<a name="l00072"></a>00072           <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">security_data_valid</a> = <span class="keyword">true</span>;
 <a name="l00073"></a>00073         }
 <a name="l00074"></a>00074     }
-<a name="l00075"></a>00075   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#ceb3a8c832fdd024f34d0e2e19fb12e7">transactionCallback</a>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>);
+<a name="l00075"></a>00075   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#9a74ef2ba7748db76b993dee07b7f47c">transactionCallback</a>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>);
 <a name="l00076"></a>00076   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00077"></a>00077 }
 <a name="l00078"></a>00078 
-<a name="l00079"></a><a class="code" href="classOfxTransactionContainer.html#013d08423359102e1c596ad84a89e80f">00079</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxTransactionContainer.html#013d08423359102e1c596ad84a89e80f">OfxTransactionContainer::add_to_main_tree</a>()
+<a name="l00079"></a><a class="code" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d">00079</a> <span class="keywordtype">int</span>  <a class="code" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d" title="Add this container to the main tree.">OfxTransactionContainer::add_to_main_tree</a>()
 <a name="l00080"></a>00080 {
 <a name="l00081"></a>00081 
-<a name="l00082"></a>00082   <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00082"></a>00082   <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00083"></a>00083     {
-<a name="l00084"></a>00084       <span class="keywordflow">return</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<span class="keyword">this</span>);
+<a name="l00084"></a>00084       <span class="keywordflow">return</span> MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<span class="keyword">this</span>);
 <a name="l00085"></a>00085     }
 <a name="l00086"></a>00086   <span class="keywordflow">else</span>
 <a name="l00087"></a>00087     {
@@ -105,62 +101,62 @@
 <a name="l00090"></a>00090 }
 <a name="l00091"></a>00091 
 <a name="l00092"></a>00092 
-<a name="l00093"></a><a class="code" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">00093</a> <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00093"></a><a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6">00093</a> <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">OfxTransactionContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00094"></a>00094 {
 <a name="l00095"></a>00095 
 <a name="l00096"></a>00096   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTPOSTED"</span>){
-<a name="l00097"></a>00097     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">date_posted</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00098"></a>00098     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">date_posted_valid</a> = <span class="keyword">true</span>;
+<a name="l00097"></a>00097     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00098"></a>00098     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a> = <span class="keyword">true</span>;
 <a name="l00099"></a>00099   }
 <a name="l00100"></a>00100   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTUSER"</span>){
-<a name="l00101"></a>00101     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">date_initiated</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00102"></a>00102     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">date_initiated_valid</a> = <span class="keyword">true</span>;
+<a name="l00101"></a>00101     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00102"></a>00102     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a> = <span class="keyword">true</span>;
 <a name="l00103"></a>00103   }
 <a name="l00104"></a>00104   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTAVAIL"</span>){
-<a name="l00105"></a>00105     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#be9a3435e5c27396714b915bbec892d9">date_funds_available</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00106"></a>00106     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#a279f61654ffc1119f4a7a0475314b8f">date_funds_available_valid</a> = <span class="keyword">true</span>;
+<a name="l00105"></a>00105     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">date_funds_available</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00106"></a>00106     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">date_funds_available_valid</a> = <span class="keyword">true</span>;
 <a name="l00107"></a>00107   }
 <a name="l00108"></a>00108   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"FITID"</span>){
-<a name="l00109"></a>00109     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">fi_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">fi_id</a>));
-<a name="l00110"></a>00110     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#9922d2151c43440ffe643fbf8cc1bb36">fi_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00109"></a>00109     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>));
+<a name="l00110"></a>00110     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">fi_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00111"></a>00111   }
 <a name="l00112"></a>00112   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CORRECTFITID"</span>){
-<a name="l00113"></a>00113     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#9db59281d0b9883e307da469e45c5e25">fi_id_corrected</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">fi_id</a>));
-<a name="l00114"></a>00114     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#760693682215d56c510ddf222514d18e">fi_id_corrected_valid</a> = <span class="keyword">true</span>;
+<a name="l00113"></a>00113     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">fi_id_corrected</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>));
+<a name="l00114"></a>00114     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">fi_id_corrected_valid</a> = <span class="keyword">true</span>;
 <a name="l00115"></a>00115   }
 <a name="l00116"></a>00116   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CORRECTACTION"</span>){
-<a name="l00117"></a>00117     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">fi_id_correction_action_valid</a>=<span class="keyword">true</span>;
+<a name="l00117"></a>00117     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a>=<span class="keyword">true</span>;
 <a name="l00118"></a>00118     <span class="keywordflow">if</span>(value==<span class="stringliteral">"REPLACE"</span>){
-<a name="l00119"></a>00119       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">fi_id_correction_action</a>=<a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">REPLACE</a>;
+<a name="l00119"></a>00119       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>=<a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>;
 <a name="l00120"></a>00120     }
 <a name="l00121"></a>00121     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DELETE"</span>){
-<a name="l00122"></a>00122       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">fi_id_correction_action</a>=<a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">DELETE</a>;
+<a name="l00122"></a>00122       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>=<a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>;
 <a name="l00123"></a>00123     }
 <a name="l00124"></a>00124     <span class="keywordflow">else</span>{
-<a name="l00125"></a>00125       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">fi_id_correction_action_valid</a>=<span class="keyword">false</span>;
+<a name="l00125"></a>00125       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a>=<span class="keyword">false</span>;
 <a name="l00126"></a>00126     }
 <a name="l00127"></a>00127   }
 <a name="l00128"></a>00128   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"SRVRTID"</span>)||(identifier==<span class="stringliteral">"SRVRTID2"</span>)){
-<a name="l00129"></a>00129     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">server_transaction_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">server_transaction_id</a>));
-<a name="l00130"></a>00130     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#ac773a8cfd36ea8dcbff4a0173a5178d">server_transaction_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00129"></a>00129     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a>));
+<a name="l00130"></a>00130     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">server_transaction_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00131"></a>00131   }
 <a name="l00132"></a>00132   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MEMO"</span> || identifier==<span class="stringliteral">"MEMO2"</span>){
-<a name="l00133"></a>00133     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">memo</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">memo</a>));
-<a name="l00134"></a>00134     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#eccceb6745312b5bdcd919056e7d987f">memo_valid</a> = <span class="keyword">true</span>;
+<a name="l00133"></a>00133     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>));
+<a name="l00134"></a>00134     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">memo_valid</a> = <span class="keyword">true</span>;
 <a name="l00135"></a>00135   }
 <a name="l00136"></a>00136   <span class="keywordflow">else</span>{
 <a name="l00137"></a>00137     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00138"></a>00138     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00138"></a>00138     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00139"></a>00139   }
 <a name="l00140"></a>00140 }<span class="comment">// end OfxTransactionContainer::add_attribute()</span>
 <a name="l00141"></a>00141 
-<a name="l00142"></a><a class="code" href="classOfxTransactionContainer.html#55909757ff4bd31fe8bc968f5be576b0">00142</a> <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#55909757ff4bd31fe8bc968f5be576b0">OfxTransactionContainer::add_account</a>(<a class="code" href="structOfxAccountData.html">OfxAccountData</a> * account_data)
+<a name="l00142"></a><a class="code" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">00142</a> <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">OfxTransactionContainer::add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data)
 <a name="l00143"></a>00143 {
-<a name="l00144"></a>00144   <span class="keywordflow">if</span>(account_data-&gt;<a class="code" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">account_id_valid</a>==<span class="keyword">true</span>)
+<a name="l00144"></a>00144   <span class="keywordflow">if</span>(account_data-&gt;<a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>==<span class="keyword">true</span>)
 <a name="l00145"></a>00145     {
-<a name="l00146"></a>00146       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">account_ptr</a> = account_data;
-<a name="l00147"></a>00147       strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">account_id</a>,account_data-&gt;<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>);
-<a name="l00148"></a>00148       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#02095f6be8951af8640d6e4d96e6a7c7">account_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00146"></a>00146       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">account_ptr</a> = account_data;
+<a name="l00147"></a>00147       strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a>,account_data-&gt;<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>,<a class="code" href="inc_2libofx_8h.html#69861648d37d02054778473eece609f5">OFX_ACCOUNT_ID_LENGTH</a>);
+<a name="l00148"></a>00148       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00149"></a>00149     }
 <a name="l00150"></a>00150 }
 <a name="l00151"></a>00151 
@@ -168,101 +164,101 @@
 <a name="l00153"></a>00153 <span class="comment"> *                      OfxBankTransactionContainer                        *</span>
 <a name="l00154"></a>00154 <span class="comment"> ***************************************************************************/</span>
 <a name="l00155"></a>00155 
-<a name="l00156"></a><a class="code" href="classOfxBankTransactionContainer.html#132e3ab795f765cbec2320e9961a7558">00156</a> <a class="code" href="classOfxBankTransactionContainer.html#132e3ab795f765cbec2320e9961a7558">OfxBankTransactionContainer::OfxBankTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier): 
-<a name="l00157"></a>00157   <a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00156"></a><a class="code" href="classOfxBankTransactionContainer.html#59d1936cd1cd0a66c4c0a8e993c123f4">00156</a> <a class="code" href="classOfxBankTransactionContainer.html#59d1936cd1cd0a66c4c0a8e993c123f4">OfxBankTransactionContainer::OfxBankTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier): 
+<a name="l00157"></a>00157   <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00158"></a>00158 {
 <a name="l00159"></a>00159   ;
 <a name="l00160"></a>00160 }
-<a name="l00161"></a><a class="code" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">00161</a> <span class="keywordtype">void</span> <a class="code" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">OfxBankTransactionContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00161"></a><a class="code" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d">00161</a> <span class="keywordtype">void</span> <a class="code" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d" title="Add data to a container object.">OfxBankTransactionContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00162"></a>00162 {
 <a name="l00163"></a>00163   <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"TRNTYPE"</span>){
-<a name="l00164"></a>00164     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a>=<span class="keyword">true</span>;
+<a name="l00164"></a>00164     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>=<span class="keyword">true</span>;
 <a name="l00165"></a>00165     <span class="keywordflow">if</span>(value==<span class="stringliteral">"CREDIT"</span>){
-<a name="l00166"></a>00166       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">OFX_CREDIT</a>;
+<a name="l00166"></a>00166       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>;
 <a name="l00167"></a>00167     }
 <a name="l00168"></a>00168     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DEBIT"</span>){
-<a name="l00169"></a>00169       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">OFX_DEBIT</a>;
+<a name="l00169"></a>00169       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>;
 <a name="l00170"></a>00170     }
 <a name="l00171"></a>00171     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"INT"</span>){
-<a name="l00172"></a>00172       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">OFX_INT</a>;
+<a name="l00172"></a>00172       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>;
 <a name="l00173"></a>00173     }
 <a name="l00174"></a>00174     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DIV"</span>){
-<a name="l00175"></a>00175       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">OFX_DIV</a>;
+<a name="l00175"></a>00175       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>;
 <a name="l00176"></a>00176     }
 <a name="l00177"></a>00177     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"FEE"</span>){
-<a name="l00178"></a>00178       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">OFX_FEE</a>;
+<a name="l00178"></a>00178       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>;
 <a name="l00179"></a>00179     }
 <a name="l00180"></a>00180     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"SRVCHG"</span>){
-<a name="l00181"></a>00181       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">OFX_SRVCHG</a>;
+<a name="l00181"></a>00181       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>;
 <a name="l00182"></a>00182     }
 <a name="l00183"></a>00183     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DEP"</span>){
-<a name="l00184"></a>00184       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">OFX_DEP</a>;
+<a name="l00184"></a>00184       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>;
 <a name="l00185"></a>00185     }
 <a name="l00186"></a>00186     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"ATM"</span>){
-<a name="l00187"></a>00187       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">OFX_ATM</a>;
+<a name="l00187"></a>00187       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>;
 <a name="l00188"></a>00188     }
 <a name="l00189"></a>00189     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"POS"</span>){
-<a name="l00190"></a>00190       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">OFX_POS</a>;
+<a name="l00190"></a>00190       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>;
 <a name="l00191"></a>00191     }
 <a name="l00192"></a>00192     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"XFER"</span>){
-<a name="l00193"></a>00193       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">OFX_XFER</a>;
+<a name="l00193"></a>00193       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>;
 <a name="l00194"></a>00194     }
 <a name="l00195"></a>00195     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CHECK"</span>){
-<a name="l00196"></a>00196       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">OFX_CHECK</a>;
+<a name="l00196"></a>00196       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>;
 <a name="l00197"></a>00197     }
 <a name="l00198"></a>00198     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"PAYMENT"</span>){
-<a name="l00199"></a>00199       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">OFX_PAYMENT</a>;
+<a name="l00199"></a>00199       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>;
 <a name="l00200"></a>00200     }
 <a name="l00201"></a>00201     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"CASH"</span>){
-<a name="l00202"></a>00202       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">OFX_CASH</a>;
+<a name="l00202"></a>00202       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>;
 <a name="l00203"></a>00203     }
 <a name="l00204"></a>00204     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DIRECTDEP"</span>){
-<a name="l00205"></a>00205       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">OFX_DIRECTDEP</a>;
+<a name="l00205"></a>00205       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>;
 <a name="l00206"></a>00206     }
 <a name="l00207"></a>00207     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"DIRECTDEBIT"</span>){
-<a name="l00208"></a>00208       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">OFX_DIRECTDEBIT</a>;
+<a name="l00208"></a>00208       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>;
 <a name="l00209"></a>00209     }
 <a name="l00210"></a>00210     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"REPEATPMT"</span>){
-<a name="l00211"></a>00211       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">OFX_REPEATPMT</a>;
+<a name="l00211"></a>00211       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>;
 <a name="l00212"></a>00212     }
 <a name="l00213"></a>00213     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"OTHER"</span>){
-<a name="l00214"></a>00214       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">OFX_OTHER</a>;
+<a name="l00214"></a>00214       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>;
 <a name="l00215"></a>00215     }
 <a name="l00216"></a>00216     <span class="keywordflow">else</span> {
-<a name="l00217"></a>00217       <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a>=<span class="keyword">false</span>;
+<a name="l00217"></a>00217       <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>=<span class="keyword">false</span>;
 <a name="l00218"></a>00218     }
 <a name="l00219"></a>00219   }<span class="comment">//end TRANSTYPE</span>
 <a name="l00220"></a>00220   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"TRNAMT"</span>){
-<a name="l00221"></a>00221     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00222"></a>00222     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">amount_valid</a>=<span class="keyword">true</span>;
-<a name="l00223"></a>00223     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">units</a> = -<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a>;
-<a name="l00224"></a>00224     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">units_valid</a>=<span class="keyword">true</span>;
-<a name="l00225"></a>00225     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">unitprice</a> = 1,00;
-<a name="l00226"></a>00226     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">unitprice_valid</a>=<span class="keyword">true</span>;
+<a name="l00221"></a>00221     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00222"></a>00222     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a>=<span class="keyword">true</span>;
+<a name="l00223"></a>00223     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a> = -<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>;
+<a name="l00224"></a>00224     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a>=<span class="keyword">true</span>;
+<a name="l00225"></a>00225     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a> = 1.00;
+<a name="l00226"></a>00226     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a>=<span class="keyword">true</span>;
 <a name="l00227"></a>00227   }
 <a name="l00228"></a>00228   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"CHECKNUM"</span>){
-<a name="l00229"></a>00229     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">check_number</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">check_number</a>));
-<a name="l00230"></a>00230     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#8b49156636e8dc3b1f56ae91955765b4">check_number_valid</a> = <span class="keyword">true</span>;
+<a name="l00229"></a>00229     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>));
+<a name="l00230"></a>00230     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">check_number_valid</a> = <span class="keyword">true</span>;
 <a name="l00231"></a>00231   }
 <a name="l00232"></a>00232   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"REFNUM"</span>){
-<a name="l00233"></a>00233     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">reference_number</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">reference_number</a>));
-<a name="l00234"></a>00234     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#6cca71dde5d0ced4458e4cc4d9be17e5">reference_number_valid</a> = <span class="keyword">true</span>;
+<a name="l00233"></a>00233     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>));
+<a name="l00234"></a>00234     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">reference_number_valid</a> = <span class="keyword">true</span>;
 <a name="l00235"></a>00235   }
 <a name="l00236"></a>00236   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"SIC"</span>){
-<a name="l00237"></a>00237     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#3283c78f62957daba020a89f5f5ff632">standard_industrial_code</a> = atoi(value.c_str());
-<a name="l00238"></a>00238     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#84c2f46550c8158d87074bba6d57d592">standard_industrial_code_valid</a> = <span class="keyword">true</span>;
+<a name="l00237"></a>00237     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">standard_industrial_code</a> = atoi(value.c_str());
+<a name="l00238"></a>00238     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">standard_industrial_code_valid</a> = <span class="keyword">true</span>;
 <a name="l00239"></a>00239   }
 <a name="l00240"></a>00240   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"PAYEEID"</span>)||(identifier==<span class="stringliteral">"PAYEEID2"</span>)){
-<a name="l00241"></a>00241     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">payee_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">payee_id</a>));
-<a name="l00242"></a>00242     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#b2bdd11a3085660e89da09c86aeb9643">payee_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00241"></a>00241     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a>));
+<a name="l00242"></a>00242     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">payee_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00243"></a>00243   }
 <a name="l00244"></a>00244   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"NAME"</span>){
-<a name="l00245"></a>00245     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">name</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">name</a>));
-<a name="l00246"></a>00246     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#b3c75cdec303b138889b3de61e75c869">name_valid</a> = <span class="keyword">true</span>;
+<a name="l00245"></a>00245     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>));
+<a name="l00246"></a>00246     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">name_valid</a> = <span class="keyword">true</span>;
 <a name="l00247"></a>00247   }
 <a name="l00248"></a>00248   <span class="keywordflow">else</span>{
 <a name="l00249"></a>00249     <span class="comment">/* Redirect unknown identifiers to base class */</span>
-<a name="l00250"></a>00250     <a class="code" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer::add_attribute</a>(identifier, value);
+<a name="l00250"></a>00250     <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">OfxTransactionContainer::add_attribute</a>(identifier, value);
 <a name="l00251"></a>00251   }
 <a name="l00252"></a>00252 }<span class="comment">//end OfxBankTransactionContainer::add_attribute</span>
 <a name="l00253"></a>00253  
@@ -271,137 +267,137 @@
 <a name="l00256"></a>00256 <span class="comment"> *                    OfxInvestmentTransactionContainer                    *</span>
 <a name="l00257"></a>00257 <span class="comment"> ***************************************************************************/</span>
 <a name="l00258"></a>00258 
-<a name="l00259"></a><a class="code" href="classOfxInvestmentTransactionContainer.html#59ccb4b31579d47ce7981c24f5c9215b">00259</a> <a class="code" href="classOfxInvestmentTransactionContainer.html#59ccb4b31579d47ce7981c24f5c9215b">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00260"></a>00260   <a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00259"></a><a class="code" href="classOfxInvestmentTransactionContainer.html#ffd3c5d7c722248c8b07c44d6495f2ed">00259</a> <a class="code" href="classOfxInvestmentTransactionContainer.html#ffd3c5d7c722248c8b07c44d6495f2ed">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00260"></a>00260   <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00261"></a>00261 {
-<a name="l00262"></a>00262   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"INVESTMENT"</span>;
-<a name="l00263"></a>00263   <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">OFX_OTHER</a>;
-<a name="l00264"></a>00264   <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a>=<span class="keyword">true</span>;
+<a name="l00262"></a>00262   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"INVESTMENT"</span>;
+<a name="l00263"></a>00263   <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>=<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>;
+<a name="l00264"></a>00264   <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>=<span class="keyword">true</span>;
 <a name="l00265"></a>00265   
-<a name="l00266"></a>00266   <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">invtransactiontype_valid</a>=<span class="keyword">true</span>; 
+<a name="l00266"></a>00266   <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a>=<span class="keyword">true</span>; 
 <a name="l00267"></a>00267   <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYDEBT"</span>){
-<a name="l00268"></a>00268     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">OFX_BUYDEBT</a>;
+<a name="l00268"></a>00268     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>;
 <a name="l00269"></a>00269   }
 <a name="l00270"></a>00270   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYMF"</span>){
-<a name="l00271"></a>00271     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">OFX_BUYMF</a>;
+<a name="l00271"></a>00271     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>;
 <a name="l00272"></a>00272   }
 <a name="l00273"></a>00273   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYOPT"</span>){
-<a name="l00274"></a>00274     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">OFX_BUYOPT</a>;
+<a name="l00274"></a>00274     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>;
 <a name="l00275"></a>00275   }
 <a name="l00276"></a>00276   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYOTHER"</span>){
-<a name="l00277"></a>00277     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">OFX_BUYOTHER</a>;
+<a name="l00277"></a>00277     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>;
 <a name="l00278"></a>00278   }
 <a name="l00279"></a>00279   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"BUYSTOCK"</span>){
-<a name="l00280"></a>00280     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">OFX_BUYSTOCK</a>;
+<a name="l00280"></a>00280     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>;
 <a name="l00281"></a>00281   }
 <a name="l00282"></a>00282   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"CLOSUREOPT"</span>){
-<a name="l00283"></a>00283     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">OFX_CLOSUREOPT</a>;
+<a name="l00283"></a>00283     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>;
 <a name="l00284"></a>00284   }
 <a name="l00285"></a>00285   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"INCOME"</span>){
-<a name="l00286"></a>00286     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">OFX_INCOME</a>;
+<a name="l00286"></a>00286     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>;
 <a name="l00287"></a>00287   }
 <a name="l00288"></a>00288   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"INVEXPENSE"</span>){
-<a name="l00289"></a>00289     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">OFX_INVEXPENSE</a>;
+<a name="l00289"></a>00289     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>;
 <a name="l00290"></a>00290   }
 <a name="l00291"></a>00291   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"JRNLFUND"</span>){
-<a name="l00292"></a>00292     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">OFX_JRNLFUND</a>;
+<a name="l00292"></a>00292     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>;
 <a name="l00293"></a>00293   }
 <a name="l00294"></a>00294   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"JRNLSEC"</span>){
-<a name="l00295"></a>00295     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374321ec218c456dab70212cf8000cd4678">OFX_JRNLSEC</a>;
+<a name="l00295"></a>00295     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a2b30e3d769500df7058a71dc942fba34">OFX_JRNLSEC</a>;
 <a name="l00296"></a>00296   }
 <a name="l00297"></a>00297   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"MARGININTEREST"</span>){
-<a name="l00298"></a>00298     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">OFX_MARGININTEREST</a>;
+<a name="l00298"></a>00298     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>;
 <a name="l00299"></a>00299   }
 <a name="l00300"></a>00300   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"REINVEST"</span>){
-<a name="l00301"></a>00301     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">OFX_REINVEST</a>;
+<a name="l00301"></a>00301     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>;
 <a name="l00302"></a>00302   }
 <a name="l00303"></a>00303   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"RETOFCAP"</span>){
-<a name="l00304"></a>00304     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">OFX_RETOFCAP</a>;
+<a name="l00304"></a>00304     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>;
 <a name="l00305"></a>00305   }
 <a name="l00306"></a>00306   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLDEBT"</span>){
-<a name="l00307"></a>00307     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">OFX_SELLDEBT</a>;
+<a name="l00307"></a>00307     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>;
 <a name="l00308"></a>00308   }
 <a name="l00309"></a>00309   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLMF"</span>){
-<a name="l00310"></a>00310     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">OFX_SELLMF</a>;
+<a name="l00310"></a>00310     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>;
 <a name="l00311"></a>00311   }
 <a name="l00312"></a>00312   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLOPT"</span>){
-<a name="l00313"></a>00313     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">OFX_SELLOPT</a>;
+<a name="l00313"></a>00313     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>;
 <a name="l00314"></a>00314   }
 <a name="l00315"></a>00315   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLOTHER"</span>){
-<a name="l00316"></a>00316     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">OFX_SELLOTHER</a>;
+<a name="l00316"></a>00316     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>;
 <a name="l00317"></a>00317   }
 <a name="l00318"></a>00318   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SELLSTOCK"</span>){
-<a name="l00319"></a>00319     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">OFX_SELLSTOCK</a>;
+<a name="l00319"></a>00319     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>;
 <a name="l00320"></a>00320   }
 <a name="l00321"></a>00321   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"SPLIT"</span>){
-<a name="l00322"></a>00322     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">OFX_SPLIT</a>;
+<a name="l00322"></a>00322     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>;
 <a name="l00323"></a>00323   }
 <a name="l00324"></a>00324   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(para_tag_identifier==<span class="stringliteral">"TRANSFER"</span>){
-<a name="l00325"></a>00325     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">OFX_TRANSFER</a>;
+<a name="l00325"></a>00325     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>=<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>;
 <a name="l00326"></a>00326   }
 <a name="l00327"></a>00327   <span class="keywordflow">else</span>{
-<a name="l00328"></a>00328     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"This should not happen, "</span>+para_tag_identifier+<span class="stringliteral">" is an unknown investment transaction type"</span>);
-<a name="l00329"></a>00329     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">invtransactiontype_valid</a>=<span class="keyword">false</span>; 
+<a name="l00328"></a>00328     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"This should not happen, "</span>+para_tag_identifier+<span class="stringliteral">" is an unknown investment transaction type"</span>);
+<a name="l00329"></a>00329     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a>=<span class="keyword">false</span>; 
 <a name="l00330"></a>00330   }
 <a name="l00331"></a>00331 }
 <a name="l00332"></a>00332 
-<a name="l00333"></a><a class="code" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">00333</a> <span class="keywordtype">void</span> <a class="code" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">OfxInvestmentTransactionContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00333"></a><a class="code" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45">00333</a> <span class="keywordtype">void</span> <a class="code" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45" title="Add data to a container object.">OfxInvestmentTransactionContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00334"></a>00334 {
 <a name="l00335"></a>00335   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEID"</span>){
-<a name="l00336"></a>00336     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">unique_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">unique_id</a>));
-<a name="l00337"></a>00337     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">unique_id_valid</a> = <span class="keyword">true</span>;
+<a name="l00336"></a>00336     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>));
+<a name="l00337"></a>00337     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a> = <span class="keyword">true</span>;
 <a name="l00338"></a>00338   }
 <a name="l00339"></a>00339   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNIQUEIDTYPE"</span>){
-<a name="l00340"></a>00340     strncpy(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">unique_id_type</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">unique_id_type</a>));
-<a name="l00341"></a>00341     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#7470f4b24458c5fc1ae4d32e04578832">unique_id_type_valid</a> = <span class="keyword">true</span>;
+<a name="l00340"></a>00340     strncpy(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a>,value.c_str(), <span class="keyword">sizeof</span>(<a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a>));
+<a name="l00341"></a>00341     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">unique_id_type_valid</a> = <span class="keyword">true</span>;
 <a name="l00342"></a>00342   }
 <a name="l00343"></a>00343   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNITS"</span>){
-<a name="l00344"></a>00344     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">units</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00345"></a>00345     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">units_valid</a> = <span class="keyword">true</span>;
+<a name="l00344"></a>00344     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00345"></a>00345     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a> = <span class="keyword">true</span>;
 <a name="l00346"></a>00346   }
 <a name="l00347"></a>00347   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"UNITPRICE"</span>){
-<a name="l00348"></a>00348     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">unitprice</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00349"></a>00349     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">unitprice_valid</a> = <span class="keyword">true</span>;
+<a name="l00348"></a>00348     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00349"></a>00349     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a> = <span class="keyword">true</span>;
 <a name="l00350"></a>00350   }
 <a name="l00351"></a>00351   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"MKTVAL"</span>){
-<a name="l00352"></a>00352     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, <span class="stringliteral">"MKTVAL of "</span>+value+<span class="stringliteral">" ignored since MKTVAL should always be UNITS*UNITPRICE"</span>);
+<a name="l00352"></a>00352     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"MKTVAL of "</span>+value+<span class="stringliteral">" ignored since MKTVAL should always be UNITS*UNITPRICE"</span>);
 <a name="l00353"></a>00353   }
 <a name="l00354"></a>00354   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"TOTAL"</span>){
-<a name="l00355"></a>00355     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00356"></a>00356     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">amount_valid</a> = <span class="keyword">true</span>;
+<a name="l00355"></a>00355     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00356"></a>00356     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a> = <span class="keyword">true</span>;
 <a name="l00357"></a>00357   }
 <a name="l00358"></a>00358   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTSETTLE"</span>){
-<a name="l00359"></a>00359     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">date_posted</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00360"></a>00360     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">date_posted_valid</a> = <span class="keyword">true</span>;
+<a name="l00359"></a>00359     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00360"></a>00360     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a> = <span class="keyword">true</span>;
 <a name="l00361"></a>00361   }
 <a name="l00362"></a>00362   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTTRADE"</span>){
-<a name="l00363"></a>00363     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">date_initiated</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00364"></a>00364     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">date_initiated_valid</a> = <span class="keyword">true</span>;
+<a name="l00363"></a>00363     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00364"></a>00364     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a> = <span class="keyword">true</span>;
 <a name="l00365"></a>00365   }
 <a name="l00366"></a>00366   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"COMMISSION"</span>){
-<a name="l00367"></a>00367     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#37fb3882c1bc7079e47d2007af1ca028">commission</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00368"></a>00368     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#86d8e5fc00290bb173c1b6b948c35dd3">commission_valid</a> = <span class="keyword">true</span>;
+<a name="l00367"></a>00367     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">commission</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00368"></a>00368     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">commission_valid</a> = <span class="keyword">true</span>;
 <a name="l00369"></a>00369   }
 <a name="l00370"></a>00370   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"FEES"</span>){
-<a name="l00371"></a>00371     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#e3ec90702e1e5abbae847c77eb9cfc0e">fees</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00372"></a>00372     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#fed8f3953c6f8d1d346be5c61501a93e">fees_valid</a> = <span class="keyword">true</span>;
+<a name="l00371"></a>00371     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">fees</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00372"></a>00372     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">fees_valid</a> = <span class="keyword">true</span>;
 <a name="l00373"></a>00373   }
 <a name="l00374"></a>00374   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"OLDUNITS"</span>){
-<a name="l00375"></a>00375     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#57a0bf358659ac3c28eb330ae8c0abb9">oldunits</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00376"></a>00376     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#5129a4ab98abe2227338d4d5cef94e53">oldunits_valid</a> = <span class="keyword">true</span>;
+<a name="l00375"></a>00375     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">oldunits</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00376"></a>00376     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">oldunits_valid</a> = <span class="keyword">true</span>;
 <a name="l00377"></a>00377   }
 <a name="l00378"></a>00378   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"NEWUNITS"</span>){
-<a name="l00379"></a>00379     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#f0b75e90de07492e9aed6a57d879e358">newunits</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00380"></a>00380     <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>.<a class="code" href="structOfxTransactionData.html#fd317e28426dce6b508872d5a15d1651">newunits_valid</a> = <span class="keyword">true</span>;
+<a name="l00379"></a>00379     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">newunits</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00380"></a>00380     <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>.<a class="code" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">newunits_valid</a> = <span class="keyword">true</span>;
 <a name="l00381"></a>00381   }
 <a name="l00382"></a>00382   <span class="keywordflow">else</span>{
 <a name="l00383"></a>00383     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00384"></a>00384     <a class="code" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">OfxTransactionContainer::add_attribute</a>(identifier, value);
+<a name="l00384"></a>00384     <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">OfxTransactionContainer::add_attribute</a>(identifier, value);
 <a name="l00385"></a>00385   }
 <a name="l00386"></a>00386 }<span class="comment">//end OfxInvestmentTransactionContainer::add_attribute</span>
 <a name="l00387"></a>00387 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__container__transaction_8cpp.html'
--- doc/html/ofx__container__transaction_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__container__transaction_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_container_transaction.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_container_transaction.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
-Implementation of <a class="el" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a> and <a class="el" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a>. 
-<p>
-
-<p>
-Definition in file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.
+Implementation of <a class="el" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>, <a class="el" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> and <a class="el" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a>. 
+<p>
+
+<p>Definition in file <a class="el" href="ofx__container__transaction_8cpp-source.html">ofx_container_transaction.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__container__transaction_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="ofx_container_transaction.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__container__transaction_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="ofx_container_transaction.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__container__transaction_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__containers_8hh-source.html'
--- doc/html/ofx__containers_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__containers_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_containers.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_containers.hh</h1><a href="ofx__containers_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_proc_rs.h </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -33,85 +29,85 @@
 <a name="l00020"></a>00020 <span class="comment"> ***************************************************************************/</span>
 <a name="l00021"></a>00021 <span class="preprocessor">#ifndef OFX_PROC_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span><span class="preprocessor">#define OFX_PROC_H</span>
-<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include "tree.hh"</span>
 <a name="l00025"></a>00025 <span class="preprocessor">#include "context.hh"</span>
 <a name="l00026"></a>00026 
 <a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
 <a name="l00028"></a>00028 
-<a name="l00033"></a><a class="code" href="classOfxGenericContainer.html">00033</a> <span class="keyword">class </span><a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00033"></a><a class="code" href="classOfxGenericContainer.html">00033</a> <span class="keyword">class </span><a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00034"></a>00034  <span class="keyword">public</span>:
-<a name="l00035"></a><a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">00035</a>   string <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>;
-<a name="l00036"></a><a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">00036</a>   string <a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>; 
-<a name="l00037"></a><a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">00037</a>   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>;
-<a name="l00038"></a><a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">00038</a>   <a class="code" href="classLibofxContext.html">LibofxContext</a> *<a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>;
+<a name="l00035"></a><a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">00035</a>   <span class="keywordtype">string</span> <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>;
+<a name="l00036"></a><a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">00036</a>   <span class="keywordtype">string</span> <a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>; 
+<a name="l00037"></a><a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">00037</a>   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>;
+<a name="l00038"></a><a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">00038</a>   <a class="code" href="classLibofxContext.html">LibofxContext</a> *<a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>;
 <a name="l00039"></a>00039 
-<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context);
-<a name="l00041"></a>00041   <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer);
-<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html#e48e58d94a10dbe1d47c9aa63594c141">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
+<a name="l00040"></a>00040   <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context);
+<a name="l00041"></a>00041   <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer);
+<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html#a304d5bef635e4771cc04f3d55b8faa0">OfxGenericContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
 <a name="l00043"></a>00043 
-<a name="l00044"></a><a class="code" href="classOfxGenericContainer.html#66cdbfa777837b67fe32053e63199249">00044</a>   <span class="keyword">virtual</span> <a class="code" href="classOfxGenericContainer.html#66cdbfa777837b67fe32053e63199249">~OfxGenericContainer</a>(){};
+<a name="l00044"></a><a class="code" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">00044</a>   <span class="keyword">virtual</span> <a class="code" href="classOfxGenericContainer.html#c9ee3f711630e091b036009a2c69de97">~OfxGenericContainer</a>(){};
 <a name="l00045"></a>00045   
-<a name="l00052"></a>00052   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
-<a name="l00058"></a>00058   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxGenericContainer.html#71db0643fef8ccf62dddbadf5805c0eb">gen_event</a>();
+<a name="l00052"></a>00052   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00058"></a>00058   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxGenericContainer.html#a8ffd0a68bcea4f0048b392af5078105" title="Generate libofx.h events.">gen_event</a>();
 <a name="l00059"></a>00059 
-<a name="l00065"></a>00065   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">add_to_main_tree</a>();
+<a name="l00065"></a>00065   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">add_to_main_tree</a>();
 <a name="l00066"></a>00066 
-<a name="l00068"></a>00068     <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>* <a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a>();
+<a name="l00068"></a>00068     <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>* <a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a>();
 <a name="l00069"></a>00069 };<span class="comment">//End class OfxGenericObject</span>
 <a name="l00070"></a>00070 
-<a name="l00075"></a><a class="code" href="classOfxDummyContainer.html">00075</a> <span class="keyword">class </span><a class="code" href="classOfxDummyContainer.html">OfxDummyContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00075"></a><a class="code" href="classOfxDummyContainer.html">00075</a> <span class="keyword">class </span><a class="code" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00076"></a>00076  <span class="keyword">public</span>:
-<a name="l00077"></a>00077   <a class="code" href="classOfxDummyContainer.html#26ed2ce0842ca533c80432080bb5d686">OfxDummyContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00078"></a>00078   <span class="keywordtype">void</span> <a class="code" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00077"></a>00077   <a class="code" href="classOfxDummyContainer.html#b28080b768be9d5d36d8b7791591bbcd">OfxDummyContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00078"></a>00078   <span class="keywordtype">void</span> <a class="code" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00079"></a>00079 };
 <a name="l00080"></a>00080 
-<a name="l00085"></a><a class="code" href="classOfxPushUpContainer.html">00085</a> <span class="keyword">class </span><a class="code" href="classOfxPushUpContainer.html">OfxPushUpContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00085"></a><a class="code" href="classOfxPushUpContainer.html">00085</a> <span class="keyword">class </span><a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00086"></a>00086  <span class="keyword">public</span>:
 <a name="l00087"></a>00087   
-<a name="l00088"></a>00088   <a class="code" href="classOfxPushUpContainer.html#4b9de1f81c3214724c50e4125f5cfd5a">OfxPushUpContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00089"></a>00089   <span class="keywordtype">void</span> <a class="code" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00088"></a>00088   <a class="code" href="classOfxPushUpContainer.html#1fa2e01710b00ce7bdb80d5c9fbb3d2c">OfxPushUpContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00089"></a>00089   <span class="keywordtype">void</span> <a class="code" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00090"></a>00090 };
 <a name="l00091"></a>00091 
-<a name="l00093"></a><a class="code" href="classOfxStatusContainer.html">00093</a> <span class="keyword">class </span><a class="code" href="classOfxStatusContainer.html">OfxStatusContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00093"></a><a class="code" href="classOfxStatusContainer.html">00093</a> <span class="keyword">class </span><a class="code" href="classOfxStatusContainer.html" title="Represents the &amp;lt;STATUS&amp;gt; OFX SGML entity.">OfxStatusContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00094"></a>00094  <span class="keyword">public</span>:
-<a name="l00095"></a><a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">00095</a>   <a class="code" href="structOfxStatusData.html">OfxStatusData</a> <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>;
+<a name="l00095"></a><a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">00095</a>   <a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>;
 <a name="l00096"></a>00096   
-<a name="l00097"></a>00097   <a class="code" href="classOfxStatusContainer.html#7cbd9aaaf32aea591e58ae76486dd003">OfxStatusContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00098"></a>00098   <a class="code" href="classOfxStatusContainer.html#6ebbf3b4d3fbec14adf683168848ce95">~OfxStatusContainer</a>();
-<a name="l00099"></a>00099   <span class="keywordtype">void</span> <a class="code" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00097"></a>00097   <a class="code" href="classOfxStatusContainer.html#5c46c8df8db712f6ad37b49fd6af5dc0">OfxStatusContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00098"></a>00098   <a class="code" href="classOfxStatusContainer.html#cedeebfa681e9b075c8168196752c2a8">~OfxStatusContainer</a>();
+<a name="l00099"></a>00099   <span class="keywordtype">void</span> <a class="code" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00100"></a>00100 };
 <a name="l00101"></a>00101 
-<a name="l00106"></a><a class="code" href="classOfxBalanceContainer.html">00106</a> <span class="keyword">class </span><a class="code" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00106"></a><a class="code" href="classOfxBalanceContainer.html">00106</a> <span class="keyword">class </span><a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00107"></a>00107  <span class="keyword">public</span>:
 <a name="l00108"></a>00108   <span class="comment">/* Not yet complete see spec 1.6 p.63 */</span>
 <a name="l00109"></a>00109   <span class="comment">//char name[OFX_BALANCE_NAME_LENGTH];</span>
 <a name="l00110"></a>00110   <span class="comment">//char description[OFX_BALANCE_DESCRIPTION_LENGTH];</span>
 <a name="l00111"></a>00111   <span class="comment">//enum BalanceType{DOLLAR, PERCENT, NUMBER} balance_type;</span>
-<a name="l00112"></a><a class="code" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">00112</a>   <span class="keywordtype">double</span> <a class="code" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">amount</a>; 
-<a name="l00113"></a><a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">00113</a>   <span class="keywordtype">int</span> <a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a>;
-<a name="l00114"></a><a class="code" href="classOfxBalanceContainer.html#6279f38dda6287846812f96e54a3e026">00114</a>   time_t <a class="code" href="classOfxBalanceContainer.html#6279f38dda6287846812f96e54a3e026">date</a>; 
-<a name="l00115"></a><a class="code" href="classOfxBalanceContainer.html#c4f467bce968ab7dc878a2a999224d65">00115</a>   <span class="keywordtype">int</span> <a class="code" href="classOfxBalanceContainer.html#c4f467bce968ab7dc878a2a999224d65">date_valid</a>;
+<a name="l00112"></a><a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">00112</a>   <span class="keywordtype">double</span> <a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>; 
+<a name="l00113"></a><a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">00113</a>   <span class="keywordtype">int</span> <a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>;
+<a name="l00114"></a><a class="code" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">00114</a>   time_t <a class="code" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">date</a>; 
+<a name="l00115"></a><a class="code" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">00115</a>   <span class="keywordtype">int</span> <a class="code" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">date_valid</a>;
 <a name="l00116"></a>00116   
-<a name="l00117"></a>00117   <a class="code" href="classOfxBalanceContainer.html#ced3ba2d0bf96c8a11393653fce83430">OfxBalanceContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00118"></a>00118   <a class="code" href="classOfxBalanceContainer.html#c599f6e53e908ed329baab8ca0a52d56">~OfxBalanceContainer</a>();
-<a name="l00119"></a>00119   <span class="keywordtype">void</span> <a class="code" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00117"></a>00117   <a class="code" href="classOfxBalanceContainer.html#96baefa68988c2d9c2f46f553d40599f">OfxBalanceContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00118"></a>00118   <a class="code" href="classOfxBalanceContainer.html#db4feb10b8e5328aab5025ff49fd43f5">~OfxBalanceContainer</a>();
+<a name="l00119"></a>00119   <span class="keywordtype">void</span> <a class="code" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00120"></a>00120 };
 <a name="l00121"></a>00121 
 <a name="l00122"></a>00122 <span class="comment">/***************************************************************************</span>
 <a name="l00123"></a>00123 <span class="comment"> *                          OfxStatementContainer                          *</span>
 <a name="l00124"></a>00124 <span class="comment"> ***************************************************************************/</span>
-<a name="l00129"></a><a class="code" href="classOfxStatementContainer.html">00129</a> <span class="keyword">class </span><a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00129"></a><a class="code" href="classOfxStatementContainer.html">00129</a> <span class="keyword">class </span><a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00130"></a>00130  <span class="keyword">public</span>:
-<a name="l00131"></a><a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">00131</a>   <a class="code" href="structOfxStatementData.html">OfxStatementData</a> <a class="code" href="classOfxStatementContainer.html#2b6a260b6babb03f929cb44f519172d9">data</a>;
+<a name="l00131"></a><a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">00131</a>   <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> <a class="code" href="classOfxStatementContainer.html#f645ef77c9844a86d8412d8c59f3b6fd">data</a>;
 <a name="l00132"></a>00132   
-<a name="l00133"></a>00133   <a class="code" href="classOfxStatementContainer.html#99a5e289425841bdec04ebc7c48f4b89">OfxStatementContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00134"></a>00134   <a class="code" href="classOfxStatementContainer.html#96e32e196d0d34197b20a95ade84499e">~OfxStatementContainer</a>();
-<a name="l00135"></a>00135   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#f9a83c1005ed96f0528fd3f9b31af8d1">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
-<a name="l00136"></a>00136   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxStatementContainer.html#19b7458f71a8e47e25525f81009c5146">add_to_main_tree</a>();
-<a name="l00137"></a>00137   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxStatementContainer.html#69dba408b387ea2e474c0cd9cbca03a1">gen_event</a>();
-<a name="l00138"></a>00138   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#874ef227d93fdc078cf396350fc9b678">add_account</a>(<a class="code" href="structOfxAccountData.html">OfxAccountData</a> * account_data);
-<a name="l00139"></a>00139   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#cf79a74290f3f0d0c9048f80c60b32e8">add_balance</a>(<a class="code" href="classOfxBalanceContainer.html">OfxBalanceContainer</a>* ptr_balance_container);
+<a name="l00133"></a>00133   <a class="code" href="classOfxStatementContainer.html#974c762415e209a77957ccabca3a4506">OfxStatementContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00134"></a>00134   <a class="code" href="classOfxStatementContainer.html#085def18d3414dc93d256b08d8f3ea2c">~OfxStatementContainer</a>();
+<a name="l00135"></a>00135   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#6e983ad3a842f76dd452a0aef1af0c57" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00136"></a>00136   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxStatementContainer.html#4adfcf202dce4a8bfea9a05c7a137c1d" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00137"></a>00137   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxStatementContainer.html#0b0b76db66caad13b369e59604f14fc7" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00138"></a>00138   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#90996500eb442c33c2539eed823ec318">add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data);
+<a name="l00139"></a>00139   <span class="keywordtype">void</span> <a class="code" href="classOfxStatementContainer.html#91534efc97834de2ddfc66e4e0e75b5c">add_balance</a>(<a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a>* ptr_balance_container);
 <a name="l00140"></a>00140 <span class="comment">//  void add_transaction(const OfxTransactionData transaction_data);</span>
 <a name="l00141"></a>00141 
 <a name="l00142"></a>00142 };
@@ -119,86 +115,86 @@
 <a name="l00144"></a>00144 <span class="comment">/***************************************************************************</span>
 <a name="l00145"></a>00145 <span class="comment"> *                           OfxAccountContaine r                          *</span>
 <a name="l00146"></a>00146 <span class="comment"> ***************************************************************************/</span>
-<a name="l00151"></a><a class="code" href="classOfxAccountContainer.html">00151</a> <span class="keyword">class </span><a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00151"></a><a class="code" href="classOfxAccountContainer.html">00151</a> <span class="keyword">class </span><a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00152"></a>00152  <span class="keyword">public</span>:
-<a name="l00153"></a><a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">00153</a>   <a class="code" href="structOfxAccountData.html">OfxAccountData</a> <a class="code" href="classOfxAccountContainer.html#8beb287137b586bc780876b203f0017a">data</a>;
+<a name="l00153"></a><a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">00153</a>   <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> <a class="code" href="classOfxAccountContainer.html#52d360c316f4ca22103a237a26088212">data</a>;
 <a name="l00154"></a>00154   
-<a name="l00155"></a>00155   <a class="code" href="classOfxAccountContainer.html#83a97e5b5253e7e140eaa3e997c5961d">OfxAccountContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00156"></a>00156   <a class="code" href="classOfxAccountContainer.html#d5b83e05e06a60a7d0a874b8778fa27c">~OfxAccountContainer</a>();
-<a name="l00157"></a>00157   <span class="keywordtype">void</span> <a class="code" href="classOfxAccountContainer.html#d265f53aeb83d14d5410e36e5014ad5b">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
-<a name="l00158"></a>00158   <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#0f746ed7b242fbaccd378edfbcb05a67">add_to_main_tree</a>();
-<a name="l00159"></a>00159   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#82735b303e3cafb6ac1f6a715fa4e6e8">gen_event</a>();
+<a name="l00155"></a>00155   <a class="code" href="classOfxAccountContainer.html#da1972a79e8c8096184ea7a22968f35c">OfxAccountContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00156"></a>00156   <a class="code" href="classOfxAccountContainer.html#64691a91027e92c8cbc5bb1240d3f1b8">~OfxAccountContainer</a>();
+<a name="l00157"></a>00157   <span class="keywordtype">void</span> <a class="code" href="classOfxAccountContainer.html#8dc0972f64b251191e6aa509cb1f493b" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00158"></a>00158   <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#995f1933b2ecb3e33f991c092fbf3af4" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00159"></a>00159   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxAccountContainer.html#20381080f3bdd19af2b2c364f208cdf4" title="Generate libofx.h events.">gen_event</a>();
 <a name="l00160"></a>00160  <span class="keyword">private</span>:
 <a name="l00161"></a>00161   <span class="keywordtype">void</span> gen_account_id(<span class="keywordtype">void</span>);
-<a name="l00162"></a>00162   <span class="keywordtype">char</span> bankid[<a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>];
-<a name="l00163"></a>00163   <span class="keywordtype">char</span> branchid[<a class="code" href="inc_2libofx_8h.html#76cadf9ae3ce7cdf8c466e486937c8c0">OFX_BRANCHID_LENGTH</a>];
-<a name="l00164"></a>00164   <span class="keywordtype">char</span> acctid[<a class="code" href="inc_2libofx_8h.html#76c0d4d43a6aedcff925f080f3afaf79">OFX_ACCTID_LENGTH</a>];
-<a name="l00165"></a>00165   <span class="keywordtype">char</span> acctkey[<a class="code" href="inc_2libofx_8h.html#99aa462dae1742b4a046399e96c7b3b5">OFX_ACCTKEY_LENGTH</a>];
-<a name="l00166"></a>00166   <span class="keywordtype">char</span> brokerid[<a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>];
+<a name="l00162"></a>00162   <span class="keywordtype">char</span> bankid[<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>];
+<a name="l00163"></a>00163   <span class="keywordtype">char</span> branchid[<a class="code" href="inc_2libofx_8h.html#7aa5e724bd9557d21169289d98ae631a">OFX_BRANCHID_LENGTH</a>];
+<a name="l00164"></a>00164   <span class="keywordtype">char</span> acctid[<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>];
+<a name="l00165"></a>00165   <span class="keywordtype">char</span> acctkey[<a class="code" href="inc_2libofx_8h.html#89f43cb6e2af995c6024b7ddbb32b6b9">OFX_ACCTKEY_LENGTH</a>];
+<a name="l00166"></a>00166   <span class="keywordtype">char</span> brokerid[<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>];
 <a name="l00167"></a>00167 };
 <a name="l00168"></a>00168 
 <a name="l00169"></a>00169 <span class="comment">/***************************************************************************</span>
 <a name="l00170"></a>00170 <span class="comment"> *                           OfxSecurityContainer                          *</span>
 <a name="l00171"></a>00171 <span class="comment"> ***************************************************************************/</span>
-<a name="l00174"></a><a class="code" href="classOfxSecurityContainer.html">00174</a> <span class="keyword">class </span><a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00174"></a><a class="code" href="classOfxSecurityContainer.html">00174</a> <span class="keyword">class </span><a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00175"></a>00175  <span class="keyword">public</span>:
-<a name="l00176"></a><a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">00176</a>   <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> <a class="code" href="classOfxSecurityContainer.html#aa00f8d29da3c229dbb732a03dafaa37">data</a>;  
+<a name="l00176"></a><a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">00176</a>   <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> <a class="code" href="classOfxSecurityContainer.html#43397c78bdf1a342ca566e7524d36f0d">data</a>;  
 <a name="l00177"></a>00177 
-<a name="l00178"></a>00178   <a class="code" href="classOfxSecurityContainer.html#7558803d35cebc4480bed38143a24b0b">OfxSecurityContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00179"></a>00179   <a class="code" href="classOfxSecurityContainer.html#a12308340b14eeac46ac1d7c933369b4">~OfxSecurityContainer</a>();
-<a name="l00180"></a>00180   <span class="keywordtype">void</span> <a class="code" href="classOfxSecurityContainer.html#911f61d9b2f930d9550676e1e491003a">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
-<a name="l00181"></a>00181   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxSecurityContainer.html#a09d8de2d49cb79864dce68671f57400">gen_event</a>();
-<a name="l00182"></a>00182   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxSecurityContainer.html#06f05be00e89e4ce256eb709dcad4326">add_to_main_tree</a>();
+<a name="l00178"></a>00178   <a class="code" href="classOfxSecurityContainer.html#6463edacc95fc03733c0e7fb6776c15f">OfxSecurityContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00179"></a>00179   <a class="code" href="classOfxSecurityContainer.html#5205f0a09177451b4a6420da7420c256">~OfxSecurityContainer</a>();
+<a name="l00180"></a>00180   <span class="keywordtype">void</span> <a class="code" href="classOfxSecurityContainer.html#97f5d5e139d4cbba9790bedc06fa156e" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00181"></a>00181   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxSecurityContainer.html#22357ade2036de78947ac0cc0ce01f2d" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00182"></a>00182   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxSecurityContainer.html#cbaa6366a60d903ee3b3748c9874157f" title="Add this container to the main tree.">add_to_main_tree</a>();
 <a name="l00183"></a>00183  <span class="keyword">private</span>:
-<a name="l00184"></a>00184   <a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> * parent_statement;
+<a name="l00184"></a>00184   <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * parent_statement;
 <a name="l00185"></a>00185 };
 <a name="l00186"></a>00186 
 <a name="l00187"></a>00187 
 <a name="l00188"></a>00188 <span class="comment">/***************************************************************************</span>
 <a name="l00189"></a>00189 <span class="comment"> *                        OfxTransactionContainer                          *</span>
 <a name="l00190"></a>00190 <span class="comment"> ***************************************************************************/</span>
-<a name="l00193"></a><a class="code" href="classOfxTransactionContainer.html">00193</a> <span class="keyword">class </span><a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00193"></a><a class="code" href="classOfxTransactionContainer.html">00193</a> <span class="keyword">class </span><a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00194"></a>00194  <span class="keyword">public</span>:
-<a name="l00195"></a><a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">00195</a>   <a class="code" href="structOfxTransactionData.html">OfxTransactionData</a> <a class="code" href="classOfxTransactionContainer.html#db31eba1cef8d3cd678fd49fdb579417">data</a>;  
+<a name="l00195"></a><a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">00195</a>   <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> <a class="code" href="classOfxTransactionContainer.html#309aeafe456a5fd7adb1f94adbfc91a1">data</a>;  
 <a name="l00196"></a>00196 
-<a name="l00197"></a>00197   <a class="code" href="classOfxTransactionContainer.html#7bf1cc0fda751f2f653c2a64cb63fae2">OfxTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00198"></a>00198   <a class="code" href="classOfxTransactionContainer.html#e7fa208ce9f9276dfe416161bc02ec34">~OfxTransactionContainer</a>();
-<a name="l00199"></a>00199   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#60add576d1940cf835642465dcd9723b">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
-<a name="l00200"></a>00200   <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#55909757ff4bd31fe8bc968f5be576b0">add_account</a>(<a class="code" href="structOfxAccountData.html">OfxAccountData</a> * account_data);
+<a name="l00197"></a>00197   <a class="code" href="classOfxTransactionContainer.html#d43b43b1006be733490c4e25f8a41434">OfxTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00198"></a>00198   <a class="code" href="classOfxTransactionContainer.html#8c24bf77f0154df5bdf134ebac97b12e">~OfxTransactionContainer</a>();
+<a name="l00199"></a>00199   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#efafa4ee0b6745e46e40b5bcafb322e6" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
+<a name="l00200"></a>00200   <span class="keywordtype">void</span> <a class="code" href="classOfxTransactionContainer.html#c3228dd35282322803e75f9f9015422f">add_account</a>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> * account_data);
 <a name="l00201"></a>00201 
-<a name="l00202"></a>00202   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#c6619c52d4918a6f0e4b8e46920c26c7">gen_event</a>();
-<a name="l00203"></a>00203   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#013d08423359102e1c596ad84a89e80f">add_to_main_tree</a>();
+<a name="l00202"></a>00202   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#733ee231fef8e72248cd9ab78b169a99" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00203"></a>00203   <span class="keyword">virtual</span> <span class="keywordtype">int</span> <a class="code" href="classOfxTransactionContainer.html#f3e7ffa3a55d3c0c67229c436875ed1d" title="Add this container to the main tree.">add_to_main_tree</a>();
 <a name="l00204"></a>00204  <span class="keyword">private</span>:
-<a name="l00205"></a>00205   <a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> * parent_statement;
+<a name="l00205"></a>00205   <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * parent_statement;
 <a name="l00206"></a>00206 };
 <a name="l00207"></a>00207 
-<a name="l00212"></a><a class="code" href="classOfxBankTransactionContainer.html">00212</a> <span class="keyword">class </span><a class="code" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> {
+<a name="l00212"></a><a class="code" href="classOfxBankTransactionContainer.html">00212</a> <span class="keyword">class </span><a class="code" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> {
 <a name="l00213"></a>00213  <span class="keyword">public</span>:
-<a name="l00214"></a>00214   <a class="code" href="classOfxBankTransactionContainer.html#132e3ab795f765cbec2320e9961a7558">OfxBankTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00215"></a>00215   <span class="keywordtype">void</span> <a class="code" href="classOfxBankTransactionContainer.html#c9878aff856a321afbe1d30375858d8f">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00214"></a>00214   <a class="code" href="classOfxBankTransactionContainer.html#59d1936cd1cd0a66c4c0a8e993c123f4">OfxBankTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00215"></a>00215   <span class="keywordtype">void</span> <a class="code" href="classOfxBankTransactionContainer.html#9978c004a174afd5d013ca9806464d6d" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00216"></a>00216 };
 <a name="l00217"></a>00217 
-<a name="l00222"></a><a class="code" href="classOfxInvestmentTransactionContainer.html">00222</a> <span class="keyword">class </span><a class="code" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> {
+<a name="l00222"></a><a class="code" href="classOfxInvestmentTransactionContainer.html">00222</a> <span class="keyword">class </span><a class="code" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> {
 <a name="l00223"></a>00223  <span class="keyword">public</span>:
-<a name="l00224"></a>00224   <a class="code" href="classOfxInvestmentTransactionContainer.html#59ccb4b31579d47ce7981c24f5c9215b">OfxInvestmentTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
+<a name="l00224"></a>00224   <a class="code" href="classOfxInvestmentTransactionContainer.html#ffd3c5d7c722248c8b07c44d6495f2ed">OfxInvestmentTransactionContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
 <a name="l00225"></a>00225 
-<a name="l00226"></a>00226   <span class="keywordtype">void</span> <a class="code" href="classOfxInvestmentTransactionContainer.html#3428032f05fb2219573bd86d51d3650d">add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value);
+<a name="l00226"></a>00226   <span class="keywordtype">void</span> <a class="code" href="classOfxInvestmentTransactionContainer.html#9122d7feb698cf423f92ec03aecb1e45" title="Add data to a container object.">add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value);
 <a name="l00227"></a>00227 };
 <a name="l00228"></a>00228 
 <a name="l00229"></a>00229 <span class="comment">/***************************************************************************</span>
 <a name="l00230"></a>00230 <span class="comment"> *                             OfxMainContainer                            *</span>
 <a name="l00231"></a>00231 <span class="comment"> ***************************************************************************/</span>
-<a name="l00236"></a><a class="code" href="classOfxMainContainer.html">00236</a> <span class="keyword">class </span><a class="code" href="classOfxMainContainer.html">OfxMainContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> {
+<a name="l00236"></a><a class="code" href="classOfxMainContainer.html">00236</a> <span class="keyword">class </span><a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a>:<span class="keyword">public</span> <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> {
 <a name="l00237"></a>00237 <span class="keyword">public</span>:
-<a name="l00238"></a>00238   <a class="code" href="classOfxMainContainer.html#fdf73d70e03bdb05c8aa621bbdec86a8">OfxMainContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier);
-<a name="l00239"></a>00239   <a class="code" href="classOfxMainContainer.html#7ab71728d866c0455ab4ca7f84d8447b">~OfxMainContainer</a>();
-<a name="l00240"></a>00240   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> * container);
-<a name="l00241"></a>00241   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> * container);
-<a name="l00242"></a>00242   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> * container);
-<a name="l00243"></a>00243   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<a class="code" href="classOfxTransactionContainer.html">OfxTransactionContainer</a> * container);
-<a name="l00244"></a>00244   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#22a388d36a6fe2e30d99f1cc1b8e79d5">add_container</a>(<a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> * container);
-<a name="l00245"></a>00245   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">gen_event</a>();
-<a name="l00246"></a>00246   <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> * <a class="code" href="classOfxMainContainer.html#257204d0271f47d7f455169487960753">find_security</a>(string unique_id);
+<a name="l00238"></a>00238   <a class="code" href="classOfxMainContainer.html#bdecebdd778e0169bcb7389f8db0454d">OfxMainContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier);
+<a name="l00239"></a>00239   <a class="code" href="classOfxMainContainer.html#195e97a1121a6efdf898bd1cc5c43f8f">~OfxMainContainer</a>();
+<a name="l00240"></a>00240   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> * container);
+<a name="l00241"></a>00241   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> * container);
+<a name="l00242"></a>00242   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> * container);
+<a name="l00243"></a>00243   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxTransactionContainer.html" title="Represents a generic transaction.">OfxTransactionContainer</a> * container);
+<a name="l00244"></a>00244   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#bf9596f27e1f2382fe6f1054d2a00e1d">add_container</a>(<a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> * container);
+<a name="l00245"></a>00245   <span class="keywordtype">int</span> <a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00246"></a>00246   <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> * <a class="code" href="classOfxMainContainer.html#054cf887c77188c235d9b964ae44efa5">find_security</a>(<span class="keywordtype">string</span> unique_id);
 <a name="l00247"></a>00247 <span class="keyword">private</span>:
 <a name="l00248"></a>00248   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;</a> security_tree;
 <a name="l00249"></a>00249   <a class="code" href="classtree.html">tree&lt;OfxGenericContainer *&gt;</a> account_tree;
@@ -206,8 +202,8 @@
 <a name="l00251"></a>00251 
 <a name="l00252"></a>00252 
 <a name="l00253"></a>00253 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__containers_8hh.html'
--- doc/html/ofx__containers_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__containers_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,29 +1,25 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_containers.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_containers.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 LibOFX internal object code. 
 <p>
-These objects will process the elements returned by ofx_sgml.cpp and add them to their data members. <dl compact><dt><b>Warning:</b></dt><dd>Object documentation is not yet complete. </dd></dl>
-
-<p>
-Definition in file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.
+These objects will process the elements returned by ofx_sgml.cpp and add them to their data members. <dl class="warning" compact><dt><b>Warning:</b></dt><dd>Object documentation is not yet complete. </dd></dl>
+
+<p>Definition in file <a class="el" href="ofx__containers_8hh-source.html">ofx_containers.hh</a>.</p>
+
 <p>
 
 <p>
@@ -32,7 +28,7 @@
 <tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a></td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A generic container for an OFX SGML element. Every container inherits from <a class="el" href="classOfxGenericContainer.html">OfxGenericContainer</a>.  <a href="classOfxGenericContainer.html#_details">More...</a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A generic container for an OFX SGML element. Every container inherits from <a class="el" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>.  <a href="classOfxGenericContainer.html#_details">More...</a><br></td></tr>
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxDummyContainer.html">OfxDummyContainer</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A container to holds OFX SGML elements that LibOFX knows nothing about.  <a href="classOfxDummyContainer.html#_details">More...</a><br></td></tr>
@@ -67,8 +63,8 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The root container. Created by the &lt;OFX&gt; OFX element or by the export functions.  <a href="classOfxMainContainer.html#_details">More...</a><br></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__containers__misc_8cpp-source.html'
--- doc/html/ofx__containers__misc_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__containers__misc_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_containers_misc.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_containers_misc.cpp</h1><a href="ofx__containers__misc_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_proc_rs.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -39,105 +35,105 @@
 <a name="l00026"></a>00026 <span class="preprocessor">#include &lt;iostream&gt;</span>
 <a name="l00027"></a>00027 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00028"></a>00028 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="ofx__error__msg_8hh.html">ofx_error_msg.hh</a>"</span>
-<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="ofx__error__msg_8hh.html" title="OFX error code management functionnality.">ofx_error_msg.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
 <a name="l00034"></a>00034 
-<a name="l00035"></a>00035 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00035"></a>00035 <span class="keyword">extern</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a>;
 <a name="l00036"></a>00036 
 <a name="l00037"></a>00037 <span class="comment">/***************************************************************************</span>
 <a name="l00038"></a>00038 <span class="comment"> *                         OfxDummyContainer                               *</span>
 <a name="l00039"></a>00039 <span class="comment"> ***************************************************************************/</span>
 <a name="l00040"></a>00040 
-<a name="l00041"></a><a class="code" href="classOfxDummyContainer.html#26ed2ce0842ca533c80432080bb5d686">00041</a> <a class="code" href="classOfxDummyContainer.html#26ed2ce0842ca533c80432080bb5d686">OfxDummyContainer::OfxDummyContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00041"></a><a class="code" href="classOfxDummyContainer.html#b28080b768be9d5d36d8b7791591bbcd">00041</a> <a class="code" href="classOfxDummyContainer.html#b28080b768be9d5d36d8b7791591bbcd">OfxDummyContainer::OfxDummyContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00042"></a>00042   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00043"></a>00043 {
-<a name="l00044"></a>00044   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"DUMMY"</span>;
-<a name="l00045"></a>00045   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>, <span class="stringliteral">"Created OfxDummyContainer to hold unsupported aggregate "</span>+para_tag_identifier);
+<a name="l00044"></a>00044   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"DUMMY"</span>;
+<a name="l00045"></a>00045   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>, <span class="stringliteral">"Created OfxDummyContainer to hold unsupported aggregate "</span>+para_tag_identifier);
 <a name="l00046"></a>00046 }
-<a name="l00047"></a><a class="code" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">00047</a> <span class="keywordtype">void</span> <a class="code" href="classOfxDummyContainer.html#557663847ca8cf3d030d5d287bde4e02">OfxDummyContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00047"></a><a class="code" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3">00047</a> <span class="keywordtype">void</span> <a class="code" href="classOfxDummyContainer.html#20a4287788197b0a787d94d450b85db3" title="Add data to a container object.">OfxDummyContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00048"></a>00048 {
-<a name="l00049"></a>00049   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, <span class="stringliteral">"OfxDummyContainer for "</span>+<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>+<span class="stringliteral">" ignored a "</span>+identifier+<span class="stringliteral">" ("</span>+value+<span class="stringliteral">")"</span>);
+<a name="l00049"></a>00049   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"OfxDummyContainer for "</span>+<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>+<span class="stringliteral">" ignored a "</span>+identifier+<span class="stringliteral">" ("</span>+value+<span class="stringliteral">")"</span>);
 <a name="l00050"></a>00050 }
 <a name="l00051"></a>00051 
 <a name="l00052"></a>00052 <span class="comment">/***************************************************************************</span>
 <a name="l00053"></a>00053 <span class="comment"> *                         OfxPushUpContainer                              *</span>
 <a name="l00054"></a>00054 <span class="comment"> ***************************************************************************/</span>
 <a name="l00055"></a>00055 
-<a name="l00056"></a><a class="code" href="classOfxPushUpContainer.html#4b9de1f81c3214724c50e4125f5cfd5a">00056</a> <a class="code" href="classOfxPushUpContainer.html#4b9de1f81c3214724c50e4125f5cfd5a">OfxPushUpContainer::OfxPushUpContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00057"></a>00057   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00056"></a><a class="code" href="classOfxPushUpContainer.html#1fa2e01710b00ce7bdb80d5c9fbb3d2c">00056</a> <a class="code" href="classOfxPushUpContainer.html#1fa2e01710b00ce7bdb80d5c9fbb3d2c">OfxPushUpContainer::OfxPushUpContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00057"></a>00057   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00058"></a>00058 {
-<a name="l00059"></a>00059   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"PUSHUP"</span>;
-<a name="l00060"></a>00060   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, <span class="stringliteral">"Created OfxPushUpContainer to hold aggregate "</span>+<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>);
+<a name="l00059"></a>00059   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"PUSHUP"</span>;
+<a name="l00060"></a>00060   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"Created OfxPushUpContainer to hold aggregate "</span>+<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>);
 <a name="l00061"></a>00061 }
-<a name="l00062"></a><a class="code" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">00062</a> <span class="keywordtype">void</span> <a class="code" href="classOfxPushUpContainer.html#186e4b21eb4e7a0174e68ef4db913861">OfxPushUpContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00062"></a><a class="code" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8">00062</a> <span class="keywordtype">void</span> <a class="code" href="classOfxPushUpContainer.html#192a69d44555a22ad7e8cb16d7db53f8" title="Add data to a container object.">OfxPushUpContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00063"></a>00063 {
 <a name="l00064"></a>00064   <span class="comment">//message_out(DEBUG, "OfxPushUpContainer for "+tag_identifier+" will push up a "+identifier+" ("+value+") to a "+ parentcontainer-&gt;type + " container");</span>
-<a name="l00065"></a>00065   <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">add_attribute</a>(identifier, value);
+<a name="l00065"></a>00065   <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a>(identifier, value);
 <a name="l00066"></a>00066 }
 <a name="l00067"></a>00067 
 <a name="l00068"></a>00068 <span class="comment">/***************************************************************************</span>
 <a name="l00069"></a>00069 <span class="comment"> *                         OfxStatusContainer                              *</span>
 <a name="l00070"></a>00070 <span class="comment"> ***************************************************************************/</span>
 <a name="l00071"></a>00071 
-<a name="l00072"></a><a class="code" href="classOfxStatusContainer.html#7cbd9aaaf32aea591e58ae76486dd003">00072</a> <a class="code" href="classOfxStatusContainer.html#7cbd9aaaf32aea591e58ae76486dd003">OfxStatusContainer::OfxStatusContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00073"></a>00073   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00072"></a><a class="code" href="classOfxStatusContainer.html#5c46c8df8db712f6ad37b49fd6af5dc0">00072</a> <a class="code" href="classOfxStatusContainer.html#5c46c8df8db712f6ad37b49fd6af5dc0">OfxStatusContainer::OfxStatusContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00073"></a>00073   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00074"></a>00074 {
-<a name="l00075"></a>00075   memset(&amp;<a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>));
-<a name="l00076"></a>00076   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"STATUS"</span>;
-<a name="l00077"></a>00077   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>!=NULL){
-<a name="l00078"></a>00078     strncpy(data.ofx_element_name, <a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>.c_str(), <a class="code" href="inc_2libofx_8h.html#4696b71f2f719fb2a347255fd5e59c06">OFX_ELEMENT_NAME_LENGTH</a>);
-<a name="l00079"></a>00079     data.ofx_element_name_valid=<span class="keyword">true</span>;
+<a name="l00075"></a>00075   memset(&amp;<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>,0,<span class="keyword">sizeof</span>(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>));
+<a name="l00076"></a>00076   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"STATUS"</span>;
+<a name="l00077"></a>00077   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>!=NULL){
+<a name="l00078"></a>00078     strncpy(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#d49b449f9d4bf1746d71728cd1f5b925">ofx_element_name</a>, <a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>.c_str(), <a class="code" href="inc_2libofx_8h.html#5ed330c0afc0b111a5da321dc40b226e">OFX_ELEMENT_NAME_LENGTH</a>);
+<a name="l00079"></a>00079     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#011f73b45f88aac63ec44727ed6b306d">ofx_element_name_valid</a>=<span class="keyword">true</span>;
 <a name="l00080"></a>00080   }
 <a name="l00081"></a>00081   
 <a name="l00082"></a>00082 }
-<a name="l00083"></a><a class="code" href="classOfxStatusContainer.html#6ebbf3b4d3fbec14adf683168848ce95">00083</a> <a class="code" href="classOfxStatusContainer.html#6ebbf3b4d3fbec14adf683168848ce95">OfxStatusContainer::~OfxStatusContainer</a>()
+<a name="l00083"></a><a class="code" href="classOfxStatusContainer.html#cedeebfa681e9b075c8168196752c2a8">00083</a> <a class="code" href="classOfxStatusContainer.html#cedeebfa681e9b075c8168196752c2a8">OfxStatusContainer::~OfxStatusContainer</a>()
 <a name="l00084"></a>00084 {
-<a name="l00085"></a>00085   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Entering the status's container's destructor"</span>);
+<a name="l00085"></a>00085   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Entering the status's container's destructor"</span>);
 <a name="l00086"></a>00086         
-<a name="l00087"></a>00087   <a class="code" href="classOfxGenericContainer.html#dedbff16e5cf82496342a9f5a0048c46">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#f2c0a10b25d27f5bcb36dc259d91a69f">statusCallback</a>(<a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>);
+<a name="l00087"></a>00087   <a class="code" href="classOfxGenericContainer.html#a2d199f4cd2a723ea2c935e83fbc340d">libofx_context</a>-&gt;<a class="code" href="classLibofxContext.html#97356a19c06c5609a9dc228286493db3">statusCallback</a>(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>);
 <a name="l00088"></a>00088 
-<a name="l00089"></a>00089   <span class="keywordflow">if</span> ( <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">server_message_valid</a> )
-<a name="l00090"></a>00090     <span class="keyword">delete</span> [] <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a>;
+<a name="l00089"></a>00089   <span class="keywordflow">if</span> ( <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a> )
+<a name="l00090"></a>00090     <span class="keyword">delete</span> [] <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>;
 <a name="l00091"></a>00091 }
 <a name="l00092"></a>00092 
-<a name="l00093"></a><a class="code" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">00093</a> <span class="keywordtype">void</span> <a class="code" href="classOfxStatusContainer.html#a6d54c850a5e7fafee607c14a181281c">OfxStatusContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00093"></a><a class="code" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483">00093</a> <span class="keywordtype">void</span> <a class="code" href="classOfxStatusContainer.html#eb1155c63fdbe5a6c5d46b891e3bb483" title="Add data to a container object.">OfxStatusContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00094"></a>00094 {
-<a name="l00095"></a>00095   <a class="code" href="structErrorMsg.html">ErrorMsg</a> error_msg;
+<a name="l00095"></a>00095   <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> error_msg;
 <a name="l00096"></a>00096 
 <a name="l00097"></a>00097   <span class="keywordflow">if</span>( identifier==<span class="stringliteral">"CODE"</span>){
-<a name="l00098"></a>00098     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">code</a>=atoi(value.c_str());
-<a name="l00099"></a>00099     error_msg = <a class="code" href="ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">find_error_msg</a>(<a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">code</a>);
-<a name="l00100"></a>00100     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">name</a> = error_msg.name;<span class="comment">//memory is already allocated</span>
-<a name="l00101"></a>00101     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">description</a> = error_msg.description;<span class="comment">//memory is already allocated</span>
-<a name="l00102"></a>00102     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#69d5e443877e2e9300197a6057060a68">code_valid</a> = <span class="keyword">true</span>;
+<a name="l00098"></a>00098     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a>=atoi(value.c_str());
+<a name="l00099"></a>00099     error_msg = <a class="code" href="ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa" title="Retreive error code descriptions.">find_error_msg</a>(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a>);
+<a name="l00100"></a>00100     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">name</a> = error_msg.name;<span class="comment">//memory is already allocated</span>
+<a name="l00101"></a>00101     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">description</a> = error_msg.description;<span class="comment">//memory is already allocated</span>
+<a name="l00102"></a>00102     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">code_valid</a> = <span class="keyword">true</span>;
 <a name="l00103"></a>00103   }
 <a name="l00104"></a>00104   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"SEVERITY"</span>){
-<a name="l00105"></a>00105     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">severity_valid</a> = <span class="keyword">true</span>;
+<a name="l00105"></a>00105     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a> = <span class="keyword">true</span>;
 <a name="l00106"></a>00106     <span class="keywordflow">if</span>(value==<span class="stringliteral">"INFO"</span>) {
-<a name="l00107"></a>00107       <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a>=<a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2">OfxStatusData::INFO</a>;
+<a name="l00107"></a>00107       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>=<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">OfxStatusData::INFO</a>;
 <a name="l00108"></a>00108     }
 <a name="l00109"></a>00109     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"WARN"</span>) {
-<a name="l00110"></a>00110       <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a>=<a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267">OfxStatusData::WARN</a>;
+<a name="l00110"></a>00110       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>=<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">OfxStatusData::WARN</a>;
 <a name="l00111"></a>00111     }
 <a name="l00112"></a>00112     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(value==<span class="stringliteral">"ERROR"</span>) {
-<a name="l00113"></a>00113       <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a>=<a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8">OfxStatusData::ERROR</a>;
+<a name="l00113"></a>00113       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>=<a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">OfxStatusData::ERROR</a>;
 <a name="l00114"></a>00114     }
 <a name="l00115"></a>00115     <span class="keywordflow">else</span>{
-<a name="l00116"></a>00116       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"WRITEME: Unknown severity "</span>+value+<span class="stringliteral">" inside a "</span>+<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>+<span class="stringliteral">" container"</span>);
-<a name="l00117"></a>00117       <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">severity_valid</a> = <span class="keyword">false</span>;
+<a name="l00116"></a>00116       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"WRITEME: Unknown severity "</span>+value+<span class="stringliteral">" inside a "</span>+<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" container"</span>);
+<a name="l00117"></a>00117       <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a> = <span class="keyword">false</span>;
 <a name="l00118"></a>00118     }
 <a name="l00119"></a>00119   }
 <a name="l00120"></a>00120   <span class="keywordflow">else</span> <span class="keywordflow">if</span>((identifier==<span class="stringliteral">"MESSAGE"</span>)||(identifier==<span class="stringliteral">"MESSAGE2"</span>)){
-<a name="l00121"></a>00121     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a>=<span class="keyword">new</span> <span class="keywordtype">char</span>[value.length()+1];
-<a name="l00122"></a>00122     strcpy(<a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a>,value.c_str());
-<a name="l00123"></a>00123     <a class="code" href="classOfxStatusContainer.html#0f874e1efc1981f82625afa63b6d0b27">data</a>.<a class="code" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">server_message_valid</a>=<span class="keyword">true</span>;
+<a name="l00121"></a>00121     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>=<span class="keyword">new</span> <span class="keywordtype">char</span>[value.length()+1];
+<a name="l00122"></a>00122     strcpy(<a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>,value.c_str());
+<a name="l00123"></a>00123     <a class="code" href="classOfxStatusContainer.html#a840ebd1b3ce1aeecdcae7b92a988e38">data</a>.<a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a>=<span class="keyword">true</span>;
 <a name="l00124"></a>00124   }
 <a name="l00125"></a>00125   <span class="keywordflow">else</span>{
 <a name="l00126"></a>00126     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00127"></a>00127     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00127"></a>00127     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00128"></a>00128   }
 <a name="l00129"></a>00129 }
 <a name="l00130"></a>00130 
@@ -147,42 +143,42 @@
 <a name="l00134"></a>00134 <span class="comment"> * OfxBalanceContainer  (does not directly abstract a object in libofx.h)  *</span>
 <a name="l00135"></a>00135 <span class="comment"> ***************************************************************************/</span>
 <a name="l00136"></a>00136 
-<a name="l00137"></a><a class="code" href="classOfxBalanceContainer.html#ced3ba2d0bf96c8a11393653fce83430">00137</a> <a class="code" href="classOfxBalanceContainer.html#ced3ba2d0bf96c8a11393653fce83430">OfxBalanceContainer::OfxBalanceContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *para_parentcontainer, string para_tag_identifier):
-<a name="l00138"></a>00138   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
+<a name="l00137"></a><a class="code" href="classOfxBalanceContainer.html#96baefa68988c2d9c2f46f553d40599f">00137</a> <a class="code" href="classOfxBalanceContainer.html#96baefa68988c2d9c2f46f553d40599f">OfxBalanceContainer::OfxBalanceContainer</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> *p_libofx_context, <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *para_parentcontainer, <span class="keywordtype">string</span> para_tag_identifier):
+<a name="l00138"></a>00138   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a>(p_libofx_context, para_parentcontainer, para_tag_identifier)
 <a name="l00139"></a>00139 {
-<a name="l00140"></a>00140   <a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a>=<span class="keyword">false</span>;
-<a name="l00141"></a>00141   <a class="code" href="classOfxBalanceContainer.html#c4f467bce968ab7dc878a2a999224d65">date_valid</a>=<span class="keyword">false</span>;
-<a name="l00142"></a>00142   <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>=<span class="stringliteral">"BALANCE"</span>;
+<a name="l00140"></a>00140   <a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>=<span class="keyword">false</span>;
+<a name="l00141"></a>00141   <a class="code" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">date_valid</a>=<span class="keyword">false</span>;
+<a name="l00142"></a>00142   <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>=<span class="stringliteral">"BALANCE"</span>;
 <a name="l00143"></a>00143 }
 <a name="l00144"></a>00144 
-<a name="l00145"></a><a class="code" href="classOfxBalanceContainer.html#c599f6e53e908ed329baab8ca0a52d56">00145</a> <a class="code" href="classOfxBalanceContainer.html#c599f6e53e908ed329baab8ca0a52d56">OfxBalanceContainer::~OfxBalanceContainer</a>()
+<a name="l00145"></a><a class="code" href="classOfxBalanceContainer.html#db4feb10b8e5328aab5025ff49fd43f5">00145</a> <a class="code" href="classOfxBalanceContainer.html#db4feb10b8e5328aab5025ff49fd43f5">OfxBalanceContainer::~OfxBalanceContainer</a>()
 <a name="l00146"></a>00146 {
-<a name="l00147"></a>00147   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a> == <span class="stringliteral">"STATEMENT"</span>)
+<a name="l00147"></a>00147   <span class="keywordflow">if</span> (<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> == <span class="stringliteral">"STATEMENT"</span>)
 <a name="l00148"></a>00148     {
-<a name="l00149"></a>00149       ((<a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#a71e65ff8f141a4b2df1860c994551a8">parentcontainer</a>)-&gt;add_balance(<span class="keyword">this</span>);
+<a name="l00149"></a>00149       ((<a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a>*)<a class="code" href="classOfxGenericContainer.html#ff401a93eb35ca34b1e028dab30887ba">parentcontainer</a>)-&gt;add_balance(<span class="keyword">this</span>);
 <a name="l00150"></a>00150     }
 <a name="l00151"></a>00151   <span class="keywordflow">else</span>
 <a name="l00152"></a>00152     {
-<a name="l00153"></a>00153       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"I completed a "</span> + <a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a> + <span class="stringliteral">" element, but I havent found a suitable parent to save it"</span>);
+<a name="l00153"></a>00153       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"I completed a "</span> + <a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> + <span class="stringliteral">" element, but I havent found a suitable parent to save it"</span>);
 <a name="l00154"></a>00154     }
 <a name="l00155"></a>00155 }
-<a name="l00156"></a><a class="code" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">00156</a> <span class="keywordtype">void</span> <a class="code" href="classOfxBalanceContainer.html#b73b3a71f83908f680a18bae93b81cce">OfxBalanceContainer::add_attribute</a>(<span class="keyword">const</span> string identifier, <span class="keyword">const</span> string value)
+<a name="l00156"></a><a class="code" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb">00156</a> <span class="keywordtype">void</span> <a class="code" href="classOfxBalanceContainer.html#85951ca6d29aeace59a9ca86453e8abb" title="Add data to a container object.">OfxBalanceContainer::add_attribute</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> identifier, <span class="keyword">const</span> <span class="keywordtype">string</span> value)
 <a name="l00157"></a>00157 {
 <a name="l00158"></a>00158   <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"BALAMT"</span>){
-<a name="l00159"></a>00159     <a class="code" href="classOfxBalanceContainer.html#fa9423ae0866062861a80312aa2dff3d">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(value);
-<a name="l00160"></a>00160     <a class="code" href="classOfxBalanceContainer.html#7ec2f084239fd4a2c62d5a969de0dc1d">amount_valid</a>=<span class="keyword">true</span>;
+<a name="l00159"></a>00159     <a class="code" href="classOfxBalanceContainer.html#fff1080e7dc3a6f6e09f1c0d9c1dc68f">amount</a>=<a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(value);
+<a name="l00160"></a>00160     <a class="code" href="classOfxBalanceContainer.html#8ec139f87dfed172199cae86c4441c34">amount_valid</a>=<span class="keyword">true</span>;
 <a name="l00161"></a>00161   }
 <a name="l00162"></a>00162   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier==<span class="stringliteral">"DTASOF"</span>){
-<a name="l00163"></a>00163     <a class="code" href="classOfxBalanceContainer.html#6279f38dda6287846812f96e54a3e026">date</a> = <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(value);
-<a name="l00164"></a>00164     <a class="code" href="classOfxBalanceContainer.html#c4f467bce968ab7dc878a2a999224d65">date_valid</a> = <span class="keyword">true</span>;
+<a name="l00163"></a>00163     <a class="code" href="classOfxBalanceContainer.html#63069560ec9ee3524688452b00f0a39d">date</a> = <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(value);
+<a name="l00164"></a>00164     <a class="code" href="classOfxBalanceContainer.html#63784a0db798c12aede0e3ff54888916">date_valid</a> = <span class="keyword">true</span>;
 <a name="l00165"></a>00165   }
 <a name="l00166"></a>00166   <span class="keywordflow">else</span>{
 <a name="l00167"></a>00167     <span class="comment">/* Redirect unknown identifiers to the base class */</span>
-<a name="l00168"></a>00168     <a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">OfxGenericContainer::add_attribute</a>(identifier, value);
+<a name="l00168"></a>00168     <a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">OfxGenericContainer::add_attribute</a>(identifier, value);
 <a name="l00169"></a>00169   }  
 <a name="l00170"></a>00170 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__containers__misc_8cpp.html'
--- doc/html/ofx__containers__misc_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__containers__misc_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,41 +1,37 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_containers_misc.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_containers_misc.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 LibOFX internal object code. 
 <p>
-These objects will process the elements returned by ofx_sgml.cpp and add them to their data members. <dl compact><dt><b>Warning:</b></dt><dd>Object documentation is not yet done. </dd></dl>
-
-<p>
-Definition in file <a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a>.
+These objects will process the elements returned by ofx_sgml.cpp and add them to their data members. <dl class="warning" compact><dt><b>Warning:</b></dt><dd>Object documentation is not yet done. </dd></dl>
+
+<p>Definition in file <a class="el" href="ofx__containers__misc_8cpp-source.html">ofx_containers_misc.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__containers__misc_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="ofx_containers_misc.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__containers__misc_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="ofx_containers_misc.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__containers__misc_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__error__msg_8hh-source.html'
--- doc/html/ofx__error__msg_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__error__msg_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_error_msg.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_error_msg.hh</h1><a href="ofx__error__msg_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_data_struct.h  -  description</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -35,15 +31,15 @@
 <a name="l00019"></a>00019 <span class="preprocessor">#ifndef OFX_DATA_STRUCT_H</span>
 <a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define OFX_DATA_STRUCT_H</span>
 <a name="l00021"></a>00021 <span class="preprocessor"></span>
-<a name="l00023"></a><a class="code" href="structErrorMsg.html">00023</a> <span class="keyword">struct </span><a class="code" href="structErrorMsg.html">ErrorMsg</a>
+<a name="l00023"></a><a class="code" href="structErrorMsg.html">00023</a> <span class="keyword">struct </span><a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a>
 <a name="l00024"></a>00024 {
-<a name="l00025"></a><a class="code" href="structErrorMsg.html#95f22180acb45e48ab748671ff12fee8">00025</a>   <span class="keywordtype">int</span> <a class="code" href="structErrorMsg.html#95f22180acb45e48ab748671ff12fee8">code</a>;           
-<a name="l00026"></a><a class="code" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">00026</a>   <span class="keywordtype">char</span> * <a class="code" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">name</a>;        
-<a name="l00027"></a><a class="code" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">00027</a>   <span class="keywordtype">char</span> * <a class="code" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">description</a>; 
+<a name="l00025"></a><a class="code" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">00025</a>   <span class="keywordtype">int</span> <a class="code" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">code</a>;           
+<a name="l00026"></a><a class="code" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">00026</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">name</a>;        
+<a name="l00027"></a><a class="code" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">00027</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">description</a>; 
 <a name="l00028"></a>00028 };
 <a name="l00029"></a>00029 
 <a name="l00031"></a>00031 
-<a name="l00034"></a><a class="code" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">00034</a> <span class="keyword">const</span> <a class="code" href="structErrorMsg.html">ErrorMsg</a> <a class="code" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a>[] = {
+<a name="l00034"></a><a class="code" href="ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">00034</a> <span class="keyword">const</span> <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> <a class="code" href="ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608" title="List known error codes.">error_msgs_list</a>[] = {
 <a name="l00035"></a>00035   {0, <span class="stringliteral">"Success"</span>, <span class="stringliteral">"The server successfully processed the request."</span>},
 <a name="l00036"></a>00036   {1, <span class="stringliteral">"Client is up-to-date"</span>, <span class="stringliteral">"Based on the client timestamp, the client has the latest information. The response does not supply any additional information."</span>},
 <a name="l00037"></a>00037   {2000, <span class="stringliteral">"General error"</span>, <span class="stringliteral">"Error other than those specified by the remaining error codes. (Note: Servers should provide a more specific error whenever possible. Error code 2000 should be reserved for cases in which a more specific code is not available.)"</span>},
@@ -134,15 +130,15 @@
 <a name="l00122"></a>00122   {-1, <span class="stringliteral">"Unknown code"</span>, <span class="stringliteral">"The description of this code is unknown to libOfx"</span>}};
 <a name="l00123"></a>00123 
 <a name="l00125"></a>00125 
-<a name="l00128"></a><a class="code" href="ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">00128</a> <span class="keyword">const</span> <a class="code" href="structErrorMsg.html">ErrorMsg</a> <a class="code" href="ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">find_error_msg</a>(<span class="keywordtype">int</span> param_code)
+<a name="l00128"></a><a class="code" href="ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">00128</a> <span class="keyword">const</span> <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> <a class="code" href="ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa" title="Retreive error code descriptions.">find_error_msg</a>(<span class="keywordtype">int</span> param_code)
 <a name="l00129"></a>00129 {
-<a name="l00130"></a>00130   <a class="code" href="structErrorMsg.html">ErrorMsg</a> return_val;
+<a name="l00130"></a>00130   <a class="code" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> return_val;
 <a name="l00131"></a>00131   <span class="keywordtype">int</span> i;
 <a name="l00132"></a>00132   <span class="keywordtype">bool</span> code_found=<span class="keyword">false</span>;
 <a name="l00133"></a>00133   
 <a name="l00134"></a>00134   <span class="keywordflow">for</span>(i=0;i&lt;2000&amp;&amp;(code_found==<span class="keyword">false</span>);i++){
-<a name="l00135"></a>00135     <span class="keywordflow">if</span>((<a class="code" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a>[i].code==param_code)||(<a class="code" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a>[i].code==-1)){
-<a name="l00136"></a>00136       return_val=<a class="code" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a>[i];
+<a name="l00135"></a>00135     <span class="keywordflow">if</span>((error_msgs_list[i].code==param_code)||(error_msgs_list[i].<a class="code" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">code</a>==-1)){
+<a name="l00136"></a>00136       return_val=error_msgs_list[i];
 <a name="l00137"></a>00137       code_found=<span class="keyword">true</span>;
 <a name="l00138"></a>00138     }
 <a name="l00139"></a>00139   }
@@ -150,8 +146,8 @@
 <a name="l00141"></a>00141 };
 <a name="l00142"></a>00142 
 <a name="l00143"></a>00143 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__error__msg_8hh.html'
--- doc/html/ofx__error__msg_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__error__msg_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_error_msg.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_error_msg.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 OFX error code management functionnality. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.
+<p>Definition in file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.</p>
+
 <p>
 
 <p>
@@ -33,81 +29,63 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An abstraction of an OFX error code sent by an OFX server.  <a href="structErrorMsg.html#_details">More...</a><br></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__error__msg_8hh.html#913f987171101b59b0c710c4bb261be6">find_error_msg</a> (int param_code)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__error__msg_8hh.html#dac162b52803cc0814b829813ad3a5aa">find_error_msg</a> (int param_code)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retreive error code descriptions.  <a href="#913f987171101b59b0c710c4bb261be6"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retreive error code descriptions.  <a href="#dac162b52803cc0814b829813ad3a5aa"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a> []</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">error_msgs_list</a> []</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List known error codes.  <a href="#0b2d7a9d45507737f31070e93255ee81"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List known error codes.  <a href="#55330fe48f8c210038dfaae0ed8dd608"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="913f987171101b59b0c710c4bb261be6"></a><!-- doxytag: member="ofx_error_msg.hh::find_error_msg" ref="913f987171101b59b0c710c4bb261be6" args="(int param_code)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="dac162b52803cc0814b829813ad3a5aa"></a><!-- doxytag: member="ofx_error_msg.hh::find_error_msg" ref="dac162b52803cc0814b829813ad3a5aa" args="(int param_code)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a> find_error_msg           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">int&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>param_code</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">const <a class="el" href="structErrorMsg.html">ErrorMsg</a> find_error_msg           </td>
+          <td>(</td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>param_code</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Retreive error code descriptions. 
 <p>
-The find_error_msg function will take an ofx error number, and return an <a class="el" href="structErrorMsg.html">ErrorMsg</a> structure with detailled information about the error, including the error name and long description 
-<p>
-Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00128">128</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>.    </td>
-  </tr>
-</table>
+The find_error_msg function will take an ofx error number, and return an <a class="el" href="structErrorMsg.html" title="An abstraction of an OFX error code sent by an OFX server.">ErrorMsg</a> structure with detailled information about the error, including the error name and long description 
+<p>Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00128">128</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="0b2d7a9d45507737f31070e93255ee81"></a><!-- doxytag: member="ofx_error_msg.hh::error_msgs_list" ref="0b2d7a9d45507737f31070e93255ee81" args="[]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="55330fe48f8c210038dfaae0ed8dd608"></a><!-- doxytag: member="ofx_error_msg.hh::error_msgs_list" ref="55330fe48f8c210038dfaae0ed8dd608" args="[]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">const <a class="el" href="structErrorMsg.html">ErrorMsg</a> <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html#0b2d7a9d45507737f31070e93255ee81">error_msgs_list</a>[]          </td>
+          <td class="memname">const <a class="el" href="structErrorMsg.html">ErrorMsg</a> <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html#55330fe48f8c210038dfaae0ed8dd608">error_msgs_list</a>[]          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 List known error codes. 
 <p>
 The error_msgs_list table contains all past and present OFX error codes up to the OFX 2.01 specification 
-<p>
-Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00034">34</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.
-<p>
-Referenced by <a class="el" href="ofx__error__msg_8hh-source.html#l00128">find_error_msg()</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00034">34</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__preproc_8cpp-source.html'
--- doc/html/ofx__preproc_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__preproc_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_preproc.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_preproc.cpp</h1><a href="ofx__preproc_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">          ofx_preproc.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -31,432 +27,527 @@
 <a name="l00017"></a>00017 <span class="comment"> *   (at your option) any later version.                                   *</span>
 <a name="l00018"></a>00018 <span class="comment"> *                                                                         *</span>
 <a name="l00019"></a>00019 <span class="comment"> ***************************************************************************/</span>
-<a name="l00020"></a>00020 <span class="preprocessor">#include &lt;iostream&gt;</span>
-<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;fstream&gt;</span>
-<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
-<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
-<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__sgml_8hh.html">ofx_sgml.hh</a>"</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="ofc__sgml_8hh.html">ofc_sgml.hh</a>"</span>
-<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="ofx__preproc_8hh.html">ofx_preproc.hh</a>"</span>
-<a name="l00031"></a>00031 
-<a name="l00032"></a>00032 <span class="keyword">using namespace </span>std;
-<a name="l00036"></a>00036 <span class="preprocessor">#ifdef MAKEFILE_DTD_PATH</span>
-<a name="l00037"></a>00037 <span class="preprocessor"></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a> = 4;
-<a name="l00038"></a>00038 <span class="preprocessor">#else</span>
-<a name="l00039"></a><a class="code" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">00039</a> <span class="preprocessor"></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a> = 3;
-<a name="l00040"></a>00040 <span class="preprocessor">#endif</span>
-<a name="l00041"></a>00041 <span class="preprocessor"></span> 
-<a name="l00045"></a><a class="code" href="ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">00045</a> <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">DTD_SEARCH_PATH</a>[<a class="code" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a>] = { 
-<a name="l00046"></a>00046 <span class="preprocessor">#ifdef MAKEFILE_DTD_PATH</span>
-<a name="l00047"></a>00047 <span class="preprocessor"></span>  MAKEFILE_DTD_PATH , 
-<a name="l00048"></a>00048 <span class="preprocessor">#endif</span>
-<a name="l00049"></a>00049 <span class="preprocessor"></span>  <span class="stringliteral">"/usr/local/share/libofx/dtd/"</span>, 
-<a name="l00050"></a>00050   <span class="stringliteral">"/usr/share/libofx/dtd/"</span>, 
-<a name="l00051"></a>00051   <span class="stringliteral">"~/"</span>};
-<a name="l00052"></a><a class="code" href="ofx__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">00052</a> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a> = 1024;
-<a name="l00053"></a>00053 
-<a name="l00058"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#878483503b673b330380995e1da3a7ea">00058</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename)
-<a name="l00059"></a>00059   {
-<a name="l00060"></a>00060   <a class="code" href="classLibofxContext.html">LibofxContext</a> *libofx_context;
-<a name="l00061"></a>00061   <span class="keywordtype">bool</span> ofx_start=<span class="keyword">false</span>;
-<a name="l00062"></a>00062   <span class="keywordtype">bool</span> ofx_end=<span class="keyword">false</span>;
-<a name="l00063"></a>00063 
-<a name="l00064"></a>00064   ifstream input_file;
-<a name="l00065"></a>00065   ofstream tmp_file;
-<a name="l00066"></a>00066   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>];
-<a name="l00067"></a>00067   string s_buffer;
-<a name="l00068"></a>00068   <span class="keywordtype">char</span> *filenames[3];
-<a name="l00069"></a>00069   <span class="keywordtype">char</span> tmp_filename[50];
-<a name="l00070"></a>00070 
-<a name="l00071"></a>00071   libofx_context=(<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx;
-<a name="l00072"></a>00072 
-<a name="l00073"></a>00073   <span class="keywordflow">if</span>(p_filename!=NULL&amp;&amp;strcmp(p_filename,<span class="stringliteral">""</span>)!=0)
-<a name="l00074"></a>00074     {
-<a name="l00075"></a>00075     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, string(<span class="stringliteral">"ofx_proc_file():Opening file: "</span>)+ p_filename);
-<a name="l00076"></a>00076     
-<a name="l00077"></a>00077     input_file.open(p_filename);
-<a name="l00078"></a>00078     strncpy(tmp_filename,<span class="stringliteral">"/tmp/libofxtmpXXXXXX"</span>,50);
-<a name="l00079"></a>00079     mkstemp(tmp_filename);
-<a name="l00080"></a>00080     tmp_file.open(tmp_filename);
-<a name="l00081"></a>00081 
-<a name="l00082"></a>00082     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Creating temp file: "</span>+string(tmp_filename));
-<a name="l00083"></a>00083     <span class="keywordflow">if</span>(!input_file){
-<a name="l00084"></a>00084       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the input file "</span>+string(p_filename));
-<a name="l00085"></a>00085     }
-<a name="l00086"></a>00086     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(!tmp_file){
-<a name="l00087"></a>00087       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the output file "</span>+string(tmp_filename));
-<a name="l00088"></a>00088     }
-<a name="l00089"></a>00089     <span class="keywordflow">else</span>
-<a name="l00090"></a>00090       {
-<a name="l00091"></a>00091 
-<a name="l00092"></a>00092         <span class="keywordflow">do</span> {
-<a name="l00093"></a>00093           input_file.getline(buffer, <span class="keyword">sizeof</span>(buffer),<span class="charliteral">'\n'</span>);
-<a name="l00094"></a>00094           <span class="comment">//cout&lt;&lt;buffer&lt;&lt;"\n";</span>
-<a name="l00095"></a>00095           s_buffer.assign(buffer);
-<a name="l00096"></a>00096           <span class="comment">//cout&lt;&lt;"input_file.gcount(): "&lt;&lt;input_file.gcount()&lt;&lt;" sizeof(buffer): "&lt;&lt;sizeof(buffer)&lt;&lt;endl;</span>
-<a name="l00097"></a>00097           <span class="keywordflow">if</span>(input_file.gcount()&lt;(<span class="keyword">sizeof</span>(buffer)-1))
-<a name="l00098"></a>00098             {
-<a name="l00099"></a>00099               s_buffer.append(<span class="stringliteral">"\n"</span>);
-<a name="l00100"></a>00100             }
-<a name="l00101"></a>00101           <span class="keywordflow">else</span> <span class="keywordflow">if</span>( !input_file.eof()&amp;&amp;input_file.fail())
-<a name="l00102"></a>00102             {
-<a name="l00103"></a>00103               input_file.clear();
-<a name="l00104"></a>00104             }
-<a name="l00105"></a>00105           <span class="keywordtype">int</span> ofx_start_idx;
-<a name="l00106"></a>00106           <span class="keywordflow">if</span> (ofx_start==<span class="keyword">false</span> &amp;&amp;
-<a name="l00107"></a>00107               (
-<a name="l00108"></a>00108                (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>&amp;&amp;
-<a name="l00109"></a>00109                 ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>))!=
-<a name="l00110"></a>00110                  string::npos||(ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>))!=string::npos))
-<a name="l00111"></a>00111                || (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>&amp;&amp;
-<a name="l00112"></a>00112                    ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>))!=string::npos||
-<a name="l00113"></a>00113                     (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>))!=string::npos))
-<a name="l00114"></a>00114               )
-<a name="l00115"></a>00115              )
-<a name="l00116"></a>00116             {
-<a name="l00117"></a>00117               ofx_start=<span class="keyword">true</span>;
-<a name="l00118"></a>00118               s_buffer.erase(0,ofx_start_idx);<span class="comment">//Fix for really broken files that don't have a newline after the header.</span>
-<a name="l00119"></a>00119               <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OFX&gt; or &lt;OFC&gt; has been found"</span>);
-<a name="l00120"></a>00120             }
-<a name="l00121"></a>00121 
-<a name="l00122"></a>00122           <span class="keywordflow">if</span>(ofx_start==<span class="keyword">true</span> &amp;&amp; ofx_end==<span class="keyword">false</span>){
-<a name="l00123"></a>00123             s_buffer=<a class="code" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a>(s_buffer);
-<a name="l00124"></a>00124             <span class="comment">//cout&lt;&lt; s_buffer&lt;&lt;"\n";</span>
-<a name="l00125"></a>00125             tmp_file.write(s_buffer.c_str(), s_buffer.length());
-<a name="l00126"></a>00126           }
-<a name="l00127"></a>00127           
-<a name="l00128"></a>00128           <span class="keywordflow">if</span> (ofx_start==<span class="keyword">true</span> &amp;&amp;
-<a name="l00129"></a>00129               (
-<a name="l00130"></a>00130                (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a> &amp;&amp;
-<a name="l00131"></a>00131                 ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/OFX&gt;"</span>))!=string::npos ||
-<a name="l00132"></a>00132                  (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/ofx&gt;"</span>))!=string::npos))
-<a name="l00133"></a>00133                || (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a> &amp;&amp;
-<a name="l00134"></a>00134                    ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/OFC&gt;"</span>))!=string::npos ||
-<a name="l00135"></a>00135                     (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/ofc&gt;"</span>))!=string::npos))
-<a name="l00136"></a>00136               )
-<a name="l00137"></a>00137              )
-<a name="l00138"></a>00138             {
-<a name="l00139"></a>00139               ofx_end=<span class="keyword">true</span>;
-<a name="l00140"></a>00140               <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;/OFX&gt; or &lt;/OFC&gt;  has been found"</span>);
-<a name="l00141"></a>00141             }
-<a name="l00142"></a>00142 
-<a name="l00143"></a>00143         } <span class="keywordflow">while</span>(!input_file.eof()&amp;&amp;!input_file.bad());
-<a name="l00144"></a>00144       }
-<a name="l00145"></a>00145     input_file.close();
-<a name="l00146"></a>00146     tmp_file.close();
-<a name="l00147"></a>00147 
-<a name="l00148"></a>00148     <span class="keywordtype">char</span> filename_openspdtd[255];
-<a name="l00149"></a>00149     <span class="keywordtype">char</span> filename_dtd[255];
-<a name="l00150"></a>00150     <span class="keywordtype">char</span> filename_ofx[255];
-<a name="l00151"></a>00151     strncpy(filename_openspdtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">OPENSPDCL_FILENAME</a>).c_str(),255);<span class="comment">//The opensp sgml dtd file</span>
-<a name="l00152"></a>00152     <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>)
-<a name="l00153"></a>00153       {
-<a name="l00154"></a>00154         strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">OFX160DTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofx dtd file</span>
-<a name="l00155"></a>00155       }
-<a name="l00156"></a>00156     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>)
-<a name="l00157"></a>00157       {
-<a name="l00158"></a>00158         strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">OFCDTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofc dtd file</span>
-<a name="l00159"></a>00159       }
-<a name="l00160"></a>00160     <span class="keywordflow">else</span>
-<a name="l00161"></a>00161       {
-<a name="l00162"></a>00162         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,string(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
-<a name="l00163"></a>00163       }
-<a name="l00164"></a>00164 
-<a name="l00165"></a>00165     <span class="keywordflow">if</span>((string)filename_dtd!=<span class="stringliteral">""</span> &amp;&amp; (string)filename_openspdtd!=<span class="stringliteral">""</span>)
-<a name="l00166"></a>00166       {
-<a name="l00167"></a>00167         strncpy(filename_ofx,tmp_filename,255);<span class="comment">//The processed ofx file</span>
-<a name="l00168"></a>00168         filenames[0]=filename_openspdtd;
-<a name="l00169"></a>00169         filenames[1]=filename_dtd;
-<a name="l00170"></a>00170         filenames[2]=filename_ofx;
-<a name="l00171"></a>00171         <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>)
-<a name="l00172"></a>00172           {
-<a name="l00173"></a>00173             <a class="code" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a>(libofx_context, 3,filenames);
-<a name="l00174"></a>00174           }
-<a name="l00175"></a>00175         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>)
-<a name="l00176"></a>00176           {
-<a name="l00177"></a>00177             <a class="code" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a>(libofx_context, 3,filenames);
-<a name="l00178"></a>00178           }
-<a name="l00179"></a>00179         <span class="keywordflow">else</span>
-<a name="l00180"></a>00180           {
-<a name="l00181"></a>00181             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,string(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
-<a name="l00182"></a>00182           }
-<a name="l00183"></a>00183         <span class="keywordflow">if</span>(remove(tmp_filename)!=0)
-<a name="l00184"></a>00184           {
-<a name="l00185"></a>00185             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Error deleting temporary file "</span>+string(tmp_filename));
-<a name="l00186"></a>00186           }
-<a name="l00187"></a>00187       }
-<a name="l00188"></a>00188     <span class="keywordflow">else</span>
-<a name="l00189"></a>00189       {
-<a name="l00190"></a>00190         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): FATAL: Missing DTD, aborting"</span>);
-<a name="l00191"></a>00191       }
-<a name="l00192"></a>00192   }
-<a name="l00193"></a>00193   <span class="keywordflow">else</span>{
-<a name="l00194"></a>00194     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file():No input file specified"</span>);
-<a name="l00195"></a>00195   }
-<a name="l00196"></a>00196   <span class="keywordflow">return</span> 0;
-<a name="l00197"></a>00197 }
-<a name="l00198"></a>00198 
-<a name="l00199"></a>00199 
-<a name="l00200"></a>00200 
-<a name="l00201"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">00201</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#b9071aa8248754f9886f5d3a4a904e00">libofx_proc_buffer</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx,
-<a name="l00202"></a>00202                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size){
-<a name="l00203"></a>00203   ofstream tmp_file;
-<a name="l00204"></a>00204   string s_buffer;
-<a name="l00205"></a>00205   <span class="keywordtype">char</span> *filenames[3];
-<a name="l00206"></a>00206   <span class="keywordtype">char</span> tmp_filename[50];
-<a name="l00207"></a>00207   <span class="keywordtype">int</span> pos;
-<a name="l00208"></a>00208   <a class="code" href="classLibofxContext.html">LibofxContext</a> *libofx_context;
-<a name="l00209"></a>00209 
-<a name="l00210"></a>00210   libofx_context=(<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx;
-<a name="l00211"></a>00211 
-<a name="l00212"></a>00212   <span class="keywordflow">if</span> (size==0) {
-<a name="l00213"></a>00213     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,
-<a name="l00214"></a>00214                 <span class="stringliteral">"ofx_proc_file(): bad size"</span>);
-<a name="l00215"></a>00215     <span class="keywordflow">return</span> -1;
-<a name="l00216"></a>00216   }
-<a name="l00217"></a>00217   s_buffer=string(s, size);
-<a name="l00218"></a>00218 
-<a name="l00219"></a>00219   strncpy(tmp_filename,<span class="stringliteral">"/tmp/libofxtmpXXXXXX"</span>,50);
-<a name="l00220"></a>00220   mkstemp(tmp_filename);
-<a name="l00221"></a>00221   tmp_file.open(tmp_filename);
-<a name="l00222"></a>00222 
-<a name="l00223"></a>00223   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Creating temp file: "</span>+string(tmp_filename));
-<a name="l00224"></a>00224   <span class="keywordflow">if</span>(!tmp_file){
-<a name="l00225"></a>00225     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the output file "</span>+string(tmp_filename));
-<a name="l00226"></a>00226     <span class="keywordflow">return</span> -1;
-<a name="l00227"></a>00227   }
-<a name="l00228"></a>00228 
-<a name="l00229"></a>00229   <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#a1413e81ae62a4efd31f99e4465e4ba2">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>) {
-<a name="l00230"></a>00230     pos=s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>);
-<a name="l00231"></a>00231     <span class="keywordflow">if</span> (pos==string::npos)
-<a name="l00232"></a>00232       pos=s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>);
-<a name="l00233"></a>00233   }
-<a name="l00234"></a>00234   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>) {
-<a name="l00235"></a>00235     pos=s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>);
-<a name="l00236"></a>00236     <span class="keywordflow">if</span> (pos==string::npos)
-<a name="l00237"></a>00237       pos=s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>);
-<a name="l00238"></a>00238   }
-<a name="l00239"></a>00239   <span class="keywordflow">else</span> {
-<a name="l00240"></a>00240     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc(): unknown file type"</span>);
-<a name="l00241"></a>00241     <span class="keywordflow">return</span> -1;
-<a name="l00242"></a>00242   }
-<a name="l00243"></a>00243   <span class="keywordflow">if</span> (pos==string::npos) {
-<a name="l00244"></a>00244     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc():&lt;OFX&gt; has not been found"</span>);
-<a name="l00245"></a>00245     <span class="keywordflow">return</span> -1;
-<a name="l00246"></a>00246   }
-<a name="l00247"></a>00247   <span class="keywordflow">else</span> {
-<a name="l00248"></a>00248     <span class="comment">// erase everything before the OFX tag</span>
-<a name="l00249"></a>00249     s_buffer.erase(0, pos);
-<a name="l00250"></a>00250     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OF?&gt; has been found"</span>);
-<a name="l00251"></a>00251   }
-<a name="l00252"></a>00252 
-<a name="l00253"></a>00253   <span class="keywordflow">if</span> (libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>) {
-<a name="l00254"></a>00254     pos=s_buffer.find(<span class="stringliteral">"&lt;/OFX&gt;"</span>);
-<a name="l00255"></a>00255     <span class="keywordflow">if</span> (pos==string::npos)
-<a name="l00256"></a>00256       pos=s_buffer.find(<span class="stringliteral">"&lt;/ofx&gt;"</span>);
-<a name="l00257"></a>00257   }
-<a name="l00258"></a>00258   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>) {
-<a name="l00259"></a>00259     pos=s_buffer.find(<span class="stringliteral">"&lt;/OFC&gt;"</span>);
-<a name="l00260"></a>00260     <span class="keywordflow">if</span> (pos==string::npos)
-<a name="l00261"></a>00261       pos=s_buffer.find(<span class="stringliteral">"&lt;/ofc&gt;"</span>);
-<a name="l00262"></a>00262   }
-<a name="l00263"></a>00263   <span class="keywordflow">else</span> {
-<a name="l00264"></a>00264     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc(): unknown file type"</span>);
-<a name="l00265"></a>00265     <span class="keywordflow">return</span> -1;
-<a name="l00266"></a>00266   }
-<a name="l00267"></a>00267 
-<a name="l00268"></a>00268   <span class="keywordflow">if</span> (pos==string::npos) {
-<a name="l00269"></a>00269     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc():&lt;/OF?&gt; has not been found"</span>);
-<a name="l00270"></a>00270     <span class="keywordflow">return</span> -1;
+<a name="l00020"></a>00020 <span class="preprocessor">#include "../config.h"</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;iostream&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;fstream&gt;</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="ofx__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofx_sgml.hh</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="ofc__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofc_sgml.hh</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="ofx__preproc_8hh.html" title="Preprocessing of the OFX files before parsing.">ofx_preproc.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00034"></a>00034 <span class="preprocessor"></span><span class="preprocessor">#include &lt;iconv.h&gt;</span>
+<a name="l00035"></a>00035 <span class="preprocessor">#endif</span>
+<a name="l00036"></a>00036 <span class="preprocessor"></span>
+<a name="l00037"></a>00037 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00038"></a>00038 <span class="preprocessor"></span><span class="preprocessor"># include "win32.hh"</span>
+<a name="l00039"></a>00039 <span class="preprocessor">#endif</span>
+<a name="l00040"></a>00040 <span class="preprocessor"></span>
+<a name="l00041"></a><a class="code" href="ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">00041</a> <span class="preprocessor">#define LIBOFX_DEFAULT_INPUT_ENCODING "CP1252"</span>
+<a name="l00042"></a><a class="code" href="ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">00042</a> <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_DEFAULT_OUTPUT_ENCODING "UTF-8"</span>
+<a name="l00043"></a>00043 <span class="preprocessor"></span>
+<a name="l00044"></a>00044 <span class="keyword">using namespace </span>std;
+<a name="l00048"></a>00048 <span class="preprocessor">#ifdef MAKEFILE_DTD_PATH</span>
+<a name="l00049"></a>00049 <span class="preprocessor"></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a> = 4;
+<a name="l00050"></a>00050 <span class="preprocessor">#else</span>
+<a name="l00051"></a><a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">00051</a> <span class="preprocessor"></span><span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a> = 3;
+<a name="l00052"></a>00052 <span class="preprocessor">#endif</span>
+<a name="l00053"></a>00053 <span class="preprocessor"></span> 
+<a name="l00057"></a><a class="code" href="ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">00057</a> <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3" title="The list of paths to search for the DTDs.">DTD_SEARCH_PATH</a>[<a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a>] = { 
+<a name="l00058"></a>00058 <span class="preprocessor">#ifdef MAKEFILE_DTD_PATH</span>
+<a name="l00059"></a>00059 <span class="preprocessor"></span>  MAKEFILE_DTD_PATH , 
+<a name="l00060"></a>00060 <span class="preprocessor">#endif</span>
+<a name="l00061"></a>00061 <span class="preprocessor"></span>  <span class="stringliteral">"/usr/local/share/libofx/dtd/"</span>, 
+<a name="l00062"></a>00062   <span class="stringliteral">"/usr/share/libofx/dtd/"</span>, 
+<a name="l00063"></a>00063   <span class="stringliteral">"~/"</span>};
+<a name="l00064"></a><a class="code" href="ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">00064</a> <span class="keyword">const</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024;
+<a name="l00065"></a>00065 
+<a name="l00070"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#962fcc61a6192bd63ac3fb234fd07cc4">00070</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <span class="keyword">const</span> <span class="keywordtype">char</span> * p_filename)
+<a name="l00071"></a>00071   {
+<a name="l00072"></a>00072   <a class="code" href="classLibofxContext.html">LibofxContext</a> *libofx_context;
+<a name="l00073"></a>00073   <span class="keywordtype">bool</span> ofx_start=<span class="keyword">false</span>;
+<a name="l00074"></a>00074   <span class="keywordtype">bool</span> ofx_end=<span class="keyword">false</span>;
+<a name="l00075"></a>00075 
+<a name="l00076"></a>00076   ifstream input_file;
+<a name="l00077"></a>00077   ofstream tmp_file;
+<a name="l00078"></a>00078   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>];
+<a name="l00079"></a>00079   <span class="keywordtype">char</span> iconv_buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>];
+<a name="l00080"></a>00080   <span class="keywordtype">string</span> s_buffer;
+<a name="l00081"></a>00081   <span class="keywordtype">char</span> *filenames[3];
+<a name="l00082"></a>00082   <span class="keywordtype">char</span> tmp_filename[256];
+<a name="l00083"></a>00083 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00084"></a>00084 <span class="preprocessor"></span>        iconv_t conversion_descriptor;
+<a name="l00085"></a>00085 <span class="preprocessor">#endif</span>
+<a name="l00086"></a>00086 <span class="preprocessor"></span>  libofx_context=(<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx;
+<a name="l00087"></a>00087 
+<a name="l00088"></a>00088   <span class="keywordflow">if</span>(p_filename!=NULL&amp;&amp;strcmp(p_filename,<span class="stringliteral">""</span>)!=0)
+<a name="l00089"></a>00089     {
+<a name="l00090"></a>00090     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file():Opening file: "</span>)+ p_filename);
+<a name="l00091"></a>00091     
+<a name="l00092"></a>00092     input_file.open(p_filename);
+<a name="l00093"></a>00093     <a class="code" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a>(<span class="stringliteral">"libofxtmpXXXXXX"</span>, tmp_filename, <span class="keyword">sizeof</span>(tmp_filename));
+<a name="l00094"></a>00094     mkstemp(tmp_filename);
+<a name="l00095"></a>00095     tmp_file.open(tmp_filename);
+<a name="l00096"></a>00096 
+<a name="l00097"></a>00097     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Creating temp file: "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00098"></a>00098     <span class="keywordflow">if</span>(!input_file){
+<a name="l00099"></a>00099       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the input file "</span>+<span class="keywordtype">string</span>(p_filename));
+<a name="l00100"></a>00100     }
+<a name="l00101"></a>00101     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(!tmp_file){
+<a name="l00102"></a>00102       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the output file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00103"></a>00103     }
+<a name="l00104"></a>00104     <span class="keywordflow">else</span>
+<a name="l00105"></a>00105       {
+<a name="l00106"></a>00106         <span class="keywordtype">int</span> header_separator_idx;
+<a name="l00107"></a>00107         <span class="keywordtype">string</span> header_name;
+<a name="l00108"></a>00108         <span class="keywordtype">string</span> header_value;
+<a name="l00109"></a>00109         <span class="keywordtype">string</span> ofx_encoding;
+<a name="l00110"></a>00110         <span class="keywordtype">string</span> ofx_charset;
+<a name="l00111"></a>00111         <span class="keywordflow">do</span> {
+<a name="l00112"></a>00112           input_file.getline(buffer, <span class="keyword">sizeof</span>(buffer),<span class="charliteral">'\n'</span>);
+<a name="l00113"></a>00113           <span class="comment">//cout&lt;&lt;buffer&lt;&lt;"\n";</span>
+<a name="l00114"></a>00114           s_buffer.assign(buffer);
+<a name="l00115"></a>00115           <span class="comment">//cout&lt;&lt;"input_file.gcount(): "&lt;&lt;input_file.gcount()&lt;&lt;" sizeof(buffer): "&lt;&lt;sizeof(buffer)&lt;&lt;endl;</span>
+<a name="l00116"></a>00116           <span class="keywordflow">if</span>(input_file.gcount()&lt;(<span class="keyword">sizeof</span>(buffer)-1))
+<a name="l00117"></a>00117             {
+<a name="l00118"></a>00118               s_buffer.append(<span class="stringliteral">"\n"</span>);
+<a name="l00119"></a>00119             }
+<a name="l00120"></a>00120           <span class="keywordflow">else</span> <span class="keywordflow">if</span>( !input_file.eof()&amp;&amp;input_file.fail())
+<a name="l00121"></a>00121             {
+<a name="l00122"></a>00122               input_file.clear();
+<a name="l00123"></a>00123             }
+<a name="l00124"></a>00124           <span class="keywordtype">int</span> ofx_start_idx;
+<a name="l00125"></a>00125           <span class="keywordflow">if</span> (ofx_start==<span class="keyword">false</span> &amp;&amp;
+<a name="l00126"></a>00126               (
+<a name="l00127"></a>00127                (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>&amp;&amp;
+<a name="l00128"></a>00128                 ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>))!=
+<a name="l00129"></a>00129                  string::npos||(ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>))!=string::npos))
+<a name="l00130"></a>00130                || (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>&amp;&amp;
+<a name="l00131"></a>00131                    ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>))!=string::npos||
+<a name="l00132"></a>00132                     (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>))!=string::npos))
+<a name="l00133"></a>00133               )
+<a name="l00134"></a>00134              )
+<a name="l00135"></a>00135             {
+<a name="l00136"></a>00136               ofx_start=<span class="keyword">true</span>;
+<a name="l00137"></a>00137               s_buffer.erase(0,ofx_start_idx);<span class="comment">//Fix for really broken files that don't have a newline after the header.</span>
+<a name="l00138"></a>00138               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OFX&gt; or &lt;OFC&gt; has been found"</span>);
+<a name="l00139"></a>00139 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00140"></a>00140 <span class="preprocessor"></span>              <span class="keywordtype">string</span> fromcode;
+<a name="l00141"></a>00141               <span class="keywordtype">string</span> tocode; 
+<a name="l00142"></a>00142               <span class="keywordflow">if</span>(ofx_encoding.compare(<span class="stringliteral">"USASCII"</span>)==0){
+<a name="l00143"></a>00143                 <span class="keywordflow">if</span>(ofx_charset.compare(<span class="stringliteral">"ISO-8859-1"</span>)==0){
+<a name="l00144"></a>00144                   fromcode=<span class="stringliteral">"ISO-8859-1"</span>;
+<a name="l00145"></a>00145                 }
+<a name="l00146"></a>00146                 <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ofx_charset.compare(<span class="stringliteral">"1252"</span>)==0){
+<a name="l00147"></a>00147                   fromcode=<span class="stringliteral">"CP1252"</span>;
+<a name="l00148"></a>00148                 }
+<a name="l00149"></a>00149                 <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ofx_charset.compare(<span class="stringliteral">"NONE"</span>)==0){
+<a name="l00150"></a>00150                   fromcode=<a class="code" href="ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">LIBOFX_DEFAULT_INPUT_ENCODING</a>;
+<a name="l00151"></a>00151                 }
+<a name="l00152"></a>00152               }
+<a name="l00153"></a>00153               <span class="keywordflow">else</span> <span class="keywordflow">if</span>(ofx_encoding.compare(<span class="stringliteral">"USASCII"</span>)==0) {
+<a name="l00154"></a>00154                 fromcode=<span class="stringliteral">"UTF-8"</span>;
+<a name="l00155"></a>00155               }
+<a name="l00156"></a>00156               <span class="keywordflow">else</span>
+<a name="l00157"></a>00157                 {
+<a name="l00158"></a>00158                   fromcode=<a class="code" href="ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">LIBOFX_DEFAULT_INPUT_ENCODING</a>;
+<a name="l00159"></a>00159                 }
+<a name="l00160"></a>00160               tocode = <a class="code" href="ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">LIBOFX_DEFAULT_OUTPUT_ENCODING</a>;
+<a name="l00161"></a>00161               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Setting up iconv for fromcode: "</span>+fromcode+<span class="stringliteral">", tocode: "</span>+tocode);
+<a name="l00162"></a>00162               conversion_descriptor = iconv_open (tocode.c_str(), fromcode.c_str());
+<a name="l00163"></a>00163 <span class="preprocessor">#endif</span>
+<a name="l00164"></a>00164 <span class="preprocessor"></span>            }
+<a name="l00165"></a>00165           <span class="keywordflow">else</span> {
+<a name="l00166"></a>00166             <span class="comment">//We are still in the headers</span>
+<a name="l00167"></a>00167             <span class="keywordflow">if</span> ((header_separator_idx=s_buffer.find(<span class="charliteral">':'</span>)) != string::npos) {
+<a name="l00168"></a>00168               <span class="comment">//Header processing</span>
+<a name="l00169"></a>00169               header_name.assign(s_buffer.substr(0,header_separator_idx));
+<a name="l00170"></a>00170               header_value.assign(s_buffer.substr(header_separator_idx+1));
+<a name="l00171"></a>00171               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():Header: "</span>+header_name+<span class="stringliteral">" with value: "</span>+header_value+<span class="stringliteral">" has been found"</span>);
+<a name="l00172"></a>00172               <span class="keywordflow">if</span>(header_name.compare(<span class="stringliteral">"ENCODING"</span>)==0) {
+<a name="l00173"></a>00173                 ofx_encoding.assign(header_value);
+<a name="l00174"></a>00174               }
+<a name="l00175"></a>00175               <span class="keywordflow">if</span>(header_name.compare(<span class="stringliteral">"CHARSET"</span>)==0) {
+<a name="l00176"></a>00176                 ofx_charset.assign(header_value);
+<a name="l00177"></a>00177               }
+<a name="l00178"></a>00178             }
+<a name="l00179"></a>00179           }
+<a name="l00180"></a>00180 
+<a name="l00181"></a>00181           <span class="keywordflow">if</span>(ofx_start==<span class="keyword">true</span> &amp;&amp; ofx_end==<span class="keyword">false</span>){
+<a name="l00182"></a>00182             s_buffer=<a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(s_buffer);
+<a name="l00183"></a>00183             <span class="comment">//cout&lt;&lt; s_buffer&lt;&lt;"\n";</span>
+<a name="l00184"></a>00184 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00185"></a>00185 <span class="preprocessor"></span>            memset(iconv_buffer,0,<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>);
+<a name="l00186"></a>00186             <span class="keywordtype">size_t</span> inbytesleft = strlen(s_buffer.c_str());
+<a name="l00187"></a>00187             <span class="keywordtype">size_t</span> outbytesleft = <a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>;
+<a name="l00188"></a>00188 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00189"></a>00189 <span class="preprocessor"></span>            <span class="keyword">const</span> <span class="keywordtype">char</span> * inchar = (<span class="keyword">const</span> <span class="keywordtype">char</span> *)s_buffer.c_str();
+<a name="l00190"></a>00190 <span class="preprocessor">#else</span>
+<a name="l00191"></a>00191 <span class="preprocessor"></span>            <span class="keywordtype">char</span> * inchar = (<span class="keywordtype">char</span> *)s_buffer.c_str();
+<a name="l00192"></a>00192 <span class="preprocessor">#endif</span>
+<a name="l00193"></a>00193 <span class="preprocessor"></span>            <span class="keywordtype">char</span> * outchar = iconv_buffer;
+<a name="l00194"></a>00194             <span class="keywordtype">int</span> iconv_retval = iconv (conversion_descriptor,
+<a name="l00195"></a>00195                     &amp;inchar, &amp;inbytesleft,
+<a name="l00196"></a>00196                    &amp;outchar, &amp;outbytesleft);
+<a name="l00197"></a>00197             <span class="keywordflow">if</span>(iconv_retval==-1){
+<a name="l00198"></a>00198               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Conversion error"</span>);
+<a name="l00199"></a>00199             }
+<a name="l00200"></a>00200             s_buffer = iconv_buffer;
+<a name="l00201"></a>00201 <span class="preprocessor">#endif</span>
+<a name="l00202"></a>00202 <span class="preprocessor"></span>              tmp_file.write(s_buffer.c_str(), s_buffer.length());
+<a name="l00203"></a>00203           }
+<a name="l00204"></a>00204           
+<a name="l00205"></a>00205           <span class="keywordflow">if</span> (ofx_start==<span class="keyword">true</span> &amp;&amp;
+<a name="l00206"></a>00206               (
+<a name="l00207"></a>00207                (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a> &amp;&amp;
+<a name="l00208"></a>00208                 ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/OFX&gt;"</span>))!=string::npos ||
+<a name="l00209"></a>00209                  (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/ofx&gt;"</span>))!=string::npos))
+<a name="l00210"></a>00210                || (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a> &amp;&amp;
+<a name="l00211"></a>00211                    ((ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/OFC&gt;"</span>))!=string::npos ||
+<a name="l00212"></a>00212                     (ofx_start_idx=s_buffer.find(<span class="stringliteral">"&lt;/ofc&gt;"</span>))!=string::npos))
+<a name="l00213"></a>00213               )
+<a name="l00214"></a>00214              )
+<a name="l00215"></a>00215             {
+<a name="l00216"></a>00216               ofx_end=<span class="keyword">true</span>;
+<a name="l00217"></a>00217               <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;/OFX&gt; or &lt;/OFC&gt;  has been found"</span>);
+<a name="l00218"></a>00218             }
+<a name="l00219"></a>00219 
+<a name="l00220"></a>00220         } <span class="keywordflow">while</span>(!input_file.eof()&amp;&amp;!input_file.bad());
+<a name="l00221"></a>00221       }
+<a name="l00222"></a>00222     input_file.close();
+<a name="l00223"></a>00223     tmp_file.close();
+<a name="l00224"></a>00224 <span class="preprocessor">#ifdef HAVE_ICONV</span>
+<a name="l00225"></a>00225 <span class="preprocessor"></span>              iconv_close(conversion_descriptor);
+<a name="l00226"></a>00226 <span class="preprocessor">#endif</span>
+<a name="l00227"></a>00227 <span class="preprocessor"></span>    <span class="keywordtype">char</span> filename_openspdtd[255];
+<a name="l00228"></a>00228     <span class="keywordtype">char</span> filename_dtd[255];
+<a name="l00229"></a>00229     <span class="keywordtype">char</span> filename_ofx[255];
+<a name="l00230"></a>00230     strncpy(filename_openspdtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">OPENSPDCL_FILENAME</a>).c_str(),255);<span class="comment">//The opensp sgml dtd file</span>
+<a name="l00231"></a>00231     <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>)
+<a name="l00232"></a>00232       {
+<a name="l00233"></a>00233         strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">OFX160DTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofx dtd file</span>
+<a name="l00234"></a>00234       }
+<a name="l00235"></a>00235     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>)
+<a name="l00236"></a>00236       {
+<a name="l00237"></a>00237         strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">OFCDTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofc dtd file</span>
+<a name="l00238"></a>00238       }
+<a name="l00239"></a>00239     <span class="keywordflow">else</span>
+<a name="l00240"></a>00240       {
+<a name="l00241"></a>00241         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00242"></a>00242       }
+<a name="l00243"></a>00243 
+<a name="l00244"></a>00244     <span class="keywordflow">if</span>((<span class="keywordtype">string</span>)filename_dtd!=<span class="stringliteral">""</span> &amp;&amp; (<span class="keywordtype">string</span>)filename_openspdtd!=<span class="stringliteral">""</span>)
+<a name="l00245"></a>00245       {
+<a name="l00246"></a>00246         strncpy(filename_ofx,tmp_filename,255);<span class="comment">//The processed ofx file</span>
+<a name="l00247"></a>00247         filenames[0]=filename_openspdtd;
+<a name="l00248"></a>00248         filenames[1]=filename_dtd;
+<a name="l00249"></a>00249         filenames[2]=filename_ofx;
+<a name="l00250"></a>00250         <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>)
+<a name="l00251"></a>00251           {
+<a name="l00252"></a>00252             <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00253"></a>00253           }
+<a name="l00254"></a>00254         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>)
+<a name="l00255"></a>00255           {
+<a name="l00256"></a>00256             <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00257"></a>00257           }
+<a name="l00258"></a>00258         <span class="keywordflow">else</span>
+<a name="l00259"></a>00259           {
+<a name="l00260"></a>00260             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00261"></a>00261           }
+<a name="l00262"></a>00262         <span class="keywordflow">if</span>(<span class="keyword">remove</span>(tmp_filename)!=0)
+<a name="l00263"></a>00263           {
+<a name="l00264"></a>00264             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Error deleting temporary file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00265"></a>00265           }
+<a name="l00266"></a>00266       }
+<a name="l00267"></a>00267     <span class="keywordflow">else</span>
+<a name="l00268"></a>00268       {
+<a name="l00269"></a>00269         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): FATAL: Missing DTD, aborting"</span>);
+<a name="l00270"></a>00270       }
 <a name="l00271"></a>00271   }
-<a name="l00272"></a>00272   <span class="keywordflow">else</span> {
-<a name="l00273"></a>00273     <span class="comment">// erase everything after the /OFX tag</span>
-<a name="l00274"></a>00274     s_buffer.erase(pos+6);
-<a name="l00275"></a>00275     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OFX&gt; has been found"</span>);
-<a name="l00276"></a>00276   }
+<a name="l00272"></a>00272   <span class="keywordflow">else</span>{
+<a name="l00273"></a>00273     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():No input file specified"</span>);
+<a name="l00274"></a>00274   }
+<a name="l00275"></a>00275   <span class="keywordflow">return</span> 0;
+<a name="l00276"></a>00276 }
 <a name="l00277"></a>00277 
-<a name="l00278"></a>00278   s_buffer=<a class="code" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a>(s_buffer);
-<a name="l00279"></a>00279   tmp_file.write(s_buffer.c_str(), s_buffer.length());
-<a name="l00280"></a>00280 
-<a name="l00281"></a>00281   tmp_file.close();
-<a name="l00282"></a>00282 
-<a name="l00283"></a>00283   <span class="keywordtype">char</span> filename_openspdtd[255];
-<a name="l00284"></a>00284   <span class="keywordtype">char</span> filename_dtd[255];
-<a name="l00285"></a>00285   <span class="keywordtype">char</span> filename_ofx[255];
-<a name="l00286"></a>00286   strncpy(filename_openspdtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">OPENSPDCL_FILENAME</a>).c_str(),255);<span class="comment">//The opensp sgml dtd file</span>
-<a name="l00287"></a>00287   <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>){
-<a name="l00288"></a>00288     strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">OFX160DTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofx dtd file</span>
-<a name="l00289"></a>00289   }
-<a name="l00290"></a>00290   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>){
-<a name="l00291"></a>00291     strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(<a class="code" href="ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">OFCDTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofc dtd file</span>
-<a name="l00292"></a>00292   }
-<a name="l00293"></a>00293   <span class="keywordflow">else</span> {
-<a name="l00294"></a>00294     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,string(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00278"></a>00278 
+<a name="l00279"></a>00279 
+<a name="l00280"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">00280</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="inc_2libofx_8h.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx,
+<a name="l00281"></a>00281                             <span class="keyword">const</span> <span class="keywordtype">char</span> *s, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size){
+<a name="l00282"></a>00282   ofstream tmp_file;
+<a name="l00283"></a>00283   <span class="keywordtype">string</span> s_buffer;
+<a name="l00284"></a>00284   <span class="keywordtype">char</span> *filenames[3];
+<a name="l00285"></a>00285   <span class="keywordtype">char</span> tmp_filename[256];
+<a name="l00286"></a>00286   ssize_t pos;
+<a name="l00287"></a>00287   <a class="code" href="classLibofxContext.html">LibofxContext</a> *libofx_context;
+<a name="l00288"></a>00288 
+<a name="l00289"></a>00289   libofx_context=(<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx;
+<a name="l00290"></a>00290 
+<a name="l00291"></a>00291   <span class="keywordflow">if</span> (size==0) {
+<a name="l00292"></a>00292     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,
+<a name="l00293"></a>00293                 <span class="stringliteral">"ofx_proc_file(): bad size"</span>);
+<a name="l00294"></a>00294     <span class="keywordflow">return</span> -1;
 <a name="l00295"></a>00295   }
-<a name="l00296"></a>00296 
-<a name="l00297"></a>00297   <span class="keywordflow">if</span>((string)filename_dtd!=<span class="stringliteral">""</span> &amp;&amp; (string)filename_openspdtd!=<span class="stringliteral">""</span>){
-<a name="l00298"></a>00298     strncpy(filename_ofx,tmp_filename,255);<span class="comment">//The processed ofx file</span>
-<a name="l00299"></a>00299     filenames[0]=filename_openspdtd;
-<a name="l00300"></a>00300     filenames[1]=filename_dtd;
-<a name="l00301"></a>00301     filenames[2]=filename_ofx;
-<a name="l00302"></a>00302     <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84fe1965b308c1707453a2f21f81fc6d57">OFX</a>){
-<a name="l00303"></a>00303       <a class="code" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a>(libofx_context, 3,filenames);
-<a name="l00304"></a>00304     }
-<a name="l00305"></a>00305     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;currentFileType()==<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd8446cd06768ae2b26e672db0177cc82712">OFC</a>){
-<a name="l00306"></a>00306       <a class="code" href="ofc__sgml_8cpp.html#cf526ca0ea3e6ed91c719bfb686663f7">ofc_proc_sgml</a>(libofx_context, 3,filenames);
-<a name="l00307"></a>00307     }
-<a name="l00308"></a>00308     <span class="keywordflow">else</span> {
-<a name="l00309"></a>00309       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,string(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
-<a name="l00310"></a>00310     }
-<a name="l00311"></a>00311     <span class="keywordflow">if</span>(remove(tmp_filename)!=0){
-<a name="l00312"></a>00312       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Error deleting temporary file "</span>+string(tmp_filename));
-<a name="l00313"></a>00313     }
-<a name="l00314"></a>00314   }
-<a name="l00315"></a>00315   <span class="keywordflow">else</span> {
-<a name="l00316"></a>00316     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): FATAL: Missing DTD, aborting"</span>);
+<a name="l00296"></a>00296   s_buffer=string(s, size);
+<a name="l00297"></a>00297 
+<a name="l00298"></a>00298   <a class="code" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a>(<span class="stringliteral">"libofxtmpXXXXXX"</span>, tmp_filename, <span class="keyword">sizeof</span>(tmp_filename));
+<a name="l00299"></a>00299   mkstemp(tmp_filename);
+<a name="l00300"></a>00300   tmp_file.open(tmp_filename);
+<a name="l00301"></a>00301 
+<a name="l00302"></a>00302   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file(): Creating temp file: "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00303"></a>00303   <span class="keywordflow">if</span>(!tmp_file){
+<a name="l00304"></a>00304     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file():Unable to open the output file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00305"></a>00305     <span class="keywordflow">return</span> -1;
+<a name="l00306"></a>00306   }
+<a name="l00307"></a>00307 
+<a name="l00308"></a>00308   <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>) {
+<a name="l00309"></a>00309     pos=s_buffer.find(<span class="stringliteral">"&lt;OFX&gt;"</span>);
+<a name="l00310"></a>00310     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00311"></a>00311       pos=s_buffer.find(<span class="stringliteral">"&lt;ofx&gt;"</span>);
+<a name="l00312"></a>00312   }
+<a name="l00313"></a>00313   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>) {
+<a name="l00314"></a>00314     pos=s_buffer.find(<span class="stringliteral">"&lt;OFC&gt;"</span>);
+<a name="l00315"></a>00315     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00316"></a>00316       pos=s_buffer.find(<span class="stringliteral">"&lt;ofc&gt;"</span>);
 <a name="l00317"></a>00317   }
-<a name="l00318"></a>00318 
-<a name="l00319"></a>00319   <span class="keywordflow">return</span> 0;
-<a name="l00320"></a>00320 }
-<a name="l00321"></a>00321 
-<a name="l00322"></a>00322 
-<a name="l00323"></a>00323 
-<a name="l00324"></a>00324 
-<a name="l00325"></a>00325 
-<a name="l00326"></a>00326 
-<a name="l00331"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#1081ea6fa992f51998090e4c24d6cc64">00331</a> string <a class="code" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a>(string input_string)
-<a name="l00332"></a>00332 {
-<a name="l00333"></a>00333   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i;
-<a name="l00334"></a>00334   size_t input_string_size;
-<a name="l00335"></a>00335   <span class="keywordtype">bool</span> strip=<span class="keyword">false</span>;
-<a name="l00336"></a>00336   <span class="keywordtype">bool</span> tag_open=<span class="keyword">false</span>;
-<a name="l00337"></a>00337   <span class="keywordtype">int</span> tag_open_idx=0;<span class="comment">//Are we within &lt; &gt; ?</span>
-<a name="l00338"></a>00338   <span class="keywordtype">bool</span> closing_tag_open=<span class="keyword">false</span>;<span class="comment">//Are we within &lt;/ &gt; ?</span>
-<a name="l00339"></a>00339   <span class="keywordtype">int</span> orig_tag_open_idx=0;
-<a name="l00340"></a>00340   <span class="keywordtype">bool</span> proprietary_tag=<span class="keyword">false</span>; <span class="comment">//Are we within a proprietary element?</span>
-<a name="l00341"></a>00341   <span class="keywordtype">bool</span> proprietary_closing_tag=<span class="keyword">false</span>;
-<a name="l00342"></a>00342   <span class="keywordtype">int</span> crop_end_idx=0;
-<a name="l00343"></a>00343   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
-<a name="l00344"></a>00344   <span class="keywordtype">char</span> tagname[<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
-<a name="l00345"></a>00345   <span class="keywordtype">int</span> tagname_idx=0;
-<a name="l00346"></a>00346   <span class="keywordtype">char</span> close_tagname[<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
-<a name="l00347"></a>00347  
-<a name="l00348"></a>00348   <span class="keywordflow">for</span>(i=0;i&lt;<a class="code" href="file__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a>;i++){
-<a name="l00349"></a>00349     buffer[i]=0;
-<a name="l00350"></a>00350     tagname[i]=0;
-<a name="l00351"></a>00351     close_tagname[i]=0;
-<a name="l00352"></a>00352   }
-<a name="l00353"></a>00353   
-<a name="l00354"></a>00354   input_string_size=input_string.size();
-<a name="l00355"></a>00355   
-<a name="l00356"></a>00356   <span class="keywordflow">for</span>(i=0;i&lt;=input_string_size;i++){
-<a name="l00357"></a>00357     <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'&lt;'</span>){
-<a name="l00358"></a>00358       tag_open=<span class="keyword">true</span>;
-<a name="l00359"></a>00359       tag_open_idx=i;
-<a name="l00360"></a>00360       <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>&amp;&amp;input_string.c_str()[i+1]==<span class="charliteral">'/'</span>){
-<a name="l00361"></a>00361         <span class="comment">//We are now in a closing tag</span>
-<a name="l00362"></a>00362         closing_tag_open=<span class="keyword">true</span>;
-<a name="l00363"></a>00363         <span class="comment">//cout&lt;&lt;"Comparaison: "&lt;&lt;tagname&lt;&lt;"|"&lt;&lt;&amp;(input_string.c_str()[i+2])&lt;&lt;"|"&lt;&lt;strlen(tagname)&lt;&lt;endl;</span>
-<a name="l00364"></a>00364         <span class="keywordflow">if</span>(strncmp(tagname,&amp;(input_string.c_str()[i+2]),strlen(tagname))!=0){
-<a name="l00365"></a>00365           <span class="comment">//If it is the begining of an other tag</span>
-<a name="l00366"></a>00366           <span class="comment">//cout&lt;&lt;"DIFFERENT!"&lt;&lt;endl;</span>
-<a name="l00367"></a>00367           crop_end_idx=i-1;
-<a name="l00368"></a>00368           strip=<span class="keyword">true</span>;
-<a name="l00369"></a>00369         }
-<a name="l00370"></a>00370         <span class="keywordflow">else</span>{
-<a name="l00371"></a>00371           <span class="comment">//Otherwise, it is the start of the closing tag of the proprietary tag</span>
-<a name="l00372"></a>00372           proprietary_closing_tag=<span class="keyword">true</span>;
-<a name="l00373"></a>00373         }
-<a name="l00374"></a>00374       }
-<a name="l00375"></a>00375       <span class="keywordflow">else</span> <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>){
-<a name="l00376"></a>00376         <span class="comment">//It is the start of a new tag, following a proprietary tag</span>
-<a name="l00377"></a>00377         crop_end_idx=i-1;
-<a name="l00378"></a>00378         strip=<span class="keyword">true</span>;
-<a name="l00379"></a>00379       }
-<a name="l00380"></a>00380     }
-<a name="l00381"></a>00381     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'&gt;'</span>){
-<a name="l00382"></a>00382       tag_open=<span class="keyword">false</span>;
-<a name="l00383"></a>00383       closing_tag_open=<span class="keyword">false</span>;
-<a name="l00384"></a>00384       tagname[tagname_idx]=0;
-<a name="l00385"></a>00385       tagname_idx=0;
-<a name="l00386"></a>00386       <span class="keywordflow">if</span>(proprietary_closing_tag==<span class="keyword">true</span>){
-<a name="l00387"></a>00387         crop_end_idx=i;
-<a name="l00388"></a>00388         strip=<span class="keyword">true</span>;
-<a name="l00389"></a>00389       }
+<a name="l00318"></a>00318   <span class="keywordflow">else</span> {
+<a name="l00319"></a>00319     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc(): unknown file type"</span>);
+<a name="l00320"></a>00320     <span class="keywordflow">return</span> -1;
+<a name="l00321"></a>00321   }
+<a name="l00322"></a>00322   <span class="keywordflow">if</span> (pos==string::npos || pos &gt; s_buffer.size()) {
+<a name="l00323"></a>00323     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc():&lt;OFX&gt; has not been found"</span>);
+<a name="l00324"></a>00324     <span class="keywordflow">return</span> -1;
+<a name="l00325"></a>00325   }
+<a name="l00326"></a>00326   <span class="keywordflow">else</span> {
+<a name="l00327"></a>00327     <span class="comment">// erase everything before the OFX tag</span>
+<a name="l00328"></a>00328     s_buffer.erase(0, pos);
+<a name="l00329"></a>00329     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OF?&gt; has been found"</span>);
+<a name="l00330"></a>00330   }
+<a name="l00331"></a>00331 
+<a name="l00332"></a>00332   <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>) {
+<a name="l00333"></a>00333     pos=s_buffer.find(<span class="stringliteral">"&lt;/OFX&gt;"</span>);
+<a name="l00334"></a>00334     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00335"></a>00335       pos=s_buffer.find(<span class="stringliteral">"&lt;/ofx&gt;"</span>);
+<a name="l00336"></a>00336   }
+<a name="l00337"></a>00337   <span class="keywordflow">else</span> <span class="keywordflow">if</span> (libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>) {
+<a name="l00338"></a>00338     pos=s_buffer.find(<span class="stringliteral">"&lt;/OFC&gt;"</span>);
+<a name="l00339"></a>00339     <span class="keywordflow">if</span> (pos==string::npos)
+<a name="l00340"></a>00340       pos=s_buffer.find(<span class="stringliteral">"&lt;/ofc&gt;"</span>);
+<a name="l00341"></a>00341   }
+<a name="l00342"></a>00342   <span class="keywordflow">else</span> {
+<a name="l00343"></a>00343     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc(): unknown file type"</span>);
+<a name="l00344"></a>00344     <span class="keywordflow">return</span> -1;
+<a name="l00345"></a>00345   }
+<a name="l00346"></a>00346 
+<a name="l00347"></a>00347   <span class="keywordflow">if</span> (pos==string::npos || pos &gt; s_buffer.size()) {
+<a name="l00348"></a>00348     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc():&lt;/OF?&gt; has not been found"</span>);
+<a name="l00349"></a>00349     <span class="keywordflow">return</span> -1;
+<a name="l00350"></a>00350   }
+<a name="l00351"></a>00351   <span class="keywordflow">else</span> {
+<a name="l00352"></a>00352     <span class="comment">// erase everything after the /OFX tag</span>
+<a name="l00353"></a>00353     <span class="keywordflow">if</span> (s_buffer.size() &gt; pos+6)
+<a name="l00354"></a>00354       s_buffer.erase(pos+6);
+<a name="l00355"></a>00355     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"ofx_proc_file():&lt;OFX&gt; has been found"</span>);
+<a name="l00356"></a>00356   }
+<a name="l00357"></a>00357 
+<a name="l00358"></a>00358   s_buffer=<a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(s_buffer);
+<a name="l00359"></a>00359   tmp_file.write(s_buffer.c_str(), s_buffer.length());
+<a name="l00360"></a>00360 
+<a name="l00361"></a>00361   tmp_file.close();
+<a name="l00362"></a>00362 
+<a name="l00363"></a>00363   <span class="keywordtype">char</span> filename_openspdtd[255];
+<a name="l00364"></a>00364   <span class="keywordtype">char</span> filename_dtd[255];
+<a name="l00365"></a>00365   <span class="keywordtype">char</span> filename_ofx[255];
+<a name="l00366"></a>00366   strncpy(filename_openspdtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">OPENSPDCL_FILENAME</a>).c_str(),255);<span class="comment">//The opensp sgml dtd file</span>
+<a name="l00367"></a>00367   <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>){
+<a name="l00368"></a>00368     strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">OFX160DTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofx dtd file</span>
+<a name="l00369"></a>00369   }
+<a name="l00370"></a>00370   <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>){
+<a name="l00371"></a>00371     strncpy(filename_dtd,<a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(ctx, <a class="code" href="ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">OFCDTD_FILENAME</a>).c_str(),255);<span class="comment">//The ofc dtd file</span>
+<a name="l00372"></a>00372   }
+<a name="l00373"></a>00373   <span class="keywordflow">else</span> {
+<a name="l00374"></a>00374     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
+<a name="l00375"></a>00375   }
+<a name="l00376"></a>00376 
+<a name="l00377"></a>00377   <span class="keywordflow">if</span>((<span class="keywordtype">string</span>)filename_dtd!=<span class="stringliteral">""</span> &amp;&amp; (<span class="keywordtype">string</span>)filename_openspdtd!=<span class="stringliteral">""</span>){
+<a name="l00378"></a>00378     strncpy(filename_ofx,tmp_filename,255);<span class="comment">//The processed ofx file</span>
+<a name="l00379"></a>00379     filenames[0]=filename_openspdtd;
+<a name="l00380"></a>00380     filenames[1]=filename_dtd;
+<a name="l00381"></a>00381     filenames[2]=filename_ofx;
+<a name="l00382"></a>00382     <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de08ab55dc6141faaa0b67a401e9a8801d">OFX</a>){
+<a name="l00383"></a>00383       <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00384"></a>00384     }
+<a name="l00385"></a>00385     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(libofx_context-&gt;<a class="code" href="classLibofxContext.html#bce0e8268dfd2bf42c795cef81367388">currentFileType</a>()==<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736debd42446b99427483c7f3bee70bb217f7">OFC</a>){
+<a name="l00386"></a>00386       <a class="code" href="ofc__sgml_8cpp.html#ee7c042ff1c1d0ee11c693a9617735e5" title="Parses a DTD and OFX file(s).">ofc_proc_sgml</a>(libofx_context, 3,filenames);
+<a name="l00387"></a>00387     }
+<a name="l00388"></a>00388     <span class="keywordflow">else</span> {
+<a name="l00389"></a>00389       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="keywordtype">string</span>(<span class="stringliteral">"ofx_proc_file(): Error unknown file format for the OFX parser"</span>));
 <a name="l00390"></a>00390     }
-<a name="l00391"></a>00391     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(tag_open==<span class="keyword">true</span>&amp;&amp;closing_tag_open==<span class="keyword">false</span>){
-<a name="l00392"></a>00392       <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'.'</span>){
-<a name="l00393"></a>00393         <span class="keywordflow">if</span>(proprietary_tag!=<span class="keyword">true</span>){
-<a name="l00394"></a>00394           orig_tag_open_idx = tag_open_idx;
-<a name="l00395"></a>00395           proprietary_tag=<span class="keyword">true</span>;
-<a name="l00396"></a>00396         }
-<a name="l00397"></a>00397       }
-<a name="l00398"></a>00398       tagname[tagname_idx]=input_string.c_str()[i];
-<a name="l00399"></a>00399       tagname_idx++;
-<a name="l00400"></a>00400     }
-<a name="l00401"></a>00401     <span class="comment">//cerr &lt;&lt;i&lt;&lt;endl;</span>
-<a name="l00402"></a>00402     <span class="keywordflow">if</span>(strip==<span class="keyword">true</span>)
-<a name="l00403"></a>00403       {
-<a name="l00404"></a>00404         input_string.copy(buffer,(crop_end_idx-orig_tag_open_idx)+1,orig_tag_open_idx);
-<a name="l00405"></a>00405         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>,<span class="stringliteral">"sanitize_proprietary_tags() (end tag or new tag) removed: "</span>+string(buffer));
-<a name="l00406"></a>00406         input_string.erase(orig_tag_open_idx,(crop_end_idx-orig_tag_open_idx)+1);
-<a name="l00407"></a>00407         i=orig_tag_open_idx-1;
-<a name="l00408"></a>00408         proprietary_tag=<span class="keyword">false</span>;
-<a name="l00409"></a>00409         proprietary_closing_tag=<span class="keyword">false</span>;
-<a name="l00410"></a>00410         closing_tag_open=<span class="keyword">false</span>;
-<a name="l00411"></a>00411         tag_open=<span class="keyword">false</span>;
-<a name="l00412"></a>00412         strip=<span class="keyword">false</span>;
-<a name="l00413"></a>00413       }
-<a name="l00414"></a>00414 
-<a name="l00415"></a>00415   }<span class="comment">//end for</span>
-<a name="l00416"></a>00416   <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>){
-<a name="l00417"></a>00417     <span class="keywordflow">if</span>(crop_end_idx==0){<span class="comment">//no closing tag</span>
-<a name="l00418"></a>00418       crop_end_idx=input_string.size()-1;
-<a name="l00419"></a>00419     }
-<a name="l00420"></a>00420     input_string.copy(buffer,(crop_end_idx-orig_tag_open_idx)+1,orig_tag_open_idx);
-<a name="l00421"></a>00421     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>,<span class="stringliteral">"sanitize_proprietary_tags() (end of line) removed: "</span>+string(buffer));
-<a name="l00422"></a>00422     input_string.erase(orig_tag_open_idx,(crop_end_idx-orig_tag_open_idx)+1);
-<a name="l00423"></a>00423   }
-<a name="l00424"></a>00424   <span class="keywordflow">return</span> input_string;
-<a name="l00425"></a>00425 }
-<a name="l00426"></a>00426 
-<a name="l00427"></a>00427 
-<a name="l00428"></a>00428 
-<a name="l00434"></a><a class="code" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html#5efb55f65bf1d51e4863c6cc1c10439c">00434</a> string <a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(string dtd_filename)
-<a name="l00435"></a>00435 {
-<a name="l00436"></a>00436   <span class="keywordtype">int</span> i;
-<a name="l00437"></a>00437   ifstream dtd_file;
-<a name="l00438"></a>00438   string dtd_path_filename;
-<a name="l00439"></a>00439   <span class="keywordtype">bool</span> dtd_found=<span class="keyword">false</span>;
-<a name="l00440"></a>00440 
-<a name="l00441"></a>00441   <span class="keywordflow">for</span>(i=0;i&lt;<a class="code" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a>&amp;&amp;dtd_found==<span class="keyword">false</span>;i++){
-<a name="l00442"></a>00442     dtd_path_filename=<a class="code" href="ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">DTD_SEARCH_PATH</a>[i];
-<a name="l00443"></a>00443     dtd_path_filename.append(dtd_filename);
-<a name="l00444"></a>00444     dtd_file.clear();
-<a name="l00445"></a>00445     dtd_file.open(dtd_path_filename.c_str());
-<a name="l00446"></a>00446     <span class="keywordflow">if</span>(!dtd_file){
-<a name="l00447"></a>00447       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"find_dtd():Unable to open the file "</span>+dtd_path_filename);
-<a name="l00448"></a>00448     }
-<a name="l00449"></a>00449     <span class="keywordflow">else</span>{
-<a name="l00450"></a>00450       <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4ed79bb4ffb99273dc4d527026ebc169a0">STATUS</a>,<span class="stringliteral">"find_dtd():DTD found: "</span>+dtd_path_filename);
-<a name="l00451"></a>00451       dtd_file.close();
-<a name="l00452"></a>00452       dtd_found=<span class="keyword">true</span>;
-<a name="l00453"></a>00453     }
-<a name="l00454"></a>00454   }
-<a name="l00455"></a>00455   <span class="keywordflow">if</span>(dtd_found==<span class="keyword">false</span>){
-<a name="l00456"></a>00456     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"find_dtd():Unable to find the DTD named "</span> + dtd_filename);
-<a name="l00457"></a>00457     dtd_path_filename=<span class="stringliteral">""</span>;
-<a name="l00458"></a>00458   }
-<a name="l00459"></a>00459   <span class="keywordflow">return</span> dtd_path_filename;
-<a name="l00460"></a>00460 }
-<a name="l00461"></a>00461 
-<a name="l00462"></a>00462 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00391"></a>00391     <span class="keywordflow">if</span>(<span class="keyword">remove</span>(tmp_filename)!=0){
+<a name="l00392"></a>00392       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): Error deleting temporary file "</span>+<span class="keywordtype">string</span>(tmp_filename));
+<a name="l00393"></a>00393     }
+<a name="l00394"></a>00394   }
+<a name="l00395"></a>00395   <span class="keywordflow">else</span> {
+<a name="l00396"></a>00396     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"ofx_proc_file(): FATAL: Missing DTD, aborting"</span>);
+<a name="l00397"></a>00397   }
+<a name="l00398"></a>00398 
+<a name="l00399"></a>00399   <span class="keywordflow">return</span> 0;
+<a name="l00400"></a>00400 }
+<a name="l00401"></a>00401 
+<a name="l00402"></a>00402 
+<a name="l00403"></a>00403 
+<a name="l00404"></a>00404 
+<a name="l00405"></a>00405 
+<a name="l00406"></a>00406 
+<a name="l00411"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#cdbd49c3c11946411dd76016609bd333">00411</a> <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(<span class="keywordtype">string</span> input_string)
+<a name="l00412"></a>00412 {
+<a name="l00413"></a>00413   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i;
+<a name="l00414"></a>00414   <span class="keywordtype">size_t</span> input_string_size;
+<a name="l00415"></a>00415   <span class="keywordtype">bool</span> strip=<span class="keyword">false</span>;
+<a name="l00416"></a>00416   <span class="keywordtype">bool</span> tag_open=<span class="keyword">false</span>;
+<a name="l00417"></a>00417   <span class="keywordtype">int</span> tag_open_idx=0;<span class="comment">//Are we within &lt; &gt; ?</span>
+<a name="l00418"></a>00418   <span class="keywordtype">bool</span> closing_tag_open=<span class="keyword">false</span>;<span class="comment">//Are we within &lt;/ &gt; ?</span>
+<a name="l00419"></a>00419   <span class="keywordtype">int</span> orig_tag_open_idx=0;
+<a name="l00420"></a>00420   <span class="keywordtype">bool</span> proprietary_tag=<span class="keyword">false</span>; <span class="comment">//Are we within a proprietary element?</span>
+<a name="l00421"></a>00421   <span class="keywordtype">bool</span> proprietary_closing_tag=<span class="keyword">false</span>;
+<a name="l00422"></a>00422   <span class="keywordtype">int</span> crop_end_idx=0;
+<a name="l00423"></a>00423   <span class="keywordtype">char</span> buffer[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
+<a name="l00424"></a>00424   <span class="keywordtype">char</span> tagname[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
+<a name="l00425"></a>00425   <span class="keywordtype">int</span> tagname_idx=0;
+<a name="l00426"></a>00426   <span class="keywordtype">char</span> close_tagname[<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>]=<span class="stringliteral">""</span>;
+<a name="l00427"></a>00427  
+<a name="l00428"></a>00428   <span class="keywordflow">for</span>(i=0;i&lt;<a class="code" href="file__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a>;i++){
+<a name="l00429"></a>00429     buffer[i]=0;
+<a name="l00430"></a>00430     tagname[i]=0;
+<a name="l00431"></a>00431     close_tagname[i]=0;
+<a name="l00432"></a>00432   }
+<a name="l00433"></a>00433   
+<a name="l00434"></a>00434   input_string_size=input_string.size();
+<a name="l00435"></a>00435   
+<a name="l00436"></a>00436   <span class="keywordflow">for</span>(i=0;i&lt;=input_string_size;i++){
+<a name="l00437"></a>00437     <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'&lt;'</span>){
+<a name="l00438"></a>00438       tag_open=<span class="keyword">true</span>;
+<a name="l00439"></a>00439       tag_open_idx=i;
+<a name="l00440"></a>00440       <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>&amp;&amp;input_string.c_str()[i+1]==<span class="charliteral">'/'</span>){
+<a name="l00441"></a>00441         <span class="comment">//We are now in a closing tag</span>
+<a name="l00442"></a>00442         closing_tag_open=<span class="keyword">true</span>;
+<a name="l00443"></a>00443         <span class="comment">//cout&lt;&lt;"Comparaison: "&lt;&lt;tagname&lt;&lt;"|"&lt;&lt;&amp;(input_string.c_str()[i+2])&lt;&lt;"|"&lt;&lt;strlen(tagname)&lt;&lt;endl;</span>
+<a name="l00444"></a>00444         <span class="keywordflow">if</span>(strncmp(tagname,&amp;(input_string.c_str()[i+2]),strlen(tagname))!=0){
+<a name="l00445"></a>00445           <span class="comment">//If it is the begining of an other tag</span>
+<a name="l00446"></a>00446           <span class="comment">//cout&lt;&lt;"DIFFERENT!"&lt;&lt;endl;</span>
+<a name="l00447"></a>00447           crop_end_idx=i-1;
+<a name="l00448"></a>00448           strip=<span class="keyword">true</span>;
+<a name="l00449"></a>00449         }
+<a name="l00450"></a>00450         <span class="keywordflow">else</span>{
+<a name="l00451"></a>00451           <span class="comment">//Otherwise, it is the start of the closing tag of the proprietary tag</span>
+<a name="l00452"></a>00452           proprietary_closing_tag=<span class="keyword">true</span>;
+<a name="l00453"></a>00453         }
+<a name="l00454"></a>00454       }
+<a name="l00455"></a>00455       <span class="keywordflow">else</span> <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>){
+<a name="l00456"></a>00456         <span class="comment">//It is the start of a new tag, following a proprietary tag</span>
+<a name="l00457"></a>00457         crop_end_idx=i-1;
+<a name="l00458"></a>00458         strip=<span class="keyword">true</span>;
+<a name="l00459"></a>00459       }
+<a name="l00460"></a>00460     }
+<a name="l00461"></a>00461     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'&gt;'</span>){
+<a name="l00462"></a>00462       tag_open=<span class="keyword">false</span>;
+<a name="l00463"></a>00463       closing_tag_open=<span class="keyword">false</span>;
+<a name="l00464"></a>00464       tagname[tagname_idx]=0;
+<a name="l00465"></a>00465       tagname_idx=0;
+<a name="l00466"></a>00466       <span class="keywordflow">if</span>(proprietary_closing_tag==<span class="keyword">true</span>){
+<a name="l00467"></a>00467         crop_end_idx=i;
+<a name="l00468"></a>00468         strip=<span class="keyword">true</span>;
+<a name="l00469"></a>00469       }
+<a name="l00470"></a>00470     }
+<a name="l00471"></a>00471     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(tag_open==<span class="keyword">true</span>&amp;&amp;closing_tag_open==<span class="keyword">false</span>){
+<a name="l00472"></a>00472       <span class="keywordflow">if</span>(input_string.c_str()[i]==<span class="charliteral">'.'</span>){
+<a name="l00473"></a>00473         <span class="keywordflow">if</span>(proprietary_tag!=<span class="keyword">true</span>){
+<a name="l00474"></a>00474           orig_tag_open_idx = tag_open_idx;
+<a name="l00475"></a>00475           proprietary_tag=<span class="keyword">true</span>;
+<a name="l00476"></a>00476         }
+<a name="l00477"></a>00477       }
+<a name="l00478"></a>00478       tagname[tagname_idx]=input_string.c_str()[i];
+<a name="l00479"></a>00479       tagname_idx++;
+<a name="l00480"></a>00480     }
+<a name="l00481"></a>00481     <span class="comment">//cerr &lt;&lt;i&lt;&lt;endl;</span>
+<a name="l00482"></a>00482     <span class="keywordflow">if</span>(strip==<span class="keyword">true</span>)
+<a name="l00483"></a>00483       {
+<a name="l00484"></a>00484         input_string.copy(buffer,(crop_end_idx-orig_tag_open_idx)+1,orig_tag_open_idx);
+<a name="l00485"></a>00485         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,<span class="stringliteral">"sanitize_proprietary_tags() (end tag or new tag) removed: "</span>+<span class="keywordtype">string</span>(buffer));
+<a name="l00486"></a>00486         input_string.erase(orig_tag_open_idx,(crop_end_idx-orig_tag_open_idx)+1);
+<a name="l00487"></a>00487         i=orig_tag_open_idx-1;
+<a name="l00488"></a>00488         proprietary_tag=<span class="keyword">false</span>;
+<a name="l00489"></a>00489         proprietary_closing_tag=<span class="keyword">false</span>;
+<a name="l00490"></a>00490         closing_tag_open=<span class="keyword">false</span>;
+<a name="l00491"></a>00491         tag_open=<span class="keyword">false</span>;
+<a name="l00492"></a>00492         strip=<span class="keyword">false</span>;
+<a name="l00493"></a>00493       }
+<a name="l00494"></a>00494 
+<a name="l00495"></a>00495   }<span class="comment">//end for</span>
+<a name="l00496"></a>00496   <span class="keywordflow">if</span>(proprietary_tag==<span class="keyword">true</span>){
+<a name="l00497"></a>00497     <span class="keywordflow">if</span>(crop_end_idx==0){<span class="comment">//no closing tag</span>
+<a name="l00498"></a>00498       crop_end_idx=input_string.size()-1;
+<a name="l00499"></a>00499     }
+<a name="l00500"></a>00500     input_string.copy(buffer,(crop_end_idx-orig_tag_open_idx)+1,orig_tag_open_idx);
+<a name="l00501"></a>00501     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>,<span class="stringliteral">"sanitize_proprietary_tags() (end of line) removed: "</span>+<span class="keywordtype">string</span>(buffer));
+<a name="l00502"></a>00502     input_string.erase(orig_tag_open_idx,(crop_end_idx-orig_tag_open_idx)+1);
+<a name="l00503"></a>00503   }
+<a name="l00504"></a>00504   <span class="keywordflow">return</span> input_string;
+<a name="l00505"></a>00505 }
+<a name="l00506"></a>00506 
+<a name="l00507"></a>00507 
+<a name="l00508"></a>00508 
+<a name="l00514"></a><a class="code" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html#a45231657cddffcb50db295076956183">00514</a> <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <span class="keywordtype">string</span> dtd_filename)
+<a name="l00515"></a>00515 {
+<a name="l00516"></a>00516   <span class="keywordtype">int</span> i;
+<a name="l00517"></a>00517   ifstream dtd_file;
+<a name="l00518"></a>00518   <span class="keywordtype">string</span> dtd_path_filename;
+<a name="l00519"></a>00519   <span class="keywordtype">bool</span> dtd_found=<span class="keyword">false</span>;
+<a name="l00520"></a>00520 
+<a name="l00521"></a>00521   dtd_path_filename=((<a class="code" href="classLibofxContext.html">LibofxContext</a>*)ctx)-&gt;dtdDir();
+<a name="l00522"></a>00522   <span class="keywordflow">if</span> (!dtd_path_filename.empty()) {
+<a name="l00523"></a>00523     dtd_path_filename.append(dtd_filename);
+<a name="l00524"></a>00524     dtd_file.clear();
+<a name="l00525"></a>00525     dtd_file.open(dtd_path_filename.c_str());
+<a name="l00526"></a>00526     <span class="keywordflow">if</span>(dtd_file){
+<a name="l00527"></a>00527       <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a>,<span class="stringliteral">"find_dtd():DTD found: "</span>+dtd_path_filename);
+<a name="l00528"></a>00528       dtd_file.close();
+<a name="l00529"></a>00529       dtd_found=<span class="keyword">true</span>;
+<a name="l00530"></a>00530     }
+<a name="l00531"></a>00531   }
+<a name="l00532"></a>00532 
+<a name="l00533"></a>00533   <span class="keywordflow">if</span> (!dtd_found) {
+<a name="l00534"></a>00534     <span class="keywordflow">for</span>(i=0;i&lt;<a class="code" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88" title="The number of different paths to search for DTDs.">DTD_SEARCH_PATH_NUM</a>&amp;&amp;dtd_found==<span class="keyword">false</span>;i++){
+<a name="l00535"></a>00535       dtd_path_filename=<a class="code" href="ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3" title="The list of paths to search for the DTDs.">DTD_SEARCH_PATH</a>[i];
+<a name="l00536"></a>00536       dtd_path_filename.append(dtd_filename);
+<a name="l00537"></a>00537       dtd_file.clear();
+<a name="l00538"></a>00538       dtd_file.open(dtd_path_filename.c_str());
+<a name="l00539"></a>00539       <span class="keywordflow">if</span>(!dtd_file){
+<a name="l00540"></a>00540         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"find_dtd():Unable to open the file "</span>+dtd_path_filename);
+<a name="l00541"></a>00541       }
+<a name="l00542"></a>00542       <span class="keywordflow">else</span>{
+<a name="l00543"></a>00543         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b15379688176677d49474245a6178d97">STATUS</a>,<span class="stringliteral">"find_dtd():DTD found: "</span>+dtd_path_filename);
+<a name="l00544"></a>00544         dtd_file.close();
+<a name="l00545"></a>00545         dtd_found=<span class="keyword">true</span>;
+<a name="l00546"></a>00546       }
+<a name="l00547"></a>00547     }
+<a name="l00548"></a>00548   }
+<a name="l00549"></a>00549 
+<a name="l00550"></a>00550   <span class="keywordflow">if</span>(dtd_found==<span class="keyword">false</span>){
+<a name="l00551"></a>00551     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"find_dtd():Unable to find the DTD named "</span> + dtd_filename);
+<a name="l00552"></a>00552     dtd_path_filename=<span class="stringliteral">""</span>;
+<a name="l00553"></a>00553   }
+<a name="l00554"></a>00554   <span class="keywordflow">return</span> dtd_path_filename;
+<a name="l00555"></a>00555 }
+<a name="l00556"></a>00556 
+<a name="l00557"></a>00557 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__preproc_8cpp.html'
--- doc/html/ofx__preproc_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__preproc_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,232 +1,207 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_preproc.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_preproc.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Preprocessing of the OFX files before parsing. 
 <p>
 Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD. 
-<p>
-Definition in file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.
+<p>Definition in file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__preproc_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="09a61c3060675652c8264d4a2ed4fce9"></a><!-- doxytag: member="ofx_preproc.cpp::LIBOFX_DEFAULT_INPUT_ENCODING" ref="09a61c3060675652c8264d4a2ed4fce9" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#09a61c3060675652c8264d4a2ed4fce9">LIBOFX_DEFAULT_INPUT_ENCODING</a>&nbsp;&nbsp;&nbsp;&quot;CP1252&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c27a6a130c3778f9fafbc6cc6b85481a"></a><!-- doxytag: member="ofx_preproc.cpp::LIBOFX_DEFAULT_OUTPUT_ENCODING" ref="c27a6a130c3778f9fafbc6cc6b85481a" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#c27a6a130c3778f9fafbc6cc6b85481a">LIBOFX_DEFAULT_OUTPUT_ENCODING</a>&nbsp;&nbsp;&nbsp;&quot;UTF-8&quot;</td></tr>
+
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_proc_file</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, const char *p_filename)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ofx_proc_file process an ofx or ofc file.  <a href="#7b1cf1b458173b5f65bc8d2663121202"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#b9071aa8248754f9886f5d3a4a904e00">libofx_proc_buffer</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> ctx, const char *s, unsigned int size)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a> (string input_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes proprietary tags and comments.  <a href="#1081ea6fa992f51998090e4c24d6cc64"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a> (string dtd_filename)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the appropriate DTD for the file version.  <a href="#5efb55f65bf1d51e4863c6cc1c10439c"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a">ofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, const char *p_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">File pre-processing of OFX AND for OFC files.  <a href="#f2eca18ef5a500e7f76ed180d0af8a0a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#02ee3c0b61d866f98fd0f15775d06895">libofx_proc_buffer</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, const char *s, unsigned int size)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333">sanitize_proprietary_tags</a> (string input_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes proprietary tags and comments.  <a href="#cdbd49c3c11946411dd76016609bd333"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183">find_dtd</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, string dtd_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the appropriate DTD for the file version.  <a href="#a45231657cddffcb50db295076956183"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="28ceb7515369bc9485582d52bafaa4ca"></a><!-- doxytag: member="ofx_preproc.cpp::DTD_SEARCH_PATH_NUM" ref="28ceb7515369bc9485582d52bafaa4ca" args="" -->
-const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a> = 3</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="877a644df33a5047e92386446c5cce88"></a><!-- doxytag: member="ofx_preproc.cpp::DTD_SEARCH_PATH_NUM" ref="877a644df33a5047e92386446c5cce88" args="" -->
+const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">DTD_SEARCH_PATH_NUM</a> = 3</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of different paths to search for DTDs. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">DTD_SEARCH_PATH</a> [<a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a>]</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">DTD_SEARCH_PATH</a> [<a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">DTD_SEARCH_PATH_NUM</a>]</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The list of paths to search for the DTDs.  <a href="#0f48385ce1749e68a87b61c8f5755742"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9eee3543dcaefab6e13ffd2868c07aaa"></a><!-- doxytag: member="ofx_preproc.cpp::READ_BUFFER_SIZE" ref="9eee3543dcaefab6e13ffd2868c07aaa" args="" -->
-const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#9eee3543dcaefab6e13ffd2868c07aaa">READ_BUFFER_SIZE</a> = 1024</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The list of paths to search for the DTDs.  <a href="#760a72b5e13c14b54c8eb0af7a4000d3"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3a4f15870bd5573d14fceb17c65162ee"></a><!-- doxytag: member="ofx_preproc.cpp::READ_BUFFER_SIZE" ref="3a4f15870bd5573d14fceb17c65162ee" args="" -->
+const unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8cpp.html#3a4f15870bd5573d14fceb17c65162ee">READ_BUFFER_SIZE</a> = 1024</td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="5efb55f65bf1d51e4863c6cc1c10439c"></a><!-- doxytag: member="ofx_preproc.cpp::find_dtd" ref="5efb55f65bf1d51e4863c6cc1c10439c" args="(string dtd_filename)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">string find_dtd           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>dtd_filename</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+<a class="anchor" name="a45231657cddffcb50db295076956183"></a><!-- doxytag: member="ofx_preproc.cpp::find_dtd" ref="a45231657cddffcb50db295076956183" args="(LibofxContextPtr ctx, string dtd_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string find_dtd           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>dtd_filename</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Find the appropriate DTD for the file version. 
 <p>
 This function will try to find a DTD matching the requested_version and return the full path of the DTD found (or an empty string if unsuccessfull)<p>
 Please note that currently the function will ALWAYS look for version 160, since OpenSP can't parse the 201 DTD correctly 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00434">434</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b9071aa8248754f9886f5d3a4a904e00"></a><!-- doxytag: member="ofx_preproc.cpp::libofx_proc_buffer" ref="b9071aa8248754f9886f5d3a4a904e00" args="(LibofxContextPtr ctx, const char *s, unsigned int size)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int libofx_proc_buffer           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>s</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>unsigned int&nbsp;</td>
-          <td class="mdname" nowrap> <em>size</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00514">514</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__preproc_8cpp-source.html#l00280">libofx_proc_buffer()</a>, and <a class="el" href="ofx__preproc_8cpp-source.html#l00070">ofx_proc_file()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="02ee3c0b61d866f98fd0f15775d06895"></a><!-- doxytag: member="ofx_preproc.cpp::libofx_proc_buffer" ref="02ee3c0b61d866f98fd0f15775d06895" args="(LibofxContextPtr ctx, const char *s, unsigned int size)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int libofx_proc_buffer           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>s</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">unsigned int&nbsp;</td>
+          <td class="paramname"> <em>size</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses the content of the given buffer. 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00201">201</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="7b1cf1b458173b5f65bc8d2663121202"></a><!-- doxytag: member="ofx_preproc.cpp::ofx_proc_file" ref="7b1cf1b458173b5f65bc8d2663121202" args="(LibofxContextPtr ctx, const char *p_filename)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int ofx_proc_file           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>p_filename</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00280">280</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f2eca18ef5a500e7f76ed180d0af8a0a"></a><!-- doxytag: member="ofx_preproc.cpp::ofx_proc_file" ref="f2eca18ef5a500e7f76ed180d0af8a0a" args="(LibofxContextPtr ctx, const char *p_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int ofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
-ofx_proc_file process an ofx or ofc file. 
+File pre-processing of OFX AND for OFC files. 
 <p>
+ofx_proc_file process an ofx or ofc file.<p>
 Takes care of comment striping, dtd locating, etc. 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00058">58</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.
-<p>
-Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00067">libofx_proc_file()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="1081ea6fa992f51998090e4c24d6cc64"></a><!-- doxytag: member="ofx_preproc.cpp::sanitize_proprietary_tags" ref="1081ea6fa992f51998090e4c24d6cc64" args="(string input_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00070">70</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00067">libofx_proc_file()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cdbd49c3c11946411dd76016609bd333"></a><!-- doxytag: member="ofx_preproc.cpp::sanitize_proprietary_tags" ref="cdbd49c3c11946411dd76016609bd333" args="(string input_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">string sanitize_proprietary_tags           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>input_string</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">string sanitize_proprietary_tags           </td>
+          <td>(</td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>input_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Removes proprietary tags and comments. 
 <p>
 This function will strip all the OFX proprietary tags and SGML comments from the SGML string passed to it 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00331">331</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__preproc_8cpp-source.html#l00058">ofx_proc_file()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00411">411</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__preproc_8cpp-source.html#l00280">libofx_proc_buffer()</a>, and <a class="el" href="ofx__preproc_8cpp-source.html#l00070">ofx_proc_file()</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="0f48385ce1749e68a87b61c8f5755742"></a><!-- doxytag: member="ofx_preproc.cpp::DTD_SEARCH_PATH" ref="0f48385ce1749e68a87b61c8f5755742" args="[DTD_SEARCH_PATH_NUM]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="760a72b5e13c14b54c8eb0af7a4000d3"></a><!-- doxytag: member="ofx_preproc.cpp::DTD_SEARCH_PATH" ref="760a72b5e13c14b54c8eb0af7a4000d3" args="[DTD_SEARCH_PATH_NUM]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">const char* <a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#0f48385ce1749e68a87b61c8f5755742">DTD_SEARCH_PATH</a>[<a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html#28ceb7515369bc9485582d52bafaa4ca">DTD_SEARCH_PATH_NUM</a>]          </td>
+          <td class="memname">const char* <a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#760a72b5e13c14b54c8eb0af7a4000d3">DTD_SEARCH_PATH</a>[<a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html#877a644df33a5047e92386446c5cce88">DTD_SEARCH_PATH_NUM</a>]          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 <b>Initial value:</b><div class="fragment"><pre class="fragment"> { 
@@ -239,14 +214,14 @@
 </pre></div>The list of paths to search for the DTDs. 
 <p>
 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00045">45</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__preproc_8cpp-source.html#l00434">find_dtd()</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00057">57</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__preproc_8cpp-source.html#l00514">find_dtd()</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__preproc_8hh-source.html'
--- doc/html/ofx__preproc_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__preproc_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_preproc.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_preproc.hh</h1><a href="ofx__preproc_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_preproc.h</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,17 +32,17 @@
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include "context.hh"</span>
 <a name="l00024"></a>00024 
-<a name="l00025"></a><a class="code" href="ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">00025</a> <span class="preprocessor">#define OPENSPDCL_FILENAME "opensp.dcl"</span>
-<a name="l00026"></a><a class="code" href="ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">00026</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX160DTD_FILENAME "ofx160.dtd"</span>
-<a name="l00027"></a><a class="code" href="ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">00027</a> <span class="preprocessor"></span><span class="preprocessor">#define OFCDTD_FILENAME "ofc.dtd"</span>
+<a name="l00025"></a><a class="code" href="ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">00025</a> <span class="preprocessor">#define OPENSPDCL_FILENAME "opensp.dcl"</span>
+<a name="l00026"></a><a class="code" href="ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">00026</a> <span class="preprocessor"></span><span class="preprocessor">#define OFX160DTD_FILENAME "ofx160.dtd"</span>
+<a name="l00027"></a><a class="code" href="ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">00027</a> <span class="preprocessor"></span><span class="preprocessor">#define OFCDTD_FILENAME "ofc.dtd"</span>
 <a name="l00028"></a>00028 <span class="preprocessor"></span>
-<a name="l00030"></a>00030 string <a class="code" href="ofx__preproc_8cpp.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a>(string input_string);
-<a name="l00032"></a>00032 string <a class="code" href="ofx__preproc_8cpp.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a>(string dtd_filename);
-<a name="l00039"></a>00039 <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#7b1cf1b458173b5f65bc8d2663121202">ofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context, <span class="keyword">const</span> <span class="keywordtype">char</span> *);
+<a name="l00030"></a>00030 <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#cdbd49c3c11946411dd76016609bd333" title="Removes proprietary tags and comments.">sanitize_proprietary_tags</a>(<span class="keywordtype">string</span> input_string);
+<a name="l00032"></a>00032 <span class="keywordtype">string</span> <a class="code" href="ofx__preproc_8cpp.html#a45231657cddffcb50db295076956183" title="Find the appropriate DTD for the file version.">find_dtd</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, <span class="keywordtype">string</span> dtd_filename);
+<a name="l00039"></a>00039 <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">int</span> <a class="code" href="ofx__preproc_8cpp.html#f2eca18ef5a500e7f76ed180d0af8a0a" title="File pre-processing of OFX AND for OFC files.">ofx_proc_file</a>(<a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, <span class="keyword">const</span> <span class="keywordtype">char</span> *);
 <a name="l00040"></a>00040 
 <a name="l00041"></a>00041 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__preproc_8hh.html'
--- doc/html/ofx__preproc_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__preproc_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,163 +1,146 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_preproc.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_preproc.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Preprocessing of the OFX files before parsing. 
 <p>
 Implements the pre-treatement of the OFX file prior to parsing: OFX header striping, OFX proprietary tags and SGML comment striping, locating the appropriate DTD. 
-<p>
-Definition in file <a class="el" href="ofx__preproc_8hh-source.html">ofx_preproc.hh</a>.
+<p>Definition in file <a class="el" href="ofx__preproc_8hh-source.html">ofx_preproc.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__preproc_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Defines</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5672c78b4764323c0a9f2b19887d9431"></a><!-- doxytag: member="ofx_preproc.hh::OPENSPDCL_FILENAME" ref="5672c78b4764323c0a9f2b19887d9431" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#5672c78b4764323c0a9f2b19887d9431">OPENSPDCL_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;opensp.dcl&quot;</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e8845df1e079aa24b66aa0f5360b2893"></a><!-- doxytag: member="ofx_preproc.hh::OFX160DTD_FILENAME" ref="e8845df1e079aa24b66aa0f5360b2893" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#e8845df1e079aa24b66aa0f5360b2893">OFX160DTD_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;ofx160.dtd&quot;</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="148e2bcd13df8fdbaf41d797c48b7755"></a><!-- doxytag: member="ofx_preproc.hh::OFCDTD_FILENAME" ref="148e2bcd13df8fdbaf41d797c48b7755" args="" -->
-#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#148e2bcd13df8fdbaf41d797c48b7755">OFCDTD_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;ofc.dtd&quot;</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d9e6681d8259d0d224f7c775eb25487c"></a><!-- doxytag: member="ofx_preproc.hh::OPENSPDCL_FILENAME" ref="d9e6681d8259d0d224f7c775eb25487c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#d9e6681d8259d0d224f7c775eb25487c">OPENSPDCL_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;opensp.dcl&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9048e71566173bdc4719830bf28bec3b"></a><!-- doxytag: member="ofx_preproc.hh::OFX160DTD_FILENAME" ref="9048e71566173bdc4719830bf28bec3b" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#9048e71566173bdc4719830bf28bec3b">OFX160DTD_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;ofx160.dtd&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db19c9e865a6e5d4ae16c68b36b1734c"></a><!-- doxytag: member="ofx_preproc.hh::OFCDTD_FILENAME" ref="db19c9e865a6e5d4ae16c68b36b1734c" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#db19c9e865a6e5d4ae16c68b36b1734c">OFCDTD_FILENAME</a>&nbsp;&nbsp;&nbsp;&quot;ofc.dtd&quot;</td></tr>
 
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#1081ea6fa992f51998090e4c24d6cc64">sanitize_proprietary_tags</a> (string input_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes proprietary tags and comments.  <a href="#1081ea6fa992f51998090e4c24d6cc64"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#5efb55f65bf1d51e4863c6cc1c10439c">find_dtd</a> (string dtd_filename)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the appropriate DTD for the file version.  <a href="#5efb55f65bf1d51e4863c6cc1c10439c"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#878483503b673b330380995e1da3a7ea">ofx_proc_file</a> (<a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context, const char *)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ofx_proc_file process an ofx or ofc file.  <a href="#878483503b673b330380995e1da3a7ea"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#cdbd49c3c11946411dd76016609bd333">sanitize_proprietary_tags</a> (string input_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes proprietary tags and comments.  <a href="#cdbd49c3c11946411dd76016609bd333"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#a45231657cddffcb50db295076956183">find_dtd</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> ctx, string dtd_filename)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Find the appropriate DTD for the file version.  <a href="#a45231657cddffcb50db295076956183"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">CFCT int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__preproc_8hh.html#962fcc61a6192bd63ac3fb234fd07cc4">ofx_proc_file</a> (<a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context, const char *)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ofx_proc_file process an ofx or ofc file.  <a href="#962fcc61a6192bd63ac3fb234fd07cc4"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="5efb55f65bf1d51e4863c6cc1c10439c"></a><!-- doxytag: member="ofx_preproc.hh::find_dtd" ref="5efb55f65bf1d51e4863c6cc1c10439c" args="(string dtd_filename)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">string find_dtd           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>dtd_filename</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+<a class="anchor" name="a45231657cddffcb50db295076956183"></a><!-- doxytag: member="ofx_preproc.hh::find_dtd" ref="a45231657cddffcb50db295076956183" args="(LibofxContextPtr ctx, string dtd_filename)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string find_dtd           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>dtd_filename</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Find the appropriate DTD for the file version. 
 <p>
 This function will try to find a DTD matching the requested_version and return the full path of the DTD found (or an empty string if unsuccessfull)<p>
 Please note that currently the function will ALWAYS look for version 160, since OpenSP can't parse the 201 DTD correctly 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00434">434</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="878483503b673b330380995e1da3a7ea"></a><!-- doxytag: member="ofx_preproc.hh::ofx_proc_file" ref="878483503b673b330380995e1da3a7ea" args="(LibofxContextPtr libofx_context, const char *)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">CFCT int ofx_proc_file           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a>&nbsp;</td>
-          <td class="mdname" nowrap> <em>ctx</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>const char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>p_filename</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00514">514</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="962fcc61a6192bd63ac3fb234fd07cc4"></a><!-- doxytag: member="ofx_preproc.hh::ofx_proc_file" ref="962fcc61a6192bd63ac3fb234fd07cc4" args="(LibofxContextPtr libofx_context, const char *)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">CFCT int ofx_proc_file           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a>&nbsp;</td>
+          <td class="paramname"> <em>ctx</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">const char *&nbsp;</td>
+          <td class="paramname"> <em>p_filename</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 ofx_proc_file process an ofx or ofc file. 
 <p>
+libofx_proc_file must be called with a list of 1 or more OFX files to be parsed in command line format.<p>
+ofx_proc_file process an ofx or ofc file.<p>
 Takes care of comment striping, dtd locating, etc. 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00058">58</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="1081ea6fa992f51998090e4c24d6cc64"></a><!-- doxytag: member="ofx_preproc.hh::sanitize_proprietary_tags" ref="1081ea6fa992f51998090e4c24d6cc64" args="(string input_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00070">70</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cdbd49c3c11946411dd76016609bd333"></a><!-- doxytag: member="ofx_preproc.hh::sanitize_proprietary_tags" ref="cdbd49c3c11946411dd76016609bd333" args="(string input_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">string sanitize_proprietary_tags           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>input_string</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">string sanitize_proprietary_tags           </td>
+          <td>(</td>
+          <td class="paramtype">string&nbsp;</td>
+          <td class="paramname"> <em>input_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Removes proprietary tags and comments. 
 <p>
 This function will strip all the OFX proprietary tags and SGML comments from the SGML string passed to it 
-<p>
-Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00331">331</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofx__preproc_8cpp-source.html#l00411">411</a> of file <a class="el" href="ofx__preproc_8cpp-source.html">ofx_preproc.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request_8cpp-source.html'
--- doc/html/ofx__request_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request.cpp</h1><a href="ofx__request_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_request.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,13 +33,13 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__request_8hh.html">ofx_request.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__request_8hh.html" title="Declaration of an OfxRequests to create an OFX file containing a generic request...">ofx_request.hh</a>"</span>
 <a name="l00028"></a>00028 
 <a name="l00029"></a>00029 <span class="keyword">using namespace </span>std;
 <a name="l00030"></a>00030 
-<a name="l00031"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request_8hh.html#db904c8d68b46495893e0db60a2acbcf">00031</a> string <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time_t time )
+<a name="l00031"></a><a class="code" href="fx-0_89_80_2lib_2ofx__request_8hh.html#2f86a163dc83453b02683f1d20d6b3d6">00031</a> <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time_t time )
 <a name="l00032"></a>00032 {
 <a name="l00033"></a>00033   <span class="keyword">static</span> <span class="keywordtype">char</span> buffer[51];
 <a name="l00034"></a>00034 
@@ -53,7 +49,7 @@
 <a name="l00038"></a>00038   <span class="keywordflow">return</span> string(buffer);
 <a name="l00039"></a>00039 }
 <a name="l00040"></a>00040 
-<a name="l00041"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request_8hh.html#81beedfec4dc7c410153f3722fe67a77">00041</a> string <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( time_t time )
+<a name="l00041"></a><a class="code" href="fx-0_89_80_2lib_2ofx__request_8hh.html#34e84f6346e9d35feba51592e3db190c">00041</a> <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( time_t time )
 <a name="l00042"></a>00042 {
 <a name="l00043"></a>00043   <span class="keyword">static</span> <span class="keywordtype">char</span> buffer[51];
 <a name="l00044"></a>00044 
@@ -63,57 +59,79 @@
 <a name="l00048"></a>00048   <span class="keywordflow">return</span> string(buffer);
 <a name="l00049"></a>00049 }
 <a name="l00050"></a>00050 
-<a name="l00051"></a><a class="code" href="fx-0_88_82_2lib_2ofx__request_8hh.html#e0c9348ddcb7da503b17069e9ea77f75">00051</a> string <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>(<span class="keywordtype">void</span>)
-<a name="l00052"></a>00052 {
-<a name="l00053"></a>00053   <span class="keywordflow">return</span> string(<span class="stringliteral">"OFXHEADER:100\r\n"</span>
-<a name="l00054"></a>00054                  <span class="stringliteral">"DATA:OFXSGML\r\n"</span>
-<a name="l00055"></a>00055                  <span class="stringliteral">"VERSION:102\r\n"</span>
-<a name="l00056"></a>00056                  <span class="stringliteral">"SECURITY:NONE\r\n"</span>
-<a name="l00057"></a>00057                  <span class="stringliteral">"ENCODING:USASCII\r\n"</span>
-<a name="l00058"></a>00058                  <span class="stringliteral">"CHARSET:1252\r\n"</span>
-<a name="l00059"></a>00059                  <span class="stringliteral">"COMPRESSION:NONE\r\n"</span>
-<a name="l00060"></a>00060                  <span class="stringliteral">"OLDFILEUID:NONE\r\n"</span>
-<a name="l00061"></a>00061                  <span class="stringliteral">"NEWFILEUID:"</span>)
-<a name="l00062"></a>00062                  + <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time(NULL) )
-<a name="l00063"></a>00063                  + string(<span class="stringliteral">"\r\n\r\n"</span>);
-<a name="l00064"></a>00064 }
-<a name="l00065"></a>00065 
-<a name="l00066"></a><a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">00066</a> <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">OfxRequest::SignOnRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
-<a name="l00067"></a>00067 <span class="keyword"></span>{
-<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> fiTag(<span class="stringliteral">"FI"</span>);
-<a name="l00069"></a>00069   fiTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"ORG"</span>, <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>.<a class="code" href="structOfxFiLogin.html#4b44e09e0f415913fea555001554cd3d">org</a> );
-<a name="l00070"></a>00070   <span class="keywordflow">if</span> ( strlen(<a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>.<a class="code" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">fid</a>) &gt; 0 )
-<a name="l00071"></a>00071     fiTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"FID"</span>, <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>.<a class="code" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">fid</a> );
-<a name="l00072"></a>00072 
-<a name="l00073"></a>00073   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> sonrqTag(<span class="stringliteral">"SONRQ"</span>);
-<a name="l00074"></a>00074   sonrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"DTCLIENT"</span>, <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time(NULL) ) );
-<a name="l00075"></a>00075   sonrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"USERID"</span>, <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>.<a class="code" href="structOfxFiLogin.html#7513251178c3f4d9b665132436428cdf">userid</a>);
-<a name="l00076"></a>00076   sonrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"USERPASS"</span>, <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>.<a class="code" href="structOfxFiLogin.html#2995949d8c307d2434ad82a61dbb6f1e">userpass</a>);
-<a name="l00077"></a>00077   sonrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"LANGUAGE"</span>,<span class="stringliteral">"ENG"</span>);
-<a name="l00078"></a>00078   sonrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( fiTag );
-<a name="l00079"></a>00079   sonrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"APPID"</span>,<span class="stringliteral">"QWIN"</span>);
-<a name="l00080"></a>00080   sonrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"APPVER"</span>,<span class="stringliteral">"1200"</span>);
-<a name="l00081"></a>00081   
-<a name="l00082"></a>00082   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> signonmsgTag(<span class="stringliteral">"SIGNONMSGSRQV1"</span>);
-<a name="l00083"></a>00083   signonmsgTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( sonrqTag );
-<a name="l00084"></a>00084 
-<a name="l00085"></a>00085   <span class="keywordflow">return</span> signonmsgTag;
-<a name="l00086"></a>00086 }
-<a name="l00087"></a>00087 
-<a name="l00088"></a><a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">00088</a> <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">OfxRequest::RequestMessage</a>(<span class="keyword">const</span> string&amp; _msgType, <span class="keyword">const</span> string&amp; _trnType, <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html">OfxAggregate</a>&amp; _request)<span class="keyword"> const</span>
-<a name="l00089"></a>00089 <span class="keyword"></span>{
-<a name="l00090"></a>00090   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> trnrqTag( _trnType+<span class="stringliteral">"TRNRQ"</span> );
-<a name="l00091"></a>00091   trnrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"TRNUID"</span>, <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time(NULL) ) );
-<a name="l00092"></a>00092   trnrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"CLTCOOKIE"</span>,<span class="stringliteral">"1"</span> ); 
-<a name="l00093"></a>00093   trnrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( _request );
-<a name="l00094"></a>00094     
-<a name="l00095"></a>00095   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> result( _msgType+<span class="stringliteral">"MSGSRQV1"</span> );
-<a name="l00096"></a>00096   result.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( trnrqTag );
-<a name="l00097"></a>00097 
-<a name="l00098"></a>00098   <span class="keywordflow">return</span> result;
-<a name="l00099"></a>00099 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00051"></a><a class="code" href="fx-0_89_80_2lib_2ofx__request_8hh.html#38a94b99f351615ee7a342f409db8499">00051</a> <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *hver){
+<a name="l00052"></a>00052   <span class="keywordflow">if</span> (hver==NULL || hver[0]==0)
+<a name="l00053"></a>00053     hver=<span class="stringliteral">"102"</span>;
+<a name="l00054"></a>00054 
+<a name="l00055"></a>00055   <span class="keywordflow">if</span> (strcmp(hver, <span class="stringliteral">"103"</span>)==0)
+<a name="l00056"></a>00056     <span class="comment">/* TODO: check for differences in version 102 and 103 */</span>
+<a name="l00057"></a>00057     <span class="keywordflow">return</span> string(<span class="stringliteral">"OFXHEADER:100\r\n"</span>
+<a name="l00058"></a>00058                   <span class="stringliteral">"DATA:OFXSGML\r\n"</span>
+<a name="l00059"></a>00059                   <span class="stringliteral">"VERSION:103\r\n"</span>
+<a name="l00060"></a>00060                   <span class="stringliteral">"SECURITY:NONE\r\n"</span>
+<a name="l00061"></a>00061                   <span class="stringliteral">"ENCODING:USASCII\r\n"</span>
+<a name="l00062"></a>00062                   <span class="stringliteral">"CHARSET:1252\r\n"</span>
+<a name="l00063"></a>00063                   <span class="stringliteral">"COMPRESSION:NONE\r\n"</span>
+<a name="l00064"></a>00064                   <span class="stringliteral">"OLDFILEUID:NONE\r\n"</span>
+<a name="l00065"></a>00065                   <span class="stringliteral">"NEWFILEUID:"</span>)
+<a name="l00066"></a>00066       + <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) )
+<a name="l00067"></a>00067       + string(<span class="stringliteral">"\r\n\r\n"</span>);
+<a name="l00068"></a>00068   <span class="keywordflow">else</span>
+<a name="l00069"></a>00069     <span class="keywordflow">return</span> string(<span class="stringliteral">"OFXHEADER:100\r\n"</span>
+<a name="l00070"></a>00070                   <span class="stringliteral">"DATA:OFXSGML\r\n"</span>
+<a name="l00071"></a>00071                   <span class="stringliteral">"VERSION:102\r\n"</span>
+<a name="l00072"></a>00072                   <span class="stringliteral">"SECURITY:NONE\r\n"</span>
+<a name="l00073"></a>00073                   <span class="stringliteral">"ENCODING:USASCII\r\n"</span>
+<a name="l00074"></a>00074                   <span class="stringliteral">"CHARSET:1252\r\n"</span>
+<a name="l00075"></a>00075                   <span class="stringliteral">"COMPRESSION:NONE\r\n"</span>
+<a name="l00076"></a>00076                   <span class="stringliteral">"OLDFILEUID:NONE\r\n"</span>
+<a name="l00077"></a>00077                   <span class="stringliteral">"NEWFILEUID:"</span>)
+<a name="l00078"></a>00078       + <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) )
+<a name="l00079"></a>00079       + string(<span class="stringliteral">"\r\n\r\n"</span>);
+<a name="l00080"></a>00080 }
+<a name="l00081"></a>00081 
+<a name="l00082"></a><a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">00082</a> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">OfxRequest::SignOnRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00083"></a>00083 <span class="keyword"></span>{
+<a name="l00084"></a>00084   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> fiTag(<span class="stringliteral">"FI"</span>);
+<a name="l00085"></a>00085   fiTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ORG"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">org</a> );
+<a name="l00086"></a>00086   <span class="keywordflow">if</span> ( strlen(<a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a>) &gt; 0 )
+<a name="l00087"></a>00087     fiTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"FID"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a> );
+<a name="l00088"></a>00088 
+<a name="l00089"></a>00089   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> sonrqTag(<span class="stringliteral">"SONRQ"</span>);
+<a name="l00090"></a>00090   sonrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"DTCLIENT"</span>, <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) ) );
+<a name="l00091"></a>00091   sonrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"USERID"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">userid</a>);
+<a name="l00092"></a>00092   sonrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"USERPASS"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">userpass</a>);
+<a name="l00093"></a>00093   sonrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"LANGUAGE"</span>,<span class="stringliteral">"ENG"</span>);
+<a name="l00094"></a>00094   sonrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( fiTag );
+<a name="l00095"></a>00095   <span class="keywordflow">if</span> ( strlen(<a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#0589bf38951c4e698236146c019d4cd1">appid</a>) &gt; 0 )
+<a name="l00096"></a>00096       sonrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"APPID"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#0589bf38951c4e698236146c019d4cd1">appid</a>);
+<a name="l00097"></a>00097   <span class="keywordflow">else</span>
+<a name="l00098"></a>00098       sonrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"APPID"</span>,<span class="stringliteral">"QWIN"</span>);
+<a name="l00099"></a>00099   <span class="keywordflow">if</span> ( strlen(<a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#f870ca3b27992fb53f203d23f33d097c">appver</a>) &gt; 0 )
+<a name="l00100"></a>00100     sonrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"APPVER"</span>, <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>.<a class="code" href="structOfxFiLogin.html#f870ca3b27992fb53f203d23f33d097c">appver</a>);
+<a name="l00101"></a>00101   <span class="keywordflow">else</span>
+<a name="l00102"></a>00102     sonrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"APPVER"</span>,<span class="stringliteral">"1400"</span>);
+<a name="l00103"></a>00103 
+<a name="l00104"></a>00104   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> signonmsgTag(<span class="stringliteral">"SIGNONMSGSRQV1"</span>);
+<a name="l00105"></a>00105   signonmsgTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( sonrqTag );
+<a name="l00106"></a>00106 
+<a name="l00107"></a>00107   <span class="keywordflow">return</span> signonmsgTag;
+<a name="l00108"></a>00108 }
+<a name="l00109"></a>00109 
+<a name="l00110"></a><a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">00110</a> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">OfxRequest::RequestMessage</a>(<span class="keyword">const</span> <span class="keywordtype">string</span>&amp; _msgType, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; _trnType, <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>&amp; _request)<span class="keyword"> const</span>
+<a name="l00111"></a>00111 <span class="keyword"></span>{
+<a name="l00112"></a>00112   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> trnrqTag( _trnType+<span class="stringliteral">"TRNRQ"</span> );
+<a name="l00113"></a>00113   trnrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"TRNUID"</span>, <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) ) );
+<a name="l00114"></a>00114   trnrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"CLTCOOKIE"</span>,<span class="stringliteral">"1"</span> ); 
+<a name="l00115"></a>00115   trnrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( _request );
+<a name="l00116"></a>00116     
+<a name="l00117"></a>00117   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> result( _msgType+<span class="stringliteral">"MSGSRQV1"</span> );
+<a name="l00118"></a>00118   result.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( trnrqTag );
+<a name="l00119"></a>00119 
+<a name="l00120"></a>00120   <span class="keywordflow">return</span> result;
+<a name="l00121"></a>00121 }
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request_8cpp.html'
--- doc/html/ofx__request_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,46 +1,42 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Implementation of an OfxRequests to create an OFX file containing a generic request . 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofx__request_8cpp-source.html">ofx_request.cpp</a>.
+<p>Definition in file <a class="el" href="ofx__request_8cpp-source.html">ofx_request.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__request_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db904c8d68b46495893e0db60a2acbcf"></a><!-- doxytag: member="ofx_request.cpp::time_t_to_ofxdatetime" ref="db904c8d68b46495893e0db60a2acbcf" args="(time_t time)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a> (time_t time)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="81beedfec4dc7c410153f3722fe67a77"></a><!-- doxytag: member="ofx_request.cpp::time_t_to_ofxdate" ref="81beedfec4dc7c410153f3722fe67a77" args="(time_t time)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a> (time_t time)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e0c9348ddcb7da503b17069e9ea77f75"></a><!-- doxytag: member="ofx_request.cpp::OfxHeader" ref="e0c9348ddcb7da503b17069e9ea77f75" args="(void)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a> (void)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2f86a163dc83453b02683f1d20d6b3d6"></a><!-- doxytag: member="ofx_request.cpp::time_t_to_ofxdatetime" ref="2f86a163dc83453b02683f1d20d6b3d6" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="34e84f6346e9d35feba51592e3db190c"></a><!-- doxytag: member="ofx_request.cpp::time_t_to_ofxdate" ref="34e84f6346e9d35feba51592e3db190c" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="38a94b99f351615ee7a342f409db8499"></a><!-- doxytag: member="ofx_request.cpp::OfxHeader" ref="38a94b99f351615ee7a342f409db8499" args="(const char *hver)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a> (const char *hver)</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request_8hh-source.html'
--- doc/html/ofx__request_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request.hh</h1><a href="ofx__request_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_request.hh </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,35 +32,35 @@
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_REQUEST_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="ofx__aggregate_8hh.html">ofx_aggregate.hh</a>"</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="ofx__aggregate_8hh.html" title="Declaration of OfxAggregate which allows you to construct a single OFX aggregate...">ofx_aggregate.hh</a>"</span>
 <a name="l00026"></a>00026 
 <a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
 <a name="l00028"></a>00028 
-<a name="l00036"></a><a class="code" href="classOfxRequest.html">00036</a> <span class="keyword">class </span><a class="code" href="classOfxRequest.html">OfxRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxAggregate.html">OfxAggregate</a>
+<a name="l00036"></a><a class="code" href="classOfxRequest.html">00036</a> <span class="keyword">class </span><a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>
 <a name="l00037"></a>00037 {
 <a name="l00038"></a>00038 <span class="keyword">public</span>:
-<a name="l00045"></a><a class="code" href="classOfxRequest.html#1e44a0bea2084ac4805e478f43e42837">00045</a>   <a class="code" href="classOfxRequest.html#1e44a0bea2084ac4805e478f43e42837">OfxRequest</a>(<span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi): <a class="code" href="classOfxAggregate.html">OfxAggregate</a>(<span class="stringliteral">"OFX"</span>), <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>(fi) {}
+<a name="l00045"></a><a class="code" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">00045</a>   <a class="code" href="classOfxRequest.html#edf28b52122ebc61fab21bda14e611ea">OfxRequest</a>(<span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi): <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>(<span class="stringliteral">"OFX"</span>), <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>(fi) {}
 <a name="l00046"></a>00046   
 <a name="l00047"></a>00047 <span class="comment">//protected:</span>
 <a name="l00048"></a>00048 <span class="keyword">public</span>:
-<a name="l00055"></a>00055   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00055"></a>00055   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
 <a name="l00056"></a>00056   
-<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="keyword">const</span> string&amp; msgtype, <span class="keyword">const</span> string&amp; trntype, <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html">OfxAggregate</a>&amp; aggregate ) <span class="keyword">const</span>;
+<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="keyword">const</span> <span class="keywordtype">string</span>&amp; msgtype, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; trntype, <span class="keyword">const</span> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a>&amp; aggregate ) <span class="keyword">const</span>;
 <a name="l00069"></a>00069 
 <a name="l00070"></a>00070 <span class="keyword">protected</span>:
-<a name="l00071"></a><a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">00071</a>   <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a> <a class="code" href="classOfxRequest.html#656e286ea5ffc6918a71cd521c5b95d3">m_login</a>;
+<a name="l00071"></a><a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">00071</a>   <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a> <a class="code" href="classOfxRequest.html#9c831dd85c20955e6d062e8b5f660e00">m_login</a>;
 <a name="l00072"></a>00072 };
 <a name="l00073"></a>00073 
 <a name="l00078"></a>00078 
-<a name="l00079"></a>00079 string <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time_t time );
-<a name="l00080"></a>00080 string <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( time_t time );
-<a name="l00081"></a>00081 string <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>(<span class="keywordtype">void</span>);
+<a name="l00079"></a>00079 <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time_t time );
+<a name="l00080"></a>00080 <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( time_t time );
+<a name="l00081"></a>00081 <span class="keywordtype">string</span> <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *hver);
 <a name="l00082"></a>00082 
 <a name="l00084"></a>00084 
 <a name="l00085"></a>00085 <span class="preprocessor">#endif // OFX_REQUEST_H</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request_8hh.html'
--- doc/html/ofx__request_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Declaration of an OfxRequests to create an OFX file containing a generic request . 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofx__request_8hh-source.html">ofx_request.hh</a>.
+<p>Definition in file <a class="el" href="ofx__request_8hh-source.html">ofx_request.hh</a>.</p>
+
 <p>
 
 <p>
@@ -32,19 +28,20 @@
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxRequest.html">OfxRequest</a></td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A generic request.  <a href="classOfxRequest.html#_details">More...</a><br></td></tr>
-<tr><td colspan="2"><br><h2>Some general helper functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="db904c8d68b46495893e0db60a2acbcf"></a><!-- doxytag: member="ofx_request.hh::time_t_to_ofxdatetime" ref="db904c8d68b46495893e0db60a2acbcf" args="(time_t time)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8hh.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a> (time_t time)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="81beedfec4dc7c410153f3722fe67a77"></a><!-- doxytag: member="ofx_request.hh::time_t_to_ofxdate" ref="81beedfec4dc7c410153f3722fe67a77" args="(time_t time)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8hh.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a> (time_t time)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e0c9348ddcb7da503b17069e9ea77f75"></a><!-- doxytag: member="ofx_request.hh::OfxHeader" ref="e0c9348ddcb7da503b17069e9ea77f75" args="(void)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8hh.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a> (void)</td></tr>
+<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
+<tr><td colspan="2"><div class="groupHeader">Some general helper functions</div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2f86a163dc83453b02683f1d20d6b3d6"></a><!-- doxytag: member="ofx_request.hh::time_t_to_ofxdatetime" ref="2f86a163dc83453b02683f1d20d6b3d6" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8hh.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="34e84f6346e9d35feba51592e3db190c"></a><!-- doxytag: member="ofx_request.hh::time_t_to_ofxdate" ref="34e84f6346e9d35feba51592e3db190c" args="(time_t time)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8hh.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a> (time_t time)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="38a94b99f351615ee7a342f409db8499"></a><!-- doxytag: member="ofx_request.hh::OfxHeader" ref="38a94b99f351615ee7a342f409db8499" args="(const char *hver)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request_8hh.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a> (const char *hver)</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request__accountinfo_8cpp-source.html'
--- doc/html/ofx__request__accountinfo_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request__accountinfo_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_accountinfo.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_accountinfo.cpp</h1><a href="ofx__request__accountinfo_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_request_accountinfo.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,15 +33,15 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="ofx__request__accountinfo_8hh.html">ofx_request_accountinfo.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="ofx__request__accountinfo_8hh.html" title="Declaration of OfxRequestAccountInfo create an OFX file containing a request for...">ofx_request_accountinfo.hh</a>"</span>
 <a name="l00027"></a>00027 
 <a name="l00028"></a>00028 <span class="keyword">using namespace </span>std;
 <a name="l00029"></a>00029 
-<a name="l00030"></a><a class="code" href="ofx__request__accountinfo_8cpp.html#be4a80df141ea332f7ab31a2b7eeb4c2">00030</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">libofx_request_accountinfo</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login )
+<a name="l00030"></a><a class="code" href="ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">00030</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449" title="Creates an OFX account info (list) request in string form.">libofx_request_accountinfo</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login )
 <a name="l00031"></a>00031 {
-<a name="l00032"></a>00032   <a class="code" href="classOfxAccountInfoRequest.html">OfxAccountInfoRequest</a> strq( *login );
-<a name="l00033"></a>00033   string request = <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>() + strq.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
+<a name="l00032"></a>00032   <a class="code" href="classOfxAccountInfoRequest.html" title="An account information request.">OfxAccountInfoRequest</a> strq( *login );
+<a name="l00033"></a>00033   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(login-&gt;<a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a>) + strq.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
 <a name="l00034"></a>00034 
 <a name="l00035"></a>00035   <span class="keywordtype">unsigned</span> size = request.size();
 <a name="l00036"></a>00036   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
@@ -86,17 +82,17 @@
 <a name="l00071"></a>00071 <span class="comment">&lt;/OFX&gt;</span>
 <a name="l00072"></a>00072 <span class="comment">*/</span>
 <a name="l00073"></a>00073 
-<a name="l00074"></a><a class="code" href="classOfxAccountInfoRequest.html#4035fb44fecca1b682e6a7c5e0b96743">00074</a> <a class="code" href="classOfxAccountInfoRequest.html#4035fb44fecca1b682e6a7c5e0b96743">OfxAccountInfoRequest::OfxAccountInfoRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi ):
-<a name="l00075"></a>00075   <a class="code" href="classOfxRequest.html">OfxRequest</a>(fi)
+<a name="l00074"></a><a class="code" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">00074</a> <a class="code" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest::OfxAccountInfoRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi ):
+<a name="l00075"></a>00075   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>(fi)
 <a name="l00076"></a>00076 {
-<a name="l00077"></a>00077   <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a>() );
+<a name="l00077"></a>00077   <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>() );
 <a name="l00078"></a>00078 
-<a name="l00079"></a>00079   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> acctinforqTag(<span class="stringliteral">"ACCTINFORQ"</span>);
-<a name="l00080"></a>00080   acctinforqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"DTACCTUP"</span>, <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( 0 ) );
-<a name="l00081"></a>00081   <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a> ( <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="stringliteral">"SIGNUP"</span>,<span class="stringliteral">"ACCTINFO"</span>, acctinforqTag) );
+<a name="l00079"></a>00079   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> acctinforqTag(<span class="stringliteral">"ACCTINFORQ"</span>);
+<a name="l00080"></a>00080   acctinforqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"DTACCTUP"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( 0 ) );
+<a name="l00081"></a>00081   <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a> ( <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"SIGNUP"</span>,<span class="stringliteral">"ACCTINFO"</span>, acctinforqTag) );
 <a name="l00082"></a>00082 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request__accountinfo_8cpp.html'
--- doc/html/ofx__request__accountinfo_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request__accountinfo_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,40 +1,36 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_accountinfo.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_accountinfo.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Implementation of libofx_request_accountinfo to create an OFX file containing a request for all account info at this FI for this user. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofx__request__accountinfo_8cpp-source.html">ofx_request_accountinfo.cpp</a>.
+<p>Definition in file <a class="el" href="ofx__request__accountinfo_8cpp-source.html">ofx_request_accountinfo.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__request__accountinfo_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="be4a80df141ea332f7ab31a2b7eeb4c2"></a><!-- doxytag: member="ofx_request_accountinfo.cpp::libofx_request_accountinfo" ref="be4a80df141ea332f7ab31a2b7eeb4c2" args="(const OfxFiLogin *login)" -->
-char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request__accountinfo_8cpp.html#be4a80df141ea332f7ab31a2b7eeb4c2">libofx_request_accountinfo</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6cb329900cc925c9a1507684ef4bcbd1"></a><!-- doxytag: member="ofx_request_accountinfo.cpp::libofx_request_accountinfo" ref="6cb329900cc925c9a1507684ef4bcbd1" args="(const OfxFiLogin *login)" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request__accountinfo_8cpp.html#6cb329900cc925c9a1507684ef4bcbd1">libofx_request_accountinfo</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login)</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request__accountinfo_8hh-source.html'
--- doc/html/ofx__request__accountinfo_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request__accountinfo_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_accountinfo.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_accountinfo.hh</h1><a href="ofx__request__accountinfo_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_request_accountinfo.hh </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,20 +32,20 @@
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_REQ_ACCOUNTINFO_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="ofx__request_8hh.html">ofx_request.hh</a>"</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="ofx__request_8hh.html" title="Declaration of an OfxRequests to create an OFX file containing a generic request...">ofx_request.hh</a>"</span>
 <a name="l00026"></a>00026 
 <a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
 <a name="l00028"></a>00028 
-<a name="l00037"></a><a class="code" href="classOfxAccountInfoRequest.html">00037</a> <span class="keyword">class </span><a class="code" href="classOfxAccountInfoRequest.html">OfxAccountInfoRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html">OfxRequest</a>
+<a name="l00037"></a><a class="code" href="classOfxAccountInfoRequest.html">00037</a> <span class="keyword">class </span><a class="code" href="classOfxAccountInfoRequest.html" title="An account information request.">OfxAccountInfoRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>
 <a name="l00038"></a>00038 {
 <a name="l00039"></a>00039 <span class="keyword">public</span>:
-<a name="l00046"></a>00046   <a class="code" href="classOfxAccountInfoRequest.html#4035fb44fecca1b682e6a7c5e0b96743">OfxAccountInfoRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi );
+<a name="l00046"></a>00046   <a class="code" href="classOfxAccountInfoRequest.html#95e70762fc3a59b38956fda4000cb1c8">OfxAccountInfoRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi );
 <a name="l00047"></a>00047 };
 <a name="l00048"></a>00048 
 <a name="l00049"></a>00049 <span class="preprocessor">#endif // OFX_REQ_ACCOUNTINFO_H</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request__accountinfo_8hh.html'
--- doc/html/ofx__request__accountinfo_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request__accountinfo_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_accountinfo.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_accountinfo.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Declaration of OfxRequestAccountInfo create an OFX file containing a request for all account info at this FI for this user. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofx__request__accountinfo_8hh-source.html">ofx_request_accountinfo.hh</a>.
+<p>Definition in file <a class="el" href="ofx__request__accountinfo_8hh-source.html">ofx_request_accountinfo.hh</a>.</p>
+
 <p>
 
 <p>
@@ -33,8 +29,8 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">An account information request.  <a href="classOfxAccountInfoRequest.html#_details">More...</a><br></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request__statement_8cpp-source.html'
--- doc/html/ofx__request__statement_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request__statement_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_statement.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_statement.cpp</h1><a href="ofx__request__statement_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_request_statement.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -37,16 +33,16 @@
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__request__statement_8hh.html">ofx_request_statement.hh</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="ofx__request__statement_8hh.html" title="Declaration of libofx_request_statement to create an OFX file containing a request...">ofx_request_statement.hh</a>"</span>
 <a name="l00028"></a>00028 
 <a name="l00029"></a>00029 <span class="keyword">using namespace </span>std;
 <a name="l00030"></a>00030 
-<a name="l00031"></a><a class="code" href="ofx__request__statement_8cpp.html#39b4ef4bfd5e58227b07c2f2f5c09803">00031</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">libofx_request_statement</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>* account, time_t date_from )
+<a name="l00031"></a><a class="code" href="ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">00031</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d" title="Creates an OFX statement request in string form.">libofx_request_statement</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, time_t date_from )
 <a name="l00032"></a>00032 {
-<a name="l00033"></a>00033   <a class="code" href="classOfxStatementRequest.html">OfxStatementRequest</a> strq( *login, *account, date_from );
-<a name="l00034"></a>00034   string request = <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>() + strq.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
+<a name="l00033"></a>00033   <a class="code" href="classOfxStatementRequest.html" title="A statement request.">OfxStatementRequest</a> strq( *login, *account, date_from );
+<a name="l00034"></a>00034   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(login-&gt;<a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a>) + strq.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
 <a name="l00035"></a>00035 
 <a name="l00036"></a>00036   <span class="keywordtype">unsigned</span> size = request.size();
 <a name="l00037"></a>00037   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
@@ -56,182 +52,198 @@
 <a name="l00041"></a>00041   <span class="keywordflow">return</span> result;
 <a name="l00042"></a>00042 }
 <a name="l00043"></a>00043 
-<a name="l00044"></a><a class="code" href="classOfxStatementRequest.html#fda5e716b9f1848b4d009bfe338880f0">00044</a> <a class="code" href="classOfxStatementRequest.html#fda5e716b9f1848b4d009bfe338880f0">OfxStatementRequest::OfxStatementRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>&amp; account, time_t from ):
-<a name="l00045"></a>00045   <a class="code" href="classOfxRequest.html">OfxRequest</a>(fi),
+<a name="l00044"></a><a class="code" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">00044</a> <a class="code" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest::OfxStatementRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, time_t from ):
+<a name="l00045"></a>00045   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>(fi),
 <a name="l00046"></a>00046   m_account(account),
 <a name="l00047"></a>00047   m_date_from(from)
 <a name="l00048"></a>00048 {
-<a name="l00049"></a>00049   <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a>() );
+<a name="l00049"></a>00049   <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>() );
 <a name="l00050"></a>00050 
-<a name="l00051"></a>00051   <span class="keywordflow">if</span> ( account.<a class="code" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">type</a> == OFX_CREDITCARD_ACCOUNT )
-<a name="l00052"></a>00052     <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>(<a class="code" href="classOfxStatementRequest.html#85760d6ec3d3a8881938b0742f5eb67e">CreditCardStatementRequest</a>());
-<a name="l00053"></a>00053   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( account.<a class="code" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">type</a> == OFX_INVEST_ACCOUNT )
-<a name="l00054"></a>00054     <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>(<a class="code" href="classOfxStatementRequest.html#4196ff5900689c63697bc7ed7990a8a9">InvestmentStatementRequest</a>());
+<a name="l00051"></a>00051   <span class="keywordflow">if</span> ( account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a> )
+<a name="l00052"></a>00052     <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>(<a class="code" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">CreditCardStatementRequest</a>());
+<a name="l00053"></a>00053   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a> )
+<a name="l00054"></a>00054     <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>(<a class="code" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">InvestmentStatementRequest</a>());
 <a name="l00055"></a>00055   <span class="keywordflow">else</span>
-<a name="l00056"></a>00056     <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>(<a class="code" href="classOfxStatementRequest.html#51f2f5168ae5a2c783bbc3f142546229">BankStatementRequest</a>());
+<a name="l00056"></a>00056     <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>(<a class="code" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">BankStatementRequest</a>());
 <a name="l00057"></a>00057 }
 <a name="l00058"></a>00058 
-<a name="l00059"></a><a class="code" href="classOfxStatementRequest.html#51f2f5168ae5a2c783bbc3f142546229">00059</a> <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#51f2f5168ae5a2c783bbc3f142546229">OfxStatementRequest::BankStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00059"></a><a class="code" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">00059</a> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">OfxStatementRequest::BankStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
 <a name="l00060"></a>00060 <span class="keyword"></span>{
-<a name="l00061"></a>00061   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> bankacctfromTag(<span class="stringliteral">"BANKACCTFROM"</span>);
-<a name="l00062"></a>00062   bankacctfromTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"BANKID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">bankid</a> );
-<a name="l00063"></a>00063   bankacctfromTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a> );
-<a name="l00064"></a>00064   bankacctfromTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CHECKING"</span> );
-<a name="l00065"></a>00065   <span class="comment">// FIXME "CHECKING" should not be hard-coded</span>
-<a name="l00066"></a>00066 
-<a name="l00067"></a>00067   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
-<a name="l00068"></a>00068   inctranTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( m_date_from ) );
-<a name="l00069"></a>00069   inctranTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00070"></a>00070   
-<a name="l00071"></a>00071   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> stmtrqTag(<span class="stringliteral">"STMTRQ"</span>);
-<a name="l00072"></a>00072   stmtrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( bankacctfromTag );
-<a name="l00073"></a>00073   stmtrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( inctranTag );
+<a name="l00061"></a>00061   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> bankacctfromTag(<span class="stringliteral">"BANKACCTFROM"</span>);
+<a name="l00062"></a>00062   bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"BANKID"</span>, m_account.<a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a> );
+<a name="l00063"></a>00063   bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> );
+<a name="l00064"></a>00064   <span class="keywordflow">if</span> ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> ==  m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a> )
+<a name="l00065"></a>00065     bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CHECKING"</span> );
+<a name="l00066"></a>00066   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a> )
+<a name="l00067"></a>00067     bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"SAVINGS"</span> );
+<a name="l00068"></a>00068   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a> )
+<a name="l00069"></a>00069     bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"MONEYMRKT"</span> );
+<a name="l00070"></a>00070   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a> )
+<a name="l00071"></a>00071     bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CREDITLINE"</span> );
+<a name="l00072"></a>00072   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a> )
+<a name="l00073"></a>00073     bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CMA"</span> );
 <a name="l00074"></a>00074 
-<a name="l00075"></a>00075   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="stringliteral">"BANK"</span>,<span class="stringliteral">"STMT"</span>, stmtrqTag);
-<a name="l00076"></a>00076 }
-<a name="l00077"></a>00077 
-<a name="l00078"></a><a class="code" href="classOfxStatementRequest.html#85760d6ec3d3a8881938b0742f5eb67e">00078</a> <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#85760d6ec3d3a8881938b0742f5eb67e">OfxStatementRequest::CreditCardStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
-<a name="l00079"></a>00079 <span class="keyword"></span>{<span class="comment">/*</span>
-<a name="l00080"></a>00080 <span class="comment">  QString dtstart_string = _dtstart.toString(Qt::ISODate).remove(QRegExp("[^0-9]"));</span>
-<a name="l00081"></a>00081 <span class="comment"></span>
-<a name="l00082"></a>00082 <span class="comment">  return message("CREDITCARD","CCSTMT",Tag("CCSTMTRQ")</span>
-<a name="l00083"></a>00083 <span class="comment">    .subtag(Tag("CCACCTFROM").element("ACCTID",accountnum()))</span>
-<a name="l00084"></a>00084 <span class="comment">    .subtag(Tag("INCTRAN").element("DTSTART",dtstart_string).element("INCLUDE","Y")));</span>
-<a name="l00085"></a>00085 <span class="comment">}</span>
-<a name="l00086"></a>00086 <span class="comment">*/</span>
-<a name="l00087"></a>00087   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> ccacctfromTag(<span class="stringliteral">"CCACCTFROM"</span>);
-<a name="l00088"></a>00088   ccacctfromTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a> );
-<a name="l00089"></a>00089 
-<a name="l00090"></a>00090   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
-<a name="l00091"></a>00091   inctranTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( m_date_from ) );
-<a name="l00092"></a>00092   inctranTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00093"></a>00093   
-<a name="l00094"></a>00094   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> ccstmtrqTag(<span class="stringliteral">"CCSTMTRQ"</span>);
-<a name="l00095"></a>00095   ccstmtrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( ccacctfromTag );
-<a name="l00096"></a>00096   ccstmtrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( inctranTag );
+<a name="l00075"></a>00075   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
+<a name="l00076"></a>00076   inctranTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( m_date_from ) );
+<a name="l00077"></a>00077   inctranTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00078"></a>00078   
+<a name="l00079"></a>00079   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> stmtrqTag(<span class="stringliteral">"STMTRQ"</span>);
+<a name="l00080"></a>00080   stmtrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( bankacctfromTag );
+<a name="l00081"></a>00081   stmtrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( inctranTag );
+<a name="l00082"></a>00082 
+<a name="l00083"></a>00083   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"BANK"</span>,<span class="stringliteral">"STMT"</span>, stmtrqTag);
+<a name="l00084"></a>00084 }
+<a name="l00085"></a>00085 
+<a name="l00086"></a><a class="code" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">00086</a> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">OfxStatementRequest::CreditCardStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00087"></a>00087 <span class="keyword"></span>{<span class="comment">/*</span>
+<a name="l00088"></a>00088 <span class="comment">  QString dtstart_string = _dtstart.toString(Qt::ISODate).remove(QRegExp("[^0-9]"));</span>
+<a name="l00089"></a>00089 <span class="comment"></span>
+<a name="l00090"></a>00090 <span class="comment">  return message("CREDITCARD","CCSTMT",Tag("CCSTMTRQ")</span>
+<a name="l00091"></a>00091 <span class="comment">    .subtag(Tag("CCACCTFROM").element("ACCTID",accountnum()))</span>
+<a name="l00092"></a>00092 <span class="comment">    .subtag(Tag("INCTRAN").element("DTSTART",dtstart_string).element("INCLUDE","Y")));</span>
+<a name="l00093"></a>00093 <span class="comment">}</span>
+<a name="l00094"></a>00094 <span class="comment">*/</span>
+<a name="l00095"></a>00095   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> ccacctfromTag(<span class="stringliteral">"CCACCTFROM"</span>);
+<a name="l00096"></a>00096   ccacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> );
 <a name="l00097"></a>00097 
-<a name="l00098"></a>00098   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="stringliteral">"CREDITCARD"</span>,<span class="stringliteral">"CCSTMT"</span>, ccstmtrqTag);
-<a name="l00099"></a>00099 }
-<a name="l00100"></a>00100 
-<a name="l00101"></a><a class="code" href="classOfxStatementRequest.html#4196ff5900689c63697bc7ed7990a8a9">00101</a> <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#4196ff5900689c63697bc7ed7990a8a9">OfxStatementRequest::InvestmentStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
-<a name="l00102"></a>00102 <span class="keyword"></span>{
-<a name="l00103"></a>00103   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> invacctfromTag(<span class="stringliteral">"INVACCTFROM"</span>);
-<a name="l00104"></a>00104   
-<a name="l00105"></a>00105   invacctfromTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"BROKERID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#1b8903e24442ff02fc0a12ee0592cae6">brokerid</a> );
-<a name="l00106"></a>00106   invacctfromTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a> );
-<a name="l00107"></a>00107 
-<a name="l00108"></a>00108   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
-<a name="l00109"></a>00109   inctranTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#81beedfec4dc7c410153f3722fe67a77">time_t_to_ofxdate</a>( m_date_from ) );
-<a name="l00110"></a>00110   inctranTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00111"></a>00111 
-<a name="l00112"></a>00112   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> incposTag(<span class="stringliteral">"INCPOS"</span>);
-<a name="l00113"></a>00113   incposTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"DTASOF"</span>, <a class="code" href="ofx__request_8cpp.html#db904c8d68b46495893e0db60a2acbcf">time_t_to_ofxdatetime</a>( time(NULL) ) );
-<a name="l00114"></a>00114   incposTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00115"></a>00115     
-<a name="l00116"></a>00116   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> invstmtrqTag(<span class="stringliteral">"INVSTMTRQ"</span>);
-<a name="l00117"></a>00117   invstmtrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( invacctfromTag );
-<a name="l00118"></a>00118   invstmtrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( inctranTag );
-<a name="l00119"></a>00119   invstmtrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"INCOO"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00120"></a>00120   invstmtrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( incposTag );  
-<a name="l00121"></a>00121   invstmtrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"INCBAL"</span>,<span class="stringliteral">"Y"</span> );
-<a name="l00122"></a>00122 
-<a name="l00123"></a>00123   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="stringliteral">"INVSTMT"</span>,<span class="stringliteral">"INVSTMT"</span>, invstmtrqTag);
-<a name="l00124"></a>00124 }
-<a name="l00125"></a>00125 
-<a name="l00126"></a><a class="code" href="ofx__request__statement_8cpp.html#0ad511b87481c301b8a9de3405c9b196">00126</a> <span class="keywordtype">char</span>* libofx_request_payment( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>* account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>* payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>* payment )
-<a name="l00127"></a>00127 {
-<a name="l00128"></a>00128   <a class="code" href="classOfxPaymentRequest.html">OfxPaymentRequest</a> strq( *login, *account, *payee, *payment );
-<a name="l00129"></a>00129   string request = <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>() + strq.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
+<a name="l00098"></a>00098   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
+<a name="l00099"></a>00099   inctranTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( m_date_from ) );
+<a name="l00100"></a>00100   inctranTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00101"></a>00101   
+<a name="l00102"></a>00102   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> ccstmtrqTag(<span class="stringliteral">"CCSTMTRQ"</span>);
+<a name="l00103"></a>00103   ccstmtrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( ccacctfromTag );
+<a name="l00104"></a>00104   ccstmtrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( inctranTag );
+<a name="l00105"></a>00105 
+<a name="l00106"></a>00106   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"CREDITCARD"</span>,<span class="stringliteral">"CCSTMT"</span>, ccstmtrqTag);
+<a name="l00107"></a>00107 }
+<a name="l00108"></a>00108 
+<a name="l00109"></a><a class="code" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">00109</a> <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">OfxStatementRequest::InvestmentStatementRequest</a>(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
+<a name="l00110"></a>00110 <span class="keyword"></span>{
+<a name="l00111"></a>00111   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> invacctfromTag(<span class="stringliteral">"INVACCTFROM"</span>);
+<a name="l00112"></a>00112   
+<a name="l00113"></a>00113   invacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"BROKERID"</span>, m_account.<a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a> );
+<a name="l00114"></a>00114   invacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> );
+<a name="l00115"></a>00115 
+<a name="l00116"></a>00116   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> inctranTag(<span class="stringliteral">"INCTRAN"</span>);
+<a name="l00117"></a>00117   inctranTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"DTSTART"</span>, <a class="code" href="ofx__request_8cpp.html#34e84f6346e9d35feba51592e3db190c">time_t_to_ofxdate</a>( m_date_from ) );
+<a name="l00118"></a>00118   inctranTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00119"></a>00119 
+<a name="l00120"></a>00120   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> incposTag(<span class="stringliteral">"INCPOS"</span>);
+<a name="l00121"></a>00121   incposTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"DTASOF"</span>, <a class="code" href="ofx__request_8cpp.html#2f86a163dc83453b02683f1d20d6b3d6">time_t_to_ofxdatetime</a>( time(NULL) ) );
+<a name="l00122"></a>00122   incposTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"INCLUDE"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00123"></a>00123     
+<a name="l00124"></a>00124   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> invstmtrqTag(<span class="stringliteral">"INVSTMTRQ"</span>);
+<a name="l00125"></a>00125   invstmtrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( invacctfromTag );
+<a name="l00126"></a>00126   invstmtrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( inctranTag );
+<a name="l00127"></a>00127   invstmtrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"INCOO"</span>,<span class="stringliteral">"Y"</span> );
+<a name="l00128"></a>00128   invstmtrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( incposTag );  
+<a name="l00129"></a>00129   invstmtrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"INCBAL"</span>,<span class="stringliteral">"Y"</span> );
 <a name="l00130"></a>00130 
-<a name="l00131"></a>00131   <span class="keywordtype">unsigned</span> size = request.size();
-<a name="l00132"></a>00132   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
-<a name="l00133"></a>00133   request.copy(result,size);
-<a name="l00134"></a>00134   result[size] = 0;
-<a name="l00135"></a>00135   
-<a name="l00136"></a>00136   <span class="keywordflow">return</span> result;
-<a name="l00137"></a>00137 }
+<a name="l00131"></a>00131   <span class="keywordflow">return</span> <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"INVSTMT"</span>,<span class="stringliteral">"INVSTMT"</span>, invstmtrqTag);
+<a name="l00132"></a>00132 }
+<a name="l00133"></a>00133 
+<a name="l00134"></a><a class="code" href="ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">00134</a> <span class="keywordtype">char</span>* libofx_request_payment( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>* account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>* payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>* payment )
+<a name="l00135"></a>00135 {
+<a name="l00136"></a>00136   <a class="code" href="classOfxPaymentRequest.html">OfxPaymentRequest</a> strq( *login, *account, *payee, *payment );
+<a name="l00137"></a>00137   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(login-&gt;<a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a>) + strq.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
 <a name="l00138"></a>00138 
-<a name="l00139"></a><a class="code" href="classOfxPaymentRequest.html#b50d18e9ca000fb6a8b277ef6f183dd3">00139</a> <a class="code" href="classOfxPaymentRequest.html#b50d18e9ca000fb6a8b277ef6f183dd3">OfxPaymentRequest::OfxPaymentRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>&amp; account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>&amp; payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>&amp; payment ):
-<a name="l00140"></a>00140   <a class="code" href="classOfxRequest.html">OfxRequest</a>(fi),
-<a name="l00141"></a>00141   m_account(account),
-<a name="l00142"></a>00142   m_payee(payee),
-<a name="l00143"></a>00143   m_payment(payment)
-<a name="l00144"></a>00144 {
-<a name="l00145"></a>00145   <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a>() );
+<a name="l00139"></a>00139   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00140"></a>00140   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00141"></a>00141   request.copy(result,size);
+<a name="l00142"></a>00142   result[size] = 0;
+<a name="l00143"></a>00143   
+<a name="l00144"></a>00144   <span class="keywordflow">return</span> result;
+<a name="l00145"></a>00145 }
 <a name="l00146"></a>00146 
-<a name="l00147"></a>00147   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> bankacctfromTag(<span class="stringliteral">"BANKACCTFROM"</span>);
-<a name="l00148"></a>00148   bankacctfromTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"BANKID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">bankid</a> );
-<a name="l00149"></a>00149   bankacctfromTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a> );
-<a name="l00150"></a>00150   bankacctfromTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CHECKING"</span> );
-<a name="l00151"></a>00151   <span class="comment">// FIXME "CHECKING" should not be hard-coded</span>
-<a name="l00152"></a>00152 
-<a name="l00153"></a>00153   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> payeeTag(<span class="stringliteral">"PAYEE"</span>);
-<a name="l00154"></a>00154   payeeTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"NAME"</span>, m_payee.<a class="code" href="structOfxPayee.html#244c3b827ff9a03b64819e004b6c2703">name</a> );
-<a name="l00155"></a>00155   payeeTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"ADDR1"</span>, m_payee.<a class="code" href="structOfxPayee.html#3509ec9ece608232be3ffc63b4077d27">address1</a> );
-<a name="l00156"></a>00156   payeeTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"CITY"</span>, m_payee.<a class="code" href="structOfxPayee.html#4b3bd752ae504378f3bd3822e969b2fa">city</a> );
-<a name="l00157"></a>00157   payeeTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"STATE"</span>, m_payee.<a class="code" href="structOfxPayee.html#05962d6b480e93be8ee06c6890aff0eb">state</a> );
-<a name="l00158"></a>00158   payeeTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"POSTALCODE"</span>, m_payee.<a class="code" href="structOfxPayee.html#a07d96270910acde171ebe29a8a263c2">postalcode</a> );
-<a name="l00159"></a>00159   payeeTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"PHONE"</span>, m_payee.<a class="code" href="structOfxPayee.html#c79b99be08186762285da39f91948627">phone</a> );
-<a name="l00160"></a>00160   
-<a name="l00161"></a>00161   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> pmtinfoTag(<span class="stringliteral">"PMTINFO"</span>);
-<a name="l00162"></a>00162   pmtinfoTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( bankacctfromTag );
-<a name="l00163"></a>00163   pmtinfoTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"TRNAMT"</span>, m_payment.<a class="code" href="structOfxPayment.html#fb1972bf3033b4604422d21273bb8d4e">amount</a> );
-<a name="l00164"></a>00164   pmtinfoTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( payeeTag );
-<a name="l00165"></a>00165   pmtinfoTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"PAYACCT"</span>, m_payment.<a class="code" href="structOfxPayment.html#d57648ec18e28322c8cc71fce995f083">account</a> );
-<a name="l00166"></a>00166   pmtinfoTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"DTDUE"</span>, m_payment.<a class="code" href="structOfxPayment.html#9b30730015e0bdcf6661eadcb82b6698">datedue</a> );
-<a name="l00167"></a>00167   pmtinfoTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"MEMO"</span>, m_payment.<a class="code" href="structOfxPayment.html#e63577fa1dc3cff71b5dd6f09b0bd86a">memo</a> );
-<a name="l00168"></a>00168   
-<a name="l00169"></a>00169   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> pmtrqTag(<span class="stringliteral">"PMTRQ"</span>);
-<a name="l00170"></a>00170   pmtrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( pmtinfoTag );
-<a name="l00171"></a>00171 
-<a name="l00172"></a>00172   <a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="stringliteral">"BILLPAY"</span>,<span class="stringliteral">"PMT"</span>, pmtrqTag) );
-<a name="l00173"></a>00173 }
-<a name="l00174"></a>00174 
-<a name="l00175"></a><a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">00175</a> <a class="code" href="inc_2libofx_8h.html#78c711cc9f71d9032ea0e2ec66b87e74">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">libofx_request_payment_status</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keywordtype">char</span>* transactionid )
-<a name="l00176"></a>00176 {
-<a name="l00177"></a>00177 <span class="preprocessor">#if 0</span>
-<a name="l00178"></a>00178 <span class="preprocessor"></span>  <a class="code" href="classOfxAggregate.html">OfxAggregate</a> pmtinqrqTag( <span class="stringliteral">"PMTINQRQ"</span> );
-<a name="l00179"></a>00179   pmtinqrqTag.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"SRVRTID"</span>, transactionid );
-<a name="l00180"></a>00180   
-<a name="l00181"></a>00181   <a class="code" href="classOfxRequest.html">OfxRequest</a> ofx(*login);
-<a name="l00182"></a>00182   ofx.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( ofx.<a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a>() );
-<a name="l00183"></a>00183   ofx.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( ofx.<a class="code" href="classOfxRequest.html#a544b825f95778918ab737d985466eb2">RequestMessage</a>(<span class="stringliteral">"BILLPAY"</span>,<span class="stringliteral">"PMTINQ"</span>, pmtinqrqTag) );
+<a name="l00147"></a><a class="code" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">00147</a> <a class="code" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest::OfxPaymentRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>&amp; payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>&amp; payment ):
+<a name="l00148"></a>00148   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>(fi),
+<a name="l00149"></a>00149   m_account(account),
+<a name="l00150"></a>00150   m_payee(payee),
+<a name="l00151"></a>00151   m_payment(payment)
+<a name="l00152"></a>00152 {
+<a name="l00153"></a>00153   <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>() );
+<a name="l00154"></a>00154 
+<a name="l00155"></a>00155   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> bankacctfromTag(<span class="stringliteral">"BANKACCTFROM"</span>);
+<a name="l00156"></a>00156   bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"BANKID"</span>, m_account.<a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a> );
+<a name="l00157"></a>00157   bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTID"</span>, m_account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> );
+<a name="l00158"></a>00158   <span class="keywordflow">if</span> ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>)
+<a name="l00159"></a>00159     bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CHECKING"</span> );
+<a name="l00160"></a>00160   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a> )
+<a name="l00161"></a>00161     bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"SAVINGS"</span> );
+<a name="l00162"></a>00162   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a> )
+<a name="l00163"></a>00163     bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"MONEYMRKT"</span> );
+<a name="l00164"></a>00164   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> ==  m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a> )
+<a name="l00165"></a>00165     bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CREDITLINE"</span> );
+<a name="l00166"></a>00166   <span class="keywordflow">else</span> <span class="keywordflow">if</span>  ( m_account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> == m_account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a> )
+<a name="l00167"></a>00167     bankacctfromTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ACCTTYPE"</span>, <span class="stringliteral">"CMA"</span> );
+<a name="l00168"></a>00168 
+<a name="l00169"></a>00169   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> payeeTag(<span class="stringliteral">"PAYEE"</span>);
+<a name="l00170"></a>00170   payeeTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"NAME"</span>, m_payee.<a class="code" href="structOfxPayee.html#2ad9e35d86d1f7432114048a55bb5a73">name</a> );
+<a name="l00171"></a>00171   payeeTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"ADDR1"</span>, m_payee.<a class="code" href="structOfxPayee.html#985439daf6ac8a7a34c92e5f9e829901">address1</a> );
+<a name="l00172"></a>00172   payeeTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"CITY"</span>, m_payee.<a class="code" href="structOfxPayee.html#03d236ffc1640ecc56640c4e29093215">city</a> );
+<a name="l00173"></a>00173   payeeTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"STATE"</span>, m_payee.<a class="code" href="structOfxPayee.html#d93547c7b47ed9d2428c0516fec2ed55">state</a> );
+<a name="l00174"></a>00174   payeeTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"POSTALCODE"</span>, m_payee.<a class="code" href="structOfxPayee.html#b23cc650855fe8313f3a984a76b233cb">postalcode</a> );
+<a name="l00175"></a>00175   payeeTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"PHONE"</span>, m_payee.<a class="code" href="structOfxPayee.html#90f01576639fa04ff30a4c8836b6491f">phone</a> );
+<a name="l00176"></a>00176   
+<a name="l00177"></a>00177   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> pmtinfoTag(<span class="stringliteral">"PMTINFO"</span>);
+<a name="l00178"></a>00178   pmtinfoTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( bankacctfromTag );
+<a name="l00179"></a>00179   pmtinfoTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"TRNAMT"</span>, m_payment.<a class="code" href="structOfxPayment.html#ce2679ca7e17d6ba7a79cf03399beb8a">amount</a> );
+<a name="l00180"></a>00180   pmtinfoTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( payeeTag );
+<a name="l00181"></a>00181   pmtinfoTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"PAYACCT"</span>, m_payment.<a class="code" href="structOfxPayment.html#851acab467352b911fa62781657ce328">account</a> );
+<a name="l00182"></a>00182   pmtinfoTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"DTDUE"</span>, m_payment.<a class="code" href="structOfxPayment.html#8c7bf483dba9043d5c49993756681e7b">datedue</a> );
+<a name="l00183"></a>00183   pmtinfoTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"MEMO"</span>, m_payment.<a class="code" href="structOfxPayment.html#3d6cbc61b6b1561f6a641bedcb5d25f5">memo</a> );
 <a name="l00184"></a>00184   
-<a name="l00185"></a>00185   string request = <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>() + ofx.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
-<a name="l00186"></a>00186 
-<a name="l00187"></a>00187   <span class="keywordtype">unsigned</span> size = request.size();
-<a name="l00188"></a>00188   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
-<a name="l00189"></a>00189   request.copy(result,size);
-<a name="l00190"></a>00190   result[size] = 0;
-<a name="l00191"></a>00191 <span class="preprocessor">#else</span>
-<a name="l00192"></a>00192 <span class="preprocessor"></span>  <a class="code" href="classOfxAggregate.html">OfxAggregate</a> payeesyncrq( <span class="stringliteral">"PAYEESYNCRQ"</span> );
-<a name="l00193"></a>00193   payeesyncrq.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"TOKEN"</span>, <span class="stringliteral">"0"</span> );
-<a name="l00194"></a>00194   payeesyncrq.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"TOKENONLY"</span>, <span class="stringliteral">"N"</span> );
-<a name="l00195"></a>00195   payeesyncrq.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"REFRESH"</span>, <span class="stringliteral">"Y"</span> );
-<a name="l00196"></a>00196   payeesyncrq.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( <span class="stringliteral">"REJECTIFMISSING"</span>, <span class="stringliteral">"N"</span> );
-<a name="l00197"></a>00197   
-<a name="l00198"></a>00198   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> message( <span class="stringliteral">"BILLPAYMSGSRQV1"</span> );
-<a name="l00199"></a>00199   message.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( payeesyncrq );
-<a name="l00200"></a>00200 
-<a name="l00201"></a>00201   <a class="code" href="classOfxRequest.html">OfxRequest</a> ofx(*login);
-<a name="l00202"></a>00202   ofx.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( ofx.<a class="code" href="classOfxRequest.html#af46e4046c4baddbb096b1eb1b4c46a8">SignOnRequest</a>() );
-<a name="l00203"></a>00203   ofx.<a class="code" href="classOfxAggregate.html#318996f061ff671c9738c938d795fb54">Add</a>( message );
-<a name="l00204"></a>00204   
-<a name="l00205"></a>00205   string request = <a class="code" href="ofx__request_8cpp.html#e0c9348ddcb7da503b17069e9ea77f75">OfxHeader</a>() + ofx.<a class="code" href="classOfxAggregate.html#4ff2dff61ef3467b5ca95148018bcc1f">Output</a>();
-<a name="l00206"></a>00206 
-<a name="l00207"></a>00207   <span class="keywordtype">unsigned</span> size = request.size();
-<a name="l00208"></a>00208   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
-<a name="l00209"></a>00209   request.copy(result,size);
-<a name="l00210"></a>00210   result[size] = 0;
-<a name="l00211"></a>00211  
-<a name="l00212"></a>00212 <span class="preprocessor">#endif</span>
-<a name="l00213"></a>00213 <span class="preprocessor"></span>  <span class="keywordflow">return</span> result;
-<a name="l00214"></a>00214 }
-<a name="l00215"></a>00215 
-<a name="l00216"></a>00216 <span class="comment">// vim:cin:si:ai:et:ts=2:sw=2:</span>
-<a name="l00217"></a>00217 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00185"></a>00185   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> pmtrqTag(<span class="stringliteral">"PMTRQ"</span>);
+<a name="l00186"></a>00186   pmtrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( pmtinfoTag );
+<a name="l00187"></a>00187 
+<a name="l00188"></a>00188   <a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"BILLPAY"</span>,<span class="stringliteral">"PMT"</span>, pmtrqTag) );
+<a name="l00189"></a>00189 }
+<a name="l00190"></a>00190 
+<a name="l00191"></a><a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">00191</a> <a class="code" href="inc_2libofx_8h.html#47f3130aac7543264fac840fb657cc3d">CFCT</a> <span class="keywordtype">char</span>* <a class="code" href="inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a>( <span class="keyword">const</span> <span class="keyword">struct</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>* login, <span class="keyword">const</span> <span class="keywordtype">char</span>* transactionid )
+<a name="l00192"></a>00192 {
+<a name="l00193"></a>00193 <span class="preprocessor">#if 0</span>
+<a name="l00194"></a>00194 <span class="preprocessor"></span>  <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> pmtinqrqTag( <span class="stringliteral">"PMTINQRQ"</span> );
+<a name="l00195"></a>00195   pmtinqrqTag.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"SRVRTID"</span>, transactionid );
+<a name="l00196"></a>00196   
+<a name="l00197"></a>00197   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a> ofx(*login);
+<a name="l00198"></a>00198   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( ofx.<a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>() );
+<a name="l00199"></a>00199   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( ofx.<a class="code" href="classOfxRequest.html#e56ceb8ef12b9431dcd4d63eec60a377">RequestMessage</a>(<span class="stringliteral">"BILLPAY"</span>,<span class="stringliteral">"PMTINQ"</span>, pmtinqrqTag) );
+<a name="l00200"></a>00200   
+<a name="l00201"></a>00201   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>() + ofx.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
+<a name="l00202"></a>00202 
+<a name="l00203"></a>00203   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00204"></a>00204   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00205"></a>00205   request.copy(result,size);
+<a name="l00206"></a>00206   result[size] = 0;
+<a name="l00207"></a>00207 <span class="preprocessor">#else</span>
+<a name="l00208"></a>00208 <span class="preprocessor"></span>  <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> payeesyncrq( <span class="stringliteral">"PAYEESYNCRQ"</span> );
+<a name="l00209"></a>00209   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"TOKEN"</span>, <span class="stringliteral">"0"</span> );
+<a name="l00210"></a>00210   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"TOKENONLY"</span>, <span class="stringliteral">"N"</span> );
+<a name="l00211"></a>00211   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"REFRESH"</span>, <span class="stringliteral">"Y"</span> );
+<a name="l00212"></a>00212   payeesyncrq.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( <span class="stringliteral">"REJECTIFMISSING"</span>, <span class="stringliteral">"N"</span> );
+<a name="l00213"></a>00213   
+<a name="l00214"></a>00214   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> message( <span class="stringliteral">"BILLPAYMSGSRQV1"</span> );
+<a name="l00215"></a>00215   message.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( payeesyncrq );
+<a name="l00216"></a>00216 
+<a name="l00217"></a>00217   <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a> ofx(*login);
+<a name="l00218"></a>00218   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( ofx.<a class="code" href="classOfxRequest.html#b653f985a56f4cff3e87a82c700f4450">SignOnRequest</a>() );
+<a name="l00219"></a>00219   ofx.<a class="code" href="classOfxAggregate.html#5abc7ac34d575eaecde5f16310c766b8">Add</a>( message );
+<a name="l00220"></a>00220   
+<a name="l00221"></a>00221   <span class="keywordtype">string</span> request = <a class="code" href="ofx__request_8cpp.html#38a94b99f351615ee7a342f409db8499">OfxHeader</a>(login-&gt;<a class="code" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a>) + ofx.<a class="code" href="classOfxAggregate.html#b430ce663510ff8eea83bbe0e3bedf6d">Output</a>();
+<a name="l00222"></a>00222 
+<a name="l00223"></a>00223   <span class="keywordtype">unsigned</span> size = request.size();
+<a name="l00224"></a>00224   <span class="keywordtype">char</span>* result = (<span class="keywordtype">char</span>*)malloc(size + 1);
+<a name="l00225"></a>00225   request.copy(result,size);
+<a name="l00226"></a>00226   result[size] = 0;
+<a name="l00227"></a>00227  
+<a name="l00228"></a>00228 <span class="preprocessor">#endif</span>
+<a name="l00229"></a>00229 <span class="preprocessor"></span>  <span class="keywordflow">return</span> result;
+<a name="l00230"></a>00230 }
+<a name="l00231"></a>00231 
+<a name="l00232"></a>00232 <span class="comment">// vim:cin:si:ai:et:ts=2:sw=2:</span>
+<a name="l00233"></a>00233 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request__statement_8cpp.html'
--- doc/html/ofx__request__statement_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request__statement_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,46 +1,42 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_statement.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_statement.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Implementation of libofx_request_statement to create an OFX file containing a request for a statement. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.
+<p>Definition in file <a class="el" href="ofx__request__statement_8cpp-source.html">ofx_request_statement.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__request__statement_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="39b4ef4bfd5e58227b07c2f2f5c09803"></a><!-- doxytag: member="ofx_request_statement.cpp::libofx_request_statement" ref="39b4ef4bfd5e58227b07c2f2f5c09803" args="(const OfxFiLogin *login, const OfxAccountInfo *account, time_t date_from)" -->
-char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request__statement_8cpp.html#39b4ef4bfd5e58227b07c2f2f5c09803">libofx_request_statement</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> *account, time_t date_from)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0ad511b87481c301b8a9de3405c9b196"></a><!-- doxytag: member="ofx_request_statement.cpp::libofx_request_payment" ref="0ad511b87481c301b8a9de3405c9b196" args="(const OfxFiLogin *login, const OfxAccountInfo *account, const OfxPayee *payee, const OfxPayment *payment)" -->
-char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request__statement_8cpp.html#0ad511b87481c301b8a9de3405c9b196">libofx_request_payment</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> *account, const <a class="el" href="structOfxPayee.html">OfxPayee</a> *payee, const <a class="el" href="structOfxPayment.html">OfxPayment</a> *payment)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f408dfb1579b0d6f980d96ffcb45e674"></a><!-- doxytag: member="ofx_request_statement.cpp::libofx_request_payment_status" ref="f408dfb1579b0d6f980d96ffcb45e674" args="(const struct OfxFiLogin *login, const char *transactionid)" -->
-CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request__statement_8cpp.html#f408dfb1579b0d6f980d96ffcb45e674">libofx_request_payment_status</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const char *transactionid)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fe5e9e2a83708f6d345a4f49268ec8b2"></a><!-- doxytag: member="ofx_request_statement.cpp::libofx_request_statement" ref="fe5e9e2a83708f6d345a4f49268ec8b2" args="(const OfxFiLogin *login, const OfxAccountData *account, time_t date_from)" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request__statement_8cpp.html#fe5e9e2a83708f6d345a4f49268ec8b2">libofx_request_statement</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, time_t date_from)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="22a315696e3c04b47ab85ad7da3d3cab"></a><!-- doxytag: member="ofx_request_statement.cpp::libofx_request_payment" ref="22a315696e3c04b47ab85ad7da3d3cab" args="(const OfxFiLogin *login, const OfxAccountData *account, const OfxPayee *payee, const OfxPayment *payment)" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request__statement_8cpp.html#22a315696e3c04b47ab85ad7da3d3cab">libofx_request_payment</a> (const <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *account, const <a class="el" href="structOfxPayee.html">OfxPayee</a> *payee, const <a class="el" href="structOfxPayment.html">OfxPayment</a> *payment)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b9b42a433677da688d0f9f37d9da24d1"></a><!-- doxytag: member="ofx_request_statement.cpp::libofx_request_payment_status" ref="b9b42a433677da688d0f9f37d9da24d1" args="(const struct OfxFiLogin *login, const char *transactionid)" -->
+CFCT char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__request__statement_8cpp.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a> (const struct <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> *login, const char *transactionid)</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request__statement_8hh-source.html'
--- doc/html/ofx__request__statement_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request__statement_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_statement.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_statement.hh</h1><a href="ofx__request__statement_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_request_statement.hh </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,43 +32,43 @@
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFX_REQ_STATEMENT_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
 <a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="ofx__request_8hh.html">ofx_request.hh</a>"</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="ofx__request_8hh.html" title="Declaration of an OfxRequests to create an OFX file containing a generic request...">ofx_request.hh</a>"</span>
 <a name="l00026"></a>00026 
 <a name="l00027"></a>00027 <span class="keyword">using namespace </span>std;
 <a name="l00028"></a>00028 
-<a name="l00037"></a><a class="code" href="classOfxStatementRequest.html">00037</a> <span class="keyword">class </span><a class="code" href="classOfxStatementRequest.html">OfxStatementRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html">OfxRequest</a>
+<a name="l00037"></a><a class="code" href="classOfxStatementRequest.html">00037</a> <span class="keyword">class </span><a class="code" href="classOfxStatementRequest.html" title="A statement request.">OfxStatementRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>
 <a name="l00038"></a>00038 {
 <a name="l00039"></a>00039 <span class="keyword">public</span>:
-<a name="l00049"></a>00049   <a class="code" href="classOfxStatementRequest.html#fda5e716b9f1848b4d009bfe338880f0">OfxStatementRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>&amp; account, time_t from );
+<a name="l00049"></a>00049   <a class="code" href="classOfxStatementRequest.html#26f2cb4111c3965436129c2bdfbf678b">OfxStatementRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, time_t from );
 <a name="l00050"></a>00050 
 <a name="l00051"></a>00051 <span class="keyword">protected</span>:
-<a name="l00059"></a>00059   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#51f2f5168ae5a2c783bbc3f142546229">BankStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00059"></a>00059   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#42f8752cca60b057325785563d67e92f">BankStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
 <a name="l00060"></a>00060   
-<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#85760d6ec3d3a8881938b0742f5eb67e">CreditCardStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00068"></a>00068   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#721c88927e57c1bc189b3e4b9410690d">CreditCardStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
 <a name="l00069"></a>00069   
-<a name="l00077"></a>00077   <a class="code" href="classOfxAggregate.html">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#4196ff5900689c63697bc7ed7990a8a9">InvestmentStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
+<a name="l00077"></a>00077   <a class="code" href="classOfxAggregate.html" title="A single aggregate as described in the OFX 1.02 specification.">OfxAggregate</a> <a class="code" href="classOfxStatementRequest.html#c3df87c5377e4d0d6f5944010527bea4">InvestmentStatementRequest</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
 <a name="l00078"></a>00078   
 <a name="l00079"></a>00079 <span class="keyword">private</span>:
-<a name="l00080"></a>00080   <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a> m_account;
+<a name="l00080"></a>00080   <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> m_account;
 <a name="l00081"></a>00081   time_t m_date_from;
 <a name="l00082"></a>00082 };
 <a name="l00083"></a>00083 
-<a name="l00084"></a><a class="code" href="classOfxPaymentRequest.html">00084</a> <span class="keyword">class </span><a class="code" href="classOfxPaymentRequest.html">OfxPaymentRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html">OfxRequest</a>
+<a name="l00084"></a><a class="code" href="classOfxPaymentRequest.html">00084</a> <span class="keyword">class </span><a class="code" href="classOfxPaymentRequest.html">OfxPaymentRequest</a>: <span class="keyword">public</span> <a class="code" href="classOfxRequest.html" title="A generic request.">OfxRequest</a>
 <a name="l00085"></a>00085 {
 <a name="l00086"></a>00086 <span class="keyword">public</span>:
-<a name="l00097"></a>00097   <a class="code" href="classOfxPaymentRequest.html#b50d18e9ca000fb6a8b277ef6f183dd3">OfxPaymentRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>&amp; account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>&amp; payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>&amp; payment );
+<a name="l00097"></a>00097   <a class="code" href="classOfxPaymentRequest.html#ce1a35797c9b4d7a81f6cc43870bc909">OfxPaymentRequest</a>( <span class="keyword">const</span> <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>&amp; fi, <span class="keyword">const</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>&amp; account, <span class="keyword">const</span> <a class="code" href="structOfxPayee.html">OfxPayee</a>&amp; payee, <span class="keyword">const</span> <a class="code" href="structOfxPayment.html">OfxPayment</a>&amp; payment );
 <a name="l00098"></a>00098 <span class="keyword">protected</span>:
 <a name="l00099"></a>00099  
 <a name="l00100"></a>00100 <span class="keyword">private</span>:
-<a name="l00101"></a>00101   <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a> m_account;
+<a name="l00101"></a>00101   <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> m_account;
 <a name="l00102"></a>00102   <a class="code" href="structOfxPayee.html">OfxPayee</a> m_payee;
 <a name="l00103"></a>00103   <a class="code" href="structOfxPayment.html">OfxPayment</a> m_payment;
 <a name="l00104"></a>00104 };
 <a name="l00105"></a>00105 
 <a name="l00106"></a>00106 <span class="preprocessor">#endif // OFX_REQ_STATEMENT_H</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__request__statement_8hh.html'
--- doc/html/ofx__request__statement_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__request__statement_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_request_statement.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_request_statement.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Declaration of libofx_request_statement to create an OFX file containing a request for a statement. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofx__request__statement_8hh-source.html">ofx_request_statement.hh</a>.
+<p>Definition in file <a class="el" href="ofx__request__statement_8hh-source.html">ofx_request_statement.hh</a>.</p>
+
 <p>
 
 <p>
@@ -35,8 +31,8 @@
 <tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOfxPaymentRequest.html">OfxPaymentRequest</a></td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__sgml_8cpp-source.html'
--- doc/html/ofx__sgml_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__sgml_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_sgml.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_sgml.cpp</h1><a href="ofx__sgml_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.cpp</span>
 <a name="l00003"></a>00003 <span class="comment">                          -------------------</span>
@@ -40,66 +36,66 @@
 <a name="l00026"></a>00026 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
 <a name="l00027"></a>00027 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00028"></a>00028 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
-<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html">ofx_containers.hh</a>"</span>
-<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="ofx__sgml_8hh.html">ofx_sgml.hh</a>"</span>
+<a name="l00029"></a>00029 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="ofx__containers_8hh.html" title="LibOFX internal object code.">ofx_containers.hh</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="ofx__sgml_8hh.html" title="OFX/SGML parsing functionnality.">ofx_sgml.hh</a>"</span>
 <a name="l00034"></a>00034 
 <a name="l00035"></a>00035 <span class="keyword">using namespace </span>std;
 <a name="l00036"></a>00036 
-<a name="l00037"></a><a class="code" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">00037</a> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = NULL;
-<a name="l00038"></a>00038 <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>;
-<a name="l00039"></a>00039 <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>;
+<a name="l00037"></a><a class="code" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp.html#759a7d80c051f4f1adc2abae56002100">00037</a> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> * <a class="code" href="ofc__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a> = NULL;
+<a name="l00038"></a>00038 <span class="keyword">extern</span> SGMLApplication::OpenEntityPtr <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>;
+<a name="l00039"></a>00039 <span class="keyword">extern</span> SGMLApplication::Position <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>;
 <a name="l00040"></a>00040 
 <a name="l00041"></a>00041 
-<a name="l00044"></a><a class="code" href="classOFXApplication.html">00044</a> <span class="keyword">class </span><a class="code" href="classOFXApplication.html">OFXApplication</a> : <span class="keyword">public</span> SGMLApplication
+<a name="l00044"></a><a class="code" href="classOFXApplication.html">00044</a> <span class="keyword">class </span><a class="code" href="classOFXApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFXApplication</a> : <span class="keyword">public</span> SGMLApplication
 <a name="l00045"></a>00045 {
 <a name="l00046"></a>00046 <span class="keyword">private</span>:
-<a name="l00047"></a>00047   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *curr_container_element; 
-<a name="l00048"></a>00048   <a class="code" href="classOfxGenericContainer.html">OfxGenericContainer</a> *tmp_container_element;
+<a name="l00047"></a>00047   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *curr_container_element; 
+<a name="l00048"></a>00048   <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">OfxGenericContainer</a> *tmp_container_element;
 <a name="l00049"></a>00049   <span class="keywordtype">bool</span> is_data_element; 
-<a name="l00050"></a>00050   string incoming_data; 
+<a name="l00050"></a>00050   <span class="keywordtype">string</span> incoming_data; 
 <a name="l00051"></a>00051   <a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context;
 <a name="l00052"></a>00052 
 <a name="l00053"></a>00053 <span class="keyword">public</span>:
 <a name="l00054"></a>00054 
-<a name="l00055"></a><a class="code" href="classOFXApplication.html#1d6f09a412e09451f1ed1eff491b7d44">00055</a>   <a class="code" href="classOFXApplication.html#1d6f09a412e09451f1ed1eff491b7d44">OFXApplication</a> (<a class="code" href="classLibofxContext.html">LibofxContext</a> * p_libofx_context)
+<a name="l00055"></a><a class="code" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">00055</a>   <a class="code" href="classOFXApplication.html#31bb3ceee5471bfceb4c0b66454ab70b">OFXApplication</a> (<a class="code" href="classLibofxContext.html">LibofxContext</a> * p_libofx_context)
 <a name="l00056"></a>00056   {
-<a name="l00057"></a>00057     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>=NULL;
+<a name="l00057"></a>00057     MainContainer=NULL;
 <a name="l00058"></a>00058     curr_container_element = NULL;
 <a name="l00059"></a>00059     is_data_element = <span class="keyword">false</span>;
 <a name="l00060"></a>00060     libofx_context=p_libofx_context;
 <a name="l00061"></a>00061   }
-<a name="l00062"></a><a class="code" href="classOFXApplication.html#553e023a72e3595ded7f64997e6a6fd1">00062</a>   <a class="code" href="classOFXApplication.html#553e023a72e3595ded7f64997e6a6fd1">~OFXApplication</a>()
+<a name="l00062"></a><a class="code" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">00062</a>   <a class="code" href="classOFXApplication.html#97bf0d28a9cf2149de3ad280f7a6fa0b">~OFXApplication</a>()
 <a name="l00063"></a>00063   {
-<a name="l00064"></a>00064     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Entering the OFXApplication's destructor"</span>);
+<a name="l00064"></a>00064     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Entering the OFXApplication's destructor"</span>);
 <a name="l00065"></a>00065   }
 <a name="l00066"></a>00066   
-<a name="l00071"></a><a class="code" href="classOFXApplication.html#35de080ed9b0892f329a4fde4afb10be">00071</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#35de080ed9b0892f329a4fde4afb10be">startElement</a> (<span class="keyword">const</span> StartElementEvent &amp; event)
+<a name="l00071"></a><a class="code" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77">00071</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#8575aabbc37e3ab13f84d4c1bd193c77" title="Callback: Start of an OFX element.">startElement</a> (<span class="keyword">const</span> StartElementEvent &amp; event)
 <a name="l00072"></a>00072   {
-<a name="l00073"></a>00073     string identifier;
-<a name="l00074"></a>00074     <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.gi, identifier);
-<a name="l00075"></a>00075     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"startElement event received from OpenSP for element "</span> + identifier);
+<a name="l00073"></a>00073     <span class="keywordtype">string</span> identifier;
+<a name="l00074"></a>00074     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
+<a name="l00075"></a>00075     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"startElement event received from OpenSP for element "</span> + identifier);
 <a name="l00076"></a>00076     
-<a name="l00077"></a>00077     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00077"></a>00077     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00078"></a>00078 
 <a name="l00079"></a>00079     <span class="keywordflow">switch</span> (event.contentType)
 <a name="l00080"></a>00080       {
-<a name="l00081"></a>00081       <span class="keywordflow">case</span> StartElementEvent::empty:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::empty\n"</span>);
+<a name="l00081"></a>00081       <span class="keywordflow">case</span> StartElementEvent::empty:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::empty\n"</span>);
 <a name="l00082"></a>00082         <span class="keywordflow">break</span>;
-<a name="l00083"></a>00083       <span class="keywordflow">case</span> StartElementEvent::cdata:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::cdata\n"</span>);
+<a name="l00083"></a>00083       <span class="keywordflow">case</span> StartElementEvent::cdata:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::cdata\n"</span>);
 <a name="l00084"></a>00084         <span class="keywordflow">break</span>;
-<a name="l00085"></a>00085       <span class="keywordflow">case</span> StartElementEvent::rcdata:   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"StartElementEvent::rcdata\n"</span>);
+<a name="l00085"></a>00085       <span class="keywordflow">case</span> StartElementEvent::rcdata:   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"StartElementEvent::rcdata\n"</span>);
 <a name="l00086"></a>00086         <span class="keywordflow">break</span>;
-<a name="l00087"></a>00087       <span class="keywordflow">case</span> StartElementEvent::mixed:    <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"StartElementEvent::mixed"</span>);
+<a name="l00087"></a>00087       <span class="keywordflow">case</span> StartElementEvent::mixed:    <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::mixed"</span>);
 <a name="l00088"></a>00088         is_data_element = <span class="keyword">true</span>;
 <a name="l00089"></a>00089         <span class="keywordflow">break</span>;
-<a name="l00090"></a>00090       <span class="keywordflow">case</span> StartElementEvent::element:  <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"StartElementEvent::element"</span>);
+<a name="l00090"></a>00090       <span class="keywordflow">case</span> StartElementEvent::element:  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"StartElementEvent::element"</span>);
 <a name="l00091"></a>00091         is_data_element = <span class="keyword">false</span>;
 <a name="l00092"></a>00092         <span class="keywordflow">break</span>;
 <a name="l00093"></a>00093       <span class="keywordflow">default</span>:
-<a name="l00094"></a>00094         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Unknow SGML content type?!?!?!? OpenSP interface changed?"</span>);
+<a name="l00094"></a>00094         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Unknow SGML content type?!?!?!? OpenSP interface changed?"</span>);
 <a name="l00095"></a>00095       }
 <a name="l00096"></a>00096     
 <a name="l00097"></a>00097     <span class="keywordflow">if</span> (is_data_element == <span class="keyword">false</span>)
@@ -108,39 +104,39 @@
 <a name="l00100"></a>00100 
 <a name="l00101"></a>00101         <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"OFX"</span>)
 <a name="l00102"></a>00102           {
-<a name="l00103"></a>00103             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00104"></a>00104             <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = <span class="keyword">new</span> <a class="code" href="classOfxMainContainer.html">OfxMainContainer</a> (libofx_context, curr_container_element, identifier);
-<a name="l00105"></a>00105             curr_container_element = <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
+<a name="l00103"></a>00103             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00104"></a>00104             MainContainer = <span class="keyword">new</span> <a class="code" href="classOfxMainContainer.html" title="The root container. Created by the &amp;lt;OFX&amp;gt; OFX element or by the export functions...">OfxMainContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00105"></a>00105             curr_container_element = MainContainer;
 <a name="l00106"></a>00106           }
 <a name="l00107"></a>00107         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STATUS"</span>)
 <a name="l00108"></a>00108           {
-<a name="l00109"></a>00109             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00110"></a>00110             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatusContainer.html">OfxStatusContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00109"></a>00109             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00110"></a>00110             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatusContainer.html" title="Represents the &amp;lt;STATUS&amp;gt; OFX SGML entity.">OfxStatusContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00111"></a>00111           }
 <a name="l00112"></a>00112         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STMTRS"</span> ||
 <a name="l00113"></a>00113                  identifier == <span class="stringliteral">"CCSTMTRS"</span> ||
 <a name="l00114"></a>00114                  identifier == <span class="stringliteral">"INVSTMTRS"</span>)
 <a name="l00115"></a>00115           {
-<a name="l00116"></a>00116             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00117"></a>00117             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatementContainer.html">OfxStatementContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00116"></a>00116             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00117"></a>00117             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxStatementContainer.html" title="Represents a statement for either a bank account or a credit card account.">OfxStatementContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00118"></a>00118           }
 <a name="l00119"></a>00119         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"BANKTRANLIST"</span>)
 <a name="l00120"></a>00120           {
-<a name="l00121"></a>00121             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00121"></a>00121             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
 <a name="l00122"></a>00122             <span class="comment">//BANKTRANLIST ignored, we will process it's attributes directly inside the STATEMENT,</span>
-<a name="l00123"></a>00123             <span class="keywordflow">if</span>(curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
+<a name="l00123"></a>00123             <span class="keywordflow">if</span>(curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>!=<span class="stringliteral">"STATEMENT"</span>)
 <a name="l00124"></a>00124               {
-<a name="l00125"></a>00125                 <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found while not inside a STATEMENT container"</span>);
+<a name="l00125"></a>00125                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found while not inside a STATEMENT container"</span>);
 <a name="l00126"></a>00126               }
 <a name="l00127"></a>00127             <span class="keywordflow">else</span>
 <a name="l00128"></a>00128               {
-<a name="l00129"></a>00129                 curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00129"></a>00129                 curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00130"></a>00130               }
 <a name="l00131"></a>00131           }
 <a name="l00132"></a>00132         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"STMTTRN"</span>)
 <a name="l00133"></a>00133           {
-<a name="l00134"></a>00134             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00135"></a>00135             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBankTransactionContainer.html">OfxBankTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00134"></a>00134             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00135"></a>00135             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBankTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxBankTransactionContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00136"></a>00136           }
 <a name="l00137"></a>00137         <span class="keywordflow">else</span> <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"BUYDEBT"</span> ||
 <a name="l00138"></a>00138                 identifier == <span class="stringliteral">"BUYMF"</span> ||
@@ -163,8 +159,8 @@
 <a name="l00155"></a>00155                 identifier == <span class="stringliteral">"SPLIT"</span> ||
 <a name="l00156"></a>00156                 identifier == <span class="stringliteral">"TRANSFER"</span> )
 <a name="l00157"></a>00157           {
-<a name="l00158"></a>00158             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00159"></a>00159             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxInvestmentTransactionContainer.html">OfxInvestmentTransactionContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00158"></a>00158             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00159"></a>00159             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxInvestmentTransactionContainer.html" title="Represents a bank or credid card transaction.">OfxInvestmentTransactionContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00160"></a>00160           }
 <a name="l00161"></a>00161         <span class="comment">/*The following is a list of OFX elements whose attributes will be processed by the parent container*/</span>
 <a name="l00162"></a>00162         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"INVBUY"</span> ||
@@ -172,190 +168,190 @@
 <a name="l00164"></a>00164                  identifier == <span class="stringliteral">"INVTRAN"</span> ||
 <a name="l00165"></a>00165                  identifier == <span class="stringliteral">"SECID"</span>)
 <a name="l00166"></a>00166           {
-<a name="l00167"></a>00167             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00168"></a>00168             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00167"></a>00167             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00168"></a>00168             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxPushUpContainer.html" title="A container to hold a OFX SGML element for which you want the parent to process it&amp;#39;s...">OfxPushUpContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00169"></a>00169           }
 <a name="l00170"></a>00170 
 <a name="l00171"></a>00171         <span class="comment">/* The different types of accounts */</span>
 <a name="l00172"></a>00172         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"BANKACCTFROM"</span> || identifier == <span class="stringliteral">"CCACCTFROM"</span> || identifier == <span class="stringliteral">"INVACCTFROM"</span>)
 <a name="l00173"></a>00173           {
-<a name="l00174"></a>00174             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00175"></a>00175             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxAccountContainer.html">OfxAccountContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00174"></a>00174             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00175"></a>00175             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxAccountContainer.html" title="Represents a bank account or a credit card account.">OfxAccountContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00176"></a>00176           }
 <a name="l00177"></a>00177         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"SECINFO"</span>)
 <a name="l00178"></a>00178           {
-<a name="l00179"></a>00179             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00180"></a>00180             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxSecurityContainer.html">OfxSecurityContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00179"></a>00179             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00180"></a>00180             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxSecurityContainer.html" title="Represents a security, such as a stock or bond.">OfxSecurityContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00181"></a>00181           }
 <a name="l00182"></a>00182         <span class="comment">/* The different types of balances */</span>
 <a name="l00183"></a>00183         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (identifier == <span class="stringliteral">"LEDGERBAL"</span> || identifier == <span class="stringliteral">"AVAILBAL"</span>)
 <a name="l00184"></a>00184           {
-<a name="l00185"></a>00185             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
-<a name="l00186"></a>00186             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBalanceContainer.html">OfxBalanceContainer</a> (libofx_context, curr_container_element, identifier);
+<a name="l00185"></a>00185             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00186"></a>00186             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxBalanceContainer.html" title="Represents the &amp;lt;BALANCE&amp;gt; OFX SGML entity.">OfxBalanceContainer</a> (libofx_context, curr_container_element, identifier);
 <a name="l00187"></a>00187           }
 <a name="l00188"></a>00188         <span class="keywordflow">else</span>
 <a name="l00189"></a>00189           {
 <a name="l00190"></a>00190             <span class="comment">/* We dont know this OFX element, so we create a dummy container */</span>
-<a name="l00191"></a>00191             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxDummyContainer.html">OfxDummyContainer</a>(libofx_context, curr_container_element, identifier);
+<a name="l00191"></a>00191             curr_container_element = <span class="keyword">new</span> <a class="code" href="classOfxDummyContainer.html" title="A container to holds OFX SGML elements that LibOFX knows nothing about.">OfxDummyContainer</a>(libofx_context, curr_container_element, identifier);
 <a name="l00192"></a>00192           }
 <a name="l00193"></a>00193       }
 <a name="l00194"></a>00194     <span class="keywordflow">else</span>
 <a name="l00195"></a>00195       {
 <a name="l00196"></a>00196         <span class="comment">/* The element was a data element.  OpenSP will call one or several data() callback with the data */</span>
-<a name="l00197"></a>00197         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Data element "</span> + identifier + <span class="stringliteral">" found"</span>);
+<a name="l00197"></a>00197         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Data element "</span> + identifier + <span class="stringliteral">" found"</span>);
 <a name="l00198"></a>00198         <span class="comment">/* There is a bug in OpenSP 1.3.4, which won't send endElement Event for some elements, and will instead send an error like "document type does not allow element "MESSAGE" here".  Incoming_data should be empty in such a case, but it will not be if the endElement event was skiped. So we empty it, so at least the last element has a chance of having valid data */</span> 
 <a name="l00199"></a>00199         <span class="keywordflow">if</span> (incoming_data != <span class="stringliteral">""</span>)
 <a name="l00200"></a>00200           {
-<a name="l00201"></a>00201             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"startElement: incoming_data should be empty! You are probably using OpenSP &lt;= 1.3.4.  The folowing data was lost: "</span> + incoming_data );
+<a name="l00201"></a>00201             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"startElement: incoming_data should be empty! You are probably using OpenSP &lt;= 1.3.4.  The folowing data was lost: "</span> + incoming_data );
 <a name="l00202"></a>00202             incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00203"></a>00203           }
 <a name="l00204"></a>00204       }
 <a name="l00205"></a>00205   }
 <a name="l00206"></a>00206 
-<a name="l00211"></a><a class="code" href="classOFXApplication.html#ace0e849787a64724ddecc2b266b8cac">00211</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#ace0e849787a64724ddecc2b266b8cac">endElement</a> (<span class="keyword">const</span> EndElementEvent &amp; event)
+<a name="l00211"></a><a class="code" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900">00211</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#f0c85f08eb2310f4a44012a6306fe900" title="Callback: End of an OFX element.">endElement</a> (<span class="keyword">const</span> EndElementEvent &amp; event)
 <a name="l00212"></a>00212   {
-<a name="l00213"></a>00213     string identifier;
+<a name="l00213"></a>00213     <span class="keywordtype">string</span> identifier;
 <a name="l00214"></a>00214     <span class="keywordtype">bool</span> end_element_for_data_element;
 <a name="l00215"></a>00215 
-<a name="l00216"></a>00216     <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.gi, identifier);
+<a name="l00216"></a>00216     <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.gi, identifier);
 <a name="l00217"></a>00217     end_element_for_data_element=is_data_element;
-<a name="l00218"></a>00218     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"endElement event received from OpenSP for element "</span> + identifier);
+<a name="l00218"></a>00218     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement event received from OpenSP for element "</span> + identifier);
 <a name="l00219"></a>00219 
-<a name="l00220"></a>00220     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00220"></a>00220     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00221"></a>00221     <span class="keywordflow">if</span> (curr_container_element == NULL)
 <a name="l00222"></a>00222       {
-<a name="l00223"></a>00223         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" without a open element (NULL pointer)"</span>);
+<a name="l00223"></a>00223         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" without a open element (NULL pointer)"</span>);
 <a name="l00224"></a>00224         incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00225"></a>00225       }
 <a name="l00226"></a>00226     <span class="keywordflow">else</span> <span class="comment">//curr_container_element != NULL</span>
 <a name="l00227"></a>00227       {
 <a name="l00228"></a>00228         <span class="keywordflow">if</span> (end_element_for_data_element == <span class="keyword">true</span>)
 <a name="l00229"></a>00229           {
-<a name="l00230"></a>00230             incoming_data = <a class="code" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a>(incoming_data);
+<a name="l00230"></a>00230             incoming_data = <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(incoming_data);
 <a name="l00231"></a>00231             
-<a name="l00232"></a>00232             curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#e759f97dafd5f7cc55467d9b1de50159">add_attribute</a> (identifier, incoming_data);
-<a name="l00233"></a>00233             <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>,<span class="stringliteral">"endElement: Added data '"</span> + incoming_data + <span class="stringliteral">"' from "</span> + identifier + <span class="stringliteral">" to "</span> + curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a> + <span class="stringliteral">" container_element"</span>);
+<a name="l00232"></a>00232             curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#6168716a931dc8e74bcb534fdadaf778" title="Add data to a container object.">add_attribute</a> (identifier, incoming_data);
+<a name="l00233"></a>00233             <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>,<span class="stringliteral">"endElement: Added data '"</span> + incoming_data + <span class="stringliteral">"' from "</span> + identifier + <span class="stringliteral">" to "</span> + curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a> + <span class="stringliteral">" container_element"</span>);
 <a name="l00234"></a>00234             incoming_data.assign (<span class="stringliteral">""</span>);
 <a name="l00235"></a>00235             is_data_element=<span class="keyword">false</span>;
 <a name="l00236"></a>00236           }
 <a name="l00237"></a>00237         <span class="keywordflow">else</span>
 <a name="l00238"></a>00238           {
-<a name="l00239"></a>00239             <span class="keywordflow">if</span> (identifier == curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#42f7ea95e7298c4c3f84c115e106ce25">tag_identifier</a>)
+<a name="l00239"></a>00239             <span class="keywordflow">if</span> (identifier == curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2594ccb63eaf769a6b4b5d224411f031">tag_identifier</a>)
 <a name="l00240"></a>00240               {
 <a name="l00241"></a>00241                 <span class="keywordflow">if</span>(incoming_data!=<span class="stringliteral">""</span>)
 <a name="l00242"></a>00242                   {
-<a name="l00243"></a>00243                     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>,<span class="stringliteral">"End tag for non data element "</span>+identifier+<span class="stringliteral">", incoming data should be empty but contains: "</span>+incoming_data+<span class="stringliteral">" DATA HAS BEEN LOST SOMEWHERE!"</span>);
+<a name="l00243"></a>00243                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>,<span class="stringliteral">"End tag for non data element "</span>+identifier+<span class="stringliteral">", incoming data should be empty but contains: "</span>+incoming_data+<span class="stringliteral">" DATA HAS BEEN LOST SOMEWHERE!"</span>);
 <a name="l00244"></a>00244                   }
 <a name="l00245"></a>00245 
 <a name="l00246"></a>00246                 <span class="keywordflow">if</span>(identifier == <span class="stringliteral">"OFX"</span>)
 <a name="l00247"></a>00247                   {
 <a name="l00248"></a>00248                     <span class="comment">/* The main container is a special case */</span>
 <a name="l00249"></a>00249                     tmp_container_element = curr_container_element;
-<a name="l00250"></a>00250                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a> ();
-<a name="l00251"></a>00251                     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>-&gt;<a class="code" href="classOfxMainContainer.html#a5356797205c2a7a1b674543c239fa3f">gen_event</a>();
-<a name="l00252"></a>00252                     <span class="keyword">delete</span> <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a>;
-<a name="l00253"></a>00253                     <a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = NULL;
-<a name="l00254"></a>00254                     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, MainContainer destroyed"</span>);
+<a name="l00250"></a>00250                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00251"></a>00251                     MainContainer-&gt;<a class="code" href="classOfxMainContainer.html#e0b60f837b87b912f70a6f19bab12c52" title="Generate libofx.h events.">gen_event</a>();
+<a name="l00252"></a>00252                     <span class="keyword">delete</span> MainContainer;
+<a name="l00253"></a>00253                     MainContainer = NULL;
+<a name="l00254"></a>00254                     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, MainContainer destroyed"</span>);
 <a name="l00255"></a>00255                   }
 <a name="l00256"></a>00256                 <span class="keywordflow">else</span> 
 <a name="l00257"></a>00257                   {
 <a name="l00258"></a>00258                     tmp_container_element = curr_container_element;
-<a name="l00259"></a>00259                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2fb3838619459bcf9c9f378151c22f1e">getparent</a> ();
-<a name="l00260"></a>00260                     <span class="keywordflow">if</span>(<a class="code" href="ofc__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> != NULL)
+<a name="l00259"></a>00259                     curr_container_element = curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3d6e18d61e9e8f43a956e50cc5f90597" title="Returns the parent container object (the one representing the containing OFX SGML...">getparent</a> ();
+<a name="l00260"></a>00260                     <span class="keywordflow">if</span>(MainContainer != NULL)
 <a name="l00261"></a>00261                       {
-<a name="l00262"></a>00262                         tmp_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#3ac7545c12ab5bfd3c47a946ccc69fc0">add_to_main_tree</a>();
-<a name="l00263"></a>00263                         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, object added to MainContainer"</span>);
+<a name="l00262"></a>00262                         tmp_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#e9ddc283e5d9a2853d7e02b4d9584036" title="Add this container to the main tree.">add_to_main_tree</a>();
+<a name="l00263"></a>00263                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"Element "</span> + identifier + <span class="stringliteral">" closed, object added to MainContainer"</span>);
 <a name="l00264"></a>00264                       }
 <a name="l00265"></a>00265                     <span class="keywordflow">else</span>
 <a name="l00266"></a>00266                       {
-<a name="l00267"></a>00267                         <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"MainContainer is NULL trying to add element "</span> + identifier);
+<a name="l00267"></a>00267                         <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"MainContainer is NULL trying to add element "</span> + identifier);
 <a name="l00268"></a>00268                       }
 <a name="l00269"></a>00269                   }
 <a name="l00270"></a>00270               }
 <a name="l00271"></a>00271             <span class="keywordflow">else</span>
 <a name="l00272"></a>00272               {
-<a name="l00273"></a>00273                 <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" but a "</span>+curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#0008d81645273eedfdbd2ba59792b67c">type</a>+<span class="stringliteral">" is currently open."</span>);
+<a name="l00273"></a>00273                 <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"Tried to close a "</span>+identifier+<span class="stringliteral">" but a "</span>+curr_container_element-&gt;<a class="code" href="classOfxGenericContainer.html#2cad6fe32c79d320b8808d1e88b4e18a">type</a>+<span class="stringliteral">" is currently open."</span>);
 <a name="l00274"></a>00274               }
 <a name="l00275"></a>00275           }
 <a name="l00276"></a>00276       }
 <a name="l00277"></a>00277   }
 <a name="l00278"></a>00278   
-<a name="l00283"></a><a class="code" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">00283</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#eaba845042f2f60e88431cbb39e123d7">data</a> (<span class="keyword">const</span> DataEvent &amp; event)
+<a name="l00283"></a><a class="code" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185">00283</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#3693415bacafd34f73fead89238ba185" title="Callback: Data from an OFX element.">data</a> (<span class="keyword">const</span> DataEvent &amp; event)
 <a name="l00284"></a>00284   {
-<a name="l00285"></a>00285     string tmp;
-<a name="l00286"></a>00286     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
-<a name="l00287"></a>00287     <a class="code" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a> (event.data, incoming_data);
-<a name="l00288"></a>00288     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e869d13da8d857014186d79f60cbd787e">PARSER</a>, <span class="stringliteral">"data event received from OpenSP, incoming_data is now: "</span> + incoming_data);
+<a name="l00285"></a>00285     <span class="keywordtype">string</span> tmp;
+<a name="l00286"></a>00286     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
+<a name="l00287"></a>00287     <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a> (event.data, incoming_data);
+<a name="l00288"></a>00288     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f6924e246e9a582f56a2b81bf805261840b">PARSER</a>, <span class="stringliteral">"data event received from OpenSP, incoming_data is now: "</span> + incoming_data);
 <a name="l00289"></a>00289   }
 <a name="l00290"></a>00290 
-<a name="l00295"></a><a class="code" href="classOFXApplication.html#ed9647aa1aa0351b461904187804a4ce">00295</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#ed9647aa1aa0351b461904187804a4ce">error</a> (<span class="keyword">const</span> ErrorEvent &amp; event)
+<a name="l00295"></a><a class="code" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb">00295</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#529aca86206e4f76c2442abee453fddb" title="Callback: SGML parse error.">error</a> (<span class="keyword">const</span> ErrorEvent &amp; event)
 <a name="l00296"></a>00296   {
-<a name="l00297"></a>00297     string message;
-<a name="l00298"></a>00298     string string_buf;
-<a name="l00299"></a>00299     <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e">OfxMsgType</a> error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00297"></a>00297     <span class="keywordtype">string</span> message;
+<a name="l00298"></a>00298     <span class="keywordtype">string</span> string_buf;
+<a name="l00299"></a>00299     <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69">OfxMsgType</a> error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00300"></a>00300 
-<a name="l00301"></a>00301     <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a> = event.pos;
+<a name="l00301"></a>00301     <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a> = <span class="keyword">event</span>.pos;
 <a name="l00302"></a>00302     message = message + <span class="stringliteral">"OpenSP parser: "</span>;
 <a name="l00303"></a>00303     <span class="keywordflow">switch</span> (event.type){
 <a name="l00304"></a>00304     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::quantity:
 <a name="l00305"></a>00305       message = message + <span class="stringliteral">"quantity (Exceeding a quantity limit):"</span>;
-<a name="l00306"></a>00306       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00306"></a>00306       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00307"></a>00307       <span class="keywordflow">break</span>;
 <a name="l00308"></a>00308     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::idref:
 <a name="l00309"></a>00309       message = message + <span class="stringliteral">"idref (An IDREF to a non-existent ID):"</span>;
-<a name="l00310"></a>00310       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00310"></a>00310       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00311"></a>00311       <span class="keywordflow">break</span>;
 <a name="l00312"></a>00312     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::capacity:
 <a name="l00313"></a>00313       message = message + <span class="stringliteral">"capacity (Exceeding a capacity limit):"</span>;
-<a name="l00314"></a>00314       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00314"></a>00314       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00315"></a>00315       <span class="keywordflow">break</span>;
 <a name="l00316"></a>00316     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::otherError:
 <a name="l00317"></a>00317       message = message + <span class="stringliteral">"otherError (misc parse error):"</span>;
-<a name="l00318"></a>00318       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>;
+<a name="l00318"></a>00318       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>;
 <a name="l00319"></a>00319       <span class="keywordflow">break</span>;
 <a name="l00320"></a>00320     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::warning:
 <a name="l00321"></a>00321       message = message + <span class="stringliteral">"warning (Not actually an error.):"</span>;
-<a name="l00322"></a>00322       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e602f4c085712b26f7e6e3149ea34194d">WARNING</a>;
+<a name="l00322"></a>00322       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69984de77c680eaff141ec910e25568a81">WARNING</a>;
 <a name="l00323"></a>00323       <span class="keywordflow">break</span>;
 <a name="l00324"></a>00324     <span class="keywordflow">case</span> SGMLApplication::ErrorEvent::info:
 <a name="l00325"></a>00325       message =  message + <span class="stringliteral">"info (An informationnal message.  Not actually an error):"</span>;
-<a name="l00326"></a>00326       error_type = <a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e7847333fb3b597bfa563ccaae3ef9e65">INFO</a>;
+<a name="l00326"></a>00326       error_type = <a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69748005382152808a72b1a9177d9dc806">INFO</a>;
 <a name="l00327"></a>00327       <span class="keywordflow">break</span>;
 <a name="l00328"></a>00328     <span class="keywordflow">default</span>:
 <a name="l00329"></a>00329       message = message + <span class="stringliteral">"OpenSP sent an unknown error to LibOFX (You probably have a newer version of OpenSP):"</span>;
 <a name="l00330"></a>00330     }
-<a name="l00331"></a>00331     message =   message + <span class="stringliteral">"\n"</span> + <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (event.message, string_buf);
-<a name="l00332"></a>00332     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a> (error_type, message);
+<a name="l00331"></a>00331     message =   message + <span class="stringliteral">"\n"</span> + <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a> (event.message, string_buf);
+<a name="l00332"></a>00332     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a> (error_type, message);
 <a name="l00333"></a>00333   }
 <a name="l00334"></a>00334 
-<a name="l00339"></a><a class="code" href="classOFXApplication.html#7274f22992407878a8f20f7239b4b9f0">00339</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#7274f22992407878a8f20f7239b4b9f0">openEntityChange</a> (<span class="keyword">const</span> OpenEntityPtr &amp; para_entity_ptr)
+<a name="l00339"></a><a class="code" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a">00339</a>   <span class="keywordtype">void</span> <a class="code" href="classOFXApplication.html#7e67b46d6e7b38957d7a40edaff0666a" title="Callback: Receive internal OpenSP state.">openEntityChange</a> (<span class="keyword">const</span> OpenEntityPtr &amp; para_entity_ptr)
 <a name="l00340"></a>00340   {
-<a name="l00341"></a>00341     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"openEntityChange()\n"</span>);
-<a name="l00342"></a>00342     <a class="code" href="messages_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a> = para_entity_ptr;
+<a name="l00341"></a>00341     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"openEntityChange()\n"</span>);
+<a name="l00342"></a>00342     <a class="code" href="messages_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a> = para_entity_ptr;
 <a name="l00343"></a>00343 
 <a name="l00344"></a>00344   };
 <a name="l00345"></a>00345 
 <a name="l00346"></a>00346 <span class="keyword">private</span>:
 <a name="l00347"></a>00347 };
 <a name="l00348"></a>00348 
-<a name="l00352"></a><a class="code" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html#769a50bb61eeaf248abbb4e578f89842">00352</a> <span class="keywordtype">int</span> <a class="code" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
+<a name="l00352"></a><a class="code" href="fx-0_89_80_2lib_2ofx__sgml_8hh.html#27d475cfed072c1761992192a9ce83cc">00352</a> <span class="keywordtype">int</span> <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
 <a name="l00353"></a>00353 {
-<a name="l00354"></a>00354   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,<span class="stringliteral">"Begin ofx_proc_sgml()"</span>);
-<a name="l00355"></a>00355   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[0]);
-<a name="l00356"></a>00356   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[1]);
-<a name="l00357"></a>00357   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e099c8c241f62f143c876690f7464e786">DEBUG</a>,argv[2]);
+<a name="l00354"></a>00354   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,<span class="stringliteral">"Begin ofx_proc_sgml()"</span>);
+<a name="l00355"></a>00355   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[0]);
+<a name="l00356"></a>00356   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[1]);
+<a name="l00357"></a>00357   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f690593585da9181e972974c1274d8f2b4f">DEBUG</a>,argv[2]);
 <a name="l00358"></a>00358   
 <a name="l00359"></a>00359   ParserEventGeneratorKit parserKit;
 <a name="l00360"></a>00360   parserKit.setOption (ParserEventGeneratorKit::showOpenEntities);
 <a name="l00361"></a>00361   EventGenerator *egp = parserKit.makeEventGenerator (argc, argv);
 <a name="l00362"></a>00362   egp-&gt;inhibitMessages (<span class="keyword">true</span>);  <span class="comment">/* Error output is handled by libofx not OpenSP */</span>
-<a name="l00363"></a>00363   <a class="code" href="classOFXApplication.html">OFXApplication</a> *app = <span class="keyword">new</span> <a class="code" href="classOFXApplication.html">OFXApplication</a>(libofx_context);
+<a name="l00363"></a>00363   <a class="code" href="classOFXApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFXApplication</a> *app = <span class="keyword">new</span> <a class="code" href="classOFXApplication.html" title="This object is driven by OpenSP as it parses the SGML from the ofx file(s).">OFXApplication</a>(libofx_context);
 <a name="l00364"></a>00364   <span class="keywordtype">unsigned</span> nErrors = egp-&gt;run (*app); <span class="comment">/* Begin parsing */</span>
 <a name="l00365"></a>00365   <span class="keyword">delete</span> egp;  <span class="comment">//Note that this is where bug is triggered</span>
 <a name="l00366"></a>00366   <span class="keywordflow">return</span> nErrors &gt; 0;
 <a name="l00367"></a>00367 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__sgml_8cpp.html'
--- doc/html/ofx__sgml_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__sgml_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_sgml.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_sgml.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 OFX/SGML parsing functionnality. 
 <p>
 Almost all of the SGML parser specific code is contained in this file (some is in messages.cpp and ofx_utilities.cpp). To understand this file you must read the documentation of OpenSP's generic interface: see <a href="http://openjade.sourceforge.net/">http://openjade.sourceforge.net/</a> 
-<p>
-Definition in file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.
+<p>Definition in file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+
 <p>
 
 <p>
@@ -33,119 +29,97 @@
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This object is driven by OpenSP as it parses the SGML from the ofx file(s).  <a href="classOFXApplication.html#_details">More...</a><br></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc">ofx_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#769a50bb61eeaf248abbb4e578f89842"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#27d475cfed072c1761992192a9ce83cc"></a><br></td></tr>
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f3482b96aee7a01b5b8c94c441770c3c"></a><!-- doxytag: member="ofx_sgml.cpp::MainContainer" ref="f3482b96aee7a01b5b8c94c441770c3c" args="" -->
-<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__sgml_8cpp.html#f3482b96aee7a01b5b8c94c441770c3c">MainContainer</a> = NULL</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="759a7d80c051f4f1adc2abae56002100"></a><!-- doxytag: member="ofx_sgml.cpp::MainContainer" ref="759a7d80c051f4f1adc2abae56002100" args="" -->
+<a class="el" href="classOfxMainContainer.html">OfxMainContainer</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__sgml_8cpp.html#759a7d80c051f4f1adc2abae56002100">MainContainer</a> = NULL</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::OpenEntityPtr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">SGMLApplication::Position&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a></td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="769a50bb61eeaf248abbb4e578f89842"></a><!-- doxytag: member="ofx_sgml.cpp::ofx_proc_sgml" ref="769a50bb61eeaf248abbb4e578f89842" args="(LibofxContext *libofx_context, int argc, char *argv[])" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int ofx_proc_sgml           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>argc</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>argv</em>[]</td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="27d475cfed072c1761992192a9ce83cc"></a><!-- doxytag: member="ofx_sgml.cpp::ofx_proc_sgml" ref="27d475cfed072c1761992192a9ce83cc" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofx_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses a DTD and OFX file(s). 
 <p>
 ofx_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
-<p>
-Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00352">352</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00352">352</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__preproc_8cpp-source.html#l00280">libofx_proc_buffer()</a>, and <a class="el" href="ofx__preproc_8cpp-source.html#l00070">ofx_proc_file()</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Variable Documentation</h2>
-<a class="anchor" name="c8e1fbbf7434010d88e4ebb6b2c56340"></a><!-- doxytag: member="ofx_sgml.cpp::entity_ptr" ref="c8e1fbbf7434010d88e4ebb6b2c56340" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#c8e1fbbf7434010d88e4ebb6b2c56340">entity_ptr</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d4db2383832ddcfb93e4e02ce1cb102b"></a><!-- doxytag: member="ofx_sgml.cpp::position" ref="d4db2383832ddcfb93e4e02ce1cb102b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">SGMLApplication::Position <a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Global for determining the line number in OpenSP 
-<p>
-Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a class="anchor" name="adaa870f35b4a4fb6b268ae8ea872ccf"></a><!-- doxytag: member="ofx_sgml.cpp::entity_ptr" ref="adaa870f35b4a4fb6b268ae8ea872ccf" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::OpenEntityPtr <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#adaa870f35b4a4fb6b268ae8ea872ccf">entity_ptr</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00025">25</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4da8008b6f110050513003edf67a2495"></a><!-- doxytag: member="ofx_sgml.cpp::position" ref="4da8008b6f110050513003edf67a2495" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">SGMLApplication::Position <a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Global for determining the line number in OpenSP 
+<p>Definition at line <a class="el" href="messages_8cpp-source.html#l00026">26</a> of file <a class="el" href="messages_8cpp-source.html">messages.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__sgml_8hh-source.html'
--- doc/html/ofx__sgml_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__sgml_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_sgml.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_sgml.hh</h1><a href="ofx__sgml_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_sgml.h</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -35,11 +31,11 @@
 <a name="l00019"></a>00019 <span class="preprocessor">#ifndef OFX_SGML_H</span>
 <a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor">#define OFX_SGML_H</span>
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include "context.hh"</span>
-<a name="l00023"></a>00023 <span class="keywordtype">int</span> <a class="code" href="ofx__sgml_8cpp.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);
+<a name="l00023"></a>00023 <span class="keywordtype">int</span> <a class="code" href="ofx__sgml_8cpp.html#27d475cfed072c1761992192a9ce83cc" title="Parses a DTD and OFX file(s).">ofx_proc_sgml</a>(<a class="code" href="classLibofxContext.html">LibofxContext</a> * libofx_context, <span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[]);
 <a name="l00024"></a>00024 
 <a name="l00025"></a>00025 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__sgml_8hh.html'
--- doc/html/ofx__sgml_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__sgml_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,88 +1,76 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_sgml.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_sgml.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 OFX/SGML parsing functionnality. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofx__sgml_8hh-source.html">ofx_sgml.hh</a>.
+<p>Definition in file <a class="el" href="ofx__sgml_8hh-source.html">ofx_sgml.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__sgml_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__sgml_8hh.html#769a50bb61eeaf248abbb4e578f89842">ofx_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__sgml_8hh.html#27d475cfed072c1761992192a9ce83cc">ofx_proc_sgml</a> (<a class="el" href="classLibofxContext.html">LibofxContext</a> *libofx_context, int argc, char *argv[])</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#769a50bb61eeaf248abbb4e578f89842"></a><br></td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parses a DTD and OFX file(s).  <a href="#27d475cfed072c1761992192a9ce83cc"></a><br></td></tr>
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="769a50bb61eeaf248abbb4e578f89842"></a><!-- doxytag: member="ofx_sgml.hh::ofx_proc_sgml" ref="769a50bb61eeaf248abbb4e578f89842" args="(LibofxContext *libofx_context, int argc, char *argv[])" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int ofx_proc_sgml           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
-          <td class="mdname" nowrap> <em>libofx_context</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>int&nbsp;</td>
-          <td class="mdname" nowrap> <em>argc</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>argv</em>[]</td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="27d475cfed072c1761992192a9ce83cc"></a><!-- doxytag: member="ofx_sgml.hh::ofx_proc_sgml" ref="27d475cfed072c1761992192a9ce83cc" args="(LibofxContext *libofx_context, int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int ofx_proc_sgml           </td>
+          <td>(</td>
+          <td class="paramtype"><a class="el" href="classLibofxContext.html">LibofxContext</a> *&nbsp;</td>
+          <td class="paramname"> <em>libofx_context</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Parses a DTD and OFX file(s). 
 <p>
 ofx_proc_sgml will take a list of files in command line format. The first file must be the DTD, and then any number of OFX files. 
-<p>
-Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00352">352</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofx__sgml_8cpp-source.html#l00352">352</a> of file <a class="el" href="ofx__sgml_8cpp-source.html">ofx_sgml.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__utilities_8cpp-source.html'
--- doc/html/ofx__utilities_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__utilities_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_utilities.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_utilities.cpp</h1><a href="ofx__utilities_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_util.cpp</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -33,171 +29,209 @@
 <a name="l00017"></a>00017 <span class="comment"> ***************************************************************************/</span>
 <a name="l00018"></a>00018 <span class="preprocessor">#include &lt;config.h&gt;</span>
 <a name="l00019"></a>00019 <span class="preprocessor">#include &lt;iostream&gt;</span>
-<a name="l00020"></a>00020 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
-<a name="l00021"></a>00021 <span class="preprocessor">#include "SGMLApplication.h"</span>
-<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;time.h&gt;</span>
-<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;locale.h&gt;</span>
-<a name="l00025"></a>00025 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html">messages.hh</a>"</span>
-<a name="l00026"></a>00026 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html">ofx_utilities.hh</a>"</span>
-<a name="l00027"></a>00027 
-<a name="l00028"></a>00028 <span class="keyword">using namespace </span>std;
-<a name="l00032"></a>00032 <span class="comment">/*ostream &amp;operator&lt;&lt;(ostream &amp;os, SGMLApplication::CharString s)</span>
-<a name="l00033"></a>00033 <span class="comment">  {</span>
-<a name="l00034"></a>00034 <span class="comment">  for (size_t i = 0; i &lt; s.len; i++)</span>
-<a name="l00035"></a>00035 <span class="comment">  {</span>
-<a name="l00036"></a>00036 <span class="comment">  os &lt;&lt; ((char *)(s.ptr))[i*sizeof(SGMLApplication::Char)];</span>
-<a name="l00037"></a>00037 <span class="comment">  }</span>
-<a name="l00038"></a>00038 <span class="comment">  return os;</span>
-<a name="l00039"></a>00039 <span class="comment">  }*/</span>
-<a name="l00040"></a>00040 
-<a name="l00041"></a>00041 <span class="comment">/*wostream &amp;operator&lt;&lt;(wostream &amp;os, SGMLApplication::CharString s)</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#include &lt;assert.h&gt;</span>
+<a name="l00021"></a>00021 
+<a name="l00022"></a>00022 <span class="preprocessor">#include "ParserEventGeneratorKit.h"</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include "SGMLApplication.h"</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;time.h&gt;</span>
+<a name="l00025"></a>00025 <span class="preprocessor">#include &lt;string&gt;</span>
+<a name="l00026"></a>00026 <span class="preprocessor">#include &lt;locale.h&gt;</span>
+<a name="l00027"></a>00027 <span class="preprocessor">#include "<a class="code" href="messages_8hh.html" title="Message IO functionality.">messages.hh</a>"</span>
+<a name="l00028"></a>00028 <span class="preprocessor">#include "<a class="code" href="ofx__utilities_8hh.html" title="Various simple functions for type conversion &amp;amp; al.">ofx_utilities.hh</a>"</span>
+<a name="l00029"></a>00029 
+<a name="l00030"></a>00030 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00031"></a>00031 <span class="preprocessor"></span><span class="preprocessor"># define DIRSEP "\\"</span>
+<a name="l00032"></a>00032 <span class="preprocessor"></span><span class="preprocessor">#else</span>
+<a name="l00033"></a><a class="code" href="ofx__utilities_8cpp.html#2c89f3449c0cc91f289ecbef54188d8d">00033</a> <span class="preprocessor"></span><span class="preprocessor"># define DIRSEP "/"</span>
+<a name="l00034"></a>00034 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00035"></a>00035 <span class="preprocessor"></span>
+<a name="l00036"></a>00036 
+<a name="l00037"></a>00037 <span class="keyword">using namespace </span>std;
+<a name="l00041"></a>00041 <span class="comment">/*ostream &amp;operator&lt;&lt;(ostream &amp;os, SGMLApplication::CharString s)</span>
 <a name="l00042"></a>00042 <span class="comment">  {</span>
 <a name="l00043"></a>00043 <span class="comment">  for (size_t i = 0; i &lt; s.len; i++)</span>
-<a name="l00044"></a>00044 <span class="comment">  {//cout&lt;&lt;i;</span>
-<a name="l00045"></a>00045 <span class="comment">  os &lt;&lt; wchar_t(s.ptr[i*MULTIPLY4]);  </span>
+<a name="l00044"></a>00044 <span class="comment">  {</span>
+<a name="l00045"></a>00045 <span class="comment">  os &lt;&lt; ((char *)(s.ptr))[i*sizeof(SGMLApplication::Char)];</span>
 <a name="l00046"></a>00046 <span class="comment">  }</span>
 <a name="l00047"></a>00047 <span class="comment">  return os;</span>
-<a name="l00048"></a>00048 <span class="comment">  }            */</span>
+<a name="l00048"></a>00048 <span class="comment">  }*/</span>
 <a name="l00049"></a>00049 
-<a name="l00050"></a>00050 <span class="comment">/*wchar_t* CharStringtowchar_t(SGMLApplication::CharString source, wchar_t *dest)</span>
+<a name="l00050"></a>00050 <span class="comment">/*wostream &amp;operator&lt;&lt;(wostream &amp;os, SGMLApplication::CharString s)</span>
 <a name="l00051"></a>00051 <span class="comment">  {</span>
-<a name="l00052"></a>00052 <span class="comment">  size_t i;</span>
-<a name="l00053"></a>00053 <span class="comment">  for (i = 0; i &lt; source.len; i++)</span>
-<a name="l00054"></a>00054 <span class="comment">  {</span>
-<a name="l00055"></a>00055 <span class="comment">  dest[i]+=wchar_t(source.ptr[i*sizeof(SGMLApplication::Char)*(sizeof(char)/sizeof(wchar_t))]);</span>
-<a name="l00056"></a>00056 <span class="comment">  }</span>
-<a name="l00057"></a>00057 <span class="comment">  return dest;</span>
-<a name="l00058"></a>00058 <span class="comment">  }*/</span>
-<a name="l00059"></a>00059 
-<a name="l00060"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#0d78db2f18e9d8b4a9916b90819d073e">00060</a> string <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, string &amp;dest)
-<a name="l00061"></a>00061 {
-<a name="l00062"></a>00062   size_t i;
-<a name="l00063"></a>00063   dest.assign(<span class="stringliteral">""</span>);<span class="comment">//Empty the provided string</span>
-<a name="l00064"></a>00064   <span class="comment">//  cout&lt;&lt;"Length: "&lt;&lt;source.len&lt;&lt;"sizeof(Char)"&lt;&lt;sizeof(SGMLApplication::Char)&lt;&lt;endl;</span>
-<a name="l00065"></a>00065   <span class="keywordflow">for</span> (i = 0; i &lt; source.len; i++){
-<a name="l00066"></a>00066     dest+=(<span class="keywordtype">char</span>)(((source.ptr)[i]));  
-<a name="l00067"></a>00067     <span class="comment">//    cout&lt;&lt;i&lt;&lt;" "&lt;&lt;(char)(((source.ptr)[i]))&lt;&lt;endl; </span>
-<a name="l00068"></a>00068   }
-<a name="l00069"></a>00069   <span class="keywordflow">return</span> dest;
-<a name="l00070"></a>00070 }
-<a name="l00071"></a>00071 
-<a name="l00072"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#f54953e915499daefb8959d8b15fa6f0">00072</a> string <a class="code" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, string &amp;dest)
-<a name="l00073"></a>00073 {
-<a name="l00074"></a>00074   size_t i;
-<a name="l00075"></a>00075   <span class="keywordflow">for</span> (i = 0; i &lt; source.len; i++)
-<a name="l00076"></a>00076     {
-<a name="l00077"></a>00077       dest+=(<span class="keywordtype">char</span>)(((source.ptr)[i]));
-<a name="l00078"></a>00078     }
-<a name="l00079"></a>00079   <span class="keywordflow">return</span> dest;
-<a name="l00080"></a>00080 }
-<a name="l00081"></a>00081 
-<a name="l00097"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#a82c89f166fafe7ac376f2ecc7f1059a">00097</a> time_t <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(<span class="keyword">const</span> string ofxdate)
-<a name="l00098"></a>00098 {
-<a name="l00099"></a>00099   <span class="keyword">struct </span>tm time;
-<a name="l00100"></a>00100   <span class="keywordtype">double</span> local_offset; <span class="comment">/* in seconds */</span>
-<a name="l00101"></a>00101   <span class="keywordtype">float</span> ofx_gmt_offset; <span class="comment">/* in fractionnal hours */</span>
-<a name="l00102"></a>00102   <span class="keywordtype">char</span> timezone[4]; <span class="comment">/* Original timezone: the library does not expose this value*/</span>
-<a name="l00103"></a>00103   <span class="keywordtype">char</span> exact_time_specified = <span class="keyword">false</span>;
-<a name="l00104"></a>00104   <span class="keywordtype">char</span> time_zone_specified = <span class="keyword">false</span>;
-<a name="l00105"></a>00105 
-<a name="l00106"></a>00106   time_t temptime;
-<a name="l00107"></a>00107   std::time(&amp;temptime);
-<a name="l00108"></a>00108   local_offset = difftime(mktime(localtime(&amp;temptime)), mktime(gmtime(&amp;temptime)));
-<a name="l00109"></a>00109   
-<a name="l00110"></a>00110   <span class="keywordflow">if</span>(ofxdate.size()!=0){
-<a name="l00111"></a>00111     time.tm_year=atoi(ofxdate.substr(0,4).c_str())-1900;
-<a name="l00112"></a>00112     time.tm_mon=atoi(ofxdate.substr(4,2).c_str())-1;
-<a name="l00113"></a>00113     time.tm_mday=atoi(ofxdate.substr(6,2).c_str());
-<a name="l00114"></a>00114     <span class="keywordflow">if</span>(ofxdate.size()&gt;8) {
-<a name="l00115"></a>00115     <span class="comment">/* if exact time is specified */</span>
-<a name="l00116"></a>00116 exact_time_specified = <span class="keyword">true</span>;
-<a name="l00117"></a>00117       time.tm_hour=atoi(ofxdate.substr(8,2).c_str());
-<a name="l00118"></a>00118       time.tm_min=atoi(ofxdate.substr(10,2).c_str());
-<a name="l00119"></a>00119       time.tm_sec=atoi(ofxdate.substr(12,2).c_str());
-<a name="l00120"></a>00120     }
-<a name="l00121"></a>00121     
-<a name="l00122"></a>00122     <span class="comment">/* Check if the timezone has been specified */</span>
-<a name="l00123"></a>00123     string::size_type startidx = ofxdate.find(<span class="stringliteral">"["</span>);
-<a name="l00124"></a>00124     string::size_type endidx;
-<a name="l00125"></a>00125     <span class="keywordflow">if</span>(startidx!=string::npos){
-<a name="l00126"></a>00126       <span class="comment">/* Time zone was specified */</span>
-<a name="l00127"></a>00127       time_zone_specified = <span class="keyword">true</span>;
-<a name="l00128"></a>00128       startidx++;
-<a name="l00129"></a>00129       endidx = ofxdate.find(<span class="stringliteral">":"</span>, startidx)-1;
-<a name="l00130"></a>00130       ofx_gmt_offset=atof(ofxdate.substr(startidx,(endidx-startidx)+1).c_str());
-<a name="l00131"></a>00131       startidx = endidx+2;
-<a name="l00132"></a>00132       strncpy(timezone,ofxdate.substr(startidx,3).c_str(),4);
-<a name="l00133"></a>00133     }
-<a name="l00134"></a>00134     <span class="keywordflow">else</span>{
-<a name="l00135"></a>00135       <span class="comment">/* Time zone was not specified, assume GMT (provisionnaly) in case exact time is specified */</span>
-<a name="l00136"></a>00136       ofx_gmt_offset=0;
-<a name="l00137"></a>00137       strcpy(timezone, <span class="stringliteral">"GMT"</span>);
-<a name="l00138"></a>00138     }
-<a name="l00139"></a>00139 
-<a name="l00140"></a>00140     <span class="keywordflow">if</span>(time_zone_specified == <span class="keyword">true</span>)
-<a name="l00141"></a>00141       {
-<a name="l00142"></a>00142         <span class="comment">/* If the timezone is specified always correct the timezone */</span>
-<a name="l00143"></a>00143         <span class="comment">/* If the timezone is not specified, but the exact time is, correct the timezone, assuming GMT following the spec */</span>
-<a name="l00144"></a>00144         <span class="comment">/* Correct the time for the timezone */</span>
-<a name="l00145"></a>00145         time.tm_sec = time.tm_sec + (int)(local_offset - (ofx_gmt_offset*60*60));<span class="comment">//Convert from fractionnal hours to seconds</span>
-<a name="l00146"></a>00146       }
-<a name="l00147"></a>00147     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (exact_time_specified == <span class="keyword">false</span>)
-<a name="l00148"></a>00148       {
-<a name="l00149"></a>00149         <span class="comment">/*Time zone data missing and exact time not specified, diverge from the OFX spec ans assume 11h59 local time */</span>
-<a name="l00150"></a>00150        time.tm_hour=11;
-<a name="l00151"></a>00151        time.tm_min=59;
-<a name="l00152"></a>00152        time.tm_sec=0;
-<a name="l00153"></a>00153       }
-<a name="l00154"></a>00154   }
-<a name="l00155"></a>00155   <span class="keywordflow">else</span>{
-<a name="l00156"></a>00156     <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e64607d002c20e2489bd4d131ad466aa9">ERROR</a>, <span class="stringliteral">"ofxdate_to_time_t():  Unable to convert time, string is 0 length!"</span>);
-<a name="l00157"></a>00157   }
-<a name="l00158"></a>00158   <span class="keywordflow">return</span> mktime(&amp;time);
-<a name="l00159"></a>00159 }
-<a name="l00160"></a>00160 
-<a name="l00165"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#ca59f589043d9d418168b8092809d0a1">00165</a> <span class="keywordtype">double</span> <a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(<span class="keyword">const</span> string ofxamount)
-<a name="l00166"></a>00166 {
-<a name="l00167"></a>00167   <span class="comment">//Replace commas and decimal points for atof()</span>
-<a name="l00168"></a>00168   string::size_type idx;
-<a name="l00169"></a>00169   string tmp = ofxamount;
-<a name="l00170"></a>00170 
-<a name="l00171"></a>00171   idx = tmp.find(<span class="charliteral">','</span>);
-<a name="l00172"></a>00172   <span class="keywordflow">if</span>(idx==string::npos){
-<a name="l00173"></a>00173     idx = tmp.find(<span class="charliteral">'.'</span>);
-<a name="l00174"></a>00174   }
-<a name="l00175"></a>00175   
-<a name="l00176"></a>00176   <span class="keywordflow">if</span>(idx!=string::npos){
-<a name="l00177"></a>00177     tmp.replace(idx,1,1,((localeconv())-&gt;decimal_point)[0]);
-<a name="l00178"></a>00178   }
+<a name="l00052"></a>00052 <span class="comment">  for (size_t i = 0; i &lt; s.len; i++)</span>
+<a name="l00053"></a>00053 <span class="comment">  {//cout&lt;&lt;i;</span>
+<a name="l00054"></a>00054 <span class="comment">  os &lt;&lt; wchar_t(s.ptr[i*MULTIPLY4]);  </span>
+<a name="l00055"></a>00055 <span class="comment">  }</span>
+<a name="l00056"></a>00056 <span class="comment">  return os;</span>
+<a name="l00057"></a>00057 <span class="comment">  }            */</span>
+<a name="l00058"></a>00058 
+<a name="l00059"></a>00059 <span class="comment">/*wchar_t* CharStringtowchar_t(SGMLApplication::CharString source, wchar_t *dest)</span>
+<a name="l00060"></a>00060 <span class="comment">  {</span>
+<a name="l00061"></a>00061 <span class="comment">  size_t i;</span>
+<a name="l00062"></a>00062 <span class="comment">  for (i = 0; i &lt; source.len; i++)</span>
+<a name="l00063"></a>00063 <span class="comment">  {</span>
+<a name="l00064"></a>00064 <span class="comment">  dest[i]+=wchar_t(source.ptr[i*sizeof(SGMLApplication::Char)*(sizeof(char)/sizeof(wchar_t))]);</span>
+<a name="l00065"></a>00065 <span class="comment">  }</span>
+<a name="l00066"></a>00066 <span class="comment">  return dest;</span>
+<a name="l00067"></a>00067 <span class="comment">  }*/</span>
+<a name="l00068"></a>00068 
+<a name="l00069"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#e7575392f9f9c464ede10057dec0e8e4">00069</a> <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest)
+<a name="l00070"></a>00070 {
+<a name="l00071"></a>00071   <span class="keywordtype">size_t</span> i;
+<a name="l00072"></a>00072   dest.assign(<span class="stringliteral">""</span>);<span class="comment">//Empty the provided string</span>
+<a name="l00073"></a>00073   <span class="comment">//  cout&lt;&lt;"Length: "&lt;&lt;source.len&lt;&lt;"sizeof(Char)"&lt;&lt;sizeof(SGMLApplication::Char)&lt;&lt;endl;</span>
+<a name="l00074"></a>00074   <span class="keywordflow">for</span> (i = 0; i &lt; source.len; i++){
+<a name="l00075"></a>00075     dest+=(char)(((source.ptr)[i]));  
+<a name="l00076"></a>00076     <span class="comment">//    cout&lt;&lt;i&lt;&lt;" "&lt;&lt;(char)(((source.ptr)[i]))&lt;&lt;endl; </span>
+<a name="l00077"></a>00077   }
+<a name="l00078"></a>00078   <span class="keywordflow">return</span> dest;
+<a name="l00079"></a>00079 }
+<a name="l00080"></a>00080 
+<a name="l00081"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#50b88c84b759d3058397336e7ea42c32">00081</a> <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest)
+<a name="l00082"></a>00082 {
+<a name="l00083"></a>00083   <span class="keywordtype">size_t</span> i;
+<a name="l00084"></a>00084   <span class="keywordflow">for</span> (i = 0; i &lt; source.len; i++)
+<a name="l00085"></a>00085     {
+<a name="l00086"></a>00086       dest+=(char)(((source.ptr)[i]));
+<a name="l00087"></a>00087     }
+<a name="l00088"></a>00088   <span class="keywordflow">return</span> dest;
+<a name="l00089"></a>00089 }
+<a name="l00090"></a>00090 
+<a name="l00106"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#5fdbbc08f8d80a534f8db03d25316d7a">00106</a> time_t <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxdate)
+<a name="l00107"></a>00107 {
+<a name="l00108"></a>00108   <span class="keyword">struct </span>tm time;
+<a name="l00109"></a>00109   <span class="keywordtype">double</span> local_offset; <span class="comment">/* in seconds */</span>
+<a name="l00110"></a>00110   <span class="keywordtype">float</span> ofx_gmt_offset; <span class="comment">/* in fractionnal hours */</span>
+<a name="l00111"></a>00111   <span class="keywordtype">char</span> timezone[4]; <span class="comment">/* Original timezone: the library does not expose this value*/</span>
+<a name="l00112"></a>00112   <span class="keywordtype">char</span> exact_time_specified = <span class="keyword">false</span>;
+<a name="l00113"></a>00113   <span class="keywordtype">char</span> time_zone_specified = <span class="keyword">false</span>;
+<a name="l00114"></a>00114 
+<a name="l00115"></a>00115   time_t temptime;
+<a name="l00116"></a>00116   std::time(&amp;temptime);
+<a name="l00117"></a>00117   local_offset = difftime(mktime(localtime(&amp;temptime)), mktime(gmtime(&amp;temptime)));
+<a name="l00118"></a>00118   
+<a name="l00119"></a>00119   <span class="keywordflow">if</span>(ofxdate.size()!=0){
+<a name="l00120"></a>00120     time.tm_year=atoi(ofxdate.substr(0,4).c_str())-1900;
+<a name="l00121"></a>00121     time.tm_mon=atoi(ofxdate.substr(4,2).c_str())-1;
+<a name="l00122"></a>00122     time.tm_mday=atoi(ofxdate.substr(6,2).c_str());
+<a name="l00123"></a>00123     <span class="keywordflow">if</span>(ofxdate.size()&gt;8) {
+<a name="l00124"></a>00124     <span class="comment">/* if exact time is specified */</span>
+<a name="l00125"></a>00125 exact_time_specified = <span class="keyword">true</span>;
+<a name="l00126"></a>00126       time.tm_hour=atoi(ofxdate.substr(8,2).c_str());
+<a name="l00127"></a>00127       time.tm_min=atoi(ofxdate.substr(10,2).c_str());
+<a name="l00128"></a>00128       time.tm_sec=atoi(ofxdate.substr(12,2).c_str());
+<a name="l00129"></a>00129     }
+<a name="l00130"></a>00130     
+<a name="l00131"></a>00131     <span class="comment">/* Check if the timezone has been specified */</span>
+<a name="l00132"></a>00132     string::size_type startidx = ofxdate.find(<span class="stringliteral">"["</span>);
+<a name="l00133"></a>00133     string::size_type endidx;
+<a name="l00134"></a>00134     <span class="keywordflow">if</span>(startidx!=string::npos){
+<a name="l00135"></a>00135       <span class="comment">/* Time zone was specified */</span>
+<a name="l00136"></a>00136       time_zone_specified = <span class="keyword">true</span>;
+<a name="l00137"></a>00137       startidx++;
+<a name="l00138"></a>00138       endidx = ofxdate.find(<span class="stringliteral">":"</span>, startidx)-1;
+<a name="l00139"></a>00139       ofx_gmt_offset=atof(ofxdate.substr(startidx,(endidx-startidx)+1).c_str());
+<a name="l00140"></a>00140       startidx = endidx+2;
+<a name="l00141"></a>00141       strncpy(timezone,ofxdate.substr(startidx,3).c_str(),4);
+<a name="l00142"></a>00142     }
+<a name="l00143"></a>00143     <span class="keywordflow">else</span>{
+<a name="l00144"></a>00144       <span class="comment">/* Time zone was not specified, assume GMT (provisionnaly) in case exact time is specified */</span>
+<a name="l00145"></a>00145       ofx_gmt_offset=0;
+<a name="l00146"></a>00146       strcpy(timezone, <span class="stringliteral">"GMT"</span>);
+<a name="l00147"></a>00147     }
+<a name="l00148"></a>00148 
+<a name="l00149"></a>00149     <span class="keywordflow">if</span>(time_zone_specified == <span class="keyword">true</span>)
+<a name="l00150"></a>00150       {
+<a name="l00151"></a>00151         <span class="comment">/* If the timezone is specified always correct the timezone */</span>
+<a name="l00152"></a>00152         <span class="comment">/* If the timezone is not specified, but the exact time is, correct the timezone, assuming GMT following the spec */</span>
+<a name="l00153"></a>00153         <span class="comment">/* Correct the time for the timezone */</span>
+<a name="l00154"></a>00154         time.tm_sec = time.tm_sec + (int)(local_offset - (ofx_gmt_offset*60*60));<span class="comment">//Convert from fractionnal hours to seconds</span>
+<a name="l00155"></a>00155       }
+<a name="l00156"></a>00156     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (exact_time_specified == <span class="keyword">false</span>)
+<a name="l00157"></a>00157       {
+<a name="l00158"></a>00158         <span class="comment">/*Time zone data missing and exact time not specified, diverge from the OFX spec ans assume 11h59 local time */</span>
+<a name="l00159"></a>00159        time.tm_hour=11;
+<a name="l00160"></a>00160        time.tm_min=59;
+<a name="l00161"></a>00161        time.tm_sec=0;
+<a name="l00162"></a>00162       }
+<a name="l00163"></a>00163   }
+<a name="l00164"></a>00164   <span class="keywordflow">else</span>{
+<a name="l00165"></a>00165     <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f692fd6f336d08340583bd620a7f5694c90">ERROR</a>, <span class="stringliteral">"ofxdate_to_time_t():  Unable to convert time, string is 0 length!"</span>);
+<a name="l00166"></a>00166   }
+<a name="l00167"></a>00167   <span class="keywordflow">return</span> mktime(&amp;time);
+<a name="l00168"></a>00168 }
+<a name="l00169"></a>00169 
+<a name="l00174"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#bfca5b423e5d7b194eb53c53f706f6ba">00174</a> <span class="keywordtype">double</span> <a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxamount)
+<a name="l00175"></a>00175 {
+<a name="l00176"></a>00176   <span class="comment">//Replace commas and decimal points for atof()</span>
+<a name="l00177"></a>00177   string::size_type idx;
+<a name="l00178"></a>00178   <span class="keywordtype">string</span> tmp = ofxamount;
 <a name="l00179"></a>00179 
-<a name="l00180"></a>00180   <span class="keywordflow">return</span> atof(tmp.c_str());
-<a name="l00181"></a>00181 }
-<a name="l00182"></a>00182 
-<a name="l00186"></a><a class="code" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html#eb4379d3bf0c6900bda8b5f2feb9db92">00186</a> string <a class="code" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a>(<span class="keyword">const</span> string para_string)
-<a name="l00187"></a>00187 {
-<a name="l00188"></a>00188   size_t index;
-<a name="l00189"></a>00189   size_t i;
-<a name="l00190"></a>00190   string temp_string = para_string;
-<a name="l00191"></a>00191   <span class="keywordtype">char</span> *whitespace = <span class="stringliteral">" \b\f\n\r\t\v"</span>;
-<a name="l00192"></a>00192   <span class="keywordtype">char</span> *abnormal_whitespace = <span class="stringliteral">"\b\f\n\r\t\v"</span>;<span class="comment">//backspace,formfeed,newline,cariage return, horizontal and vertical tabs</span>
-<a name="l00193"></a>00193   <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">DEBUG4</a>,<span class="stringliteral">"strip_whitespace() Before: |"</span>+temp_string+<span class="stringliteral">"|"</span>);
-<a name="l00194"></a>00194   <span class="keywordflow">for</span>(i=0;i&lt;=temp_string.size()&amp;&amp;temp_string.find_first_of(whitespace, i)==i&amp;&amp;temp_string.find_first_of(whitespace, i)!=string::npos;i++);
-<a name="l00195"></a>00195   temp_string.erase(0,i);<span class="comment">//Strip leading whitespace</span>
-<a name="l00196"></a>00196   <span class="keywordflow">for</span>(i=temp_string.size()-1;(i&gt;=0)&amp;&amp;(temp_string.find_last_of(whitespace, i)==i)&amp;&amp;(temp_string.find_last_of(whitespace, i)!=string::npos);i--);
-<a name="l00197"></a>00197   temp_string.erase(i+1,temp_string.size()-(i+1));<span class="comment">//Strip trailing whitespace</span>
-<a name="l00198"></a>00198   
-<a name="l00199"></a>00199 <span class="keywordflow">while</span> ((index = temp_string.find_first_of(abnormal_whitespace))!=string::npos)
-<a name="l00200"></a>00200   {
-<a name="l00201"></a>00201     temp_string.erase(index,1);<span class="comment">//Strip leading whitespace</span>
-<a name="l00202"></a>00202   };
-<a name="l00203"></a>00203  
-<a name="l00204"></a>00204  <a class="code" href="messages_8cpp.html#99c5e187aa2ee7e5e08fb6e77d63bfe3">message_out</a>(<a class="code" href="messages_8hh.html#7a1786af43f15890c2e84ec7d6f0ea4e01c4324ea7c649cbaa2b0da74f220f75">DEBUG4</a>,<span class="stringliteral">"strip_whitespace() After:  |"</span>+temp_string+<span class="stringliteral">"|"</span>);
-<a name="l00205"></a>00205  
-<a name="l00206"></a>00206  <span class="keywordflow">return</span> temp_string;
-<a name="l00207"></a>00207 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00180"></a>00180   idx = tmp.find(<span class="charliteral">','</span>);
+<a name="l00181"></a>00181   <span class="keywordflow">if</span>(idx==string::npos){
+<a name="l00182"></a>00182     idx = tmp.find(<span class="charliteral">'.'</span>);
+<a name="l00183"></a>00183   }
+<a name="l00184"></a>00184   
+<a name="l00185"></a>00185   <span class="keywordflow">if</span>(idx!=string::npos){
+<a name="l00186"></a>00186     tmp.replace(idx,1,1,((localeconv())-&gt;decimal_point)[0]);
+<a name="l00187"></a>00187   }
+<a name="l00188"></a>00188 
+<a name="l00189"></a>00189   <span class="keywordflow">return</span> atof(tmp.c_str());
+<a name="l00190"></a>00190 }
+<a name="l00191"></a>00191 
+<a name="l00195"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#34933785dd934134973847e58a700733">00195</a> <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> para_string)
+<a name="l00196"></a>00196 {
+<a name="l00197"></a>00197   <span class="keywordtype">size_t</span> index;
+<a name="l00198"></a>00198   <span class="keywordtype">size_t</span> i;
+<a name="l00199"></a>00199   <span class="keywordtype">string</span> temp_string = para_string;
+<a name="l00200"></a>00200   <span class="keyword">const</span> <span class="keywordtype">char</span> *whitespace = <span class="stringliteral">" \b\f\n\r\t\v"</span>;
+<a name="l00201"></a>00201   <span class="keyword">const</span> <span class="keywordtype">char</span> *abnormal_whitespace = <span class="stringliteral">"\b\f\n\r\t\v"</span>;<span class="comment">//backspace,formfeed,newline,cariage return, horizontal and vertical tabs</span>
+<a name="l00202"></a>00202   <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>,<span class="stringliteral">"strip_whitespace() Before: |"</span>+temp_string+<span class="stringliteral">"|"</span>);
+<a name="l00203"></a>00203   <span class="keywordflow">for</span>(i=0;i&lt;=temp_string.size()&amp;&amp;temp_string.find_first_of(whitespace, i)==i&amp;&amp;temp_string.find_first_of(whitespace, i)!=string::npos;i++);
+<a name="l00204"></a>00204   temp_string.erase(0,i);<span class="comment">//Strip leading whitespace</span>
+<a name="l00205"></a>00205   <span class="keywordflow">for</span>(i=temp_string.size()-1;(i&gt;=0)&amp;&amp;(temp_string.find_last_of(whitespace, i)==i)&amp;&amp;(temp_string.find_last_of(whitespace, i)!=string::npos);i--);
+<a name="l00206"></a>00206   temp_string.erase(i+1,temp_string.size()-(i+1));<span class="comment">//Strip trailing whitespace</span>
+<a name="l00207"></a>00207   
+<a name="l00208"></a>00208 <span class="keywordflow">while</span> ((index = temp_string.find_first_of(abnormal_whitespace))!=string::npos)
+<a name="l00209"></a>00209   {
+<a name="l00210"></a>00210     temp_string.erase(index,1);<span class="comment">//Strip leading whitespace</span>
+<a name="l00211"></a>00211   };
+<a name="l00212"></a>00212  
+<a name="l00213"></a>00213  <a class="code" href="messages_8cpp.html#6af6947c1ec6fcbefd793f80c26d90fa" title="Message output function.">message_out</a>(<a class="code" href="messages_8hh.html#7cd03dafa59895bc306bf220b7b85f69b03d2afd0c05cf9e3b1a3f60c2545b67">DEBUG4</a>,<span class="stringliteral">"strip_whitespace() After:  |"</span>+temp_string+<span class="stringliteral">"|"</span>);
+<a name="l00214"></a>00214  
+<a name="l00215"></a>00215  <span class="keywordflow">return</span> temp_string;
+<a name="l00216"></a>00216 }
+<a name="l00217"></a>00217 
+<a name="l00218"></a>00218 
+<a name="l00219"></a><a class="code" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html#a0e945c824a3012017b4babd721d9f38">00219</a> <span class="keywordtype">int</span> <a class="code" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *tmpl, <span class="keywordtype">char</span> *buffer, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size) {
+<a name="l00220"></a>00220   <span class="keyword">const</span> <span class="keywordtype">char</span> *tmp_dir;
+<a name="l00221"></a>00221 
+<a name="l00222"></a>00222   tmp_dir = getenv (<span class="stringliteral">"TMPDIR"</span>);
+<a name="l00223"></a>00223   <span class="keywordflow">if</span> (!tmp_dir)
+<a name="l00224"></a>00224     tmp_dir = getenv (<span class="stringliteral">"TMP"</span>);
+<a name="l00225"></a>00225   <span class="keywordflow">if</span> (!tmp_dir)
+<a name="l00226"></a>00226     tmp_dir = getenv (<span class="stringliteral">"TEMP"</span>);
+<a name="l00227"></a>00227 
+<a name="l00228"></a>00228   <span class="keywordflow">if</span> (!tmp_dir)
+<a name="l00229"></a>00229     {
+<a name="l00230"></a>00230 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00231"></a>00231 <span class="preprocessor"></span>      tmp_dir = <span class="stringliteral">"C:\\"</span>;
+<a name="l00232"></a>00232 <span class="preprocessor">#else  </span>
+<a name="l00233"></a>00233 <span class="preprocessor"></span>      tmp_dir = <span class="stringliteral">"/tmp"</span>;
+<a name="l00234"></a>00234 <span class="preprocessor">#endif  </span><span class="comment">/* !OS_WIN32 */</span>
+<a name="l00235"></a>00235     }
+<a name="l00236"></a>00236 
+<a name="l00237"></a>00237   strncpy(buffer, tmp_dir, size);
+<a name="l00238"></a>00238   assert((strlen(buffer)+strlen(tmpl)+2)&lt;size);
+<a name="l00239"></a>00239   strcat(buffer, <a class="code" href="ofx__utilities_8cpp.html#2c89f3449c0cc91f289ecbef54188d8d">DIRSEP</a>);
+<a name="l00240"></a>00240   strcat(buffer, tmpl);
+<a name="l00241"></a>00241   <span class="keywordflow">return</span> 0;
+<a name="l00242"></a>00242 }
+<a name="l00243"></a>00243 
+<a name="l00244"></a>00244 
+<a name="l00245"></a>00245 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__utilities_8cpp.html'
--- doc/html/ofx__utilities_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__utilities_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,153 +1,132 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_utilities.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_utilities.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Various simple functions for type conversion &amp; al. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.
+<p>Definition in file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__utilities_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2c89f3449c0cc91f289ecbef54188d8d"></a><!-- doxytag: member="ofx_utilities.cpp::DIRSEP" ref="2c89f3449c0cc91f289ecbef54188d8d" args="" -->
+#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#2c89f3449c0cc91f289ecbef54188d8d">DIRSEP</a>&nbsp;&nbsp;&nbsp;&quot;/&quot;</td></tr>
+
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4">CharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ STL string.  <a href="#0d78db2f18e9d8b4a9916b90819d073e"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f54953e915499daefb8959d8b15fa6f0"></a><!-- doxytag: member="ofx_utilities.cpp::AppendCharStringtostring" ref="f54953e915499daefb8959d8b15fa6f0" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ STL string.  <a href="#e7575392f9f9c464ede10057dec0e8e4"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="50b88c84b759d3058397336e7ea42c32"></a><!-- doxytag: member="ofx_utilities.cpp::AppendCharStringtostring" ref="50b88c84b759d3058397336e7ea42c32" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32">AppendCharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append an OpenSP CharString to an existing C++ STL string. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a> (const string ofxdate)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a C++ string containing a time in OFX format to a C time_t.  <a href="#a82c89f166fafe7ac376f2ecc7f1059a"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a> (const string ofxamount)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OFX amount of money to double float.  <a href="#ca59f589043d9d418168b8092809d0a1"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a> (const string para_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sanitize a string coming from OpenSP.  <a href="#eb4379d3bf0c6900bda8b5f2feb9db92"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a">ofxdate_to_time_t</a> (const string ofxdate)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a C++ string containing a time in OFX format to a C time_t.  <a href="#5fdbbc08f8d80a534f8db03d25316d7a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba">ofxamount_to_double</a> (const string ofxamount)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OFX amount of money to double float.  <a href="#bfca5b423e5d7b194eb53c53f706f6ba"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733">strip_whitespace</a> (const string para_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sanitize a string coming from OpenSP.  <a href="#34933785dd934134973847e58a700733"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0e945c824a3012017b4babd721d9f38"></a><!-- doxytag: member="ofx_utilities.cpp::mkTempFileName" ref="a0e945c824a3012017b4babd721d9f38" args="(const char *tmpl, char *buffer, unsigned int size)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a> (const char *tmpl, char *buffer, unsigned int size)</td></tr>
+
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="0d78db2f18e9d8b4a9916b90819d073e"></a><!-- doxytag: member="ofx_utilities.cpp::CharStringtostring" ref="0d78db2f18e9d8b4a9916b90819d073e" args="(const SGMLApplication::CharString source, string &amp;dest)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">string CharStringtostring           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const SGMLApplication::CharString&nbsp;</td>
-          <td class="mdname" nowrap> <em>source</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>dest</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="e7575392f9f9c464ede10057dec0e8e4"></a><!-- doxytag: member="ofx_utilities.cpp::CharStringtostring" ref="e7575392f9f9c464ede10057dec0e8e4" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string CharStringtostring           </td>
+          <td>(</td>
+          <td class="paramtype">const SGMLApplication::CharString&nbsp;</td>
+          <td class="paramname"> <em>source</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">string &amp;&nbsp;</td>
+          <td class="paramname"> <em>dest</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert OpenSP CharString to a C++ STL string. 
 <p>
 Convert an OpenSP CharString directly to a C++ stream, to enable the use of cout directly for debugging. 
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00060">60</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00295">OFXApplication::error()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00288">OFCApplication::error()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00071">OFXApplication::startElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00064">OFCApplication::startElement()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ca59f589043d9d418168b8092809d0a1"></a><!-- doxytag: member="ofx_utilities.cpp::ofxamount_to_double" ref="ca59f589043d9d418168b8092809d0a1" args="(const string ofxamount)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00069">69</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00295">OFXApplication::error()</a>, <a class="el" href="ofc__sgml_8cpp-source.html#l00288">OFCApplication::error()</a>, <a class="el" href="ofx__sgml_8cpp-source.html#l00071">OFXApplication::startElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00064">OFCApplication::startElement()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="bfca5b423e5d7b194eb53c53f706f6ba"></a><!-- doxytag: member="ofx_utilities.cpp::ofxamount_to_double" ref="bfca5b423e5d7b194eb53c53f706f6ba" args="(const string ofxamount)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">double ofxamount_to_double           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>ofxamount</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">double ofxamount_to_double           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxamount</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert OFX amount of money to double float. 
 <p>
-Convert a C++ string containing an amount of money as specified by the OFX standard and convert it to a double float. <dl compact><dt><b>Note:</b></dt><dd>The ofx number format is the following: "." or "," as decimal separator, NO thousands separator. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00165">165</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">OfxBalanceContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a82c89f166fafe7ac376f2ecc7f1059a"></a><!-- doxytag: member="ofx_utilities.cpp::ofxdate_to_time_t" ref="a82c89f166fafe7ac376f2ecc7f1059a" args="(const string ofxdate)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+Convert a C++ string containing an amount of money as specified by the OFX standard and convert it to a double float. <dl class="note" compact><dt><b>Note:</b></dt><dd>The ofx number format is the following: "." or "," as decimal separator, NO thousands separator. </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00174">174</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">OfxBalanceContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5fdbbc08f8d80a534f8db03d25316d7a"></a><!-- doxytag: member="ofx_utilities.cpp::ofxdate_to_time_t" ref="5fdbbc08f8d80a534f8db03d25316d7a" args="(const string ofxdate)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">time_t ofxdate_to_time_t           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>ofxdate</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">time_t ofxdate_to_time_t           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxdate</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert a C++ string containing a time in OFX format to a C time_t. 
@@ -157,8 +136,8 @@
     <tr><td valign="top"></td><td valign="top"><em>ofxdate</em>&nbsp;</td><td>date from the YYYYMMDDHHMMSS.XXX[gmt offset:tz name] OFX format </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>C time_t in the local time zone </dd></dl>
-<dl compact><dt><b>Note:</b></dt><dd><ul>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>C time_t in the local time zone </dd></dl>
+<dl class="note" compact><dt><b>Note:</b></dt><dd><ul>
 <li>The library always returns the time in the systems local time </li>
 <li>OFX defines the date up to the millisecond. The library ignores those milliseconds, since ANSI C does not handle such precision cleanly. The date provided by LibOFX is precise to the second, assuming that information this precise was provided in the ofx file. So you wont know the millisecond you were ruined...</li>
 </ul>
@@ -173,48 +152,40 @@
 <br>
  -When a timezone is specified, it is always used to properly convert in local time, following the spec. </dd></dl>
 
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00097">97</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">OfxBalanceContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, and <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="eb4379d3bf0c6900bda8b5f2feb9db92"></a><!-- doxytag: member="ofx_utilities.cpp::strip_whitespace" ref="eb4379d3bf0c6900bda8b5f2feb9db92" args="(const string para_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00106">106</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00156">OfxBalanceContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, and <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="34933785dd934134973847e58a700733"></a><!-- doxytag: member="ofx_utilities.cpp::strip_whitespace" ref="34933785dd934134973847e58a700733" args="(const string para_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">string strip_whitespace           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>para_string</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">string strip_whitespace           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>para_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Sanitize a string coming from OpenSP. 
 <p>
 Many weird caracters can be present inside a SGML element, as a result on the transfer protocol, or for any reason. This function greatly enhances the reliability of the library by zapping those gremlins (backspace,formfeed,newline,carriage return, horizontal and vertical tabs) as well as removing whitespace at the begining and end of the string. Otherwise, many problems will occur during stringmatching. 
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00186">186</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.
-<p>
-Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00195">195</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__sgml_8cpp-source.html#l00211">OFXApplication::endElement()</a>, and <a class="el" href="ofc__sgml_8cpp-source.html#l00204">OFCApplication::endElement()</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__utilities_8hh-source.html'
--- doc/html/ofx__utilities_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__utilities_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_utilities.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_utilities.hh</h1><a href="ofx__utilities_8hh.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofx_util.h</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -41,22 +37,25 @@
 <a name="l00025"></a>00025 
 <a name="l00026"></a>00026 <span class="comment">/*wostream &amp;operator&lt;&lt;(wostream &amp;os, SGMLApplication::CharString s); */</span>
 <a name="l00027"></a>00027 
-<a name="l00029"></a>00029 ostream &amp;<a class="code" href="ofx__utilities_8hh.html#095339d14cabfdc91293958f37f871f7">operator&lt;&lt;</a>(ostream &amp;os, SGMLApplication::CharString s);
+<a name="l00029"></a>00029 ostream &amp;<a class="code" href="ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e" title="Convert OpenSP CharString to a C++ stream.">operator&lt;&lt;</a>(ostream &amp;os, SGMLApplication::CharString s);
 <a name="l00030"></a>00030 
-<a name="l00032"></a>00032 <span class="keywordtype">wchar_t</span>* <a class="code" href="ofx__utilities_8hh.html#53f86c2bd09208cb164d2cb70f2938b3">CharStringtowchar_t</a>(SGMLApplication::CharString source, <span class="keywordtype">wchar_t</span> *dest);  
+<a name="l00032"></a>00032 <span class="keywordtype">wchar_t</span>* <a class="code" href="ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75" title="Convert OpenSP CharString and put it in the C wchar_t string provided.">CharStringtowchar_t</a>(SGMLApplication::CharString source, <span class="keywordtype">wchar_t</span> *dest);  
 <a name="l00033"></a>00033 
-<a name="l00035"></a>00035 string <a class="code" href="ofx__utilities_8cpp.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, string &amp;dest);
+<a name="l00035"></a>00035 <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#e7575392f9f9c464ede10057dec0e8e4" title="Convert OpenSP CharString to a C++ STL string.">CharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest);
 <a name="l00036"></a>00036 
-<a name="l00038"></a>00038 string <a class="code" href="ofx__utilities_8cpp.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, string &amp;dest);
+<a name="l00038"></a>00038 <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#50b88c84b759d3058397336e7ea42c32" title="Append an OpenSP CharString to an existing C++ STL string.">AppendCharStringtostring</a>(<span class="keyword">const</span> SGMLApplication::CharString source, <span class="keywordtype">string</span> &amp;dest);
 <a name="l00039"></a>00039 
-<a name="l00041"></a>00041 time_t <a class="code" href="ofx__utilities_8cpp.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a>(<span class="keyword">const</span> string ofxdate);
+<a name="l00041"></a>00041 time_t <a class="code" href="ofx__utilities_8cpp.html#5fdbbc08f8d80a534f8db03d25316d7a" title="Convert a C++ string containing a time in OFX format to a C time_t.">ofxdate_to_time_t</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxdate);
 <a name="l00042"></a>00042 
-<a name="l00044"></a>00044 <span class="keywordtype">double</span> <a class="code" href="ofx__utilities_8cpp.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a>(<span class="keyword">const</span> string ofxamount);
+<a name="l00044"></a>00044 <span class="keywordtype">double</span> <a class="code" href="ofx__utilities_8cpp.html#bfca5b423e5d7b194eb53c53f706f6ba" title="Convert OFX amount of money to double float.">ofxamount_to_double</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> ofxamount);
 <a name="l00045"></a>00045 
-<a name="l00047"></a>00047 string <a class="code" href="ofx__utilities_8cpp.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a>(<span class="keyword">const</span> string para_string);
-<a name="l00048"></a>00048 <span class="preprocessor">#endif</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00047"></a>00047 <span class="keywordtype">string</span> <a class="code" href="ofx__utilities_8cpp.html#34933785dd934134973847e58a700733" title="Sanitize a string coming from OpenSP.">strip_whitespace</a>(<span class="keyword">const</span> <span class="keywordtype">string</span> para_string);
+<a name="l00048"></a>00048 
+<a name="l00049"></a>00049 <span class="keywordtype">int</span> <a class="code" href="ofx__utilities_8cpp.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *tmpl, <span class="keywordtype">char</span> *buffer, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size);
+<a name="l00050"></a>00050 
+<a name="l00051"></a>00051 <span class="preprocessor">#endif</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofx__utilities_8hh.html'
--- doc/html/ofx__utilities_8hh.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofx__utilities_8hh.html	2008-02-06 17:25:16 +0000
@@ -1,157 +1,132 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofx_utilities.hh File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofx_utilities.hh File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Various simple functions for type conversion &amp; al. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofx__utilities_8hh-source.html">ofx_utilities.hh</a>.
+<p>Definition in file <a class="el" href="ofx__utilities_8hh-source.html">ofx_utilities.hh</a>.</p>
+
 <p>
 
 <p>
 <a href="ofx__utilities_8hh-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="095339d14cabfdc91293958f37f871f7"></a><!-- doxytag: member="ofx_utilities.hh::operator&lt;&lt;" ref="095339d14cabfdc91293958f37f871f7" args="(ostream &amp;os, SGMLApplication::CharString s)" -->
-ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#095339d14cabfdc91293958f37f871f7">operator&lt;&lt;</a> (ostream &amp;os, SGMLApplication::CharString s)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="39ffcaaff3de66030e3e59c2e3e98f8e"></a><!-- doxytag: member="ofx_utilities.hh::operator&lt;&lt;" ref="39ffcaaff3de66030e3e59c2e3e98f8e" args="(ostream &amp;os, SGMLApplication::CharString s)" -->
+ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#39ffcaaff3de66030e3e59c2e3e98f8e">operator&lt;&lt;</a> (ostream &amp;os, SGMLApplication::CharString s)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ stream. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="53f86c2bd09208cb164d2cb70f2938b3"></a><!-- doxytag: member="ofx_utilities.hh::CharStringtowchar_t" ref="53f86c2bd09208cb164d2cb70f2938b3" args="(SGMLApplication::CharString source, wchar_t *dest)" -->
-wchar_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#53f86c2bd09208cb164d2cb70f2938b3">CharStringtowchar_t</a> (SGMLApplication::CharString source, wchar_t *dest)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2fd46abc036e918fce7b04d9200b3e75"></a><!-- doxytag: member="ofx_utilities.hh::CharStringtowchar_t" ref="2fd46abc036e918fce7b04d9200b3e75" args="(SGMLApplication::CharString source, wchar_t *dest)" -->
+wchar_t *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#2fd46abc036e918fce7b04d9200b3e75">CharStringtowchar_t</a> (SGMLApplication::CharString source, wchar_t *dest)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString and put it in the C wchar_t string provided. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#0d78db2f18e9d8b4a9916b90819d073e">CharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#e7575392f9f9c464ede10057dec0e8e4">CharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
 
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ STL string.  <a href="#0d78db2f18e9d8b4a9916b90819d073e"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f54953e915499daefb8959d8b15fa6f0"></a><!-- doxytag: member="ofx_utilities.hh::AppendCharStringtostring" ref="f54953e915499daefb8959d8b15fa6f0" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
-string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#f54953e915499daefb8959d8b15fa6f0">AppendCharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OpenSP CharString to a C++ STL string.  <a href="#e7575392f9f9c464ede10057dec0e8e4"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="50b88c84b759d3058397336e7ea42c32"></a><!-- doxytag: member="ofx_utilities.hh::AppendCharStringtostring" ref="50b88c84b759d3058397336e7ea42c32" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#50b88c84b759d3058397336e7ea42c32">AppendCharStringtostring</a> (const SGMLApplication::CharString source, string &amp;dest)</td></tr>
 
 <tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append an OpenSP CharString to an existing C++ STL string. <br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#a82c89f166fafe7ac376f2ecc7f1059a">ofxdate_to_time_t</a> (const string ofxdate)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a C++ string containing a time in OFX format to a C time_t.  <a href="#a82c89f166fafe7ac376f2ecc7f1059a"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#ca59f589043d9d418168b8092809d0a1">ofxamount_to_double</a> (const string ofxamount)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OFX amount of money to double float.  <a href="#ca59f589043d9d418168b8092809d0a1"></a><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#eb4379d3bf0c6900bda8b5f2feb9db92">strip_whitespace</a> (const string para_string)</td></tr>
-
-<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sanitize a string coming from OpenSP.  <a href="#eb4379d3bf0c6900bda8b5f2feb9db92"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#5fdbbc08f8d80a534f8db03d25316d7a">ofxdate_to_time_t</a> (const string ofxdate)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a C++ string containing a time in OFX format to a C time_t.  <a href="#5fdbbc08f8d80a534f8db03d25316d7a"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#bfca5b423e5d7b194eb53c53f706f6ba">ofxamount_to_double</a> (const string ofxamount)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert OFX amount of money to double float.  <a href="#bfca5b423e5d7b194eb53c53f706f6ba"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#34933785dd934134973847e58a700733">strip_whitespace</a> (const string para_string)</td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sanitize a string coming from OpenSP.  <a href="#34933785dd934134973847e58a700733"></a><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0e945c824a3012017b4babd721d9f38"></a><!-- doxytag: member="ofx_utilities.hh::mkTempFileName" ref="a0e945c824a3012017b4babd721d9f38" args="(const char *tmpl, char *buffer, unsigned int size)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofx__utilities_8hh.html#a0e945c824a3012017b4babd721d9f38">mkTempFileName</a> (const char *tmpl, char *buffer, unsigned int size)</td></tr>
+
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="0d78db2f18e9d8b4a9916b90819d073e"></a><!-- doxytag: member="ofx_utilities.hh::CharStringtostring" ref="0d78db2f18e9d8b4a9916b90819d073e" args="(const SGMLApplication::CharString source, string &amp;dest)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">string CharStringtostring           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const SGMLApplication::CharString&nbsp;</td>
-          <td class="mdname" nowrap> <em>source</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>string &amp;&nbsp;</td>
-          <td class="mdname" nowrap> <em>dest</em></td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="e7575392f9f9c464ede10057dec0e8e4"></a><!-- doxytag: member="ofx_utilities.hh::CharStringtostring" ref="e7575392f9f9c464ede10057dec0e8e4" args="(const SGMLApplication::CharString source, string &amp;dest)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">string CharStringtostring           </td>
+          <td>(</td>
+          <td class="paramtype">const SGMLApplication::CharString&nbsp;</td>
+          <td class="paramname"> <em>source</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">string &amp;&nbsp;</td>
+          <td class="paramname"> <em>dest</em></td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert OpenSP CharString to a C++ STL string. 
 <p>
 Convert an OpenSP CharString directly to a C++ stream, to enable the use of cout directly for debugging. 
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00060">60</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="ca59f589043d9d418168b8092809d0a1"></a><!-- doxytag: member="ofx_utilities.hh::ofxamount_to_double" ref="ca59f589043d9d418168b8092809d0a1" args="(const string ofxamount)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00069">69</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="bfca5b423e5d7b194eb53c53f706f6ba"></a><!-- doxytag: member="ofx_utilities.hh::ofxamount_to_double" ref="bfca5b423e5d7b194eb53c53f706f6ba" args="(const string ofxamount)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">double ofxamount_to_double           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>ofxamount</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">double ofxamount_to_double           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxamount</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert OFX amount of money to double float. 
 <p>
-Convert a C++ string containing an amount of money as specified by the OFX standard and convert it to a double float. <dl compact><dt><b>Note:</b></dt><dd>The ofx number format is the following: "." or "," as decimal separator, NO thousands separator. </dd></dl>
-
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00165">165</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a82c89f166fafe7ac376f2ecc7f1059a"></a><!-- doxytag: member="ofx_utilities.hh::ofxdate_to_time_t" ref="a82c89f166fafe7ac376f2ecc7f1059a" args="(const string ofxdate)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+Convert a C++ string containing an amount of money as specified by the OFX standard and convert it to a double float. <dl class="note" compact><dt><b>Note:</b></dt><dd>The ofx number format is the following: "." or "," as decimal separator, NO thousands separator. </dd></dl>
+
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00174">174</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="5fdbbc08f8d80a534f8db03d25316d7a"></a><!-- doxytag: member="ofx_utilities.hh::ofxdate_to_time_t" ref="5fdbbc08f8d80a534f8db03d25316d7a" args="(const string ofxdate)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">time_t ofxdate_to_time_t           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>ofxdate</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">time_t ofxdate_to_time_t           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>ofxdate</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Convert a C++ string containing a time in OFX format to a C time_t. 
@@ -161,8 +136,8 @@
     <tr><td valign="top"></td><td valign="top"><em>ofxdate</em>&nbsp;</td><td>date from the YYYYMMDDHHMMSS.XXX[gmt offset:tz name] OFX format </td></tr>
   </table>
 </dl>
-<dl compact><dt><b>Returns:</b></dt><dd>C time_t in the local time zone </dd></dl>
-<dl compact><dt><b>Note:</b></dt><dd><ul>
+<dl class="return" compact><dt><b>Returns:</b></dt><dd>C time_t in the local time zone </dd></dl>
+<dl class="note" compact><dt><b>Note:</b></dt><dd><ul>
 <li>The library always returns the time in the systems local time </li>
 <li>OFX defines the date up to the millisecond. The library ignores those milliseconds, since ANSI C does not handle such precision cleanly. The date provided by LibOFX is precise to the second, assuming that information this precise was provided in the ofx file. So you wont know the millisecond you were ruined...</li>
 </ul>
@@ -177,44 +152,36 @@
 <br>
  -When a timezone is specified, it is always used to properly convert in local time, following the spec. </dd></dl>
 
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00097">97</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="eb4379d3bf0c6900bda8b5f2feb9db92"></a><!-- doxytag: member="ofx_utilities.hh::strip_whitespace" ref="eb4379d3bf0c6900bda8b5f2feb9db92" args="(const string para_string)" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00106">106</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="34933785dd934134973847e58a700733"></a><!-- doxytag: member="ofx_utilities.hh::strip_whitespace" ref="34933785dd934134973847e58a700733" args="(const string para_string)" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">string strip_whitespace           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">const string&nbsp;</td>
-          <td class="mdname1" valign="top" nowrap> <em>para_string</em>          </td>
-          <td class="md" valign="top">&nbsp;)&nbsp;</td>
-          <td class="md" nowrap></td>
+          <td class="memname">string strip_whitespace           </td>
+          <td>(</td>
+          <td class="paramtype">const string&nbsp;</td>
+          <td class="paramname"> <em>para_string</em>          </td>
+          <td>&nbsp;)&nbsp;</td>
+          <td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Sanitize a string coming from OpenSP. 
 <p>
 Many weird caracters can be present inside a SGML element, as a result on the transfer protocol, or for any reason. This function greatly enhances the reliability of the library by zapping those gremlins (backspace,formfeed,newline,carriage return, horizontal and vertical tabs) as well as removing whitespace at the begining and end of the string. Otherwise, many problems will occur during stringmatching. 
-<p>
-Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00186">186</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofx__utilities_8cpp-source.html#l00195">195</a> of file <a class="el" href="ofx__utilities_8cpp-source.html">ofx_utilities.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== added file 'doc/html/ofxconnect_2cmdline_8c-source.html'
--- doc/html/ofxconnect_2cmdline_8c-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/ofxconnect_2cmdline_8c-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,1065 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: cmdline.c Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>cmdline.c</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
+<a name="l00002"></a>00002 <span class="comment">  File autogenerated by gengetopt version 2.21</span>
+<a name="l00003"></a>00003 <span class="comment">  generated with the following command:</span>
+<a name="l00004"></a>00004 <span class="comment">  gengetopt --unamed-opts </span>
+<a name="l00005"></a>00005 <span class="comment"></span>
+<a name="l00006"></a>00006 <span class="comment">  The developers of gengetopt consider the fixed text that goes in all</span>
+<a name="l00007"></a>00007 <span class="comment">  gengetopt output files to be in the public domain:</span>
+<a name="l00008"></a>00008 <span class="comment">  we make no copyright claims on it.</span>
+<a name="l00009"></a>00009 <span class="comment">*/</span>
+<a name="l00010"></a>00010 
+<a name="l00011"></a>00011 <span class="comment">/* If we use autoconf.  */</span>
+<a name="l00012"></a>00012 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00013"></a>00013 <span class="preprocessor"></span><span class="preprocessor">#include "config.h"</span>
+<a name="l00014"></a>00014 <span class="preprocessor">#endif</span>
+<a name="l00015"></a>00015 <span class="preprocessor"></span>
+<a name="l00016"></a>00016 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00017"></a>00017 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#include &lt;string.h&gt;</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#include "getopt.h"</span>
+<a name="l00021"></a>00021 
+<a name="l00022"></a>00022 <span class="preprocessor">#include "cmdline.h"</span>
+<a name="l00023"></a>00023 
+<a name="l00024"></a>00024 <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_purpose = <span class="stringliteral">"prints to stdout the created OFX file based on the options you pass it. \ncurrently it will only create a statement request file.  you can POST this to \nan OFX server to request a statement from that financial institution for that \naccount."</span>;
+<a name="l00025"></a>00025 
+<a name="l00026"></a>00026 <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_usage = <span class="stringliteral">"Usage: "</span> CMDLINE_PARSER_PACKAGE <span class="stringliteral">" [OPTIONS]... [FILES]..."</span>;
+<a name="l00027"></a>00027 
+<a name="l00028"></a>00028 <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_description = <span class="stringliteral">""</span>;
+<a name="l00029"></a>00029 
+<a name="l00030"></a>00030 <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_help[] = {
+<a name="l00031"></a>00031   <span class="stringliteral">"  -h, --help                Print help and exit"</span>,
+<a name="l00032"></a>00032   <span class="stringliteral">"  -V, --version             Print version and exit"</span>,
+<a name="l00033"></a>00033   <span class="stringliteral">"      --fipid=STRING        FI partner identifier (looks up fid, org &amp; url from \n                              partner server)"</span>,
+<a name="l00034"></a>00034   <span class="stringliteral">"      --fid=STRING          FI identifier"</span>,
+<a name="l00035"></a>00035   <span class="stringliteral">"      --org=STRING          FI org tag"</span>,
+<a name="l00036"></a>00036   <span class="stringliteral">"      --bank=STRING         IBAN bank identifier"</span>,
+<a name="l00037"></a>00037   <span class="stringliteral">"      --broker=STRING       Broker identifier"</span>,
+<a name="l00038"></a>00038   <span class="stringliteral">"      --user=STRING         User name"</span>,
+<a name="l00039"></a>00039   <span class="stringliteral">"      --pass=STRING         Password"</span>,
+<a name="l00040"></a>00040   <span class="stringliteral">"      --acct=STRING         Account ID"</span>,
+<a name="l00041"></a>00041   <span class="stringliteral">"      --type=INT            Account Type 1=checking 2=invest 3=ccard"</span>,
+<a name="l00042"></a>00042   <span class="stringliteral">"      --past=LONG           How far back to look from today (in days)"</span>,
+<a name="l00043"></a>00043   <span class="stringliteral">"      --url=STRING          Url to POST the data to (otherwise goes to stdout)"</span>,
+<a name="l00044"></a>00044   <span class="stringliteral">"      --trid=INT            Transaction id"</span>,
+<a name="l00045"></a>00045   <span class="stringliteral">"\n Group: command"</span>,
+<a name="l00046"></a>00046   <span class="stringliteral">"  -s, --statement-req       Request for a statement"</span>,
+<a name="l00047"></a>00047   <span class="stringliteral">"  -a, --accountinfo-req     Request for a list of accounts"</span>,
+<a name="l00048"></a>00048   <span class="stringliteral">"  -p, --payment-req         Request to make a payment"</span>,
+<a name="l00049"></a>00049   <span class="stringliteral">"  -i, --paymentinquiry-req  Request to inquire about the status of a payment"</span>,
+<a name="l00050"></a>00050   <span class="stringliteral">"  -b, --bank-list           List all known banks"</span>,
+<a name="l00051"></a>00051   <span class="stringliteral">"  -f, --bank-fipid          List all fipids for a given bank"</span>,
+<a name="l00052"></a>00052   <span class="stringliteral">"  -v, --bank-services       List supported services for a given fipid"</span>,
+<a name="l00053"></a>00053   <span class="stringliteral">"      --allsupport          List all banks which support online banking"</span>,
+<a name="l00054"></a>00054     0
+<a name="l00055"></a>00055 };
+<a name="l00056"></a>00056 
+<a name="l00057"></a>00057 <span class="keyword">static</span>
+<a name="l00058"></a>00058 <span class="keywordtype">void</span> clear_given (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00059"></a>00059 <span class="keyword">static</span>
+<a name="l00060"></a>00060 <span class="keywordtype">void</span> clear_args (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00061"></a>00061 
+<a name="l00062"></a>00062 <span class="keyword">static</span> <span class="keywordtype">int</span>
+<a name="l00063"></a>00063 cmdline_parser_internal (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00064"></a>00064                         <span class="keyword">struct</span> <a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *params, <span class="keyword">const</span> <span class="keywordtype">char</span> *additional_error);
+<a name="l00065"></a>00065 
+<a name="l00066"></a>00066 
+<a name="l00067"></a>00067 <span class="keyword">static</span> <span class="keywordtype">char</span> *
+<a name="l00068"></a>00068 gengetopt_strdup (<span class="keyword">const</span> <span class="keywordtype">char</span> *s);
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 <span class="keyword">static</span>
+<a name="l00071"></a>00071 <span class="keywordtype">void</span> clear_given (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00072"></a>00072 {
+<a name="l00073"></a>00073   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fcc22c3f15bfc05d4d36824cbb2b661c" title="Whether help was given.">help_given</a> = 0 ;
+<a name="l00074"></a>00074   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#18b7279f3b637b9e9192a88fc26973ae" title="Whether version was given.">version_given</a> = 0 ;
+<a name="l00075"></a>00075   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea" title="Whether fipid was given.">fipid_given</a> = 0 ;
+<a name="l00076"></a>00076   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc" title="Whether fid was given.">fid_given</a> = 0 ;
+<a name="l00077"></a>00077   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de" title="Whether org was given.">org_given</a> = 0 ;
+<a name="l00078"></a>00078   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad" title="Whether bank was given.">bank_given</a> = 0 ;
+<a name="l00079"></a>00079   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172" title="Whether broker was given.">broker_given</a> = 0 ;
+<a name="l00080"></a>00080   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e" title="Whether user was given.">user_given</a> = 0 ;
+<a name="l00081"></a>00081   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed" title="Whether pass was given.">pass_given</a> = 0 ;
+<a name="l00082"></a>00082   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4" title="Whether acct was given.">acct_given</a> = 0 ;
+<a name="l00083"></a>00083   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a> = 0 ;
+<a name="l00084"></a>00084   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796" title="Whether past was given.">past_given</a> = 0 ;
+<a name="l00085"></a>00085   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd" title="Whether url was given.">url_given</a> = 0 ;
+<a name="l00086"></a>00086   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc" title="Whether trid was given.">trid_given</a> = 0 ;
+<a name="l00087"></a>00087   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5" title="Whether statement-req was given.">statement_req_given</a> = 0 ;
+<a name="l00088"></a>00088   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956" title="Whether accountinfo-req was given.">accountinfo_req_given</a> = 0 ;
+<a name="l00089"></a>00089   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086" title="Whether payment-req was given.">payment_req_given</a> = 0 ;
+<a name="l00090"></a>00090   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e" title="Whether paymentinquiry-req was given.">paymentinquiry_req_given</a> = 0 ;
+<a name="l00091"></a>00091   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce" title="Whether bank-list was given.">bank_list_given</a> = 0 ;
+<a name="l00092"></a>00092   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c" title="Whether bank-fipid was given.">bank_fipid_given</a> = 0 ;
+<a name="l00093"></a>00093   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5" title="Whether bank-services was given.">bank_services_given</a> = 0 ;
+<a name="l00094"></a>00094   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19" title="Whether allsupport was given.">allsupport_given</a> = 0 ;
+<a name="l00095"></a>00095   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> = 0 ;
+<a name="l00096"></a>00096 }
+<a name="l00097"></a>00097 
+<a name="l00098"></a>00098 <span class="keyword">static</span>
+<a name="l00099"></a>00099 <span class="keywordtype">void</span> clear_args (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00100"></a>00100 {
+<a name="l00101"></a>00101   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server).">fipid_arg</a> = NULL;
+<a name="l00102"></a>00102   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) original...">fipid_orig</a> = NULL;
+<a name="l00103"></a>00103   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a" title="FI identifier.">fid_arg</a> = NULL;
+<a name="l00104"></a>00104   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361" title="FI identifier original value given at command line.">fid_orig</a> = NULL;
+<a name="l00105"></a>00105   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb" title="FI org tag.">org_arg</a> = NULL;
+<a name="l00106"></a>00106   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c" title="FI org tag original value given at command line.">org_orig</a> = NULL;
+<a name="l00107"></a>00107   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a> = NULL;
+<a name="l00108"></a>00108   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a" title="IBAN bank identifier original value given at command line.">bank_orig</a> = NULL;
+<a name="l00109"></a>00109   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a> = NULL;
+<a name="l00110"></a>00110   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6" title="Broker identifier original value given at command line.">broker_orig</a> = NULL;
+<a name="l00111"></a>00111   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e" title="User name.">user_arg</a> = NULL;
+<a name="l00112"></a>00112   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91" title="User name original value given at command line.">user_orig</a> = NULL;
+<a name="l00113"></a>00113   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0" title="Password.">pass_arg</a> = NULL;
+<a name="l00114"></a>00114   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c" title="Password original value given at command line.">pass_orig</a> = NULL;
+<a name="l00115"></a>00115   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a> = NULL;
+<a name="l00116"></a>00116   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55" title="Account ID original value given at command line.">acct_orig</a> = NULL;
+<a name="l00117"></a>00117   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83" title="Account Type 1=checking 2=invest 3=ccard original value given at command line.">type_orig</a> = NULL;
+<a name="l00118"></a>00118   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05" title="How far back to look from today (in days) original value given at command line.">past_orig</a> = NULL;
+<a name="l00119"></a>00119   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354" title="Url to POST the data to (otherwise goes to stdout).">url_arg</a> = NULL;
+<a name="l00120"></a>00120   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30" title="Url to POST the data to (otherwise goes to stdout) original value given at command...">url_orig</a> = NULL;
+<a name="l00121"></a>00121   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20" title="Transaction id original value given at command line.">trid_orig</a> = NULL;
+<a name="l00122"></a>00122   
+<a name="l00123"></a>00123 }
+<a name="l00124"></a>00124 
+<a name="l00125"></a>00125 <span class="keyword">static</span>
+<a name="l00126"></a>00126 <span class="keywordtype">void</span> init_args_info(<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00127"></a>00127 {
+<a name="l00128"></a>00128   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fb4efa68a6f43a4d112e9b96ffe89101" title="Print help and exit help description.">help_help</a> = gengetopt_args_info_help[0] ;
+<a name="l00129"></a>00129   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#def454ea6f3ff4114ae5009e58360cfc" title="Print version and exit help description.">version_help</a> = gengetopt_args_info_help[1] ;
+<a name="l00130"></a>00130   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#76c14337823cdcfa195a192d0aaa1426" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) help description...">fipid_help</a> = gengetopt_args_info_help[2] ;
+<a name="l00131"></a>00131   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#84c60df905af5f51d5c5a0a88dd3dc39" title="FI identifier help description.">fid_help</a> = gengetopt_args_info_help[3] ;
+<a name="l00132"></a>00132   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2e3a29aa53fb59100168f4e558c584c6" title="FI org tag help description.">org_help</a> = gengetopt_args_info_help[4] ;
+<a name="l00133"></a>00133   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fb33dfc28db6399e4c13f94d12b30ed7" title="IBAN bank identifier help description.">bank_help</a> = gengetopt_args_info_help[5] ;
+<a name="l00134"></a>00134   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c4dc59196e3c4ef57b3a6d1cf439629" title="Broker identifier help description.">broker_help</a> = gengetopt_args_info_help[6] ;
+<a name="l00135"></a>00135   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#50ca2748823a107ad8a252c0b0a7fe11" title="User name help description.">user_help</a> = gengetopt_args_info_help[7] ;
+<a name="l00136"></a>00136   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b14ac501dd6a3c97f36725d4b7852048" title="Password help description.">pass_help</a> = gengetopt_args_info_help[8] ;
+<a name="l00137"></a>00137   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#c920c934e2095025f1d7048522a57c5e" title="Account ID help description.">acct_help</a> = gengetopt_args_info_help[9] ;
+<a name="l00138"></a>00138   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c39a4f94b8c4b5621d6c41e6fbbfcc9" title="Account Type 1=checking 2=invest 3=ccard help description.">type_help</a> = gengetopt_args_info_help[10] ;
+<a name="l00139"></a>00139   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#474b9f887a1722596b39e69142da2791" title="How far back to look from today (in days) help description.">past_help</a> = gengetopt_args_info_help[11] ;
+<a name="l00140"></a>00140   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#567440f30f9c9175e2aab392d325a42f" title="Url to POST the data to (otherwise goes to stdout) help description.">url_help</a> = gengetopt_args_info_help[12] ;
+<a name="l00141"></a>00141   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#29239afc79b8c1f937ab01b6b71dc0e0" title="Transaction id help description.">trid_help</a> = gengetopt_args_info_help[13] ;
+<a name="l00142"></a>00142   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fbe386debf0da8acde6af35927d47d0f" title="Request for a statement help description.">statement_req_help</a> = gengetopt_args_info_help[14] ;
+<a name="l00143"></a>00143   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#4be453d9448470057d85b2d77498b1cf" title="Request for a list of accounts help description.">accountinfo_req_help</a> = gengetopt_args_info_help[15] ;
+<a name="l00144"></a>00144   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0f72ced1e0e2397a641715877de66801" title="Request to make a payment help description.">payment_req_help</a> = gengetopt_args_info_help[16] ;
+<a name="l00145"></a>00145   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#72aac6ef17e0f55000f20feb7ecb6c74" title="Request to inquire about the status of a payment help description.">paymentinquiry_req_help</a> = gengetopt_args_info_help[17] ;
+<a name="l00146"></a>00146   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#e99e7e36843e9eb0108778a1068c24a8" title="List all known banks help description.">bank_list_help</a> = gengetopt_args_info_help[18] ;
+<a name="l00147"></a>00147   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#ab3262dc76580b273d03506a73b20307" title="List all fipids for a given bank help description.">bank_fipid_help</a> = gengetopt_args_info_help[19] ;
+<a name="l00148"></a>00148   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f111269f0c20c2f07cfcc1d8b3e976cf" title="List supported services for a given fipid help description.">bank_services_help</a> = gengetopt_args_info_help[20] ;
+<a name="l00149"></a>00149   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#5257baf4b7c30840141c1891e59d6c29" title="List all banks which support online banking help description.">allsupport_help</a> = gengetopt_args_info_help[21] ;
+<a name="l00150"></a>00150   
+<a name="l00151"></a>00151 }
+<a name="l00152"></a>00152 
+<a name="l00153"></a>00153 <span class="keywordtype">void</span>
+<a name="l00154"></a>00154 cmdline_parser_print_version (<span class="keywordtype">void</span>)
+<a name="l00155"></a>00155 {
+<a name="l00156"></a>00156   printf (<span class="stringliteral">"%s %s\n"</span>, CMDLINE_PARSER_PACKAGE, CMDLINE_PARSER_VERSION);
+<a name="l00157"></a>00157 }
+<a name="l00158"></a>00158 
+<a name="l00159"></a>00159 <span class="keywordtype">void</span>
+<a name="l00160"></a>00160 cmdline_parser_print_help (<span class="keywordtype">void</span>)
+<a name="l00161"></a>00161 {
+<a name="l00162"></a>00162   <span class="keywordtype">int</span> i = 0;
+<a name="l00163"></a>00163   cmdline_parser_print_version ();
+<a name="l00164"></a>00164 
+<a name="l00165"></a>00165   <span class="keywordflow">if</span> (strlen(gengetopt_args_info_purpose) &gt; 0)
+<a name="l00166"></a>00166     printf(<span class="stringliteral">"\n%s\n"</span>, gengetopt_args_info_purpose);
+<a name="l00167"></a>00167 
+<a name="l00168"></a>00168   printf(<span class="stringliteral">"\n%s\n\n"</span>, gengetopt_args_info_usage);
+<a name="l00169"></a>00169 
+<a name="l00170"></a>00170   <span class="keywordflow">if</span> (strlen(gengetopt_args_info_description) &gt; 0)
+<a name="l00171"></a>00171     printf(<span class="stringliteral">"%s\n"</span>, gengetopt_args_info_description);
+<a name="l00172"></a>00172 
+<a name="l00173"></a>00173   <span class="keywordflow">while</span> (gengetopt_args_info_help[i])
+<a name="l00174"></a>00174     printf(<span class="stringliteral">"%s\n"</span>, gengetopt_args_info_help[i++]);
+<a name="l00175"></a>00175 }
+<a name="l00176"></a>00176 
+<a name="l00177"></a>00177 <span class="keywordtype">void</span>
+<a name="l00178"></a>00178 cmdline_parser_init (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00179"></a>00179 {
+<a name="l00180"></a>00180   clear_given (args_info);
+<a name="l00181"></a>00181   clear_args (args_info);
+<a name="l00182"></a>00182   init_args_info (args_info);
+<a name="l00183"></a>00183 
+<a name="l00184"></a>00184   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a> = NULL;
+<a name="l00185"></a>00185   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a> = 0;
+<a name="l00186"></a>00186 }
+<a name="l00187"></a>00187 
+<a name="l00188"></a>00188 <span class="keyword">struct </span><a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *
+<a name="l00189"></a>00189 cmdline_parser_params_init()
+<a name="l00190"></a>00190 {
+<a name="l00191"></a>00191   <span class="keyword">struct </span><a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *params = 
+<a name="l00192"></a>00192     (<span class="keyword">struct </span><a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *)malloc(<span class="keyword">sizeof</span>(<span class="keyword">struct</span> <a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a>));
+<a name="l00193"></a>00193 
+<a name="l00194"></a>00194   <span class="keywordflow">if</span> (params)
+<a name="l00195"></a>00195     { 
+<a name="l00196"></a>00196       params-&gt;<a class="code" href="structcmdline__parser__params.html#d3ff9d69146e69a47506782197b5675c" title="whether to override possibly already present options (default 0)">override</a> = 0;
+<a name="l00197"></a>00197       params-&gt;<a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11" title="whether to initialize the option structure gengetopt_args_info (default 0)">initialize</a> = 0;
+<a name="l00198"></a>00198       params-&gt;<a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6" title="whether to check that all required options were provided (default 0)">check_required</a> = 0;
+<a name="l00199"></a>00199       params-&gt;<a class="code" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4" title="whether to check for options already specified in the option structure gengetopt_args_info...">check_ambiguity</a> = 0;
+<a name="l00200"></a>00200     }
+<a name="l00201"></a>00201     
+<a name="l00202"></a>00202   <span class="keywordflow">return</span> params;
+<a name="l00203"></a>00203 }
+<a name="l00204"></a>00204 
+<a name="l00205"></a>00205 <span class="keyword">static</span> <span class="keywordtype">void</span>
+<a name="l00206"></a>00206 cmdline_parser_release (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00207"></a>00207 {
+<a name="l00208"></a>00208   
+<a name="l00209"></a>00209   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i;
+<a name="l00210"></a>00210   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server).">fipid_arg</a>)
+<a name="l00211"></a>00211     {
+<a name="l00212"></a>00212       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server).">fipid_arg</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00213"></a>00213       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server).">fipid_arg</a> = 0;
+<a name="l00214"></a>00214     }
+<a name="l00215"></a>00215   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) original...">fipid_orig</a>)
+<a name="l00216"></a>00216     {
+<a name="l00217"></a>00217       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) original...">fipid_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00218"></a>00218       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) original...">fipid_orig</a> = 0;
+<a name="l00219"></a>00219     }
+<a name="l00220"></a>00220   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a" title="FI identifier.">fid_arg</a>)
+<a name="l00221"></a>00221     {
+<a name="l00222"></a>00222       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a" title="FI identifier.">fid_arg</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00223"></a>00223       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a" title="FI identifier.">fid_arg</a> = 0;
+<a name="l00224"></a>00224     }
+<a name="l00225"></a>00225   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361" title="FI identifier original value given at command line.">fid_orig</a>)
+<a name="l00226"></a>00226     {
+<a name="l00227"></a>00227       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361" title="FI identifier original value given at command line.">fid_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00228"></a>00228       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361" title="FI identifier original value given at command line.">fid_orig</a> = 0;
+<a name="l00229"></a>00229     }
+<a name="l00230"></a>00230   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb" title="FI org tag.">org_arg</a>)
+<a name="l00231"></a>00231     {
+<a name="l00232"></a>00232       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb" title="FI org tag.">org_arg</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00233"></a>00233       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb" title="FI org tag.">org_arg</a> = 0;
+<a name="l00234"></a>00234     }
+<a name="l00235"></a>00235   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c" title="FI org tag original value given at command line.">org_orig</a>)
+<a name="l00236"></a>00236     {
+<a name="l00237"></a>00237       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c" title="FI org tag original value given at command line.">org_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00238"></a>00238       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c" title="FI org tag original value given at command line.">org_orig</a> = 0;
+<a name="l00239"></a>00239     }
+<a name="l00240"></a>00240   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a>)
+<a name="l00241"></a>00241     {
+<a name="l00242"></a>00242       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00243"></a>00243       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a> = 0;
+<a name="l00244"></a>00244     }
+<a name="l00245"></a>00245   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a" title="IBAN bank identifier original value given at command line.">bank_orig</a>)
+<a name="l00246"></a>00246     {
+<a name="l00247"></a>00247       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a" title="IBAN bank identifier original value given at command line.">bank_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00248"></a>00248       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a" title="IBAN bank identifier original value given at command line.">bank_orig</a> = 0;
+<a name="l00249"></a>00249     }
+<a name="l00250"></a>00250   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a>)
+<a name="l00251"></a>00251     {
+<a name="l00252"></a>00252       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00253"></a>00253       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a> = 0;
+<a name="l00254"></a>00254     }
+<a name="l00255"></a>00255   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6" title="Broker identifier original value given at command line.">broker_orig</a>)
+<a name="l00256"></a>00256     {
+<a name="l00257"></a>00257       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6" title="Broker identifier original value given at command line.">broker_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00258"></a>00258       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6" title="Broker identifier original value given at command line.">broker_orig</a> = 0;
+<a name="l00259"></a>00259     }
+<a name="l00260"></a>00260   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e" title="User name.">user_arg</a>)
+<a name="l00261"></a>00261     {
+<a name="l00262"></a>00262       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e" title="User name.">user_arg</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00263"></a>00263       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e" title="User name.">user_arg</a> = 0;
+<a name="l00264"></a>00264     }
+<a name="l00265"></a>00265   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91" title="User name original value given at command line.">user_orig</a>)
+<a name="l00266"></a>00266     {
+<a name="l00267"></a>00267       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91" title="User name original value given at command line.">user_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00268"></a>00268       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91" title="User name original value given at command line.">user_orig</a> = 0;
+<a name="l00269"></a>00269     }
+<a name="l00270"></a>00270   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0" title="Password.">pass_arg</a>)
+<a name="l00271"></a>00271     {
+<a name="l00272"></a>00272       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0" title="Password.">pass_arg</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00273"></a>00273       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0" title="Password.">pass_arg</a> = 0;
+<a name="l00274"></a>00274     }
+<a name="l00275"></a>00275   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c" title="Password original value given at command line.">pass_orig</a>)
+<a name="l00276"></a>00276     {
+<a name="l00277"></a>00277       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c" title="Password original value given at command line.">pass_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00278"></a>00278       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c" title="Password original value given at command line.">pass_orig</a> = 0;
+<a name="l00279"></a>00279     }
+<a name="l00280"></a>00280   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a>)
+<a name="l00281"></a>00281     {
+<a name="l00282"></a>00282       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00283"></a>00283       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a> = 0;
+<a name="l00284"></a>00284     }
+<a name="l00285"></a>00285   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55" title="Account ID original value given at command line.">acct_orig</a>)
+<a name="l00286"></a>00286     {
+<a name="l00287"></a>00287       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55" title="Account ID original value given at command line.">acct_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00288"></a>00288       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55" title="Account ID original value given at command line.">acct_orig</a> = 0;
+<a name="l00289"></a>00289     }
+<a name="l00290"></a>00290   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83" title="Account Type 1=checking 2=invest 3=ccard original value given at command line.">type_orig</a>)
+<a name="l00291"></a>00291     {
+<a name="l00292"></a>00292       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83" title="Account Type 1=checking 2=invest 3=ccard original value given at command line.">type_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00293"></a>00293       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83" title="Account Type 1=checking 2=invest 3=ccard original value given at command line.">type_orig</a> = 0;
+<a name="l00294"></a>00294     }
+<a name="l00295"></a>00295   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05" title="How far back to look from today (in days) original value given at command line.">past_orig</a>)
+<a name="l00296"></a>00296     {
+<a name="l00297"></a>00297       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05" title="How far back to look from today (in days) original value given at command line.">past_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00298"></a>00298       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05" title="How far back to look from today (in days) original value given at command line.">past_orig</a> = 0;
+<a name="l00299"></a>00299     }
+<a name="l00300"></a>00300   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354" title="Url to POST the data to (otherwise goes to stdout).">url_arg</a>)
+<a name="l00301"></a>00301     {
+<a name="l00302"></a>00302       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354" title="Url to POST the data to (otherwise goes to stdout).">url_arg</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00303"></a>00303       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354" title="Url to POST the data to (otherwise goes to stdout).">url_arg</a> = 0;
+<a name="l00304"></a>00304     }
+<a name="l00305"></a>00305   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30" title="Url to POST the data to (otherwise goes to stdout) original value given at command...">url_orig</a>)
+<a name="l00306"></a>00306     {
+<a name="l00307"></a>00307       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30" title="Url to POST the data to (otherwise goes to stdout) original value given at command...">url_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00308"></a>00308       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30" title="Url to POST the data to (otherwise goes to stdout) original value given at command...">url_orig</a> = 0;
+<a name="l00309"></a>00309     }
+<a name="l00310"></a>00310   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20" title="Transaction id original value given at command line.">trid_orig</a>)
+<a name="l00311"></a>00311     {
+<a name="l00312"></a>00312       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20" title="Transaction id original value given at command line.">trid_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00313"></a>00313       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20" title="Transaction id original value given at command line.">trid_orig</a> = 0;
+<a name="l00314"></a>00314     }
+<a name="l00315"></a>00315   
+<a name="l00316"></a>00316   <span class="keywordflow">for</span> (i = 0; i &lt; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a>; ++i)
+<a name="l00317"></a>00317     free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a> [i]);
+<a name="l00318"></a>00318   
+<a name="l00319"></a>00319   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a>)
+<a name="l00320"></a>00320     free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>);
+<a name="l00321"></a>00321   
+<a name="l00322"></a>00322   clear_given (args_info);
+<a name="l00323"></a>00323 }
+<a name="l00324"></a>00324 
+<a name="l00325"></a>00325 <span class="keywordtype">int</span>
+<a name="l00326"></a>00326 cmdline_parser_file_save(<span class="keyword">const</span> <span class="keywordtype">char</span> *filename, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00327"></a>00327 {
+<a name="l00328"></a>00328   FILE *outfile;
+<a name="l00329"></a>00329   <span class="keywordtype">int</span> i = 0;
+<a name="l00330"></a>00330 
+<a name="l00331"></a>00331   outfile = fopen(filename, <span class="stringliteral">"w"</span>);
+<a name="l00332"></a>00332 
+<a name="l00333"></a>00333   <span class="keywordflow">if</span> (!outfile)
+<a name="l00334"></a>00334     {
+<a name="l00335"></a>00335       fprintf (stderr, <span class="stringliteral">"%s: cannot open file for writing: %s\n"</span>, CMDLINE_PARSER_PACKAGE, filename);
+<a name="l00336"></a>00336       <span class="keywordflow">return</span> EXIT_FAILURE;
+<a name="l00337"></a>00337     }
+<a name="l00338"></a>00338 
+<a name="l00339"></a>00339   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fcc22c3f15bfc05d4d36824cbb2b661c" title="Whether help was given.">help_given</a>) {
+<a name="l00340"></a>00340     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"help"</span>);
+<a name="l00341"></a>00341   }
+<a name="l00342"></a>00342   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#18b7279f3b637b9e9192a88fc26973ae" title="Whether version was given.">version_given</a>) {
+<a name="l00343"></a>00343     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"version"</span>);
+<a name="l00344"></a>00344   }
+<a name="l00345"></a>00345   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea" title="Whether fipid was given.">fipid_given</a>) {
+<a name="l00346"></a>00346     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) original...">fipid_orig</a>) {
+<a name="l00347"></a>00347       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"fipid"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) original...">fipid_orig</a>);
+<a name="l00348"></a>00348     } <span class="keywordflow">else</span> {
+<a name="l00349"></a>00349       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"fipid"</span>);
+<a name="l00350"></a>00350     }
+<a name="l00351"></a>00351   }
+<a name="l00352"></a>00352   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc" title="Whether fid was given.">fid_given</a>) {
+<a name="l00353"></a>00353     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361" title="FI identifier original value given at command line.">fid_orig</a>) {
+<a name="l00354"></a>00354       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"fid"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361" title="FI identifier original value given at command line.">fid_orig</a>);
+<a name="l00355"></a>00355     } <span class="keywordflow">else</span> {
+<a name="l00356"></a>00356       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"fid"</span>);
+<a name="l00357"></a>00357     }
+<a name="l00358"></a>00358   }
+<a name="l00359"></a>00359   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de" title="Whether org was given.">org_given</a>) {
+<a name="l00360"></a>00360     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c" title="FI org tag original value given at command line.">org_orig</a>) {
+<a name="l00361"></a>00361       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"org"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c" title="FI org tag original value given at command line.">org_orig</a>);
+<a name="l00362"></a>00362     } <span class="keywordflow">else</span> {
+<a name="l00363"></a>00363       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"org"</span>);
+<a name="l00364"></a>00364     }
+<a name="l00365"></a>00365   }
+<a name="l00366"></a>00366   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad" title="Whether bank was given.">bank_given</a>) {
+<a name="l00367"></a>00367     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a" title="IBAN bank identifier original value given at command line.">bank_orig</a>) {
+<a name="l00368"></a>00368       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"bank"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a" title="IBAN bank identifier original value given at command line.">bank_orig</a>);
+<a name="l00369"></a>00369     } <span class="keywordflow">else</span> {
+<a name="l00370"></a>00370       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"bank"</span>);
+<a name="l00371"></a>00371     }
+<a name="l00372"></a>00372   }
+<a name="l00373"></a>00373   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172" title="Whether broker was given.">broker_given</a>) {
+<a name="l00374"></a>00374     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6" title="Broker identifier original value given at command line.">broker_orig</a>) {
+<a name="l00375"></a>00375       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"broker"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6" title="Broker identifier original value given at command line.">broker_orig</a>);
+<a name="l00376"></a>00376     } <span class="keywordflow">else</span> {
+<a name="l00377"></a>00377       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"broker"</span>);
+<a name="l00378"></a>00378     }
+<a name="l00379"></a>00379   }
+<a name="l00380"></a>00380   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e" title="Whether user was given.">user_given</a>) {
+<a name="l00381"></a>00381     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91" title="User name original value given at command line.">user_orig</a>) {
+<a name="l00382"></a>00382       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"user"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91" title="User name original value given at command line.">user_orig</a>);
+<a name="l00383"></a>00383     } <span class="keywordflow">else</span> {
+<a name="l00384"></a>00384       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"user"</span>);
+<a name="l00385"></a>00385     }
+<a name="l00386"></a>00386   }
+<a name="l00387"></a>00387   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed" title="Whether pass was given.">pass_given</a>) {
+<a name="l00388"></a>00388     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c" title="Password original value given at command line.">pass_orig</a>) {
+<a name="l00389"></a>00389       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"pass"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c" title="Password original value given at command line.">pass_orig</a>);
+<a name="l00390"></a>00390     } <span class="keywordflow">else</span> {
+<a name="l00391"></a>00391       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"pass"</span>);
+<a name="l00392"></a>00392     }
+<a name="l00393"></a>00393   }
+<a name="l00394"></a>00394   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4" title="Whether acct was given.">acct_given</a>) {
+<a name="l00395"></a>00395     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55" title="Account ID original value given at command line.">acct_orig</a>) {
+<a name="l00396"></a>00396       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"acct"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55" title="Account ID original value given at command line.">acct_orig</a>);
+<a name="l00397"></a>00397     } <span class="keywordflow">else</span> {
+<a name="l00398"></a>00398       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"acct"</span>);
+<a name="l00399"></a>00399     }
+<a name="l00400"></a>00400   }
+<a name="l00401"></a>00401   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a>) {
+<a name="l00402"></a>00402     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83" title="Account Type 1=checking 2=invest 3=ccard original value given at command line.">type_orig</a>) {
+<a name="l00403"></a>00403       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"type"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83" title="Account Type 1=checking 2=invest 3=ccard original value given at command line.">type_orig</a>);
+<a name="l00404"></a>00404     } <span class="keywordflow">else</span> {
+<a name="l00405"></a>00405       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"type"</span>);
+<a name="l00406"></a>00406     }
+<a name="l00407"></a>00407   }
+<a name="l00408"></a>00408   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796" title="Whether past was given.">past_given</a>) {
+<a name="l00409"></a>00409     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05" title="How far back to look from today (in days) original value given at command line.">past_orig</a>) {
+<a name="l00410"></a>00410       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"past"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05" title="How far back to look from today (in days) original value given at command line.">past_orig</a>);
+<a name="l00411"></a>00411     } <span class="keywordflow">else</span> {
+<a name="l00412"></a>00412       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"past"</span>);
+<a name="l00413"></a>00413     }
+<a name="l00414"></a>00414   }
+<a name="l00415"></a>00415   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd" title="Whether url was given.">url_given</a>) {
+<a name="l00416"></a>00416     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30" title="Url to POST the data to (otherwise goes to stdout) original value given at command...">url_orig</a>) {
+<a name="l00417"></a>00417       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"url"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30" title="Url to POST the data to (otherwise goes to stdout) original value given at command...">url_orig</a>);
+<a name="l00418"></a>00418     } <span class="keywordflow">else</span> {
+<a name="l00419"></a>00419       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"url"</span>);
+<a name="l00420"></a>00420     }
+<a name="l00421"></a>00421   }
+<a name="l00422"></a>00422   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc" title="Whether trid was given.">trid_given</a>) {
+<a name="l00423"></a>00423     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20" title="Transaction id original value given at command line.">trid_orig</a>) {
+<a name="l00424"></a>00424       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"trid"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20" title="Transaction id original value given at command line.">trid_orig</a>);
+<a name="l00425"></a>00425     } <span class="keywordflow">else</span> {
+<a name="l00426"></a>00426       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"trid"</span>);
+<a name="l00427"></a>00427     }
+<a name="l00428"></a>00428   }
+<a name="l00429"></a>00429   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5" title="Whether statement-req was given.">statement_req_given</a>) {
+<a name="l00430"></a>00430     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"statement-req"</span>);
+<a name="l00431"></a>00431   }
+<a name="l00432"></a>00432   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956" title="Whether accountinfo-req was given.">accountinfo_req_given</a>) {
+<a name="l00433"></a>00433     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"accountinfo-req"</span>);
+<a name="l00434"></a>00434   }
+<a name="l00435"></a>00435   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086" title="Whether payment-req was given.">payment_req_given</a>) {
+<a name="l00436"></a>00436     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"payment-req"</span>);
+<a name="l00437"></a>00437   }
+<a name="l00438"></a>00438   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e" title="Whether paymentinquiry-req was given.">paymentinquiry_req_given</a>) {
+<a name="l00439"></a>00439     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"paymentinquiry-req"</span>);
+<a name="l00440"></a>00440   }
+<a name="l00441"></a>00441   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce" title="Whether bank-list was given.">bank_list_given</a>) {
+<a name="l00442"></a>00442     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"bank-list"</span>);
+<a name="l00443"></a>00443   }
+<a name="l00444"></a>00444   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c" title="Whether bank-fipid was given.">bank_fipid_given</a>) {
+<a name="l00445"></a>00445     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"bank-fipid"</span>);
+<a name="l00446"></a>00446   }
+<a name="l00447"></a>00447   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5" title="Whether bank-services was given.">bank_services_given</a>) {
+<a name="l00448"></a>00448     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"bank-services"</span>);
+<a name="l00449"></a>00449   }
+<a name="l00450"></a>00450   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19" title="Whether allsupport was given.">allsupport_given</a>) {
+<a name="l00451"></a>00451     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"allsupport"</span>);
+<a name="l00452"></a>00452   }
+<a name="l00453"></a>00453   
+<a name="l00454"></a>00454   fclose (outfile);
+<a name="l00455"></a>00455 
+<a name="l00456"></a>00456   i = EXIT_SUCCESS;
+<a name="l00457"></a>00457   <span class="keywordflow">return</span> i;
+<a name="l00458"></a>00458 }
+<a name="l00459"></a>00459 
+<a name="l00460"></a>00460 <span class="keywordtype">void</span>
+<a name="l00461"></a>00461 cmdline_parser_free (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00462"></a>00462 {
+<a name="l00463"></a>00463   cmdline_parser_release (args_info);
+<a name="l00464"></a>00464 }
+<a name="l00465"></a>00465 
+<a name="l00466"></a>00466 
+<a name="l00467"></a>00467 <span class="comment">/* gengetopt_strdup() */</span>
+<a name="l00468"></a>00468 <span class="comment">/* strdup.c replacement of strdup, which is not standard */</span>
+<a name="l00469"></a>00469 <span class="keywordtype">char</span> *
+<a name="l00470"></a>00470 gengetopt_strdup (<span class="keyword">const</span> <span class="keywordtype">char</span> *s)
+<a name="l00471"></a>00471 {
+<a name="l00472"></a>00472   <span class="keywordtype">char</span> *result = NULL;
+<a name="l00473"></a>00473   <span class="keywordflow">if</span> (!s)
+<a name="l00474"></a>00474     <span class="keywordflow">return</span> result;
+<a name="l00475"></a>00475 
+<a name="l00476"></a>00476   result = (<span class="keywordtype">char</span>*)malloc(strlen(s) + 1);
+<a name="l00477"></a>00477   <span class="keywordflow">if</span> (result == (<span class="keywordtype">char</span>*)0)
+<a name="l00478"></a>00478     <span class="keywordflow">return</span> (<span class="keywordtype">char</span>*)0;
+<a name="l00479"></a>00479   strcpy(result, s);
+<a name="l00480"></a>00480   <span class="keywordflow">return</span> result;
+<a name="l00481"></a>00481 }
+<a name="l00482"></a>00482 
+<a name="l00483"></a>00483 <span class="keyword">static</span> <span class="keywordtype">void</span>
+<a name="l00484"></a>00484 reset_group_command(<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00485"></a>00485 
+<a name="l00486"></a>00486 <span class="keyword">static</span> <span class="keywordtype">void</span>
+<a name="l00487"></a>00487 reset_group_command(<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00488"></a>00488 {
+<a name="l00489"></a>00489   <span class="keywordflow">if</span> (! args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a>)
+<a name="l00490"></a>00490     <span class="keywordflow">return</span>;
+<a name="l00491"></a>00491   
+<a name="l00492"></a>00492   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5" title="Whether statement-req was given.">statement_req_given</a> = 0 ;
+<a name="l00493"></a>00493   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956" title="Whether accountinfo-req was given.">accountinfo_req_given</a> = 0 ;
+<a name="l00494"></a>00494   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086" title="Whether payment-req was given.">payment_req_given</a> = 0 ;
+<a name="l00495"></a>00495   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e" title="Whether paymentinquiry-req was given.">paymentinquiry_req_given</a> = 0 ;
+<a name="l00496"></a>00496   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce" title="Whether bank-list was given.">bank_list_given</a> = 0 ;
+<a name="l00497"></a>00497   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c" title="Whether bank-fipid was given.">bank_fipid_given</a> = 0 ;
+<a name="l00498"></a>00498   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5" title="Whether bank-services was given.">bank_services_given</a> = 0 ;
+<a name="l00499"></a>00499   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19" title="Whether allsupport was given.">allsupport_given</a> = 0 ;
+<a name="l00500"></a>00500 
+<a name="l00501"></a>00501   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> = 0;
+<a name="l00502"></a>00502 }
+<a name="l00503"></a>00503 
+<a name="l00504"></a>00504 <span class="keywordtype">int</span>
+<a name="l00505"></a>00505 cmdline_parser (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00506"></a>00506 {
+<a name="l00507"></a>00507   <span class="keywordflow">return</span> cmdline_parser2 (argc, argv, args_info, 0, 1, 1);
+<a name="l00508"></a>00508 }
+<a name="l00509"></a>00509 
+<a name="l00510"></a>00510 <span class="keywordtype">int</span>
+<a name="l00511"></a>00511 cmdline_parser_ext (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00512"></a>00512                    <span class="keyword">struct</span> cmdline_parser_params *params)
+<a name="l00513"></a>00513 {
+<a name="l00514"></a>00514   <span class="keywordtype">int</span> result;
+<a name="l00515"></a>00515   result = cmdline_parser_internal (argc, argv, args_info, params, NULL);
+<a name="l00516"></a>00516 
+<a name="l00517"></a>00517   <span class="keywordflow">if</span> (result == EXIT_FAILURE)
+<a name="l00518"></a>00518     {
+<a name="l00519"></a>00519       cmdline_parser_free (args_info);
+<a name="l00520"></a>00520       exit (EXIT_FAILURE);
+<a name="l00521"></a>00521     }
+<a name="l00522"></a>00522   
+<a name="l00523"></a>00523   <span class="keywordflow">return</span> result;
+<a name="l00524"></a>00524 }
+<a name="l00525"></a>00525 
+<a name="l00526"></a>00526 <span class="keywordtype">int</span>
+<a name="l00527"></a>00527 cmdline_parser2 (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info, <span class="keywordtype">int</span> <span class="keyword">override</span>, <span class="keywordtype">int</span> <a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11" title="whether to initialize the option structure gengetopt_args_info (default 0)">initialize</a>, <span class="keywordtype">int</span> <a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6" title="whether to check that all required options were provided (default 0)">check_required</a>)
+<a name="l00528"></a>00528 {
+<a name="l00529"></a>00529   <span class="keywordtype">int</span> result;
+<a name="l00530"></a>00530   <span class="keyword">struct </span>cmdline_parser_params params;
+<a name="l00531"></a>00531   
+<a name="l00532"></a>00532   params.<a class="code" href="structcmdline__parser__params.html#d3ff9d69146e69a47506782197b5675c" title="whether to override possibly already present options (default 0)">override</a> = <span class="keyword">override</span>;
+<a name="l00533"></a>00533   params.<a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11" title="whether to initialize the option structure gengetopt_args_info (default 0)">initialize</a> = initialize;
+<a name="l00534"></a>00534   params.<a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6" title="whether to check that all required options were provided (default 0)">check_required</a> = check_required;
+<a name="l00535"></a>00535   params.<a class="code" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4" title="whether to check for options already specified in the option structure gengetopt_args_info...">check_ambiguity</a> = 0;
+<a name="l00536"></a>00536 
+<a name="l00537"></a>00537   result = cmdline_parser_internal (argc, argv, args_info, &amp;params, NULL);
+<a name="l00538"></a>00538 
+<a name="l00539"></a>00539   <span class="keywordflow">if</span> (result == EXIT_FAILURE)
+<a name="l00540"></a>00540     {
+<a name="l00541"></a>00541       cmdline_parser_free (args_info);
+<a name="l00542"></a>00542       exit (EXIT_FAILURE);
+<a name="l00543"></a>00543     }
+<a name="l00544"></a>00544   
+<a name="l00545"></a>00545   <span class="keywordflow">return</span> result;
+<a name="l00546"></a>00546 }
+<a name="l00547"></a>00547 
+<a name="l00548"></a>00548 <span class="keywordtype">int</span>
+<a name="l00549"></a>00549 cmdline_parser_required (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info, <span class="keyword">const</span> <span class="keywordtype">char</span> *prog_name)
+<a name="l00550"></a>00550 {
+<a name="l00551"></a>00551   <span class="keywordflow">return</span> EXIT_SUCCESS;
+<a name="l00552"></a>00552 }
+<a name="l00553"></a>00553 
+<a name="l00554"></a>00554 <span class="keywordtype">int</span>
+<a name="l00555"></a>00555 cmdline_parser_internal (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00556"></a>00556                         <span class="keyword">struct</span> cmdline_parser_params *params, <span class="keyword">const</span> <span class="keywordtype">char</span> *additional_error)
+<a name="l00557"></a>00557 {
+<a name="l00558"></a>00558   <span class="keywordtype">int</span> c;        <span class="comment">/* Character of the parsed option.  */</span>
+<a name="l00559"></a>00559 
+<a name="l00560"></a>00560   <span class="keywordtype">int</span> error = 0;
+<a name="l00561"></a>00561   <span class="keyword">struct </span><a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> local_args_info;
+<a name="l00562"></a>00562   
+<a name="l00563"></a>00563   <span class="keywordtype">int</span> <span class="keyword">override</span>;
+<a name="l00564"></a>00564   <span class="keywordtype">int</span> initialize;
+<a name="l00565"></a>00565   <span class="keywordtype">int</span> check_required;
+<a name="l00566"></a>00566   <span class="keywordtype">int</span> check_ambiguity;
+<a name="l00567"></a>00567   
+<a name="l00568"></a>00568   <span class="keyword">override</span> = params-&gt;<a class="code" href="structcmdline__parser__params.html#d3ff9d69146e69a47506782197b5675c" title="whether to override possibly already present options (default 0)">override</a>;
+<a name="l00569"></a>00569   initialize = params-&gt;<a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11" title="whether to initialize the option structure gengetopt_args_info (default 0)">initialize</a>;
+<a name="l00570"></a>00570   check_required = params-&gt;<a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6" title="whether to check that all required options were provided (default 0)">check_required</a>;
+<a name="l00571"></a>00571   check_ambiguity = params-&gt;<a class="code" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4" title="whether to check for options already specified in the option structure gengetopt_args_info...">check_ambiguity</a>;
+<a name="l00572"></a>00572 
+<a name="l00573"></a>00573   <span class="keywordflow">if</span> (initialize)
+<a name="l00574"></a>00574     cmdline_parser_init (args_info);
+<a name="l00575"></a>00575 
+<a name="l00576"></a>00576   cmdline_parser_init (&amp;local_args_info);
+<a name="l00577"></a>00577 
+<a name="l00578"></a>00578   optarg = 0;
+<a name="l00579"></a>00579   optind = 0;
+<a name="l00580"></a>00580   opterr = 1;
+<a name="l00581"></a>00581   optopt = <span class="charliteral">'?'</span>;
+<a name="l00582"></a>00582 
+<a name="l00583"></a>00583   <span class="keywordflow">while</span> (1)
+<a name="l00584"></a>00584     {
+<a name="l00585"></a>00585       <span class="keywordtype">int</span> option_index = 0;
+<a name="l00586"></a>00586       <span class="keywordtype">char</span> *stop_char;
+<a name="l00587"></a>00587 
+<a name="l00588"></a>00588       <span class="keyword">static</span> <span class="keyword">struct </span><a class="code" href="structoption.html">option</a> long_options[] = {
+<a name="l00589"></a>00589         { <span class="stringliteral">"help"</span>,       0, NULL, <span class="charliteral">'h'</span> },
+<a name="l00590"></a>00590         { <span class="stringliteral">"version"</span>,    0, NULL, <span class="charliteral">'V'</span> },
+<a name="l00591"></a>00591         { <span class="stringliteral">"fipid"</span>,      1, NULL, 0 },
+<a name="l00592"></a>00592         { <span class="stringliteral">"fid"</span>,        1, NULL, 0 },
+<a name="l00593"></a>00593         { <span class="stringliteral">"org"</span>,        1, NULL, 0 },
+<a name="l00594"></a>00594         { <span class="stringliteral">"bank"</span>,       1, NULL, 0 },
+<a name="l00595"></a>00595         { <span class="stringliteral">"broker"</span>,     1, NULL, 0 },
+<a name="l00596"></a>00596         { <span class="stringliteral">"user"</span>,       1, NULL, 0 },
+<a name="l00597"></a>00597         { <span class="stringliteral">"pass"</span>,       1, NULL, 0 },
+<a name="l00598"></a>00598         { <span class="stringliteral">"acct"</span>,       1, NULL, 0 },
+<a name="l00599"></a>00599         { <span class="stringliteral">"type"</span>,       1, NULL, 0 },
+<a name="l00600"></a>00600         { <span class="stringliteral">"past"</span>,       1, NULL, 0 },
+<a name="l00601"></a>00601         { <span class="stringliteral">"url"</span>,        1, NULL, 0 },
+<a name="l00602"></a>00602         { <span class="stringliteral">"trid"</span>,       1, NULL, 0 },
+<a name="l00603"></a>00603         { <span class="stringliteral">"statement-req"</span>,      0, NULL, <span class="charliteral">'s'</span> },
+<a name="l00604"></a>00604         { <span class="stringliteral">"accountinfo-req"</span>,    0, NULL, <span class="charliteral">'a'</span> },
+<a name="l00605"></a>00605         { <span class="stringliteral">"payment-req"</span>,        0, NULL, <span class="charliteral">'p'</span> },
+<a name="l00606"></a>00606         { <span class="stringliteral">"paymentinquiry-req"</span>, 0, NULL, <span class="charliteral">'i'</span> },
+<a name="l00607"></a>00607         { <span class="stringliteral">"bank-list"</span>,  0, NULL, <span class="charliteral">'b'</span> },
+<a name="l00608"></a>00608         { <span class="stringliteral">"bank-fipid"</span>, 0, NULL, <span class="charliteral">'f'</span> },
+<a name="l00609"></a>00609         { <span class="stringliteral">"bank-services"</span>,      0, NULL, <span class="charliteral">'v'</span> },
+<a name="l00610"></a>00610         { <span class="stringliteral">"allsupport"</span>, 0, NULL, 0 },
+<a name="l00611"></a>00611         { NULL, 0, NULL, 0 }
+<a name="l00612"></a>00612       };
+<a name="l00613"></a>00613 
+<a name="l00614"></a>00614       stop_char = 0;
+<a name="l00615"></a>00615       c = getopt_long (argc, argv, <span class="stringliteral">"hVsapibfv"</span>, long_options, &amp;option_index);
+<a name="l00616"></a>00616 
+<a name="l00617"></a>00617       <span class="keywordflow">if</span> (c == -1) <span class="keywordflow">break</span>;       <span class="comment">/* Exit from `while (1)' loop.  */</span>
+<a name="l00618"></a>00618 
+<a name="l00619"></a>00619       <span class="keywordflow">switch</span> (c)
+<a name="l00620"></a>00620         {
+<a name="l00621"></a>00621         <span class="keywordflow">case</span> <span class="charliteral">'h'</span>:       <span class="comment">/* Print help and exit.  */</span>
+<a name="l00622"></a>00622           cmdline_parser_print_help ();
+<a name="l00623"></a>00623           cmdline_parser_free (&amp;local_args_info);
+<a name="l00624"></a>00624           exit (EXIT_SUCCESS);
+<a name="l00625"></a>00625 
+<a name="l00626"></a>00626         <span class="keywordflow">case</span> <span class="charliteral">'V'</span>:       <span class="comment">/* Print version and exit.  */</span>
+<a name="l00627"></a>00627           cmdline_parser_print_version ();
+<a name="l00628"></a>00628           cmdline_parser_free (&amp;local_args_info);
+<a name="l00629"></a>00629           exit (EXIT_SUCCESS);
+<a name="l00630"></a>00630 
+<a name="l00631"></a>00631         <span class="keywordflow">case</span> <span class="charliteral">'s'</span>:       <span class="comment">/* Request for a statement.  */</span>
+<a name="l00632"></a>00632           <span class="keywordflow">if</span> (local_args_info.statement_req_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5" title="Whether statement-req was given.">statement_req_given</a>))
+<a name="l00633"></a>00633             {
+<a name="l00634"></a>00634               fprintf (stderr, <span class="stringliteral">"%s: `--statement-req' (`-s') option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00635"></a>00635               <span class="keywordflow">goto</span> failure;
+<a name="l00636"></a>00636             }
+<a name="l00637"></a>00637           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5" title="Whether statement-req was given.">statement_req_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00638"></a>00638             <span class="keywordflow">continue</span>;
+<a name="l00639"></a>00639           local_args_info.statement_req_given = 1;
+<a name="l00640"></a>00640           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5" title="Whether statement-req was given.">statement_req_given</a> = 1;
+<a name="l00641"></a>00641           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> &amp;&amp; <span class="keyword">override</span>)
+<a name="l00642"></a>00642             reset_group_command (args_info);
+<a name="l00643"></a>00643           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> += 1;
+<a name="l00644"></a>00644           <span class="keywordflow">break</span>;
+<a name="l00645"></a>00645 
+<a name="l00646"></a>00646         <span class="keywordflow">case</span> <span class="charliteral">'a'</span>:       <span class="comment">/* Request for a list of accounts.  */</span>
+<a name="l00647"></a>00647           <span class="keywordflow">if</span> (local_args_info.accountinfo_req_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956" title="Whether accountinfo-req was given.">accountinfo_req_given</a>))
+<a name="l00648"></a>00648             {
+<a name="l00649"></a>00649               fprintf (stderr, <span class="stringliteral">"%s: `--accountinfo-req' (`-a') option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00650"></a>00650               <span class="keywordflow">goto</span> failure;
+<a name="l00651"></a>00651             }
+<a name="l00652"></a>00652           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956" title="Whether accountinfo-req was given.">accountinfo_req_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00653"></a>00653             <span class="keywordflow">continue</span>;
+<a name="l00654"></a>00654           local_args_info.accountinfo_req_given = 1;
+<a name="l00655"></a>00655           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956" title="Whether accountinfo-req was given.">accountinfo_req_given</a> = 1;
+<a name="l00656"></a>00656           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> &amp;&amp; <span class="keyword">override</span>)
+<a name="l00657"></a>00657             reset_group_command (args_info);
+<a name="l00658"></a>00658           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> += 1;
+<a name="l00659"></a>00659           <span class="keywordflow">break</span>;
+<a name="l00660"></a>00660 
+<a name="l00661"></a>00661         <span class="keywordflow">case</span> <span class="charliteral">'p'</span>:       <span class="comment">/* Request to make a payment.  */</span>
+<a name="l00662"></a>00662           <span class="keywordflow">if</span> (local_args_info.payment_req_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086" title="Whether payment-req was given.">payment_req_given</a>))
+<a name="l00663"></a>00663             {
+<a name="l00664"></a>00664               fprintf (stderr, <span class="stringliteral">"%s: `--payment-req' (`-p') option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00665"></a>00665               <span class="keywordflow">goto</span> failure;
+<a name="l00666"></a>00666             }
+<a name="l00667"></a>00667           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086" title="Whether payment-req was given.">payment_req_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00668"></a>00668             <span class="keywordflow">continue</span>;
+<a name="l00669"></a>00669           local_args_info.payment_req_given = 1;
+<a name="l00670"></a>00670           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086" title="Whether payment-req was given.">payment_req_given</a> = 1;
+<a name="l00671"></a>00671           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> &amp;&amp; <span class="keyword">override</span>)
+<a name="l00672"></a>00672             reset_group_command (args_info);
+<a name="l00673"></a>00673           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> += 1;
+<a name="l00674"></a>00674           <span class="keywordflow">break</span>;
+<a name="l00675"></a>00675 
+<a name="l00676"></a>00676         <span class="keywordflow">case</span> <span class="charliteral">'i'</span>:       <span class="comment">/* Request to inquire about the status of a payment.  */</span>
+<a name="l00677"></a>00677           <span class="keywordflow">if</span> (local_args_info.paymentinquiry_req_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e" title="Whether paymentinquiry-req was given.">paymentinquiry_req_given</a>))
+<a name="l00678"></a>00678             {
+<a name="l00679"></a>00679               fprintf (stderr, <span class="stringliteral">"%s: `--paymentinquiry-req' (`-i') option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00680"></a>00680               <span class="keywordflow">goto</span> failure;
+<a name="l00681"></a>00681             }
+<a name="l00682"></a>00682           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e" title="Whether paymentinquiry-req was given.">paymentinquiry_req_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00683"></a>00683             <span class="keywordflow">continue</span>;
+<a name="l00684"></a>00684           local_args_info.paymentinquiry_req_given = 1;
+<a name="l00685"></a>00685           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e" title="Whether paymentinquiry-req was given.">paymentinquiry_req_given</a> = 1;
+<a name="l00686"></a>00686           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> &amp;&amp; <span class="keyword">override</span>)
+<a name="l00687"></a>00687             reset_group_command (args_info);
+<a name="l00688"></a>00688           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> += 1;
+<a name="l00689"></a>00689           <span class="keywordflow">break</span>;
+<a name="l00690"></a>00690 
+<a name="l00691"></a>00691         <span class="keywordflow">case</span> <span class="charliteral">'b'</span>:       <span class="comment">/* List all known banks.  */</span>
+<a name="l00692"></a>00692           <span class="keywordflow">if</span> (local_args_info.bank_list_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce" title="Whether bank-list was given.">bank_list_given</a>))
+<a name="l00693"></a>00693             {
+<a name="l00694"></a>00694               fprintf (stderr, <span class="stringliteral">"%s: `--bank-list' (`-b') option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00695"></a>00695               <span class="keywordflow">goto</span> failure;
+<a name="l00696"></a>00696             }
+<a name="l00697"></a>00697           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce" title="Whether bank-list was given.">bank_list_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00698"></a>00698             <span class="keywordflow">continue</span>;
+<a name="l00699"></a>00699           local_args_info.bank_list_given = 1;
+<a name="l00700"></a>00700           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce" title="Whether bank-list was given.">bank_list_given</a> = 1;
+<a name="l00701"></a>00701           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> &amp;&amp; <span class="keyword">override</span>)
+<a name="l00702"></a>00702             reset_group_command (args_info);
+<a name="l00703"></a>00703           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> += 1;
+<a name="l00704"></a>00704           <span class="keywordflow">break</span>;
+<a name="l00705"></a>00705 
+<a name="l00706"></a>00706         <span class="keywordflow">case</span> <span class="charliteral">'f'</span>:       <span class="comment">/* List all fipids for a given bank.  */</span>
+<a name="l00707"></a>00707           <span class="keywordflow">if</span> (local_args_info.bank_fipid_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c" title="Whether bank-fipid was given.">bank_fipid_given</a>))
+<a name="l00708"></a>00708             {
+<a name="l00709"></a>00709               fprintf (stderr, <span class="stringliteral">"%s: `--bank-fipid' (`-f') option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00710"></a>00710               <span class="keywordflow">goto</span> failure;
+<a name="l00711"></a>00711             }
+<a name="l00712"></a>00712           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c" title="Whether bank-fipid was given.">bank_fipid_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00713"></a>00713             <span class="keywordflow">continue</span>;
+<a name="l00714"></a>00714           local_args_info.bank_fipid_given = 1;
+<a name="l00715"></a>00715           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c" title="Whether bank-fipid was given.">bank_fipid_given</a> = 1;
+<a name="l00716"></a>00716           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> &amp;&amp; <span class="keyword">override</span>)
+<a name="l00717"></a>00717             reset_group_command (args_info);
+<a name="l00718"></a>00718           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> += 1;
+<a name="l00719"></a>00719           <span class="keywordflow">break</span>;
+<a name="l00720"></a>00720 
+<a name="l00721"></a>00721         <span class="keywordflow">case</span> <span class="charliteral">'v'</span>:       <span class="comment">/* List supported services for a given fipid.  */</span>
+<a name="l00722"></a>00722           <span class="keywordflow">if</span> (local_args_info.bank_services_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5" title="Whether bank-services was given.">bank_services_given</a>))
+<a name="l00723"></a>00723             {
+<a name="l00724"></a>00724               fprintf (stderr, <span class="stringliteral">"%s: `--bank-services' (`-v') option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00725"></a>00725               <span class="keywordflow">goto</span> failure;
+<a name="l00726"></a>00726             }
+<a name="l00727"></a>00727           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5" title="Whether bank-services was given.">bank_services_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00728"></a>00728             <span class="keywordflow">continue</span>;
+<a name="l00729"></a>00729           local_args_info.bank_services_given = 1;
+<a name="l00730"></a>00730           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5" title="Whether bank-services was given.">bank_services_given</a> = 1;
+<a name="l00731"></a>00731           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> &amp;&amp; <span class="keyword">override</span>)
+<a name="l00732"></a>00732             reset_group_command (args_info);
+<a name="l00733"></a>00733           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> += 1;
+<a name="l00734"></a>00734           <span class="keywordflow">break</span>;
+<a name="l00735"></a>00735 
+<a name="l00736"></a>00736 
+<a name="l00737"></a>00737         <span class="keywordflow">case</span> 0: <span class="comment">/* Long option with no short option */</span>
+<a name="l00738"></a>00738           <span class="comment">/* FI partner identifier (looks up fid, org &amp; url from partner server).  */</span>
+<a name="l00739"></a>00739           <span class="keywordflow">if</span> (strcmp (long_options[option_index].<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>, <span class="stringliteral">"fipid"</span>) == 0)
+<a name="l00740"></a>00740           {
+<a name="l00741"></a>00741             <span class="keywordflow">if</span> (local_args_info.fipid_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea" title="Whether fipid was given.">fipid_given</a>))
+<a name="l00742"></a>00742               {
+<a name="l00743"></a>00743                 fprintf (stderr, <span class="stringliteral">"%s: `--fipid' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00744"></a>00744                 <span class="keywordflow">goto</span> failure;
+<a name="l00745"></a>00745               }
+<a name="l00746"></a>00746             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea" title="Whether fipid was given.">fipid_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00747"></a>00747               <span class="keywordflow">continue</span>;
+<a name="l00748"></a>00748             local_args_info.fipid_given = 1;
+<a name="l00749"></a>00749             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea" title="Whether fipid was given.">fipid_given</a> = 1;
+<a name="l00750"></a>00750             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server).">fipid_arg</a>)
+<a name="l00751"></a>00751               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server).">fipid_arg</a>); <span class="comment">/* free previous string */</span>
+<a name="l00752"></a>00752             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server).">fipid_arg</a> = gengetopt_strdup (optarg);
+<a name="l00753"></a>00753             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) original...">fipid_orig</a>)
+<a name="l00754"></a>00754               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) original...">fipid_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00755"></a>00755             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) original...">fipid_orig</a> = gengetopt_strdup (optarg);
+<a name="l00756"></a>00756           }
+<a name="l00757"></a>00757           <span class="comment">/* FI identifier.  */</span>
+<a name="l00758"></a>00758           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"fid"</span>) == 0)
+<a name="l00759"></a>00759           {
+<a name="l00760"></a>00760             <span class="keywordflow">if</span> (local_args_info.fid_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc" title="Whether fid was given.">fid_given</a>))
+<a name="l00761"></a>00761               {
+<a name="l00762"></a>00762                 fprintf (stderr, <span class="stringliteral">"%s: `--fid' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00763"></a>00763                 <span class="keywordflow">goto</span> failure;
+<a name="l00764"></a>00764               }
+<a name="l00765"></a>00765             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc" title="Whether fid was given.">fid_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00766"></a>00766               <span class="keywordflow">continue</span>;
+<a name="l00767"></a>00767             local_args_info.fid_given = 1;
+<a name="l00768"></a>00768             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc" title="Whether fid was given.">fid_given</a> = 1;
+<a name="l00769"></a>00769             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a" title="FI identifier.">fid_arg</a>)
+<a name="l00770"></a>00770               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a" title="FI identifier.">fid_arg</a>); <span class="comment">/* free previous string */</span>
+<a name="l00771"></a>00771             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a" title="FI identifier.">fid_arg</a> = gengetopt_strdup (optarg);
+<a name="l00772"></a>00772             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361" title="FI identifier original value given at command line.">fid_orig</a>)
+<a name="l00773"></a>00773               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361" title="FI identifier original value given at command line.">fid_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00774"></a>00774             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361" title="FI identifier original value given at command line.">fid_orig</a> = gengetopt_strdup (optarg);
+<a name="l00775"></a>00775           }
+<a name="l00776"></a>00776           <span class="comment">/* FI org tag.  */</span>
+<a name="l00777"></a>00777           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"org"</span>) == 0)
+<a name="l00778"></a>00778           {
+<a name="l00779"></a>00779             <span class="keywordflow">if</span> (local_args_info.org_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de" title="Whether org was given.">org_given</a>))
+<a name="l00780"></a>00780               {
+<a name="l00781"></a>00781                 fprintf (stderr, <span class="stringliteral">"%s: `--org' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00782"></a>00782                 <span class="keywordflow">goto</span> failure;
+<a name="l00783"></a>00783               }
+<a name="l00784"></a>00784             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de" title="Whether org was given.">org_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00785"></a>00785               <span class="keywordflow">continue</span>;
+<a name="l00786"></a>00786             local_args_info.org_given = 1;
+<a name="l00787"></a>00787             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de" title="Whether org was given.">org_given</a> = 1;
+<a name="l00788"></a>00788             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb" title="FI org tag.">org_arg</a>)
+<a name="l00789"></a>00789               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb" title="FI org tag.">org_arg</a>); <span class="comment">/* free previous string */</span>
+<a name="l00790"></a>00790             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb" title="FI org tag.">org_arg</a> = gengetopt_strdup (optarg);
+<a name="l00791"></a>00791             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c" title="FI org tag original value given at command line.">org_orig</a>)
+<a name="l00792"></a>00792               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c" title="FI org tag original value given at command line.">org_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00793"></a>00793             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c" title="FI org tag original value given at command line.">org_orig</a> = gengetopt_strdup (optarg);
+<a name="l00794"></a>00794           }
+<a name="l00795"></a>00795           <span class="comment">/* IBAN bank identifier.  */</span>
+<a name="l00796"></a>00796           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"bank"</span>) == 0)
+<a name="l00797"></a>00797           {
+<a name="l00798"></a>00798             <span class="keywordflow">if</span> (local_args_info.bank_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad" title="Whether bank was given.">bank_given</a>))
+<a name="l00799"></a>00799               {
+<a name="l00800"></a>00800                 fprintf (stderr, <span class="stringliteral">"%s: `--bank' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00801"></a>00801                 <span class="keywordflow">goto</span> failure;
+<a name="l00802"></a>00802               }
+<a name="l00803"></a>00803             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad" title="Whether bank was given.">bank_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00804"></a>00804               <span class="keywordflow">continue</span>;
+<a name="l00805"></a>00805             local_args_info.bank_given = 1;
+<a name="l00806"></a>00806             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad" title="Whether bank was given.">bank_given</a> = 1;
+<a name="l00807"></a>00807             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a>)
+<a name="l00808"></a>00808               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a>); <span class="comment">/* free previous string */</span>
+<a name="l00809"></a>00809             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a> = gengetopt_strdup (optarg);
+<a name="l00810"></a>00810             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a" title="IBAN bank identifier original value given at command line.">bank_orig</a>)
+<a name="l00811"></a>00811               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a" title="IBAN bank identifier original value given at command line.">bank_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00812"></a>00812             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a" title="IBAN bank identifier original value given at command line.">bank_orig</a> = gengetopt_strdup (optarg);
+<a name="l00813"></a>00813           }
+<a name="l00814"></a>00814           <span class="comment">/* Broker identifier.  */</span>
+<a name="l00815"></a>00815           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"broker"</span>) == 0)
+<a name="l00816"></a>00816           {
+<a name="l00817"></a>00817             <span class="keywordflow">if</span> (local_args_info.broker_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172" title="Whether broker was given.">broker_given</a>))
+<a name="l00818"></a>00818               {
+<a name="l00819"></a>00819                 fprintf (stderr, <span class="stringliteral">"%s: `--broker' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00820"></a>00820                 <span class="keywordflow">goto</span> failure;
+<a name="l00821"></a>00821               }
+<a name="l00822"></a>00822             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172" title="Whether broker was given.">broker_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00823"></a>00823               <span class="keywordflow">continue</span>;
+<a name="l00824"></a>00824             local_args_info.broker_given = 1;
+<a name="l00825"></a>00825             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172" title="Whether broker was given.">broker_given</a> = 1;
+<a name="l00826"></a>00826             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a>)
+<a name="l00827"></a>00827               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a>); <span class="comment">/* free previous string */</span>
+<a name="l00828"></a>00828             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a> = gengetopt_strdup (optarg);
+<a name="l00829"></a>00829             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6" title="Broker identifier original value given at command line.">broker_orig</a>)
+<a name="l00830"></a>00830               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6" title="Broker identifier original value given at command line.">broker_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00831"></a>00831             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6" title="Broker identifier original value given at command line.">broker_orig</a> = gengetopt_strdup (optarg);
+<a name="l00832"></a>00832           }
+<a name="l00833"></a>00833           <span class="comment">/* User name.  */</span>
+<a name="l00834"></a>00834           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"user"</span>) == 0)
+<a name="l00835"></a>00835           {
+<a name="l00836"></a>00836             <span class="keywordflow">if</span> (local_args_info.user_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e" title="Whether user was given.">user_given</a>))
+<a name="l00837"></a>00837               {
+<a name="l00838"></a>00838                 fprintf (stderr, <span class="stringliteral">"%s: `--user' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00839"></a>00839                 <span class="keywordflow">goto</span> failure;
+<a name="l00840"></a>00840               }
+<a name="l00841"></a>00841             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e" title="Whether user was given.">user_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00842"></a>00842               <span class="keywordflow">continue</span>;
+<a name="l00843"></a>00843             local_args_info.user_given = 1;
+<a name="l00844"></a>00844             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e" title="Whether user was given.">user_given</a> = 1;
+<a name="l00845"></a>00845             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e" title="User name.">user_arg</a>)
+<a name="l00846"></a>00846               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e" title="User name.">user_arg</a>); <span class="comment">/* free previous string */</span>
+<a name="l00847"></a>00847             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e" title="User name.">user_arg</a> = gengetopt_strdup (optarg);
+<a name="l00848"></a>00848             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91" title="User name original value given at command line.">user_orig</a>)
+<a name="l00849"></a>00849               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91" title="User name original value given at command line.">user_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00850"></a>00850             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91" title="User name original value given at command line.">user_orig</a> = gengetopt_strdup (optarg);
+<a name="l00851"></a>00851           }
+<a name="l00852"></a>00852           <span class="comment">/* Password.  */</span>
+<a name="l00853"></a>00853           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"pass"</span>) == 0)
+<a name="l00854"></a>00854           {
+<a name="l00855"></a>00855             <span class="keywordflow">if</span> (local_args_info.pass_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed" title="Whether pass was given.">pass_given</a>))
+<a name="l00856"></a>00856               {
+<a name="l00857"></a>00857                 fprintf (stderr, <span class="stringliteral">"%s: `--pass' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00858"></a>00858                 <span class="keywordflow">goto</span> failure;
+<a name="l00859"></a>00859               }
+<a name="l00860"></a>00860             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed" title="Whether pass was given.">pass_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00861"></a>00861               <span class="keywordflow">continue</span>;
+<a name="l00862"></a>00862             local_args_info.pass_given = 1;
+<a name="l00863"></a>00863             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed" title="Whether pass was given.">pass_given</a> = 1;
+<a name="l00864"></a>00864             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0" title="Password.">pass_arg</a>)
+<a name="l00865"></a>00865               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0" title="Password.">pass_arg</a>); <span class="comment">/* free previous string */</span>
+<a name="l00866"></a>00866             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0" title="Password.">pass_arg</a> = gengetopt_strdup (optarg);
+<a name="l00867"></a>00867             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c" title="Password original value given at command line.">pass_orig</a>)
+<a name="l00868"></a>00868               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c" title="Password original value given at command line.">pass_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00869"></a>00869             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c" title="Password original value given at command line.">pass_orig</a> = gengetopt_strdup (optarg);
+<a name="l00870"></a>00870           }
+<a name="l00871"></a>00871           <span class="comment">/* Account ID.  */</span>
+<a name="l00872"></a>00872           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"acct"</span>) == 0)
+<a name="l00873"></a>00873           {
+<a name="l00874"></a>00874             <span class="keywordflow">if</span> (local_args_info.acct_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4" title="Whether acct was given.">acct_given</a>))
+<a name="l00875"></a>00875               {
+<a name="l00876"></a>00876                 fprintf (stderr, <span class="stringliteral">"%s: `--acct' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00877"></a>00877                 <span class="keywordflow">goto</span> failure;
+<a name="l00878"></a>00878               }
+<a name="l00879"></a>00879             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4" title="Whether acct was given.">acct_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00880"></a>00880               <span class="keywordflow">continue</span>;
+<a name="l00881"></a>00881             local_args_info.acct_given = 1;
+<a name="l00882"></a>00882             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4" title="Whether acct was given.">acct_given</a> = 1;
+<a name="l00883"></a>00883             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a>)
+<a name="l00884"></a>00884               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a>); <span class="comment">/* free previous string */</span>
+<a name="l00885"></a>00885             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a> = gengetopt_strdup (optarg);
+<a name="l00886"></a>00886             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55" title="Account ID original value given at command line.">acct_orig</a>)
+<a name="l00887"></a>00887               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55" title="Account ID original value given at command line.">acct_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00888"></a>00888             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55" title="Account ID original value given at command line.">acct_orig</a> = gengetopt_strdup (optarg);
+<a name="l00889"></a>00889           }
+<a name="l00890"></a>00890           <span class="comment">/* Account Type 1=checking 2=invest 3=ccard.  */</span>
+<a name="l00891"></a>00891           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"type"</span>) == 0)
+<a name="l00892"></a>00892           {
+<a name="l00893"></a>00893             <span class="keywordflow">if</span> (local_args_info.type_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a>))
+<a name="l00894"></a>00894               {
+<a name="l00895"></a>00895                 fprintf (stderr, <span class="stringliteral">"%s: `--type' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00896"></a>00896                 <span class="keywordflow">goto</span> failure;
+<a name="l00897"></a>00897               }
+<a name="l00898"></a>00898             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00899"></a>00899               <span class="keywordflow">continue</span>;
+<a name="l00900"></a>00900             local_args_info.type_given = 1;
+<a name="l00901"></a>00901             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a> = 1;
+<a name="l00902"></a>00902             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e" title="Account Type 1=checking 2=invest 3=ccard.">type_arg</a> = strtol (optarg, &amp;stop_char, 0);
+<a name="l00903"></a>00903             <span class="keywordflow">if</span> (!(stop_char &amp;&amp; *stop_char == <span class="charliteral">'\0'</span>)) {
+<a name="l00904"></a>00904               fprintf(stderr, <span class="stringliteral">"%s: invalid numeric value: %s\n"</span>, argv[0], optarg);
+<a name="l00905"></a>00905               <span class="keywordflow">goto</span> failure;
+<a name="l00906"></a>00906             }
+<a name="l00907"></a>00907             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83" title="Account Type 1=checking 2=invest 3=ccard original value given at command line.">type_orig</a>)
+<a name="l00908"></a>00908               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83" title="Account Type 1=checking 2=invest 3=ccard original value given at command line.">type_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00909"></a>00909             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83" title="Account Type 1=checking 2=invest 3=ccard original value given at command line.">type_orig</a> = gengetopt_strdup (optarg);
+<a name="l00910"></a>00910           }
+<a name="l00911"></a>00911           <span class="comment">/* How far back to look from today (in days).  */</span>
+<a name="l00912"></a>00912           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"past"</span>) == 0)
+<a name="l00913"></a>00913           {
+<a name="l00914"></a>00914             <span class="keywordflow">if</span> (local_args_info.past_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796" title="Whether past was given.">past_given</a>))
+<a name="l00915"></a>00915               {
+<a name="l00916"></a>00916                 fprintf (stderr, <span class="stringliteral">"%s: `--past' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00917"></a>00917                 <span class="keywordflow">goto</span> failure;
+<a name="l00918"></a>00918               }
+<a name="l00919"></a>00919             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796" title="Whether past was given.">past_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00920"></a>00920               <span class="keywordflow">continue</span>;
+<a name="l00921"></a>00921             local_args_info.past_given = 1;
+<a name="l00922"></a>00922             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796" title="Whether past was given.">past_given</a> = 1;
+<a name="l00923"></a>00923             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9654176cd23987658362a4f8f9d74a01" title="How far back to look from today (in days).">past_arg</a> = strtol (optarg, &amp;stop_char, 0);
+<a name="l00924"></a>00924             <span class="keywordflow">if</span> (!(stop_char &amp;&amp; *stop_char == <span class="charliteral">'\0'</span>)) {
+<a name="l00925"></a>00925               fprintf(stderr, <span class="stringliteral">"%s: invalid numeric value: %s\n"</span>, argv[0], optarg);
+<a name="l00926"></a>00926               <span class="keywordflow">goto</span> failure;
+<a name="l00927"></a>00927             }
+<a name="l00928"></a>00928             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05" title="How far back to look from today (in days) original value given at command line.">past_orig</a>)
+<a name="l00929"></a>00929               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05" title="How far back to look from today (in days) original value given at command line.">past_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00930"></a>00930             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05" title="How far back to look from today (in days) original value given at command line.">past_orig</a> = gengetopt_strdup (optarg);
+<a name="l00931"></a>00931           }
+<a name="l00932"></a>00932           <span class="comment">/* Url to POST the data to (otherwise goes to stdout).  */</span>
+<a name="l00933"></a>00933           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"url"</span>) == 0)
+<a name="l00934"></a>00934           {
+<a name="l00935"></a>00935             <span class="keywordflow">if</span> (local_args_info.url_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd" title="Whether url was given.">url_given</a>))
+<a name="l00936"></a>00936               {
+<a name="l00937"></a>00937                 fprintf (stderr, <span class="stringliteral">"%s: `--url' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00938"></a>00938                 <span class="keywordflow">goto</span> failure;
+<a name="l00939"></a>00939               }
+<a name="l00940"></a>00940             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd" title="Whether url was given.">url_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00941"></a>00941               <span class="keywordflow">continue</span>;
+<a name="l00942"></a>00942             local_args_info.url_given = 1;
+<a name="l00943"></a>00943             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd" title="Whether url was given.">url_given</a> = 1;
+<a name="l00944"></a>00944             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354" title="Url to POST the data to (otherwise goes to stdout).">url_arg</a>)
+<a name="l00945"></a>00945               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354" title="Url to POST the data to (otherwise goes to stdout).">url_arg</a>); <span class="comment">/* free previous string */</span>
+<a name="l00946"></a>00946             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354" title="Url to POST the data to (otherwise goes to stdout).">url_arg</a> = gengetopt_strdup (optarg);
+<a name="l00947"></a>00947             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30" title="Url to POST the data to (otherwise goes to stdout) original value given at command...">url_orig</a>)
+<a name="l00948"></a>00948               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30" title="Url to POST the data to (otherwise goes to stdout) original value given at command...">url_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00949"></a>00949             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30" title="Url to POST the data to (otherwise goes to stdout) original value given at command...">url_orig</a> = gengetopt_strdup (optarg);
+<a name="l00950"></a>00950           }
+<a name="l00951"></a>00951           <span class="comment">/* Transaction id.  */</span>
+<a name="l00952"></a>00952           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"trid"</span>) == 0)
+<a name="l00953"></a>00953           {
+<a name="l00954"></a>00954             <span class="keywordflow">if</span> (local_args_info.trid_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc" title="Whether trid was given.">trid_given</a>))
+<a name="l00955"></a>00955               {
+<a name="l00956"></a>00956                 fprintf (stderr, <span class="stringliteral">"%s: `--trid' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00957"></a>00957                 <span class="keywordflow">goto</span> failure;
+<a name="l00958"></a>00958               }
+<a name="l00959"></a>00959             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc" title="Whether trid was given.">trid_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00960"></a>00960               <span class="keywordflow">continue</span>;
+<a name="l00961"></a>00961             local_args_info.trid_given = 1;
+<a name="l00962"></a>00962             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc" title="Whether trid was given.">trid_given</a> = 1;
+<a name="l00963"></a>00963             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#88eed5f134272a39745075b5001d76b4" title="Transaction id.">trid_arg</a> = strtol (optarg, &amp;stop_char, 0);
+<a name="l00964"></a>00964             <span class="keywordflow">if</span> (!(stop_char &amp;&amp; *stop_char == <span class="charliteral">'\0'</span>)) {
+<a name="l00965"></a>00965               fprintf(stderr, <span class="stringliteral">"%s: invalid numeric value: %s\n"</span>, argv[0], optarg);
+<a name="l00966"></a>00966               <span class="keywordflow">goto</span> failure;
+<a name="l00967"></a>00967             }
+<a name="l00968"></a>00968             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20" title="Transaction id original value given at command line.">trid_orig</a>)
+<a name="l00969"></a>00969               free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20" title="Transaction id original value given at command line.">trid_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00970"></a>00970             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20" title="Transaction id original value given at command line.">trid_orig</a> = gengetopt_strdup (optarg);
+<a name="l00971"></a>00971           }
+<a name="l00972"></a>00972           <span class="comment">/* List all banks which support online banking.  */</span>
+<a name="l00973"></a>00973           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"allsupport"</span>) == 0)
+<a name="l00974"></a>00974           {
+<a name="l00975"></a>00975             <span class="keywordflow">if</span> (local_args_info.allsupport_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19" title="Whether allsupport was given.">allsupport_given</a>))
+<a name="l00976"></a>00976               {
+<a name="l00977"></a>00977                 fprintf (stderr, <span class="stringliteral">"%s: `--allsupport' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00978"></a>00978                 <span class="keywordflow">goto</span> failure;
+<a name="l00979"></a>00979               }
+<a name="l00980"></a>00980             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19" title="Whether allsupport was given.">allsupport_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00981"></a>00981               <span class="keywordflow">continue</span>;
+<a name="l00982"></a>00982             local_args_info.allsupport_given = 1;
+<a name="l00983"></a>00983             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19" title="Whether allsupport was given.">allsupport_given</a> = 1;
+<a name="l00984"></a>00984             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> &amp;&amp; <span class="keyword">override</span>)
+<a name="l00985"></a>00985               reset_group_command (args_info);
+<a name="l00986"></a>00986             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> += 1;
+<a name="l00987"></a>00987             <span class="keywordflow">break</span>;
+<a name="l00988"></a>00988           }
+<a name="l00989"></a>00989           
+<a name="l00990"></a>00990           <span class="keywordflow">break</span>;
+<a name="l00991"></a>00991         <span class="keywordflow">case</span> <span class="charliteral">'?'</span>:       <span class="comment">/* Invalid option.  */</span>
+<a name="l00992"></a>00992           <span class="comment">/* `getopt_long' already printed an error message.  */</span>
+<a name="l00993"></a>00993           <span class="keywordflow">goto</span> failure;
+<a name="l00994"></a>00994 
+<a name="l00995"></a>00995         <span class="keywordflow">default</span>:        <span class="comment">/* bug: option not considered.  */</span>
+<a name="l00996"></a>00996           fprintf (stderr, <span class="stringliteral">"%s: option unknown: %c%s\n"</span>, CMDLINE_PARSER_PACKAGE, c, (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00997"></a>00997           abort ();
+<a name="l00998"></a>00998         } <span class="comment">/* switch */</span>
+<a name="l00999"></a>00999     } <span class="comment">/* while */</span>
+<a name="l01000"></a>01000 
+<a name="l01001"></a>01001   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a> &gt; 1)
+<a name="l01002"></a>01002     {
+<a name="l01003"></a>01003       fprintf (stderr, <span class="stringliteral">"%s: %d options of group command were given. At most one is required.%s\n"</span>, argv[0], args_info-&gt;<a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a>, (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l01004"></a>01004       error = 1;
+<a name="l01005"></a>01005     }
+<a name="l01006"></a>01006   
+<a name="l01007"></a>01007 
+<a name="l01008"></a>01008 
+<a name="l01009"></a>01009 
+<a name="l01010"></a>01010   cmdline_parser_release (&amp;local_args_info);
+<a name="l01011"></a>01011 
+<a name="l01012"></a>01012   <span class="keywordflow">if</span> ( error )
+<a name="l01013"></a>01013     <span class="keywordflow">return</span> (EXIT_FAILURE);
+<a name="l01014"></a>01014 
+<a name="l01015"></a>01015   <span class="keywordflow">if</span> (optind &lt; argc)
+<a name="l01016"></a>01016     {
+<a name="l01017"></a>01017       <span class="keywordtype">int</span> i = 0 ;
+<a name="l01018"></a>01018       <span class="keywordtype">int</span> found_prog_name = 0;
+<a name="l01019"></a>01019       <span class="comment">/* whether program name, i.e., argv[0], is in the remaining args</span>
+<a name="l01020"></a>01020 <span class="comment">         (this may happen with some implementations of getopt,</span>
+<a name="l01021"></a>01021 <span class="comment">          but surely not with the one included by gengetopt) */</span>
+<a name="l01022"></a>01022 
+<a name="l01023"></a>01023       i = optind;
+<a name="l01024"></a>01024       <span class="keywordflow">while</span> (i &lt; argc)
+<a name="l01025"></a>01025         <span class="keywordflow">if</span> (argv[i++] == argv[0]) {
+<a name="l01026"></a>01026           found_prog_name = 1;
+<a name="l01027"></a>01027           <span class="keywordflow">break</span>;
+<a name="l01028"></a>01028         }
+<a name="l01029"></a>01029       i = 0;
+<a name="l01030"></a>01030 
+<a name="l01031"></a>01031       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a> = argc - optind - found_prog_name;
+<a name="l01032"></a>01032       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a> =
+<a name="l01033"></a>01033         (<span class="keywordtype">char</span> **)(malloc ((args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a>)*<span class="keyword">sizeof</span>(<span class="keywordtype">char</span> *))) ;
+<a name="l01034"></a>01034       <span class="keywordflow">while</span> (optind &lt; argc)
+<a name="l01035"></a>01035         <span class="keywordflow">if</span> (argv[optind++] != argv[0])
+<a name="l01036"></a>01036           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[ i++ ] = gengetopt_strdup (argv[optind-1]) ;
+<a name="l01037"></a>01037     }
+<a name="l01038"></a>01038 
+<a name="l01039"></a>01039   <span class="keywordflow">return</span> 0;
+<a name="l01040"></a>01040 
+<a name="l01041"></a>01041 failure:
+<a name="l01042"></a>01042   
+<a name="l01043"></a>01043   cmdline_parser_release (&amp;local_args_info);
+<a name="l01044"></a>01044   <span class="keywordflow">return</span> (EXIT_FAILURE);
+<a name="l01045"></a>01045 }
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/ofxconnect_2cmdline_8h-source.html'
--- doc/html/ofxconnect_2cmdline_8h-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/ofxconnect_2cmdline_8h-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,160 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: cmdline.h Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>cmdline.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
+<a name="l00008"></a>00008 <span class="preprocessor">#ifndef CMDLINE_H</span>
+<a name="l00009"></a>00009 <span class="preprocessor"></span><span class="preprocessor">#define CMDLINE_H</span>
+<a name="l00010"></a>00010 <span class="preprocessor"></span>
+<a name="l00011"></a>00011 <span class="comment">/* If we use autoconf.  */</span>
+<a name="l00012"></a>00012 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00013"></a>00013 <span class="preprocessor"></span><span class="preprocessor">#include "config.h"</span>
+<a name="l00014"></a>00014 <span class="preprocessor">#endif</span>
+<a name="l00015"></a>00015 <span class="preprocessor"></span>
+<a name="l00016"></a>00016 <span class="preprocessor">#ifdef __cplusplus</span>
+<a name="l00017"></a>00017 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
+<a name="l00018"></a>00018 <span class="preprocessor">#endif </span><span class="comment">/* __cplusplus */</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifndef CMDLINE_PARSER_PACKAGE</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span>
+<a name="l00022"></a>00022 <span class="preprocessor">#define CMDLINE_PARSER_PACKAGE PACKAGE</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00024"></a>00024 <span class="preprocessor"></span>
+<a name="l00025"></a>00025 <span class="preprocessor">#ifndef CMDLINE_PARSER_VERSION</span>
+<a name="l00026"></a>00026 <span class="preprocessor"></span>
+<a name="l00027"></a>00027 <span class="preprocessor">#define CMDLINE_PARSER_VERSION VERSION</span>
+<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00029"></a>00029 <span class="preprocessor"></span>
+<a name="l00031"></a><a class="code" href="structgengetopt__args__info.html">00031</a> <span class="keyword">struct </span><a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a>
+<a name="l00032"></a>00032 {
+<a name="l00033"></a><a class="code" href="structgengetopt__args__info.html#fb4efa68a6f43a4d112e9b96ffe89101">00033</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#fb4efa68a6f43a4d112e9b96ffe89101" title="Print help and exit help description.">help_help</a>; 
+<a name="l00034"></a><a class="code" href="structgengetopt__args__info.html#def454ea6f3ff4114ae5009e58360cfc">00034</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#def454ea6f3ff4114ae5009e58360cfc" title="Print version and exit help description.">version_help</a>; 
+<a name="l00035"></a><a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f">00035</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server).">fipid_arg</a>;     
+<a name="l00036"></a><a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e">00036</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) original...">fipid_orig</a>;    
+<a name="l00037"></a><a class="code" href="structgengetopt__args__info.html#76c14337823cdcfa195a192d0aaa1426">00037</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#76c14337823cdcfa195a192d0aaa1426" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server) help description...">fipid_help</a>; 
+<a name="l00038"></a><a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a">00038</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a" title="FI identifier.">fid_arg</a>;       
+<a name="l00039"></a><a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361">00039</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361" title="FI identifier original value given at command line.">fid_orig</a>;      
+<a name="l00040"></a><a class="code" href="structgengetopt__args__info.html#84c60df905af5f51d5c5a0a88dd3dc39">00040</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#84c60df905af5f51d5c5a0a88dd3dc39" title="FI identifier help description.">fid_help</a>; 
+<a name="l00041"></a><a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb">00041</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb" title="FI org tag.">org_arg</a>;       
+<a name="l00042"></a><a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c">00042</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c" title="FI org tag original value given at command line.">org_orig</a>;      
+<a name="l00043"></a><a class="code" href="structgengetopt__args__info.html#2e3a29aa53fb59100168f4e558c584c6">00043</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#2e3a29aa53fb59100168f4e558c584c6" title="FI org tag help description.">org_help</a>; 
+<a name="l00044"></a><a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb">00044</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a>;      
+<a name="l00045"></a><a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a">00045</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a" title="IBAN bank identifier original value given at command line.">bank_orig</a>;     
+<a name="l00046"></a><a class="code" href="structgengetopt__args__info.html#fb33dfc28db6399e4c13f94d12b30ed7">00046</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#fb33dfc28db6399e4c13f94d12b30ed7" title="IBAN bank identifier help description.">bank_help</a>; 
+<a name="l00047"></a><a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d">00047</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a>;    
+<a name="l00048"></a><a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6">00048</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6" title="Broker identifier original value given at command line.">broker_orig</a>;   
+<a name="l00049"></a><a class="code" href="structgengetopt__args__info.html#3c4dc59196e3c4ef57b3a6d1cf439629">00049</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#3c4dc59196e3c4ef57b3a6d1cf439629" title="Broker identifier help description.">broker_help</a>; 
+<a name="l00050"></a><a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e">00050</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e" title="User name.">user_arg</a>;      
+<a name="l00051"></a><a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91">00051</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91" title="User name original value given at command line.">user_orig</a>;     
+<a name="l00052"></a><a class="code" href="structgengetopt__args__info.html#50ca2748823a107ad8a252c0b0a7fe11">00052</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#50ca2748823a107ad8a252c0b0a7fe11" title="User name help description.">user_help</a>; 
+<a name="l00053"></a><a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0">00053</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0" title="Password.">pass_arg</a>;      
+<a name="l00054"></a><a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c">00054</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c" title="Password original value given at command line.">pass_orig</a>;     
+<a name="l00055"></a><a class="code" href="structgengetopt__args__info.html#b14ac501dd6a3c97f36725d4b7852048">00055</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#b14ac501dd6a3c97f36725d4b7852048" title="Password help description.">pass_help</a>; 
+<a name="l00056"></a><a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281">00056</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a>;      
+<a name="l00057"></a><a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55">00057</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55" title="Account ID original value given at command line.">acct_orig</a>;     
+<a name="l00058"></a><a class="code" href="structgengetopt__args__info.html#c920c934e2095025f1d7048522a57c5e">00058</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#c920c934e2095025f1d7048522a57c5e" title="Account ID help description.">acct_help</a>; 
+<a name="l00059"></a><a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e">00059</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e" title="Account Type 1=checking 2=invest 3=ccard.">type_arg</a>; 
+<a name="l00060"></a><a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83">00060</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83" title="Account Type 1=checking 2=invest 3=ccard original value given at command line.">type_orig</a>;     
+<a name="l00061"></a><a class="code" href="structgengetopt__args__info.html#3c39a4f94b8c4b5621d6c41e6fbbfcc9">00061</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#3c39a4f94b8c4b5621d6c41e6fbbfcc9" title="Account Type 1=checking 2=invest 3=ccard help description.">type_help</a>; 
+<a name="l00062"></a><a class="code" href="structgengetopt__args__info.html#9654176cd23987658362a4f8f9d74a01">00062</a>   <span class="keywordtype">long</span> <a class="code" href="structgengetopt__args__info.html#9654176cd23987658362a4f8f9d74a01" title="How far back to look from today (in days).">past_arg</a>;        
+<a name="l00063"></a><a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05">00063</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05" title="How far back to look from today (in days) original value given at command line.">past_orig</a>;     
+<a name="l00064"></a><a class="code" href="structgengetopt__args__info.html#474b9f887a1722596b39e69142da2791">00064</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#474b9f887a1722596b39e69142da2791" title="How far back to look from today (in days) help description.">past_help</a>; 
+<a name="l00065"></a><a class="code" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354">00065</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354" title="Url to POST the data to (otherwise goes to stdout).">url_arg</a>;       
+<a name="l00066"></a><a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30">00066</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30" title="Url to POST the data to (otherwise goes to stdout) original value given at command...">url_orig</a>;      
+<a name="l00067"></a><a class="code" href="structgengetopt__args__info.html#567440f30f9c9175e2aab392d325a42f">00067</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#567440f30f9c9175e2aab392d325a42f" title="Url to POST the data to (otherwise goes to stdout) help description.">url_help</a>; 
+<a name="l00068"></a><a class="code" href="structgengetopt__args__info.html#88eed5f134272a39745075b5001d76b4">00068</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#88eed5f134272a39745075b5001d76b4" title="Transaction id.">trid_arg</a>; 
+<a name="l00069"></a><a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20">00069</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20" title="Transaction id original value given at command line.">trid_orig</a>;     
+<a name="l00070"></a><a class="code" href="structgengetopt__args__info.html#29239afc79b8c1f937ab01b6b71dc0e0">00070</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#29239afc79b8c1f937ab01b6b71dc0e0" title="Transaction id help description.">trid_help</a>; 
+<a name="l00071"></a><a class="code" href="structgengetopt__args__info.html#fbe386debf0da8acde6af35927d47d0f">00071</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#fbe386debf0da8acde6af35927d47d0f" title="Request for a statement help description.">statement_req_help</a>; 
+<a name="l00072"></a><a class="code" href="structgengetopt__args__info.html#4be453d9448470057d85b2d77498b1cf">00072</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#4be453d9448470057d85b2d77498b1cf" title="Request for a list of accounts help description.">accountinfo_req_help</a>; 
+<a name="l00073"></a><a class="code" href="structgengetopt__args__info.html#0f72ced1e0e2397a641715877de66801">00073</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#0f72ced1e0e2397a641715877de66801" title="Request to make a payment help description.">payment_req_help</a>; 
+<a name="l00074"></a><a class="code" href="structgengetopt__args__info.html#72aac6ef17e0f55000f20feb7ecb6c74">00074</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#72aac6ef17e0f55000f20feb7ecb6c74" title="Request to inquire about the status of a payment help description.">paymentinquiry_req_help</a>; 
+<a name="l00075"></a><a class="code" href="structgengetopt__args__info.html#e99e7e36843e9eb0108778a1068c24a8">00075</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#e99e7e36843e9eb0108778a1068c24a8" title="List all known banks help description.">bank_list_help</a>; 
+<a name="l00076"></a><a class="code" href="structgengetopt__args__info.html#ab3262dc76580b273d03506a73b20307">00076</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#ab3262dc76580b273d03506a73b20307" title="List all fipids for a given bank help description.">bank_fipid_help</a>; 
+<a name="l00077"></a><a class="code" href="structgengetopt__args__info.html#f111269f0c20c2f07cfcc1d8b3e976cf">00077</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#f111269f0c20c2f07cfcc1d8b3e976cf" title="List supported services for a given fipid help description.">bank_services_help</a>; 
+<a name="l00078"></a><a class="code" href="structgengetopt__args__info.html#5257baf4b7c30840141c1891e59d6c29">00078</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#5257baf4b7c30840141c1891e59d6c29" title="List all banks which support online banking help description.">allsupport_help</a>; 
+<a name="l00080"></a><a class="code" href="structgengetopt__args__info.html#fcc22c3f15bfc05d4d36824cbb2b661c">00080</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#fcc22c3f15bfc05d4d36824cbb2b661c" title="Whether help was given.">help_given</a> ;      
+<a name="l00081"></a><a class="code" href="structgengetopt__args__info.html#18b7279f3b637b9e9192a88fc26973ae">00081</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#18b7279f3b637b9e9192a88fc26973ae" title="Whether version was given.">version_given</a> ;   
+<a name="l00082"></a><a class="code" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea">00082</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea" title="Whether fipid was given.">fipid_given</a> ;     
+<a name="l00083"></a><a class="code" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc">00083</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc" title="Whether fid was given.">fid_given</a> ;       
+<a name="l00084"></a><a class="code" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de">00084</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de" title="Whether org was given.">org_given</a> ;       
+<a name="l00085"></a><a class="code" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad">00085</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad" title="Whether bank was given.">bank_given</a> ;      
+<a name="l00086"></a><a class="code" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172">00086</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172" title="Whether broker was given.">broker_given</a> ;    
+<a name="l00087"></a><a class="code" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e">00087</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e" title="Whether user was given.">user_given</a> ;      
+<a name="l00088"></a><a class="code" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed">00088</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed" title="Whether pass was given.">pass_given</a> ;      
+<a name="l00089"></a><a class="code" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4">00089</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4" title="Whether acct was given.">acct_given</a> ;      
+<a name="l00090"></a><a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1">00090</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a> ;      
+<a name="l00091"></a><a class="code" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796">00091</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796" title="Whether past was given.">past_given</a> ;      
+<a name="l00092"></a><a class="code" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd">00092</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd" title="Whether url was given.">url_given</a> ;       
+<a name="l00093"></a><a class="code" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc">00093</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc" title="Whether trid was given.">trid_given</a> ;      
+<a name="l00094"></a><a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5">00094</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5" title="Whether statement-req was given.">statement_req_given</a> ;     
+<a name="l00095"></a><a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956">00095</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956" title="Whether accountinfo-req was given.">accountinfo_req_given</a> ;   
+<a name="l00096"></a><a class="code" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086">00096</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086" title="Whether payment-req was given.">payment_req_given</a> ;       
+<a name="l00097"></a><a class="code" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e">00097</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e" title="Whether paymentinquiry-req was given.">paymentinquiry_req_given</a> ;        
+<a name="l00098"></a><a class="code" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce">00098</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce" title="Whether bank-list was given.">bank_list_given</a> ; 
+<a name="l00099"></a><a class="code" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c">00099</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c" title="Whether bank-fipid was given.">bank_fipid_given</a> ;        
+<a name="l00100"></a><a class="code" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5">00100</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5" title="Whether bank-services was given.">bank_services_given</a> ;     
+<a name="l00101"></a><a class="code" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19">00101</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19" title="Whether allsupport was given.">allsupport_given</a> ;        
+<a name="l00103"></a><a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c">00103</a>   <span class="keywordtype">char</span> **<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a> ; 
+<a name="l00104"></a><a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c">00104</a>   <span class="keywordtype">unsigned</span> <a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a> ; 
+<a name="l00105"></a><a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481">00105</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481" title="Counter for group command.">command_group_counter</a>; 
+<a name="l00106"></a>00106 } ;
+<a name="l00107"></a>00107 
+<a name="l00109"></a><a class="code" href="structcmdline__parser__params.html">00109</a> <span class="keyword">struct </span><a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a>
+<a name="l00110"></a>00110 {
+<a name="l00111"></a><a class="code" href="structcmdline__parser__params.html#d3ff9d69146e69a47506782197b5675c">00111</a>   <span class="keywordtype">int</span> <span class="keyword">override</span>; 
+<a name="l00112"></a><a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11">00112</a>   <span class="keywordtype">int</span> <a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11" title="whether to initialize the option structure gengetopt_args_info (default 0)">initialize</a>; 
+<a name="l00113"></a><a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6">00113</a>   <span class="keywordtype">int</span> <a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6" title="whether to check that all required options were provided (default 0)">check_required</a>; 
+<a name="l00114"></a><a class="code" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4">00114</a>   <span class="keywordtype">int</span> <a class="code" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4" title="whether to check for options already specified in the option structure gengetopt_args_info...">check_ambiguity</a>; 
+<a name="l00115"></a>00115 } ;
+<a name="l00116"></a>00116 
+<a name="l00118"></a>00118 <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_purpose;
+<a name="l00120"></a>00120 <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_usage;
+<a name="l00122"></a>00122 <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_help[];
+<a name="l00123"></a>00123 
+<a name="l00131"></a>00131 <span class="keywordtype">int</span> cmdline_parser (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv,
+<a name="l00132"></a>00132   <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00133"></a>00133 
+<a name="l00145"></a>00145 <span class="keywordtype">int</span> cmdline_parser2 (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv,
+<a name="l00146"></a>00146   <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00147"></a>00147   <span class="keywordtype">int</span> <span class="keyword">override</span>, <span class="keywordtype">int</span> initialize, <span class="keywordtype">int</span> check_required);
+<a name="l00148"></a>00148 
+<a name="l00157"></a>00157 <span class="keywordtype">int</span> cmdline_parser_ext (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv,
+<a name="l00158"></a>00158   <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00159"></a>00159   <span class="keyword">struct</span> <a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *params);
+<a name="l00160"></a>00160 
+<a name="l00168"></a>00168 <span class="keywordtype">int</span> cmdline_parser_file_save(<span class="keyword">const</span> <span class="keywordtype">char</span> *filename,
+<a name="l00169"></a>00169   <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00170"></a>00170 
+<a name="l00174"></a>00174 <span class="keywordtype">void</span> cmdline_parser_print_help(<span class="keywordtype">void</span>);
+<a name="l00178"></a>00178 <span class="keywordtype">void</span> cmdline_parser_print_version(<span class="keywordtype">void</span>);
+<a name="l00179"></a>00179 
+<a name="l00185"></a>00185 <span class="keyword">struct </span><a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *cmdline_parser_params_init();
+<a name="l00186"></a>00186 
+<a name="l00192"></a>00192 <span class="keywordtype">void</span> cmdline_parser_init (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00198"></a>00198 <span class="keywordtype">void</span> cmdline_parser_free (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00199"></a>00199 
+<a name="l00207"></a>00207 <span class="keywordtype">int</span> cmdline_parser_required (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00208"></a>00208   <span class="keyword">const</span> <span class="keywordtype">char</span> *prog_name);
+<a name="l00209"></a>00209 
+<a name="l00210"></a>00210 
+<a name="l00211"></a>00211 <span class="preprocessor">#ifdef __cplusplus</span>
+<a name="l00212"></a>00212 <span class="preprocessor"></span>}
+<a name="l00213"></a>00213 <span class="preprocessor">#endif </span><span class="comment">/* __cplusplus */</span>
+<a name="l00214"></a>00214 <span class="preprocessor">#endif </span><span class="comment">/* CMDLINE_H */</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== modified file 'doc/html/ofxconnect_8cpp-source.html'
--- doc/html/ofxconnect_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofxconnect_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofxconnect.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofxconnect.cpp</h1><a href="ofxconnect_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">         ofx_connect.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -34,7 +30,7 @@
 <a name="l00031"></a>00031 <span class="preprocessor">#include &lt;iostream&gt;</span>
 <a name="l00032"></a>00032 <span class="preprocessor">#include &lt;fstream&gt;</span>
 <a name="l00033"></a>00033 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
+<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
 <a name="l00035"></a>00035 <span class="preprocessor">#include &lt;config.h&gt;</span>             <span class="comment">/* Include config constants, e.g., VERSION TF */</span>
 <a name="l00036"></a>00036 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
 <a name="l00037"></a>00037 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
@@ -46,13 +42,13 @@
 <a name="l00043"></a>00043 <span class="preprocessor"></span>
 <a name="l00044"></a>00044 <span class="preprocessor">#include "cmdline.h"</span> <span class="comment">/* Gengetopt generated parser */</span>
 <a name="l00045"></a>00045 
-<a name="l00046"></a>00046 <span class="preprocessor">#include "<a class="code" href="nodeparser_8h.html">nodeparser.h</a>"</span>
-<a name="l00047"></a>00047 <span class="preprocessor">#include "<a class="code" href="ofxpartner_8h.html">ofxpartner.h</a>"</span>
+<a name="l00046"></a>00046 <span class="preprocessor">#include "<a class="code" href="nodeparser_8h.html" title="Declaration of nodeparser object, which facilitiates searching for nodes in an XML...">nodeparser.h</a>"</span>
+<a name="l00047"></a>00047 <span class="preprocessor">#include "<a class="code" href="ofxpartner_8h.html" title="Methods for connecting to the OFX partner server to retrieve OFX server information...">ofxpartner.h</a>"</span>
 <a name="l00048"></a>00048 
 <a name="l00049"></a>00049 <span class="keyword">using namespace </span>std;
 <a name="l00050"></a>00050 
 <a name="l00051"></a>00051 <span class="preprocessor">#ifdef HAVE_LIBCURL</span>
-<a name="l00052"></a>00052 <span class="preprocessor"></span><span class="keywordtype">bool</span> <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* request, <span class="keyword">const</span> <span class="keywordtype">char</span>* url, <span class="keyword">const</span> <span class="keywordtype">char</span>* filename)
+<a name="l00052"></a>00052 <span class="preprocessor"></span><span class="keywordtype">bool</span> <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* request, <span class="keyword">const</span> <span class="keywordtype">char</span>* url, <span class="keyword">const</span> <span class="keywordtype">char</span>* filename)
 <a name="l00053"></a>00053 {
 <a name="l00054"></a>00054   CURL *curl = curl_easy_init();
 <a name="l00055"></a>00055   <span class="keywordflow">if</span>(! curl)
@@ -87,7 +83,7 @@
 <a name="l00084"></a>00084   <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l00085"></a>00085 }
 <a name="l00086"></a>00086 <span class="preprocessor">#else</span>
-<a name="l00087"></a>00087 <span class="preprocessor"></span><span class="keywordtype">bool</span> <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>*, <span class="keyword">const</span> <span class="keywordtype">char</span>*, <span class="keyword">const</span> <span class="keywordtype">char</span>*)
+<a name="l00087"></a>00087 <span class="preprocessor"></span><span class="keywordtype">bool</span> <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>*, <span class="keyword">const</span> <span class="keywordtype">char</span>*, <span class="keyword">const</span> <span class="keywordtype">char</span>*)
 <a name="l00088"></a>00088 {
 <a name="l00089"></a>00089   cerr &lt;&lt; <span class="stringliteral">"ERROR: libox must be configured with libcurl to post this request directly"</span> &lt;&lt; endl;
 <a name="l00090"></a>00090   <span class="keywordflow">return</span> <span class="keyword">false</span>;
@@ -103,9 +99,9 @@
 <a name="l00100"></a>00100   <span class="keywordflow">return</span> os;
 <a name="l00101"></a>00101 }
 <a name="l00102"></a>00102 
-<a name="l00103"></a>00103 <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">main</a> (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
+<a name="l00103"></a>00103 <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
 <a name="l00104"></a>00104 {
-<a name="l00105"></a>00105   gengetopt_args_info args_info;
+<a name="l00105"></a>00105   <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> args_info;
 <a name="l00106"></a>00106   
 <a name="l00107"></a>00107   <span class="keywordflow">if</span> (cmdline_parser (argc, argv, &amp;args_info) != 0)
 <a name="l00108"></a>00108     exit(1) ;
@@ -116,22 +112,22 @@
 <a name="l00113"></a>00113     exit(1);
 <a name="l00114"></a>00114   }
 <a name="l00115"></a>00115 
-<a name="l00116"></a>00116   <span class="keywordflow">if</span> ( args_info.statement_req_given || args_info.accountinfo_req_given )
+<a name="l00116"></a>00116   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5" title="Whether statement-req was given.">statement_req_given</a> || args_info.<a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956" title="Whether accountinfo-req was given.">accountinfo_req_given</a> )
 <a name="l00117"></a>00117   {
-<a name="l00118"></a>00118   <span class="keywordflow">if</span> ( (args_info.inputs_num &gt; 0) )
+<a name="l00118"></a>00118   <span class="keywordflow">if</span> ( (args_info.<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a> &gt; 0) )
 <a name="l00119"></a>00119   {
-<a name="l00120"></a>00120     cout &lt;&lt; <span class="stringliteral">"file "</span> &lt;&lt; args_info.inputs[0] &lt;&lt; endl;
+<a name="l00120"></a>00120     cout &lt;&lt; <span class="stringliteral">"file "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[0] &lt;&lt; endl;
 <a name="l00121"></a>00121   }
 <a name="l00122"></a>00122   <span class="keywordflow">else</span>
 <a name="l00123"></a>00123   {
 <a name="l00124"></a>00124     cerr &lt;&lt; <span class="stringliteral">"ERROR: You must specify an output file"</span> &lt;&lt; endl;
 <a name="l00125"></a>00125   }
 <a name="l00126"></a>00126   }
-<a name="l00127"></a>00127   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( args_info.bank_fipid_given || args_info.bank_services_given )
+<a name="l00127"></a>00127   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c" title="Whether bank-fipid was given.">bank_fipid_given</a> || args_info.<a class="code" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5" title="Whether bank-services was given.">bank_services_given</a> )
 <a name="l00128"></a>00128   {
-<a name="l00129"></a>00129   <span class="keywordflow">if</span> ( (args_info.inputs_num &gt; 0) )
+<a name="l00129"></a>00129   <span class="keywordflow">if</span> ( (args_info.<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a> &gt; 0) )
 <a name="l00130"></a>00130   {
-<a name="l00131"></a>00131     cout &lt;&lt; <span class="stringliteral">"bank "</span> &lt;&lt; args_info.inputs[0] &lt;&lt; endl;
+<a name="l00131"></a>00131     cout &lt;&lt; <span class="stringliteral">"bank "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[0] &lt;&lt; endl;
 <a name="l00132"></a>00132   }
 <a name="l00133"></a>00133   <span class="keywordflow">else</span>
 <a name="l00134"></a>00134   {
@@ -139,54 +135,54 @@
 <a name="l00136"></a>00136   }
 <a name="l00137"></a>00137   }
 <a name="l00138"></a>00138  
-<a name="l00139"></a>00139   <a class="code" href="structOfxFiLogin.html">OfxFiLogin</a> fi;
-<a name="l00140"></a>00140   memset(&amp;fi,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxFiLogin.html">OfxFiLogin</a>));
+<a name="l00139"></a>00139   <a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a> fi;
+<a name="l00140"></a>00140   memset(&amp;fi,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a>));
 <a name="l00141"></a>00141   <span class="keywordtype">bool</span> ok = <span class="keyword">true</span>;
-<a name="l00142"></a>00142   string url;
+<a name="l00142"></a>00142   <span class="keywordtype">string</span> url;
 <a name="l00143"></a>00143  
-<a name="l00144"></a>00144   <span class="keywordflow">if</span> ( args_info.statement_req_given || args_info.accountinfo_req_given || args_info.payment_req_given || args_info.paymentinquiry_req_given )
+<a name="l00144"></a>00144   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5" title="Whether statement-req was given.">statement_req_given</a> || args_info.<a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956" title="Whether accountinfo-req was given.">accountinfo_req_given</a> || args_info.<a class="code" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086" title="Whether payment-req was given.">payment_req_given</a> || args_info.<a class="code" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e" title="Whether paymentinquiry-req was given.">paymentinquiry_req_given</a> )
 <a name="l00145"></a>00145   {
 <a name="l00146"></a>00146   <span class="comment">// Get the FI Login information</span>
 <a name="l00147"></a>00147   <span class="comment">// </span>
 <a name="l00148"></a>00148  
-<a name="l00149"></a>00149   <span class="keywordflow">if</span> ( args_info.fipid_given )
+<a name="l00149"></a>00149   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea" title="Whether fipid was given.">fipid_given</a> )
 <a name="l00150"></a>00150   {
-<a name="l00151"></a>00151     cerr &lt;&lt; <span class="stringliteral">"fipid "</span> &lt;&lt;  args_info.fipid_arg &lt;&lt; endl;  
+<a name="l00151"></a>00151     cerr &lt;&lt; <span class="stringliteral">"fipid "</span> &lt;&lt;  args_info.<a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server).">fipid_arg</a> &lt;&lt; endl;  
 <a name="l00152"></a>00152     cerr &lt;&lt; <span class="stringliteral">"contacting partner server..."</span> &lt;&lt; endl;
-<a name="l00153"></a>00153     <a class="code" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a> svcinfo = <a class="code" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">OfxPartner::ServiceInfo</a>(args_info.fipid_arg);
-<a name="l00154"></a>00154     cout &lt;&lt; <span class="stringliteral">"fid "</span> &lt;&lt; svcinfo.<a class="code" href="structOfxFiServiceInfo.html#2dbea9cf2b6881ee430000a168cd8338">fid</a> &lt;&lt; endl;
-<a name="l00155"></a>00155     strncpy(fi.<a class="code" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">fid</a>,svcinfo.<a class="code" href="structOfxFiServiceInfo.html#2dbea9cf2b6881ee430000a168cd8338">fid</a>,<a class="code" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">OFX_FID_LENGTH</a>-1);
-<a name="l00156"></a>00156     cout &lt;&lt; <span class="stringliteral">"org "</span> &lt;&lt; svcinfo.<a class="code" href="structOfxFiServiceInfo.html#73a4c5b29a004bb210c751636b2352db">org</a> &lt;&lt; endl;
-<a name="l00157"></a>00157     strncpy(fi.<a class="code" href="structOfxFiLogin.html#4b44e09e0f415913fea555001554cd3d">org</a>,svcinfo.<a class="code" href="structOfxFiServiceInfo.html#73a4c5b29a004bb210c751636b2352db">org</a>,<a class="code" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">OFX_ORG_LENGTH</a>-1);
-<a name="l00158"></a>00158     cout &lt;&lt; <span class="stringliteral">"url "</span> &lt;&lt; svcinfo.<a class="code" href="structOfxFiServiceInfo.html#892b7434b389b85d67ece222f5dc1bdb">url</a> &lt;&lt; endl;
-<a name="l00159"></a>00159     url = svcinfo.<a class="code" href="structOfxFiServiceInfo.html#892b7434b389b85d67ece222f5dc1bdb">url</a>;
+<a name="l00153"></a>00153     <a class="code" href="structOfxFiServiceInfo.html" title="Information returned by the OFX Partner Server about a financial institution.">OfxFiServiceInfo</a> svcinfo = <a class="code" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">OfxPartner::ServiceInfo</a>(args_info.<a class="code" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f" title="FI partner identifier (looks up fid, org &amp;amp; url from partner server).">fipid_arg</a>);
+<a name="l00154"></a>00154     cout &lt;&lt; <span class="stringliteral">"fid "</span> &lt;&lt; svcinfo.<a class="code" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">fid</a> &lt;&lt; endl;
+<a name="l00155"></a>00155     strncpy(fi.<a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a>,svcinfo.<a class="code" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">fid</a>,<a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>-1);
+<a name="l00156"></a>00156     cout &lt;&lt; <span class="stringliteral">"org "</span> &lt;&lt; svcinfo.<a class="code" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">org</a> &lt;&lt; endl;
+<a name="l00157"></a>00157     strncpy(fi.<a class="code" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">org</a>,svcinfo.<a class="code" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">org</a>,<a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>-1);
+<a name="l00158"></a>00158     cout &lt;&lt; <span class="stringliteral">"url "</span> &lt;&lt; svcinfo.<a class="code" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">url</a> &lt;&lt; endl;
+<a name="l00159"></a>00159     url = svcinfo.<a class="code" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">url</a>;
 <a name="l00160"></a>00160   }
-<a name="l00161"></a>00161   <span class="keywordflow">if</span> ( args_info.fid_given )
+<a name="l00161"></a>00161   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc" title="Whether fid was given.">fid_given</a> )
 <a name="l00162"></a>00162   {
-<a name="l00163"></a>00163     cerr &lt;&lt; <span class="stringliteral">"fid "</span> &lt;&lt;  args_info.fid_arg &lt;&lt; endl;  
-<a name="l00164"></a>00164     strncpy(fi.<a class="code" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">fid</a>,args_info.fid_arg,<a class="code" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">OFX_FID_LENGTH</a>-1);
+<a name="l00163"></a>00163     cerr &lt;&lt; <span class="stringliteral">"fid "</span> &lt;&lt;  args_info.<a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a" title="FI identifier.">fid_arg</a> &lt;&lt; endl;  
+<a name="l00164"></a>00164     strncpy(fi.<a class="code" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a>,args_info.<a class="code" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a" title="FI identifier.">fid_arg</a>,<a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>-1);
 <a name="l00165"></a>00165   }
-<a name="l00166"></a>00166   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( ! args_info.fipid_given )
+<a name="l00166"></a>00166   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( ! args_info.<a class="code" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea" title="Whether fipid was given.">fipid_given</a> )
 <a name="l00167"></a>00167   {
 <a name="l00168"></a>00168     cerr &lt;&lt; <span class="stringliteral">"ERROR: --fid is required"</span> &lt;&lt; endl;
 <a name="l00169"></a>00169     ok = <span class="keyword">false</span>;
 <a name="l00170"></a>00170   }
 <a name="l00171"></a>00171   
-<a name="l00172"></a>00172   <span class="keywordflow">if</span> ( args_info.org_given )
+<a name="l00172"></a>00172   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de" title="Whether org was given.">org_given</a> )
 <a name="l00173"></a>00173   {
-<a name="l00174"></a>00174     cerr &lt;&lt; <span class="stringliteral">"org "</span> &lt;&lt; args_info.org_arg &lt;&lt; endl;  
-<a name="l00175"></a>00175     strncpy(fi.<a class="code" href="structOfxFiLogin.html#4b44e09e0f415913fea555001554cd3d">org</a>,args_info.org_arg,<a class="code" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">OFX_ORG_LENGTH</a>-1);
+<a name="l00174"></a>00174     cerr &lt;&lt; <span class="stringliteral">"org "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb" title="FI org tag.">org_arg</a> &lt;&lt; endl;  
+<a name="l00175"></a>00175     strncpy(fi.<a class="code" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">org</a>,args_info.<a class="code" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb" title="FI org tag.">org_arg</a>,<a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>-1);
 <a name="l00176"></a>00176   }
-<a name="l00177"></a>00177   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( ! args_info.fipid_given )
+<a name="l00177"></a>00177   <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( ! args_info.<a class="code" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea" title="Whether fipid was given.">fipid_given</a> )
 <a name="l00178"></a>00178   {
 <a name="l00179"></a>00179     cerr &lt;&lt; <span class="stringliteral">"ERROR: --org is required"</span> &lt;&lt; endl;
 <a name="l00180"></a>00180     ok = <span class="keyword">false</span>;
 <a name="l00181"></a>00181   }
 <a name="l00182"></a>00182 
-<a name="l00183"></a>00183   <span class="keywordflow">if</span> ( args_info.user_given )
+<a name="l00183"></a>00183   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e" title="Whether user was given.">user_given</a> )
 <a name="l00184"></a>00184   {
-<a name="l00185"></a>00185     cerr &lt;&lt; <span class="stringliteral">"user "</span> &lt;&lt; args_info.user_arg &lt;&lt; endl;  
-<a name="l00186"></a>00186     strncpy(fi.<a class="code" href="structOfxFiLogin.html#7513251178c3f4d9b665132436428cdf">userid</a>,args_info.user_arg,<a class="code" href="inc_2libofx_8h.html#3681f4415bcf99d43499a615a12e9fa2">OFX_USERID_LENGTH</a>-1);
+<a name="l00185"></a>00185     cerr &lt;&lt; <span class="stringliteral">"user "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e" title="User name.">user_arg</a> &lt;&lt; endl;  
+<a name="l00186"></a>00186     strncpy(fi.<a class="code" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">userid</a>,args_info.<a class="code" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e" title="User name.">user_arg</a>,<a class="code" href="inc_2libofx_8h.html#385135109c07d8a1a72fc3edcb5f115f">OFX_USERID_LENGTH</a>-1);
 <a name="l00187"></a>00187   }
 <a name="l00188"></a>00188   <span class="keywordflow">else</span>
 <a name="l00189"></a>00189   {
@@ -194,10 +190,10 @@
 <a name="l00191"></a>00191     ok = <span class="keyword">false</span>;
 <a name="l00192"></a>00192   }
 <a name="l00193"></a>00193   
-<a name="l00194"></a>00194   <span class="keywordflow">if</span> ( args_info.pass_given )
+<a name="l00194"></a>00194   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed" title="Whether pass was given.">pass_given</a> )
 <a name="l00195"></a>00195   {
-<a name="l00196"></a>00196     cerr &lt;&lt; <span class="stringliteral">"pass "</span> &lt;&lt; args_info.pass_arg &lt;&lt; endl;  
-<a name="l00197"></a>00197     strncpy(fi.<a class="code" href="structOfxFiLogin.html#2995949d8c307d2434ad82a61dbb6f1e">userpass</a>,args_info.pass_arg,<a class="code" href="inc_2libofx_8h.html#3e13a23dcc6326229ab9174cac338fd6">OFX_USERPASS_LENGTH</a>-1);
+<a name="l00196"></a>00196     cerr &lt;&lt; <span class="stringliteral">"pass "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0" title="Password.">pass_arg</a> &lt;&lt; endl;  
+<a name="l00197"></a>00197     strncpy(fi.<a class="code" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">userpass</a>,args_info.<a class="code" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0" title="Password.">pass_arg</a>,<a class="code" href="inc_2libofx_8h.html#57b6f3b8bd4d0012d1a26ffa6e636d4c">OFX_USERPASS_LENGTH</a>-1);
 <a name="l00198"></a>00198   }
 <a name="l00199"></a>00199   <span class="keywordflow">else</span>
 <a name="l00200"></a>00200   {
@@ -205,49 +201,49 @@
 <a name="l00202"></a>00202     ok = <span class="keyword">false</span>;
 <a name="l00203"></a>00203   }
 <a name="l00204"></a>00204   
-<a name="l00205"></a>00205   <span class="keywordflow">if</span> ( args_info.url_given )
-<a name="l00206"></a>00206     url = args_info.url_arg;
+<a name="l00205"></a>00205   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd" title="Whether url was given.">url_given</a> )
+<a name="l00206"></a>00206     url = args_info.<a class="code" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354" title="Url to POST the data to (otherwise goes to stdout).">url_arg</a>;
 <a name="l00207"></a>00207   }
 <a name="l00208"></a>00208   
-<a name="l00209"></a>00209   <span class="keywordflow">if</span> ( args_info.statement_req_given )
+<a name="l00209"></a>00209   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5" title="Whether statement-req was given.">statement_req_given</a> )
 <a name="l00210"></a>00210   {
 <a name="l00211"></a>00211     cerr &lt;&lt; <span class="stringliteral">"Statement request"</span> &lt;&lt; endl;
 <a name="l00212"></a>00212     
-<a name="l00213"></a>00213     <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a> account;
-<a name="l00214"></a>00214     memset(&amp;account,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>));
+<a name="l00213"></a>00213     <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> account;
+<a name="l00214"></a>00214     memset(&amp;account,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>));
 <a name="l00215"></a>00215     
-<a name="l00216"></a>00216     <span class="keywordflow">if</span> ( args_info.bank_given )
+<a name="l00216"></a>00216     <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad" title="Whether bank was given.">bank_given</a> )
 <a name="l00217"></a>00217     {
-<a name="l00218"></a>00218       cerr &lt;&lt; <span class="stringliteral">"bank "</span> &lt;&lt; args_info.bank_arg &lt;&lt; endl;  
-<a name="l00219"></a>00219       strncpy(account.<a class="code" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">bankid</a>,args_info.bank_arg,<a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>-1);
+<a name="l00218"></a>00218       cerr &lt;&lt; <span class="stringliteral">"bank "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a> &lt;&lt; endl;  
+<a name="l00219"></a>00219       strncpy(account.<a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a>,args_info.<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a>,<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>-1);
 <a name="l00220"></a>00220     }
 <a name="l00221"></a>00221     <span class="keywordflow">else</span>    
 <a name="l00222"></a>00222     {
-<a name="l00223"></a>00223       <span class="keywordflow">if</span> ( args_info.type_given &amp;&amp; args_info.type_arg == 1 )
+<a name="l00223"></a>00223       <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a> &amp;&amp; args_info.<a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e" title="Account Type 1=checking 2=invest 3=ccard.">type_arg</a> == 1 )
 <a name="l00224"></a>00224       {
 <a name="l00225"></a>00225         cerr &lt;&lt; <span class="stringliteral">"ERROR: --bank is required for a bank request"</span> &lt;&lt; endl;
 <a name="l00226"></a>00226         ok = <span class="keyword">false</span>;
 <a name="l00227"></a>00227       }
 <a name="l00228"></a>00228     }
 <a name="l00229"></a>00229     
-<a name="l00230"></a>00230     <span class="keywordflow">if</span> ( args_info.broker_given )
+<a name="l00230"></a>00230     <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172" title="Whether broker was given.">broker_given</a> )
 <a name="l00231"></a>00231     {
-<a name="l00232"></a>00232       cerr &lt;&lt; <span class="stringliteral">"broker "</span> &lt;&lt; args_info.broker_arg &lt;&lt; endl;  
-<a name="l00233"></a>00233       strncpy(account.<a class="code" href="structOfxAccountInfo.html#1b8903e24442ff02fc0a12ee0592cae6">brokerid</a>,args_info.broker_arg,<a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>-1);
+<a name="l00232"></a>00232       cerr &lt;&lt; <span class="stringliteral">"broker "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a> &lt;&lt; endl;  
+<a name="l00233"></a>00233       strncpy(account.<a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a>,args_info.<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a>,<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>-1);
 <a name="l00234"></a>00234     }
 <a name="l00235"></a>00235     <span class="keywordflow">else</span>
 <a name="l00236"></a>00236     {
-<a name="l00237"></a>00237       <span class="keywordflow">if</span> ( args_info.type_given &amp;&amp; args_info.type_arg == 2 )
+<a name="l00237"></a>00237       <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a> &amp;&amp; args_info.<a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e" title="Account Type 1=checking 2=invest 3=ccard.">type_arg</a> == 2 )
 <a name="l00238"></a>00238       {
 <a name="l00239"></a>00239         cerr &lt;&lt; <span class="stringliteral">"ERROR: --broker is required for an investment statement request"</span> &lt;&lt; endl;
 <a name="l00240"></a>00240         ok = <span class="keyword">false</span>;
 <a name="l00241"></a>00241       }
 <a name="l00242"></a>00242     }
 <a name="l00243"></a>00243     
-<a name="l00244"></a>00244     <span class="keywordflow">if</span> ( args_info.acct_given )
+<a name="l00244"></a>00244     <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4" title="Whether acct was given.">acct_given</a> )
 <a name="l00245"></a>00245     {
-<a name="l00246"></a>00246       cerr &lt;&lt; <span class="stringliteral">"acct "</span> &lt;&lt; args_info.acct_arg &lt;&lt; endl;  
-<a name="l00247"></a>00247       strncpy(account.<a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a>,args_info.acct_arg,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-1);
+<a name="l00246"></a>00246       cerr &lt;&lt; <span class="stringliteral">"acct "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a> &lt;&lt; endl;  
+<a name="l00247"></a>00247       strncpy(account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a>,args_info.<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a>,<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>-1);
 <a name="l00248"></a>00248     }
 <a name="l00249"></a>00249     <span class="keywordflow">else</span>
 <a name="l00250"></a>00250     {
@@ -255,230 +251,250 @@
 <a name="l00252"></a>00252       ok = <span class="keyword">false</span>;
 <a name="l00253"></a>00253     }
 <a name="l00254"></a>00254     
-<a name="l00255"></a>00255     <span class="keywordflow">if</span> ( args_info.type_given )
+<a name="l00255"></a>00255     <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a> )
 <a name="l00256"></a>00256     {
-<a name="l00257"></a>00257       cerr &lt;&lt; <span class="stringliteral">"type "</span> &lt;&lt; args_info.type_arg &lt;&lt; endl;  
-<a name="l00258"></a>00258       account.<a class="code" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">type</a> = static_cast&lt;AccountType&gt;(args_info.type_arg);
-<a name="l00259"></a>00259     }
-<a name="l00260"></a>00260     <span class="keywordflow">else</span>
-<a name="l00261"></a>00261     {
-<a name="l00262"></a>00262       cerr &lt;&lt; <span class="stringliteral">"ERROR: --type is required for a statement request"</span> &lt;&lt; endl;
-<a name="l00263"></a>00263       ok = <span class="keyword">false</span>;
-<a name="l00264"></a>00264     }
-<a name="l00265"></a>00265     
-<a name="l00266"></a>00266     <span class="keywordflow">if</span> ( args_info.past_given )
-<a name="l00267"></a>00267     {
-<a name="l00268"></a>00268       cerr &lt;&lt; <span class="stringliteral">"past "</span> &lt;&lt; args_info.past_arg &lt;&lt; endl;  
+<a name="l00257"></a>00257       cerr &lt;&lt; <span class="stringliteral">"type "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e" title="Account Type 1=checking 2=invest 3=ccard.">type_arg</a> &lt;&lt; endl;
+<a name="l00258"></a>00258       <span class="keywordflow">switch</span> (args_info.<a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e" title="Account Type 1=checking 2=invest 3=ccard.">type_arg</a>) {
+<a name="l00259"></a>00259       <span class="keywordflow">case</span> 1: account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>;
+<a name="l00260"></a>00260         <span class="keywordflow">break</span>;
+<a name="l00261"></a>00261       <span class="keywordflow">case</span> 2: account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>;
+<a name="l00262"></a>00262         <span class="keywordflow">break</span>;
+<a name="l00263"></a>00263       <span class="keywordflow">case</span> 3: account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a> ;
+<a name="l00264"></a>00264         <span class="keywordflow">break</span>;
+<a name="l00265"></a>00265       <span class="keywordflow">default</span>:
+<a name="l00266"></a>00266         cerr &lt;&lt; <span class="stringliteral">"ERROR: --type is not valid.  Must be between 1 and 3"</span> &lt;&lt; endl;
+<a name="l00267"></a>00267         ok = <span class="keyword">false</span>;
+<a name="l00268"></a>00268       }
 <a name="l00269"></a>00269     }
 <a name="l00270"></a>00270     <span class="keywordflow">else</span>
 <a name="l00271"></a>00271     {
-<a name="l00272"></a>00272       cerr &lt;&lt; <span class="stringliteral">"ERROR: --past is required for a statement request"</span> &lt;&lt; endl;
+<a name="l00272"></a>00272       cerr &lt;&lt; <span class="stringliteral">"ERROR: --type is required for a statement request"</span> &lt;&lt; endl;
 <a name="l00273"></a>00273       ok = <span class="keyword">false</span>;
 <a name="l00274"></a>00274     }
 <a name="l00275"></a>00275     
-<a name="l00276"></a>00276     <span class="keywordflow">if</span> ( ok )
+<a name="l00276"></a>00276     <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796" title="Whether past was given.">past_given</a> )
 <a name="l00277"></a>00277     {
-<a name="l00278"></a>00278       <span class="keywordtype">char</span>* request = <a class="code" href="inc_2libofx_8h.html#f91a1c7694b46e7fcc8e175a7c224dde">libofx_request_statement</a>( &amp;fi, &amp;account, time(NULL) - args_info.past_arg * 86400L );
-<a name="l00279"></a>00279     
-<a name="l00280"></a>00280       <span class="keywordflow">if</span> ( url.length() ) 
-<a name="l00281"></a>00281         <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(request,url.c_str(),args_info.inputs[0]);
-<a name="l00282"></a>00282       <span class="keywordflow">else</span>
-<a name="l00283"></a>00283         cout &lt;&lt; request;
-<a name="l00284"></a>00284       
-<a name="l00285"></a>00285       free(request);
-<a name="l00286"></a>00286     }
-<a name="l00287"></a>00287   }
-<a name="l00288"></a>00288 
-<a name="l00289"></a>00289   <span class="keywordflow">if</span> ( args_info.paymentinquiry_req_given )
-<a name="l00290"></a>00290   {
-<a name="l00291"></a>00291     <span class="keywordtype">char</span> tridstr[33];
-<a name="l00292"></a>00292     memset(tridstr,0,33);
-<a name="l00293"></a>00293 
-<a name="l00294"></a>00294     <span class="keywordtype">bool</span> ok = <span class="keyword">true</span>;
-<a name="l00295"></a>00295 
-<a name="l00296"></a>00296     <span class="keywordflow">if</span> ( args_info.trid_given )
-<a name="l00297"></a>00297     {
-<a name="l00298"></a>00298       cerr &lt;&lt; <span class="stringliteral">"trid "</span> &lt;&lt; args_info.trid_arg &lt;&lt; endl;  
-<a name="l00299"></a>00299       snprintf(tridstr,32,<span class="stringliteral">"%i"</span>,args_info.trid_arg);
-<a name="l00300"></a>00300     }
-<a name="l00301"></a>00301     <span class="keywordflow">else</span>
-<a name="l00302"></a>00302     {
-<a name="l00303"></a>00303       cerr &lt;&lt; <span class="stringliteral">"ERROR: --trid is required for a payment inquiry request"</span> &lt;&lt; endl;
-<a name="l00304"></a>00304       ok = <span class="keyword">false</span>;
-<a name="l00305"></a>00305     }
-<a name="l00306"></a>00306  
-<a name="l00307"></a>00307     <span class="keywordflow">if</span> ( ok )
-<a name="l00308"></a>00308     {
-<a name="l00309"></a>00309       <span class="keywordtype">char</span>* request = <a class="code" href="inc_2libofx_8h.html#f408dfb1579b0d6f980d96ffcb45e674">libofx_request_payment_status</a>( &amp;fi, tridstr );
-<a name="l00310"></a>00310  
-<a name="l00311"></a>00311       filebuf fb;
-<a name="l00312"></a>00312       fb.open (<span class="stringliteral">"query"</span>,ios::out);
-<a name="l00313"></a>00313       ostream os(&amp;fb);
-<a name="l00314"></a>00314       os &lt;&lt; request;
-<a name="l00315"></a>00315       fb.close();
-<a name="l00316"></a>00316       
-<a name="l00317"></a>00317       <span class="keywordflow">if</span> ( url.length() ) 
-<a name="l00318"></a>00318         <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(request,url.c_str(),args_info.inputs[0]);
-<a name="l00319"></a>00319       <span class="keywordflow">else</span>
-<a name="l00320"></a>00320         cout &lt;&lt; request;
-<a name="l00321"></a>00321     
-<a name="l00322"></a>00322       free(request);
-<a name="l00323"></a>00323     }
-<a name="l00324"></a>00324   }
-<a name="l00325"></a>00325   
-<a name="l00326"></a>00326   <span class="keywordflow">if</span> ( args_info.payment_req_given )
-<a name="l00327"></a>00327   {
-<a name="l00328"></a>00328     <a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a> account;
-<a name="l00329"></a>00329     memset(&amp;account,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxAccountInfo.html">OfxAccountInfo</a>));
-<a name="l00330"></a>00330     <a class="code" href="structOfxPayee.html">OfxPayee</a> payee;
-<a name="l00331"></a>00331     memset(&amp;payee,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxPayee.html">OfxPayee</a>));
-<a name="l00332"></a>00332     <a class="code" href="structOfxPayment.html">OfxPayment</a> payment;
-<a name="l00333"></a>00333     memset(&amp;payment,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxPayment.html">OfxPayment</a>));
-<a name="l00334"></a>00334 
-<a name="l00335"></a>00335     strcpy(payee.<a class="code" href="structOfxPayee.html#244c3b827ff9a03b64819e004b6c2703">name</a>,<span class="stringliteral">"MARTIN PREUSS"</span>);
-<a name="l00336"></a>00336     strcpy(payee.<a class="code" href="structOfxPayee.html#3509ec9ece608232be3ffc63b4077d27">address1</a>,<span class="stringliteral">"1 LAUREL ST"</span>);
-<a name="l00337"></a>00337     strcpy(payee.<a class="code" href="structOfxPayee.html#4b3bd752ae504378f3bd3822e969b2fa">city</a>,<span class="stringliteral">"SAN CARLOS"</span>);
-<a name="l00338"></a>00338     strcpy(payee.<a class="code" href="structOfxPayee.html#05962d6b480e93be8ee06c6890aff0eb">state</a>,<span class="stringliteral">"CA"</span>);
-<a name="l00339"></a>00339     strcpy(payee.<a class="code" href="structOfxPayee.html#a07d96270910acde171ebe29a8a263c2">postalcode</a>,<span class="stringliteral">"94070"</span>);
-<a name="l00340"></a>00340     strcpy(payee.<a class="code" href="structOfxPayee.html#c79b99be08186762285da39f91948627">phone</a>,<span class="stringliteral">"866-555-1212"</span>);
-<a name="l00341"></a>00341         
-<a name="l00342"></a>00342     strcpy(payment.<a class="code" href="structOfxPayment.html#fb1972bf3033b4604422d21273bb8d4e">amount</a>,<span class="stringliteral">"200.00"</span>);
-<a name="l00343"></a>00343     strcpy(payment.<a class="code" href="structOfxPayment.html#d57648ec18e28322c8cc71fce995f083">account</a>,<span class="stringliteral">"1234"</span>);
-<a name="l00344"></a>00344     strcpy(payment.<a class="code" href="structOfxPayment.html#9b30730015e0bdcf6661eadcb82b6698">datedue</a>,<span class="stringliteral">"20060301"</span>);
-<a name="l00345"></a>00345     strcpy(payment.<a class="code" href="structOfxPayment.html#e63577fa1dc3cff71b5dd6f09b0bd86a">memo</a>,<span class="stringliteral">"This is a test"</span>);
-<a name="l00346"></a>00346 
-<a name="l00347"></a>00347     <span class="keywordtype">bool</span> ok = <span class="keyword">true</span>;
-<a name="l00348"></a>00348 
-<a name="l00349"></a>00349     <span class="keywordflow">if</span> ( args_info.bank_given )
-<a name="l00350"></a>00350     {
-<a name="l00351"></a>00351       cerr &lt;&lt; <span class="stringliteral">"bank "</span> &lt;&lt; args_info.bank_arg &lt;&lt; endl;  
-<a name="l00352"></a>00352       strncpy(account.<a class="code" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">bankid</a>,args_info.bank_arg,<a class="code" href="inc_2libofx_8h.html#6ead6f5e66f1098eb4d9504f87db14c7">OFX_BANKID_LENGTH</a>-1);
-<a name="l00353"></a>00353     }
-<a name="l00354"></a>00354     <span class="keywordflow">else</span>    
-<a name="l00355"></a>00355     {
-<a name="l00356"></a>00356       <span class="keywordflow">if</span> ( args_info.type_given &amp;&amp; args_info.type_arg == 1 )
-<a name="l00357"></a>00357       {
-<a name="l00358"></a>00358         cerr &lt;&lt; <span class="stringliteral">"ERROR: --bank is required for a bank request"</span> &lt;&lt; endl;
-<a name="l00359"></a>00359         ok = <span class="keyword">false</span>;
-<a name="l00360"></a>00360       }
-<a name="l00361"></a>00361     }
-<a name="l00362"></a>00362     
-<a name="l00363"></a>00363     <span class="keywordflow">if</span> ( args_info.broker_given )
-<a name="l00364"></a>00364     {
-<a name="l00365"></a>00365       cerr &lt;&lt; <span class="stringliteral">"broker "</span> &lt;&lt; args_info.broker_arg &lt;&lt; endl;  
-<a name="l00366"></a>00366       strncpy(account.<a class="code" href="structOfxAccountInfo.html#1b8903e24442ff02fc0a12ee0592cae6">brokerid</a>,args_info.broker_arg,<a class="code" href="inc_2libofx_8h.html#e79af297ff5901fed480f7abd81a7723">OFX_BROKERID_LENGTH</a>-1);
-<a name="l00367"></a>00367     }
-<a name="l00368"></a>00368     <span class="keywordflow">else</span>
-<a name="l00369"></a>00369     {
-<a name="l00370"></a>00370       <span class="keywordflow">if</span> ( args_info.type_given &amp;&amp; args_info.type_arg == 2 )
-<a name="l00371"></a>00371       {
-<a name="l00372"></a>00372         cerr &lt;&lt; <span class="stringliteral">"ERROR: --broker is required for an investment statement request"</span> &lt;&lt; endl;
-<a name="l00373"></a>00373         ok = <span class="keyword">false</span>;
-<a name="l00374"></a>00374       }
-<a name="l00375"></a>00375     }
-<a name="l00376"></a>00376     
-<a name="l00377"></a>00377     <span class="keywordflow">if</span> ( args_info.acct_given )
-<a name="l00378"></a>00378     {
-<a name="l00379"></a>00379       cerr &lt;&lt; <span class="stringliteral">"acct "</span> &lt;&lt; args_info.acct_arg &lt;&lt; endl;  
-<a name="l00380"></a>00380       strncpy(account.<a class="code" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a>,args_info.acct_arg,<a class="code" href="inc_2libofx_8h.html#19314a0ce3c6c7e119f076f4881ff3b0">OFX_ACCOUNT_ID_LENGTH</a>-1);
-<a name="l00381"></a>00381     }
-<a name="l00382"></a>00382     <span class="keywordflow">else</span>
-<a name="l00383"></a>00383     {
-<a name="l00384"></a>00384       cerr &lt;&lt; <span class="stringliteral">"ERROR: --acct is required for a statement request"</span> &lt;&lt; endl;
-<a name="l00385"></a>00385       ok = <span class="keyword">false</span>;
-<a name="l00386"></a>00386     }
-<a name="l00387"></a>00387     
-<a name="l00388"></a>00388     <span class="keywordflow">if</span> ( args_info.type_given )
-<a name="l00389"></a>00389     {
-<a name="l00390"></a>00390       cerr &lt;&lt; <span class="stringliteral">"type "</span> &lt;&lt; args_info.type_arg &lt;&lt; endl;  
-<a name="l00391"></a>00391       account.<a class="code" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">type</a> = static_cast&lt;AccountType&gt;(args_info.type_arg);
-<a name="l00392"></a>00392     }
-<a name="l00393"></a>00393     <span class="keywordflow">else</span>
-<a name="l00394"></a>00394     {
-<a name="l00395"></a>00395       cerr &lt;&lt; <span class="stringliteral">"ERROR: --type is required for a statement request"</span> &lt;&lt; endl;
-<a name="l00396"></a>00396       ok = <span class="keyword">false</span>;
-<a name="l00397"></a>00397     }
-<a name="l00398"></a>00398     
-<a name="l00399"></a>00399     <span class="keywordflow">if</span> ( ok )
-<a name="l00400"></a>00400     {
-<a name="l00401"></a>00401       <span class="keywordtype">char</span>* request = libofx_request_payment( &amp;fi, &amp;account, &amp;payee, &amp;payment );
-<a name="l00402"></a>00402     
-<a name="l00403"></a>00403       filebuf fb;
-<a name="l00404"></a>00404       fb.open (<span class="stringliteral">"query"</span>,ios::out);
-<a name="l00405"></a>00405       ostream os(&amp;fb);
-<a name="l00406"></a>00406       os &lt;&lt; request;
-<a name="l00407"></a>00407       fb.close();
-<a name="l00408"></a>00408       
-<a name="l00409"></a>00409       <span class="keywordflow">if</span> ( url.length() ) 
-<a name="l00410"></a>00410         <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(request,url.c_str(),args_info.inputs[0]);
-<a name="l00411"></a>00411       <span class="keywordflow">else</span>
-<a name="l00412"></a>00412         cout &lt;&lt; request;
-<a name="l00413"></a>00413     
-<a name="l00414"></a>00414       free(request);
-<a name="l00415"></a>00415     }
-<a name="l00416"></a>00416         
-<a name="l00417"></a>00417   }
-<a name="l00418"></a>00418   
-<a name="l00419"></a>00419   <span class="keywordflow">if</span> ( args_info.accountinfo_req_given )
-<a name="l00420"></a>00420   {
-<a name="l00421"></a>00421     <span class="keywordflow">if</span> ( ok )
-<a name="l00422"></a>00422     {
-<a name="l00423"></a>00423       <span class="keywordtype">char</span>* request = <a class="code" href="inc_2libofx_8h.html#78ec3ce215baf3f6739cc98f8b7ca128">libofx_request_accountinfo</a>( &amp;fi );
-<a name="l00424"></a>00424     
-<a name="l00425"></a>00425       <span class="keywordflow">if</span> ( url.length() ) 
-<a name="l00426"></a>00426         <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(request,url.c_str(),args_info.inputs[0]);
-<a name="l00427"></a>00427       <span class="keywordflow">else</span>
-<a name="l00428"></a>00428         cout &lt;&lt; request;
-<a name="l00429"></a>00429     
-<a name="l00430"></a>00430       free(request);
-<a name="l00431"></a>00431     }
-<a name="l00432"></a>00432   }
-<a name="l00433"></a>00433         
-<a name="l00434"></a>00434   <span class="keywordflow">if</span> ( args_info.bank_list_given )
-<a name="l00435"></a>00435   {
-<a name="l00436"></a>00436     cout &lt;&lt; <a class="code" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">OfxPartner::BankNames</a>();
+<a name="l00278"></a>00278       cerr &lt;&lt; <span class="stringliteral">"past "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#9654176cd23987658362a4f8f9d74a01" title="How far back to look from today (in days).">past_arg</a> &lt;&lt; endl;  
+<a name="l00279"></a>00279     }
+<a name="l00280"></a>00280     <span class="keywordflow">else</span>
+<a name="l00281"></a>00281     {
+<a name="l00282"></a>00282       cerr &lt;&lt; <span class="stringliteral">"ERROR: --past is required for a statement request"</span> &lt;&lt; endl;
+<a name="l00283"></a>00283       ok = <span class="keyword">false</span>;
+<a name="l00284"></a>00284     }
+<a name="l00285"></a>00285     
+<a name="l00286"></a>00286     <span class="keywordflow">if</span> ( ok )
+<a name="l00287"></a>00287     {
+<a name="l00288"></a>00288       <span class="keywordtype">char</span>* request = <a class="code" href="inc_2libofx_8h.html#8095d04a045a8f0bdfd5c32ea6f1638d" title="Creates an OFX statement request in string form.">libofx_request_statement</a>( &amp;fi, &amp;account, time(NULL) - args_info.<a class="code" href="structgengetopt__args__info.html#9654176cd23987658362a4f8f9d74a01" title="How far back to look from today (in days).">past_arg</a> * 86400L );
+<a name="l00289"></a>00289     
+<a name="l00290"></a>00290       <span class="keywordflow">if</span> ( url.length() ) 
+<a name="l00291"></a>00291         <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(request,url.c_str(),args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[0]);
+<a name="l00292"></a>00292       <span class="keywordflow">else</span>
+<a name="l00293"></a>00293         cout &lt;&lt; request;
+<a name="l00294"></a>00294       
+<a name="l00295"></a>00295       free(request);
+<a name="l00296"></a>00296     }
+<a name="l00297"></a>00297   }
+<a name="l00298"></a>00298 
+<a name="l00299"></a>00299   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e" title="Whether paymentinquiry-req was given.">paymentinquiry_req_given</a> )
+<a name="l00300"></a>00300   {
+<a name="l00301"></a>00301     <span class="keywordtype">char</span> tridstr[33];
+<a name="l00302"></a>00302     memset(tridstr,0,33);
+<a name="l00303"></a>00303 
+<a name="l00304"></a>00304     <span class="keywordtype">bool</span> ok = <span class="keyword">true</span>;
+<a name="l00305"></a>00305 
+<a name="l00306"></a>00306     <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc" title="Whether trid was given.">trid_given</a> )
+<a name="l00307"></a>00307     {
+<a name="l00308"></a>00308       cerr &lt;&lt; <span class="stringliteral">"trid "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#88eed5f134272a39745075b5001d76b4" title="Transaction id.">trid_arg</a> &lt;&lt; endl;  
+<a name="l00309"></a>00309       snprintf(tridstr,32,<span class="stringliteral">"%i"</span>,args_info.<a class="code" href="structgengetopt__args__info.html#88eed5f134272a39745075b5001d76b4" title="Transaction id.">trid_arg</a>);
+<a name="l00310"></a>00310     }
+<a name="l00311"></a>00311     <span class="keywordflow">else</span>
+<a name="l00312"></a>00312     {
+<a name="l00313"></a>00313       cerr &lt;&lt; <span class="stringliteral">"ERROR: --trid is required for a payment inquiry request"</span> &lt;&lt; endl;
+<a name="l00314"></a>00314       ok = <span class="keyword">false</span>;
+<a name="l00315"></a>00315     }
+<a name="l00316"></a>00316  
+<a name="l00317"></a>00317     <span class="keywordflow">if</span> ( ok )
+<a name="l00318"></a>00318     {
+<a name="l00319"></a>00319       <span class="keywordtype">char</span>* request = <a class="code" href="inc_2libofx_8h.html#b9b42a433677da688d0f9f37d9da24d1">libofx_request_payment_status</a>( &amp;fi, tridstr );
+<a name="l00320"></a>00320  
+<a name="l00321"></a>00321       filebuf fb;
+<a name="l00322"></a>00322       fb.open (<span class="stringliteral">"query"</span>,ios::out);
+<a name="l00323"></a>00323       ostream os(&amp;fb);
+<a name="l00324"></a>00324       os &lt;&lt; request;
+<a name="l00325"></a>00325       fb.close();
+<a name="l00326"></a>00326       
+<a name="l00327"></a>00327       <span class="keywordflow">if</span> ( url.length() ) 
+<a name="l00328"></a>00328         <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(request,url.c_str(),args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[0]);
+<a name="l00329"></a>00329       <span class="keywordflow">else</span>
+<a name="l00330"></a>00330         cout &lt;&lt; request;
+<a name="l00331"></a>00331     
+<a name="l00332"></a>00332       free(request);
+<a name="l00333"></a>00333     }
+<a name="l00334"></a>00334   }
+<a name="l00335"></a>00335   
+<a name="l00336"></a>00336   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086" title="Whether payment-req was given.">payment_req_given</a> )
+<a name="l00337"></a>00337   {
+<a name="l00338"></a>00338     <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> account;
+<a name="l00339"></a>00339     memset(&amp;account,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a>));
+<a name="l00340"></a>00340     <a class="code" href="structOfxPayee.html">OfxPayee</a> payee;
+<a name="l00341"></a>00341     memset(&amp;payee,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxPayee.html">OfxPayee</a>));
+<a name="l00342"></a>00342     <a class="code" href="structOfxPayment.html">OfxPayment</a> payment;
+<a name="l00343"></a>00343     memset(&amp;payment,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxPayment.html">OfxPayment</a>));
+<a name="l00344"></a>00344 
+<a name="l00345"></a>00345     strcpy(payee.<a class="code" href="structOfxPayee.html#2ad9e35d86d1f7432114048a55bb5a73">name</a>,<span class="stringliteral">"MARTIN PREUSS"</span>);
+<a name="l00346"></a>00346     strcpy(payee.<a class="code" href="structOfxPayee.html#985439daf6ac8a7a34c92e5f9e829901">address1</a>,<span class="stringliteral">"1 LAUREL ST"</span>);
+<a name="l00347"></a>00347     strcpy(payee.<a class="code" href="structOfxPayee.html#03d236ffc1640ecc56640c4e29093215">city</a>,<span class="stringliteral">"SAN CARLOS"</span>);
+<a name="l00348"></a>00348     strcpy(payee.<a class="code" href="structOfxPayee.html#d93547c7b47ed9d2428c0516fec2ed55">state</a>,<span class="stringliteral">"CA"</span>);
+<a name="l00349"></a>00349     strcpy(payee.<a class="code" href="structOfxPayee.html#b23cc650855fe8313f3a984a76b233cb">postalcode</a>,<span class="stringliteral">"94070"</span>);
+<a name="l00350"></a>00350     strcpy(payee.<a class="code" href="structOfxPayee.html#90f01576639fa04ff30a4c8836b6491f">phone</a>,<span class="stringliteral">"866-555-1212"</span>);
+<a name="l00351"></a>00351         
+<a name="l00352"></a>00352     strcpy(payment.<a class="code" href="structOfxPayment.html#ce2679ca7e17d6ba7a79cf03399beb8a">amount</a>,<span class="stringliteral">"200.00"</span>);
+<a name="l00353"></a>00353     strcpy(payment.<a class="code" href="structOfxPayment.html#851acab467352b911fa62781657ce328">account</a>,<span class="stringliteral">"1234"</span>);
+<a name="l00354"></a>00354     strcpy(payment.<a class="code" href="structOfxPayment.html#8c7bf483dba9043d5c49993756681e7b">datedue</a>,<span class="stringliteral">"20060301"</span>);
+<a name="l00355"></a>00355     strcpy(payment.<a class="code" href="structOfxPayment.html#3d6cbc61b6b1561f6a641bedcb5d25f5">memo</a>,<span class="stringliteral">"This is a test"</span>);
+<a name="l00356"></a>00356 
+<a name="l00357"></a>00357     <span class="keywordtype">bool</span> ok = <span class="keyword">true</span>;
+<a name="l00358"></a>00358 
+<a name="l00359"></a>00359     <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad" title="Whether bank was given.">bank_given</a> )
+<a name="l00360"></a>00360     {
+<a name="l00361"></a>00361       cerr &lt;&lt; <span class="stringliteral">"bank "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a> &lt;&lt; endl;  
+<a name="l00362"></a>00362       strncpy(account.<a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a>,args_info.<a class="code" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb" title="IBAN bank identifier.">bank_arg</a>,<a class="code" href="inc_2libofx_8h.html#70f2178af34abf7e98bee521b745f780">OFX_BANKID_LENGTH</a>-1);
+<a name="l00363"></a>00363     }
+<a name="l00364"></a>00364     <span class="keywordflow">else</span>    
+<a name="l00365"></a>00365     {
+<a name="l00366"></a>00366       <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a> &amp;&amp; args_info.<a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e" title="Account Type 1=checking 2=invest 3=ccard.">type_arg</a> == 1 )
+<a name="l00367"></a>00367       {
+<a name="l00368"></a>00368         cerr &lt;&lt; <span class="stringliteral">"ERROR: --bank is required for a bank request"</span> &lt;&lt; endl;
+<a name="l00369"></a>00369         ok = <span class="keyword">false</span>;
+<a name="l00370"></a>00370       }
+<a name="l00371"></a>00371     }
+<a name="l00372"></a>00372     
+<a name="l00373"></a>00373     <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172" title="Whether broker was given.">broker_given</a> )
+<a name="l00374"></a>00374     {
+<a name="l00375"></a>00375       cerr &lt;&lt; <span class="stringliteral">"broker "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a> &lt;&lt; endl;  
+<a name="l00376"></a>00376       strncpy(account.<a class="code" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a>,args_info.<a class="code" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d" title="Broker identifier.">broker_arg</a>,<a class="code" href="inc_2libofx_8h.html#a1256fa7603b452e20a4701e2aae53d5">OFX_BROKERID_LENGTH</a>-1);
+<a name="l00377"></a>00377     }
+<a name="l00378"></a>00378     <span class="keywordflow">else</span>
+<a name="l00379"></a>00379     {
+<a name="l00380"></a>00380       <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a> &amp;&amp; args_info.<a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e" title="Account Type 1=checking 2=invest 3=ccard.">type_arg</a> == 2 )
+<a name="l00381"></a>00381       {
+<a name="l00382"></a>00382         cerr &lt;&lt; <span class="stringliteral">"ERROR: --broker is required for an investment statement request"</span> &lt;&lt; endl;
+<a name="l00383"></a>00383         ok = <span class="keyword">false</span>;
+<a name="l00384"></a>00384       }
+<a name="l00385"></a>00385     }
+<a name="l00386"></a>00386     
+<a name="l00387"></a>00387     <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4" title="Whether acct was given.">acct_given</a> )
+<a name="l00388"></a>00388     {
+<a name="l00389"></a>00389       cerr &lt;&lt; <span class="stringliteral">"acct "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a> &lt;&lt; endl;  
+<a name="l00390"></a>00390       strncpy(account.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a>,args_info.<a class="code" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281" title="Account ID.">acct_arg</a>,<a class="code" href="inc_2libofx_8h.html#68c0d75fde3884b2ace680ef8b5fdd07">OFX_ACCTID_LENGTH</a>-1);
+<a name="l00391"></a>00391     }
+<a name="l00392"></a>00392     <span class="keywordflow">else</span>
+<a name="l00393"></a>00393     {
+<a name="l00394"></a>00394       cerr &lt;&lt; <span class="stringliteral">"ERROR: --acct is required for a statement request"</span> &lt;&lt; endl;
+<a name="l00395"></a>00395       ok = <span class="keyword">false</span>;
+<a name="l00396"></a>00396     }
+<a name="l00397"></a>00397     
+<a name="l00398"></a>00398     <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1" title="Whether type was given.">type_given</a> )
+<a name="l00399"></a>00399     { 
+<a name="l00400"></a>00400       cerr &lt;&lt; <span class="stringliteral">"type "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e" title="Account Type 1=checking 2=invest 3=ccard.">type_arg</a> &lt;&lt; endl;
+<a name="l00401"></a>00401       <span class="keywordflow">switch</span> (args_info.<a class="code" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e" title="Account Type 1=checking 2=invest 3=ccard.">type_arg</a>) {
+<a name="l00402"></a>00402       <span class="keywordflow">case</span> 1: account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>;
+<a name="l00403"></a>00403         <span class="keywordflow">break</span>;
+<a name="l00404"></a>00404       <span class="keywordflow">case</span> 2: account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>;
+<a name="l00405"></a>00405         <span class="keywordflow">break</span>;
+<a name="l00406"></a>00406       <span class="keywordflow">case</span> 3: account.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a> = account.<a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a> ;
+<a name="l00407"></a>00407         <span class="keywordflow">break</span>;
+<a name="l00408"></a>00408       <span class="keywordflow">default</span>:
+<a name="l00409"></a>00409         cerr &lt;&lt; <span class="stringliteral">"ERROR: --type is not valid.  Must be between 1 and 3"</span> &lt;&lt; endl;
+<a name="l00410"></a>00410         ok = <span class="keyword">false</span>;
+<a name="l00411"></a>00411       }
+<a name="l00412"></a>00412     }
+<a name="l00413"></a>00413     <span class="keywordflow">else</span>
+<a name="l00414"></a>00414     {
+<a name="l00415"></a>00415       cerr &lt;&lt; <span class="stringliteral">"ERROR: --type is required for a statement request"</span> &lt;&lt; endl;
+<a name="l00416"></a>00416       ok = <span class="keyword">false</span>;
+<a name="l00417"></a>00417     }
+<a name="l00418"></a>00418     
+<a name="l00419"></a>00419     <span class="keywordflow">if</span> ( ok )
+<a name="l00420"></a>00420     {
+<a name="l00421"></a>00421       <span class="keywordtype">char</span>* request = libofx_request_payment( &amp;fi, &amp;account, &amp;payee, &amp;payment );
+<a name="l00422"></a>00422     
+<a name="l00423"></a>00423       filebuf fb;
+<a name="l00424"></a>00424       fb.open (<span class="stringliteral">"query"</span>,ios::out);
+<a name="l00425"></a>00425       ostream os(&amp;fb);
+<a name="l00426"></a>00426       os &lt;&lt; request;
+<a name="l00427"></a>00427       fb.close();
+<a name="l00428"></a>00428       
+<a name="l00429"></a>00429       <span class="keywordflow">if</span> ( url.length() ) 
+<a name="l00430"></a>00430         <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(request,url.c_str(),args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[0]);
+<a name="l00431"></a>00431       <span class="keywordflow">else</span>
+<a name="l00432"></a>00432         cout &lt;&lt; request;
+<a name="l00433"></a>00433     
+<a name="l00434"></a>00434       free(request);
+<a name="l00435"></a>00435     }
+<a name="l00436"></a>00436         
 <a name="l00437"></a>00437   }
 <a name="l00438"></a>00438   
-<a name="l00439"></a>00439   <span class="keywordflow">if</span> ( args_info.bank_fipid_given )
+<a name="l00439"></a>00439   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956" title="Whether accountinfo-req was given.">accountinfo_req_given</a> )
 <a name="l00440"></a>00440   {
-<a name="l00441"></a>00441     cout &lt;&lt; <a class="code" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">OfxPartner::FipidForBank</a>(args_info.inputs[0]);
-<a name="l00442"></a>00442   }
-<a name="l00443"></a>00443   
-<a name="l00444"></a>00444   <span class="keywordflow">if</span> ( args_info.bank_services_given )
-<a name="l00445"></a>00445   {
-<a name="l00446"></a>00446     <a class="code" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a> svcinfo = <a class="code" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">OfxPartner::ServiceInfo</a>(args_info.inputs[0]);
-<a name="l00447"></a>00447     cout &lt;&lt; <span class="stringliteral">"Account List? "</span> &lt;&lt; (svcinfo.<a class="code" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">accountlist</a>?<span class="stringliteral">"Yes"</span>:<span class="stringliteral">"No"</span>) &lt;&lt; endl;
-<a name="l00448"></a>00448     cout &lt;&lt; <span class="stringliteral">"Statements? "</span> &lt;&lt; (svcinfo.<a class="code" href="structOfxFiServiceInfo.html#c02b7fbdca5599cfa064887cddf94804">statements</a>?<span class="stringliteral">"Yes"</span>:<span class="stringliteral">"No"</span>) &lt;&lt; endl;
-<a name="l00449"></a>00449     cout &lt;&lt; <span class="stringliteral">"Billpay? "</span> &lt;&lt; (svcinfo.<a class="code" href="structOfxFiServiceInfo.html#41f3e3e7d5e090592791c8132fe14030">billpay</a>?<span class="stringliteral">"Yes"</span>:<span class="stringliteral">"No"</span>) &lt;&lt; endl;
-<a name="l00450"></a>00450     cout &lt;&lt; <span class="stringliteral">"Investments? "</span> &lt;&lt; (svcinfo.<a class="code" href="structOfxFiServiceInfo.html#a390b4cdb30ff1c96114b77c0e0737f6">investments</a>?<span class="stringliteral">"Yes"</span>:<span class="stringliteral">"No"</span>) &lt;&lt; endl;
-<a name="l00451"></a>00451   }
-<a name="l00452"></a>00452  
-<a name="l00453"></a>00453   <span class="keywordflow">if</span> ( args_info.allsupport_given )
-<a name="l00454"></a>00454   {
-<a name="l00455"></a>00455     vector&lt;string&gt; banks = <a class="code" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">OfxPartner::BankNames</a>();
-<a name="l00456"></a>00456     vector&lt;string&gt;::const_iterator it_bank = banks.begin();
-<a name="l00457"></a>00457     <span class="keywordflow">while</span> ( it_bank != banks.end() )
-<a name="l00458"></a>00458     {
-<a name="l00459"></a>00459       vector&lt;string&gt; fipids = <a class="code" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">OfxPartner::FipidForBank</a>(*it_bank);
-<a name="l00460"></a>00460       vector&lt;string&gt;::const_iterator it_fipid = fipids.begin();
-<a name="l00461"></a>00461       <span class="keywordflow">while</span> ( it_fipid != fipids.end() )
-<a name="l00462"></a>00462       {
-<a name="l00463"></a>00463         <span class="keywordflow">if</span> ( <a class="code" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">OfxPartner::ServiceInfo</a>(*it_fipid).<a class="code" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">accountlist</a> )
-<a name="l00464"></a>00464           cout &lt;&lt; *it_bank &lt;&lt; endl;
-<a name="l00465"></a>00465         ++it_fipid;
-<a name="l00466"></a>00466       }
-<a name="l00467"></a>00467       ++it_bank;
-<a name="l00468"></a>00468     }
-<a name="l00469"></a>00469   }
-<a name="l00470"></a>00470   
-<a name="l00471"></a>00471   <span class="keywordflow">return</span> 0;
-<a name="l00472"></a>00472 }
-<a name="l00473"></a>00473 
-<a name="l00474"></a>00474 
-<a name="l00475"></a>00475 <span class="comment">// vim:cin:si:ai:et:ts=2:sw=2:</span>
-<a name="l00476"></a>00476 
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<a name="l00441"></a>00441     <span class="keywordflow">if</span> ( ok )
+<a name="l00442"></a>00442     {
+<a name="l00443"></a>00443       <span class="keywordtype">char</span>* request = <a class="code" href="inc_2libofx_8h.html#24821dd5f7269d3b58e6bbaeb0bf0449" title="Creates an OFX account info (list) request in string form.">libofx_request_accountinfo</a>( &amp;fi );
+<a name="l00444"></a>00444     
+<a name="l00445"></a>00445       <span class="keywordflow">if</span> ( url.length() ) 
+<a name="l00446"></a>00446         <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(request,url.c_str(),args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[0]);
+<a name="l00447"></a>00447       <span class="keywordflow">else</span>
+<a name="l00448"></a>00448         cout &lt;&lt; request;
+<a name="l00449"></a>00449     
+<a name="l00450"></a>00450       free(request);
+<a name="l00451"></a>00451     }
+<a name="l00452"></a>00452   }
+<a name="l00453"></a>00453         
+<a name="l00454"></a>00454   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce" title="Whether bank-list was given.">bank_list_given</a> )
+<a name="l00455"></a>00455   {
+<a name="l00456"></a>00456     cout &lt;&lt; <a class="code" href="namespaceOfxPartner.html#849cbb4d1d013b56c3ba28ef1e574fba">OfxPartner::BankNames</a>();
+<a name="l00457"></a>00457   }
+<a name="l00458"></a>00458   
+<a name="l00459"></a>00459   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c" title="Whether bank-fipid was given.">bank_fipid_given</a> )
+<a name="l00460"></a>00460   {
+<a name="l00461"></a>00461     cout &lt;&lt; <a class="code" href="namespaceOfxPartner.html#cfd9337cce7e4f82bd69b5d78362f7bb">OfxPartner::FipidForBank</a>(args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[0]);
+<a name="l00462"></a>00462   }
+<a name="l00463"></a>00463   
+<a name="l00464"></a>00464   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5" title="Whether bank-services was given.">bank_services_given</a> )
+<a name="l00465"></a>00465   {
+<a name="l00466"></a>00466     <a class="code" href="structOfxFiServiceInfo.html" title="Information returned by the OFX Partner Server about a financial institution.">OfxFiServiceInfo</a> svcinfo = <a class="code" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">OfxPartner::ServiceInfo</a>(args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[0]);
+<a name="l00467"></a>00467     cout &lt;&lt; <span class="stringliteral">"Account List? "</span> &lt;&lt; (svcinfo.<a class="code" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">accountlist</a>?<span class="stringliteral">"Yes"</span>:<span class="stringliteral">"No"</span>) &lt;&lt; endl;
+<a name="l00468"></a>00468     cout &lt;&lt; <span class="stringliteral">"Statements? "</span> &lt;&lt; (svcinfo.<a class="code" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">statements</a>?<span class="stringliteral">"Yes"</span>:<span class="stringliteral">"No"</span>) &lt;&lt; endl;
+<a name="l00469"></a>00469     cout &lt;&lt; <span class="stringliteral">"Billpay? "</span> &lt;&lt; (svcinfo.<a class="code" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">billpay</a>?<span class="stringliteral">"Yes"</span>:<span class="stringliteral">"No"</span>) &lt;&lt; endl;
+<a name="l00470"></a>00470     cout &lt;&lt; <span class="stringliteral">"Investments? "</span> &lt;&lt; (svcinfo.<a class="code" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">investments</a>?<span class="stringliteral">"Yes"</span>:<span class="stringliteral">"No"</span>) &lt;&lt; endl;
+<a name="l00471"></a>00471   }
+<a name="l00472"></a>00472  
+<a name="l00473"></a>00473   <span class="keywordflow">if</span> ( args_info.<a class="code" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19" title="Whether allsupport was given.">allsupport_given</a> )
+<a name="l00474"></a>00474   {
+<a name="l00475"></a>00475     vector&lt;string&gt; banks = <a class="code" href="namespaceOfxPartner.html#849cbb4d1d013b56c3ba28ef1e574fba">OfxPartner::BankNames</a>();
+<a name="l00476"></a>00476     vector&lt;string&gt;::const_iterator it_bank = banks.begin();
+<a name="l00477"></a>00477     <span class="keywordflow">while</span> ( it_bank != banks.end() )
+<a name="l00478"></a>00478     {
+<a name="l00479"></a>00479       vector&lt;string&gt; fipids = <a class="code" href="namespaceOfxPartner.html#cfd9337cce7e4f82bd69b5d78362f7bb">OfxPartner::FipidForBank</a>(*it_bank);
+<a name="l00480"></a>00480       vector&lt;string&gt;::const_iterator it_fipid = fipids.begin();
+<a name="l00481"></a>00481       <span class="keywordflow">while</span> ( it_fipid != fipids.end() )
+<a name="l00482"></a>00482       {
+<a name="l00483"></a>00483         <span class="keywordflow">if</span> ( <a class="code" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">OfxPartner::ServiceInfo</a>(*it_fipid).<a class="code" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">accountlist</a> )
+<a name="l00484"></a>00484           cout &lt;&lt; *it_bank &lt;&lt; endl;
+<a name="l00485"></a>00485         ++it_fipid;
+<a name="l00486"></a>00486       }
+<a name="l00487"></a>00487       ++it_bank;
+<a name="l00488"></a>00488     }
+<a name="l00489"></a>00489   }
+<a name="l00490"></a>00490   
+<a name="l00491"></a>00491   <span class="keywordflow">return</span> 0;
+<a name="l00492"></a>00492 }
+<a name="l00493"></a>00493 
+<a name="l00494"></a>00494 
+<a name="l00495"></a>00495 <span class="comment">// vim:cin:si:ai:et:ts=2:sw=2:</span>
+<a name="l00496"></a>00496 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofxconnect_8cpp.html'
--- doc/html/ofxconnect_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofxconnect_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofxconnect.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofxconnect.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Code for ofxconnect utility. C++ example code. 
 <p>
@@ -24,16 +20,16 @@
 ofxconnect prints to stdout the created OFX file based on the options you pass it<p>
 currently it will only create the statement request file. you can POST this to an OFX server to request a statement from that financial institution for that account.<p>
 In the hopefully-not-to-distant future, ofxconnect will also make the connection to the OFX server, post the data, and call ofxdump itself. 
-<p>
-Definition in file <a class="el" href="ofxconnect_8cpp-source.html">ofxconnect.cpp</a>.
+<p>Definition in file <a class="el" href="ofxconnect_8cpp-source.html">ofxconnect.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofxconnect_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== added file 'doc/html/ofxdump_2cmdline_8c-source.html'
--- doc/html/ofxdump_2cmdline_8c-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/ofxdump_2cmdline_8c-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,560 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: cmdline.c Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>cmdline.c</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
+<a name="l00002"></a>00002 <span class="comment">  File autogenerated by gengetopt version 2.21</span>
+<a name="l00003"></a>00003 <span class="comment">  generated with the following command:</span>
+<a name="l00004"></a>00004 <span class="comment">  gengetopt --unamed-opts </span>
+<a name="l00005"></a>00005 <span class="comment"></span>
+<a name="l00006"></a>00006 <span class="comment">  The developers of gengetopt consider the fixed text that goes in all</span>
+<a name="l00007"></a>00007 <span class="comment">  gengetopt output files to be in the public domain:</span>
+<a name="l00008"></a>00008 <span class="comment">  we make no copyright claims on it.</span>
+<a name="l00009"></a>00009 <span class="comment">*/</span>
+<a name="l00010"></a>00010 
+<a name="l00011"></a>00011 <span class="comment">/* If we use autoconf.  */</span>
+<a name="l00012"></a>00012 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00013"></a>00013 <span class="preprocessor"></span><span class="preprocessor">#include "config.h"</span>
+<a name="l00014"></a>00014 <span class="preprocessor">#endif</span>
+<a name="l00015"></a>00015 <span class="preprocessor"></span>
+<a name="l00016"></a>00016 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00017"></a>00017 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#include &lt;string.h&gt;</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#include "getopt.h"</span>
+<a name="l00021"></a>00021 
+<a name="l00022"></a>00022 <span class="preprocessor">#include "cmdline.h"</span>
+<a name="l00023"></a>00023 
+<a name="l00024"></a>00024 <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_purpose = <span class="stringliteral">"ofxdump prints to stdout, in human readable form, everything the library \n understands about a particular file or response, and sends errors to \n stderr.  To know exactly what the library understands about of a particular\n ofx response file, just call ofxdump on that file."</span>;
+<a name="l00025"></a>00025 
+<a name="l00026"></a>00026 <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_usage = <span class="stringliteral">"Usage: "</span> CMDLINE_PARSER_PACKAGE <span class="stringliteral">" [OPTIONS]... [FILES]..."</span>;
+<a name="l00027"></a>00027 
+<a name="l00028"></a>00028 <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_description = <span class="stringliteral">""</span>;
+<a name="l00029"></a>00029 
+<a name="l00030"></a>00030 <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_help[] = {
+<a name="l00031"></a>00031   <span class="stringliteral">"  -h, --help                  Print help and exit"</span>,
+<a name="l00032"></a>00032   <span class="stringliteral">"  -V, --version               Print version and exit"</span>,
+<a name="l00033"></a>00033   <span class="stringliteral">"  -f, --import-format=STRING  Force the file format of the file(s) specified  \n                                (default=`AUTODETECT')"</span>,
+<a name="l00034"></a>00034   <span class="stringliteral">"      --list-import-formats   List available import file formats \n                                'import-format' command"</span>,
+<a name="l00035"></a>00035   <span class="stringliteral">"      --msg_parser            Output file parsing messages  (default=off)"</span>,
+<a name="l00036"></a>00036   <span class="stringliteral">"      --msg_debug             Output messages meant for debuging  (default=off)"</span>,
+<a name="l00037"></a>00037   <span class="stringliteral">"      --msg_warning           Output warning messages about abnormal conditions \n                                and unknown constructs  (default=on)"</span>,
+<a name="l00038"></a>00038   <span class="stringliteral">"      --msg_error             Output error messages  (default=on)"</span>,
+<a name="l00039"></a>00039   <span class="stringliteral">"      --msg_info              Output informational messages about the progress \n                                of the library  (default=on)"</span>,
+<a name="l00040"></a>00040   <span class="stringliteral">"      --msg_status            Output status messages  (default=on)"</span>,
+<a name="l00041"></a>00041     0
+<a name="l00042"></a>00042 };
+<a name="l00043"></a>00043 
+<a name="l00044"></a>00044 <span class="keyword">static</span>
+<a name="l00045"></a>00045 <span class="keywordtype">void</span> clear_given (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00046"></a>00046 <span class="keyword">static</span>
+<a name="l00047"></a>00047 <span class="keywordtype">void</span> clear_args (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00048"></a>00048 
+<a name="l00049"></a>00049 <span class="keyword">static</span> <span class="keywordtype">int</span>
+<a name="l00050"></a>00050 cmdline_parser_internal (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00051"></a>00051                         <span class="keyword">struct</span> <a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *params, <span class="keyword">const</span> <span class="keywordtype">char</span> *additional_error);
+<a name="l00052"></a>00052 
+<a name="l00053"></a>00053 
+<a name="l00054"></a>00054 <span class="keyword">static</span> <span class="keywordtype">char</span> *
+<a name="l00055"></a>00055 gengetopt_strdup (<span class="keyword">const</span> <span class="keywordtype">char</span> *s);
+<a name="l00056"></a>00056 
+<a name="l00057"></a>00057 <span class="keyword">static</span>
+<a name="l00058"></a>00058 <span class="keywordtype">void</span> clear_given (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00059"></a>00059 {
+<a name="l00060"></a>00060   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fcc22c3f15bfc05d4d36824cbb2b661c" title="Whether help was given.">help_given</a> = 0 ;
+<a name="l00061"></a>00061   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#18b7279f3b637b9e9192a88fc26973ae" title="Whether version was given.">version_given</a> = 0 ;
+<a name="l00062"></a>00062   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#74de3df4be73e27a34c25f3c9caa8842" title="Whether import-format was given.">import_format_given</a> = 0 ;
+<a name="l00063"></a>00063   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068" title="Whether list-import-formats was given.">list_import_formats_given</a> = 0 ;
+<a name="l00064"></a>00064   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b3f6a3ef39527fbcedd989afe6a36dd0" title="Whether msg_parser was given.">msg_parser_given</a> = 0 ;
+<a name="l00065"></a>00065   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#85d6ce6864169669a8234b1d27f0978f" title="Whether msg_debug was given.">msg_debug_given</a> = 0 ;
+<a name="l00066"></a>00066   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b6b10f2a7687e6a512cf3bbcc7ddda61" title="Whether msg_warning was given.">msg_warning_given</a> = 0 ;
+<a name="l00067"></a>00067   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f797b906ea2db4dc0c302e589f130dc5" title="Whether msg_error was given.">msg_error_given</a> = 0 ;
+<a name="l00068"></a>00068   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2aa86a497519afc4db0a525f3854470c" title="Whether msg_info was given.">msg_info_given</a> = 0 ;
+<a name="l00069"></a>00069   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#d205671e6055ea4e51a6af081fe317fd" title="Whether msg_status was given.">msg_status_given</a> = 0 ;
+<a name="l00070"></a>00070 }
+<a name="l00071"></a>00071 
+<a name="l00072"></a>00072 <span class="keyword">static</span>
+<a name="l00073"></a>00073 <span class="keywordtype">void</span> clear_args (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00074"></a>00074 {
+<a name="l00075"></a>00075   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd" title="Force the file format of the file(s) specified (default=&amp;#39;AUTODETECT&amp;#39;).">import_format_arg</a> = gengetopt_strdup (<span class="stringliteral">"AUTODETECT"</span>);
+<a name="l00076"></a>00076   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06" title="Force the file format of the file(s) specified original value given at command line...">import_format_orig</a> = NULL;
+<a name="l00077"></a>00077   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#59f4d83dff3e538372141bbfe3576762" title="Output file parsing messages (default=off).">msg_parser_flag</a> = 0;
+<a name="l00078"></a>00078   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#6816290fe582d0705947859d0c7934c5" title="Output messages meant for debuging (default=off).">msg_debug_flag</a> = 0;
+<a name="l00079"></a>00079   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7dc02d27a0e51eb388b2bd48f834658c" title="Output warning messages about abnormal conditions and unknown constructs (default=on)...">msg_warning_flag</a> = 1;
+<a name="l00080"></a>00080   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b1b6520555a34ca4a39feaed3365af6d" title="Output error messages (default=on).">msg_error_flag</a> = 1;
+<a name="l00081"></a>00081   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#74ac0d99a57abc9a1088d356f87e7197" title="Output informational messages about the progress of the library (default=on).">msg_info_flag</a> = 1;
+<a name="l00082"></a>00082   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1301d1fa05fef326526db58a63cfc6fd" title="Output status messages (default=on).">msg_status_flag</a> = 1;
+<a name="l00083"></a>00083   
+<a name="l00084"></a>00084 }
+<a name="l00085"></a>00085 
+<a name="l00086"></a>00086 <span class="keyword">static</span>
+<a name="l00087"></a>00087 <span class="keywordtype">void</span> init_args_info(<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00088"></a>00088 {
+<a name="l00089"></a>00089   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fb4efa68a6f43a4d112e9b96ffe89101" title="Print help and exit help description.">help_help</a> = gengetopt_args_info_help[0] ;
+<a name="l00090"></a>00090   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#def454ea6f3ff4114ae5009e58360cfc" title="Print version and exit help description.">version_help</a> = gengetopt_args_info_help[1] ;
+<a name="l00091"></a>00091   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#67f0c3406ca68e20cdadaf5e281625a2" title="Force the file format of the file(s) specified help description.">import_format_help</a> = gengetopt_args_info_help[2] ;
+<a name="l00092"></a>00092   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#c4b7c58b32c755377a6c7fcafbfa3d3f" title="List available import file formats &amp;#39;import-format&amp;#39; command help description...">list_import_formats_help</a> = gengetopt_args_info_help[3] ;
+<a name="l00093"></a>00093   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#44d331d24edd73a287609be9ad293753" title="Output file parsing messages help description.">msg_parser_help</a> = gengetopt_args_info_help[4] ;
+<a name="l00094"></a>00094   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#709980d4e8c7d3c8ab01d1dfee7589c1" title="Output messages meant for debuging help description.">msg_debug_help</a> = gengetopt_args_info_help[5] ;
+<a name="l00095"></a>00095   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b37e89030d7bc1b94cd44a6b6cc4c042" title="Output warning messages about abnormal conditions and unknown constructs help description...">msg_warning_help</a> = gengetopt_args_info_help[6] ;
+<a name="l00096"></a>00096   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#0b4c076b2876844650aa2aec275f5684" title="Output error messages help description.">msg_error_help</a> = gengetopt_args_info_help[7] ;
+<a name="l00097"></a>00097   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2491c609276fe4795f7caeb0d9baec1b" title="Output informational messages about the progress of the library help description...">msg_info_help</a> = gengetopt_args_info_help[8] ;
+<a name="l00098"></a>00098   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#552341af51d5f58f88ceb5fc229e998d" title="Output status messages help description.">msg_status_help</a> = gengetopt_args_info_help[9] ;
+<a name="l00099"></a>00099   
+<a name="l00100"></a>00100 }
+<a name="l00101"></a>00101 
+<a name="l00102"></a>00102 <span class="keywordtype">void</span>
+<a name="l00103"></a>00103 cmdline_parser_print_version (<span class="keywordtype">void</span>)
+<a name="l00104"></a>00104 {
+<a name="l00105"></a>00105   printf (<span class="stringliteral">"%s %s\n"</span>, CMDLINE_PARSER_PACKAGE, CMDLINE_PARSER_VERSION);
+<a name="l00106"></a>00106 }
+<a name="l00107"></a>00107 
+<a name="l00108"></a>00108 <span class="keywordtype">void</span>
+<a name="l00109"></a>00109 cmdline_parser_print_help (<span class="keywordtype">void</span>)
+<a name="l00110"></a>00110 {
+<a name="l00111"></a>00111   <span class="keywordtype">int</span> i = 0;
+<a name="l00112"></a>00112   cmdline_parser_print_version ();
+<a name="l00113"></a>00113 
+<a name="l00114"></a>00114   <span class="keywordflow">if</span> (strlen(gengetopt_args_info_purpose) &gt; 0)
+<a name="l00115"></a>00115     printf(<span class="stringliteral">"\n%s\n"</span>, gengetopt_args_info_purpose);
+<a name="l00116"></a>00116 
+<a name="l00117"></a>00117   printf(<span class="stringliteral">"\n%s\n\n"</span>, gengetopt_args_info_usage);
+<a name="l00118"></a>00118 
+<a name="l00119"></a>00119   <span class="keywordflow">if</span> (strlen(gengetopt_args_info_description) &gt; 0)
+<a name="l00120"></a>00120     printf(<span class="stringliteral">"%s\n"</span>, gengetopt_args_info_description);
+<a name="l00121"></a>00121 
+<a name="l00122"></a>00122   <span class="keywordflow">while</span> (gengetopt_args_info_help[i])
+<a name="l00123"></a>00123     printf(<span class="stringliteral">"%s\n"</span>, gengetopt_args_info_help[i++]);
+<a name="l00124"></a>00124 }
+<a name="l00125"></a>00125 
+<a name="l00126"></a>00126 <span class="keywordtype">void</span>
+<a name="l00127"></a>00127 cmdline_parser_init (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00128"></a>00128 {
+<a name="l00129"></a>00129   clear_given (args_info);
+<a name="l00130"></a>00130   clear_args (args_info);
+<a name="l00131"></a>00131   init_args_info (args_info);
+<a name="l00132"></a>00132 
+<a name="l00133"></a>00133   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a> = NULL;
+<a name="l00134"></a>00134   args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a> = 0;
+<a name="l00135"></a>00135 }
+<a name="l00136"></a>00136 
+<a name="l00137"></a>00137 <span class="keyword">struct </span><a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *
+<a name="l00138"></a>00138 cmdline_parser_params_init()
+<a name="l00139"></a>00139 {
+<a name="l00140"></a>00140   <span class="keyword">struct </span><a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *params = 
+<a name="l00141"></a>00141     (<span class="keyword">struct </span><a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *)malloc(<span class="keyword">sizeof</span>(<span class="keyword">struct</span> <a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a>));
+<a name="l00142"></a>00142 
+<a name="l00143"></a>00143   <span class="keywordflow">if</span> (params)
+<a name="l00144"></a>00144     { 
+<a name="l00145"></a>00145       params-&gt;<a class="code" href="structcmdline__parser__params.html#d3ff9d69146e69a47506782197b5675c" title="whether to override possibly already present options (default 0)">override</a> = 0;
+<a name="l00146"></a>00146       params-&gt;<a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11" title="whether to initialize the option structure gengetopt_args_info (default 0)">initialize</a> = 0;
+<a name="l00147"></a>00147       params-&gt;<a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6" title="whether to check that all required options were provided (default 0)">check_required</a> = 0;
+<a name="l00148"></a>00148       params-&gt;<a class="code" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4" title="whether to check for options already specified in the option structure gengetopt_args_info...">check_ambiguity</a> = 0;
+<a name="l00149"></a>00149     }
+<a name="l00150"></a>00150     
+<a name="l00151"></a>00151   <span class="keywordflow">return</span> params;
+<a name="l00152"></a>00152 }
+<a name="l00153"></a>00153 
+<a name="l00154"></a>00154 <span class="keyword">static</span> <span class="keywordtype">void</span>
+<a name="l00155"></a>00155 cmdline_parser_release (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00156"></a>00156 {
+<a name="l00157"></a>00157   
+<a name="l00158"></a>00158   <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> i;
+<a name="l00159"></a>00159   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd" title="Force the file format of the file(s) specified (default=&amp;#39;AUTODETECT&amp;#39;).">import_format_arg</a>)
+<a name="l00160"></a>00160     {
+<a name="l00161"></a>00161       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd" title="Force the file format of the file(s) specified (default=&amp;#39;AUTODETECT&amp;#39;).">import_format_arg</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00162"></a>00162       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd" title="Force the file format of the file(s) specified (default=&amp;#39;AUTODETECT&amp;#39;).">import_format_arg</a> = 0;
+<a name="l00163"></a>00163     }
+<a name="l00164"></a>00164   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06" title="Force the file format of the file(s) specified original value given at command line...">import_format_orig</a>)
+<a name="l00165"></a>00165     {
+<a name="l00166"></a>00166       free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06" title="Force the file format of the file(s) specified original value given at command line...">import_format_orig</a>); <span class="comment">/* free previous argument */</span>
+<a name="l00167"></a>00167       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06" title="Force the file format of the file(s) specified original value given at command line...">import_format_orig</a> = 0;
+<a name="l00168"></a>00168     }
+<a name="l00169"></a>00169   
+<a name="l00170"></a>00170   <span class="keywordflow">for</span> (i = 0; i &lt; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a>; ++i)
+<a name="l00171"></a>00171     free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a> [i]);
+<a name="l00172"></a>00172   
+<a name="l00173"></a>00173   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a>)
+<a name="l00174"></a>00174     free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>);
+<a name="l00175"></a>00175   
+<a name="l00176"></a>00176   clear_given (args_info);
+<a name="l00177"></a>00177 }
+<a name="l00178"></a>00178 
+<a name="l00179"></a>00179 <span class="keywordtype">int</span>
+<a name="l00180"></a>00180 cmdline_parser_file_save(<span class="keyword">const</span> <span class="keywordtype">char</span> *filename, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00181"></a>00181 {
+<a name="l00182"></a>00182   FILE *outfile;
+<a name="l00183"></a>00183   <span class="keywordtype">int</span> i = 0;
+<a name="l00184"></a>00184 
+<a name="l00185"></a>00185   outfile = fopen(filename, <span class="stringliteral">"w"</span>);
+<a name="l00186"></a>00186 
+<a name="l00187"></a>00187   <span class="keywordflow">if</span> (!outfile)
+<a name="l00188"></a>00188     {
+<a name="l00189"></a>00189       fprintf (stderr, <span class="stringliteral">"%s: cannot open file for writing: %s\n"</span>, CMDLINE_PARSER_PACKAGE, filename);
+<a name="l00190"></a>00190       <span class="keywordflow">return</span> EXIT_FAILURE;
+<a name="l00191"></a>00191     }
+<a name="l00192"></a>00192 
+<a name="l00193"></a>00193   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fcc22c3f15bfc05d4d36824cbb2b661c" title="Whether help was given.">help_given</a>) {
+<a name="l00194"></a>00194     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"help"</span>);
+<a name="l00195"></a>00195   }
+<a name="l00196"></a>00196   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#18b7279f3b637b9e9192a88fc26973ae" title="Whether version was given.">version_given</a>) {
+<a name="l00197"></a>00197     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"version"</span>);
+<a name="l00198"></a>00198   }
+<a name="l00199"></a>00199   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#74de3df4be73e27a34c25f3c9caa8842" title="Whether import-format was given.">import_format_given</a>) {
+<a name="l00200"></a>00200     <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06" title="Force the file format of the file(s) specified original value given at command line...">import_format_orig</a>) {
+<a name="l00201"></a>00201       fprintf(outfile, <span class="stringliteral">"%s=\"%s\"\n"</span>, <span class="stringliteral">"import-format"</span>, args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06" title="Force the file format of the file(s) specified original value given at command line...">import_format_orig</a>);
+<a name="l00202"></a>00202     } <span class="keywordflow">else</span> {
+<a name="l00203"></a>00203       fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"import-format"</span>);
+<a name="l00204"></a>00204     }
+<a name="l00205"></a>00205   }
+<a name="l00206"></a>00206   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068" title="Whether list-import-formats was given.">list_import_formats_given</a>) {
+<a name="l00207"></a>00207     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"list-import-formats"</span>);
+<a name="l00208"></a>00208   }
+<a name="l00209"></a>00209   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b3f6a3ef39527fbcedd989afe6a36dd0" title="Whether msg_parser was given.">msg_parser_given</a>) {
+<a name="l00210"></a>00210     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"msg_parser"</span>);
+<a name="l00211"></a>00211   }
+<a name="l00212"></a>00212   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#85d6ce6864169669a8234b1d27f0978f" title="Whether msg_debug was given.">msg_debug_given</a>) {
+<a name="l00213"></a>00213     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"msg_debug"</span>);
+<a name="l00214"></a>00214   }
+<a name="l00215"></a>00215   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b6b10f2a7687e6a512cf3bbcc7ddda61" title="Whether msg_warning was given.">msg_warning_given</a>) {
+<a name="l00216"></a>00216     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"msg_warning"</span>);
+<a name="l00217"></a>00217   }
+<a name="l00218"></a>00218   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f797b906ea2db4dc0c302e589f130dc5" title="Whether msg_error was given.">msg_error_given</a>) {
+<a name="l00219"></a>00219     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"msg_error"</span>);
+<a name="l00220"></a>00220   }
+<a name="l00221"></a>00221   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2aa86a497519afc4db0a525f3854470c" title="Whether msg_info was given.">msg_info_given</a>) {
+<a name="l00222"></a>00222     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"msg_info"</span>);
+<a name="l00223"></a>00223   }
+<a name="l00224"></a>00224   <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#d205671e6055ea4e51a6af081fe317fd" title="Whether msg_status was given.">msg_status_given</a>) {
+<a name="l00225"></a>00225     fprintf(outfile, <span class="stringliteral">"%s\n"</span>, <span class="stringliteral">"msg_status"</span>);
+<a name="l00226"></a>00226   }
+<a name="l00227"></a>00227   
+<a name="l00228"></a>00228   fclose (outfile);
+<a name="l00229"></a>00229 
+<a name="l00230"></a>00230   i = EXIT_SUCCESS;
+<a name="l00231"></a>00231   <span class="keywordflow">return</span> i;
+<a name="l00232"></a>00232 }
+<a name="l00233"></a>00233 
+<a name="l00234"></a>00234 <span class="keywordtype">void</span>
+<a name="l00235"></a>00235 cmdline_parser_free (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00236"></a>00236 {
+<a name="l00237"></a>00237   cmdline_parser_release (args_info);
+<a name="l00238"></a>00238 }
+<a name="l00239"></a>00239 
+<a name="l00240"></a>00240 
+<a name="l00241"></a>00241 <span class="comment">/* gengetopt_strdup() */</span>
+<a name="l00242"></a>00242 <span class="comment">/* strdup.c replacement of strdup, which is not standard */</span>
+<a name="l00243"></a>00243 <span class="keywordtype">char</span> *
+<a name="l00244"></a>00244 gengetopt_strdup (<span class="keyword">const</span> <span class="keywordtype">char</span> *s)
+<a name="l00245"></a>00245 {
+<a name="l00246"></a>00246   <span class="keywordtype">char</span> *result = NULL;
+<a name="l00247"></a>00247   <span class="keywordflow">if</span> (!s)
+<a name="l00248"></a>00248     <span class="keywordflow">return</span> result;
+<a name="l00249"></a>00249 
+<a name="l00250"></a>00250   result = (<span class="keywordtype">char</span>*)malloc(strlen(s) + 1);
+<a name="l00251"></a>00251   <span class="keywordflow">if</span> (result == (<span class="keywordtype">char</span>*)0)
+<a name="l00252"></a>00252     <span class="keywordflow">return</span> (<span class="keywordtype">char</span>*)0;
+<a name="l00253"></a>00253   strcpy(result, s);
+<a name="l00254"></a>00254   <span class="keywordflow">return</span> result;
+<a name="l00255"></a>00255 }
+<a name="l00256"></a>00256 
+<a name="l00257"></a>00257 <span class="keywordtype">int</span>
+<a name="l00258"></a>00258 cmdline_parser (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info)
+<a name="l00259"></a>00259 {
+<a name="l00260"></a>00260   <span class="keywordflow">return</span> cmdline_parser2 (argc, argv, args_info, 0, 1, 1);
+<a name="l00261"></a>00261 }
+<a name="l00262"></a>00262 
+<a name="l00263"></a>00263 <span class="keywordtype">int</span>
+<a name="l00264"></a>00264 cmdline_parser_ext (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00265"></a>00265                    <span class="keyword">struct</span> cmdline_parser_params *params)
+<a name="l00266"></a>00266 {
+<a name="l00267"></a>00267   <span class="keywordtype">int</span> result;
+<a name="l00268"></a>00268   result = cmdline_parser_internal (argc, argv, args_info, params, NULL);
+<a name="l00269"></a>00269 
+<a name="l00270"></a>00270   <span class="keywordflow">if</span> (result == EXIT_FAILURE)
+<a name="l00271"></a>00271     {
+<a name="l00272"></a>00272       cmdline_parser_free (args_info);
+<a name="l00273"></a>00273       exit (EXIT_FAILURE);
+<a name="l00274"></a>00274     }
+<a name="l00275"></a>00275   
+<a name="l00276"></a>00276   <span class="keywordflow">return</span> result;
+<a name="l00277"></a>00277 }
+<a name="l00278"></a>00278 
+<a name="l00279"></a>00279 <span class="keywordtype">int</span>
+<a name="l00280"></a>00280 cmdline_parser2 (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info, <span class="keywordtype">int</span> <span class="keyword">override</span>, <span class="keywordtype">int</span> <a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11" title="whether to initialize the option structure gengetopt_args_info (default 0)">initialize</a>, <span class="keywordtype">int</span> <a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6" title="whether to check that all required options were provided (default 0)">check_required</a>)
+<a name="l00281"></a>00281 {
+<a name="l00282"></a>00282   <span class="keywordtype">int</span> result;
+<a name="l00283"></a>00283   <span class="keyword">struct </span>cmdline_parser_params params;
+<a name="l00284"></a>00284   
+<a name="l00285"></a>00285   params.<a class="code" href="structcmdline__parser__params.html#d3ff9d69146e69a47506782197b5675c" title="whether to override possibly already present options (default 0)">override</a> = <span class="keyword">override</span>;
+<a name="l00286"></a>00286   params.<a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11" title="whether to initialize the option structure gengetopt_args_info (default 0)">initialize</a> = initialize;
+<a name="l00287"></a>00287   params.<a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6" title="whether to check that all required options were provided (default 0)">check_required</a> = check_required;
+<a name="l00288"></a>00288   params.<a class="code" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4" title="whether to check for options already specified in the option structure gengetopt_args_info...">check_ambiguity</a> = 0;
+<a name="l00289"></a>00289 
+<a name="l00290"></a>00290   result = cmdline_parser_internal (argc, argv, args_info, &amp;params, NULL);
+<a name="l00291"></a>00291 
+<a name="l00292"></a>00292   <span class="keywordflow">if</span> (result == EXIT_FAILURE)
+<a name="l00293"></a>00293     {
+<a name="l00294"></a>00294       cmdline_parser_free (args_info);
+<a name="l00295"></a>00295       exit (EXIT_FAILURE);
+<a name="l00296"></a>00296     }
+<a name="l00297"></a>00297   
+<a name="l00298"></a>00298   <span class="keywordflow">return</span> result;
+<a name="l00299"></a>00299 }
+<a name="l00300"></a>00300 
+<a name="l00301"></a>00301 <span class="keywordtype">int</span>
+<a name="l00302"></a>00302 cmdline_parser_required (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info, <span class="keyword">const</span> <span class="keywordtype">char</span> *prog_name)
+<a name="l00303"></a>00303 {
+<a name="l00304"></a>00304   <span class="keywordflow">return</span> EXIT_SUCCESS;
+<a name="l00305"></a>00305 }
+<a name="l00306"></a>00306 
+<a name="l00307"></a>00307 <span class="keywordtype">int</span>
+<a name="l00308"></a>00308 cmdline_parser_internal (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv, <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00309"></a>00309                         <span class="keyword">struct</span> cmdline_parser_params *params, <span class="keyword">const</span> <span class="keywordtype">char</span> *additional_error)
+<a name="l00310"></a>00310 {
+<a name="l00311"></a>00311   <span class="keywordtype">int</span> c;        <span class="comment">/* Character of the parsed option.  */</span>
+<a name="l00312"></a>00312 
+<a name="l00313"></a>00313   <span class="keywordtype">int</span> error = 0;
+<a name="l00314"></a>00314   <span class="keyword">struct </span><a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> local_args_info;
+<a name="l00315"></a>00315   
+<a name="l00316"></a>00316   <span class="keywordtype">int</span> <span class="keyword">override</span>;
+<a name="l00317"></a>00317   <span class="keywordtype">int</span> initialize;
+<a name="l00318"></a>00318   <span class="keywordtype">int</span> check_required;
+<a name="l00319"></a>00319   <span class="keywordtype">int</span> check_ambiguity;
+<a name="l00320"></a>00320   
+<a name="l00321"></a>00321   <span class="keyword">override</span> = params-&gt;<a class="code" href="structcmdline__parser__params.html#d3ff9d69146e69a47506782197b5675c" title="whether to override possibly already present options (default 0)">override</a>;
+<a name="l00322"></a>00322   initialize = params-&gt;<a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11" title="whether to initialize the option structure gengetopt_args_info (default 0)">initialize</a>;
+<a name="l00323"></a>00323   check_required = params-&gt;<a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6" title="whether to check that all required options were provided (default 0)">check_required</a>;
+<a name="l00324"></a>00324   check_ambiguity = params-&gt;<a class="code" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4" title="whether to check for options already specified in the option structure gengetopt_args_info...">check_ambiguity</a>;
+<a name="l00325"></a>00325 
+<a name="l00326"></a>00326   <span class="keywordflow">if</span> (initialize)
+<a name="l00327"></a>00327     cmdline_parser_init (args_info);
+<a name="l00328"></a>00328 
+<a name="l00329"></a>00329   cmdline_parser_init (&amp;local_args_info);
+<a name="l00330"></a>00330 
+<a name="l00331"></a>00331   optarg = 0;
+<a name="l00332"></a>00332   optind = 0;
+<a name="l00333"></a>00333   opterr = 1;
+<a name="l00334"></a>00334   optopt = <span class="charliteral">'?'</span>;
+<a name="l00335"></a>00335 
+<a name="l00336"></a>00336   <span class="keywordflow">while</span> (1)
+<a name="l00337"></a>00337     {
+<a name="l00338"></a>00338       <span class="keywordtype">int</span> option_index = 0;
+<a name="l00339"></a>00339       <span class="keywordtype">char</span> *stop_char;
+<a name="l00340"></a>00340 
+<a name="l00341"></a>00341       <span class="keyword">static</span> <span class="keyword">struct </span><a class="code" href="structoption.html">option</a> long_options[] = {
+<a name="l00342"></a>00342         { <span class="stringliteral">"help"</span>,       0, NULL, <span class="charliteral">'h'</span> },
+<a name="l00343"></a>00343         { <span class="stringliteral">"version"</span>,    0, NULL, <span class="charliteral">'V'</span> },
+<a name="l00344"></a>00344         { <span class="stringliteral">"import-format"</span>,      1, NULL, <span class="charliteral">'f'</span> },
+<a name="l00345"></a>00345         { <span class="stringliteral">"list-import-formats"</span>,        0, NULL, 0 },
+<a name="l00346"></a>00346         { <span class="stringliteral">"msg_parser"</span>, 0, NULL, 0 },
+<a name="l00347"></a>00347         { <span class="stringliteral">"msg_debug"</span>,  0, NULL, 0 },
+<a name="l00348"></a>00348         { <span class="stringliteral">"msg_warning"</span>,        0, NULL, 0 },
+<a name="l00349"></a>00349         { <span class="stringliteral">"msg_error"</span>,  0, NULL, 0 },
+<a name="l00350"></a>00350         { <span class="stringliteral">"msg_info"</span>,   0, NULL, 0 },
+<a name="l00351"></a>00351         { <span class="stringliteral">"msg_status"</span>, 0, NULL, 0 },
+<a name="l00352"></a>00352         { NULL, 0, NULL, 0 }
+<a name="l00353"></a>00353       };
+<a name="l00354"></a>00354 
+<a name="l00355"></a>00355       stop_char = 0;
+<a name="l00356"></a>00356       c = getopt_long (argc, argv, <span class="stringliteral">"hVf:"</span>, long_options, &amp;option_index);
+<a name="l00357"></a>00357 
+<a name="l00358"></a>00358       <span class="keywordflow">if</span> (c == -1) <span class="keywordflow">break</span>;       <span class="comment">/* Exit from `while (1)' loop.  */</span>
+<a name="l00359"></a>00359 
+<a name="l00360"></a>00360       <span class="keywordflow">switch</span> (c)
+<a name="l00361"></a>00361         {
+<a name="l00362"></a>00362         <span class="keywordflow">case</span> <span class="charliteral">'h'</span>:       <span class="comment">/* Print help and exit.  */</span>
+<a name="l00363"></a>00363           cmdline_parser_print_help ();
+<a name="l00364"></a>00364           cmdline_parser_free (&amp;local_args_info);
+<a name="l00365"></a>00365           exit (EXIT_SUCCESS);
+<a name="l00366"></a>00366 
+<a name="l00367"></a>00367         <span class="keywordflow">case</span> <span class="charliteral">'V'</span>:       <span class="comment">/* Print version and exit.  */</span>
+<a name="l00368"></a>00368           cmdline_parser_print_version ();
+<a name="l00369"></a>00369           cmdline_parser_free (&amp;local_args_info);
+<a name="l00370"></a>00370           exit (EXIT_SUCCESS);
+<a name="l00371"></a>00371 
+<a name="l00372"></a>00372         <span class="keywordflow">case</span> <span class="charliteral">'f'</span>:       <span class="comment">/* Force the file format of the file(s) specified.  */</span>
+<a name="l00373"></a>00373           <span class="keywordflow">if</span> (local_args_info.import_format_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#74de3df4be73e27a34c25f3c9caa8842" title="Whether import-format was given.">import_format_given</a>))
+<a name="l00374"></a>00374             {
+<a name="l00375"></a>00375               fprintf (stderr, <span class="stringliteral">"%s: `--import-format' (`-f') option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00376"></a>00376               <span class="keywordflow">goto</span> failure;
+<a name="l00377"></a>00377             }
+<a name="l00378"></a>00378           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#74de3df4be73e27a34c25f3c9caa8842" title="Whether import-format was given.">import_format_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00379"></a>00379             <span class="keywordflow">continue</span>;
+<a name="l00380"></a>00380           local_args_info.import_format_given = 1;
+<a name="l00381"></a>00381           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#74de3df4be73e27a34c25f3c9caa8842" title="Whether import-format was given.">import_format_given</a> = 1;
+<a name="l00382"></a>00382           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd" title="Force the file format of the file(s) specified (default=&amp;#39;AUTODETECT&amp;#39;).">import_format_arg</a>)
+<a name="l00383"></a>00383             free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd" title="Force the file format of the file(s) specified (default=&amp;#39;AUTODETECT&amp;#39;).">import_format_arg</a>); <span class="comment">/* free previous string */</span>
+<a name="l00384"></a>00384           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd" title="Force the file format of the file(s) specified (default=&amp;#39;AUTODETECT&amp;#39;).">import_format_arg</a> = gengetopt_strdup (optarg);
+<a name="l00385"></a>00385           <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06" title="Force the file format of the file(s) specified original value given at command line...">import_format_orig</a>)
+<a name="l00386"></a>00386             free (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06" title="Force the file format of the file(s) specified original value given at command line...">import_format_orig</a>); <span class="comment">/* free previous string */</span>
+<a name="l00387"></a>00387           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06" title="Force the file format of the file(s) specified original value given at command line...">import_format_orig</a> = gengetopt_strdup (optarg);
+<a name="l00388"></a>00388           <span class="keywordflow">break</span>;
+<a name="l00389"></a>00389 
+<a name="l00390"></a>00390 
+<a name="l00391"></a>00391         <span class="keywordflow">case</span> 0: <span class="comment">/* Long option with no short option */</span>
+<a name="l00392"></a>00392           <span class="comment">/* List available import file formats 'import-format' command.  */</span>
+<a name="l00393"></a>00393           <span class="keywordflow">if</span> (strcmp (long_options[option_index].<a class="code" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a>, <span class="stringliteral">"list-import-formats"</span>) == 0)
+<a name="l00394"></a>00394           {
+<a name="l00395"></a>00395             <span class="keywordflow">if</span> (local_args_info.list_import_formats_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068" title="Whether list-import-formats was given.">list_import_formats_given</a>))
+<a name="l00396"></a>00396               {
+<a name="l00397"></a>00397                 fprintf (stderr, <span class="stringliteral">"%s: `--list-import-formats' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00398"></a>00398                 <span class="keywordflow">goto</span> failure;
+<a name="l00399"></a>00399               }
+<a name="l00400"></a>00400             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068" title="Whether list-import-formats was given.">list_import_formats_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00401"></a>00401               <span class="keywordflow">continue</span>;
+<a name="l00402"></a>00402             local_args_info.list_import_formats_given = 1;
+<a name="l00403"></a>00403             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068" title="Whether list-import-formats was given.">list_import_formats_given</a> = 1;
+<a name="l00404"></a>00404             <span class="keywordflow">break</span>;
+<a name="l00405"></a>00405           }
+<a name="l00406"></a>00406           <span class="comment">/* Output file parsing messages.  */</span>
+<a name="l00407"></a>00407           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"msg_parser"</span>) == 0)
+<a name="l00408"></a>00408           {
+<a name="l00409"></a>00409             <span class="keywordflow">if</span> (local_args_info.msg_parser_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b3f6a3ef39527fbcedd989afe6a36dd0" title="Whether msg_parser was given.">msg_parser_given</a>))
+<a name="l00410"></a>00410               {
+<a name="l00411"></a>00411                 fprintf (stderr, <span class="stringliteral">"%s: `--msg_parser' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00412"></a>00412                 <span class="keywordflow">goto</span> failure;
+<a name="l00413"></a>00413               }
+<a name="l00414"></a>00414             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b3f6a3ef39527fbcedd989afe6a36dd0" title="Whether msg_parser was given.">msg_parser_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00415"></a>00415               <span class="keywordflow">continue</span>;
+<a name="l00416"></a>00416             local_args_info.msg_parser_given = 1;
+<a name="l00417"></a>00417             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b3f6a3ef39527fbcedd989afe6a36dd0" title="Whether msg_parser was given.">msg_parser_given</a> = 1;
+<a name="l00418"></a>00418             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#59f4d83dff3e538372141bbfe3576762" title="Output file parsing messages (default=off).">msg_parser_flag</a> = !(args_info-&gt;<a class="code" href="structgengetopt__args__info.html#59f4d83dff3e538372141bbfe3576762" title="Output file parsing messages (default=off).">msg_parser_flag</a>);
+<a name="l00419"></a>00419           }
+<a name="l00420"></a>00420           <span class="comment">/* Output messages meant for debuging.  */</span>
+<a name="l00421"></a>00421           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"msg_debug"</span>) == 0)
+<a name="l00422"></a>00422           {
+<a name="l00423"></a>00423             <span class="keywordflow">if</span> (local_args_info.msg_debug_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#85d6ce6864169669a8234b1d27f0978f" title="Whether msg_debug was given.">msg_debug_given</a>))
+<a name="l00424"></a>00424               {
+<a name="l00425"></a>00425                 fprintf (stderr, <span class="stringliteral">"%s: `--msg_debug' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00426"></a>00426                 <span class="keywordflow">goto</span> failure;
+<a name="l00427"></a>00427               }
+<a name="l00428"></a>00428             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#85d6ce6864169669a8234b1d27f0978f" title="Whether msg_debug was given.">msg_debug_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00429"></a>00429               <span class="keywordflow">continue</span>;
+<a name="l00430"></a>00430             local_args_info.msg_debug_given = 1;
+<a name="l00431"></a>00431             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#85d6ce6864169669a8234b1d27f0978f" title="Whether msg_debug was given.">msg_debug_given</a> = 1;
+<a name="l00432"></a>00432             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#6816290fe582d0705947859d0c7934c5" title="Output messages meant for debuging (default=off).">msg_debug_flag</a> = !(args_info-&gt;<a class="code" href="structgengetopt__args__info.html#6816290fe582d0705947859d0c7934c5" title="Output messages meant for debuging (default=off).">msg_debug_flag</a>);
+<a name="l00433"></a>00433           }
+<a name="l00434"></a>00434           <span class="comment">/* Output warning messages about abnormal conditions and unknown constructs.  */</span>
+<a name="l00435"></a>00435           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"msg_warning"</span>) == 0)
+<a name="l00436"></a>00436           {
+<a name="l00437"></a>00437             <span class="keywordflow">if</span> (local_args_info.msg_warning_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b6b10f2a7687e6a512cf3bbcc7ddda61" title="Whether msg_warning was given.">msg_warning_given</a>))
+<a name="l00438"></a>00438               {
+<a name="l00439"></a>00439                 fprintf (stderr, <span class="stringliteral">"%s: `--msg_warning' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00440"></a>00440                 <span class="keywordflow">goto</span> failure;
+<a name="l00441"></a>00441               }
+<a name="l00442"></a>00442             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b6b10f2a7687e6a512cf3bbcc7ddda61" title="Whether msg_warning was given.">msg_warning_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00443"></a>00443               <span class="keywordflow">continue</span>;
+<a name="l00444"></a>00444             local_args_info.msg_warning_given = 1;
+<a name="l00445"></a>00445             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b6b10f2a7687e6a512cf3bbcc7ddda61" title="Whether msg_warning was given.">msg_warning_given</a> = 1;
+<a name="l00446"></a>00446             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7dc02d27a0e51eb388b2bd48f834658c" title="Output warning messages about abnormal conditions and unknown constructs (default=on)...">msg_warning_flag</a> = !(args_info-&gt;<a class="code" href="structgengetopt__args__info.html#7dc02d27a0e51eb388b2bd48f834658c" title="Output warning messages about abnormal conditions and unknown constructs (default=on)...">msg_warning_flag</a>);
+<a name="l00447"></a>00447           }
+<a name="l00448"></a>00448           <span class="comment">/* Output error messages.  */</span>
+<a name="l00449"></a>00449           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"msg_error"</span>) == 0)
+<a name="l00450"></a>00450           {
+<a name="l00451"></a>00451             <span class="keywordflow">if</span> (local_args_info.msg_error_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f797b906ea2db4dc0c302e589f130dc5" title="Whether msg_error was given.">msg_error_given</a>))
+<a name="l00452"></a>00452               {
+<a name="l00453"></a>00453                 fprintf (stderr, <span class="stringliteral">"%s: `--msg_error' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00454"></a>00454                 <span class="keywordflow">goto</span> failure;
+<a name="l00455"></a>00455               }
+<a name="l00456"></a>00456             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f797b906ea2db4dc0c302e589f130dc5" title="Whether msg_error was given.">msg_error_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00457"></a>00457               <span class="keywordflow">continue</span>;
+<a name="l00458"></a>00458             local_args_info.msg_error_given = 1;
+<a name="l00459"></a>00459             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#f797b906ea2db4dc0c302e589f130dc5" title="Whether msg_error was given.">msg_error_given</a> = 1;
+<a name="l00460"></a>00460             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b1b6520555a34ca4a39feaed3365af6d" title="Output error messages (default=on).">msg_error_flag</a> = !(args_info-&gt;<a class="code" href="structgengetopt__args__info.html#b1b6520555a34ca4a39feaed3365af6d" title="Output error messages (default=on).">msg_error_flag</a>);
+<a name="l00461"></a>00461           }
+<a name="l00462"></a>00462           <span class="comment">/* Output informational messages about the progress of the library.  */</span>
+<a name="l00463"></a>00463           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"msg_info"</span>) == 0)
+<a name="l00464"></a>00464           {
+<a name="l00465"></a>00465             <span class="keywordflow">if</span> (local_args_info.msg_info_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2aa86a497519afc4db0a525f3854470c" title="Whether msg_info was given.">msg_info_given</a>))
+<a name="l00466"></a>00466               {
+<a name="l00467"></a>00467                 fprintf (stderr, <span class="stringliteral">"%s: `--msg_info' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00468"></a>00468                 <span class="keywordflow">goto</span> failure;
+<a name="l00469"></a>00469               }
+<a name="l00470"></a>00470             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2aa86a497519afc4db0a525f3854470c" title="Whether msg_info was given.">msg_info_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00471"></a>00471               <span class="keywordflow">continue</span>;
+<a name="l00472"></a>00472             local_args_info.msg_info_given = 1;
+<a name="l00473"></a>00473             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#2aa86a497519afc4db0a525f3854470c" title="Whether msg_info was given.">msg_info_given</a> = 1;
+<a name="l00474"></a>00474             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#74ac0d99a57abc9a1088d356f87e7197" title="Output informational messages about the progress of the library (default=on).">msg_info_flag</a> = !(args_info-&gt;<a class="code" href="structgengetopt__args__info.html#74ac0d99a57abc9a1088d356f87e7197" title="Output informational messages about the progress of the library (default=on).">msg_info_flag</a>);
+<a name="l00475"></a>00475           }
+<a name="l00476"></a>00476           <span class="comment">/* Output status messages.  */</span>
+<a name="l00477"></a>00477           <span class="keywordflow">else</span> <span class="keywordflow">if</span> (strcmp (long_options[option_index].name, <span class="stringliteral">"msg_status"</span>) == 0)
+<a name="l00478"></a>00478           {
+<a name="l00479"></a>00479             <span class="keywordflow">if</span> (local_args_info.msg_status_given || (check_ambiguity &amp;&amp; args_info-&gt;<a class="code" href="structgengetopt__args__info.html#d205671e6055ea4e51a6af081fe317fd" title="Whether msg_status was given.">msg_status_given</a>))
+<a name="l00480"></a>00480               {
+<a name="l00481"></a>00481                 fprintf (stderr, <span class="stringliteral">"%s: `--msg_status' option given more than once%s\n"</span>, argv[0], (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00482"></a>00482                 <span class="keywordflow">goto</span> failure;
+<a name="l00483"></a>00483               }
+<a name="l00484"></a>00484             <span class="keywordflow">if</span> (args_info-&gt;<a class="code" href="structgengetopt__args__info.html#d205671e6055ea4e51a6af081fe317fd" title="Whether msg_status was given.">msg_status_given</a> &amp;&amp; ! <span class="keyword">override</span>)
+<a name="l00485"></a>00485               <span class="keywordflow">continue</span>;
+<a name="l00486"></a>00486             local_args_info.msg_status_given = 1;
+<a name="l00487"></a>00487             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#d205671e6055ea4e51a6af081fe317fd" title="Whether msg_status was given.">msg_status_given</a> = 1;
+<a name="l00488"></a>00488             args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1301d1fa05fef326526db58a63cfc6fd" title="Output status messages (default=on).">msg_status_flag</a> = !(args_info-&gt;<a class="code" href="structgengetopt__args__info.html#1301d1fa05fef326526db58a63cfc6fd" title="Output status messages (default=on).">msg_status_flag</a>);
+<a name="l00489"></a>00489           }
+<a name="l00490"></a>00490           
+<a name="l00491"></a>00491           <span class="keywordflow">break</span>;
+<a name="l00492"></a>00492         <span class="keywordflow">case</span> <span class="charliteral">'?'</span>:       <span class="comment">/* Invalid option.  */</span>
+<a name="l00493"></a>00493           <span class="comment">/* `getopt_long' already printed an error message.  */</span>
+<a name="l00494"></a>00494           <span class="keywordflow">goto</span> failure;
+<a name="l00495"></a>00495 
+<a name="l00496"></a>00496         <span class="keywordflow">default</span>:        <span class="comment">/* bug: option not considered.  */</span>
+<a name="l00497"></a>00497           fprintf (stderr, <span class="stringliteral">"%s: option unknown: %c%s\n"</span>, CMDLINE_PARSER_PACKAGE, c, (additional_error ? additional_error : <span class="stringliteral">""</span>));
+<a name="l00498"></a>00498           abort ();
+<a name="l00499"></a>00499         } <span class="comment">/* switch */</span>
+<a name="l00500"></a>00500     } <span class="comment">/* while */</span>
+<a name="l00501"></a>00501 
+<a name="l00502"></a>00502 
+<a name="l00503"></a>00503 
+<a name="l00504"></a>00504 
+<a name="l00505"></a>00505   cmdline_parser_release (&amp;local_args_info);
+<a name="l00506"></a>00506 
+<a name="l00507"></a>00507   <span class="keywordflow">if</span> ( error )
+<a name="l00508"></a>00508     <span class="keywordflow">return</span> (EXIT_FAILURE);
+<a name="l00509"></a>00509 
+<a name="l00510"></a>00510   <span class="keywordflow">if</span> (optind &lt; argc)
+<a name="l00511"></a>00511     {
+<a name="l00512"></a>00512       <span class="keywordtype">int</span> i = 0 ;
+<a name="l00513"></a>00513       <span class="keywordtype">int</span> found_prog_name = 0;
+<a name="l00514"></a>00514       <span class="comment">/* whether program name, i.e., argv[0], is in the remaining args</span>
+<a name="l00515"></a>00515 <span class="comment">         (this may happen with some implementations of getopt,</span>
+<a name="l00516"></a>00516 <span class="comment">          but surely not with the one included by gengetopt) */</span>
+<a name="l00517"></a>00517 
+<a name="l00518"></a>00518       i = optind;
+<a name="l00519"></a>00519       <span class="keywordflow">while</span> (i &lt; argc)
+<a name="l00520"></a>00520         <span class="keywordflow">if</span> (argv[i++] == argv[0]) {
+<a name="l00521"></a>00521           found_prog_name = 1;
+<a name="l00522"></a>00522           <span class="keywordflow">break</span>;
+<a name="l00523"></a>00523         }
+<a name="l00524"></a>00524       i = 0;
+<a name="l00525"></a>00525 
+<a name="l00526"></a>00526       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a> = argc - optind - found_prog_name;
+<a name="l00527"></a>00527       args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a> =
+<a name="l00528"></a>00528         (<span class="keywordtype">char</span> **)(malloc ((args_info-&gt;<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a>)*<span class="keyword">sizeof</span>(<span class="keywordtype">char</span> *))) ;
+<a name="l00529"></a>00529       <span class="keywordflow">while</span> (optind &lt; argc)
+<a name="l00530"></a>00530         <span class="keywordflow">if</span> (argv[optind++] != argv[0])
+<a name="l00531"></a>00531           args_info-&gt;<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[ i++ ] = gengetopt_strdup (argv[optind-1]) ;
+<a name="l00532"></a>00532     }
+<a name="l00533"></a>00533 
+<a name="l00534"></a>00534   <span class="keywordflow">return</span> 0;
+<a name="l00535"></a>00535 
+<a name="l00536"></a>00536 failure:
+<a name="l00537"></a>00537   
+<a name="l00538"></a>00538   cmdline_parser_release (&amp;local_args_info);
+<a name="l00539"></a>00539   <span class="keywordflow">return</span> (EXIT_FAILURE);
+<a name="l00540"></a>00540 }
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/ofxdump_2cmdline_8h-source.html'
--- doc/html/ofxdump_2cmdline_8h-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/ofxdump_2cmdline_8h-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,119 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: cmdline.h Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>cmdline.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
+<a name="l00008"></a>00008 <span class="preprocessor">#ifndef CMDLINE_H</span>
+<a name="l00009"></a>00009 <span class="preprocessor"></span><span class="preprocessor">#define CMDLINE_H</span>
+<a name="l00010"></a>00010 <span class="preprocessor"></span>
+<a name="l00011"></a>00011 <span class="comment">/* If we use autoconf.  */</span>
+<a name="l00012"></a>00012 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00013"></a>00013 <span class="preprocessor"></span><span class="preprocessor">#include "config.h"</span>
+<a name="l00014"></a>00014 <span class="preprocessor">#endif</span>
+<a name="l00015"></a>00015 <span class="preprocessor"></span>
+<a name="l00016"></a>00016 <span class="preprocessor">#ifdef __cplusplus</span>
+<a name="l00017"></a>00017 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">"C"</span> {
+<a name="l00018"></a>00018 <span class="preprocessor">#endif </span><span class="comment">/* __cplusplus */</span>
+<a name="l00019"></a>00019 
+<a name="l00020"></a>00020 <span class="preprocessor">#ifndef CMDLINE_PARSER_PACKAGE</span>
+<a name="l00021"></a>00021 <span class="preprocessor"></span>
+<a name="l00022"></a>00022 <span class="preprocessor">#define CMDLINE_PARSER_PACKAGE PACKAGE</span>
+<a name="l00023"></a>00023 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00024"></a>00024 <span class="preprocessor"></span>
+<a name="l00025"></a>00025 <span class="preprocessor">#ifndef CMDLINE_PARSER_VERSION</span>
+<a name="l00026"></a>00026 <span class="preprocessor"></span>
+<a name="l00027"></a>00027 <span class="preprocessor">#define CMDLINE_PARSER_VERSION VERSION</span>
+<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
+<a name="l00029"></a>00029 <span class="preprocessor"></span>
+<a name="l00031"></a>00031 <span class="keyword">struct </span><a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a>
+<a name="l00032"></a>00032 {
+<a name="l00033"></a><a class="code" href="structgengetopt__args__info.html#fb4efa68a6f43a4d112e9b96ffe89101">00033</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#fb4efa68a6f43a4d112e9b96ffe89101" title="Print help and exit help description.">help_help</a>; 
+<a name="l00034"></a><a class="code" href="structgengetopt__args__info.html#def454ea6f3ff4114ae5009e58360cfc">00034</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#def454ea6f3ff4114ae5009e58360cfc" title="Print version and exit help description.">version_help</a>; 
+<a name="l00035"></a><a class="code" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd">00035</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd" title="Force the file format of the file(s) specified (default=&amp;#39;AUTODETECT&amp;#39;).">import_format_arg</a>;     
+<a name="l00036"></a><a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06">00036</a>   <span class="keywordtype">char</span> * <a class="code" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06" title="Force the file format of the file(s) specified original value given at command line...">import_format_orig</a>;    
+<a name="l00037"></a><a class="code" href="structgengetopt__args__info.html#67f0c3406ca68e20cdadaf5e281625a2">00037</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#67f0c3406ca68e20cdadaf5e281625a2" title="Force the file format of the file(s) specified help description.">import_format_help</a>; 
+<a name="l00038"></a><a class="code" href="structgengetopt__args__info.html#c4b7c58b32c755377a6c7fcafbfa3d3f">00038</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#c4b7c58b32c755377a6c7fcafbfa3d3f" title="List available import file formats &amp;#39;import-format&amp;#39; command help description...">list_import_formats_help</a>; 
+<a name="l00039"></a><a class="code" href="structgengetopt__args__info.html#59f4d83dff3e538372141bbfe3576762">00039</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#59f4d83dff3e538372141bbfe3576762" title="Output file parsing messages (default=off).">msg_parser_flag</a>;  
+<a name="l00040"></a><a class="code" href="structgengetopt__args__info.html#44d331d24edd73a287609be9ad293753">00040</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#44d331d24edd73a287609be9ad293753" title="Output file parsing messages help description.">msg_parser_help</a>; 
+<a name="l00041"></a><a class="code" href="structgengetopt__args__info.html#6816290fe582d0705947859d0c7934c5">00041</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#6816290fe582d0705947859d0c7934c5" title="Output messages meant for debuging (default=off).">msg_debug_flag</a>;   
+<a name="l00042"></a><a class="code" href="structgengetopt__args__info.html#709980d4e8c7d3c8ab01d1dfee7589c1">00042</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#709980d4e8c7d3c8ab01d1dfee7589c1" title="Output messages meant for debuging help description.">msg_debug_help</a>; 
+<a name="l00043"></a><a class="code" href="structgengetopt__args__info.html#7dc02d27a0e51eb388b2bd48f834658c">00043</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#7dc02d27a0e51eb388b2bd48f834658c" title="Output warning messages about abnormal conditions and unknown constructs (default=on)...">msg_warning_flag</a>; 
+<a name="l00044"></a><a class="code" href="structgengetopt__args__info.html#b37e89030d7bc1b94cd44a6b6cc4c042">00044</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#b37e89030d7bc1b94cd44a6b6cc4c042" title="Output warning messages about abnormal conditions and unknown constructs help description...">msg_warning_help</a>; 
+<a name="l00045"></a><a class="code" href="structgengetopt__args__info.html#b1b6520555a34ca4a39feaed3365af6d">00045</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#b1b6520555a34ca4a39feaed3365af6d" title="Output error messages (default=on).">msg_error_flag</a>;   
+<a name="l00046"></a><a class="code" href="structgengetopt__args__info.html#0b4c076b2876844650aa2aec275f5684">00046</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#0b4c076b2876844650aa2aec275f5684" title="Output error messages help description.">msg_error_help</a>; 
+<a name="l00047"></a><a class="code" href="structgengetopt__args__info.html#74ac0d99a57abc9a1088d356f87e7197">00047</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#74ac0d99a57abc9a1088d356f87e7197" title="Output informational messages about the progress of the library (default=on).">msg_info_flag</a>;    
+<a name="l00048"></a><a class="code" href="structgengetopt__args__info.html#2491c609276fe4795f7caeb0d9baec1b">00048</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#2491c609276fe4795f7caeb0d9baec1b" title="Output informational messages about the progress of the library help description...">msg_info_help</a>; 
+<a name="l00049"></a><a class="code" href="structgengetopt__args__info.html#1301d1fa05fef326526db58a63cfc6fd">00049</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#1301d1fa05fef326526db58a63cfc6fd" title="Output status messages (default=on).">msg_status_flag</a>;  
+<a name="l00050"></a><a class="code" href="structgengetopt__args__info.html#552341af51d5f58f88ceb5fc229e998d">00050</a>   <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="structgengetopt__args__info.html#552341af51d5f58f88ceb5fc229e998d" title="Output status messages help description.">msg_status_help</a>; 
+<a name="l00052"></a>00052   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#fcc22c3f15bfc05d4d36824cbb2b661c" title="Whether help was given.">help_given</a> ;      
+<a name="l00053"></a>00053   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#18b7279f3b637b9e9192a88fc26973ae" title="Whether version was given.">version_given</a> ;   
+<a name="l00054"></a><a class="code" href="structgengetopt__args__info.html#74de3df4be73e27a34c25f3c9caa8842">00054</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#74de3df4be73e27a34c25f3c9caa8842" title="Whether import-format was given.">import_format_given</a> ;     
+<a name="l00055"></a><a class="code" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068">00055</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068" title="Whether list-import-formats was given.">list_import_formats_given</a> ;       
+<a name="l00056"></a><a class="code" href="structgengetopt__args__info.html#b3f6a3ef39527fbcedd989afe6a36dd0">00056</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#b3f6a3ef39527fbcedd989afe6a36dd0" title="Whether msg_parser was given.">msg_parser_given</a> ;        
+<a name="l00057"></a><a class="code" href="structgengetopt__args__info.html#85d6ce6864169669a8234b1d27f0978f">00057</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#85d6ce6864169669a8234b1d27f0978f" title="Whether msg_debug was given.">msg_debug_given</a> ; 
+<a name="l00058"></a><a class="code" href="structgengetopt__args__info.html#b6b10f2a7687e6a512cf3bbcc7ddda61">00058</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#b6b10f2a7687e6a512cf3bbcc7ddda61" title="Whether msg_warning was given.">msg_warning_given</a> ;       
+<a name="l00059"></a><a class="code" href="structgengetopt__args__info.html#f797b906ea2db4dc0c302e589f130dc5">00059</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#f797b906ea2db4dc0c302e589f130dc5" title="Whether msg_error was given.">msg_error_given</a> ; 
+<a name="l00060"></a><a class="code" href="structgengetopt__args__info.html#2aa86a497519afc4db0a525f3854470c">00060</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#2aa86a497519afc4db0a525f3854470c" title="Whether msg_info was given.">msg_info_given</a> ;  
+<a name="l00061"></a><a class="code" href="structgengetopt__args__info.html#d205671e6055ea4e51a6af081fe317fd">00061</a>   <span class="keywordtype">int</span> <a class="code" href="structgengetopt__args__info.html#d205671e6055ea4e51a6af081fe317fd" title="Whether msg_status was given.">msg_status_given</a> ;        
+<a name="l00063"></a><a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c">00063</a>   <span class="keywordtype">char</span> **<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a> ; 
+<a name="l00064"></a>00064   <span class="keywordtype">unsigned</span> <a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a> ; 
+<a name="l00065"></a>00065 } ;
+<a name="l00066"></a>00066 
+<a name="l00068"></a>00068 <span class="keyword">struct </span><a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a>
+<a name="l00069"></a>00069 {
+<a name="l00070"></a>00070   <span class="keywordtype">int</span> <span class="keyword">override</span>; 
+<a name="l00071"></a>00071   <span class="keywordtype">int</span> <a class="code" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11" title="whether to initialize the option structure gengetopt_args_info (default 0)">initialize</a>; 
+<a name="l00072"></a>00072   <span class="keywordtype">int</span> <a class="code" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6" title="whether to check that all required options were provided (default 0)">check_required</a>; 
+<a name="l00073"></a>00073   <span class="keywordtype">int</span> <a class="code" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4" title="whether to check for options already specified in the option structure gengetopt_args_info...">check_ambiguity</a>; 
+<a name="l00074"></a>00074 } ;
+<a name="l00075"></a>00075 
+<a name="l00077"></a>00077 <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_purpose;
+<a name="l00079"></a>00079 <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_usage;
+<a name="l00081"></a>00081 <span class="keyword">extern</span> <span class="keyword">const</span> <span class="keywordtype">char</span> *gengetopt_args_info_help[];
+<a name="l00082"></a>00082 
+<a name="l00090"></a>00090 <span class="keywordtype">int</span> cmdline_parser (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv,
+<a name="l00091"></a>00091   <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00092"></a>00092 
+<a name="l00104"></a>00104 <span class="keywordtype">int</span> cmdline_parser2 (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv,
+<a name="l00105"></a>00105   <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00106"></a>00106   <span class="keywordtype">int</span> <span class="keyword">override</span>, <span class="keywordtype">int</span> initialize, <span class="keywordtype">int</span> check_required);
+<a name="l00107"></a>00107 
+<a name="l00116"></a>00116 <span class="keywordtype">int</span> cmdline_parser_ext (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> * <span class="keyword">const</span> *argv,
+<a name="l00117"></a>00117   <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00118"></a>00118   <span class="keyword">struct</span> <a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *params);
+<a name="l00119"></a>00119 
+<a name="l00127"></a>00127 <span class="keywordtype">int</span> cmdline_parser_file_save(<span class="keyword">const</span> <span class="keywordtype">char</span> *filename,
+<a name="l00128"></a>00128   <span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00129"></a>00129 
+<a name="l00133"></a>00133 <span class="keywordtype">void</span> cmdline_parser_print_help(<span class="keywordtype">void</span>);
+<a name="l00137"></a>00137 <span class="keywordtype">void</span> cmdline_parser_print_version(<span class="keywordtype">void</span>);
+<a name="l00138"></a>00138 
+<a name="l00144"></a>00144 <span class="keyword">struct </span><a class="code" href="structcmdline__parser__params.html" title="The additional parameters to pass to parser functions.">cmdline_parser_params</a> *cmdline_parser_params_init();
+<a name="l00145"></a>00145 
+<a name="l00151"></a>00151 <span class="keywordtype">void</span> cmdline_parser_init (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00157"></a>00157 <span class="keywordtype">void</span> cmdline_parser_free (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info);
+<a name="l00158"></a>00158 
+<a name="l00166"></a>00166 <span class="keywordtype">int</span> cmdline_parser_required (<span class="keyword">struct</span> <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> *args_info,
+<a name="l00167"></a>00167   <span class="keyword">const</span> <span class="keywordtype">char</span> *prog_name);
+<a name="l00168"></a>00168 
+<a name="l00169"></a>00169 
+<a name="l00170"></a>00170 <span class="preprocessor">#ifdef __cplusplus</span>
+<a name="l00171"></a>00171 <span class="preprocessor"></span>}
+<a name="l00172"></a>00172 <span class="preprocessor">#endif </span><span class="comment">/* __cplusplus */</span>
+<a name="l00173"></a>00173 <span class="preprocessor">#endif </span><span class="comment">/* CMDLINE_H */</span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:58 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== modified file 'doc/html/ofxdump_8cpp-source.html'
--- doc/html/ofxdump_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofxdump_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofxdump.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofxdump.cpp</h1><a href="ofxdump_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                          ofxdump.cpp</span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -34,7 +30,7 @@
 <a name="l00030"></a>00030 <span class="preprocessor">#include &lt;iostream&gt;</span>
 <a name="l00031"></a>00031 <span class="preprocessor">#include &lt;iomanip&gt;</span>
 <a name="l00032"></a>00032 <span class="preprocessor">#include &lt;string&gt;</span>
-<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>"</span>
+<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>"</span>
 <a name="l00034"></a>00034 <span class="preprocessor">#include &lt;stdio.h&gt;</span>              <span class="comment">/* for printf() */</span>
 <a name="l00035"></a>00035 <span class="preprocessor">#include &lt;config.h&gt;</span>             <span class="comment">/* Include config constants, e.g., VERSION TF */</span>
 <a name="l00036"></a>00036 <span class="preprocessor">#include &lt;errno.h&gt;</span>
@@ -44,83 +40,83 @@
 <a name="l00040"></a>00040 <span class="keyword">using namespace </span>std;
 <a name="l00041"></a>00041 
 <a name="l00042"></a>00042 
-<a name="l00043"></a><a class="code" href="ofxdump_8cpp.html#317e6b33ec82269ba18956494a5254d3">00043</a> <span class="keywordtype">int</span> <a class="code" href="ofxdump_8cpp.html#317e6b33ec82269ba18956494a5254d3">ofx_proc_security_cb</a>(<span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html">OfxSecurityData</a> data, <span class="keywordtype">void</span> * security_data)
+<a name="l00043"></a><a class="code" href="ofxdump_8cpp.html#a7664a0520b502d7592e282a29e391b3">00043</a> <span class="keywordtype">int</span> <a class="code" href="ofxdump_8cpp.html#a7664a0520b502d7592e282a29e391b3">ofx_proc_security_cb</a>(<span class="keyword">struct</span> <a class="code" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> data, <span class="keywordtype">void</span> * security_data)
 <a name="l00044"></a>00044 {
 <a name="l00045"></a>00045   <span class="keywordtype">char</span> dest_string[255];
 <a name="l00046"></a>00046   cout&lt;&lt;<span class="stringliteral">"ofx_proc_security():\n"</span>;
-<a name="l00047"></a>00047   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#7a07e05b7a7de7cbc93ef5819e08cdfb">unique_id_valid</a>==<span class="keyword">true</span>){
-<a name="l00048"></a>00048     cout&lt;&lt;<span class="stringliteral">"    Unique ID of the security being traded: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">unique_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00047"></a>00047   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">unique_id_valid</a>==<span class="keyword">true</span>){
+<a name="l00048"></a>00048     cout&lt;&lt;<span class="stringliteral">"    Unique ID of the security being traded: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00049"></a>00049   }
-<a name="l00050"></a>00050   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#fa8afe497229c9f561b734b784af4136">unique_id_type_valid</a>==<span class="keyword">true</span>){
-<a name="l00051"></a>00051     cout&lt;&lt;<span class="stringliteral">"    Format of the Unique ID: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">unique_id_type</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00050"></a>00050   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">unique_id_type_valid</a>==<span class="keyword">true</span>){
+<a name="l00051"></a>00051     cout&lt;&lt;<span class="stringliteral">"    Format of the Unique ID: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00052"></a>00052   }
-<a name="l00053"></a>00053   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#2ac745aadacd3adff898b02c29a8ee50">secname_valid</a>==<span class="keyword">true</span>){
-<a name="l00054"></a>00054     cout&lt;&lt;<span class="stringliteral">"    Name of the security: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">secname</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00053"></a>00053   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">secname_valid</a>==<span class="keyword">true</span>){
+<a name="l00054"></a>00054     cout&lt;&lt;<span class="stringliteral">"    Name of the security: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00055"></a>00055   }
-<a name="l00056"></a>00056   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#832eb4d40a617065f39d6543ae5cfdd4">ticker_valid</a>==<span class="keyword">true</span>){
-<a name="l00057"></a>00057     cout&lt;&lt;<span class="stringliteral">"    Ticker symbol: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">ticker</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00056"></a>00056   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">ticker_valid</a>==<span class="keyword">true</span>){
+<a name="l00057"></a>00057     cout&lt;&lt;<span class="stringliteral">"    Ticker symbol: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00058"></a>00058   }
-<a name="l00059"></a>00059   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#6527ef1b5444ad8dcc5c9f3e53b93abc">unitprice_valid</a>==<span class="keyword">true</span>){
-<a name="l00060"></a>00060     cout&lt;&lt;<span class="stringliteral">"    Price of each unit of the security: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#e3c6ea360c7dce731d263c1f83b5cbd9">unitprice</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00059"></a>00059   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">unitprice_valid</a>==<span class="keyword">true</span>){
+<a name="l00060"></a>00060     cout&lt;&lt;<span class="stringliteral">"    Price of each unit of the security: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">unitprice</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00061"></a>00061   }
-<a name="l00062"></a>00062   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#45533d8f177dc2a329d03c5e79f0dd14">date_unitprice_valid</a>==<span class="keyword">true</span>){
-<a name="l00063"></a>00063     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxSecurityData.html#2be22a41f746673f06ea6b6820cc17e9">date_unitprice</a>)));
+<a name="l00062"></a>00062   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">date_unitprice_valid</a>==<span class="keyword">true</span>){
+<a name="l00063"></a>00063     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">date_unitprice</a>)));
 <a name="l00064"></a>00064     cout&lt;&lt;<span class="stringliteral">"    Date as of which the unitprice is valid: "</span>&lt;&lt;dest_string&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00065"></a>00065   }
-<a name="l00066"></a>00066   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#b510698f4aadf98dea2a38774afecf36">currency_valid</a>==<span class="keyword">true</span>){
-<a name="l00067"></a>00067     cout&lt;&lt;<span class="stringliteral">"    Currency of the unitprice: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#6f943b5de690b0c8e3577ee32dc0f682">currency</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00066"></a>00066   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">currency_valid</a>==<span class="keyword">true</span>){
+<a name="l00067"></a>00067     cout&lt;&lt;<span class="stringliteral">"    Currency of the unitprice: "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">currency</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00068"></a>00068   }
-<a name="l00069"></a>00069   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#fca86ce1faa30e4dcd6e31ff8fb8ab76">memo_valid</a>==<span class="keyword">true</span>){
-<a name="l00070"></a>00070     cout&lt;&lt;<span class="stringliteral">"    Extra transaction information (memo): "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">memo</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00069"></a>00069   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">memo_valid</a>==<span class="keyword">true</span>){
+<a name="l00070"></a>00070     cout&lt;&lt;<span class="stringliteral">"    Extra transaction information (memo): "</span>&lt;&lt;data.<a class="code" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00071"></a>00071   }
 <a name="l00072"></a>00072   cout&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00073"></a>00073   <span class="keywordflow">return</span> 0;
 <a name="l00074"></a>00074 }
 <a name="l00075"></a>00075 
-<a name="l00076"></a><a class="code" href="ofxdump_8cpp.html#371f323211396c28d5c6319be5be3ed8">00076</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#411f3cb6e88b8669a7a4b6dc18a7e758">ofx_proc_transaction_cb</a>(<span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html">OfxTransactionData</a> data, <span class="keywordtype">void</span> * transaction_data)
+<a name="l00076"></a><a class="code" href="ofxdump_8cpp.html#6940ffe6adc71a091fdef20a460c2364">00076</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#7850aaa7c07cabcacb6849e82f773463">ofx_proc_transaction_cb</a>(<span class="keyword">struct</span> <a class="code" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> data, <span class="keywordtype">void</span> * transaction_data)
 <a name="l00077"></a>00077 {
 <a name="l00078"></a>00078   <span class="keywordtype">char</span> dest_string[255];
 <a name="l00079"></a>00079   cout&lt;&lt;<span class="stringliteral">"ofx_proc_transaction():\n"</span>;
 <a name="l00080"></a>00080   
-<a name="l00081"></a>00081   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#02095f6be8951af8640d6e4d96e6a7c7">account_id_valid</a>==<span class="keyword">true</span>){
-<a name="l00082"></a>00082     cout&lt;&lt;<span class="stringliteral">"    Account ID : "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">account_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00081"></a>00081   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a>==<span class="keyword">true</span>){
+<a name="l00082"></a>00082     cout&lt;&lt;<span class="stringliteral">"    Account ID : "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00083"></a>00083   }
 <a name="l00084"></a>00084   
-<a name="l00085"></a>00085   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a>==<span class="keyword">true</span>)
+<a name="l00085"></a>00085   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a>==<span class="keyword">true</span>)
 <a name="l00086"></a>00086     {
-<a name="l00087"></a>00087       <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558ca2a940eef254a82133bb52cb5312db6">OFX_CREDIT</a>)
+<a name="l00087"></a>00087       <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5855a44ce2b4561d75e1387d14bf4346e3">OFX_CREDIT</a>)
 <a name="l00088"></a>00088         strncpy(dest_string, <span class="stringliteral">"CREDIT: Generic credit"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00089"></a>00089       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558a9a98368b6eda42b3f2df9d89ad77091">OFX_DEBIT</a>)
+<a name="l00089"></a>00089       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58b60c4a61836e4c9eddd43df98f58f25a">OFX_DEBIT</a>)
 <a name="l00090"></a>00090         strncpy(dest_string, <span class="stringliteral">"DEBIT: Generic debit"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00091"></a>00091       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558f3bb3fb2a2f2eb86d3cfa039a0982cb2">OFX_INT</a>)
+<a name="l00091"></a>00091       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a586c561a0df9837463a7badde944a6c6ce">OFX_INT</a>)
 <a name="l00092"></a>00092         strncpy(dest_string, <span class="stringliteral">"INT: Interest earned or paid (Note: Depends on signage of amount)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00093"></a>00093       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558fbabb4fda6879de0e6f48c2aafa84da2">OFX_DIV</a>)
+<a name="l00093"></a>00093       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58dbf02dcc7c9b4bb5de5e0126127ec482">OFX_DIV</a>)
 <a name="l00094"></a>00094         strncpy(dest_string, <span class="stringliteral">"DIV: Dividend"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00095"></a>00095       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584b2d0aa82e8ae0fe8bec0ff8cb5dca4f">OFX_FEE</a>)
+<a name="l00095"></a>00095       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d0b1678dd27d1caa1e0464b471b49d5b">OFX_FEE</a>)
 <a name="l00096"></a>00096         strncpy(dest_string, <span class="stringliteral">"FEE: FI fee"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00097"></a>00097       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589d7e54c20c7781c6e5ef74b28bad092b">OFX_SRVCHG</a>)
+<a name="l00097"></a>00097       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5894c350d04bb151bc7af01285f8564ff2">OFX_SRVCHG</a>)
 <a name="l00098"></a>00098         strncpy(dest_string, <span class="stringliteral">"SRVCHG: Service charge"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00099"></a>00099       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558b6c84756b155ad88b50cab65e6e92cdd">OFX_DEP</a>)
+<a name="l00099"></a>00099       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58d47566169d26dcbd4effe5bee0a5e02d">OFX_DEP</a>)
 <a name="l00100"></a>00100         strncpy(dest_string, <span class="stringliteral">"DEP: Deposit"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00101"></a>00101       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495588ce06c4276aadda90ee6cc6369cf54db">OFX_ATM</a>)
+<a name="l00101"></a>00101       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5864b99c67932f371b0793f91786dfcbce">OFX_ATM</a>)
 <a name="l00102"></a>00102         strncpy(dest_string, <span class="stringliteral">"ATM: ATM debit or credit (Note: Depends on signage of amount)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00103"></a>00103       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495589b51422b7aa0259170a41b44887f6350">OFX_POS</a>)
+<a name="l00103"></a>00103       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5815566db98285da8aa8c4f3b7b9fabc6e">OFX_POS</a>)
 <a name="l00104"></a>00104         strncpy(dest_string, <span class="stringliteral">"POS: Point of sale debit or credit (Note: Depends on signage of amount)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00105"></a>00105       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495581f99138c12d88380d30f7829a5c20035">OFX_XFER</a>)
+<a name="l00105"></a>00105       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a580cacbc14384739342490f0ee8662e4b6">OFX_XFER</a>)
 <a name="l00106"></a>00106         strncpy(dest_string, <span class="stringliteral">"XFER: Transfer"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00107"></a>00107       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558302ee366ea10790a55b0a553bb5ac0cb">OFX_CHECK</a>)
+<a name="l00107"></a>00107       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58791ae71426db867d29e0ce41fe8f4d02">OFX_CHECK</a>)
 <a name="l00108"></a>00108         strncpy(dest_string, <span class="stringliteral">"CHECK: Check"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00109"></a>00109       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495587828d5900b5444e069883ec902d238b9">OFX_PAYMENT</a>)
+<a name="l00109"></a>00109       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5844e13043cd858cc10e0d298c21373ce3">OFX_PAYMENT</a>)
 <a name="l00110"></a>00110         strncpy(dest_string, <span class="stringliteral">"PAYMENT: Electronic payment"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00111"></a>00111       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558d27aa01a1303dbe4ca3ce42fbe9969ef">OFX_CASH</a>)
+<a name="l00111"></a>00111       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a584bef7088f38bcefd900bacc7956f969a">OFX_CASH</a>)
 <a name="l00112"></a>00112         strncpy(dest_string, <span class="stringliteral">"CASH: Cash withdrawal"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00113"></a>00113       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558758d2ba066ef003e65ba76ef5832b034">OFX_DIRECTDEP</a>)
+<a name="l00113"></a>00113       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a581eec1a02b6945ca4ab70e79c617b97ed">OFX_DIRECTDEP</a>)
 <a name="l00114"></a>00114         strncpy(dest_string, <span class="stringliteral">"DIRECTDEP: Direct deposit"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00115"></a>00115       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558af3209cdaabb76a55753a8541631b0e0">OFX_DIRECTDEBIT</a>)
+<a name="l00115"></a>00115       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58c66a49bd7d3e0e14a88c2ea30941efef">OFX_DIRECTDEBIT</a>)
 <a name="l00116"></a>00116         strncpy(dest_string, <span class="stringliteral">"DIRECTDEBIT: Merchant initiated debit"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00117"></a>00117       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd94955845f08c8c3ef4fccc0650fed7eb9d780f">OFX_REPEATPMT</a>)
+<a name="l00117"></a>00117       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58f2b3f6d44dd25fd77be05880ec2a4edf">OFX_REPEATPMT</a>)
 <a name="l00118"></a>00118         strncpy(dest_string, <span class="stringliteral">"REPEATPMT: Repeating payment/standing order"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00119"></a>00119       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd9495584a03af9af6e412d154610c9ab7998bc3">OFX_OTHER</a>)
+<a name="l00119"></a>00119       <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a>==<a class="code" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a5867e1508a2089ea04720e582036f45101">OFX_OTHER</a>)
 <a name="l00120"></a>00120         strncpy(dest_string, <span class="stringliteral">"OTHER: Other"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00121"></a>00121       <span class="keywordflow">else</span>
 <a name="l00122"></a>00122         strncpy(dest_string, <span class="stringliteral">"Unknown transaction type"</span>, <span class="keyword">sizeof</span>(dest_string));
@@ -128,212 +124,212 @@
 <a name="l00124"></a>00124     }
 <a name="l00125"></a>00125 
 <a name="l00126"></a>00126   
-<a name="l00127"></a>00127   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">date_initiated_valid</a>==<span class="keyword">true</span>){
-<a name="l00128"></a>00128     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">date_initiated</a>)));
+<a name="l00127"></a>00127   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a>==<span class="keyword">true</span>){
+<a name="l00128"></a>00128     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a>)));
 <a name="l00129"></a>00129     cout&lt;&lt;<span class="stringliteral">"    Date initiated: "</span>&lt;&lt;dest_string&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00130"></a>00130   }
-<a name="l00131"></a>00131   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">date_posted_valid</a>==<span class="keyword">true</span>){
-<a name="l00132"></a>00132     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">date_posted</a>)));
+<a name="l00131"></a>00131   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a>==<span class="keyword">true</span>){
+<a name="l00132"></a>00132     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a>)));
 <a name="l00133"></a>00133     cout&lt;&lt;<span class="stringliteral">"    Date posted: "</span>&lt;&lt;dest_string&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00134"></a>00134   }
-<a name="l00135"></a>00135   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#a279f61654ffc1119f4a7a0475314b8f">date_funds_available_valid</a>==<span class="keyword">true</span>){
-<a name="l00136"></a>00136     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxTransactionData.html#be9a3435e5c27396714b915bbec892d9">date_funds_available</a>)));
+<a name="l00135"></a>00135   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">date_funds_available_valid</a>==<span class="keyword">true</span>){
+<a name="l00136"></a>00136     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">date_funds_available</a>)));
 <a name="l00137"></a>00137     cout&lt;&lt;<span class="stringliteral">"    Date funds are available: "</span>&lt;&lt;dest_string&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00138"></a>00138   }
-<a name="l00139"></a>00139   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">amount_valid</a>==<span class="keyword">true</span>){
-<a name="l00140"></a>00140     cout&lt;&lt;<span class="stringliteral">"    Total money amount: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00139"></a>00139   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a>==<span class="keyword">true</span>){
+<a name="l00140"></a>00140     cout&lt;&lt;<span class="stringliteral">"    Total money amount: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00141"></a>00141   }
-<a name="l00142"></a>00142   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">units_valid</a>==<span class="keyword">true</span>){
-<a name="l00143"></a>00143     cout&lt;&lt;<span class="stringliteral">"    # of units: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">units</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00142"></a>00142   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a>==<span class="keyword">true</span>){
+<a name="l00143"></a>00143     cout&lt;&lt;<span class="stringliteral">"    # of units: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00144"></a>00144   }
-<a name="l00145"></a>00145   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#5129a4ab98abe2227338d4d5cef94e53">oldunits_valid</a>==<span class="keyword">true</span>){
-<a name="l00146"></a>00146     cout&lt;&lt;<span class="stringliteral">"    # of units before split: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#57a0bf358659ac3c28eb330ae8c0abb9">oldunits</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00145"></a>00145   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">oldunits_valid</a>==<span class="keyword">true</span>){
+<a name="l00146"></a>00146     cout&lt;&lt;<span class="stringliteral">"    # of units before split: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">oldunits</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00147"></a>00147   }
-<a name="l00148"></a>00148   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#fd317e28426dce6b508872d5a15d1651">newunits_valid</a>==<span class="keyword">true</span>){
-<a name="l00149"></a>00149     cout&lt;&lt;<span class="stringliteral">"    # of units after split: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#f0b75e90de07492e9aed6a57d879e358">newunits</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00148"></a>00148   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">newunits_valid</a>==<span class="keyword">true</span>){
+<a name="l00149"></a>00149     cout&lt;&lt;<span class="stringliteral">"    # of units after split: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">newunits</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00150"></a>00150   }
-<a name="l00151"></a>00151   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">unitprice_valid</a>==<span class="keyword">true</span>){
-<a name="l00152"></a>00152     cout&lt;&lt;<span class="stringliteral">"    Unit price: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">unitprice</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00151"></a>00151   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a>==<span class="keyword">true</span>){
+<a name="l00152"></a>00152     cout&lt;&lt;<span class="stringliteral">"    Unit price: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00153"></a>00153   }
-<a name="l00154"></a>00154   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#fed8f3953c6f8d1d346be5c61501a93e">fees_valid</a>==<span class="keyword">true</span>){
-<a name="l00155"></a>00155     cout&lt;&lt;<span class="stringliteral">"    Fees: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#e3ec90702e1e5abbae847c77eb9cfc0e">fees</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00154"></a>00154   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">fees_valid</a>==<span class="keyword">true</span>){
+<a name="l00155"></a>00155     cout&lt;&lt;<span class="stringliteral">"    Fees: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">fees</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00156"></a>00156   }
-<a name="l00157"></a>00157   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#86d8e5fc00290bb173c1b6b948c35dd3">commission_valid</a>==<span class="keyword">true</span>){
-<a name="l00158"></a>00158     cout&lt;&lt;<span class="stringliteral">"    Commission: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#37fb3882c1bc7079e47d2007af1ca028">commission</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00157"></a>00157   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">commission_valid</a>==<span class="keyword">true</span>){
+<a name="l00158"></a>00158     cout&lt;&lt;<span class="stringliteral">"    Commission: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">commission</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00159"></a>00159   }
-<a name="l00160"></a>00160   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#9922d2151c43440ffe643fbf8cc1bb36">fi_id_valid</a>==<span class="keyword">true</span>){
-<a name="l00161"></a>00161     cout&lt;&lt;<span class="stringliteral">"    Financial institution's ID for this transaction: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">fi_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00160"></a>00160   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">fi_id_valid</a>==<span class="keyword">true</span>){
+<a name="l00161"></a>00161     cout&lt;&lt;<span class="stringliteral">"    Financial institution's ID for this transaction: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00162"></a>00162   }
-<a name="l00163"></a>00163   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#760693682215d56c510ddf222514d18e">fi_id_corrected_valid</a>==<span class="keyword">true</span>){
-<a name="l00164"></a>00164     cout&lt;&lt;<span class="stringliteral">"    Financial institution ID replaced or corrected by this transaction: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#9db59281d0b9883e307da469e45c5e25">fi_id_corrected</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00163"></a>00163   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">fi_id_corrected_valid</a>==<span class="keyword">true</span>){
+<a name="l00164"></a>00164     cout&lt;&lt;<span class="stringliteral">"    Financial institution ID replaced or corrected by this transaction: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">fi_id_corrected</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00165"></a>00165   }
-<a name="l00166"></a>00166   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">fi_id_correction_action_valid</a>==<span class="keyword">true</span>){
+<a name="l00166"></a>00166   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a>==<span class="keyword">true</span>){
 <a name="l00167"></a>00167     cout&lt;&lt;<span class="stringliteral">"    Action to take on the corrected transaction: "</span>;
-<a name="l00168"></a>00168     <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">fi_id_correction_action</a>==<a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4a72b9e19493d96bbc10805f6275887a2">DELETE</a>)
+<a name="l00168"></a>00168     <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>==<a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b239d61e82a9a12752f10aece1b22183913">DELETE</a>)
 <a name="l00169"></a>00169       cout&lt;&lt;<span class="stringliteral">"DELETE\n"</span>;
-<a name="l00170"></a>00170     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">fi_id_correction_action</a>==<a class="code" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c480200a9fd5bc3d9f7e7c69503f46f147">REPLACE</a>)
+<a name="l00170"></a>00170     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a>==<a class="code" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23765ae4f8f09e8a28e363acc11643ed91">REPLACE</a>)
 <a name="l00171"></a>00171       cout&lt;&lt;<span class="stringliteral">"REPLACE\n"</span>;
 <a name="l00172"></a>00172     <span class="keywordflow">else</span>
 <a name="l00173"></a>00173       cout&lt;&lt;<span class="stringliteral">"ofx_proc_transaction(): This should not happen!\n"</span>;
 <a name="l00174"></a>00174     }
-<a name="l00175"></a>00175   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">invtransactiontype_valid</a>==<span class="keyword">true</span>){
+<a name="l00175"></a>00175   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a>==<span class="keyword">true</span>){
 <a name="l00176"></a>00176     cout&lt;&lt;<span class="stringliteral">"    Investment transaction type: "</span>;
-<a name="l00177"></a>00177     <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037405faf3fbc528673f56dee51f75d1a098">OFX_BUYDEBT</a>)
+<a name="l00177"></a>00177     <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9acd5730f4a72716618d96d3a6d2b262ce">OFX_BUYDEBT</a>)
 <a name="l00178"></a>00178       strncpy(dest_string, <span class="stringliteral">"BUYDEBT (Buy debt security)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00179"></a>00179     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374203f676b1ac84c69f2b59412d46c0f14">OFX_BUYMF</a>)
+<a name="l00179"></a>00179     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5080491f5fa7ddc55cdbe95a4dd4e13d">OFX_BUYMF</a>)
 <a name="l00180"></a>00180       strncpy(dest_string, <span class="stringliteral">"BUYMF (Buy mutual fund)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00181"></a>00181     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374ce960f3d909aa7ee42b91ba0b863f3db">OFX_BUYOPT</a>)
+<a name="l00181"></a>00181     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a187de74ac99d22a40c4a729b9818d9af">OFX_BUYOPT</a>)
 <a name="l00182"></a>00182       strncpy(dest_string, <span class="stringliteral">"BUYOPT (Buy option)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00183"></a>00183     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745ff1d0da13b0af2865e01917ff9ebd9e">OFX_BUYOTHER</a>)
+<a name="l00183"></a>00183     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abad732e7c44a086f3e00ceda9647bb61">OFX_BUYOTHER</a>)
 <a name="l00184"></a>00184       strncpy(dest_string, <span class="stringliteral">"BUYOTHER (Buy other security type)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00185"></a>00185     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003740d7cd5e26ecac0a2e154c95fe7aa518b">OFX_BUYSTOCK</a>)
+<a name="l00185"></a>00185     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a8ef716d05c633cbfa30732693342c067">OFX_BUYSTOCK</a>)
 <a name="l00186"></a>00186       strncpy(dest_string, <span class="stringliteral">"BUYSTOCK (Buy stock))"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00187"></a>00187     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cdc356b212b7552b2add5cd791801e57">OFX_CLOSUREOPT</a>)
+<a name="l00187"></a>00187     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a286ba6b0fb14e77a4589f48c76859d15">OFX_CLOSUREOPT</a>)
 <a name="l00188"></a>00188       strncpy(dest_string, <span class="stringliteral">"CLOSUREOPT (Close a position for an option)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00189"></a>00189     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374cba1b8a53a8f758f63fdeb38ffd1652a">OFX_INCOME</a>)
+<a name="l00189"></a>00189     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9add6975f464a6e9bbecc379c23715b1f4">OFX_INCOME</a>)
 <a name="l00190"></a>00190       strncpy(dest_string, <span class="stringliteral">"INCOME (Investment income is realized as cash into the investment account)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00191"></a>00191     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749307af15c28071d2e651ca7b9e1f4215">OFX_INVEXPENSE</a>)
+<a name="l00191"></a>00191     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b481fb9322a73f2b65dc0324b47f301">OFX_INVEXPENSE</a>)
 <a name="l00192"></a>00192       strncpy(dest_string, <span class="stringliteral">"INVEXPENSE (Misc investment expense that is associated with a specific security)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00193"></a>00193     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c8e1b1d92b89c41da5be4ec4b3a5c65">OFX_JRNLFUND</a>)
+<a name="l00193"></a>00193     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a36b26544c7c44b9224dae0b5c22e8921">OFX_JRNLFUND</a>)
 <a name="l00194"></a>00194       strncpy(dest_string, <span class="stringliteral">"JRNLFUND (Journaling cash holdings between subaccounts within the same investment account)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00195"></a>00195     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374fb941a12677ee3f3681cbea7ab0e8734">OFX_MARGININTEREST</a>)
+<a name="l00195"></a>00195     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a1333af6e27ff41e8cee0d3df91eeb670">OFX_MARGININTEREST</a>)
 <a name="l00196"></a>00196       strncpy(dest_string, <span class="stringliteral">"MARGININTEREST (Margin interest expense)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00197"></a>00197     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003745d8b2274fa677749625541532038ed0b">OFX_REINVEST</a>)
+<a name="l00197"></a>00197     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a5b3103b720f1ed583b4c7c37cff29ba5">OFX_REINVEST</a>)
 <a name="l00198"></a>00198       strncpy(dest_string, <span class="stringliteral">"REINVEST (Reinvestment of income)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00199"></a>00199     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374f3c87b93fbf0cee1894dd695ee384e25">OFX_RETOFCAP</a>)
+<a name="l00199"></a>00199     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a89fbfaa13ffe892a59ea5a0a6de2852f">OFX_RETOFCAP</a>)
 <a name="l00200"></a>00200       strncpy(dest_string, <span class="stringliteral">"RETOFCAP (Return of capital)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00201"></a>00201     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749c50a91f1c622c1fc572b108ce5e53a8">OFX_SELLDEBT</a>)
+<a name="l00201"></a>00201     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9abb8893f07c3b2805756ae3a0576c9faf">OFX_SELLDEBT</a>)
 <a name="l00202"></a>00202       strncpy(dest_string, <span class="stringliteral">"SELLDEBT (Sell debt security.  Used when debt is sold, called, or reached maturity)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00203"></a>00203     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003749013ca5727c6966ea4f68857c9c436e0">OFX_SELLMF</a>)
+<a name="l00203"></a>00203     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9aeaf4c2048e80006d64f8745a35d9a5d2">OFX_SELLMF</a>)
 <a name="l00204"></a>00204       strncpy(dest_string, <span class="stringliteral">"SELLMF (Sell mutual fund)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00205"></a>00205     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d003743cc1e3c0b64e11003c5632bca8ceb04d">OFX_SELLOPT</a>)
+<a name="l00205"></a>00205     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9af901fd66d28c4fb4d4674fc390220dd3">OFX_SELLOPT</a>)
 <a name="l00206"></a>00206       strncpy(dest_string, <span class="stringliteral">"SELLOPT (Sell option)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00207"></a>00207     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037465cf7dd68d8f6844cbfce73f69d862b7">OFX_SELLOTHER</a>)
+<a name="l00207"></a>00207     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a086af37ecfddc67298ce673baa68b0d7">OFX_SELLOTHER</a>)
 <a name="l00208"></a>00208       strncpy(dest_string, <span class="stringliteral">"SELLOTHER (Sell other type of security)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00209"></a>00209     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d0037488854f2a8d30c01f4c8db14891353ad2">OFX_SELLSTOCK</a>)
+<a name="l00209"></a>00209     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a7290671301c8a921dbaec78c1696081c">OFX_SELLSTOCK</a>)
 <a name="l00210"></a>00210       strncpy(dest_string, <span class="stringliteral">"SELLSTOCK (Sell stock)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00211"></a>00211     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374e84fada3eecb1e4f1b769d3e35c02fc0">OFX_SPLIT</a>)
+<a name="l00211"></a>00211     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a56ffcc01a862ba46e956704a8a6bdf99">OFX_SPLIT</a>)
 <a name="l00212"></a>00212       strncpy(dest_string, <span class="stringliteral">"SPLIT (Stock or mutial fund split)"</span>, <span class="keyword">sizeof</span>(dest_string));
-<a name="l00213"></a>00213     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374bc0288addb0c96c6843893b3dc333236">OFX_TRANSFER</a>)
+<a name="l00213"></a>00213     <span class="keywordflow">else</span> <span class="keywordflow">if</span> (data.<a class="code" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a>==<a class="code" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9ae53ae4c2d7f1ef0914f55816161ad6b1">OFX_TRANSFER</a>)
 <a name="l00214"></a>00214       strncpy(dest_string, <span class="stringliteral">"TRANSFER (Transfer holdings in and out of the investment account)"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00215"></a>00215     <span class="keywordflow">else</span> 
 <a name="l00216"></a>00216       strncpy(dest_string, <span class="stringliteral">"ERROR, this investment transaction type is unknown.  This is a bug in ofxdump"</span>, <span class="keyword">sizeof</span>(dest_string));
 <a name="l00217"></a>00217     
 <a name="l00218"></a>00218     cout&lt;&lt;dest_string&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00219"></a>00219   }
-<a name="l00220"></a>00220   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">unique_id_valid</a>==<span class="keyword">true</span>){
-<a name="l00221"></a>00221     cout&lt;&lt;<span class="stringliteral">"    Unique ID of the security being traded: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">unique_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00220"></a>00220   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a>==<span class="keyword">true</span>){
+<a name="l00221"></a>00221     cout&lt;&lt;<span class="stringliteral">"    Unique ID of the security being traded: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00222"></a>00222   }
-<a name="l00223"></a>00223   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#7470f4b24458c5fc1ae4d32e04578832">unique_id_type_valid</a>==<span class="keyword">true</span>){
-<a name="l00224"></a>00224     cout&lt;&lt;<span class="stringliteral">"    Format of the Unique ID: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">unique_id_type</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00223"></a>00223   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">unique_id_type_valid</a>==<span class="keyword">true</span>){
+<a name="l00224"></a>00224     cout&lt;&lt;<span class="stringliteral">"    Format of the Unique ID: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00225"></a>00225   }
-<a name="l00226"></a>00226   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#e778083e6550c520a2855a28367cd4cb">security_data_valid</a>==<span class="keyword">true</span>){
-<a name="l00227"></a>00227     <a class="code" href="ofxdump_8cpp.html#317e6b33ec82269ba18956494a5254d3">ofx_proc_security_cb</a>(*(data.<a class="code" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">security_data_ptr</a>), NULL );
+<a name="l00226"></a>00226   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">security_data_valid</a>==<span class="keyword">true</span>){
+<a name="l00227"></a>00227     <a class="code" href="ofxdump_8cpp.html#a7664a0520b502d7592e282a29e391b3">ofx_proc_security_cb</a>(*(data.<a class="code" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a>), NULL );
 <a name="l00228"></a>00228   }
 <a name="l00229"></a>00229 
-<a name="l00230"></a>00230   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#ac773a8cfd36ea8dcbff4a0173a5178d">server_transaction_id_valid</a>==<span class="keyword">true</span>){
-<a name="l00231"></a>00231     cout&lt;&lt;<span class="stringliteral">"    Server's transaction ID (confirmation number): "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">server_transaction_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00230"></a>00230   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">server_transaction_id_valid</a>==<span class="keyword">true</span>){
+<a name="l00231"></a>00231     cout&lt;&lt;<span class="stringliteral">"    Server's transaction ID (confirmation number): "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00232"></a>00232   }
-<a name="l00233"></a>00233   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#8b49156636e8dc3b1f56ae91955765b4">check_number_valid</a>==<span class="keyword">true</span>){
-<a name="l00234"></a>00234     cout&lt;&lt;<span class="stringliteral">"    Check number: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">check_number</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00233"></a>00233   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">check_number_valid</a>==<span class="keyword">true</span>){
+<a name="l00234"></a>00234     cout&lt;&lt;<span class="stringliteral">"    Check number: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00235"></a>00235   }
-<a name="l00236"></a>00236   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#6cca71dde5d0ced4458e4cc4d9be17e5">reference_number_valid</a>==<span class="keyword">true</span>){
-<a name="l00237"></a>00237     cout&lt;&lt;<span class="stringliteral">"    Reference number: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">reference_number</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00236"></a>00236   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">reference_number_valid</a>==<span class="keyword">true</span>){
+<a name="l00237"></a>00237     cout&lt;&lt;<span class="stringliteral">"    Reference number: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00238"></a>00238   }
-<a name="l00239"></a>00239   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#84c2f46550c8158d87074bba6d57d592">standard_industrial_code_valid</a>==<span class="keyword">true</span>){
-<a name="l00240"></a>00240     cout&lt;&lt;<span class="stringliteral">"    Standard Industrial Code: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#3283c78f62957daba020a89f5f5ff632">standard_industrial_code</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00239"></a>00239   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">standard_industrial_code_valid</a>==<span class="keyword">true</span>){
+<a name="l00240"></a>00240     cout&lt;&lt;<span class="stringliteral">"    Standard Industrial Code: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">standard_industrial_code</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00241"></a>00241   }
-<a name="l00242"></a>00242   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#b2bdd11a3085660e89da09c86aeb9643">payee_id_valid</a>==<span class="keyword">true</span>){
-<a name="l00243"></a>00243     cout&lt;&lt;<span class="stringliteral">"    Payee_id: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">payee_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00242"></a>00242   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">payee_id_valid</a>==<span class="keyword">true</span>){
+<a name="l00243"></a>00243     cout&lt;&lt;<span class="stringliteral">"    Payee_id: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00244"></a>00244   }
-<a name="l00245"></a>00245   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#b3c75cdec303b138889b3de61e75c869">name_valid</a>==<span class="keyword">true</span>){
-<a name="l00246"></a>00246     cout&lt;&lt;<span class="stringliteral">"    Name of payee or transaction description: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">name</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00245"></a>00245   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">name_valid</a>==<span class="keyword">true</span>){
+<a name="l00246"></a>00246     cout&lt;&lt;<span class="stringliteral">"    Name of payee or transaction description: "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00247"></a>00247   }
-<a name="l00248"></a>00248   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#eccceb6745312b5bdcd919056e7d987f">memo_valid</a>==<span class="keyword">true</span>){
-<a name="l00249"></a>00249     cout&lt;&lt;<span class="stringliteral">"    Extra transaction information (memo): "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">memo</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00248"></a>00248   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">memo_valid</a>==<span class="keyword">true</span>){
+<a name="l00249"></a>00249     cout&lt;&lt;<span class="stringliteral">"    Extra transaction information (memo): "</span>&lt;&lt;data.<a class="code" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00250"></a>00250   }
 <a name="l00251"></a>00251   cout&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00252"></a>00252   <span class="keywordflow">return</span> 0;
 <a name="l00253"></a>00253 }<span class="comment">//end ofx_proc_transaction()</span>
 <a name="l00254"></a>00254 
-<a name="l00255"></a><a class="code" href="ofxdump_8cpp.html#33302bd3ca5e36839ab0793cdc6441d4">00255</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#2753e6e37777c57b5346642b06142cd4">ofx_proc_statement_cb</a>(<span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html">OfxStatementData</a> data, <span class="keywordtype">void</span> * statement_data)
+<a name="l00255"></a><a class="code" href="ofxdump_8cpp.html#1bde0ef62b6d4a3381e09225bc73dc77">00255</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#8f46bf3d68bbd9cc9d6471d310168b45">ofx_proc_statement_cb</a>(<span class="keyword">struct</span> <a class="code" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> data, <span class="keywordtype">void</span> * statement_data)
 <a name="l00256"></a>00256 {
 <a name="l00257"></a>00257   <span class="keywordtype">char</span> dest_string[255];
 <a name="l00258"></a>00258   cout&lt;&lt;<span class="stringliteral">"ofx_proc_statement():\n"</span>;
-<a name="l00259"></a>00259   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#2e01678983fb37679da62d982932301a">currency_valid</a>==<span class="keyword">true</span>){
-<a name="l00260"></a>00260     cout&lt;&lt;<span class="stringliteral">"    Currency: "</span>&lt;&lt;data.<a class="code" href="structOfxStatementData.html#8c016ce953f1d4d3d08573f0181f7fc8">currency</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00259"></a>00259   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">currency_valid</a>==<span class="keyword">true</span>){
+<a name="l00260"></a>00260     cout&lt;&lt;<span class="stringliteral">"    Currency: "</span>&lt;&lt;data.<a class="code" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">currency</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00261"></a>00261   }
-<a name="l00262"></a>00262   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">account_id_valid</a>==<span class="keyword">true</span>){
-<a name="l00263"></a>00263     cout&lt;&lt;<span class="stringliteral">"    Account ID: "</span>&lt;&lt;data.<a class="code" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">account_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00262"></a>00262   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">account_id_valid</a>==<span class="keyword">true</span>){
+<a name="l00263"></a>00263     cout&lt;&lt;<span class="stringliteral">"    Account ID: "</span>&lt;&lt;data.<a class="code" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">account_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00264"></a>00264   }
-<a name="l00265"></a>00265   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#dc9f69ca4ccb9ce8b2ee99a633ce1663">date_start_valid</a>==<span class="keyword">true</span>){
-<a name="l00266"></a>00266     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxStatementData.html#e309f20e09668f4d0cf852f771d2cc16">date_start</a>)));
+<a name="l00265"></a>00265   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">date_start_valid</a>==<span class="keyword">true</span>){
+<a name="l00266"></a>00266     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">date_start</a>)));
 <a name="l00267"></a>00267     cout&lt;&lt;<span class="stringliteral">"    Start date of this statement: "</span>&lt;&lt;dest_string&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00268"></a>00268   }
-<a name="l00269"></a>00269   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#da9e71bfc700d9836f8ed1a0a5394d68">date_end_valid</a>==<span class="keyword">true</span>){
-<a name="l00270"></a>00270     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxStatementData.html#9a9474d4266ee8362691de638eb2b95b">date_end</a>)));
+<a name="l00269"></a>00269   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">date_end_valid</a>==<span class="keyword">true</span>){
+<a name="l00270"></a>00270     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">date_end</a>)));
 <a name="l00271"></a>00271     cout&lt;&lt;<span class="stringliteral">"    End date of this statement: "</span>&lt;&lt;dest_string&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00272"></a>00272   }
-<a name="l00273"></a>00273   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#36aa92a5090a5b005003a56d030bfe2d">ledger_balance_valid</a>==<span class="keyword">true</span>){
-<a name="l00274"></a>00274     cout&lt;&lt;<span class="stringliteral">"    Ledger balance: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">ledger_balance</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00273"></a>00273   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">ledger_balance_valid</a>==<span class="keyword">true</span>){
+<a name="l00274"></a>00274     cout&lt;&lt;<span class="stringliteral">"    Ledger balance: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">ledger_balance</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00275"></a>00275   }
-<a name="l00276"></a>00276   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#156eaa5cdf06cfbb42f671d53e32f4c8">ledger_balance_date_valid</a>==<span class="keyword">true</span>){
-<a name="l00277"></a>00277     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxStatementData.html#6c67dd7b0665b531e773f543fc7fb81c">ledger_balance_date</a>)));
+<a name="l00276"></a>00276   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#765dfa1991995af8a2c72b774df6cb6d">ledger_balance_date_valid</a>==<span class="keyword">true</span>){
+<a name="l00277"></a>00277     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxStatementData.html#57f9892d09da4a6d69c44b7f9af45fc0">ledger_balance_date</a>)));
 <a name="l00278"></a>00278     cout&lt;&lt;<span class="stringliteral">"    Ledger balance date: "</span>&lt;&lt;dest_string&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00279"></a>00279   }
-<a name="l00280"></a>00280   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#2b21efec7e7c885db13af63230c1a76d">available_balance_valid</a>==<span class="keyword">true</span>){
-<a name="l00281"></a>00281     cout&lt;&lt;<span class="stringliteral">"    Available balance: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxStatementData.html#da9c55ec9c74912447df814e9d4cca91">available_balance</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00280"></a>00280   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">available_balance_valid</a>==<span class="keyword">true</span>){
+<a name="l00281"></a>00281     cout&lt;&lt;<span class="stringliteral">"    Available balance: "</span>&lt;&lt;setiosflags(ios::fixed)&lt;&lt;setiosflags(ios::showpoint)&lt;&lt;setprecision(2)&lt;&lt;data.<a class="code" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">available_balance</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00282"></a>00282   }
-<a name="l00283"></a>00283   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#b43a960e67c71cd8b7c91376ca12d462">available_balance_date_valid</a>==<span class="keyword">true</span>){
-<a name="l00284"></a>00284     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxStatementData.html#bbed79d9d703d99258707077ec8fb237">available_balance_date</a>)));
+<a name="l00283"></a>00283   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#4c2936f050f1cacd32e11e294dd96de6">available_balance_date_valid</a>==<span class="keyword">true</span>){
+<a name="l00284"></a>00284     strftime(dest_string,<span class="keyword">sizeof</span>(dest_string),<span class="stringliteral">"%c %Z"</span>,localtime(&amp;(data.<a class="code" href="structOfxStatementData.html#5062a88aaae023cd5506db8991187c1c">available_balance_date</a>)));
 <a name="l00285"></a>00285     cout&lt;&lt;<span class="stringliteral">"    Ledger balance date: "</span>&lt;&lt;dest_string&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00286"></a>00286   }
-<a name="l00287"></a>00287   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#51882ec4112a0784458335387a2307d9">marketing_info_valid</a>==<span class="keyword">true</span>){
-<a name="l00288"></a>00288     cout&lt;&lt;<span class="stringliteral">"    Marketing information: "</span>&lt;&lt;data.<a class="code" href="structOfxStatementData.html#fb61c45788b7da6fde86b94c39721b35">marketing_info</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00287"></a>00287   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">marketing_info_valid</a>==<span class="keyword">true</span>){
+<a name="l00288"></a>00288     cout&lt;&lt;<span class="stringliteral">"    Marketing information: "</span>&lt;&lt;data.<a class="code" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">marketing_info</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00289"></a>00289   }
 <a name="l00290"></a>00290   cout&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00291"></a>00291   <span class="keywordflow">return</span> 0;
 <a name="l00292"></a>00292 }<span class="comment">//end ofx_proc_statement()</span>
 <a name="l00293"></a>00293 
-<a name="l00294"></a><a class="code" href="ofxdump_8cpp.html#814545865a019ace576eb0d97157d4be">00294</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#fbd0b9b3f10494320ba3601ab56c5c2d">ofx_proc_account_cb</a>(<span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html">OfxAccountData</a> data, <span class="keywordtype">void</span> * account_data)
+<a name="l00294"></a><a class="code" href="ofxdump_8cpp.html#9473bc2a5282ec3d70de240a2e5aac26">00294</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#38eb5d0ff22f171823f8d507255460bd">ofx_proc_account_cb</a>(<span class="keyword">struct</span> <a class="code" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> data, <span class="keywordtype">void</span> * account_data)
 <a name="l00295"></a>00295 {
 <a name="l00296"></a>00296   cout&lt;&lt;<span class="stringliteral">"ofx_proc_account():\n"</span>;
-<a name="l00297"></a>00297   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">account_id_valid</a>==<span class="keyword">true</span>){
-<a name="l00298"></a>00298     cout&lt;&lt;<span class="stringliteral">"    Account ID: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
-<a name="l00299"></a>00299     cout&lt;&lt;<span class="stringliteral">"    Account name: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00297"></a>00297   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a>==<span class="keyword">true</span>){
+<a name="l00298"></a>00298     cout&lt;&lt;<span class="stringliteral">"    Account ID: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00299"></a>00299     cout&lt;&lt;<span class="stringliteral">"    Account name: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00300"></a>00300   }
-<a name="l00301"></a>00301   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a>==<span class="keyword">true</span>){
+<a name="l00301"></a>00301   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a>==<span class="keyword">true</span>){
 <a name="l00302"></a>00302     cout&lt;&lt;<span class="stringliteral">"    Account type: "</span>;
-<a name="l00303"></a>00303     <span class="keywordflow">switch</span>(data.<a class="code" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a>){
-<a name="l00304"></a>00304     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9">OfxAccountData::OFX_CHECKING</a> : cout&lt;&lt;<span class="stringliteral">"CHECKING\n"</span>;
+<a name="l00303"></a>00303     <span class="keywordflow">switch</span>(data.<a class="code" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a>){
+<a name="l00304"></a>00304     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OfxAccountData::OFX_CHECKING</a> : cout&lt;&lt;<span class="stringliteral">"CHECKING\n"</span>;
 <a name="l00305"></a>00305       <span class="keywordflow">break</span>;
-<a name="l00306"></a>00306     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957">OfxAccountData::OFX_SAVINGS</a> : cout&lt;&lt;<span class="stringliteral">"SAVINGS\n"</span>;
+<a name="l00306"></a>00306     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OfxAccountData::OFX_SAVINGS</a> : cout&lt;&lt;<span class="stringliteral">"SAVINGS\n"</span>;
 <a name="l00307"></a>00307       <span class="keywordflow">break</span>;
-<a name="l00308"></a>00308     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493">OfxAccountData::OFX_MONEYMRKT</a> : cout&lt;&lt;<span class="stringliteral">"MONEYMRKT\n"</span>;
+<a name="l00308"></a>00308     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OfxAccountData::OFX_MONEYMRKT</a> : cout&lt;&lt;<span class="stringliteral">"MONEYMRKT\n"</span>;
 <a name="l00309"></a>00309       <span class="keywordflow">break</span>;
-<a name="l00310"></a>00310     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89">OfxAccountData::OFX_CREDITLINE</a> : cout&lt;&lt;<span class="stringliteral">"CREDITLINE\n"</span>;
+<a name="l00310"></a>00310     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OfxAccountData::OFX_CREDITLINE</a> : cout&lt;&lt;<span class="stringliteral">"CREDITLINE\n"</span>;
 <a name="l00311"></a>00311       <span class="keywordflow">break</span>;
-<a name="l00312"></a>00312     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f">OfxAccountData::OFX_CMA</a> : cout&lt;&lt;<span class="stringliteral">"CMA\n"</span>;
+<a name="l00312"></a>00312     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OfxAccountData::OFX_CMA</a> : cout&lt;&lt;<span class="stringliteral">"CMA\n"</span>;
 <a name="l00313"></a>00313       <span class="keywordflow">break</span>;
-<a name="l00314"></a>00314     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471">OfxAccountData::OFX_CREDITCARD</a> : cout&lt;&lt;<span class="stringliteral">"CREDITCARD\n"</span>;
+<a name="l00314"></a>00314     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OfxAccountData::OFX_CREDITCARD</a> : cout&lt;&lt;<span class="stringliteral">"CREDITCARD\n"</span>;
 <a name="l00315"></a>00315       <span class="keywordflow">break</span>;
-<a name="l00316"></a>00316     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">OfxAccountData::OFX_INVESTMENT</a> : cout&lt;&lt;<span class="stringliteral">"INVESTMENT\n"</span>;
+<a name="l00316"></a>00316     <span class="keywordflow">case</span> <a class="code" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OfxAccountData::OFX_INVESTMENT</a> : cout&lt;&lt;<span class="stringliteral">"INVESTMENT\n"</span>;
 <a name="l00317"></a>00317       <span class="keywordflow">break</span>;
 <a name="l00318"></a>00318     <span class="keywordflow">default</span>: cout&lt;&lt;<span class="stringliteral">"ofx_proc_account() WRITEME: This is an unknown account type!"</span>;
 <a name="l00319"></a>00319     }
 <a name="l00320"></a>00320   }
-<a name="l00321"></a>00321   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxAccountData.html#ec553bba34510a9085d8395ae57eb4d2">currency_valid</a>==<span class="keyword">true</span>){
-<a name="l00322"></a>00322     cout&lt;&lt;<span class="stringliteral">"    Currency: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#c32bd379c1cdf26d0dfdb0d4992ba9e0">currency</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00321"></a>00321   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a>==<span class="keyword">true</span>){
+<a name="l00322"></a>00322     cout&lt;&lt;<span class="stringliteral">"    Currency: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">currency</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00323"></a>00323   }
 <a name="l00324"></a>00324 
-<a name="l00325"></a>00325   <span class="keywordflow">if</span> (data.<a class="code" href="structOfxAccountData.html#383072a07037bd2a6e3b3bdd2dd8ce68">bank_id_valid</a>)
-<a name="l00326"></a>00326     cout&lt;&lt;<span class="stringliteral">"    Bank ID: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#b52ce38f9b338995155193e251a913eb">bank_id</a> &lt;&lt; endl;;
+<a name="l00325"></a>00325   <span class="keywordflow">if</span> (data.<a class="code" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">bank_id_valid</a>)
+<a name="l00326"></a>00326     cout&lt;&lt;<span class="stringliteral">"    Bank ID: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a> &lt;&lt; endl;;
 <a name="l00327"></a>00327 
-<a name="l00328"></a>00328   <span class="keywordflow">if</span> (data.<a class="code" href="structOfxAccountData.html#a90da480f5333cb62e65abff64fc8ca1">branch_id_valid</a>)
-<a name="l00329"></a>00329     cout&lt;&lt;<span class="stringliteral">"    Branch ID: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#392911775b01dcd1fa08f8aae8d6354b">branch_id</a> &lt;&lt; endl;
+<a name="l00328"></a>00328   <span class="keywordflow">if</span> (data.<a class="code" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">branch_id_valid</a>)
+<a name="l00329"></a>00329     cout&lt;&lt;<span class="stringliteral">"    Branch ID: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">branch_id</a> &lt;&lt; endl;
 <a name="l00330"></a>00330 
-<a name="l00331"></a>00331   <span class="keywordflow">if</span> (data.<a class="code" href="structOfxAccountData.html#4f3d55c94002500f9f3e3b398a71f9b0">account_number_valid</a>)
-<a name="l00332"></a>00332     cout&lt;&lt;<span class="stringliteral">"    Account #: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#4055a6a7c29f5d7227a21143c15827cc">account_number</a> &lt;&lt; endl;
+<a name="l00331"></a>00331   <span class="keywordflow">if</span> (data.<a class="code" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">account_number_valid</a>)
+<a name="l00332"></a>00332     cout&lt;&lt;<span class="stringliteral">"    Account #: "</span>&lt;&lt;data.<a class="code" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> &lt;&lt; endl;
 <a name="l00333"></a>00333 
 <a name="l00334"></a>00334   cout&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00335"></a>00335   <span class="keywordflow">return</span> 0;
@@ -341,45 +337,45 @@
 <a name="l00337"></a>00337 
 <a name="l00338"></a>00338 
 <a name="l00339"></a>00339 
-<a name="l00340"></a><a class="code" href="ofxdump_8cpp.html#3df9fcb280a930ef711bdec9288b9cc8">00340</a> <span class="keywordtype">int</span> <a class="code" href="ofxdump_8cpp.html#3df9fcb280a930ef711bdec9288b9cc8">ofx_proc_status_cb</a>(<span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html">OfxStatusData</a> data, <span class="keywordtype">void</span> * status_data)
+<a name="l00340"></a><a class="code" href="ofxdump_8cpp.html#a069e96633e6527f5adb8635968eb471">00340</a> <span class="keywordtype">int</span> <a class="code" href="ofxdump_8cpp.html#a069e96633e6527f5adb8635968eb471">ofx_proc_status_cb</a>(<span class="keyword">struct</span> <a class="code" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> data, <span class="keywordtype">void</span> * status_data)
 <a name="l00341"></a>00341 {
 <a name="l00342"></a>00342   cout&lt;&lt;<span class="stringliteral">"ofx_proc_status():\n"</span>;
-<a name="l00343"></a>00343   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatusData.html#39fa34d1bc8c87c27b118479cecd5bf6">ofx_element_name_valid</a>==<span class="keyword">true</span>){
-<a name="l00344"></a>00344     cout&lt;&lt;<span class="stringliteral">"    Ofx entity this status is relevent to: "</span>&lt;&lt; data.<a class="code" href="structOfxStatusData.html#659b7102e14a4d3e02bf0757ee1b12b9">ofx_element_name</a>&lt;&lt;<span class="stringliteral">" \n"</span>;
+<a name="l00343"></a>00343   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatusData.html#011f73b45f88aac63ec44727ed6b306d">ofx_element_name_valid</a>==<span class="keyword">true</span>){
+<a name="l00344"></a>00344     cout&lt;&lt;<span class="stringliteral">"    Ofx entity this status is relevent to: "</span>&lt;&lt; data.<a class="code" href="structOfxStatusData.html#d49b449f9d4bf1746d71728cd1f5b925">ofx_element_name</a>&lt;&lt;<span class="stringliteral">" \n"</span>;
 <a name="l00345"></a>00345   }
-<a name="l00346"></a>00346   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">severity_valid</a>==<span class="keyword">true</span>){
+<a name="l00346"></a>00346   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a>==<span class="keyword">true</span>){
 <a name="l00347"></a>00347     cout&lt;&lt;<span class="stringliteral">"    Severity: "</span>;
-<a name="l00348"></a>00348     <span class="keywordflow">switch</span>(data.<a class="code" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a>){
-<a name="l00349"></a>00349     <span class="keywordflow">case</span> <a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2">OfxStatusData::INFO</a> : cout&lt;&lt;<span class="stringliteral">"INFO\n"</span>;
+<a name="l00348"></a>00348     <span class="keywordflow">switch</span>(data.<a class="code" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a>){
+<a name="l00349"></a>00349     <span class="keywordflow">case</span> <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">OfxStatusData::INFO</a> : cout&lt;&lt;<span class="stringliteral">"INFO\n"</span>;
 <a name="l00350"></a>00350       <span class="keywordflow">break</span>;
-<a name="l00351"></a>00351     <span class="keywordflow">case</span> <a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267">OfxStatusData::WARN</a> : cout&lt;&lt;<span class="stringliteral">"WARN\n"</span>;
+<a name="l00351"></a>00351     <span class="keywordflow">case</span> <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">OfxStatusData::WARN</a> : cout&lt;&lt;<span class="stringliteral">"WARN\n"</span>;
 <a name="l00352"></a>00352       <span class="keywordflow">break</span>;
-<a name="l00353"></a>00353     <span class="keywordflow">case</span> <a class="code" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8">OfxStatusData::ERROR</a> : cout&lt;&lt;<span class="stringliteral">"ERROR\n"</span>;
+<a name="l00353"></a>00353     <span class="keywordflow">case</span> <a class="code" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">OfxStatusData::ERROR</a> : cout&lt;&lt;<span class="stringliteral">"ERROR\n"</span>;
 <a name="l00354"></a>00354       <span class="keywordflow">break</span>;
 <a name="l00355"></a>00355     <span class="keywordflow">default</span>: cout&lt;&lt;<span class="stringliteral">"WRITEME: Unknown status severity!\n"</span>;
 <a name="l00356"></a>00356     }
 <a name="l00357"></a>00357   }
-<a name="l00358"></a>00358   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatusData.html#69d5e443877e2e9300197a6057060a68">code_valid</a>==<span class="keyword">true</span>){
-<a name="l00359"></a>00359     cout&lt;&lt;<span class="stringliteral">"    Code: "</span>&lt;&lt;data.<a class="code" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">code</a>&lt;&lt;<span class="stringliteral">", name: "</span>&lt;&lt;data.<a class="code" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">name</a>&lt;&lt;<span class="stringliteral">"\n    Description: "</span>&lt;&lt;data.<a class="code" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">description</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00358"></a>00358   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">code_valid</a>==<span class="keyword">true</span>){
+<a name="l00359"></a>00359     cout&lt;&lt;<span class="stringliteral">"    Code: "</span>&lt;&lt;data.<a class="code" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a>&lt;&lt;<span class="stringliteral">", name: "</span>&lt;&lt;data.<a class="code" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">name</a>&lt;&lt;<span class="stringliteral">"\n    Description: "</span>&lt;&lt;data.<a class="code" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">description</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00360"></a>00360   }
-<a name="l00361"></a>00361   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">server_message_valid</a>==<span class="keyword">true</span>){
-<a name="l00362"></a>00362     cout&lt;&lt;<span class="stringliteral">"    Server Message: "</span>&lt;&lt;data.<a class="code" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
+<a name="l00361"></a>00361   <span class="keywordflow">if</span>(data.<a class="code" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a>==<span class="keyword">true</span>){
+<a name="l00362"></a>00362     cout&lt;&lt;<span class="stringliteral">"    Server Message: "</span>&lt;&lt;data.<a class="code" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a>&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00363"></a>00363   }
 <a name="l00364"></a>00364   cout&lt;&lt;<span class="stringliteral">"\n"</span>;
 <a name="l00365"></a>00365   <span class="keywordflow">return</span> 0;
 <a name="l00366"></a>00366 }
 <a name="l00367"></a>00367 
 <a name="l00368"></a>00368 
-<a name="l00369"></a><a class="code" href="ofxdump_8cpp.html#28052c36c3b61c6c0eaa18f5d226118f">00369</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#28052c36c3b61c6c0eaa18f5d226118f">main</a> (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
+<a name="l00369"></a><a class="code" href="ofxdump_8cpp.html#0ddf1224851353fc92bfbff6f499fa97">00369</a> <span class="keywordtype">int</span> <a class="code" href="ofx2qif_8c.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (<span class="keywordtype">int</span> argc, <span class="keywordtype">char</span> *argv[])
 <a name="l00370"></a>00370 {
-<a name="l00372"></a>00372   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2ea3d64bbb6d9dc986500e7d1934c3f4">ofx_PARSER_msg</a>;
-<a name="l00373"></a>00373   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#08ed1d96da2de393d14e023f9efc0137">ofx_DEBUG_msg</a>;
-<a name="l00374"></a>00374   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#efda1947c61fbeab27f5bee4d9d8565c">ofx_WARNING_msg</a>;
-<a name="l00375"></a>00375   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#3328f7d06b8155c8ce3b2074d43f98f7">ofx_ERROR_msg</a>;
-<a name="l00376"></a>00376   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#183c9908fa85da05c37ce32ef86984ae">ofx_INFO_msg</a>;
-<a name="l00377"></a>00377   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#dae823046f8c9180c2cb8271cf890e49">ofx_STATUS_msg</a>;
+<a name="l00372"></a>00372   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#c58dfba31a4541023b331efa4f3a5079">ofx_PARSER_msg</a>;
+<a name="l00373"></a>00373   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#114453d10ab7a0a82485eb535ea2cad6">ofx_DEBUG_msg</a>;
+<a name="l00374"></a>00374   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#906d9d0b5311d914db311210f9cdce58">ofx_WARNING_msg</a>;
+<a name="l00375"></a>00375   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#2b3d2ad175f65de9d36f47f959741f72">ofx_ERROR_msg</a>;
+<a name="l00376"></a>00376   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#228b326318901fc303c91ed75f45ba64">ofx_INFO_msg</a>;
+<a name="l00377"></a>00377   <span class="keyword">extern</span> <span class="keywordtype">int</span> <a class="code" href="messages_8cpp.html#9d3605349a492ff39e5b2a006d773cbf">ofx_STATUS_msg</a>;
 <a name="l00378"></a>00378 
-<a name="l00379"></a>00379   gengetopt_args_info args_info;
+<a name="l00379"></a>00379   <a class="code" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> args_info;
 <a name="l00380"></a>00380 
 <a name="l00381"></a>00381   <span class="comment">/* let's call our cmdline parser */</span>
 <a name="l00382"></a>00382   <span class="keywordflow">if</span> (cmdline_parser (argc, argv, &amp;args_info) != 0)
@@ -390,50 +386,50 @@
 <a name="l00387"></a>00387 
 <a name="l00388"></a>00388   <span class="comment">//  cout &lt;&lt; "The flag is " &lt;&lt; ( args_info.msg_parser_flag ? "on" : "off" ) &lt;&lt;</span>
 <a name="l00389"></a>00389   <span class="comment">//    "." &lt;&lt; endl ;</span>
-<a name="l00390"></a>00390   args_info.msg_parser_flag ? ofx_PARSER_msg = <span class="keyword">true</span> : ofx_PARSER_msg = <span class="keyword">false</span>;
-<a name="l00391"></a>00391   args_info.msg_debug_flag ? ofx_DEBUG_msg = <span class="keyword">true</span> : ofx_DEBUG_msg = <span class="keyword">false</span>;
-<a name="l00392"></a>00392   args_info.msg_warning_flag ? ofx_WARNING_msg = <span class="keyword">true</span> : ofx_WARNING_msg = <span class="keyword">false</span>;
-<a name="l00393"></a>00393   args_info.msg_error_flag ? ofx_ERROR_msg = <span class="keyword">true</span> : ofx_ERROR_msg = <span class="keyword">false</span>;
-<a name="l00394"></a>00394   args_info.msg_info_flag ? ofx_INFO_msg = <span class="keyword">true</span> : ofx_INFO_msg = <span class="keyword">false</span>;
-<a name="l00395"></a>00395   args_info.msg_status_flag ? ofx_STATUS_msg = <span class="keyword">true</span> : ofx_STATUS_msg;
+<a name="l00390"></a>00390   args_info.<a class="code" href="structgengetopt__args__info.html#59f4d83dff3e538372141bbfe3576762" title="Output file parsing messages (default=off).">msg_parser_flag</a> ? ofx_PARSER_msg = <span class="keyword">true</span> : ofx_PARSER_msg = <span class="keyword">false</span>;
+<a name="l00391"></a>00391   args_info.<a class="code" href="structgengetopt__args__info.html#6816290fe582d0705947859d0c7934c5" title="Output messages meant for debuging (default=off).">msg_debug_flag</a> ? ofx_DEBUG_msg = <span class="keyword">true</span> : ofx_DEBUG_msg = <span class="keyword">false</span>;
+<a name="l00392"></a>00392   args_info.<a class="code" href="structgengetopt__args__info.html#7dc02d27a0e51eb388b2bd48f834658c" title="Output warning messages about abnormal conditions and unknown constructs (default=on)...">msg_warning_flag</a> ? ofx_WARNING_msg = <span class="keyword">true</span> : ofx_WARNING_msg = <span class="keyword">false</span>;
+<a name="l00393"></a>00393   args_info.<a class="code" href="structgengetopt__args__info.html#b1b6520555a34ca4a39feaed3365af6d" title="Output error messages (default=on).">msg_error_flag</a> ? ofx_ERROR_msg = <span class="keyword">true</span> : ofx_ERROR_msg = <span class="keyword">false</span>;
+<a name="l00394"></a>00394   args_info.<a class="code" href="structgengetopt__args__info.html#74ac0d99a57abc9a1088d356f87e7197" title="Output informational messages about the progress of the library (default=on).">msg_info_flag</a> ? ofx_INFO_msg = <span class="keyword">true</span> : ofx_INFO_msg = <span class="keyword">false</span>;
+<a name="l00395"></a>00395   args_info.<a class="code" href="structgengetopt__args__info.html#1301d1fa05fef326526db58a63cfc6fd" title="Output status messages (default=on).">msg_status_flag</a> ? ofx_STATUS_msg = <span class="keyword">true</span> : ofx_STATUS_msg;
 <a name="l00396"></a>00396 
 <a name="l00397"></a>00397   <span class="keywordtype">bool</span> skiphelp = <span class="keyword">false</span>;
 <a name="l00398"></a>00398   
-<a name="l00399"></a>00399   <span class="keywordflow">if</span>(args_info.list_import_formats_given)
+<a name="l00399"></a>00399   <span class="keywordflow">if</span>(args_info.<a class="code" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068" title="Whether list-import-formats was given.">list_import_formats_given</a>)
 <a name="l00400"></a>00400     {
 <a name="l00401"></a>00401       skiphelp = <span class="keyword">true</span>;
 <a name="l00402"></a>00402       cout &lt;&lt;<span class="stringliteral">"The supported file formats for the 'input-file-format' argument are:"</span>&lt;&lt;endl;
-<a name="l00403"></a>00403       <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">format</a>!=<a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd844b52ee4664b55e98b69e6f61967cabdf">LAST</a>; i++)
+<a name="l00403"></a>00403       <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i=0; <a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a>!=<a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de990cd45e93be2b4661f3499e0a658a33">LAST</a>; i++)
 <a name="l00404"></a>00404         {
-<a name="l00405"></a>00405           cout &lt;&lt;<span class="stringliteral">"     "</span>&lt;&lt;<a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>[i].description&lt;&lt;endl;
+<a name="l00405"></a>00405           cout &lt;&lt;<span class="stringliteral">"     "</span>&lt;&lt;<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>[i].<a class="code" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">description</a>&lt;&lt;endl;
 <a name="l00406"></a>00406         }
 <a name="l00407"></a>00407     }
 <a name="l00408"></a>00408                   
-<a name="l00409"></a>00409   <a class="code" href="inc_2libofx_8h.html#15e5ea23015b0e379679d9e8db1057c0">LibofxContextPtr</a> libofx_context = <a class="code" href="inc_2libofx_8h.html#a7b5862c7891e3341777121874a3c12e">libofx_get_new_context</a>();
+<a name="l00409"></a>00409   <a class="code" href="inc_2libofx_8h.html#cb05196108aab07092d1b4931577b87c">LibofxContextPtr</a> libofx_context = <a class="code" href="inc_2libofx_8h.html#e2f086d4e5fdf4b314640ea8fed400b0" title="Initialise the library and return a new context.">libofx_get_new_context</a>();
 <a name="l00410"></a>00410 
 <a name="l00411"></a>00411   <span class="comment">//char **inputs ; /* unamed options */</span>
 <a name="l00412"></a>00412   <span class="comment">//unsigned inputs_num ; /* unamed options number */</span>
-<a name="l00413"></a>00413   <span class="keywordflow">if</span> (args_info.inputs_num  &gt; 0)
+<a name="l00413"></a>00413   <span class="keywordflow">if</span> (args_info.<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a>  &gt; 0)
 <a name="l00414"></a>00414     {
-<a name="l00415"></a>00415       <span class="keyword">const</span> <span class="keywordtype">char</span>* filename = args_info.inputs[0];
+<a name="l00415"></a>00415       <span class="keyword">const</span> <span class="keywordtype">char</span>* filename = args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[0];
 <a name="l00416"></a>00416 
 <a name="l00417"></a>00417 
-<a name="l00418"></a>00418       <a class="code" href="inc_2libofx_8h.html#ff0651d1d0e9a71d4a46b4a835ab3c98">ofx_set_statement_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#2753e6e37777c57b5346642b06142cd4">ofx_proc_statement_cb</a>, 0);
-<a name="l00419"></a>00419       <a class="code" href="inc_2libofx_8h.html#e048539a577aff43501d2c22cb9ff4a9">ofx_set_account_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#fbd0b9b3f10494320ba3601ab56c5c2d">ofx_proc_account_cb</a>, 0);
-<a name="l00420"></a>00420       <a class="code" href="inc_2libofx_8h.html#5516a2d26ff7ee2d4eefc3202275eda1">ofx_set_transaction_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#411f3cb6e88b8669a7a4b6dc18a7e758">ofx_proc_transaction_cb</a>, 0);
-<a name="l00421"></a>00421       <a class="code" href="inc_2libofx_8h.html#b32c9604a3ecc1cad5e1d3dd561b3a20">ofx_set_security_cb</a>(libofx_context, <a class="code" href="ofxdump_8cpp.html#317e6b33ec82269ba18956494a5254d3">ofx_proc_security_cb</a>, 0);
-<a name="l00422"></a>00422       <a class="code" href="inc_2libofx_8h.html#44cffa9ef1f5b1ff78b051e5fc710b05">ofx_set_status_cb</a>(libofx_context, <a class="code" href="ofxdump_8cpp.html#3df9fcb280a930ef711bdec9288b9cc8">ofx_proc_status_cb</a>, 0);
+<a name="l00418"></a>00418       <a class="code" href="inc_2libofx_8h.html#afd8ce6626b070ec64479e7993e6fc07">ofx_set_statement_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#8f46bf3d68bbd9cc9d6471d310168b45">ofx_proc_statement_cb</a>, 0);
+<a name="l00419"></a>00419       <a class="code" href="inc_2libofx_8h.html#2bdf268c693b4cadf88a19796c026a2c">ofx_set_account_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#38eb5d0ff22f171823f8d507255460bd">ofx_proc_account_cb</a>, 0);
+<a name="l00420"></a>00420       <a class="code" href="inc_2libofx_8h.html#0f47dac1e503298ff60e9d6bdc5a5775">ofx_set_transaction_cb</a>(libofx_context, <a class="code" href="ofx2qif_8c.html#7850aaa7c07cabcacb6849e82f773463">ofx_proc_transaction_cb</a>, 0);
+<a name="l00421"></a>00421       <a class="code" href="inc_2libofx_8h.html#841a0f012607c0e1b6053e7e5dce34a8">ofx_set_security_cb</a>(libofx_context, <a class="code" href="ofxdump_8cpp.html#a7664a0520b502d7592e282a29e391b3">ofx_proc_security_cb</a>, 0);
+<a name="l00422"></a>00422       <a class="code" href="inc_2libofx_8h.html#c9e39dac5b93d9db8ee699f3809a0c79">ofx_set_status_cb</a>(libofx_context, <a class="code" href="ofxdump_8cpp.html#a069e96633e6527f5adb8635968eb471">ofx_proc_status_cb</a>, 0);
 <a name="l00423"></a>00423 
-<a name="l00424"></a>00424       <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> file_format = <a class="code" href="inc_2libofx_8h.html#a3003a2b6fe2fdf0d3ac1843f052f443">libofx_get_file_format_from_str</a>(<a class="code" href="inc_2libofx_8h.html#47340ac933be2130bdb93a9be72ed440">LibofxImportFormatList</a>, args_info.import_format_arg);
-<a name="l00426"></a>00426       <span class="keywordflow">if</span>(args_info.inputs_num  &gt; 1)
+<a name="l00424"></a>00424       <span class="keyword">enum</span> <a class="code" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> file_format = <a class="code" href="inc_2libofx_8h.html#5fef31e6dc9df467c269a860aa4af12a" title="libofx_get_file_type returns a proper enum from a file type string.">libofx_get_file_format_from_str</a>(<a class="code" href="inc_2libofx_8h.html#b1ad431f1a4db406c34db2833ca80748">LibofxImportFormatList</a>, args_info.<a class="code" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd" title="Force the file format of the file(s) specified (default=&amp;#39;AUTODETECT&amp;#39;).">import_format_arg</a>);
+<a name="l00426"></a>00426       <span class="keywordflow">if</span>(args_info.<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a>  &gt; 1)
 <a name="l00427"></a>00427         {
 <a name="l00428"></a>00428           cout &lt;&lt; <span class="stringliteral">"Sorry, currently, only the first file is processed as the library can't deal with more right now.  The following files were ignored:"</span>&lt;&lt;endl;
-<a name="l00429"></a>00429           <span class="keywordflow">for</span> ( <span class="keywordtype">unsigned</span> i = 1 ; i &lt; args_info.inputs_num ; ++i )
+<a name="l00429"></a>00429           <span class="keywordflow">for</span> ( <span class="keywordtype">unsigned</span> i = 1 ; i &lt; args_info.<a class="code" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c" title="unamed options number">inputs_num</a> ; ++i )
 <a name="l00430"></a>00430             {
-<a name="l00431"></a>00431               cout &lt;&lt; <span class="stringliteral">"file: "</span> &lt;&lt; args_info.inputs[i] &lt;&lt; endl ;
+<a name="l00431"></a>00431               cout &lt;&lt; <span class="stringliteral">"file: "</span> &lt;&lt; args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[i] &lt;&lt; endl ;
 <a name="l00432"></a>00432               }
 <a name="l00433"></a>00433         }
-<a name="l00434"></a>00434       <a class="code" href="inc_2libofx_8h.html#a45401e73484b8d562196816789dbf46">libofx_proc_file</a>(libofx_context, args_info.inputs[0], file_format);
+<a name="l00434"></a>00434       <a class="code" href="inc_2libofx_8h.html#f5c4a0387f06b5cccd483a1fd392f805" title="libofx_proc_file is the entry point of the library.">libofx_proc_file</a>(libofx_context, args_info.<a class="code" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c" title="unamed options (options without names)">inputs</a>[0], file_format);
 <a name="l00435"></a>00435     }
 <a name="l00436"></a>00436   <span class="keywordflow">else</span>
 <a name="l00437"></a>00437     {
@@ -442,8 +438,8 @@
 <a name="l00440"></a>00440     }
 <a name="l00441"></a>00441   <span class="keywordflow">return</span> 0;
 <a name="l00442"></a>00442 }
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofxdump_8cpp.html'
--- doc/html/ofxdump_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofxdump_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,96 +1,86 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofxdump.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofxdump.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Code for ofxdump utility. C++ example code. 
 <p>
 ofxdump prints to stdout, in human readable form, everything the library understands about a particular ofx response file, and sends errors to stderr. To know exactly what the library understands about of a particular ofx response file, just call ofxdump on that file.<p>
-ofxdump is meant as both a C++ code example and a developper/debuging tool. It uses every function and every structure of the LibOFX API. By default, WARNING, INFO, ERROR and STATUS messages are enabled. You can change these defaults at the top of <a class="el" href="ofxdump_8cpp.html">ofxdump.cpp</a><p>
+ofxdump is meant as both a C++ code example and a developper/debuging tool. It uses every function and every structure of the LibOFX API. By default, WARNING, INFO, ERROR and STATUS messages are enabled. You can change these defaults at the top of <a class="el" href="ofxdump_8cpp.html" title="Code for ofxdump utility. C++ example code.">ofxdump.cpp</a><p>
 usage: ofxdump path_to_ofx_file/ofx_filename 
-<p>
-Definition in file <a class="el" href="ofxdump_8cpp-source.html">ofxdump.cpp</a>.
+<p>Definition in file <a class="el" href="ofxdump_8cpp-source.html">ofxdump.cpp</a>.</p>
+
 <p>
 
 <p>
 <a href="ofxdump_8cpp-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="317e6b33ec82269ba18956494a5254d3"></a><!-- doxytag: member="ofxdump.cpp::ofx_proc_security_cb" ref="317e6b33ec82269ba18956494a5254d3" args="(struct OfxSecurityData data, void *security_data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#317e6b33ec82269ba18956494a5254d3">ofx_proc_security_cb</a> (struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="371f323211396c28d5c6319be5be3ed8"></a><!-- doxytag: member="ofxdump.cpp::ofx_proc_transaction_cb" ref="371f323211396c28d5c6319be5be3ed8" args="(struct OfxTransactionData data, void *transaction_data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#371f323211396c28d5c6319be5be3ed8">ofx_proc_transaction_cb</a> (struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="33302bd3ca5e36839ab0793cdc6441d4"></a><!-- doxytag: member="ofxdump.cpp::ofx_proc_statement_cb" ref="33302bd3ca5e36839ab0793cdc6441d4" args="(struct OfxStatementData data, void *statement_data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#33302bd3ca5e36839ab0793cdc6441d4">ofx_proc_statement_cb</a> (struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="814545865a019ace576eb0d97157d4be"></a><!-- doxytag: member="ofxdump.cpp::ofx_proc_account_cb" ref="814545865a019ace576eb0d97157d4be" args="(struct OfxAccountData data, void *account_data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#814545865a019ace576eb0d97157d4be">ofx_proc_account_cb</a> (struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3df9fcb280a930ef711bdec9288b9cc8"></a><!-- doxytag: member="ofxdump.cpp::ofx_proc_status_cb" ref="3df9fcb280a930ef711bdec9288b9cc8" args="(struct OfxStatusData data, void *status_data)" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#3df9fcb280a930ef711bdec9288b9cc8">ofx_proc_status_cb</a> (struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#28052c36c3b61c6c0eaa18f5d226118f">main</a> (int argc, char *argv[])</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a7664a0520b502d7592e282a29e391b3"></a><!-- doxytag: member="ofxdump.cpp::ofx_proc_security_cb" ref="a7664a0520b502d7592e282a29e391b3" args="(struct OfxSecurityData data, void *security_data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#a7664a0520b502d7592e282a29e391b3">ofx_proc_security_cb</a> (struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> data, void *security_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6940ffe6adc71a091fdef20a460c2364"></a><!-- doxytag: member="ofxdump.cpp::ofx_proc_transaction_cb" ref="6940ffe6adc71a091fdef20a460c2364" args="(struct OfxTransactionData data, void *transaction_data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#6940ffe6adc71a091fdef20a460c2364">ofx_proc_transaction_cb</a> (struct <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> data, void *transaction_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1bde0ef62b6d4a3381e09225bc73dc77"></a><!-- doxytag: member="ofxdump.cpp::ofx_proc_statement_cb" ref="1bde0ef62b6d4a3381e09225bc73dc77" args="(struct OfxStatementData data, void *statement_data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#1bde0ef62b6d4a3381e09225bc73dc77">ofx_proc_statement_cb</a> (struct <a class="el" href="structOfxStatementData.html">OfxStatementData</a> data, void *statement_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9473bc2a5282ec3d70de240a2e5aac26"></a><!-- doxytag: member="ofxdump.cpp::ofx_proc_account_cb" ref="9473bc2a5282ec3d70de240a2e5aac26" args="(struct OfxAccountData data, void *account_data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#9473bc2a5282ec3d70de240a2e5aac26">ofx_proc_account_cb</a> (struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> data, void *account_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a069e96633e6527f5adb8635968eb471"></a><!-- doxytag: member="ofxdump.cpp::ofx_proc_status_cb" ref="a069e96633e6527f5adb8635968eb471" args="(struct OfxStatusData data, void *status_data)" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#a069e96633e6527f5adb8635968eb471">ofx_proc_status_cb</a> (struct <a class="el" href="structOfxStatusData.html">OfxStatusData</a> data, void *status_data)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="ofxdump_8cpp.html#0ddf1224851353fc92bfbff6f499fa97">main</a> (int argc, char *argv[])</td></tr>
 
 </table>
 <hr><h2>Function Documentation</h2>
-<a class="anchor" name="28052c36c3b61c6c0eaa18f5d226118f"></a><!-- doxytag: member="ofxdump.cpp::main" ref="28052c36c3b61c6c0eaa18f5d226118f" args="(int argc, char *argv[])" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int main           </td>
-          <td class="md" valign="top">(&nbsp;</td>
-          <td class="md" nowrap valign="top">int&nbsp;</td>
-          <td class="mdname" nowrap> <em>argc</em>, </td>
-        </tr>
-        <tr>
-          <td class="md" nowrap align="right"></td>
-          <td class="md"></td>
-          <td class="md" nowrap>char *&nbsp;</td>
-          <td class="mdname" nowrap> <em>argv</em>[]</td>
-        </tr>
-        <tr>
-          <td class="md"></td>
-          <td class="md">)&nbsp;</td>
-          <td class="md" colspan="2"></td>
+<a class="anchor" name="0ddf1224851353fc92bfbff6f499fa97"></a><!-- doxytag: member="ofxdump.cpp::main" ref="0ddf1224851353fc92bfbff6f499fa97" args="(int argc, char *argv[])" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int main           </td>
+          <td>(</td>
+          <td class="paramtype">int&nbsp;</td>
+          <td class="paramname"> <em>argc</em>, </td>
+        </tr>
+        <tr>
+          <td class="paramkey"></td>
+          <td></td>
+          <td class="paramtype">char *&nbsp;</td>
+          <td class="paramname"> <em>argv</em>[]</td><td>&nbsp;</td>
+        </tr>
+        <tr>
+          <td></td>
+          <td>)</td>
+          <td></td><td></td><td width="100%"></td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
+
+<p>
 
 <p>
 Tell ofxdump what you want it to send to stderr. See messages.cpp for more details
-<p>
-Definition at line <a class="el" href="ofxdump_8cpp-source.html#l00369">369</a> of file <a class="el" href="ofxdump_8cpp-source.html">ofxdump.cpp</a>.    </td>
-  </tr>
-</table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<p>Definition at line <a class="el" href="ofxdump_8cpp-source.html#l00369">369</a> of file <a class="el" href="ofxdump_8cpp-source.html">ofxdump.cpp</a>.</p>
+
+</div>
+</div><p>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofxpartner_8cpp-source.html'
--- doc/html/ofxpartner_8cpp-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofxpartner_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofxpartner.cpp Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofxpartner.cpp</h1><a href="ofxpartner_8cpp.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                             ofx_partner.cpp </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -36,14 +32,14 @@
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#include &lt;config.h&gt;</span>
 <a name="l00022"></a>00022 <span class="preprocessor">#endif</span>
 <a name="l00023"></a>00023 <span class="preprocessor"></span>
-<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>&gt;</span>
 <a name="l00025"></a>00025 
 <a name="l00026"></a>00026 <span class="comment">//#ifdef HAVE_LIBCURL</span>
 <a name="l00027"></a>00027 <span class="preprocessor">#include &lt;curl/curl.h&gt;</span>
 <a name="l00028"></a>00028 <span class="comment">//#endif</span>
 <a name="l00029"></a>00029 
-<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="ofxpartner_8h.html">ofxpartner.h</a>"</span>
-<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="nodeparser_8h.html">nodeparser.h</a>"</span>
+<a name="l00030"></a>00030 <span class="preprocessor">#include "<a class="code" href="ofxpartner_8h.html" title="Methods for connecting to the OFX partner server to retrieve OFX server information...">ofxpartner.h</a>"</span>
+<a name="l00031"></a>00031 <span class="preprocessor">#include "<a class="code" href="nodeparser_8h.html" title="Declaration of nodeparser object, which facilitiates searching for nodes in an XML...">nodeparser.h</a>"</span>
 <a name="l00032"></a>00032 
 <a name="l00033"></a>00033 <span class="preprocessor">#include &lt;sys/stat.h&gt;</span>
 <a name="l00034"></a>00034 
@@ -58,47 +54,47 @@
 <a name="l00043"></a>00043 
 <a name="l00044"></a><a class="code" href="namespaceOfxPartner.html">00044</a> <span class="keyword">namespace </span>OfxPartner
 <a name="l00045"></a>00045 {
-<a name="l00046"></a>00046 <span class="keywordtype">bool</span> <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(<span class="keyword">const</span> string&amp; request, <span class="keyword">const</span> string&amp; url, <span class="keyword">const</span> string&amp; filename);
+<a name="l00046"></a>00046 <span class="keywordtype">bool</span> <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(<span class="keyword">const</span> <span class="keywordtype">string</span>&amp; request, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; url, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; filename);
 <a name="l00047"></a>00047 
-<a name="l00048"></a><a class="code" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">00048</a> <span class="keyword">const</span> string <a class="code" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">kBankFilename</a> = <span class="stringliteral">"ofx-bank-index.xml"</span>;
-<a name="l00049"></a><a class="code" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">00049</a> <span class="keyword">const</span> string <a class="code" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">kCcFilename</a> = <span class="stringliteral">"ofx-cc-index.xml"</span>;
-<a name="l00050"></a><a class="code" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">00050</a> <span class="keyword">const</span> string <a class="code" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">kInvFilename</a> = <span class="stringliteral">"ofx-inv-index.xml"</span>;
+<a name="l00048"></a><a class="code" href="namespaceOfxPartner.html#20028fb5bb6216afa275d5a400692026">00048</a> <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code" href="namespaceOfxPartner.html#20028fb5bb6216afa275d5a400692026">kBankFilename</a> = <span class="stringliteral">"ofx-bank-index.xml"</span>;
+<a name="l00049"></a><a class="code" href="namespaceOfxPartner.html#23fa7b5e68a615741fefb26e61bed53d">00049</a> <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code" href="namespaceOfxPartner.html#23fa7b5e68a615741fefb26e61bed53d">kCcFilename</a> = <span class="stringliteral">"ofx-cc-index.xml"</span>;
+<a name="l00050"></a><a class="code" href="namespaceOfxPartner.html#e941d2197fe884768f5790d9f99fafcf">00050</a> <span class="keyword">const</span> <span class="keywordtype">string</span> <a class="code" href="namespaceOfxPartner.html#e941d2197fe884768f5790d9f99fafcf">kInvFilename</a> = <span class="stringliteral">"ofx-inv-index.xml"</span>;
 <a name="l00051"></a>00051 
-<a name="l00052"></a><a class="code" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">00052</a> <span class="keywordtype">void</span> <a class="code" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">ValidateIndexCache</a>(<span class="keywordtype">void</span>)
+<a name="l00052"></a><a class="code" href="namespaceOfxPartner.html#ef396b717081bb217cc350676d9b8165">00052</a> <span class="keywordtype">void</span> <a class="code" href="namespaceOfxPartner.html#ef396b717081bb217cc350676d9b8165">ValidateIndexCache</a>(<span class="keywordtype">void</span>)
 <a name="l00053"></a>00053 {
 <a name="l00054"></a>00054   <span class="comment">// TODO Check whether these files exist and are recent enough before getting them again</span>
 <a name="l00055"></a>00055 
 <a name="l00056"></a>00056   <span class="keyword">struct </span>stat filestats;
-<a name="l00057"></a>00057   <span class="keywordflow">if</span> ( stat( <a class="code" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">kBankFilename</a>.c_str(), &amp;filestats ) || difftime(time(0),filestats.st_mtime) &gt; 7.0*24.0*60.0*60.0 )
-<a name="l00058"></a>00058     <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(<span class="stringliteral">"T=1&amp;S=*&amp;R=1&amp;O=0&amp;TEST=0"</span>,<span class="stringliteral">"http://moneycentral.msn.com/money/2005/mnynet/service/ols/filist.aspx?SKU=3&amp;VER=6"</span>,<a class="code" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">kBankFilename</a>);
-<a name="l00059"></a>00059   <span class="keywordflow">if</span> ( stat( <a class="code" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">kCcFilename</a>.c_str(), &amp;filestats ) || difftime(time(0),filestats.st_mtime) &gt; 7.0*24.0*60.0*60.0 )
-<a name="l00060"></a>00060     <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(<span class="stringliteral">"T=2&amp;S=*&amp;R=1&amp;O=0&amp;TEST=0"</span>,<span class="stringliteral">"http://moneycentral.msn.com/money/2005/mnynet/service/ols/filist.aspx?SKU=3&amp;VER=6"</span>,<a class="code" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">kCcFilename</a>);
-<a name="l00061"></a>00061   <span class="keywordflow">if</span> ( stat( <a class="code" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">kInvFilename</a>.c_str(), &amp;filestats ) || difftime(time(0),filestats.st_mtime) &gt; 7.0*24.0*60.0*60.0 )
-<a name="l00062"></a>00062     <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(<span class="stringliteral">"T=3&amp;S=*&amp;R=1&amp;O=0&amp;TEST=0"</span>,<span class="stringliteral">"http://moneycentral.msn.com/money/2005/mnynet/service/ols/filist.aspx?SKU=3&amp;VER=6"</span>,<a class="code" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">kInvFilename</a>);
+<a name="l00057"></a>00057   <span class="keywordflow">if</span> ( stat( <a class="code" href="namespaceOfxPartner.html#20028fb5bb6216afa275d5a400692026">kBankFilename</a>.c_str(), &amp;filestats ) || difftime(time(0),filestats.st_mtime) &gt; 7.0*24.0*60.0*60.0 )
+<a name="l00058"></a>00058     <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(<span class="stringliteral">"T=1&amp;S=*&amp;R=1&amp;O=0&amp;TEST=0"</span>,<span class="stringliteral">"http://moneycentral.msn.com/money/2005/mnynet/service/ols/filist.aspx?SKU=3&amp;VER=6"</span>,<a class="code" href="namespaceOfxPartner.html#20028fb5bb6216afa275d5a400692026">kBankFilename</a>);
+<a name="l00059"></a>00059   <span class="keywordflow">if</span> ( stat( <a class="code" href="namespaceOfxPartner.html#23fa7b5e68a615741fefb26e61bed53d">kCcFilename</a>.c_str(), &amp;filestats ) || difftime(time(0),filestats.st_mtime) &gt; 7.0*24.0*60.0*60.0 )
+<a name="l00060"></a>00060     <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(<span class="stringliteral">"T=2&amp;S=*&amp;R=1&amp;O=0&amp;TEST=0"</span>,<span class="stringliteral">"http://moneycentral.msn.com/money/2005/mnynet/service/ols/filist.aspx?SKU=3&amp;VER=6"</span>,<a class="code" href="namespaceOfxPartner.html#23fa7b5e68a615741fefb26e61bed53d">kCcFilename</a>);
+<a name="l00061"></a>00061   <span class="keywordflow">if</span> ( stat( <a class="code" href="namespaceOfxPartner.html#e941d2197fe884768f5790d9f99fafcf">kInvFilename</a>.c_str(), &amp;filestats ) || difftime(time(0),filestats.st_mtime) &gt; 7.0*24.0*60.0*60.0 )
+<a name="l00062"></a>00062     <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(<span class="stringliteral">"T=3&amp;S=*&amp;R=1&amp;O=0&amp;TEST=0"</span>,<span class="stringliteral">"http://moneycentral.msn.com/money/2005/mnynet/service/ols/filist.aspx?SKU=3&amp;VER=6"</span>,<a class="code" href="namespaceOfxPartner.html#e941d2197fe884768f5790d9f99fafcf">kInvFilename</a>);
 <a name="l00063"></a>00063 }
 <a name="l00064"></a>00064 
-<a name="l00065"></a><a class="code" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">00065</a> vector&lt;string&gt; <a class="code" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">BankNames</a>(<span class="keywordtype">void</span>)
+<a name="l00065"></a><a class="code" href="namespaceOfxPartner.html#849cbb4d1d013b56c3ba28ef1e574fba">00065</a> vector&lt;string&gt; <a class="code" href="namespaceOfxPartner.html#849cbb4d1d013b56c3ba28ef1e574fba">BankNames</a>(<span class="keywordtype">void</span>)
 <a name="l00066"></a>00066 {
 <a name="l00067"></a>00067   vector&lt;string&gt; result;
 <a name="l00068"></a>00068 
 <a name="l00069"></a>00069   <span class="comment">// Make sure the index files are up to date</span>
-<a name="l00070"></a>00070   <a class="code" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">ValidateIndexCache</a>();
+<a name="l00070"></a>00070   <a class="code" href="namespaceOfxPartner.html#ef396b717081bb217cc350676d9b8165">ValidateIndexCache</a>();
 <a name="l00071"></a>00071   
 <a name="l00072"></a>00072   xmlpp::DomParser parser;
 <a name="l00073"></a>00073   parser.set_substitute_entities();
-<a name="l00074"></a>00074   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">kBankFilename</a>);
+<a name="l00074"></a>00074   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#20028fb5bb6216afa275d5a400692026">kBankFilename</a>);
 <a name="l00075"></a>00075   <span class="keywordflow">if</span> ( parser ) 
 <a name="l00076"></a>00076   {
 <a name="l00077"></a>00077     vector&lt;string&gt; names = <a class="code" href="classNodeParser.html">NodeParser</a>(parser).Path(<span class="stringliteral">"fi/prov/name"</span>).Text();
 <a name="l00078"></a>00078     result.insert(result.end(),names.begin(),names.end());
 <a name="l00079"></a>00079   }
-<a name="l00080"></a>00080   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">kCcFilename</a>);
+<a name="l00080"></a>00080   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#23fa7b5e68a615741fefb26e61bed53d">kCcFilename</a>);
 <a name="l00081"></a>00081   <span class="keywordflow">if</span> ( parser ) 
 <a name="l00082"></a>00082   {
 <a name="l00083"></a>00083     vector&lt;string&gt; names = <a class="code" href="classNodeParser.html">NodeParser</a>(parser).Path(<span class="stringliteral">"fi/prov/name"</span>).Text();
 <a name="l00084"></a>00084     result.insert(result.end(),names.begin(),names.end());
 <a name="l00085"></a>00085   }
-<a name="l00086"></a>00086   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">kInvFilename</a>);
+<a name="l00086"></a>00086   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#e941d2197fe884768f5790d9f99fafcf">kInvFilename</a>);
 <a name="l00087"></a>00087   <span class="keywordflow">if</span> ( parser ) 
 <a name="l00088"></a>00088   {
 <a name="l00089"></a>00089     vector&lt;string&gt; names = <a class="code" href="classNodeParser.html">NodeParser</a>(parser).Path(<span class="stringliteral">"fi/prov/name"</span>).Text();
@@ -114,27 +110,27 @@
 <a name="l00099"></a>00099   <span class="keywordflow">return</span> result;
 <a name="l00100"></a>00100 }
 <a name="l00101"></a>00101 
-<a name="l00102"></a><a class="code" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">00102</a> vector&lt;string&gt; <a class="code" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">FipidForBank</a>(<span class="keyword">const</span> string&amp; bank)
+<a name="l00102"></a><a class="code" href="namespaceOfxPartner.html#cfd9337cce7e4f82bd69b5d78362f7bb">00102</a> vector&lt;string&gt; <a class="code" href="namespaceOfxPartner.html#cfd9337cce7e4f82bd69b5d78362f7bb">FipidForBank</a>(<span class="keyword">const</span> <span class="keywordtype">string</span>&amp; bank)
 <a name="l00103"></a>00103 {
 <a name="l00104"></a>00104   vector&lt;string&gt; result;
 <a name="l00105"></a>00105 
 <a name="l00106"></a>00106   xmlpp::DomParser parser;
 <a name="l00107"></a>00107   parser.set_substitute_entities();
-<a name="l00108"></a>00108   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">kBankFilename</a>);
+<a name="l00108"></a>00108   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#20028fb5bb6216afa275d5a400692026">kBankFilename</a>);
 <a name="l00109"></a>00109   <span class="keywordflow">if</span> ( parser ) 
 <a name="l00110"></a>00110   {
 <a name="l00111"></a>00111     vector&lt;string&gt; fipids = <a class="code" href="classNodeParser.html">NodeParser</a>(parser).Path(<span class="stringliteral">"fi/prov"</span>).Select(<span class="stringliteral">"name"</span>,bank).Path(<span class="stringliteral">"guid"</span>).Text();
 <a name="l00112"></a>00112     <span class="keywordflow">if</span> ( ! fipids.back().empty() )
 <a name="l00113"></a>00113       result.insert(result.end(),fipids.begin(),fipids.end());
 <a name="l00114"></a>00114   }
-<a name="l00115"></a>00115   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">kCcFilename</a>);
+<a name="l00115"></a>00115   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#23fa7b5e68a615741fefb26e61bed53d">kCcFilename</a>);
 <a name="l00116"></a>00116   <span class="keywordflow">if</span> ( parser ) 
 <a name="l00117"></a>00117   {
 <a name="l00118"></a>00118     vector&lt;string&gt; fipids = <a class="code" href="classNodeParser.html">NodeParser</a>(parser).Path(<span class="stringliteral">"fi/prov"</span>).Select(<span class="stringliteral">"name"</span>,bank).Path(<span class="stringliteral">"guid"</span>).Text();
 <a name="l00119"></a>00119     <span class="keywordflow">if</span> ( ! fipids.back().empty() )
 <a name="l00120"></a>00120       result.insert(result.end(),fipids.begin(),fipids.end());
 <a name="l00121"></a>00121   }
-<a name="l00122"></a>00122   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">kInvFilename</a>);
+<a name="l00122"></a>00122   parser.parse_file(<a class="code" href="namespaceOfxPartner.html#e941d2197fe884768f5790d9f99fafcf">kInvFilename</a>);
 <a name="l00123"></a>00123   <span class="keywordflow">if</span> ( parser ) 
 <a name="l00124"></a>00124   {
 <a name="l00125"></a>00125     vector&lt;string&gt; fipids = <a class="code" href="classNodeParser.html">NodeParser</a>(parser).Path(<span class="stringliteral">"fi/prov"</span>).Select(<span class="stringliteral">"name"</span>,bank).Path(<span class="stringliteral">"guid"</span>).Text();
@@ -152,35 +148,35 @@
 <a name="l00137"></a>00137   <span class="keywordflow">return</span> result;
 <a name="l00138"></a>00138 }
 <a name="l00139"></a>00139 
-<a name="l00140"></a><a class="code" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">00140</a> <a class="code" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a> <a class="code" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">ServiceInfo</a>(<span class="keyword">const</span> std::string&amp; fipid)
+<a name="l00140"></a><a class="code" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">00140</a> <a class="code" href="structOfxFiServiceInfo.html" title="Information returned by the OFX Partner Server about a financial institution.">OfxFiServiceInfo</a> <a class="code" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">ServiceInfo</a>(<span class="keyword">const</span> std::string&amp; fipid)
 <a name="l00141"></a>00141 {
-<a name="l00142"></a>00142   <a class="code" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a> result;
-<a name="l00143"></a>00143   memset(&amp;result,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a>));
+<a name="l00142"></a>00142   <a class="code" href="structOfxFiServiceInfo.html" title="Information returned by the OFX Partner Server about a financial institution.">OfxFiServiceInfo</a> result;
+<a name="l00143"></a>00143   memset(&amp;result,0,<span class="keyword">sizeof</span>(<a class="code" href="structOfxFiServiceInfo.html" title="Information returned by the OFX Partner Server about a financial institution.">OfxFiServiceInfo</a>));
 <a name="l00144"></a>00144 
 <a name="l00145"></a>00145   <span class="comment">// Hard-coded values for Innovision test server</span>
 <a name="l00146"></a>00146   <span class="keywordflow">if</span> ( fipid == <span class="stringliteral">"1"</span> )
 <a name="l00147"></a>00147   {
-<a name="l00148"></a>00148     strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#2dbea9cf2b6881ee430000a168cd8338">fid</a>,<span class="stringliteral">"00000"</span>,<a class="code" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">OFX_FID_LENGTH</a>-1);
-<a name="l00149"></a>00149     strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#73a4c5b29a004bb210c751636b2352db">org</a>,<span class="stringliteral">"ReferenceFI"</span>,<a class="code" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">OFX_ORG_LENGTH</a>-1);
-<a name="l00150"></a>00150     strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#892b7434b389b85d67ece222f5dc1bdb">url</a>,<span class="stringliteral">"http://ofx.innovision.com"</span>,<a class="code" href="inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">OFX_URL_LENGTH</a>-1);
-<a name="l00151"></a>00151     result.<a class="code" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">accountlist</a> = 1;
-<a name="l00152"></a>00152     result.<a class="code" href="structOfxFiServiceInfo.html#c02b7fbdca5599cfa064887cddf94804">statements</a> = 1;
-<a name="l00153"></a>00153     result.<a class="code" href="structOfxFiServiceInfo.html#41f3e3e7d5e090592791c8132fe14030">billpay</a> = 1;
-<a name="l00154"></a>00154     result.<a class="code" href="structOfxFiServiceInfo.html#a390b4cdb30ff1c96114b77c0e0737f6">investments</a> = 1;
+<a name="l00148"></a>00148     strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">fid</a>,<span class="stringliteral">"00000"</span>,<a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>-1);
+<a name="l00149"></a>00149     strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">org</a>,<span class="stringliteral">"ReferenceFI"</span>,<a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>-1);
+<a name="l00150"></a>00150     strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">url</a>,<span class="stringliteral">"http://ofx.innovision.com"</span>,<a class="code" href="inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">OFX_URL_LENGTH</a>-1);
+<a name="l00151"></a>00151     result.<a class="code" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">accountlist</a> = 1;
+<a name="l00152"></a>00152     result.<a class="code" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">statements</a> = 1;
+<a name="l00153"></a>00153     result.<a class="code" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">billpay</a> = 1;
+<a name="l00154"></a>00154     result.<a class="code" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">investments</a> = 1;
 <a name="l00155"></a>00155 
 <a name="l00156"></a>00156     <span class="keywordflow">return</span> result;
 <a name="l00157"></a>00157   }
 <a name="l00158"></a>00158   
-<a name="l00159"></a>00159   string url = <span class="stringliteral">"http://moneycentral.msn.com/money/2005/mnynet/service/olsvcupd/OnlSvcBrandInfo.aspx?MSNGUID=&amp;GUID=%1&amp;SKU=3&amp;VER=6"</span>;
+<a name="l00159"></a>00159   <span class="keywordtype">string</span> url = <span class="stringliteral">"http://moneycentral.msn.com/money/2005/mnynet/service/olsvcupd/OnlSvcBrandInfo.aspx?MSNGUID=&amp;GUID=%1&amp;SKU=3&amp;VER=6"</span>;
 <a name="l00160"></a>00160   url.replace(url.find(<span class="stringliteral">"%1"</span>),2,fipid);
 <a name="l00161"></a>00161           
 <a name="l00162"></a>00162   <span class="comment">// TODO: Check whether this file exists and is recent enough before getting it again</span>
-<a name="l00163"></a>00163   string guidfile = <span class="stringliteral">"fipid-%1.xml"</span>;
+<a name="l00163"></a>00163   <span class="keywordtype">string</span> guidfile = <span class="stringliteral">"fipid-%1.xml"</span>;
 <a name="l00164"></a>00164   guidfile.replace(guidfile.find(<span class="stringliteral">"%1"</span>),2,fipid);
 <a name="l00165"></a>00165 
 <a name="l00166"></a>00166   <span class="keyword">struct </span>stat filestats;
 <a name="l00167"></a>00167   <span class="keywordflow">if</span> ( stat( guidfile.c_str(), &amp;filestats ) || difftime(time(0),filestats.st_mtime) &gt; 7.0*24.0*60.0*60.0 )
-<a name="l00168"></a>00168     <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(<span class="stringliteral">""</span>,url.c_str(),guidfile.c_str());
+<a name="l00168"></a>00168     <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(<span class="stringliteral">""</span>,url.c_str(),guidfile.c_str());
 <a name="l00169"></a>00169 
 <a name="l00170"></a>00170           <span class="comment">// Print the FI details</span>
 <a name="l00171"></a>00171     xmlpp::DomParser parser;
@@ -190,18 +186,18 @@
 <a name="l00175"></a>00175           {
 <a name="l00176"></a>00176             <a class="code" href="classNodeParser.html">NodeParser</a> nodes(parser);
 <a name="l00177"></a>00177             
-<a name="l00178"></a>00178             strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#2dbea9cf2b6881ee430000a168cd8338">fid</a>,nodes.<a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a>(<span class="stringliteral">"ProviderSettings/FID"</span>).<a class="code" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">Text</a>().back().c_str(),<a class="code" href="inc_2libofx_8h.html#89fc4ec6078eb93b5e982e491246a7ee">OFX_FID_LENGTH</a>-1);
-<a name="l00179"></a>00179             strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#73a4c5b29a004bb210c751636b2352db">org</a>,nodes.<a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a>(<span class="stringliteral">"ProviderSettings/Org"</span>).<a class="code" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">Text</a>().back().c_str(),<a class="code" href="inc_2libofx_8h.html#56b0446a10fd95e71bdf88aa178e5432">OFX_ORG_LENGTH</a>-1);
-<a name="l00180"></a>00180             strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#892b7434b389b85d67ece222f5dc1bdb">url</a>,nodes.<a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a>(<span class="stringliteral">"ProviderSettings/ProviderURL"</span>).<a class="code" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">Text</a>().back().c_str(),<a class="code" href="inc_2libofx_8h.html#f12e893de4744171ded7e5615a6065dd">OFX_URL_LENGTH</a>-1);
-<a name="l00181"></a>00181             result.<a class="code" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">accountlist</a> = (nodes.<a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a>(<span class="stringliteral">"ProviderSettings/AcctListAvail"</span>).<a class="code" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">Text</a>().back() == <span class="stringliteral">"1"</span>);
-<a name="l00182"></a>00182             result.<a class="code" href="structOfxFiServiceInfo.html#c02b7fbdca5599cfa064887cddf94804">statements</a> = (nodes.<a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a>(<span class="stringliteral">"BankingCapabilities/Bank"</span>).<a class="code" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">Text</a>().back() == <span class="stringliteral">"1"</span>);
-<a name="l00183"></a>00183             result.<a class="code" href="structOfxFiServiceInfo.html#41f3e3e7d5e090592791c8132fe14030">billpay</a> = (nodes.<a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a>(<span class="stringliteral">"BillPayCapabilities/Pay"</span>).<a class="code" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">Text</a>().back() == <span class="stringliteral">"1"</span>);
-<a name="l00184"></a>00184             result.<a class="code" href="structOfxFiServiceInfo.html#a390b4cdb30ff1c96114b77c0e0737f6">investments</a> = (nodes.<a class="code" href="classNodeParser.html#7b21653074d8838b0d194295eda439f7">Path</a>(<span class="stringliteral">"InvestmentCapabilities/BrkStmt"</span>).<a class="code" href="classNodeParser.html#fcdf24d4a039ad6b31d3e91686ed015a">Text</a>().back() == <span class="stringliteral">"1"</span>);
+<a name="l00178"></a>00178             strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">fid</a>,nodes.<a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a>(<span class="stringliteral">"ProviderSettings/FID"</span>).<a class="code" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">Text</a>().back().c_str(),<a class="code" href="inc_2libofx_8h.html#5524910cf3ba47b3d7a1b6752b69d056">OFX_FID_LENGTH</a>-1);
+<a name="l00179"></a>00179             strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">org</a>,nodes.<a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a>(<span class="stringliteral">"ProviderSettings/Org"</span>).<a class="code" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">Text</a>().back().c_str(),<a class="code" href="inc_2libofx_8h.html#74914e6380be88d51ab921a0f3078646">OFX_ORG_LENGTH</a>-1);
+<a name="l00180"></a>00180             strncpy(result.<a class="code" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">url</a>,nodes.<a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a>(<span class="stringliteral">"ProviderSettings/ProviderURL"</span>).<a class="code" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">Text</a>().back().c_str(),<a class="code" href="inc_2libofx_8h.html#2c364470aa70104473ba7c0134c27ae2">OFX_URL_LENGTH</a>-1);
+<a name="l00181"></a>00181             result.<a class="code" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">accountlist</a> = (nodes.<a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a>(<span class="stringliteral">"ProviderSettings/AcctListAvail"</span>).<a class="code" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">Text</a>().back() == <span class="stringliteral">"1"</span>);
+<a name="l00182"></a>00182             result.<a class="code" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">statements</a> = (nodes.<a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a>(<span class="stringliteral">"BankingCapabilities/Bank"</span>).<a class="code" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">Text</a>().back() == <span class="stringliteral">"1"</span>);
+<a name="l00183"></a>00183             result.<a class="code" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">billpay</a> = (nodes.<a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a>(<span class="stringliteral">"BillPayCapabilities/Pay"</span>).<a class="code" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">Text</a>().back() == <span class="stringliteral">"1"</span>);
+<a name="l00184"></a>00184             result.<a class="code" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">investments</a> = (nodes.<a class="code" href="classNodeParser.html#899d065f6bbb6bf7ef14be3ffeb5bb6e">Path</a>(<span class="stringliteral">"InvestmentCapabilities/BrkStmt"</span>).<a class="code" href="classNodeParser.html#d440a4c00af75a6e0ad0a932d78add39">Text</a>().back() == <span class="stringliteral">"1"</span>);
 <a name="l00185"></a>00185           }
 <a name="l00186"></a>00186   <span class="keywordflow">return</span> result;
 <a name="l00187"></a>00187 }
 <a name="l00188"></a>00188 
-<a name="l00189"></a><a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">00189</a> <span class="keywordtype">bool</span> <a class="code" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">post</a>(<span class="keyword">const</span> string&amp; request, <span class="keyword">const</span> string&amp; url, <span class="keyword">const</span> string&amp; filename)
+<a name="l00189"></a><a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">00189</a> <span class="keywordtype">bool</span> <a class="code" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">post</a>(<span class="keyword">const</span> <span class="keywordtype">string</span>&amp; request, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; url, <span class="keyword">const</span> <span class="keywordtype">string</span>&amp; filename)
 <a name="l00190"></a>00190 {
 <a name="l00191"></a>00191 <span class="preprocessor">#if 1 //#ifdef HAVE_LIBCURL</span>
 <a name="l00192"></a>00192 <span class="preprocessor"></span>  CURL *curl = curl_easy_init();
@@ -240,8 +236,8 @@
 <a name="l00225"></a>00225 
 <a name="l00226"></a>00226 
 <a name="l00227"></a>00227 <span class="comment">// vim:cin:si:ai:et:ts=2:sw=2:</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofxpartner_8cpp.html'
--- doc/html/ofxpartner_8cpp.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofxpartner_8cpp.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofxpartner.cpp File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofxpartner.cpp File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Methods for connecting to the OFX partner server to retrieve OFX server information. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofxpartner_8cpp-source.html">ofxpartner.cpp</a>.
+<p>Definition in file <a class="el" href="ofxpartner_8cpp-source.html">ofxpartner.cpp</a>.</p>
+
 <p>
 
 <p>
@@ -32,34 +28,34 @@
 <tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html">OfxPartner</a></td></tr>
 
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="68ddff2f2558a22c5741a1f670fc7fa6"></a><!-- doxytag: member="ofxpartner.cpp::post" ref="68ddff2f2558a22c5741a1f670fc7fa6" args="(const string &amp;request, const string &amp;url, const string &amp;filename)" -->
-bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#68ddff2f2558a22c5741a1f670fc7fa6">OfxPartner::post</a> (const string &amp;request, const string &amp;url, const string &amp;filename)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="951dc107754e0bfa7d5364e1518efd65"></a><!-- doxytag: member="ofxpartner.cpp::ValidateIndexCache" ref="951dc107754e0bfa7d5364e1518efd65" args="(void)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">OfxPartner::ValidateIndexCache</a> (void)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b9a0ee86a517e48f97a5efb0789d112d"></a><!-- doxytag: member="ofxpartner.cpp::BankNames" ref="b9a0ee86a517e48f97a5efb0789d112d" args="(void)" -->
-vector&lt; string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">OfxPartner::BankNames</a> (void)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="01dfac57aa6faf785dc4b92480094f00"></a><!-- doxytag: member="ofxpartner.cpp::FipidForBank" ref="01dfac57aa6faf785dc4b92480094f00" args="(const string &amp;bank)" -->
-vector&lt; string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">OfxPartner::FipidForBank</a> (const string &amp;bank)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="98dc22fd00cbe6c2256da00805c46acc"></a><!-- doxytag: member="ofxpartner.cpp::ServiceInfo" ref="98dc22fd00cbe6c2256da00805c46acc" args="(const std::string &amp;fipid)" -->
-<a class="el" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">OfxPartner::ServiceInfo</a> (const std::string &amp;fipid)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="eae033ba144dd6e1a27a81d80fb985f4"></a><!-- doxytag: member="ofxpartner.cpp::post" ref="eae033ba144dd6e1a27a81d80fb985f4" args="(const string &amp;request, const string &amp;url, const string &amp;filename)" -->
+bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#eae033ba144dd6e1a27a81d80fb985f4">OfxPartner::post</a> (const string &amp;request, const string &amp;url, const string &amp;filename)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ef396b717081bb217cc350676d9b8165"></a><!-- doxytag: member="ofxpartner.cpp::ValidateIndexCache" ref="ef396b717081bb217cc350676d9b8165" args="(void)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#ef396b717081bb217cc350676d9b8165">OfxPartner::ValidateIndexCache</a> (void)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="849cbb4d1d013b56c3ba28ef1e574fba"></a><!-- doxytag: member="ofxpartner.cpp::BankNames" ref="849cbb4d1d013b56c3ba28ef1e574fba" args="(void)" -->
+vector&lt; string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#849cbb4d1d013b56c3ba28ef1e574fba">OfxPartner::BankNames</a> (void)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cfd9337cce7e4f82bd69b5d78362f7bb"></a><!-- doxytag: member="ofxpartner.cpp::FipidForBank" ref="cfd9337cce7e4f82bd69b5d78362f7bb" args="(const string &amp;bank)" -->
+vector&lt; string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#cfd9337cce7e4f82bd69b5d78362f7bb">OfxPartner::FipidForBank</a> (const string &amp;bank)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7707f0e2acc21b43faca823ef9a2fef3"></a><!-- doxytag: member="ofxpartner.cpp::ServiceInfo" ref="7707f0e2acc21b43faca823ef9a2fef3" args="(const std::string &amp;fipid)" -->
+<a class="el" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">OfxPartner::ServiceInfo</a> (const std::string &amp;fipid)</td></tr>
 
 <tr><td colspan="2"><br><h2>Variables</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d49e6cfb1eb1163dd5e116f1c5bfa77e"></a><!-- doxytag: member="ofxpartner.cpp::kBankFilename" ref="d49e6cfb1eb1163dd5e116f1c5bfa77e" args="" -->
-const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#d49e6cfb1eb1163dd5e116f1c5bfa77e">OfxPartner::kBankFilename</a> = &quot;ofx-bank-index.xml&quot;</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d6e4231296f62de3b85ba4386e134cb9"></a><!-- doxytag: member="ofxpartner.cpp::kCcFilename" ref="d6e4231296f62de3b85ba4386e134cb9" args="" -->
-const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#d6e4231296f62de3b85ba4386e134cb9">OfxPartner::kCcFilename</a> = &quot;ofx-cc-index.xml&quot;</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a73b2cf6f588ad17ed9f1b09dc4a959c"></a><!-- doxytag: member="ofxpartner.cpp::kInvFilename" ref="a73b2cf6f588ad17ed9f1b09dc4a959c" args="" -->
-const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#a73b2cf6f588ad17ed9f1b09dc4a959c">OfxPartner::kInvFilename</a> = &quot;ofx-inv-index.xml&quot;</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="20028fb5bb6216afa275d5a400692026"></a><!-- doxytag: member="ofxpartner.cpp::kBankFilename" ref="20028fb5bb6216afa275d5a400692026" args="" -->
+const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#20028fb5bb6216afa275d5a400692026">OfxPartner::kBankFilename</a> = &quot;ofx-bank-index.xml&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="23fa7b5e68a615741fefb26e61bed53d"></a><!-- doxytag: member="ofxpartner.cpp::kCcFilename" ref="23fa7b5e68a615741fefb26e61bed53d" args="" -->
+const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#23fa7b5e68a615741fefb26e61bed53d">OfxPartner::kCcFilename</a> = &quot;ofx-cc-index.xml&quot;</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e941d2197fe884768f5790d9f99fafcf"></a><!-- doxytag: member="ofxpartner.cpp::kInvFilename" ref="e941d2197fe884768f5790d9f99fafcf" args="" -->
+const string&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#e941d2197fe884768f5790d9f99fafcf">OfxPartner::kInvFilename</a> = &quot;ofx-inv-index.xml&quot;</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofxpartner_8h-source.html'
--- doc/html/ofxpartner_8h-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofxpartner_8h-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofxpartner.h Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofxpartner.h</h1><a href="ofxpartner_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
 <a name="l00002"></a>00002 <span class="comment">                             ofx_partner.h </span>
 <a name="l00003"></a>00003 <span class="comment">                             -------------------</span>
@@ -35,21 +31,21 @@
 <a name="l00020"></a>00020 <span class="preprocessor">#ifndef OFXPARTNER_H</span>
 <a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define OFXPARTNER_H</span>
 <a name="l00022"></a>00022 <span class="preprocessor"></span>
-<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;<a class="code" href="libofx-0_88_82_2inc_2libofx_8h.html">libofx.h</a>&gt;</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;<a class="code" href="libofx-0_89_80_2inc_2libofx_8h.html" title="Main header file containing the LibOfx API.">libofx.h</a>&gt;</span>
 <a name="l00024"></a>00024 <span class="preprocessor">#include &lt;string&gt;</span>
 <a name="l00025"></a>00025 <span class="preprocessor">#include &lt;vector&gt;</span>
 <a name="l00026"></a>00026 
 <a name="l00027"></a>00027 <span class="keyword">namespace </span>OfxPartner
 <a name="l00028"></a>00028 {
-<a name="l00029"></a>00029   <span class="keywordtype">void</span> <a class="code" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">ValidateIndexCache</a>(<span class="keywordtype">void</span>);
-<a name="l00030"></a>00030   <a class="code" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a> <a class="code" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">ServiceInfo</a>(<span class="keyword">const</span> std::string&amp; fipid);
-<a name="l00031"></a>00031   std::vector&lt;std::string&gt; <a class="code" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">BankNames</a>(<span class="keywordtype">void</span>);
-<a name="l00032"></a>00032   std::vector&lt;std::string&gt; <a class="code" href="namespaceOfxPartner.html#01dfac57aa6faf785dc4b92480094f00">FipidForBank</a>(<span class="keyword">const</span> std::string&amp; bank);
+<a name="l00029"></a>00029   <span class="keywordtype">void</span> <a class="code" href="namespaceOfxPartner.html#ef396b717081bb217cc350676d9b8165">ValidateIndexCache</a>(<span class="keywordtype">void</span>);
+<a name="l00030"></a>00030   <a class="code" href="structOfxFiServiceInfo.html" title="Information returned by the OFX Partner Server about a financial institution.">OfxFiServiceInfo</a> <a class="code" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">ServiceInfo</a>(<span class="keyword">const</span> std::string&amp; fipid);
+<a name="l00031"></a>00031   std::vector&lt;std::string&gt; <a class="code" href="namespaceOfxPartner.html#849cbb4d1d013b56c3ba28ef1e574fba">BankNames</a>(<span class="keywordtype">void</span>);
+<a name="l00032"></a>00032   std::vector&lt;std::string&gt; <a class="code" href="namespaceOfxPartner.html#cfd9337cce7e4f82bd69b5d78362f7bb">FipidForBank</a>(<span class="keyword">const</span> std::string&amp; bank);
 <a name="l00033"></a>00033 }
 <a name="l00034"></a>00034 
 <a name="l00035"></a>00035 <span class="preprocessor">#endif // OFXPARTNER_H</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/ofxpartner_8h.html'
--- doc/html/ofxpartner_8h.html	2006-10-20 13:12:33 +0000
+++ doc/html/ofxpartner_8h.html	2008-02-06 17:25:16 +0000
@@ -1,28 +1,24 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ofxpartner.h File Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>ofxpartner.h File Reference</h1><hr><a name="_details"></a><h2>Detailed Description</h2>
 Methods for connecting to the OFX partner server to retrieve OFX server information. 
 <p>
 
-<p>
-Definition in file <a class="el" href="ofxpartner_8h-source.html">ofxpartner.h</a>.
+<p>Definition in file <a class="el" href="ofxpartner_8h-source.html">ofxpartner.h</a>.</p>
+
 <p>
 
 <p>
@@ -32,21 +28,22 @@
 <tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html">OfxPartner</a></td></tr>
 
 <tr><td colspan="2"><br><h2>Functions</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="951dc107754e0bfa7d5364e1518efd65"></a><!-- doxytag: member="ofxpartner.h::ValidateIndexCache" ref="951dc107754e0bfa7d5364e1518efd65" args="(void)" -->
-void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#951dc107754e0bfa7d5364e1518efd65">OfxPartner::ValidateIndexCache</a> (void)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="98dc22fd00cbe6c2256da00805c46acc"></a><!-- doxytag: member="ofxpartner.h::ServiceInfo" ref="98dc22fd00cbe6c2256da00805c46acc" args="(const std::string &amp;fipid)" -->
-<a class="el" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#98dc22fd00cbe6c2256da00805c46acc">OfxPartner::ServiceInfo</a> (const std::string &amp;fipid)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b9a0ee86a517e48f97a5efb0789d112d"></a><!-- doxytag: member="ofxpartner.h::BankNames" ref="b9a0ee86a517e48f97a5efb0789d112d" args="(void)" -->
-vector&lt; string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#b9a0ee86a517e48f97a5efb0789d112d">OfxPartner::BankNames</a> (void)</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d7d7767d52207beab0d425d41a10ca9d"></a><!-- doxytag: member="ofxpartner.h::FipidForBank" ref="d7d7767d52207beab0d425d41a10ca9d" args="(const std::string &amp;bank)" -->
-std::vector&lt; std::string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxPartner::FipidForBank</b> (const std::string &amp;bank)</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ef396b717081bb217cc350676d9b8165"></a><!-- doxytag: member="ofxpartner.h::ValidateIndexCache" ref="ef396b717081bb217cc350676d9b8165" args="(void)" -->
+void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#ef396b717081bb217cc350676d9b8165">OfxPartner::ValidateIndexCache</a> (void)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7707f0e2acc21b43faca823ef9a2fef3"></a><!-- doxytag: member="ofxpartner.h::ServiceInfo" ref="7707f0e2acc21b43faca823ef9a2fef3" args="(const std::string &amp;fipid)" -->
+<a class="el" href="structOfxFiServiceInfo.html">OfxFiServiceInfo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#7707f0e2acc21b43faca823ef9a2fef3">OfxPartner::ServiceInfo</a> (const std::string &amp;fipid)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="849cbb4d1d013b56c3ba28ef1e574fba"></a><!-- doxytag: member="ofxpartner.h::BankNames" ref="849cbb4d1d013b56c3ba28ef1e574fba" args="(void)" -->
+vector&lt; string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOfxPartner.html#849cbb4d1d013b56c3ba28ef1e574fba">OfxPartner::BankNames</a> (void)</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c5d3b75d886dfcb7317206294f755fee"></a><!-- doxytag: member="ofxpartner.h::FipidForBank" ref="c5d3b75d886dfcb7317206294f755fee" args="(const std::string &amp;bank)" -->
+std::vector<br>
+&lt; std::string &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><b>OfxPartner::FipidForBank</b> (const std::string &amp;bank)</td></tr>
 
 </table>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structErrorMsg.html'
--- doc/html/structErrorMsg.html	2006-10-20 13:12:33 +0000
+++ doc/html/structErrorMsg.html	2008-02-06 17:25:16 +0000
@@ -1,172 +1,172 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: ErrorMsg Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>ErrorMsg Struct Reference</h1><!-- doxytag: class="ErrorMsg" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 An abstraction of an OFX error code sent by an OFX server. 
-<p>
-
-<p>
-Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00023">23</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00023">23</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#95f22180acb45e48ab748671ff12fee8">code</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">name</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">description</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">name</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">description</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">code</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">description</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">description</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">description</a></td></tr>
 
 </table>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="95f22180acb45e48ab748671ff12fee8"></a><!-- doxytag: member="ErrorMsg::code" ref="95f22180acb45e48ab748671ff12fee8" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="1308f8c77806e8c2a78f59ea17a6401d"></a><!-- doxytag: member="ErrorMsg::code" ref="1308f8c77806e8c2a78f59ea17a6401d" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structErrorMsg.html#95f22180acb45e48ab748671ff12fee8">ErrorMsg::code</a>          </td>
+          <td class="memname">int <a class="el" href="structErrorMsg.html#1308f8c77806e8c2a78f59ea17a6401d">ErrorMsg::code</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 The error's code 
-<p>
-Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00025">25</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="80225752af59aa5168e2affb3cb039b3"></a><!-- doxytag: member="ErrorMsg::description" ref="80225752af59aa5168e2affb3cb039b3" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char* <a class="el" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">ErrorMsg::description</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The long description of the error 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html#l00027">27</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="80225752af59aa5168e2affb3cb039b3"></a><!-- doxytag: member="ErrorMsg::description" ref="80225752af59aa5168e2affb3cb039b3" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char* <a class="el" href="structErrorMsg.html#80225752af59aa5168e2affb3cb039b3">ErrorMsg::description</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The long description of the error 
-<p>
-Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00027">27</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="30f6cd9d0265185623528f1a1b1538d6"></a><!-- doxytag: member="ErrorMsg::name" ref="30f6cd9d0265185623528f1a1b1538d6" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char* <a class="el" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">ErrorMsg::name</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The error's name 
-<p>
-Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html#l00026">26</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="30f6cd9d0265185623528f1a1b1538d6"></a><!-- doxytag: member="ErrorMsg::name" ref="30f6cd9d0265185623528f1a1b1538d6" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char* <a class="el" href="structErrorMsg.html#30f6cd9d0265185623528f1a1b1538d6">ErrorMsg::name</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The error's name 
-<p>
-Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00026">26</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00025">25</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__error__msg_8hh-source.html#l00128">find_error_msg()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c1eea419b5ed61d97b8ec5f03a9bd7b8"></a><!-- doxytag: member="ErrorMsg::name" ref="c1eea419b5ed61d97b8ec5f03a9bd7b8" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">ErrorMsg::name</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The error's name 
+<p>Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00026">26</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f79b973bc93afa2d85bdebe7db18155f"></a><!-- doxytag: member="ErrorMsg::description" ref="f79b973bc93afa2d85bdebe7db18155f" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">ErrorMsg::description</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The long description of the error 
+<p>Definition at line <a class="el" href="ofx__error__msg_8hh-source.html#l00027">27</a> of file <a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c1eea419b5ed61d97b8ec5f03a9bd7b8"></a><!-- doxytag: member="ErrorMsg::name" ref="c1eea419b5ed61d97b8ec5f03a9bd7b8" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">ErrorMsg::name</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The error's name 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html#l00026">26</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f79b973bc93afa2d85bdebe7db18155f"></a><!-- doxytag: member="ErrorMsg::description" ref="f79b973bc93afa2d85bdebe7db18155f" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">ErrorMsg::description</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The long description of the error 
+<p>Definition at line <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html#l00027">27</a> of file <a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c1eea419b5ed61d97b8ec5f03a9bd7b8"></a><!-- doxytag: member="ErrorMsg::name" ref="c1eea419b5ed61d97b8ec5f03a9bd7b8" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structErrorMsg.html#c1eea419b5ed61d97b8ec5f03a9bd7b8">ErrorMsg::name</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The error's name 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html#l00026">26</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html">fx-0.9.0/lib/ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f79b973bc93afa2d85bdebe7db18155f"></a><!-- doxytag: member="ErrorMsg::description" ref="f79b973bc93afa2d85bdebe7db18155f" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structErrorMsg.html#f79b973bc93afa2d85bdebe7db18155f">ErrorMsg::description</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The long description of the error 
+<p>Definition at line <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html#l00027">27</a> of file <a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html">fx-0.9.0/lib/ofx_error_msg.hh</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<li><a class="el" href="ofx__error__msg_8hh-source.html">ofx_error_msg.hh</a><li><a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh-source.html">fx-0.8.2/lib/ofx_error_msg.hh</a><li><a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh-source.html">fx-0.9.0/lib/ofx_error_msg.hh</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structLibofxFileFormatInfo.html'
--- doc/html/structLibofxFileFormatInfo.html	2006-10-20 13:12:33 +0000
+++ doc/html/structLibofxFileFormatInfo.html	2008-02-06 17:25:16 +0000
@@ -1,174 +1,174 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: LibofxFileFormatInfo Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>LibofxFileFormatInfo Struct Reference</h1><!-- doxytag: class="LibofxFileFormatInfo" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00108">108</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00122">122</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">format</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#d2cedb4565d24bf632fb95d3974e316b">format_name</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">description</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#d2cedb4565d24bf632fb95d3974e316b">format_name</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">description</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">format</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">format_name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">description</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">format_name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">description</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">format_name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">description</a></td></tr>
 
 </table>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="c30ea026390eae80d4056a7397ca69f7"></a><!-- doxytag: member="LibofxFileFormatInfo::description" ref="c30ea026390eae80d4056a7397ca69f7" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">const char* <a class="el" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">LibofxFileFormatInfo::description</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Description of the file format 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00111">111</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="c30ea026390eae80d4056a7397ca69f7"></a><!-- doxytag: member="LibofxFileFormatInfo::description" ref="c30ea026390eae80d4056a7397ca69f7" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">const char* <a class="el" href="structLibofxFileFormatInfo.html#c30ea026390eae80d4056a7397ca69f7">LibofxFileFormatInfo::description</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Description of the file format 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00111">111</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="abd04f8817cfaf854b3dfc0ac67db61a"></a><!-- doxytag: member="LibofxFileFormatInfo::format" ref="abd04f8817cfaf854b3dfc0ac67db61a" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="inc_2libofx_8h.html#b13650ecdb69a39a228ec00b995ffd84">LibofxFileFormat</a> <a class="el" href="structLibofxFileFormatInfo.html#abd04f8817cfaf854b3dfc0ac67db61a">LibofxFileFormatInfo::format</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<a class="anchor" name="e4b1aa0050ffdc43ce68f07e6330d2f7"></a><!-- doxytag: member="LibofxFileFormatInfo::format" ref="e4b1aa0050ffdc43ce68f07e6330d2f7" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="inc_2libofx_8h.html#954c5e33f48105c5d932d4842e7736de">LibofxFileFormat</a> <a class="el" href="structLibofxFileFormatInfo.html#e4b1aa0050ffdc43ce68f07e6330d2f7">LibofxFileFormatInfo::format</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 The file format enum 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00109">109</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00037">libofx_get_file_format_description()</a>, <a class="el" href="file__preproc_8cpp-source.html#l00054">libofx_get_file_format_from_str()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00369">main()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d2cedb4565d24bf632fb95d3974e316b"></a><!-- doxytag: member="LibofxFileFormatInfo::format_name" ref="d2cedb4565d24bf632fb95d3974e316b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">const char* <a class="el" href="structLibofxFileFormatInfo.html#d2cedb4565d24bf632fb95d3974e316b">LibofxFileFormatInfo::format_name</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Text version of the enum 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00110">110</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="d2cedb4565d24bf632fb95d3974e316b"></a><!-- doxytag: member="LibofxFileFormatInfo::format_name" ref="d2cedb4565d24bf632fb95d3974e316b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">const char* <a class="el" href="structLibofxFileFormatInfo.html#d2cedb4565d24bf632fb95d3974e316b">LibofxFileFormatInfo::format_name</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Text version of the enum 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00110">110</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00123">123</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00037">libofx_get_file_format_description()</a>, <a class="el" href="file__preproc_8cpp-source.html#l00054">libofx_get_file_format_from_str()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00369">main()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="18c4db6bd435fd877ae2eb24d93553e6"></a><!-- doxytag: member="LibofxFileFormatInfo::format_name" ref="18c4db6bd435fd877ae2eb24d93553e6" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">LibofxFileFormatInfo::format_name</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Text version of the enum 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00124">124</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="6951dcf0a992fc8a03b721fa0f39670e"></a><!-- doxytag: member="LibofxFileFormatInfo::description" ref="6951dcf0a992fc8a03b721fa0f39670e" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">LibofxFileFormatInfo::description</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Description of the file format 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00125">125</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="file__preproc_8cpp-source.html#l00037">libofx_get_file_format_description()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00369">main()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="18c4db6bd435fd877ae2eb24d93553e6"></a><!-- doxytag: member="LibofxFileFormatInfo::format_name" ref="18c4db6bd435fd877ae2eb24d93553e6" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">LibofxFileFormatInfo::format_name</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Text version of the enum 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00110">110</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="6951dcf0a992fc8a03b721fa0f39670e"></a><!-- doxytag: member="LibofxFileFormatInfo::description" ref="6951dcf0a992fc8a03b721fa0f39670e" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">LibofxFileFormatInfo::description</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Description of the file format 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00111">111</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="18c4db6bd435fd877ae2eb24d93553e6"></a><!-- doxytag: member="LibofxFileFormatInfo::format_name" ref="18c4db6bd435fd877ae2eb24d93553e6" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structLibofxFileFormatInfo.html#18c4db6bd435fd877ae2eb24d93553e6">LibofxFileFormatInfo::format_name</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Text version of the enum 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00124">124</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="6951dcf0a992fc8a03b721fa0f39670e"></a><!-- doxytag: member="LibofxFileFormatInfo::description" ref="6951dcf0a992fc8a03b721fa0f39670e" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structLibofxFileFormatInfo.html#6951dcf0a992fc8a03b721fa0f39670e">LibofxFileFormatInfo::description</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Description of the file format 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00125">125</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structOfxAccountData.html'
--- doc/html/structOfxAccountData.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxAccountData.html	2008-02-06 17:25:16 +0000
@@ -1,325 +1,513 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxAccountData Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxAccountData Struct Reference</h1><!-- doxytag: class="OfxAccountData" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 An abstraction of an account. 
 <p>
-The <a class="el" href="structOfxAccountData.html">OfxAccountData</a> structure gives information about a specific account, including it's type, currency and unique id. 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00228">228</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+The <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> structure gives information about a specific account, including it's type, currency and unique id.<p>
+When an <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> must be passed to functions which create OFX requests related to a specific account, it must contain all the info needed for an OFX request to identify an account. That is: account_type, account_number, bank_id and branch_id 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00247">247</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>OFX mandatory elements</h2></td></tr>
 <tr><td colspan="2">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">AccountType</a> { <br>
-&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9">OFX_CHECKING</a>, 
-<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957">OFX_SAVINGS</a>, 
-<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493">OFX_MONEYMRKT</a>, 
-<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89">OFX_CREDITLINE</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f">OFX_CMA</a>, 
-<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471">OFX_CREDITCARD</a>, 
-<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">OFX_INVESTMENT</a>
-<br>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">account_id</a> [OFX_ACCOUNT_ID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">account_name</a> [OFX_ACCOUNT_NAME_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6b6337ff4bc80337397605c0b052a447"></a><!-- doxytag: member="OfxAccountData::account_id_valid" ref="6b6337ff4bc80337397605c0b052a447" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#6b6337ff4bc80337397605c0b052a447">account_id_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">OfxAccountData::AccountType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="23b82512ca46a5f4f99dd65affda6032"></a><!-- doxytag: member="OfxAccountData::account_type_valid" ref="23b82512ca46a5f4f99dd65affda6032" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#23b82512ca46a5f4f99dd65affda6032">account_type_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#c32bd379c1cdf26d0dfdb0d4992ba9e0">currency</a> [OFX_CURRENCY_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ec553bba34510a9085d8395ae57eb4d2"></a><!-- doxytag: member="OfxAccountData::currency_valid" ref="ec553bba34510a9085d8395ae57eb4d2" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#ec553bba34510a9085d8395ae57eb4d2">currency_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b52ce38f9b338995155193e251a913eb"></a><!-- doxytag: member="OfxAccountData::bank_id" ref="b52ce38f9b338995155193e251a913eb" args="[OFX_BANKID_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#b52ce38f9b338995155193e251a913eb">bank_id</a> [OFX_BANKID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="383072a07037bd2a6e3b3bdd2dd8ce68"></a><!-- doxytag: member="OfxAccountData::bank_id_valid" ref="383072a07037bd2a6e3b3bdd2dd8ce68" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#383072a07037bd2a6e3b3bdd2dd8ce68">bank_id_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="638e07ea5ceae389d128b18451a92c3f"></a><!-- doxytag: member="OfxAccountData::broker_id" ref="638e07ea5ceae389d128b18451a92c3f" args="[OFX_BROKERID_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#638e07ea5ceae389d128b18451a92c3f">broker_id</a> [OFX_BROKERID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="18c96bae133fcb04c8f5cdadd2d785ca"></a><!-- doxytag: member="OfxAccountData::broker_id_valid" ref="18c96bae133fcb04c8f5cdadd2d785ca" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#18c96bae133fcb04c8f5cdadd2d785ca">broker_id_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="392911775b01dcd1fa08f8aae8d6354b"></a><!-- doxytag: member="OfxAccountData::branch_id" ref="392911775b01dcd1fa08f8aae8d6354b" args="[OFX_BRANCHID_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#392911775b01dcd1fa08f8aae8d6354b">branch_id</a> [OFX_BRANCHID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a90da480f5333cb62e65abff64fc8ca1"></a><!-- doxytag: member="OfxAccountData::branch_id_valid" ref="a90da480f5333cb62e65abff64fc8ca1" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#a90da480f5333cb62e65abff64fc8ca1">branch_id_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4055a6a7c29f5d7227a21143c15827cc"></a><!-- doxytag: member="OfxAccountData::account_number" ref="4055a6a7c29f5d7227a21143c15827cc" args="[OFX_ACCTID_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#4055a6a7c29f5d7227a21143c15827cc">account_number</a> [OFX_ACCTID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4f3d55c94002500f9f3e3b398a71f9b0"></a><!-- doxytag: member="OfxAccountData::account_number_valid" ref="4f3d55c94002500f9f3e3b398a71f9b0" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#4f3d55c94002500f9f3e3b398a71f9b0">account_number_valid</a></td></tr>
-
-<tr><td colspan="2"><br><h2>OFX mandatory elements</h2></td></tr>
-<tr><td colspan="2">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">AccountType</a> { <br>
-&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9">OFX_CHECKING</a>, 
-<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957">OFX_SAVINGS</a>, 
-<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493">OFX_MONEYMRKT</a>, 
-<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89">OFX_CREDITLINE</a>, 
-<br>
-&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f">OFX_CMA</a>, 
-<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471">OFX_CREDITCARD</a>, 
-<a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed">OFX_INVESTMENT</a>
-<br>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">OfxAccountData::AccountType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">account_type</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">AccountType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">account_id</a> [OFX_ACCOUNT_ID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">account_name</a> [OFX_ACCOUNT_NAME_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b44c2b8ceccca2bf881e99204f330516"></a><!-- doxytag: member="OfxAccountData::account_id_valid" ref="b44c2b8ceccca2bf881e99204f330516" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#b44c2b8ceccca2bf881e99204f330516">account_id_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <br>
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData::AccountType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="90d39920acba465ae84c17e35c301e04"></a><!-- doxytag: member="OfxAccountData::account_type_valid" ref="90d39920acba465ae84c17e35c301e04" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#90d39920acba465ae84c17e35c301e04">account_type_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">currency</a> [OFX_CURRENCY_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="62e2f6ca968bbe68930e9588846c339b"></a><!-- doxytag: member="OfxAccountData::currency_valid" ref="62e2f6ca968bbe68930e9588846c339b" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#62e2f6ca968bbe68930e9588846c339b">currency_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">account_number</a> [OFX_ACCTID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1a1a6ccf8821ccab3871f4199fd0faaa"></a><!-- doxytag: member="OfxAccountData::account_number_valid" ref="1a1a6ccf8821ccab3871f4199fd0faaa" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#1a1a6ccf8821ccab3871f4199fd0faaa">account_number_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">bank_id</a> [OFX_BANKID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d19e6bb53b1112adc39a25670380a265"></a><!-- doxytag: member="OfxAccountData::bank_id_valid" ref="d19e6bb53b1112adc39a25670380a265" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#d19e6bb53b1112adc39a25670380a265">bank_id_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="51cd1ff5d5809de171bf9071517239e7"></a><!-- doxytag: member="OfxAccountData::broker_id" ref="51cd1ff5d5809de171bf9071517239e7" args="[OFX_BROKERID_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#51cd1ff5d5809de171bf9071517239e7">broker_id</a> [OFX_BROKERID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59defd36706bd332e080dcf56437dabf"></a><!-- doxytag: member="OfxAccountData::broker_id_valid" ref="59defd36706bd332e080dcf56437dabf" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#59defd36706bd332e080dcf56437dabf">broker_id_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2ebcf0e44c03256016ddadf9a6ddc680"></a><!-- doxytag: member="OfxAccountData::branch_id" ref="2ebcf0e44c03256016ddadf9a6ddc680" args="[OFX_BRANCHID_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#2ebcf0e44c03256016ddadf9a6ddc680">branch_id</a> [OFX_BRANCHID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8f9f23018f7b6542fe3eda763a9dfb12"></a><!-- doxytag: member="OfxAccountData::branch_id_valid" ref="8f9f23018f7b6542fe3eda763a9dfb12" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#8f9f23018f7b6542fe3eda763a9dfb12">branch_id_valid</a></td></tr>
+
+<tr><td colspan="2"><br><h2>OFX mandatory elements</h2></td></tr>
+<tr><td colspan="2">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">AccountType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <br>
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData::AccountType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a></td></tr>
+
+<tr><td colspan="2"><br><h2>OFX mandatory elements</h2></td></tr>
+<tr><td colspan="2">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">AccountType</a> { <br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c">OFX_CHECKING</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324">OFX_SAVINGS</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d">OFX_MONEYMRKT</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71">OFX_CREDITLINE</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d">OFX_CMA</a>, 
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446">OFX_CREDITCARD</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a">OFX_INVESTMENT</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <br>
+<a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData::AccountType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">account_type</a></td></tr>
 
 </table>
 <hr><h2>Member Enumeration Documentation</h2>
-<a class="anchor" name="7349b38225f632ef99c1a260b4ef834b"></a><!-- doxytag: member="OfxAccountData::AccountType" ref="7349b38225f632ef99c1a260b4ef834b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">OfxAccountData::AccountType</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-account_type tells you what kind of account this is. See the AccountType enum <dl compact><dt><b>Enumerator: </b></dt><dd>
-<table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9"></a><!-- doxytag: member="OFX_CHECKING" ref="7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
-A standard checking account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957"></a><!-- doxytag: member="OFX_SAVINGS" ref="7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
-A standard savings account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
-A money market account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89"></a><!-- doxytag: member="OFX_CREDITLINE" ref="7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
-A line of credit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f"></a><!-- doxytag: member="OFX_CMA" ref="7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f" args="" -->OFX_CMA</em>&nbsp;</td><td>
-Cash Management Account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471"></a><!-- doxytag: member="OFX_CREDITCARD" ref="7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
-A credit card account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed"></a><!-- doxytag: member="OFX_INVESTMENT" ref="7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
-An investment account </td></tr>
-</table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00250">250</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="7349b38225f632ef99c1a260b4ef834b"></a><!-- doxytag: member="OfxAccountData::AccountType" ref="7349b38225f632ef99c1a260b4ef834b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">OfxAccountData::AccountType</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-account_type tells you what kind of account this is. See the AccountType enum <dl compact><dt><b>Enumerator: </b></dt><dd>
-<table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9"></a><!-- doxytag: member="OFX_CHECKING" ref="7349b38225f632ef99c1a260b4ef834bf4ef5129e130473576f73a127d81c3c9" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
-A standard checking account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957"></a><!-- doxytag: member="OFX_SAVINGS" ref="7349b38225f632ef99c1a260b4ef834bcbf6a4b305c2bdf56178d19ec7648957" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
-A standard savings account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="7349b38225f632ef99c1a260b4ef834b4080113b0a9a4fcf7e654a104c30f493" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
-A money market account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89"></a><!-- doxytag: member="OFX_CREDITLINE" ref="7349b38225f632ef99c1a260b4ef834befb24f03d7b6af211a0d60cb1ff4fb89" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
-A line of credit </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f"></a><!-- doxytag: member="OFX_CMA" ref="7349b38225f632ef99c1a260b4ef834bf1b8b183d4a3ee6f5f64fe66165a8e1f" args="" -->OFX_CMA</em>&nbsp;</td><td>
-Cash Management Account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471"></a><!-- doxytag: member="OFX_CREDITCARD" ref="7349b38225f632ef99c1a260b4ef834bcd8d4f2c5368aca91db8f4d85b5e1471" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
-A credit card account </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed"></a><!-- doxytag: member="OFX_INVESTMENT" ref="7349b38225f632ef99c1a260b4ef834bac85bc440975fc0436200e2ebdb287ed" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
-An investment account </td></tr>
-</table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00250">250</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="3835390f3072fc32736780f44ab10284"></a><!-- doxytag: member="OfxAccountData::AccountType" ref="3835390f3072fc32736780f44ab10284" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData::AccountType</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+account_type tells you what kind of account this is. See the AccountType enum <dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c"></a><!-- doxytag: member="OFX_CHECKING" ref="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
+A standard checking account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324"></a><!-- doxytag: member="OFX_SAVINGS" ref="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
+A standard savings account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
+A money market account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71"></a><!-- doxytag: member="OFX_CREDITLINE" ref="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
+A line of credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d"></a><!-- doxytag: member="OFX_CMA" ref="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d" args="" -->OFX_CMA</em>&nbsp;</td><td>
+Cash Management Account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446"></a><!-- doxytag: member="OFX_CREDITCARD" ref="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
+A credit card account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a"></a><!-- doxytag: member="OFX_INVESTMENT" ref="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
+An investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c"></a><!-- doxytag: member="OFX_CHECKING" ref="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
+A standard checking account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324"></a><!-- doxytag: member="OFX_SAVINGS" ref="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
+A standard savings account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
+A money market account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71"></a><!-- doxytag: member="OFX_CREDITLINE" ref="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
+A line of credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d"></a><!-- doxytag: member="OFX_CMA" ref="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d" args="" -->OFX_CMA</em>&nbsp;</td><td>
+Cash Management Account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446"></a><!-- doxytag: member="OFX_CREDITCARD" ref="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
+A credit card account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a"></a><!-- doxytag: member="OFX_INVESTMENT" ref="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
+An investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c"></a><!-- doxytag: member="OFX_CHECKING" ref="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
+A standard checking account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324"></a><!-- doxytag: member="OFX_SAVINGS" ref="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
+A standard savings account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
+A money market account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71"></a><!-- doxytag: member="OFX_CREDITLINE" ref="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
+A line of credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d"></a><!-- doxytag: member="OFX_CMA" ref="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d" args="" -->OFX_CMA</em>&nbsp;</td><td>
+Cash Management Account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446"></a><!-- doxytag: member="OFX_CREDITCARD" ref="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
+A credit card account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a"></a><!-- doxytag: member="OFX_INVESTMENT" ref="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
+An investment account </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00269">269</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3835390f3072fc32736780f44ab10284"></a><!-- doxytag: member="OfxAccountData::AccountType" ref="3835390f3072fc32736780f44ab10284" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData::AccountType</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+account_type tells you what kind of account this is. See the AccountType enum <dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c"></a><!-- doxytag: member="OFX_CHECKING" ref="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
+A standard checking account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324"></a><!-- doxytag: member="OFX_SAVINGS" ref="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
+A standard savings account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
+A money market account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71"></a><!-- doxytag: member="OFX_CREDITLINE" ref="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
+A line of credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d"></a><!-- doxytag: member="OFX_CMA" ref="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d" args="" -->OFX_CMA</em>&nbsp;</td><td>
+Cash Management Account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446"></a><!-- doxytag: member="OFX_CREDITCARD" ref="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
+A credit card account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a"></a><!-- doxytag: member="OFX_INVESTMENT" ref="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
+An investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c"></a><!-- doxytag: member="OFX_CHECKING" ref="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
+A standard checking account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324"></a><!-- doxytag: member="OFX_SAVINGS" ref="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
+A standard savings account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
+A money market account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71"></a><!-- doxytag: member="OFX_CREDITLINE" ref="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
+A line of credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d"></a><!-- doxytag: member="OFX_CMA" ref="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d" args="" -->OFX_CMA</em>&nbsp;</td><td>
+Cash Management Account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446"></a><!-- doxytag: member="OFX_CREDITCARD" ref="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
+A credit card account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a"></a><!-- doxytag: member="OFX_INVESTMENT" ref="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
+An investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c"></a><!-- doxytag: member="OFX_CHECKING" ref="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
+A standard checking account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324"></a><!-- doxytag: member="OFX_SAVINGS" ref="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
+A standard savings account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
+A money market account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71"></a><!-- doxytag: member="OFX_CREDITLINE" ref="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
+A line of credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d"></a><!-- doxytag: member="OFX_CMA" ref="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d" args="" -->OFX_CMA</em>&nbsp;</td><td>
+Cash Management Account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446"></a><!-- doxytag: member="OFX_CREDITCARD" ref="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
+A credit card account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a"></a><!-- doxytag: member="OFX_INVESTMENT" ref="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
+An investment account </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00255">255</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3835390f3072fc32736780f44ab10284"></a><!-- doxytag: member="OfxAccountData::AccountType" ref="3835390f3072fc32736780f44ab10284" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData::AccountType</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+account_type tells you what kind of account this is. See the AccountType enum <dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c"></a><!-- doxytag: member="OFX_CHECKING" ref="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
+A standard checking account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324"></a><!-- doxytag: member="OFX_SAVINGS" ref="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
+A standard savings account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
+A money market account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71"></a><!-- doxytag: member="OFX_CREDITLINE" ref="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
+A line of credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d"></a><!-- doxytag: member="OFX_CMA" ref="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d" args="" -->OFX_CMA</em>&nbsp;</td><td>
+Cash Management Account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446"></a><!-- doxytag: member="OFX_CREDITCARD" ref="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
+A credit card account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a"></a><!-- doxytag: member="OFX_INVESTMENT" ref="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
+An investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c"></a><!-- doxytag: member="OFX_CHECKING" ref="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
+A standard checking account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324"></a><!-- doxytag: member="OFX_SAVINGS" ref="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
+A standard savings account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
+A money market account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71"></a><!-- doxytag: member="OFX_CREDITLINE" ref="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
+A line of credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d"></a><!-- doxytag: member="OFX_CMA" ref="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d" args="" -->OFX_CMA</em>&nbsp;</td><td>
+Cash Management Account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446"></a><!-- doxytag: member="OFX_CREDITCARD" ref="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
+A credit card account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a"></a><!-- doxytag: member="OFX_INVESTMENT" ref="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
+An investment account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c"></a><!-- doxytag: member="OFX_CHECKING" ref="3835390f3072fc32736780f44ab1028432212e64e77d0f487d8ac7078204a56c" args="" -->OFX_CHECKING</em>&nbsp;</td><td>
+A standard checking account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324"></a><!-- doxytag: member="OFX_SAVINGS" ref="3835390f3072fc32736780f44ab1028420ea5732b04980ca296c6c25673bd324" args="" -->OFX_SAVINGS</em>&nbsp;</td><td>
+A standard savings account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d"></a><!-- doxytag: member="OFX_MONEYMRKT" ref="3835390f3072fc32736780f44ab102847c19e4fda38aeb2ee1120be2a638d28d" args="" -->OFX_MONEYMRKT</em>&nbsp;</td><td>
+A money market account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71"></a><!-- doxytag: member="OFX_CREDITLINE" ref="3835390f3072fc32736780f44ab102849a7eac1e4fc43f03821fc6c42d468a71" args="" -->OFX_CREDITLINE</em>&nbsp;</td><td>
+A line of credit </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d"></a><!-- doxytag: member="OFX_CMA" ref="3835390f3072fc32736780f44ab10284381147bb1b704c18f716cf7fa318f72d" args="" -->OFX_CMA</em>&nbsp;</td><td>
+Cash Management Account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446"></a><!-- doxytag: member="OFX_CREDITCARD" ref="3835390f3072fc32736780f44ab10284ef7a40d4a94b79cb30e36e9d2d767446" args="" -->OFX_CREDITCARD</em>&nbsp;</td><td>
+A credit card account </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a"></a><!-- doxytag: member="OFX_INVESTMENT" ref="3835390f3072fc32736780f44ab1028471412f0985b2443ef3cf35dc131c227a" args="" -->OFX_INVESTMENT</em>&nbsp;</td><td>
+An investment account </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00269">269</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="4ce7e409aaf38b2aaa61aef88815d08e"></a><!-- doxytag: member="OfxAccountData::account_id" ref="4ce7e409aaf38b2aaa61aef88815d08e" args="[OFX_ACCOUNT_ID_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="f3c443ec23bb7b2414257960a5f79f4c"></a><!-- doxytag: member="OfxAccountData::account_id" ref="f3c443ec23bb7b2414257960a5f79f4c" args="[OFX_ACCOUNT_ID_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxAccountData.html#4ce7e409aaf38b2aaa61aef88815d08e">OfxAccountData::account_id</a>          </td>
+          <td class="memname">char <a class="el" href="structOfxAccountData.html#f3c443ec23bb7b2414257960a5f79f4c">OfxAccountData::account_id</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 The account_id is actually built from &lt;BANKID&gt;&lt;BRANCHID&gt;&lt;ACCTID&gt; for a bank account, and &lt;ACCTID&gt;&lt;ACCTKEY&gt; for a credit card account. account_id is meant to be computer-readable. It is a worldwide OFX unique identifier wich can be used for account matching, even in system with multiple users. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00240">240</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00142">OfxTransactionContainer::add_account()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00108">OfxStatementContainer::add_account()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00294">ofx_proc_account_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="3d89c5901bacb8de34b874226a939a23"></a><!-- doxytag: member="OfxAccountData::account_name" ref="3d89c5901bacb8de34b874226a939a23" args="[OFX_ACCOUNT_NAME_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00259">259</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00142">OfxTransactionContainer::add_account()</a>, <a class="el" href="ofx__container__statement_8cpp-source.html#l00108">OfxStatementContainer::add_account()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00294">ofx_proc_account_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="0f2a85b21b6743e123e7249421410143"></a><!-- doxytag: member="OfxAccountData::account_name" ref="0f2a85b21b6743e123e7249421410143" args="[OFX_ACCOUNT_NAME_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxAccountData.html#3d89c5901bacb8de34b874226a939a23">OfxAccountData::account_name</a>          </td>
+          <td class="memname">char <a class="el" href="structOfxAccountData.html#0f2a85b21b6743e123e7249421410143">OfxAccountData::account_name</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 The account_id_name is a string meant to allow the user to identify the account. Currently it is &lt;ACCTID&gt; for a bank account and a credit card account an &lt;BROKERID&gt;:&lt;ACCTID&gt; for investment accounts. account_id_name is not meant to be computer-readable and is not garanteed to be unique. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00246">246</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00294">ofx_proc_account_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="cdb40a0329ac3cdfb6cade384d93ed87"></a><!-- doxytag: member="OfxAccountData::account_type" ref="cdb40a0329ac3cdfb6cade384d93ed87" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">OfxAccountData::AccountType</a>  <a class="el" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">OfxAccountData::account_type</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-account_type tells you what kind of account this is. See the AccountType enum     </td>
-  </tr>
-</table>
-<a class="anchor" name="cdb40a0329ac3cdfb6cade384d93ed87"></a><!-- doxytag: member="OfxAccountData::account_type" ref="cdb40a0329ac3cdfb6cade384d93ed87" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="structOfxAccountData.html#7349b38225f632ef99c1a260b4ef834b">OfxAccountData::AccountType</a>  <a class="el" href="structOfxAccountData.html#cdb40a0329ac3cdfb6cade384d93ed87">OfxAccountData::account_type</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00265">265</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00294">ofx_proc_account_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="86c1f1fc9d27be97de56b2ca1feef70f"></a><!-- doxytag: member="OfxAccountData::account_type" ref="86c1f1fc9d27be97de56b2ca1feef70f" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData::AccountType</a>  <a class="el" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">OfxAccountData::account_type</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 account_type tells you what kind of account this is. See the AccountType enum 
-<p>
-Referenced by <a class="el" href="ofx__container__account_8cpp-source.html#l00074">OfxAccountContainer::add_attribute()</a>, <a class="el" href="ofxdump_8cpp-source.html#l00294">ofx_proc_account_cb()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00133">ofx_proc_statement_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="c32bd379c1cdf26d0dfdb0d4992ba9e0"></a><!-- doxytag: member="OfxAccountData::currency" ref="c32bd379c1cdf26d0dfdb0d4992ba9e0" args="[OFX_CURRENCY_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Referenced by <a class="el" href="ofx__container__account_8cpp-source.html#l00074">OfxAccountContainer::add_attribute()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00059">OfxStatementRequest::BankStatementRequest()</a>, <a class="el" href="ofxdump_8cpp-source.html#l00294">ofx_proc_account_cb()</a>, <a class="el" href="ofx2qif_8c-source.html#l00133">ofx_proc_statement_cb()</a>, <a class="el" href="ofx__container__account_8cpp-source.html#l00036">OfxAccountContainer::OfxAccountContainer()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00147">OfxPaymentRequest::OfxPaymentRequest()</a>, and <a class="el" href="ofx__request__statement_8cpp-source.html#l00044">OfxStatementRequest::OfxStatementRequest()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="f36a0ad83c815cb2196c8d3dad3310fe"></a><!-- doxytag: member="OfxAccountData::currency" ref="f36a0ad83c815cb2196c8d3dad3310fe" args="[OFX_CURRENCY_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxAccountData.html#c32bd379c1cdf26d0dfdb0d4992ba9e0">OfxAccountData::currency</a>          </td>
+          <td class="memname">char <a class="el" href="structOfxAccountData.html#f36a0ad83c815cb2196c8d3dad3310fe">OfxAccountData::currency</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 The currency is a string in ISO-4217 format 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00260">260</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00294">ofx_proc_account_cb()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00279">279</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00294">ofx_proc_account_cb()</a>, and <a class="el" href="ofx__container__account_8cpp-source.html#l00036">OfxAccountContainer::OfxAccountContainer()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b7a689ab5977bd72653046449534f7f7"></a><!-- doxytag: member="OfxAccountData::account_number" ref="b7a689ab5977bd72653046449534f7f7" args="[OFX_ACCTID_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxAccountData.html#b7a689ab5977bd72653046449534f7f7">OfxAccountData::account_number</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Corresponds to OFX &lt;ACCTID&gt; 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00283">283</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__account_8cpp-source.html#l00074">OfxAccountContainer::add_attribute()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00059">OfxStatementRequest::BankStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00086">OfxStatementRequest::CreditCardStatementRequest()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00109">OfxStatementRequest::InvestmentStatementRequest()</a>, <a class="el" href="ofxdump_8cpp-source.html#l00294">ofx_proc_account_cb()</a>, and <a class="el" href="ofx__request__statement_8cpp-source.html#l00147">OfxPaymentRequest::OfxPaymentRequest()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e7f1e1e41cb6c19ca9a4bdee2b6d3c3b"></a><!-- doxytag: member="OfxAccountData::bank_id" ref="e7f1e1e41cb6c19ca9a4bdee2b6d3c3b" args="[OFX_BANKID_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxAccountData.html#e7f1e1e41cb6c19ca9a4bdee2b6d3c3b">OfxAccountData::bank_id</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Corresponds to OFX &lt;BANKID&gt; 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00287">287</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__account_8cpp-source.html#l00074">OfxAccountContainer::add_attribute()</a>, <a class="el" href="ofx__request__statement_8cpp-source.html#l00059">OfxStatementRequest::BankStatementRequest()</a>, <a class="el" href="ofxdump_8cpp-source.html#l00294">ofx_proc_account_cb()</a>, and <a class="el" href="ofx__request__statement_8cpp-source.html#l00147">OfxPaymentRequest::OfxPaymentRequest()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="86c1f1fc9d27be97de56b2ca1feef70f"></a><!-- doxytag: member="OfxAccountData::account_type" ref="86c1f1fc9d27be97de56b2ca1feef70f" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData::AccountType</a>  <a class="el" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">OfxAccountData::account_type</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+account_type tells you what kind of account this is. See the AccountType enum 
+</div>
+</div><p>
+<a class="anchor" name="86c1f1fc9d27be97de56b2ca1feef70f"></a><!-- doxytag: member="OfxAccountData::account_type" ref="86c1f1fc9d27be97de56b2ca1feef70f" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxAccountData.html#3835390f3072fc32736780f44ab10284">OfxAccountData::AccountType</a>  <a class="el" href="structOfxAccountData.html#86c1f1fc9d27be97de56b2ca1feef70f">OfxAccountData::account_type</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+account_type tells you what kind of account this is. See the AccountType enum 
+</div>
+</div><p>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== removed file 'doc/html/structOfxAccountInfo.html'
--- doc/html/structOfxAccountInfo.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxAccountInfo.html	1970-01-01 00:00:00 +0000
@@ -1,50 +0,0 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
-<title>LibOFX: OfxAccountInfo Struct Reference</title>
-<link href="doxygen.css" rel="stylesheet" type="text/css">
-<link href="tabs.css" rel="stylesheet" type="text/css">
-</head><body>
-<!-- Generated by Doxygen 1.4.6 -->
-<div class="tabs">
-  <ul>
-    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
-    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
-    <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
-<h1>OfxAccountInfo Struct Reference</h1><!-- doxytag: class="OfxAccountInfo" --><hr><a name="_details"></a><h2>Detailed Description</h2>
-Information sufficient to identify an account. 
-<p>
-Contains all the info needed for an OFX request to identify an account. An <a class="el" href="structOfxAccountInfo.html">OfxAccountInfo</a> must be passed to all functions which create OFX requests related to a specific account. 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00719">719</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
-<tr><td></td></tr>
-<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9d9f753213e4158829542e0a386d16c2"></a><!-- doxytag: member="OfxAccountInfo::accountid" ref="9d9f753213e4158829542e0a386d16c2" args="[OFX_ACCOUNT_ID_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountInfo.html#9d9f753213e4158829542e0a386d16c2">accountid</a> [OFX_ACCOUNT_ID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0236025b0b1f8a8e4954ad7b2167e7f3"></a><!-- doxytag: member="OfxAccountInfo::bankid" ref="0236025b0b1f8a8e4954ad7b2167e7f3" args="[OFX_BANKID_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountInfo.html#0236025b0b1f8a8e4954ad7b2167e7f3">bankid</a> [OFX_BANKID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1b8903e24442ff02fc0a12ee0592cae6"></a><!-- doxytag: member="OfxAccountInfo::brokerid" ref="1b8903e24442ff02fc0a12ee0592cae6" args="[OFX_BROKERID_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountInfo.html#1b8903e24442ff02fc0a12ee0592cae6">brokerid</a> [OFX_BROKERID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="53b89b76ff4e65948765ec3e4c3d74d7"></a><!-- doxytag: member="OfxAccountInfo::type" ref="53b89b76ff4e65948765ec3e4c3d74d7" args="" -->
-<a class="el" href="inc_2libofx_8h.html#ceebae269b57772784d69f1378935bcb">AccountType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxAccountInfo.html#53b89b76ff4e65948765ec3e4c3d74d7">type</a></td></tr>
-
-</table>
-<hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
-<a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
-</body>
-</html>

=== modified file 'doc/html/structOfxCurrency.html'
--- doc/html/structOfxCurrency.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxCurrency.html	2008-02-06 17:25:16 +0000
@@ -1,118 +1,94 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxCurrency Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxCurrency Struct Reference</h1><!-- doxytag: class="OfxCurrency" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 NOT YET SUPPORTED. 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00606">606</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00627">627</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxCurrency.html#178b53e406a02275243f1e1e483220e8">currency</a> [OFX_CURRENCY_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxCurrency.html#978f8a9698789bb843d19fa39d972f2f">exchange_rate</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxCurrency.html#7c4a8c93761859e996614694a973081c">must_convert</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxCurrency.html#b161a37469e797c6762d7dd909819332">currency</a> [OFX_CURRENCY_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxCurrency.html#42189e2f5c6b57cf09cb75689a6c1b88">exchange_rate</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxCurrency.html#19eb1ccd12664af9dfdb55d67641f32d">must_convert</a></td></tr>
 
 </table>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="178b53e406a02275243f1e1e483220e8"></a><!-- doxytag: member="OfxCurrency::currency" ref="178b53e406a02275243f1e1e483220e8" args="[OFX_CURRENCY_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="b161a37469e797c6762d7dd909819332"></a><!-- doxytag: member="OfxCurrency::currency" ref="b161a37469e797c6762d7dd909819332" args="[OFX_CURRENCY_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxCurrency.html#178b53e406a02275243f1e1e483220e8">OfxCurrency::currency</a>          </td>
+          <td class="memname">char <a class="el" href="structOfxCurrency.html#b161a37469e797c6762d7dd909819332">OfxCurrency::currency</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Currency in ISO-4217 format 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00607">607</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="978f8a9698789bb843d19fa39d972f2f"></a><!-- doxytag: member="OfxCurrency::exchange_rate" ref="978f8a9698789bb843d19fa39d972f2f" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00628">628</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="42189e2f5c6b57cf09cb75689a6c1b88"></a><!-- doxytag: member="OfxCurrency::exchange_rate" ref="42189e2f5c6b57cf09cb75689a6c1b88" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">double <a class="el" href="structOfxCurrency.html#978f8a9698789bb843d19fa39d972f2f">OfxCurrency::exchange_rate</a>          </td>
+          <td class="memname">double <a class="el" href="structOfxCurrency.html#42189e2f5c6b57cf09cb75689a6c1b88">OfxCurrency::exchange_rate</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Exchange rate from the normal currency of the account 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00608">608</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="7c4a8c93761859e996614694a973081c"></a><!-- doxytag: member="OfxCurrency::must_convert" ref="7c4a8c93761859e996614694a973081c" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00629">629</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="19eb1ccd12664af9dfdb55d67641f32d"></a><!-- doxytag: member="OfxCurrency::must_convert" ref="19eb1ccd12664af9dfdb55d67641f32d" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxCurrency.html#7c4a8c93761859e996614694a973081c">OfxCurrency::must_convert</a>          </td>
+          <td class="memname">int <a class="el" href="structOfxCurrency.html#19eb1ccd12664af9dfdb55d67641f32d">OfxCurrency::must_convert</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 true or false 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00609">609</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00630">630</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structOfxFiLogin.html'
--- doc/html/structOfxFiLogin.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxFiLogin.html	2008-02-06 17:25:16 +0000
@@ -1,50 +1,59 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxFiLogin Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxFiLogin Struct Reference</h1><!-- doxytag: class="OfxFiLogin" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 Information sufficient to log into an financial institution. 
 <p>
-Contains all the info needed for a user to log into a financial institution and make requests for statements or post transactions. An <a class="el" href="structOfxFiLogin.html">OfxFiLogin</a> must be passed to all functions which create OFX requests. 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00696">696</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+Contains all the info needed for a user to log into a financial institution and make requests for statements or post transactions. An <a class="el" href="structOfxFiLogin.html" title="Information sufficient to log into an financial institution.">OfxFiLogin</a> must be passed to all functions which create OFX requests. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00717">717</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a4758864493d6b42fa5168af2e245409"></a><!-- doxytag: member="OfxFiLogin::fid" ref="a4758864493d6b42fa5168af2e245409" args="[OFX_FID_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#a4758864493d6b42fa5168af2e245409">fid</a> [OFX_FID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4b44e09e0f415913fea555001554cd3d"></a><!-- doxytag: member="OfxFiLogin::org" ref="4b44e09e0f415913fea555001554cd3d" args="[OFX_ORG_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#4b44e09e0f415913fea555001554cd3d">org</a> [OFX_ORG_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7513251178c3f4d9b665132436428cdf"></a><!-- doxytag: member="OfxFiLogin::userid" ref="7513251178c3f4d9b665132436428cdf" args="[OFX_USERID_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#7513251178c3f4d9b665132436428cdf">userid</a> [OFX_USERID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2995949d8c307d2434ad82a61dbb6f1e"></a><!-- doxytag: member="OfxFiLogin::userpass" ref="2995949d8c307d2434ad82a61dbb6f1e" args="[OFX_USERPASS_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#2995949d8c307d2434ad82a61dbb6f1e">userpass</a> [OFX_USERPASS_LENGTH]</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ae44e5ea969520f461489956fce0ed58"></a><!-- doxytag: member="OfxFiLogin::fid" ref="ae44e5ea969520f461489956fce0ed58" args="[OFX_FID_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#ae44e5ea969520f461489956fce0ed58">fid</a> [OFX_FID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8fac30b84cbaab576b14c1c9c9f583b2"></a><!-- doxytag: member="OfxFiLogin::org" ref="8fac30b84cbaab576b14c1c9c9f583b2" args="[OFX_ORG_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#8fac30b84cbaab576b14c1c9c9f583b2">org</a> [OFX_ORG_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="655c23be41b28f250175501414523825"></a><!-- doxytag: member="OfxFiLogin::userid" ref="655c23be41b28f250175501414523825" args="[OFX_USERID_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#655c23be41b28f250175501414523825">userid</a> [OFX_USERID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8507687737334b8e5559d8aafe190878"></a><!-- doxytag: member="OfxFiLogin::userpass" ref="8507687737334b8e5559d8aafe190878" args="[OFX_USERPASS_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#8507687737334b8e5559d8aafe190878">userpass</a> [OFX_USERPASS_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5d12a1cd890d0307c860f34a0947b30b"></a><!-- doxytag: member="OfxFiLogin::header_version" ref="5d12a1cd890d0307c860f34a0947b30b" args="[OFX_HEADERVERSION_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#5d12a1cd890d0307c860f34a0947b30b">header_version</a> [OFX_HEADERVERSION_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0589bf38951c4e698236146c019d4cd1"></a><!-- doxytag: member="OfxFiLogin::appid" ref="0589bf38951c4e698236146c019d4cd1" args="[OFX_APPID_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#0589bf38951c4e698236146c019d4cd1">appid</a> [OFX_APPID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f870ca3b27992fb53f203d23f33d097c"></a><!-- doxytag: member="OfxFiLogin::appver" ref="f870ca3b27992fb53f203d23f33d097c" args="[OFX_APPVER_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiLogin.html#f870ca3b27992fb53f203d23f33d097c">appver</a> [OFX_APPVER_LENGTH]</td></tr>
 
 </table>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structOfxFiServiceInfo.html'
--- doc/html/structOfxFiServiceInfo.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxFiServiceInfo.html	2008-02-06 17:25:16 +0000
@@ -1,162 +1,130 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxFiServiceInfo Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxFiServiceInfo Struct Reference</h1><!-- doxytag: class="OfxFiServiceInfo" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 Information returned by the OFX Partner Server about a financial institution. 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00677">677</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00698">698</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2dbea9cf2b6881ee430000a168cd8338"></a><!-- doxytag: member="OfxFiServiceInfo::fid" ref="2dbea9cf2b6881ee430000a168cd8338" args="[OFX_FID_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#2dbea9cf2b6881ee430000a168cd8338">fid</a> [OFX_FID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="73a4c5b29a004bb210c751636b2352db"></a><!-- doxytag: member="OfxFiServiceInfo::org" ref="73a4c5b29a004bb210c751636b2352db" args="[OFX_ORG_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#73a4c5b29a004bb210c751636b2352db">org</a> [OFX_ORG_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="892b7434b389b85d67ece222f5dc1bdb"></a><!-- doxytag: member="OfxFiServiceInfo::url" ref="892b7434b389b85d67ece222f5dc1bdb" args="[OFX_URL_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#892b7434b389b85d67ece222f5dc1bdb">url</a> [OFX_URL_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">accountlist</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#c02b7fbdca5599cfa064887cddf94804">statements</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#41f3e3e7d5e090592791c8132fe14030">billpay</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#a390b4cdb30ff1c96114b77c0e0737f6">investments</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="88f49d1eb8a58dd0af68b04839a742c1"></a><!-- doxytag: member="OfxFiServiceInfo::fid" ref="88f49d1eb8a58dd0af68b04839a742c1" args="[OFX_FID_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#88f49d1eb8a58dd0af68b04839a742c1">fid</a> [OFX_FID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3c7f2c8d42640c526ff8849d17a1ca08"></a><!-- doxytag: member="OfxFiServiceInfo::org" ref="3c7f2c8d42640c526ff8849d17a1ca08" args="[OFX_ORG_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#3c7f2c8d42640c526ff8849d17a1ca08">org</a> [OFX_ORG_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d346b124e8c33724472150fc8addaed0"></a><!-- doxytag: member="OfxFiServiceInfo::url" ref="d346b124e8c33724472150fc8addaed0" args="[OFX_URL_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#d346b124e8c33724472150fc8addaed0">url</a> [OFX_URL_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">accountlist</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">statements</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">billpay</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">investments</a></td></tr>
 
 </table>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="dc90f788d801fe0560bf23d121a8bcc9"></a><!-- doxytag: member="OfxFiServiceInfo::accountlist" ref="dc90f788d801fe0560bf23d121a8bcc9" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="aecf3ea65f7ccd118d1264739da3f915"></a><!-- doxytag: member="OfxFiServiceInfo::accountlist" ref="aecf3ea65f7ccd118d1264739da3f915" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxFiServiceInfo.html#dc90f788d801fe0560bf23d121a8bcc9">OfxFiServiceInfo::accountlist</a>          </td>
+          <td class="memname">int <a class="el" href="structOfxFiServiceInfo.html#aecf3ea65f7ccd118d1264739da3f915">OfxFiServiceInfo::accountlist</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Whether the FI makes a list of accounts available 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00681">681</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofxpartner_8cpp-source.html#l00140">OfxPartner::ServiceInfo()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="41f3e3e7d5e090592791c8132fe14030"></a><!-- doxytag: member="OfxFiServiceInfo::billpay" ref="41f3e3e7d5e090592791c8132fe14030" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxFiServiceInfo.html#41f3e3e7d5e090592791c8132fe14030">OfxFiServiceInfo::billpay</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00702">702</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxpartner_8cpp-source.html#l00140">OfxPartner::ServiceInfo()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="49e460457156291004eed7c1841c9efe"></a><!-- doxytag: member="OfxFiServiceInfo::statements" ref="49e460457156291004eed7c1841c9efe" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int <a class="el" href="structOfxFiServiceInfo.html#49e460457156291004eed7c1841c9efe">OfxFiServiceInfo::statements</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Whether the FI supports online statement download 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00703">703</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxpartner_8cpp-source.html#l00140">OfxPartner::ServiceInfo()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="40a3cf5456923865ec22cc3bb2e3b07c"></a><!-- doxytag: member="OfxFiServiceInfo::billpay" ref="40a3cf5456923865ec22cc3bb2e3b07c" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int <a class="el" href="structOfxFiServiceInfo.html#40a3cf5456923865ec22cc3bb2e3b07c">OfxFiServiceInfo::billpay</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 Whether the FI supports online bill payment 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00683">683</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofxpartner_8cpp-source.html#l00140">OfxPartner::ServiceInfo()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a390b4cdb30ff1c96114b77c0e0737f6"></a><!-- doxytag: member="OfxFiServiceInfo::investments" ref="a390b4cdb30ff1c96114b77c0e0737f6" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00704">704</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxpartner_8cpp-source.html#l00140">OfxPartner::ServiceInfo()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="37b1522705817d12494f524658d7633b"></a><!-- doxytag: member="OfxFiServiceInfo::investments" ref="37b1522705817d12494f524658d7633b" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxFiServiceInfo.html#a390b4cdb30ff1c96114b77c0e0737f6">OfxFiServiceInfo::investments</a>          </td>
+          <td class="memname">int <a class="el" href="structOfxFiServiceInfo.html#37b1522705817d12494f524658d7633b">OfxFiServiceInfo::investments</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Whether the FI supports investments 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00684">684</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofxpartner_8cpp-source.html#l00140">OfxPartner::ServiceInfo()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="c02b7fbdca5599cfa064887cddf94804"></a><!-- doxytag: member="OfxFiServiceInfo::statements" ref="c02b7fbdca5599cfa064887cddf94804" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxFiServiceInfo.html#c02b7fbdca5599cfa064887cddf94804">OfxFiServiceInfo::statements</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Whether the FI supports online statement download 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00682">682</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofxpartner_8cpp-source.html#l00140">OfxPartner::ServiceInfo()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00705">705</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxpartner_8cpp-source.html#l00140">OfxPartner::ServiceInfo()</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structOfxPayee.html'
--- doc/html/structOfxPayee.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxPayee.html	2008-02-06 17:25:16 +0000
@@ -1,54 +1,54 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxPayee Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxPayee Struct Reference</h1><!-- doxytag: class="OfxPayee" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00739">739</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00740">740</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="244c3b827ff9a03b64819e004b6c2703"></a><!-- doxytag: member="OfxPayee::name" ref="244c3b827ff9a03b64819e004b6c2703" args="[OFX_NAME_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#244c3b827ff9a03b64819e004b6c2703">name</a> [OFX_NAME_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3509ec9ece608232be3ffc63b4077d27"></a><!-- doxytag: member="OfxPayee::address1" ref="3509ec9ece608232be3ffc63b4077d27" args="[OFX_NAME_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#3509ec9ece608232be3ffc63b4077d27">address1</a> [OFX_NAME_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4b3bd752ae504378f3bd3822e969b2fa"></a><!-- doxytag: member="OfxPayee::city" ref="4b3bd752ae504378f3bd3822e969b2fa" args="[OFX_NAME_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#4b3bd752ae504378f3bd3822e969b2fa">city</a> [OFX_NAME_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="05962d6b480e93be8ee06c6890aff0eb"></a><!-- doxytag: member="OfxPayee::state" ref="05962d6b480e93be8ee06c6890aff0eb" args="[OFX_STATE_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#05962d6b480e93be8ee06c6890aff0eb">state</a> [OFX_STATE_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a07d96270910acde171ebe29a8a263c2"></a><!-- doxytag: member="OfxPayee::postalcode" ref="a07d96270910acde171ebe29a8a263c2" args="[OFX_POSTALCODE_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#a07d96270910acde171ebe29a8a263c2">postalcode</a> [OFX_POSTALCODE_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c79b99be08186762285da39f91948627"></a><!-- doxytag: member="OfxPayee::phone" ref="c79b99be08186762285da39f91948627" args="[OFX_NAME_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#c79b99be08186762285da39f91948627">phone</a> [OFX_NAME_LENGTH]</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2ad9e35d86d1f7432114048a55bb5a73"></a><!-- doxytag: member="OfxPayee::name" ref="2ad9e35d86d1f7432114048a55bb5a73" args="[OFX_NAME_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#2ad9e35d86d1f7432114048a55bb5a73">name</a> [OFX_NAME_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="985439daf6ac8a7a34c92e5f9e829901"></a><!-- doxytag: member="OfxPayee::address1" ref="985439daf6ac8a7a34c92e5f9e829901" args="[OFX_NAME_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#985439daf6ac8a7a34c92e5f9e829901">address1</a> [OFX_NAME_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="03d236ffc1640ecc56640c4e29093215"></a><!-- doxytag: member="OfxPayee::city" ref="03d236ffc1640ecc56640c4e29093215" args="[OFX_NAME_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#03d236ffc1640ecc56640c4e29093215">city</a> [OFX_NAME_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d93547c7b47ed9d2428c0516fec2ed55"></a><!-- doxytag: member="OfxPayee::state" ref="d93547c7b47ed9d2428c0516fec2ed55" args="[OFX_STATE_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#d93547c7b47ed9d2428c0516fec2ed55">state</a> [OFX_STATE_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b23cc650855fe8313f3a984a76b233cb"></a><!-- doxytag: member="OfxPayee::postalcode" ref="b23cc650855fe8313f3a984a76b233cb" args="[OFX_POSTALCODE_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#b23cc650855fe8313f3a984a76b233cb">postalcode</a> [OFX_POSTALCODE_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="90f01576639fa04ff30a4c8836b6491f"></a><!-- doxytag: member="OfxPayee::phone" ref="90f01576639fa04ff30a4c8836b6491f" args="[OFX_NAME_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayee.html#90f01576639fa04ff30a4c8836b6491f">phone</a> [OFX_NAME_LENGTH]</td></tr>
 
 </table>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structOfxPayment.html'
--- doc/html/structOfxPayment.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxPayment.html	2008-02-06 17:25:16 +0000
@@ -1,48 +1,48 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxPayment Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxPayment Struct Reference</h1><!-- doxytag: class="OfxPayment" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00732">732</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00733">733</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fb1972bf3033b4604422d21273bb8d4e"></a><!-- doxytag: member="OfxPayment::amount" ref="fb1972bf3033b4604422d21273bb8d4e" args="[OFX_AMOUNT_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html#fb1972bf3033b4604422d21273bb8d4e">amount</a> [OFX_AMOUNT_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d57648ec18e28322c8cc71fce995f083"></a><!-- doxytag: member="OfxPayment::account" ref="d57648ec18e28322c8cc71fce995f083" args="[OFX_PAYACCT_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html#d57648ec18e28322c8cc71fce995f083">account</a> [OFX_PAYACCT_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9b30730015e0bdcf6661eadcb82b6698"></a><!-- doxytag: member="OfxPayment::datedue" ref="9b30730015e0bdcf6661eadcb82b6698" args="[9]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html#9b30730015e0bdcf6661eadcb82b6698">datedue</a> [9]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e63577fa1dc3cff71b5dd6f09b0bd86a"></a><!-- doxytag: member="OfxPayment::memo" ref="e63577fa1dc3cff71b5dd6f09b0bd86a" args="[OFX_MEMO_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html#e63577fa1dc3cff71b5dd6f09b0bd86a">memo</a> [OFX_MEMO_LENGTH]</td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ce2679ca7e17d6ba7a79cf03399beb8a"></a><!-- doxytag: member="OfxPayment::amount" ref="ce2679ca7e17d6ba7a79cf03399beb8a" args="[OFX_AMOUNT_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html#ce2679ca7e17d6ba7a79cf03399beb8a">amount</a> [OFX_AMOUNT_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="851acab467352b911fa62781657ce328"></a><!-- doxytag: member="OfxPayment::account" ref="851acab467352b911fa62781657ce328" args="[OFX_PAYACCT_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html#851acab467352b911fa62781657ce328">account</a> [OFX_PAYACCT_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8c7bf483dba9043d5c49993756681e7b"></a><!-- doxytag: member="OfxPayment::datedue" ref="8c7bf483dba9043d5c49993756681e7b" args="[9]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html#8c7bf483dba9043d5c49993756681e7b">datedue</a> [9]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3d6cbc61b6b1561f6a641bedcb5d25f5"></a><!-- doxytag: member="OfxPayment::memo" ref="3d6cbc61b6b1561f6a641bedcb5d25f5" args="[OFX_MEMO_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxPayment.html#3d6cbc61b6b1561f6a641bedcb5d25f5">memo</a> [OFX_MEMO_LENGTH]</td></tr>
 
 </table>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structOfxSecurityData.html'
--- doc/html/structOfxSecurityData.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxSecurityData.html	2008-02-06 17:25:16 +0000
@@ -1,299 +1,235 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxSecurityData Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxSecurityData Struct Reference</h1><!-- doxytag: class="OfxSecurityData" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 An abstraction of a security, such as a stock, mutual fund, etc. 
 <p>
-The <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> stucture is used to hols the securyty information inside a <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> struct for investment transactions. 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00297">297</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+The <a class="el" href="structOfxSecurityData.html" title="An abstraction of a security, such as a stock, mutual fund, etc.">OfxSecurityData</a> stucture is used to hols the securyty information inside a <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> struct for investment transactions. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00318">318</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
 <tr><td colspan="2"><div class="groupHeader">OFX mandatory elements</div></td></tr>
 <tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">unique_id</a> [OFX_UNIQUE_ID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7a07e05b7a7de7cbc93ef5819e08cdfb"></a><!-- doxytag: member="OfxSecurityData::unique_id_valid" ref="7a07e05b7a7de7cbc93ef5819e08cdfb" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#7a07e05b7a7de7cbc93ef5819e08cdfb">unique_id_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">unique_id_type</a> [OFX_UNIQUE_ID_TYPE_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fa8afe497229c9f561b734b784af4136"></a><!-- doxytag: member="OfxSecurityData::unique_id_type_valid" ref="fa8afe497229c9f561b734b784af4136" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#fa8afe497229c9f561b734b784af4136">unique_id_type_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">secname</a> [OFX_SECNAME_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2ac745aadacd3adff898b02c29a8ee50"></a><!-- doxytag: member="OfxSecurityData::secname_valid" ref="2ac745aadacd3adff898b02c29a8ee50" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#2ac745aadacd3adff898b02c29a8ee50">secname_valid</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">unique_id</a> [OFX_UNIQUE_ID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a7ecd355d7f19287032fe54395a28a62"></a><!-- doxytag: member="OfxSecurityData::unique_id_valid" ref="a7ecd355d7f19287032fe54395a28a62" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#a7ecd355d7f19287032fe54395a28a62">unique_id_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">unique_id_type</a> [OFX_UNIQUE_ID_TYPE_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4dd2110777af7a80bdedc2775afa4415"></a><!-- doxytag: member="OfxSecurityData::unique_id_type_valid" ref="4dd2110777af7a80bdedc2775afa4415" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#4dd2110777af7a80bdedc2775afa4415">unique_id_type_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">secname</a> [OFX_SECNAME_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="52b1cc129ff42506f38d361a91aa6b3b"></a><!-- doxytag: member="OfxSecurityData::secname_valid" ref="52b1cc129ff42506f38d361a91aa6b3b" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#52b1cc129ff42506f38d361a91aa6b3b">secname_valid</a></td></tr>
 
 <tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
 <tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">ticker</a> [OFX_TICKER_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="832eb4d40a617065f39d6543ae5cfdd4"></a><!-- doxytag: member="OfxSecurityData::ticker_valid" ref="832eb4d40a617065f39d6543ae5cfdd4" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#832eb4d40a617065f39d6543ae5cfdd4">ticker_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#e3c6ea360c7dce731d263c1f83b5cbd9">unitprice</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6527ef1b5444ad8dcc5c9f3e53b93abc"></a><!-- doxytag: member="OfxSecurityData::unitprice_valid" ref="6527ef1b5444ad8dcc5c9f3e53b93abc" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#6527ef1b5444ad8dcc5c9f3e53b93abc">unitprice_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#2be22a41f746673f06ea6b6820cc17e9">date_unitprice</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="45533d8f177dc2a329d03c5e79f0dd14"></a><!-- doxytag: member="OfxSecurityData::date_unitprice_valid" ref="45533d8f177dc2a329d03c5e79f0dd14" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#45533d8f177dc2a329d03c5e79f0dd14">date_unitprice_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#6f943b5de690b0c8e3577ee32dc0f682">currency</a> [OFX_CURRENCY_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b510698f4aadf98dea2a38774afecf36"></a><!-- doxytag: member="OfxSecurityData::currency_valid" ref="b510698f4aadf98dea2a38774afecf36" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#b510698f4aadf98dea2a38774afecf36">currency_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">memo</a> [OFX_MEMO2_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fca86ce1faa30e4dcd6e31ff8fb8ab76"></a><!-- doxytag: member="OfxSecurityData::memo_valid" ref="fca86ce1faa30e4dcd6e31ff8fb8ab76" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#fca86ce1faa30e4dcd6e31ff8fb8ab76">memo_valid</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">ticker</a> [OFX_TICKER_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="70920a7c4c7db99ab3fdff9a69be1dcc"></a><!-- doxytag: member="OfxSecurityData::ticker_valid" ref="70920a7c4c7db99ab3fdff9a69be1dcc" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#70920a7c4c7db99ab3fdff9a69be1dcc">ticker_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">unitprice</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0393e16cd2a2e36ab3c08274eb3d2e4b"></a><!-- doxytag: member="OfxSecurityData::unitprice_valid" ref="0393e16cd2a2e36ab3c08274eb3d2e4b" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#0393e16cd2a2e36ab3c08274eb3d2e4b">unitprice_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">date_unitprice</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d4cd155f29e20ebc3e85de05f6178510"></a><!-- doxytag: member="OfxSecurityData::date_unitprice_valid" ref="d4cd155f29e20ebc3e85de05f6178510" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#d4cd155f29e20ebc3e85de05f6178510">date_unitprice_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">currency</a> [OFX_CURRENCY_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2d16df55fa63534c4d4d7a5c804e9fb6"></a><!-- doxytag: member="OfxSecurityData::currency_valid" ref="2d16df55fa63534c4d4d7a5c804e9fb6" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#2d16df55fa63534c4d4d7a5c804e9fb6">currency_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">memo</a> [OFX_MEMO2_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3b21ccb14b1e6cd0c23d5587e7ce51c1"></a><!-- doxytag: member="OfxSecurityData::memo_valid" ref="3b21ccb14b1e6cd0c23d5587e7ce51c1" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxSecurityData.html#3b21ccb14b1e6cd0c23d5587e7ce51c1">memo_valid</a></td></tr>
 
 </table>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="6f943b5de690b0c8e3577ee32dc0f682"></a><!-- doxytag: member="OfxSecurityData::currency" ref="6f943b5de690b0c8e3577ee32dc0f682" args="[OFX_CURRENCY_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxSecurityData.html#6f943b5de690b0c8e3577ee32dc0f682">OfxSecurityData::currency</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The currency is a string in ISO-4217 format. It overrides the one defined in the statement for the unit price 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00326">326</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="2be22a41f746673f06ea6b6820cc17e9"></a><!-- doxytag: member="OfxSecurityData::date_unitprice" ref="2be22a41f746673f06ea6b6820cc17e9" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">time_t <a class="el" href="structOfxSecurityData.html#2be22a41f746673f06ea6b6820cc17e9">OfxSecurityData::date_unitprice</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The date as of which the unit price was valid. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00323">323</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="20ee7c6c6b29f2258960ead0ef1e22c9"></a><!-- doxytag: member="OfxSecurityData::memo" ref="20ee7c6c6b29f2258960ead0ef1e22c9" args="[OFX_MEMO2_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxSecurityData.html#20ee7c6c6b29f2258960ead0ef1e22c9">OfxSecurityData::memo</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Extra information not included in name 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00330">330</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="9280a55732cf9b3c29121667b7fb7f7f"></a><!-- doxytag: member="OfxSecurityData::secname" ref="9280a55732cf9b3c29121667b7fb7f7f" args="[OFX_SECNAME_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxSecurityData.html#9280a55732cf9b3c29121667b7fb7f7f">OfxSecurityData::secname</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<a class="anchor" name="1ad6b3667ca3ee7e3b3685e63c8bd1c6"></a><!-- doxytag: member="OfxSecurityData::unique_id" ref="1ad6b3667ca3ee7e3b3685e63c8bd1c6" args="[OFX_UNIQUE_ID_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxSecurityData.html#1ad6b3667ca3ee7e3b3685e63c8bd1c6">OfxSecurityData::unique_id</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The id of the security being traded. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00324">324</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="fddec0de534d0ab20cfd3ac562258615"></a><!-- doxytag: member="OfxSecurityData::unique_id_type" ref="fddec0de534d0ab20cfd3ac562258615" args="[OFX_UNIQUE_ID_TYPE_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxSecurityData.html#fddec0de534d0ab20cfd3ac562258615">OfxSecurityData::unique_id_type</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Usially "CUSIP" for FIs in north america 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00326">326</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="24096ad3cb35be8e6adb626b23f45a83"></a><!-- doxytag: member="OfxSecurityData::secname" ref="24096ad3cb35be8e6adb626b23f45a83" args="[OFX_SECNAME_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxSecurityData.html#24096ad3cb35be8e6adb626b23f45a83">OfxSecurityData::secname</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 The full name of the security 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00308">308</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="f97666829bd75475d19642ae08a7d325"></a><!-- doxytag: member="OfxSecurityData::ticker" ref="f97666829bd75475d19642ae08a7d325" args="[OFX_TICKER_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00329">329</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="7d1091abe3015294844107a6c3d27da2"></a><!-- doxytag: member="OfxSecurityData::ticker" ref="7d1091abe3015294844107a6c3d27da2" args="[OFX_TICKER_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxSecurityData.html#f97666829bd75475d19642ae08a7d325">OfxSecurityData::ticker</a>          </td>
+          <td class="memname">char <a class="el" href="structOfxSecurityData.html#7d1091abe3015294844107a6c3d27da2">OfxSecurityData::ticker</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 The ticker symbol of the security 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00316">316</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="151985ca8471cb264cda28a4bfff476c"></a><!-- doxytag: member="OfxSecurityData::unique_id" ref="151985ca8471cb264cda28a4bfff476c" args="[OFX_UNIQUE_ID_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxSecurityData.html#151985ca8471cb264cda28a4bfff476c">OfxSecurityData::unique_id</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The id of the security being traded. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00303">303</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="827839fec3d9255e709eda9a9a749393"></a><!-- doxytag: member="OfxSecurityData::unique_id_type" ref="827839fec3d9255e709eda9a9a749393" args="[OFX_UNIQUE_ID_TYPE_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxSecurityData.html#827839fec3d9255e709eda9a9a749393">OfxSecurityData::unique_id_type</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Usially "CUSIP" for FIs in north america 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00305">305</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="e3c6ea360c7dce731d263c1f83b5cbd9"></a><!-- doxytag: member="OfxSecurityData::unitprice" ref="e3c6ea360c7dce731d263c1f83b5cbd9" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">double <a class="el" href="structOfxSecurityData.html#e3c6ea360c7dce731d263c1f83b5cbd9">OfxSecurityData::unitprice</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00337">337</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b7e970b0d2efb4afd77e5140f6377eea"></a><!-- doxytag: member="OfxSecurityData::unitprice" ref="b7e970b0d2efb4afd77e5140f6377eea" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">double <a class="el" href="structOfxSecurityData.html#b7e970b0d2efb4afd77e5140f6377eea">OfxSecurityData::unitprice</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 The price of each unit of the security, as of date_unitprice 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00319">319</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00340">340</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="39f70a97d1390f293a9726a014ed5736"></a><!-- doxytag: member="OfxSecurityData::date_unitprice" ref="39f70a97d1390f293a9726a014ed5736" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">time_t <a class="el" href="structOfxSecurityData.html#39f70a97d1390f293a9726a014ed5736">OfxSecurityData::date_unitprice</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The date as of which the unit price was valid. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00344">344</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="02b3d96724074884948651a394897c95"></a><!-- doxytag: member="OfxSecurityData::currency" ref="02b3d96724074884948651a394897c95" args="[OFX_CURRENCY_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxSecurityData.html#02b3d96724074884948651a394897c95">OfxSecurityData::currency</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The currency is a string in ISO-4217 format. It overrides the one defined in the statement for the unit price 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00347">347</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="097572b1667a4e859fd34578aee8cdd8"></a><!-- doxytag: member="OfxSecurityData::memo" ref="097572b1667a4e859fd34578aee8cdd8" args="[OFX_MEMO2_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxSecurityData.html#097572b1667a4e859fd34578aee8cdd8">OfxSecurityData::memo</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Extra information not included in name 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00351">351</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__security_8cpp-source.html#l00045">OfxSecurityContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00043">ofx_proc_security_cb()</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structOfxStatementData.html'
--- doc/html/structOfxStatementData.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxStatementData.html	2008-02-06 17:25:16 +0000
@@ -1,391 +1,324 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxStatementData Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxStatementData Struct Reference</h1><!-- doxytag: class="OfxStatementData" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 An abstraction of an account statement. 
 <p>
-The <a class="el" href="structOfxStatementData.html">OfxStatementData</a> structure contains information about your account at the time the ofx response was generated, including the balance. A client should check that the total of his recorded transactions matches the total given here, and warn the user if they dont. 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00542">542</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+The <a class="el" href="structOfxStatementData.html" title="An abstraction of an account statement.">OfxStatementData</a> structure contains information about your account at the time the ofx response was generated, including the balance. A client should check that the total of his recorded transactions matches the total given here, and warn the user if they dont. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00563">563</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
 <tr><td colspan="2"><div class="groupHeader">OFX mandatory elements</div></td></tr>
 <tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#8c016ce953f1d4d3d08573f0181f7fc8">currency</a> [OFX_CURRENCY_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2e01678983fb37679da62d982932301a"></a><!-- doxytag: member="OfxStatementData::currency_valid" ref="2e01678983fb37679da62d982932301a" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#2e01678983fb37679da62d982932301a">currency_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">account_id</a> [OFX_ACCOUNT_ID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">account_ptr</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9b18958fbaec323bb42eb8e87d3e8128"></a><!-- doxytag: member="OfxStatementData::account_id_valid" ref="9b18958fbaec323bb42eb8e87d3e8128" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#9b18958fbaec323bb42eb8e87d3e8128">account_id_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">ledger_balance</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="36aa92a5090a5b005003a56d030bfe2d"></a><!-- doxytag: member="OfxStatementData::ledger_balance_valid" ref="36aa92a5090a5b005003a56d030bfe2d" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#36aa92a5090a5b005003a56d030bfe2d">ledger_balance_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#6c67dd7b0665b531e773f543fc7fb81c">ledger_balance_date</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="156eaa5cdf06cfbb42f671d53e32f4c8"></a><!-- doxytag: member="OfxStatementData::ledger_balance_date_valid" ref="156eaa5cdf06cfbb42f671d53e32f4c8" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#156eaa5cdf06cfbb42f671d53e32f4c8">ledger_balance_date_valid</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">currency</a> [OFX_CURRENCY_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7f463b0a7264097599a1c56e4dc88445"></a><!-- doxytag: member="OfxStatementData::currency_valid" ref="7f463b0a7264097599a1c56e4dc88445" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#7f463b0a7264097599a1c56e4dc88445">currency_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">account_id</a> [OFX_ACCOUNT_ID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4b8bbe8628d3d46c3e15f5da80cc1376"></a><!-- doxytag: member="OfxStatementData::account_id_valid" ref="4b8bbe8628d3d46c3e15f5da80cc1376" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#4b8bbe8628d3d46c3e15f5da80cc1376">account_id_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">ledger_balance</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="136fbe89d69d2290cd3604cfb396bda0"></a><!-- doxytag: member="OfxStatementData::ledger_balance_valid" ref="136fbe89d69d2290cd3604cfb396bda0" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#136fbe89d69d2290cd3604cfb396bda0">ledger_balance_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#57f9892d09da4a6d69c44b7f9af45fc0">ledger_balance_date</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="765dfa1991995af8a2c72b774df6cb6d"></a><!-- doxytag: member="OfxStatementData::ledger_balance_date_valid" ref="765dfa1991995af8a2c72b774df6cb6d" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#765dfa1991995af8a2c72b774df6cb6d">ledger_balance_date_valid</a></td></tr>
 
 <tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
 <tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#da9c55ec9c74912447df814e9d4cca91">available_balance</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2b21efec7e7c885db13af63230c1a76d"></a><!-- doxytag: member="OfxStatementData::available_balance_valid" ref="2b21efec7e7c885db13af63230c1a76d" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#2b21efec7e7c885db13af63230c1a76d">available_balance_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bbed79d9d703d99258707077ec8fb237"></a><!-- doxytag: member="OfxStatementData::available_balance_date" ref="bbed79d9d703d99258707077ec8fb237" args="" -->
-time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#bbed79d9d703d99258707077ec8fb237">available_balance_date</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#b43a960e67c71cd8b7c91376ca12d462">available_balance_date_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#e309f20e09668f4d0cf852f771d2cc16">date_start</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dc9f69ca4ccb9ce8b2ee99a633ce1663"></a><!-- doxytag: member="OfxStatementData::date_start_valid" ref="dc9f69ca4ccb9ce8b2ee99a633ce1663" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#dc9f69ca4ccb9ce8b2ee99a633ce1663">date_start_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#9a9474d4266ee8362691de638eb2b95b">date_end</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="da9e71bfc700d9836f8ed1a0a5394d68"></a><!-- doxytag: member="OfxStatementData::date_end_valid" ref="da9e71bfc700d9836f8ed1a0a5394d68" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#da9e71bfc700d9836f8ed1a0a5394d68">date_end_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#fb61c45788b7da6fde86b94c39721b35">marketing_info</a> [OFX_MARKETING_INFO_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="51882ec4112a0784458335387a2307d9"></a><!-- doxytag: member="OfxStatementData::marketing_info_valid" ref="51882ec4112a0784458335387a2307d9" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#51882ec4112a0784458335387a2307d9">marketing_info_valid</a></td></tr>
-
-<tr><td colspan="2"><div class="groupHeader">OFX mandatory elements</div></td></tr>
-<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">account_ptr</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">available_balance</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a0fc66c4067b8bbb4028909477a9a1e1"></a><!-- doxytag: member="OfxStatementData::available_balance_valid" ref="a0fc66c4067b8bbb4028909477a9a1e1" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#a0fc66c4067b8bbb4028909477a9a1e1">available_balance_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5062a88aaae023cd5506db8991187c1c"></a><!-- doxytag: member="OfxStatementData::available_balance_date" ref="5062a88aaae023cd5506db8991187c1c" args="" -->
+time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#5062a88aaae023cd5506db8991187c1c">available_balance_date</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#4c2936f050f1cacd32e11e294dd96de6">available_balance_date_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">date_start</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="75efd40c909dbca85ce4030c0816a9df"></a><!-- doxytag: member="OfxStatementData::date_start_valid" ref="75efd40c909dbca85ce4030c0816a9df" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#75efd40c909dbca85ce4030c0816a9df">date_start_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">date_end</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="804aa01dfa54c88fbfe636746dbca38d"></a><!-- doxytag: member="OfxStatementData::date_end_valid" ref="804aa01dfa54c88fbfe636746dbca38d" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#804aa01dfa54c88fbfe636746dbca38d">date_end_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">marketing_info</a> [OFX_MARKETING_INFO_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="19e93708040f009a04cfe7f3db53da21"></a><!-- doxytag: member="OfxStatementData::marketing_info_valid" ref="19e93708040f009a04cfe7f3db53da21" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#19e93708040f009a04cfe7f3db53da21">marketing_info_valid</a></td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">OFX mandatory elements</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a></td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">OFX mandatory elements</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">account_ptr</a></td></tr>
 
 </table>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="ed12b38ef178fb38d4912eaca3e6be34"></a><!-- doxytag: member="OfxStatementData::account_id" ref="ed12b38ef178fb38d4912eaca3e6be34" args="[OFX_ACCOUNT_ID_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxStatementData.html#ed12b38ef178fb38d4912eaca3e6be34">OfxStatementData::account_id</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<a class="anchor" name="1bc0edcf693af960c797901ba7aa3de4"></a><!-- doxytag: member="OfxStatementData::currency" ref="1bc0edcf693af960c797901ba7aa3de4" args="[OFX_CURRENCY_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxStatementData.html#1bc0edcf693af960c797901ba7aa3de4">OfxStatementData::currency</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The currency is a string in ISO-4217 format 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00572">572</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cd99765bce8370da01fba9f747605ae4"></a><!-- doxytag: member="OfxStatementData::account_id" ref="cd99765bce8370da01fba9f747605ae4" args="[OFX_ACCOUNT_ID_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxStatementData.html#cd99765bce8370da01fba9f747605ae4">OfxStatementData::account_id</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 Use this for matching this statement with the relevant account in your application 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00553">553</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00108">OfxStatementContainer::add_account()</a>, <a class="el" href="ofx2qif_8c-source.html#l00133">ofx_proc_statement_cb()</a>, and <a class="el" href="ofx__container__transaction_8cpp-source.html#l00036">OfxTransactionContainer::OfxTransactionContainer()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="6e89ed4e9dd6461e0b9cf61cf8d6f776"></a><!-- doxytag: member="OfxStatementData::account_ptr" ref="6e89ed4e9dd6461e0b9cf61cf8d6f776" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a>* <a class="el" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">OfxStatementData::account_ptr</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Pointer to the full account structure, see <a class="el" href="structOfxAccountData.html">OfxAccountData</a> 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00555">555</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="6e89ed4e9dd6461e0b9cf61cf8d6f776"></a><!-- doxytag: member="OfxStatementData::account_ptr" ref="6e89ed4e9dd6461e0b9cf61cf8d6f776" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a>* <a class="el" href="structOfxStatementData.html#6e89ed4e9dd6461e0b9cf61cf8d6f776">OfxStatementData::account_ptr</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Pointer to the full account structure, see <a class="el" href="structOfxAccountData.html">OfxAccountData</a> 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00555">555</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00108">OfxStatementContainer::add_account()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00133">ofx_proc_statement_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="da9c55ec9c74912447df814e9d4cca91"></a><!-- doxytag: member="OfxStatementData::available_balance" ref="da9c55ec9c74912447df814e9d4cca91" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">double <a class="el" href="structOfxStatementData.html#da9c55ec9c74912447df814e9d4cca91">OfxStatementData::available_balance</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00574">574</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00108">OfxStatementContainer::add_account()</a>, <a class="el" href="ofx2qif_8c-source.html#l00133">ofx_proc_statement_cb()</a>, and <a class="el" href="ofx__container__transaction_8cpp-source.html#l00036">OfxTransactionContainer::OfxTransactionContainer()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="66b74dfa48ca2b9e606ba408c30fa0aa"></a><!-- doxytag: member="OfxStatementData::account_ptr" ref="66b74dfa48ca2b9e606ba408c30fa0aa" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a>* <a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">OfxStatementData::account_ptr</a><code> [read]</code>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Pointer to the full account structure, see <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00576">576</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00108">OfxStatementContainer::add_account()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00133">ofx_proc_statement_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="0827aef2ae2cd523320ea479dfae5cdc"></a><!-- doxytag: member="OfxStatementData::ledger_balance" ref="0827aef2ae2cd523320ea479dfae5cdc" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">double <a class="el" href="structOfxStatementData.html#0827aef2ae2cd523320ea479dfae5cdc">OfxStatementData::ledger_balance</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The actual balance, according to the FI. The user should be warned of any discrepency between this and the balance in the application 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00581">581</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00073">OfxStatementContainer::add_balance()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00133">ofx_proc_statement_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="57f9892d09da4a6d69c44b7f9af45fc0"></a><!-- doxytag: member="OfxStatementData::ledger_balance_date" ref="57f9892d09da4a6d69c44b7f9af45fc0" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">time_t <a class="el" href="structOfxStatementData.html#57f9892d09da4a6d69c44b7f9af45fc0">OfxStatementData::ledger_balance_date</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Time of the ledger_balance snapshot 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00583">583</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx2qif_8c-source.html#l00133">ofx_proc_statement_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cf7c63320e41ced7f5d44beb2f791118"></a><!-- doxytag: member="OfxStatementData::available_balance" ref="cf7c63320e41ced7f5d44beb2f791118" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">double <a class="el" href="structOfxStatementData.html#cf7c63320e41ced7f5d44beb2f791118">OfxStatementData::available_balance</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 Amount of money available from the account. Could be the credit left for a credit card, or amount that can be withdrawn using INTERAC) 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00570">570</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00073">OfxStatementContainer::add_balance()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="b43a960e67c71cd8b7c91376ca12d462"></a><!-- doxytag: member="OfxStatementData::available_balance_date_valid" ref="b43a960e67c71cd8b7c91376ca12d462" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00591">591</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00073">OfxStatementContainer::add_balance()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4c2936f050f1cacd32e11e294dd96de6"></a><!-- doxytag: member="OfxStatementData::available_balance_date_valid" ref="4c2936f050f1cacd32e11e294dd96de6" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxStatementData.html#b43a960e67c71cd8b7c91376ca12d462">OfxStatementData::available_balance_date_valid</a>          </td>
+          <td class="memname">int <a class="el" href="structOfxStatementData.html#4c2936f050f1cacd32e11e294dd96de6">OfxStatementData::available_balance_date_valid</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Time of the available_balance snapshot 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00575">575</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="8c016ce953f1d4d3d08573f0181f7fc8"></a><!-- doxytag: member="OfxStatementData::currency" ref="8c016ce953f1d4d3d08573f0181f7fc8" args="[OFX_CURRENCY_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxStatementData.html#8c016ce953f1d4d3d08573f0181f7fc8">OfxStatementData::currency</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The currency is a string in ISO-4217 format 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00551">551</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="9a9474d4266ee8362691de638eb2b95b"></a><!-- doxytag: member="OfxStatementData::date_end" ref="9a9474d4266ee8362691de638eb2b95b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">time_t <a class="el" href="structOfxStatementData.html#9a9474d4266ee8362691de638eb2b95b">OfxStatementData::date_end</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00596">596</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="cd1d926a3a78af15f635a9fd1849dbc0"></a><!-- doxytag: member="OfxStatementData::date_start" ref="cd1d926a3a78af15f635a9fd1849dbc0" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">time_t <a class="el" href="structOfxStatementData.html#cd1d926a3a78af15f635a9fd1849dbc0">OfxStatementData::date_start</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The start time of this statement.<p>
+All the transactions between date_start and date_end should have been provided 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00601">601</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b6d37c27b538fb2f3915c678b97a6cad"></a><!-- doxytag: member="OfxStatementData::date_end" ref="b6d37c27b538fb2f3915c678b97a6cad" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">time_t <a class="el" href="structOfxStatementData.html#b6d37c27b538fb2f3915c678b97a6cad">OfxStatementData::date_end</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 The end time of this statement.<p>
 If provided, the user can use this date as the start date of his next statement request. He is then assured not to miss any transactions. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00586">586</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="e309f20e09668f4d0cf852f771d2cc16"></a><!-- doxytag: member="OfxStatementData::date_start" ref="e309f20e09668f4d0cf852f771d2cc16" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">time_t <a class="el" href="structOfxStatementData.html#e309f20e09668f4d0cf852f771d2cc16">OfxStatementData::date_start</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The start time of this statement.<p>
-All the transactions between date_start and date_end should have been provided 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00580">580</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="2a07656e957c01c8accd8573d58441ef"></a><!-- doxytag: member="OfxStatementData::ledger_balance" ref="2a07656e957c01c8accd8573d58441ef" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">double <a class="el" href="structOfxStatementData.html#2a07656e957c01c8accd8573d58441ef">OfxStatementData::ledger_balance</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The actual balance, according to the FI. The user should be warned of any discrepency between this and the balance in the application 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00560">560</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00073">OfxStatementContainer::add_balance()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00133">ofx_proc_statement_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="6c67dd7b0665b531e773f543fc7fb81c"></a><!-- doxytag: member="OfxStatementData::ledger_balance_date" ref="6c67dd7b0665b531e773f543fc7fb81c" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">time_t <a class="el" href="structOfxStatementData.html#6c67dd7b0665b531e773f543fc7fb81c">OfxStatementData::ledger_balance_date</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Time of the ledger_balance snapshot 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00562">562</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx2qif_8c-source.html#l00133">ofx_proc_statement_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="fb61c45788b7da6fde86b94c39721b35"></a><!-- doxytag: member="OfxStatementData::marketing_info" ref="fb61c45788b7da6fde86b94c39721b35" args="[OFX_MARKETING_INFO_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxStatementData.html#fb61c45788b7da6fde86b94c39721b35">OfxStatementData::marketing_info</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00607">607</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="fe8b76655a8be45e71f92c3542fe835a"></a><!-- doxytag: member="OfxStatementData::marketing_info" ref="fe8b76655a8be45e71f92c3542fe835a" args="[OFX_MARKETING_INFO_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxStatementData.html#fe8b76655a8be45e71f92c3542fe835a">OfxStatementData::marketing_info</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 marketing_info could be special offers or messages from the bank, or just about anything else 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00590">590</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00611">611</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__statement_8cpp-source.html#l00050">OfxStatementContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00255">ofx_proc_statement_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="66b74dfa48ca2b9e606ba408c30fa0aa"></a><!-- doxytag: member="OfxStatementData::account_ptr" ref="66b74dfa48ca2b9e606ba408c30fa0aa" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a>* <a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">OfxStatementData::account_ptr</a><code> [read]</code>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Pointer to the full account structure, see <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00562">562</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="66b74dfa48ca2b9e606ba408c30fa0aa"></a><!-- doxytag: member="OfxStatementData::account_ptr" ref="66b74dfa48ca2b9e606ba408c30fa0aa" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a>* <a class="el" href="structOfxStatementData.html#66b74dfa48ca2b9e606ba408c30fa0aa">OfxStatementData::account_ptr</a><code> [read]</code>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Pointer to the full account structure, see <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00576">576</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structOfxStatusData.html'
--- doc/html/structOfxStatusData.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxStatusData.html	2008-02-06 17:25:16 +0000
@@ -1,447 +1,522 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxStatusData Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxStatusData Struct Reference</h1><!-- doxytag: class="OfxStatusData" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 An abstraction of an OFX STATUS element. 
 <p>
-The <a class="el" href="structOfxStatusData.html">OfxStatusData</a> structure represents a STATUS OFX element sent by the OFX server. Be carefull, you do not have much context except the entity name so your application should probably ignore this status if code==0. However, you should display a message if the status in non-zero, since an error probably occurred on the server side.<p>
-In a future version of this API, <a class="el" href="structOfxStatusData.html">OfxStatusData</a> structures might be linked from the OFX structures they are related to. 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00175">175</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+The <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> structure represents a STATUS OFX element sent by the OFX server. Be carefull, you do not have much context except the entity name so your application should probably ignore this status if code==0. However, you should display a message if the status in non-zero, since an error probably occurred on the server side.<p>
+In a future version of this API, <a class="el" href="structOfxStatusData.html" title="An abstraction of an OFX STATUS element.">OfxStatusData</a> structures might be linked from the OFX structures they are related to. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00189">189</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>OFX mandatory elements</h2></td></tr>
 <tr><td colspan="2">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">Severity</a> { <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2">INFO</a>, 
-<a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267">WARN</a>, 
-<a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8">ERROR</a>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">code</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">name</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">description</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#69d5e443877e2e9300197a6057060a68">code_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">OfxStatusData::Severity</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="44c57ab6326411b572c81a9ef8f31e5f"></a><!-- doxytag: member="OfxStatusData::severity_valid" ref="44c57ab6326411b572c81a9ef8f31e5f" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#44c57ab6326411b572c81a9ef8f31e5f">severity_valid</a></td></tr>
-
-<tr><td colspan="2"><br><h2>OFX mandatory elements</h2></td></tr>
-<tr><td colspan="2">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">Severity</a> { <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2">INFO</a>, 
-<a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267">WARN</a>, 
-<a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8">ERROR</a>
- }</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">name</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">description</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">OfxStatusData::Severity</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">severity</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">Severity</a> { <br>
+&nbsp;&nbsp;<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">code</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">description</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">code_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <br>
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData::Severity</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="de9a52735f94e5c9966492fde9e35d04"></a><!-- doxytag: member="OfxStatusData::severity_valid" ref="de9a52735f94e5c9966492fde9e35d04" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#de9a52735f94e5c9966492fde9e35d04">severity_valid</a></td></tr>
+
+<tr><td colspan="2"><br><h2>OFX mandatory elements</h2></td></tr>
+<tr><td colspan="2">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">Severity</a> { <br>
+&nbsp;&nbsp;<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">description</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <br>
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData::Severity</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a></td></tr>
+
+<tr><td colspan="2"><br><h2>OFX mandatory elements</h2></td></tr>
+<tr><td colspan="2">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">Severity</a> { <br>
+&nbsp;&nbsp;<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0">INFO</a>, 
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8">WARN</a>, 
+<br>
+&nbsp;&nbsp;<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb">ERROR</a>
+<br>
+ }</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">description</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">enum <br>
+<a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData::Severity</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">severity</a></td></tr>
 
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
 <tr><td colspan="2"><div class="groupHeader">Additional information</div></td></tr>
 <tr><td colspan="2"><div class="groupText">To give a minimum of context, the name of the OFX SGML element where this &lt;STATUS&gt; is located is available. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="659b7102e14a4d3e02bf0757ee1b12b9"></a><!-- doxytag: member="OfxStatusData::ofx_element_name" ref="659b7102e14a4d3e02bf0757ee1b12b9" args="[OFX_ELEMENT_NAME_LENGTH]" -->
-char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#659b7102e14a4d3e02bf0757ee1b12b9">ofx_element_name</a> [OFX_ELEMENT_NAME_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#39fa34d1bc8c87c27b118479cecd5bf6">ofx_element_name_valid</a></td></tr>
-
-<tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
-<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="51bcf6a37c0177650a9c250742ca3798"></a><!-- doxytag: member="OfxStatusData::server_message_valid" ref="51bcf6a37c0177650a9c250742ca3798" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#51bcf6a37c0177650a9c250742ca3798">server_message_valid</a></td></tr>
-
-<tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
-<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">server_message</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d49b449f9d4bf1746d71728cd1f5b925"></a><!-- doxytag: member="OfxStatusData::ofx_element_name" ref="d49b449f9d4bf1746d71728cd1f5b925" args="[OFX_ELEMENT_NAME_LENGTH]" -->
+char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#d49b449f9d4bf1746d71728cd1f5b925">ofx_element_name</a> [OFX_ELEMENT_NAME_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#011f73b45f88aac63ec44727ed6b306d">ofx_element_name_valid</a></td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b07b45a40bc313455c998b5566e605d3"></a><!-- doxytag: member="OfxStatusData::server_message_valid" ref="b07b45a40bc313455c998b5566e605d3" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#b07b45a40bc313455c998b5566e605d3">server_message_valid</a></td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a></td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">server_message</a></td></tr>
 
 </table>
 <hr><h2>Member Enumeration Documentation</h2>
-<a class="anchor" name="de74dca95747a599bfb9b6ca06118142"></a><!-- doxytag: member="OfxStatusData::Severity" ref="de74dca95747a599bfb9b6ca06118142" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">OfxStatusData::Severity</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Severity of the error <dl compact><dt><b>Enumerator: </b></dt><dd>
-<table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2"></a><!-- doxytag: member="INFO" ref="de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2" args="" -->INFO</em>&nbsp;</td><td>
-The status is an informational message </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267"></a><!-- doxytag: member="WARN" ref="de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267" args="" -->WARN</em>&nbsp;</td><td>
-The status is a warning </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8"></a><!-- doxytag: member="ERROR" ref="de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8" args="" -->ERROR</em>&nbsp;</td><td>
-The status is a true error </td></tr>
-</table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00194">194</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="de74dca95747a599bfb9b6ca06118142"></a><!-- doxytag: member="OfxStatusData::Severity" ref="de74dca95747a599bfb9b6ca06118142" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">OfxStatusData::Severity</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Severity of the error <dl compact><dt><b>Enumerator: </b></dt><dd>
-<table border="0" cellspacing="2" cellpadding="0">
-<tr><td valign="top"><em><a class="anchor" name="de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2"></a><!-- doxytag: member="INFO" ref="de74dca95747a599bfb9b6ca06118142a247cf8b9c0ed17b8efc1c27ddcfbab2" args="" -->INFO</em>&nbsp;</td><td>
-The status is an informational message </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267"></a><!-- doxytag: member="WARN" ref="de74dca95747a599bfb9b6ca06118142c97ec7c573d9b602f8e0f6bf87a5b267" args="" -->WARN</em>&nbsp;</td><td>
-The status is a warning </td></tr>
-<tr><td valign="top"><em><a class="anchor" name="de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8"></a><!-- doxytag: member="ERROR" ref="de74dca95747a599bfb9b6ca06118142c7deae609a6d14c71c15dc70d1f89be8" args="" -->ERROR</em>&nbsp;</td><td>
-The status is a true error </td></tr>
-</table>
-</dl>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00194">194</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.    </td>
-  </tr>
-</table>
+<a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187"></a><!-- doxytag: member="OfxStatusData::Severity" ref="9e9ac7b5db3c10f2f42cc0225a016187" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData::Severity</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Severity of the error <dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0"></a><!-- doxytag: member="INFO" ref="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0" args="" -->INFO</em>&nbsp;</td><td>
+The status is an informational message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8"></a><!-- doxytag: member="WARN" ref="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8" args="" -->WARN</em>&nbsp;</td><td>
+The status is a warning </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb"></a><!-- doxytag: member="ERROR" ref="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb" args="" -->ERROR</em>&nbsp;</td><td>
+The status is a true error </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0"></a><!-- doxytag: member="INFO" ref="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0" args="" -->INFO</em>&nbsp;</td><td>
+The status is an informational message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8"></a><!-- doxytag: member="WARN" ref="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8" args="" -->WARN</em>&nbsp;</td><td>
+The status is a warning </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb"></a><!-- doxytag: member="ERROR" ref="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb" args="" -->ERROR</em>&nbsp;</td><td>
+The status is a true error </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0"></a><!-- doxytag: member="INFO" ref="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0" args="" -->INFO</em>&nbsp;</td><td>
+The status is an informational message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8"></a><!-- doxytag: member="WARN" ref="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8" args="" -->WARN</em>&nbsp;</td><td>
+The status is a warning </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb"></a><!-- doxytag: member="ERROR" ref="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb" args="" -->ERROR</em>&nbsp;</td><td>
+The status is a true error </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00208">208</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187"></a><!-- doxytag: member="OfxStatusData::Severity" ref="9e9ac7b5db3c10f2f42cc0225a016187" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData::Severity</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Severity of the error <dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0"></a><!-- doxytag: member="INFO" ref="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0" args="" -->INFO</em>&nbsp;</td><td>
+The status is an informational message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8"></a><!-- doxytag: member="WARN" ref="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8" args="" -->WARN</em>&nbsp;</td><td>
+The status is a warning </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb"></a><!-- doxytag: member="ERROR" ref="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb" args="" -->ERROR</em>&nbsp;</td><td>
+The status is a true error </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0"></a><!-- doxytag: member="INFO" ref="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0" args="" -->INFO</em>&nbsp;</td><td>
+The status is an informational message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8"></a><!-- doxytag: member="WARN" ref="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8" args="" -->WARN</em>&nbsp;</td><td>
+The status is a warning </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb"></a><!-- doxytag: member="ERROR" ref="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb" args="" -->ERROR</em>&nbsp;</td><td>
+The status is a true error </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0"></a><!-- doxytag: member="INFO" ref="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0" args="" -->INFO</em>&nbsp;</td><td>
+The status is an informational message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8"></a><!-- doxytag: member="WARN" ref="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8" args="" -->WARN</em>&nbsp;</td><td>
+The status is a warning </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb"></a><!-- doxytag: member="ERROR" ref="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb" args="" -->ERROR</em>&nbsp;</td><td>
+The status is a true error </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00194">194</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187"></a><!-- doxytag: member="OfxStatusData::Severity" ref="9e9ac7b5db3c10f2f42cc0225a016187" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData::Severity</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Severity of the error <dl compact><dt><b>Enumerator: </b></dt><dd>
+<table border="0" cellspacing="2" cellpadding="0">
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0"></a><!-- doxytag: member="INFO" ref="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0" args="" -->INFO</em>&nbsp;</td><td>
+The status is an informational message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8"></a><!-- doxytag: member="WARN" ref="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8" args="" -->WARN</em>&nbsp;</td><td>
+The status is a warning </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb"></a><!-- doxytag: member="ERROR" ref="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb" args="" -->ERROR</em>&nbsp;</td><td>
+The status is a true error </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0"></a><!-- doxytag: member="INFO" ref="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0" args="" -->INFO</em>&nbsp;</td><td>
+The status is an informational message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8"></a><!-- doxytag: member="WARN" ref="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8" args="" -->WARN</em>&nbsp;</td><td>
+The status is a warning </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb"></a><!-- doxytag: member="ERROR" ref="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb" args="" -->ERROR</em>&nbsp;</td><td>
+The status is a true error </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0"></a><!-- doxytag: member="INFO" ref="9e9ac7b5db3c10f2f42cc0225a016187607c1edcec0561c65dda6055bdd970c0" args="" -->INFO</em>&nbsp;</td><td>
+The status is an informational message </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8"></a><!-- doxytag: member="WARN" ref="9e9ac7b5db3c10f2f42cc0225a016187d567eb2fcd64f55542fa48802b2e43d8" args="" -->WARN</em>&nbsp;</td><td>
+The status is a warning </td></tr>
+<tr><td valign="top"><em><a class="anchor" name="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb"></a><!-- doxytag: member="ERROR" ref="9e9ac7b5db3c10f2f42cc0225a01618738b731d21638db06ec36499e258c9cbb" args="" -->ERROR</em>&nbsp;</td><td>
+The status is a true error </td></tr>
+</table>
+</dl>
+
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00208">208</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="ea068e791f887611e20881c62c3579e2"></a><!-- doxytag: member="OfxStatusData::code" ref="ea068e791f887611e20881c62c3579e2" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxStatusData.html#ea068e791f887611e20881c62c3579e2">OfxStatusData::code</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<a class="anchor" name="011f73b45f88aac63ec44727ed6b306d"></a><!-- doxytag: member="OfxStatusData::ofx_element_name_valid" ref="011f73b45f88aac63ec44727ed6b306d" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int <a class="el" href="structOfxStatusData.html#011f73b45f88aac63ec44727ed6b306d">OfxStatusData::ofx_element_name_valid</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Name of the OFX element this status is relevant to 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00196">196</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>, and <a class="el" href="ofx__containers__misc_8cpp-source.html#l00072">OfxStatusContainer::OfxStatusContainer()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="7c331e4729b921be2eaf234498ffe19c"></a><!-- doxytag: member="OfxStatusData::code" ref="7c331e4729b921be2eaf234498ffe19c" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int <a class="el" href="structOfxStatusData.html#7c331e4729b921be2eaf234498ffe19c">OfxStatusData::code</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 Status code 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00188">188</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="69d5e443877e2e9300197a6057060a68"></a><!-- doxytag: member="OfxStatusData::code_valid" ref="69d5e443877e2e9300197a6057060a68" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxStatusData.html#69d5e443877e2e9300197a6057060a68">OfxStatusData::code_valid</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00202">202</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e68c2b035377d22d01f89179fc14fdbe"></a><!-- doxytag: member="OfxStatusData::name" ref="e68c2b035377d22d01f89179fc14fdbe" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">OfxStatusData::name</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Code short name 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00203">203</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="bed5e1b74714010d7d6c313ef04e5961"></a><!-- doxytag: member="OfxStatusData::description" ref="bed5e1b74714010d7d6c313ef04e5961" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">OfxStatusData::description</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Code long description, from ofx_error_msg.h 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00204">204</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="ea08b7a14fa90d26ef192fab683e09d1"></a><!-- doxytag: member="OfxStatusData::code_valid" ref="ea08b7a14fa90d26ef192fab683e09d1" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int <a class="el" href="structOfxStatusData.html#ea08b7a14fa90d26ef192fab683e09d1">OfxStatusData::code_valid</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 If code_valid is true, so is name and description (They are obtained from a lookup table) 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00191">191</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="edd63b57483651dd7feb0f603106e9db"></a><!-- doxytag: member="OfxStatusData::description" ref="edd63b57483651dd7feb0f603106e9db" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char* <a class="el" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">OfxStatusData::description</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Code long description, from ofx_error_msg.h 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00190">190</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="edd63b57483651dd7feb0f603106e9db"></a><!-- doxytag: member="OfxStatusData::description" ref="edd63b57483651dd7feb0f603106e9db" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char* <a class="el" href="structOfxStatusData.html#edd63b57483651dd7feb0f603106e9db">OfxStatusData::description</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Code long description, from ofx_error_msg.h 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00190">190</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="04add60b19565ecfc0f362b8dfcee331"></a><!-- doxytag: member="OfxStatusData::name" ref="04add60b19565ecfc0f362b8dfcee331" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char* <a class="el" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">OfxStatusData::name</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Code short name 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00189">189</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="04add60b19565ecfc0f362b8dfcee331"></a><!-- doxytag: member="OfxStatusData::name" ref="04add60b19565ecfc0f362b8dfcee331" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char* <a class="el" href="structOfxStatusData.html#04add60b19565ecfc0f362b8dfcee331">OfxStatusData::name</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Code short name 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00189">189</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="39fa34d1bc8c87c27b118479cecd5bf6"></a><!-- doxytag: member="OfxStatusData::ofx_element_name_valid" ref="39fa34d1bc8c87c27b118479cecd5bf6" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxStatusData.html#39fa34d1bc8c87c27b118479cecd5bf6">OfxStatusData::ofx_element_name_valid</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Name of the OFX element this status is relevant to 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00182">182</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a505db764b68d5d23f6e46801112c81f"></a><!-- doxytag: member="OfxStatusData::server_message" ref="a505db764b68d5d23f6e46801112c81f" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char* <a class="el" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">OfxStatusData::server_message</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Explanation given by the server for the Status Code. Especially important for generic errors. 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00205">205</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="a505db764b68d5d23f6e46801112c81f"></a><!-- doxytag: member="OfxStatusData::server_message" ref="a505db764b68d5d23f6e46801112c81f" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char* <a class="el" href="structOfxStatusData.html#a505db764b68d5d23f6e46801112c81f">OfxStatusData::server_message</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Explanation given by the server for the Status Code. Especially important for generic errors. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00205">205</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>, and <a class="el" href="ofx__containers__misc_8cpp-source.html#l00083">OfxStatusContainer::~OfxStatusContainer()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="eb66f70d6192786a0b042ca5c40a530b"></a><!-- doxytag: member="OfxStatusData::severity" ref="eb66f70d6192786a0b042ca5c40a530b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">OfxStatusData::Severity</a>  <a class="el" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">OfxStatusData::severity</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Severity of the error     </td>
-  </tr>
-</table>
-<a class="anchor" name="eb66f70d6192786a0b042ca5c40a530b"></a><!-- doxytag: member="OfxStatusData::severity" ref="eb66f70d6192786a0b042ca5c40a530b" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">enum <a class="el" href="structOfxStatusData.html#de74dca95747a599bfb9b6ca06118142">OfxStatusData::Severity</a>  <a class="el" href="structOfxStatusData.html#eb66f70d6192786a0b042ca5c40a530b">OfxStatusData::severity</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Severity of the error 
-<p>
-Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00205">205</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b6842e66b77fd7ade801b2bae60cba38"></a><!-- doxytag: member="OfxStatusData::severity" ref="b6842e66b77fd7ade801b2bae60cba38" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData::Severity</a>  <a class="el" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">OfxStatusData::severity</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Severity of the error 
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="87b34b7c11d62409761aa24a5f43e393"></a><!-- doxytag: member="OfxStatusData::server_message" ref="87b34b7c11d62409761aa24a5f43e393" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char* <a class="el" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">OfxStatusData::server_message</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Explanation given by the server for the Status Code. Especially important for generic errors. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00219">219</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__containers__misc_8cpp-source.html#l00093">OfxStatusContainer::add_attribute()</a>, <a class="el" href="ofxdump_8cpp-source.html#l00340">ofx_proc_status_cb()</a>, and <a class="el" href="ofx__containers__misc_8cpp-source.html#l00083">OfxStatusContainer::~OfxStatusContainer()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e68c2b035377d22d01f89179fc14fdbe"></a><!-- doxytag: member="OfxStatusData::name" ref="e68c2b035377d22d01f89179fc14fdbe" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">OfxStatusData::name</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Code short name 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00189">189</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="bed5e1b74714010d7d6c313ef04e5961"></a><!-- doxytag: member="OfxStatusData::description" ref="bed5e1b74714010d7d6c313ef04e5961" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">OfxStatusData::description</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Code long description, from ofx_error_msg.h 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00190">190</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b6842e66b77fd7ade801b2bae60cba38"></a><!-- doxytag: member="OfxStatusData::severity" ref="b6842e66b77fd7ade801b2bae60cba38" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData::Severity</a>  <a class="el" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">OfxStatusData::severity</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Severity of the error 
+</div>
+</div><p>
+<a class="anchor" name="87b34b7c11d62409761aa24a5f43e393"></a><!-- doxytag: member="OfxStatusData::server_message" ref="87b34b7c11d62409761aa24a5f43e393" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char* <a class="el" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">OfxStatusData::server_message</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Explanation given by the server for the Status Code. Especially important for generic errors. 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00205">205</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="e68c2b035377d22d01f89179fc14fdbe"></a><!-- doxytag: member="OfxStatusData::name" ref="e68c2b035377d22d01f89179fc14fdbe" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structOfxStatusData.html#e68c2b035377d22d01f89179fc14fdbe">OfxStatusData::name</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Code short name 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00203">203</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="bed5e1b74714010d7d6c313ef04e5961"></a><!-- doxytag: member="OfxStatusData::description" ref="bed5e1b74714010d7d6c313ef04e5961" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">const char* <a class="el" href="structOfxStatusData.html#bed5e1b74714010d7d6c313ef04e5961">OfxStatusData::description</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Code long description, from ofx_error_msg.h 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00204">204</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b6842e66b77fd7ade801b2bae60cba38"></a><!-- doxytag: member="OfxStatusData::severity" ref="b6842e66b77fd7ade801b2bae60cba38" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">enum <a class="el" href="structOfxStatusData.html#9e9ac7b5db3c10f2f42cc0225a016187">OfxStatusData::Severity</a>  <a class="el" href="structOfxStatusData.html#b6842e66b77fd7ade801b2bae60cba38">OfxStatusData::severity</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Severity of the error 
+</div>
+</div><p>
+<a class="anchor" name="87b34b7c11d62409761aa24a5f43e393"></a><!-- doxytag: member="OfxStatusData::server_message" ref="87b34b7c11d62409761aa24a5f43e393" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char* <a class="el" href="structOfxStatusData.html#87b34b7c11d62409761aa24a5f43e393">OfxStatusData::server_message</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Explanation given by the server for the Status Code. Especially important for generic errors. 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00219">219</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/structOfxTransactionData.html'
--- doc/html/structOfxTransactionData.html	2006-10-20 13:12:33 +0000
+++ doc/html/structOfxTransactionData.html	2008-02-06 17:25:16 +0000
@@ -1,862 +1,688 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: OfxTransactionData Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>OfxTransactionData Struct Reference</h1><!-- doxytag: class="OfxTransactionData" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 An abstraction of a transaction in an account. 
 <p>
-The <a class="el" href="structOfxTransactionData.html">OfxTransactionData</a> stucture contains all available information about an actual transaction in an account. 
-<p>
-
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00402">402</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+The <a class="el" href="structOfxTransactionData.html" title="An abstraction of a transaction in an account.">OfxTransactionData</a> stucture contains all available information about an actual transaction in an account. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00423">423</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
 <tr><td colspan="2"><div class="groupHeader">OFX mandatory elements</div></td></tr>
 <tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">account_id</a> [OFX_ACCOUNT_ID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">account_ptr</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="02095f6be8951af8640d6e4d96e6a7c7"></a><!-- doxytag: member="OfxTransactionData::account_id_valid" ref="02095f6be8951af8640d6e4d96e6a7c7" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#02095f6be8951af8640d6e4d96e6a7c7">account_id_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="34ef190fc67ff501228532f77283be6e"></a><!-- doxytag: member="OfxTransactionData::transactiontype" ref="34ef190fc67ff501228532f77283be6e" args="" -->
-<a class="el" href="inc_2libofx_8h.html#8fa4e9c180211ede72c61459fd949558">TransactionType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#34ef190fc67ff501228532f77283be6e">transactiontype</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">transactiontype_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4c1df3de88906655204a3a46c0596695"></a><!-- doxytag: member="OfxTransactionData::invtransactiontype" ref="4c1df3de88906655204a3a46c0596695" args="" -->
-<a class="el" href="inc_2libofx_8h.html#05a2bed3ce45f12f212860faf6d00374">InvTransactionType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#4c1df3de88906655204a3a46c0596695">invtransactiontype</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d07b5ce8c32beb1452530e8364e8476f"></a><!-- doxytag: member="OfxTransactionData::invtransactiontype_valid" ref="d07b5ce8c32beb1452530e8364e8476f" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#d07b5ce8c32beb1452530e8364e8476f">invtransactiontype_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">units</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="15d204a5caf5857ef582732c52f2efab"></a><!-- doxytag: member="OfxTransactionData::units_valid" ref="15d204a5caf5857ef582732c52f2efab" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#15d204a5caf5857ef582732c52f2efab">units_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">unitprice</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ec42b88c736e6f881bd89bbcfe4fa434"></a><!-- doxytag: member="OfxTransactionData::unitprice_valid" ref="ec42b88c736e6f881bd89bbcfe4fa434" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#ec42b88c736e6f881bd89bbcfe4fa434">unitprice_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">amount</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d54fb30f2cd9f57021e90d1dde9e85b8"></a><!-- doxytag: member="OfxTransactionData::amount_valid" ref="d54fb30f2cd9f57021e90d1dde9e85b8" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#d54fb30f2cd9f57021e90d1dde9e85b8">amount_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">fi_id</a> [256]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9922d2151c43440ffe643fbf8cc1bb36"></a><!-- doxytag: member="OfxTransactionData::fi_id_valid" ref="9922d2151c43440ffe643fbf8cc1bb36" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#9922d2151c43440ffe643fbf8cc1bb36">fi_id_valid</a></td></tr>
-
-<tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
-<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">unique_id</a> [OFX_UNIQUE_ID_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4f7af456ca04678ab0d55b765cb4dfed"></a><!-- doxytag: member="OfxTransactionData::unique_id_valid" ref="4f7af456ca04678ab0d55b765cb4dfed" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#4f7af456ca04678ab0d55b765cb4dfed">unique_id_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">unique_id_type</a> [OFX_UNIQUE_ID_TYPE_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7470f4b24458c5fc1ae4d32e04578832"></a><!-- doxytag: member="OfxTransactionData::unique_id_type_valid" ref="7470f4b24458c5fc1ae4d32e04578832" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#7470f4b24458c5fc1ae4d32e04578832">unique_id_type_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="df056062c35b6a4e9965eb7c18f5b42a"></a><!-- doxytag: member="OfxTransactionData::security_data_ptr" ref="df056062c35b6a4e9965eb7c18f5b42a" args="" -->
-<a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">security_data_ptr</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#e778083e6550c520a2855a28367cd4cb">security_data_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">date_posted</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="22c89330882dd58dfe100b47b6c6f869"></a><!-- doxytag: member="OfxTransactionData::date_posted_valid" ref="22c89330882dd58dfe100b47b6c6f869" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#22c89330882dd58dfe100b47b6c6f869">date_posted_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">date_initiated</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c3d401a5755618d25b6f402c1e4ebaf6"></a><!-- doxytag: member="OfxTransactionData::date_initiated_valid" ref="c3d401a5755618d25b6f402c1e4ebaf6" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#c3d401a5755618d25b6f402c1e4ebaf6">date_initiated_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#be9a3435e5c27396714b915bbec892d9">date_funds_available</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a279f61654ffc1119f4a7a0475314b8f"></a><!-- doxytag: member="OfxTransactionData::date_funds_available_valid" ref="a279f61654ffc1119f4a7a0475314b8f" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#a279f61654ffc1119f4a7a0475314b8f">date_funds_available_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#9db59281d0b9883e307da469e45c5e25">fi_id_corrected</a> [256]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="760693682215d56c510ddf222514d18e"></a><!-- doxytag: member="OfxTransactionData::fi_id_corrected_valid" ref="760693682215d56c510ddf222514d18e" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#760693682215d56c510ddf222514d18e">fi_id_corrected_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">FiIdCorrectionAction</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">fi_id_correction_action</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0e4ab0204fe258d44df5235ea712b726"></a><!-- doxytag: member="OfxTransactionData::fi_id_correction_action_valid" ref="0e4ab0204fe258d44df5235ea712b726" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#0e4ab0204fe258d44df5235ea712b726">fi_id_correction_action_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">server_transaction_id</a> [OFX_SVRTID2_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ac773a8cfd36ea8dcbff4a0173a5178d"></a><!-- doxytag: member="OfxTransactionData::server_transaction_id_valid" ref="ac773a8cfd36ea8dcbff4a0173a5178d" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#ac773a8cfd36ea8dcbff4a0173a5178d">server_transaction_id_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">check_number</a> [OFX_CHECK_NUMBER_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8b49156636e8dc3b1f56ae91955765b4"></a><!-- doxytag: member="OfxTransactionData::check_number_valid" ref="8b49156636e8dc3b1f56ae91955765b4" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#8b49156636e8dc3b1f56ae91955765b4">check_number_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">reference_number</a> [OFX_REFERENCE_NUMBER_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6cca71dde5d0ced4458e4cc4d9be17e5"></a><!-- doxytag: member="OfxTransactionData::reference_number_valid" ref="6cca71dde5d0ced4458e4cc4d9be17e5" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#6cca71dde5d0ced4458e4cc4d9be17e5">reference_number_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">long int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#3283c78f62957daba020a89f5f5ff632">standard_industrial_code</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="84c2f46550c8158d87074bba6d57d592"></a><!-- doxytag: member="OfxTransactionData::standard_industrial_code_valid" ref="84c2f46550c8158d87074bba6d57d592" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#84c2f46550c8158d87074bba6d57d592">standard_industrial_code_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">payee_id</a> [OFX_SVRTID2_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b2bdd11a3085660e89da09c86aeb9643"></a><!-- doxytag: member="OfxTransactionData::payee_id_valid" ref="b2bdd11a3085660e89da09c86aeb9643" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#b2bdd11a3085660e89da09c86aeb9643">payee_id_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">name</a> [OFX_TRANSACTION_NAME_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b3c75cdec303b138889b3de61e75c869"></a><!-- doxytag: member="OfxTransactionData::name_valid" ref="b3c75cdec303b138889b3de61e75c869" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#b3c75cdec303b138889b3de61e75c869">name_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">memo</a> [OFX_MEMO2_LENGTH]</td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="eccceb6745312b5bdcd919056e7d987f"></a><!-- doxytag: member="OfxTransactionData::memo_valid" ref="eccceb6745312b5bdcd919056e7d987f" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#eccceb6745312b5bdcd919056e7d987f">memo_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#37fb3882c1bc7079e47d2007af1ca028">commission</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="86d8e5fc00290bb173c1b6b948c35dd3"></a><!-- doxytag: member="OfxTransactionData::commission_valid" ref="86d8e5fc00290bb173c1b6b948c35dd3" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#86d8e5fc00290bb173c1b6b948c35dd3">commission_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#e3ec90702e1e5abbae847c77eb9cfc0e">fees</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fed8f3953c6f8d1d346be5c61501a93e"></a><!-- doxytag: member="OfxTransactionData::fees_valid" ref="fed8f3953c6f8d1d346be5c61501a93e" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#fed8f3953c6f8d1d346be5c61501a93e">fees_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="57a0bf358659ac3c28eb330ae8c0abb9"></a><!-- doxytag: member="OfxTransactionData::oldunits" ref="57a0bf358659ac3c28eb330ae8c0abb9" args="" -->
-double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#57a0bf358659ac3c28eb330ae8c0abb9">oldunits</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5129a4ab98abe2227338d4d5cef94e53"></a><!-- doxytag: member="OfxTransactionData::oldunits_valid" ref="5129a4ab98abe2227338d4d5cef94e53" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#5129a4ab98abe2227338d4d5cef94e53">oldunits_valid</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f0b75e90de07492e9aed6a57d879e358"></a><!-- doxytag: member="OfxTransactionData::newunits" ref="f0b75e90de07492e9aed6a57d879e358" args="" -->
-double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#f0b75e90de07492e9aed6a57d879e358">newunits</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fd317e28426dce6b508872d5a15d1651"></a><!-- doxytag: member="OfxTransactionData::newunits_valid" ref="fd317e28426dce6b508872d5a15d1651" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#fd317e28426dce6b508872d5a15d1651">newunits_valid</a></td></tr>
-
-<tr><td colspan="2"><div class="groupHeader">OFX mandatory elements</div></td></tr>
-<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">account_ptr</a></td></tr>
-
-<tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
-<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="df056062c35b6a4e9965eb7c18f5b42a"></a><!-- doxytag: member="OfxTransactionData::security_data_ptr" ref="df056062c35b6a4e9965eb7c18f5b42a" args="" -->
-<a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#df056062c35b6a4e9965eb7c18f5b42a">security_data_ptr</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">account_id</a> [OFX_ACCOUNT_ID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">account_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="05c7a858b824e9f5fdf31cfdd7290735"></a><!-- doxytag: member="OfxTransactionData::account_id_valid" ref="05c7a858b824e9f5fdf31cfdd7290735" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#05c7a858b824e9f5fdf31cfdd7290735">account_id_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fc7ee497429b2f400a16edf3f3a0d093"></a><!-- doxytag: member="OfxTransactionData::transactiontype" ref="fc7ee497429b2f400a16edf3f3a0d093" args="" -->
+<a class="el" href="inc_2libofx_8h.html#a7a2e64697569804f14626bbb2649a58">TransactionType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#fc7ee497429b2f400a16edf3f3a0d093">transactiontype</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">transactiontype_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f35fc5099960012b68c66d6d84fc9c1a"></a><!-- doxytag: member="OfxTransactionData::invtransactiontype" ref="f35fc5099960012b68c66d6d84fc9c1a" args="" -->
+<a class="el" href="inc_2libofx_8h.html#b81d18936ea1dd7ac5cd708a23a06a9a">InvTransactionType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#f35fc5099960012b68c66d6d84fc9c1a">invtransactiontype</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="383c55c8ed0f581983c32bae4d9cc69c"></a><!-- doxytag: member="OfxTransactionData::invtransactiontype_valid" ref="383c55c8ed0f581983c32bae4d9cc69c" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#383c55c8ed0f581983c32bae4d9cc69c">invtransactiontype_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">units</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="00be891bf56306a4c5405c52cdec6e0f"></a><!-- doxytag: member="OfxTransactionData::units_valid" ref="00be891bf56306a4c5405c52cdec6e0f" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#00be891bf56306a4c5405c52cdec6e0f">units_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">unitprice</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4cb8c39e1e3315e10b0a44919ed9e711"></a><!-- doxytag: member="OfxTransactionData::unitprice_valid" ref="4cb8c39e1e3315e10b0a44919ed9e711" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#4cb8c39e1e3315e10b0a44919ed9e711">unitprice_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">amount</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4c4995cf2465345b233a23a97b29c88e"></a><!-- doxytag: member="OfxTransactionData::amount_valid" ref="4c4995cf2465345b233a23a97b29c88e" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#4c4995cf2465345b233a23a97b29c88e">amount_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">fi_id</a> [256]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="26937de0e52f445d79ce600ffd306485"></a><!-- doxytag: member="OfxTransactionData::fi_id_valid" ref="26937de0e52f445d79ce600ffd306485" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#26937de0e52f445d79ce600ffd306485">fi_id_valid</a></td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">unique_id</a> [OFX_UNIQUE_ID_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bec183d49f7374ad56422a7c04aec9f1"></a><!-- doxytag: member="OfxTransactionData::unique_id_valid" ref="bec183d49f7374ad56422a7c04aec9f1" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#bec183d49f7374ad56422a7c04aec9f1">unique_id_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">unique_id_type</a> [OFX_UNIQUE_ID_TYPE_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="aef6ea7fb5830dc1ba7ef4a3d5c987ef"></a><!-- doxytag: member="OfxTransactionData::unique_id_type_valid" ref="aef6ea7fb5830dc1ba7ef4a3d5c987ef" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#aef6ea7fb5830dc1ba7ef4a3d5c987ef">unique_id_type_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6a45738be07d9b580cf89f3ecd9969f0"></a><!-- doxytag: member="OfxTransactionData::security_data_ptr" ref="6a45738be07d9b580cf89f3ecd9969f0" args="" -->
+struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">security_data_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">date_posted</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e6cf8576653a9c3c06c3500aa0848f35"></a><!-- doxytag: member="OfxTransactionData::date_posted_valid" ref="e6cf8576653a9c3c06c3500aa0848f35" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#e6cf8576653a9c3c06c3500aa0848f35">date_posted_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">date_initiated</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0de7b9584e798d36e41eb7d2df729d10"></a><!-- doxytag: member="OfxTransactionData::date_initiated_valid" ref="0de7b9584e798d36e41eb7d2df729d10" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#0de7b9584e798d36e41eb7d2df729d10">date_initiated_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">time_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">date_funds_available</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dc640119b4a273b0989ce1eaf53bc1dd"></a><!-- doxytag: member="OfxTransactionData::date_funds_available_valid" ref="dc640119b4a273b0989ce1eaf53bc1dd" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#dc640119b4a273b0989ce1eaf53bc1dd">date_funds_available_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">fi_id_corrected</a> [256]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="144e03a1bc0e228903c00056847c355c"></a><!-- doxytag: member="OfxTransactionData::fi_id_corrected_valid" ref="144e03a1bc0e228903c00056847c355c" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#144e03a1bc0e228903c00056847c355c">fi_id_corrected_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">fi_id_correction_action</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9c1ee604d292e6d3346308d2615a8882"></a><!-- doxytag: member="OfxTransactionData::fi_id_correction_action_valid" ref="9c1ee604d292e6d3346308d2615a8882" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#9c1ee604d292e6d3346308d2615a8882">fi_id_correction_action_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">server_transaction_id</a> [OFX_SVRTID2_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="893afd9435630f01cbb12b2e93b57839"></a><!-- doxytag: member="OfxTransactionData::server_transaction_id_valid" ref="893afd9435630f01cbb12b2e93b57839" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#893afd9435630f01cbb12b2e93b57839">server_transaction_id_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">check_number</a> [OFX_CHECK_NUMBER_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1dee3cffcf91a81925a812ddb8550124"></a><!-- doxytag: member="OfxTransactionData::check_number_valid" ref="1dee3cffcf91a81925a812ddb8550124" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#1dee3cffcf91a81925a812ddb8550124">check_number_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">reference_number</a> [OFX_REFERENCE_NUMBER_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bd45775dcf142730232f57b9ee3f6b8d"></a><!-- doxytag: member="OfxTransactionData::reference_number_valid" ref="bd45775dcf142730232f57b9ee3f6b8d" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#bd45775dcf142730232f57b9ee3f6b8d">reference_number_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">long int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">standard_industrial_code</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cf13b8483310306d21e58c6f3b69fa3d"></a><!-- doxytag: member="OfxTransactionData::standard_industrial_code_valid" ref="cf13b8483310306d21e58c6f3b69fa3d" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#cf13b8483310306d21e58c6f3b69fa3d">standard_industrial_code_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">payee_id</a> [OFX_SVRTID2_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="a9f3f72f4a26f049b6dad9c84060596c"></a><!-- doxytag: member="OfxTransactionData::payee_id_valid" ref="a9f3f72f4a26f049b6dad9c84060596c" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#a9f3f72f4a26f049b6dad9c84060596c">payee_id_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">name</a> [OFX_TRANSACTION_NAME_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3e5ce4bde9c4c2d175a5ad68fc287cbe"></a><!-- doxytag: member="OfxTransactionData::name_valid" ref="3e5ce4bde9c4c2d175a5ad68fc287cbe" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#3e5ce4bde9c4c2d175a5ad68fc287cbe">name_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">char&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">memo</a> [OFX_MEMO2_LENGTH]</td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="27e162fb30f34397d93445110cf7074f"></a><!-- doxytag: member="OfxTransactionData::memo_valid" ref="27e162fb30f34397d93445110cf7074f" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#27e162fb30f34397d93445110cf7074f">memo_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">commission</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="487ad9ea35337560a08a09463984c477"></a><!-- doxytag: member="OfxTransactionData::commission_valid" ref="487ad9ea35337560a08a09463984c477" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#487ad9ea35337560a08a09463984c477">commission_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top">double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">fees</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="35fb51dc18622dee95d0b88d7e90198f"></a><!-- doxytag: member="OfxTransactionData::fees_valid" ref="35fb51dc18622dee95d0b88d7e90198f" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#35fb51dc18622dee95d0b88d7e90198f">fees_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="45bbba0df631c87b6171a45c0fd4c8f7"></a><!-- doxytag: member="OfxTransactionData::oldunits" ref="45bbba0df631c87b6171a45c0fd4c8f7" args="" -->
+double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#45bbba0df631c87b6171a45c0fd4c8f7">oldunits</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3ab83d9717c0b76acf0dcb5292d5b5bf"></a><!-- doxytag: member="OfxTransactionData::oldunits_valid" ref="3ab83d9717c0b76acf0dcb5292d5b5bf" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#3ab83d9717c0b76acf0dcb5292d5b5bf">oldunits_valid</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59d7afb738694ccadfecfc5f8823f3c9"></a><!-- doxytag: member="OfxTransactionData::newunits" ref="59d7afb738694ccadfecfc5f8823f3c9" args="" -->
+double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#59d7afb738694ccadfecfc5f8823f3c9">newunits</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="88102731ca6478fc427263063a2401e0"></a><!-- doxytag: member="OfxTransactionData::newunits_valid" ref="88102731ca6478fc427263063a2401e0" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#88102731ca6478fc427263063a2401e0">newunits_valid</a></td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">OFX mandatory elements</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">account_ptr</a></td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6a45738be07d9b580cf89f3ecd9969f0"></a><!-- doxytag: member="OfxTransactionData::security_data_ptr" ref="6a45738be07d9b580cf89f3ecd9969f0" args="" -->
+struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a></td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">OFX mandatory elements</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as mandatory. The associated variables should all contain valid data but you should not trust the servers. Check if the associated *_valid is true before using them. <br><br></div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">account_ptr</a></td></tr>
+
+<tr><td colspan="2"><div class="groupHeader">OFX optional elements</div></td></tr>
+<tr><td colspan="2"><div class="groupText">The OFX spec defines the following elements as optional. If the associated *_valid is true, the corresponding element is present and the associated variable contains valid data. <br><br></div></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6a45738be07d9b580cf89f3ecd9969f0"></a><!-- doxytag: member="OfxTransactionData::security_data_ptr" ref="6a45738be07d9b580cf89f3ecd9969f0" args="" -->
+struct <a class="el" href="structOfxSecurityData.html">OfxSecurityData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOfxTransactionData.html#6a45738be07d9b580cf89f3ecd9969f0">security_data_ptr</a></td></tr>
 
 </table>
 <hr><h2>Field Documentation</h2>
-<a class="anchor" name="95b9c7ab3cdf8e3e8f3be802d065713a"></a><!-- doxytag: member="OfxTransactionData::account_id" ref="95b9c7ab3cdf8e3e8f3be802d065713a" args="[OFX_ACCOUNT_ID_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
+<a class="anchor" name="b26fbaf28333b36c90f6a863dbb74874"></a><!-- doxytag: member="OfxTransactionData::account_id" ref="b26fbaf28333b36c90f6a863dbb74874" args="[OFX_ACCOUNT_ID_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
         <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#95b9c7ab3cdf8e3e8f3be802d065713a">OfxTransactionData::account_id</a>          </td>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#b26fbaf28333b36c90f6a863dbb74874">OfxTransactionData::account_id</a>          </td>
         </tr>
       </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+</div>
+<div class="memdoc">
 
 <p>
 Use this for matching with the relevant account in your application 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00409">409</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00142">OfxTransactionContainer::add_account()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="480f0f65ab6602c390a83d8358a7f364"></a><!-- doxytag: member="OfxTransactionData::account_ptr" ref="480f0f65ab6602c390a83d8358a7f364" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a>* <a class="el" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">OfxTransactionData::account_ptr</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Pointer to the full account structure, see <a class="el" href="structOfxAccountData.html">OfxAccountData</a> 
-<p>
-Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00412">412</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="480f0f65ab6602c390a83d8358a7f364"></a><!-- doxytag: member="OfxTransactionData::account_ptr" ref="480f0f65ab6602c390a83d8358a7f364" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a>* <a class="el" href="structOfxTransactionData.html#480f0f65ab6602c390a83d8358a7f364">OfxTransactionData::account_ptr</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Pointer to the full account structure, see <a class="el" href="structOfxAccountData.html">OfxAccountData</a> 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00412">412</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00142">OfxTransactionContainer::add_account()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="59d7476907962e9cd075aea52206f43d"></a><!-- doxytag: member="OfxTransactionData::amount" ref="59d7476907962e9cd075aea52206f43d" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">double <a class="el" href="structOfxTransactionData.html#59d7476907962e9cd075aea52206f43d">OfxTransactionData::amount</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00430">430</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00142">OfxTransactionContainer::add_account()</a>, <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>, and <a class="el" href="ofx__container__transaction_8cpp-source.html#l00036">OfxTransactionContainer::OfxTransactionContainer()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="fbc7820c3edd9a07c87e345ef7d726ee"></a><!-- doxytag: member="OfxTransactionData::account_ptr" ref="fbc7820c3edd9a07c87e345ef7d726ee" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a>* <a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">OfxTransactionData::account_ptr</a><code> [read]</code>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Pointer to the full account structure, see <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00433">433</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00142">OfxTransactionContainer::add_account()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="73290dc395cf8342d136dbcd243ce695"></a><!-- doxytag: member="OfxTransactionData::transactiontype_valid" ref="73290dc395cf8342d136dbcd243ce695" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int <a class="el" href="structOfxTransactionData.html#73290dc395cf8342d136dbcd243ce695">OfxTransactionData::transactiontype_valid</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Investment transaction type. You should read this if transactiontype == OFX_OTHER. See OFX spec 1.6 p.442 to 445 for details 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00440">440</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>, and <a class="el" href="ofx__container__transaction_8cpp-source.html#l00259">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3d6cd5df47d2282549e30a29454a9f15"></a><!-- doxytag: member="OfxTransactionData::units" ref="3d6cd5df47d2282549e30a29454a9f15" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">double <a class="el" href="structOfxTransactionData.html#3d6cd5df47d2282549e30a29454a9f15">OfxTransactionData::units</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Variation of the number of units of the commodity Suppose units is -10, ave unitprice is 1. If the commodity is stock, you have 10 less stock, but 10 more dollars in you amccount (fees not considered, see amount). If commodity is money, you have 10 less dollars in your pocket, but 10 more in your account 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00446">446</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="b330c2e874b125d0c2a6970d181271b5"></a><!-- doxytag: member="OfxTransactionData::unitprice" ref="b330c2e874b125d0c2a6970d181271b5" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">double <a class="el" href="structOfxTransactionData.html#b330c2e874b125d0c2a6970d181271b5">OfxTransactionData::unitprice</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Value of each unit, 1.00 if the commodity is money 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00453">453</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="8d89643cfcc66560d20d6ae857641671"></a><!-- doxytag: member="OfxTransactionData::amount" ref="8d89643cfcc66560d20d6ae857641671" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">double <a class="el" href="structOfxTransactionData.html#8d89643cfcc66560d20d6ae857641671">OfxTransactionData::amount</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 Total monetary amount of the transaction, signage will determine if money went in or out. amount is the total amount: -(units) * unitprice - various fees 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00435">435</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="11d6e212281eb8b58520127b001f6d19"></a><!-- doxytag: member="OfxTransactionData::check_number" ref="11d6e212281eb8b58520127b001f6d19" args="[OFX_CHECK_NUMBER_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#11d6e212281eb8b58520127b001f6d19">OfxTransactionData::check_number</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The check number is most likely an integer and can probably be converted properly with atoi(). However the spec allows for up to 12 digits, so it is not garanteed to work 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00495">495</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="37fb3882c1bc7079e47d2007af1ca028"></a><!-- doxytag: member="OfxTransactionData::commission" ref="37fb3882c1bc7079e47d2007af1ca028" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">double <a class="el" href="structOfxTransactionData.html#37fb3882c1bc7079e47d2007af1ca028">OfxTransactionData::commission</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Commission paid to broker (investment transactions only) 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00511">511</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="be9a3435e5c27396714b915bbec892d9"></a><!-- doxytag: member="OfxTransactionData::date_funds_available" ref="be9a3435e5c27396714b915bbec892d9" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">time_t <a class="el" href="structOfxTransactionData.html#be9a3435e5c27396714b915bbec892d9">OfxTransactionData::date_funds_available</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Date the funds are available (not always provided) (ex: the date you are allowed to withdraw a deposit 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00474">474</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="83da9ddec3505e28fb03d1536cb85c6f"></a><!-- doxytag: member="OfxTransactionData::date_initiated" ref="83da9ddec3505e28fb03d1536cb85c6f" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">time_t <a class="el" href="structOfxTransactionData.html#83da9ddec3505e28fb03d1536cb85c6f">OfxTransactionData::date_initiated</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00456">456</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="3799e7eee8774963bba3bc828f9a735d"></a><!-- doxytag: member="OfxTransactionData::fi_id" ref="3799e7eee8774963bba3bc828f9a735d" args="[256]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#3799e7eee8774963bba3bc828f9a735d">OfxTransactionData::fi_id</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Generated by the financial institution (fi), unique id of the transaction, to be used to detect duplicate downloads 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00461">461</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="54c642edf01b122b090d84b0bd985e74"></a><!-- doxytag: member="OfxTransactionData::unique_id" ref="54c642edf01b122b090d84b0bd985e74" args="[OFX_UNIQUE_ID_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#54c642edf01b122b090d84b0bd985e74">OfxTransactionData::unique_id</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The id of the security being traded. Mandatory for investment transactions 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00473">473</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00065">OfxTransactionContainer::gen_event()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="0a8fab71d94c3846fe1b4f044232e86e"></a><!-- doxytag: member="OfxTransactionData::unique_id_type" ref="0a8fab71d94c3846fe1b4f044232e86e" args="[OFX_UNIQUE_ID_TYPE_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#0a8fab71d94c3846fe1b4f044232e86e">OfxTransactionData::unique_id_type</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Usially "CUSIP" for FIs in north america 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00475">475</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="38f78abebdefc22ae4d991dc83a55288"></a><!-- doxytag: member="OfxTransactionData::security_data_valid" ref="38f78abebdefc22ae4d991dc83a55288" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">int <a class="el" href="structOfxTransactionData.html#38f78abebdefc22ae4d991dc83a55288">OfxTransactionData::security_data_valid</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+A pointer to the security's data. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00479">479</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00065">OfxTransactionContainer::gen_event()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="64ea65411d601e81ed3ea6d60b5067b9"></a><!-- doxytag: member="OfxTransactionData::date_posted" ref="64ea65411d601e81ed3ea6d60b5067b9" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">time_t <a class="el" href="structOfxTransactionData.html#64ea65411d601e81ed3ea6d60b5067b9">OfxTransactionData::date_posted</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Date the transaction took effect (ex: date it appeared on your credit card bill). Setlement date; for stock split, execution date.<p>
+Mandatory for bank and credit card transactions 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00481">481</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="85f2410d51ce72baa88c8bd18c8b7c6c"></a><!-- doxytag: member="OfxTransactionData::date_initiated" ref="85f2410d51ce72baa88c8bd18c8b7c6c" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">time_t <a class="el" href="structOfxTransactionData.html#85f2410d51ce72baa88c8bd18c8b7c6c">OfxTransactionData::date_initiated</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 Date the transaction was initiated (ex: date you bought something in a store for credit card; trade date for stocks; day of record for stock split)<p>
 Mandatory for investment transactions 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00467">467</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="980838dad3d2aa48477bbc79d8968481"></a><!-- doxytag: member="OfxTransactionData::date_posted" ref="980838dad3d2aa48477bbc79d8968481" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">time_t <a class="el" href="structOfxTransactionData.html#980838dad3d2aa48477bbc79d8968481">OfxTransactionData::date_posted</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Date the transaction took effect (ex: date it appeared on your credit card bill). Setlement date; for stock split, execution date.<p>
-Mandatory for bank and credit card transactions 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00460">460</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="e3ec90702e1e5abbae847c77eb9cfc0e"></a><!-- doxytag: member="OfxTransactionData::fees" ref="e3ec90702e1e5abbae847c77eb9cfc0e" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">double <a class="el" href="structOfxTransactionData.html#e3ec90702e1e5abbae847c77eb9cfc0e">OfxTransactionData::fees</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Fees applied to trade (investment transactions only) 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00513">513</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="1dc0dc4c6c62bca6af4802747befb9ec"></a><!-- doxytag: member="OfxTransactionData::fi_id" ref="1dc0dc4c6c62bca6af4802747befb9ec" args="[256]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#1dc0dc4c6c62bca6af4802747befb9ec">OfxTransactionData::fi_id</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Generated by the financial institution (fi), unique id of the transaction, to be used to detect duplicate downloads 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00440">440</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="9db59281d0b9883e307da469e45c5e25"></a><!-- doxytag: member="OfxTransactionData::fi_id_corrected" ref="9db59281d0b9883e307da469e45c5e25" args="[256]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#9db59281d0b9883e307da469e45c5e25">OfxTransactionData::fi_id_corrected</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-IMPORTANT: if fi_id_corrected is present, this transaction is meant to replace or delete the transaction with this fi_id. See <a class="el" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">OfxTransactionData::fi_id_correction_action</a> to know what to do. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00481">481</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="81a9e298a910bb5a04d1dd8bc6c84ae5"></a><!-- doxytag: member="OfxTransactionData::fi_id_correction_action" ref="81a9e298a910bb5a04d1dd8bc6c84ae5" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top"><a class="el" href="inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">FiIdCorrectionAction</a> <a class="el" href="structOfxTransactionData.html#81a9e298a910bb5a04d1dd8bc6c84ae5">OfxTransactionData::fi_id_correction_action</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The <a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html#c91fe5ab1348da4f21c6c9482451a1c4">OfxTransactionData::FiIdCorrectionAction</a> enum contains the action to be taken 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00485">485</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="c943f1d63c1bcec5430eee7653348c6f"></a><!-- doxytag: member="OfxTransactionData::memo" ref="c943f1d63c1bcec5430eee7653348c6f" args="[OFX_MEMO2_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#c943f1d63c1bcec5430eee7653348c6f">OfxTransactionData::memo</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Extra information not included in name 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00509">509</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="4cac73568dffb14e47a095615ed22ddb"></a><!-- doxytag: member="OfxTransactionData::name" ref="4cac73568dffb14e47a095615ed22ddb" args="[OFX_TRANSACTION_NAME_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#4cac73568dffb14e47a095615ed22ddb">OfxTransactionData::name</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Can be the name of the payee or the description of the transaction 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00506">506</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="2a722e60ec43ddfa3a8fc849e68d2e03"></a><!-- doxytag: member="OfxTransactionData::payee_id" ref="2a722e60ec43ddfa3a8fc849e68d2e03" args="[OFX_SVRTID2_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#2a722e60ec43ddfa3a8fc849e68d2e03">OfxTransactionData::payee_id</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The identifier of the payee 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00504">504</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="93ebc1aa70f3a8946180b23eb78a69c0"></a><!-- doxytag: member="OfxTransactionData::reference_number" ref="93ebc1aa70f3a8946180b23eb78a69c0" args="[OFX_REFERENCE_NUMBER_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#93ebc1aa70f3a8946180b23eb78a69c0">OfxTransactionData::reference_number</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00488">488</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="1464e7c8ded265329fc931dbeee2cf93"></a><!-- doxytag: member="OfxTransactionData::date_funds_available" ref="1464e7c8ded265329fc931dbeee2cf93" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">time_t <a class="el" href="structOfxTransactionData.html#1464e7c8ded265329fc931dbeee2cf93">OfxTransactionData::date_funds_available</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Date the funds are available (not always provided) (ex: the date you are allowed to withdraw a deposit 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00495">495</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="08e9c6d6035e2d5604562a35fc2805c2"></a><!-- doxytag: member="OfxTransactionData::fi_id_corrected" ref="08e9c6d6035e2d5604562a35fc2805c2" args="[256]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#08e9c6d6035e2d5604562a35fc2805c2">OfxTransactionData::fi_id_corrected</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+IMPORTANT: if fi_id_corrected is present, this transaction is meant to replace or delete the transaction with this fi_id. See <a class="el" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">OfxTransactionData::fi_id_correction_action</a> to know what to do. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00502">502</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="1628da9f1d066d1eb1e7a5bfeb865407"></a><!-- doxytag: member="OfxTransactionData::fi_id_correction_action" ref="1628da9f1d066d1eb1e7a5bfeb865407" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname"><a class="el" href="inc_2libofx_8h.html#526538786b3535e284f651da05768b23">FiIdCorrectionAction</a> <a class="el" href="structOfxTransactionData.html#1628da9f1d066d1eb1e7a5bfeb865407">OfxTransactionData::fi_id_correction_action</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The <a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html#526538786b3535e284f651da05768b23">OfxTransactionData::FiIdCorrectionAction</a> enum contains the action to be taken 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00506">506</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="dea1c8493f43ed0f693e7a195bb1a0fb"></a><!-- doxytag: member="OfxTransactionData::server_transaction_id" ref="dea1c8493f43ed0f693e7a195bb1a0fb" args="[OFX_SVRTID2_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#dea1c8493f43ed0f693e7a195bb1a0fb">OfxTransactionData::server_transaction_id</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Used for user initiated transaction such as payment or funds transfer. Can be seen as a confirmation number. 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00511">511</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="0a17438e40d33299517770722c9b566c"></a><!-- doxytag: member="OfxTransactionData::check_number" ref="0a17438e40d33299517770722c9b566c" args="[OFX_CHECK_NUMBER_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#0a17438e40d33299517770722c9b566c">OfxTransactionData::check_number</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The check number is most likely an integer and can probably be converted properly with atoi(). However the spec allows for up to 12 digits, so it is not garanteed to work 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00516">516</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4228cc0543cb479b497f03de20611650"></a><!-- doxytag: member="OfxTransactionData::reference_number" ref="4228cc0543cb479b497f03de20611650" args="[OFX_REFERENCE_NUMBER_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#4228cc0543cb479b497f03de20611650">OfxTransactionData::reference_number</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 Might present in addition to or instead of a check_number. Not necessarily a number 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00499">499</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="e778083e6550c520a2855a28367cd4cb"></a><!-- doxytag: member="OfxTransactionData::security_data_valid" ref="e778083e6550c520a2855a28367cd4cb" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxTransactionData.html#e778083e6550c520a2855a28367cd4cb">OfxTransactionData::security_data_valid</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-A pointer to the security's data. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00458">458</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00065">OfxTransactionContainer::gen_event()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="4ae6e26b6dc0911da6310fe2d79d097c"></a><!-- doxytag: member="OfxTransactionData::server_transaction_id" ref="4ae6e26b6dc0911da6310fe2d79d097c" args="[OFX_SVRTID2_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#4ae6e26b6dc0911da6310fe2d79d097c">OfxTransactionData::server_transaction_id</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Used for user initiated transaction such as payment or funds transfer. Can be seen as a confirmation number. 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00490">490</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="3283c78f62957daba020a89f5f5ff632"></a><!-- doxytag: member="OfxTransactionData::standard_industrial_code" ref="3283c78f62957daba020a89f5f5ff632" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">long int <a class="el" href="structOfxTransactionData.html#3283c78f62957daba020a89f5f5ff632">OfxTransactionData::standard_industrial_code</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00520">520</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="1883d5fa0f381b90779f794b1366c234"></a><!-- doxytag: member="OfxTransactionData::standard_industrial_code" ref="1883d5fa0f381b90779f794b1366c234" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">long int <a class="el" href="structOfxTransactionData.html#1883d5fa0f381b90779f794b1366c234">OfxTransactionData::standard_industrial_code</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
 
 <p>
 The standard industrial code can have at most 6 digits 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00501">501</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="e90a785523a21df560e4e7e1c67268f5"></a><!-- doxytag: member="OfxTransactionData::transactiontype_valid" ref="e90a785523a21df560e4e7e1c67268f5" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">int <a class="el" href="structOfxTransactionData.html#e90a785523a21df560e4e7e1c67268f5">OfxTransactionData::transactiontype_valid</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Investment transaction type. You should read this if transactiontype == OFX_OTHER. See OFX spec 1.6 p.442 to 445 for details 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00419">419</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>, and <a class="el" href="ofx__container__transaction_8cpp-source.html#l00259">OfxInvestmentTransactionContainer::OfxInvestmentTransactionContainer()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="3169414a1b7b454d69c98936d9a0f9d2"></a><!-- doxytag: member="OfxTransactionData::unique_id" ref="3169414a1b7b454d69c98936d9a0f9d2" args="[OFX_UNIQUE_ID_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#3169414a1b7b454d69c98936d9a0f9d2">OfxTransactionData::unique_id</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-The id of the security being traded. Mandatory for investment transactions 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00452">452</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00065">OfxTransactionContainer::gen_event()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="7fadc26f83b41fe7211807555668affd"></a><!-- doxytag: member="OfxTransactionData::unique_id_type" ref="7fadc26f83b41fe7211807555668affd" args="[OFX_UNIQUE_ID_TYPE_LENGTH]" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">char <a class="el" href="structOfxTransactionData.html#7fadc26f83b41fe7211807555668affd">OfxTransactionData::unique_id_type</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Usially "CUSIP" for FIs in north america 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00454">454</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="5a41658d615ce07e1865dc070cf23c25"></a><!-- doxytag: member="OfxTransactionData::unitprice" ref="5a41658d615ce07e1865dc070cf23c25" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">double <a class="el" href="structOfxTransactionData.html#5a41658d615ce07e1865dc070cf23c25">OfxTransactionData::unitprice</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Value of each unit, 1.00 if the commodity is money 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00432">432</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
-<a class="anchor" name="0173d373603439647effb10d2bb32b05"></a><!-- doxytag: member="OfxTransactionData::units" ref="0173d373603439647effb10d2bb32b05" args="" --><p>
-<table class="mdTable" cellpadding="2" cellspacing="0">
-  <tr>
-    <td class="mdRow">
-      <table cellpadding="0" cellspacing="0" border="0">
-        <tr>
-          <td class="md" nowrap valign="top">double <a class="el" href="structOfxTransactionData.html#0173d373603439647effb10d2bb32b05">OfxTransactionData::units</a>          </td>
-        </tr>
-      </table>
-    </td>
-  </tr>
-</table>
-<table cellspacing="5" cellpadding="0" border="0">
-  <tr>
-    <td>
-      &nbsp;
-    </td>
-    <td>
-
-<p>
-Variation of the number of units of the commodity Suppose units is -10, ave unitprice is 1. If the commodity is stock, you have 10 less stock, but 10 more dollars in you amccount (fees not considered, see amount). If commodity is money, you have 10 less dollars in your pocket, but 10 more in your account 
-<p>
-Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00425">425</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.
-<p>
-Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.    </td>
-  </tr>
-</table>
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00522">522</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="ece5dc8c7d1a772ec1ee851f6bc267bf"></a><!-- doxytag: member="OfxTransactionData::payee_id" ref="ece5dc8c7d1a772ec1ee851f6bc267bf" args="[OFX_SVRTID2_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#ece5dc8c7d1a772ec1ee851f6bc267bf">OfxTransactionData::payee_id</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+The identifier of the payee 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00525">525</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="d50d7fc4d119214fceaed44a910789c3"></a><!-- doxytag: member="OfxTransactionData::name" ref="d50d7fc4d119214fceaed44a910789c3" args="[OFX_TRANSACTION_NAME_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#d50d7fc4d119214fceaed44a910789c3">OfxTransactionData::name</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Can be the name of the payee or the description of the transaction 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00527">527</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00161">OfxBankTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4ffcfadafa8986c818648760c2884d20"></a><!-- doxytag: member="OfxTransactionData::memo" ref="4ffcfadafa8986c818648760c2884d20" args="[OFX_MEMO2_LENGTH]" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">char <a class="el" href="structOfxTransactionData.html#4ffcfadafa8986c818648760c2884d20">OfxTransactionData::memo</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Extra information not included in name 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00530">530</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00093">OfxTransactionContainer::add_attribute()</a>, and <a class="el" href="ofx2qif_8c-source.html#l00048">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="4f963ca359ff5e49829815803332bf87"></a><!-- doxytag: member="OfxTransactionData::commission" ref="4f963ca359ff5e49829815803332bf87" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">double <a class="el" href="structOfxTransactionData.html#4f963ca359ff5e49829815803332bf87">OfxTransactionData::commission</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Commission paid to broker (investment transactions only) 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00532">532</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="c259b91b8d9c8bfa54ffb90a68ed3191"></a><!-- doxytag: member="OfxTransactionData::fees" ref="c259b91b8d9c8bfa54ffb90a68ed3191" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">double <a class="el" href="structOfxTransactionData.html#c259b91b8d9c8bfa54ffb90a68ed3191">OfxTransactionData::fees</a>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Fees applied to trade (investment transactions only) 
+<p>Definition at line <a class="el" href="inc_2libofx_8h-source.html#l00534">534</a> of file <a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a>.</p>
+
+<p>Referenced by <a class="el" href="ofx__container__transaction_8cpp-source.html#l00333">OfxInvestmentTransactionContainer::add_attribute()</a>, and <a class="el" href="ofxdump_8cpp-source.html#l00076">ofx_proc_transaction_cb()</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="fbc7820c3edd9a07c87e345ef7d726ee"></a><!-- doxytag: member="OfxTransactionData::account_ptr" ref="fbc7820c3edd9a07c87e345ef7d726ee" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a>* <a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">OfxTransactionData::account_ptr</a><code> [read]</code>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Pointer to the full account structure, see <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> 
+<p>Definition at line <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html#l00419">419</a> of file <a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
+<a class="anchor" name="fbc7820c3edd9a07c87e345ef7d726ee"></a><!-- doxytag: member="OfxTransactionData::account_ptr" ref="fbc7820c3edd9a07c87e345ef7d726ee" args="" -->
+<div class="memitem">
+<div class="memproto">
+      <table class="memname">
+        <tr>
+          <td class="memname">struct <a class="el" href="structOfxAccountData.html">OfxAccountData</a>* <a class="el" href="structOfxTransactionData.html#fbc7820c3edd9a07c87e345ef7d726ee">OfxTransactionData::account_ptr</a><code> [read]</code>          </td>
+        </tr>
+      </table>
+</div>
+<div class="memdoc">
+
+<p>
+Pointer to the full account structure, see <a class="el" href="structOfxAccountData.html" title="An abstraction of an account.">OfxAccountData</a> 
+<p>Definition at line <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html#l00433">433</a> of file <a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a>.</p>
+
+</div>
+</div><p>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="inc_2libofx_8h-source.html">inc/libofx.h</a><li><a class="el" href="libofx-0_88_82_2inc_2libofx_8h-source.html">libofx-0.8.2/inc/libofx.h</a><li><a class="el" href="libofx-0_89_80_2inc_2libofx_8h-source.html">libofx-0.9.0/inc/libofx.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== added file 'doc/html/structcmdline__parser__params.html'
--- doc/html/structcmdline__parser__params.html	1970-01-01 00:00:00 +0000
+++ doc/html/structcmdline__parser__params.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,52 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: cmdline_parser_params Struct Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<h1>cmdline_parser_params Struct Reference</h1><!-- doxytag: class="cmdline_parser_params" --><hr><a name="_details"></a><h2>Detailed Description</h2>
+The additional parameters to pass to parser functions. 
+<p>Definition at line <a class="el" href="ofxconnect_2cmdline_8h-source.html#l00109">109</a> of file <a class="el" href="ofxconnect_2cmdline_8h-source.html">ofxconnect/cmdline.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d3ff9d69146e69a47506782197b5675c"></a><!-- doxytag: member="cmdline_parser_params::override" ref="d3ff9d69146e69a47506782197b5675c" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcmdline__parser__params.html#d3ff9d69146e69a47506782197b5675c">override</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">whether to override possibly already present options (default 0) <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="97ed8a6eabd39291ae7d73f273e12c11"></a><!-- doxytag: member="cmdline_parser_params::initialize" ref="97ed8a6eabd39291ae7d73f273e12c11" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcmdline__parser__params.html#97ed8a6eabd39291ae7d73f273e12c11">initialize</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">whether to initialize the <a class="el" href="structoption.html">option</a> structure <a class="el" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> (default 0) <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="44ff439d7e9e36799e59173af74829c6"></a><!-- doxytag: member="cmdline_parser_params::check_required" ref="44ff439d7e9e36799e59173af74829c6" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcmdline__parser__params.html#44ff439d7e9e36799e59173af74829c6">check_required</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">whether to check that all required options were provided (default 0) <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6e4442704fc40b0b655f7cc602f13ec4"></a><!-- doxytag: member="cmdline_parser_params::check_ambiguity" ref="6e4442704fc40b0b655f7cc602f13ec4" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structcmdline__parser__params.html#6e4442704fc40b0b655f7cc602f13ec4">check_ambiguity</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">whether to check for options already specified in the <a class="el" href="structoption.html">option</a> structure <a class="el" href="structgengetopt__args__info.html" title="Where the command line options are stored.">gengetopt_args_info</a> (default 0) <br></td></tr>
+</table>
+<hr>The documentation for this struct was generated from the following files:<ul>
+<li><a class="el" href="ofxconnect_2cmdline_8h-source.html">ofxconnect/cmdline.h</a><li><a class="el" href="ofxdump_2cmdline_8h-source.html">ofxdump/cmdline.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/structgengetopt__args__info.html'
--- doc/html/structgengetopt__args__info.html	1970-01-01 00:00:00 +0000
+++ doc/html/structgengetopt__args__info.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,428 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: gengetopt_args_info Struct Reference</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<div class="tabs">
+  <ul>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
+    <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
+  </ul>
+</div>
+<h1>gengetopt_args_info Struct Reference</h1><!-- doxytag: class="gengetopt_args_info" --><hr><a name="_details"></a><h2>Detailed Description</h2>
+Where the command line options are stored. 
+<p>Definition at line <a class="el" href="ofxconnect_2cmdline_8h-source.html#l00031">31</a> of file <a class="el" href="ofxconnect_2cmdline_8h-source.html">ofxconnect/cmdline.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
+<tr><td></td></tr>
+<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fb4efa68a6f43a4d112e9b96ffe89101"></a><!-- doxytag: member="gengetopt_args_info::help_help" ref="fb4efa68a6f43a4d112e9b96ffe89101" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#fb4efa68a6f43a4d112e9b96ffe89101">help_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Print help and exit help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="def454ea6f3ff4114ae5009e58360cfc"></a><!-- doxytag: member="gengetopt_args_info::version_help" ref="def454ea6f3ff4114ae5009e58360cfc" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#def454ea6f3ff4114ae5009e58360cfc">version_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Print version and exit help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8e4b8a15e80788cd882773a08d9e123f"></a><!-- doxytag: member="gengetopt_args_info::fipid_arg" ref="8e4b8a15e80788cd882773a08d9e123f" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#8e4b8a15e80788cd882773a08d9e123f">fipid_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FI partner identifier (looks up fid, org &amp; url from partner server). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3c837359811981ec0228ba5a77f26f9e"></a><!-- doxytag: member="gengetopt_args_info::fipid_orig" ref="3c837359811981ec0228ba5a77f26f9e" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#3c837359811981ec0228ba5a77f26f9e">fipid_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FI partner identifier (looks up fid, org &amp; url from partner server) original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="76c14337823cdcfa195a192d0aaa1426"></a><!-- doxytag: member="gengetopt_args_info::fipid_help" ref="76c14337823cdcfa195a192d0aaa1426" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#76c14337823cdcfa195a192d0aaa1426">fipid_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FI partner identifier (looks up fid, org &amp; url from partner server) help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="769a7d51e9b55012f76116e3340f941a"></a><!-- doxytag: member="gengetopt_args_info::fid_arg" ref="769a7d51e9b55012f76116e3340f941a" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#769a7d51e9b55012f76116e3340f941a">fid_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FI identifier. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0f9f9604850e736a542e308077f75361"></a><!-- doxytag: member="gengetopt_args_info::fid_orig" ref="0f9f9604850e736a542e308077f75361" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#0f9f9604850e736a542e308077f75361">fid_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FI identifier original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="84c60df905af5f51d5c5a0a88dd3dc39"></a><!-- doxytag: member="gengetopt_args_info::fid_help" ref="84c60df905af5f51d5c5a0a88dd3dc39" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#84c60df905af5f51d5c5a0a88dd3dc39">fid_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FI identifier help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b51b741c99eed627eb564837e2509cfb"></a><!-- doxytag: member="gengetopt_args_info::org_arg" ref="b51b741c99eed627eb564837e2509cfb" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b51b741c99eed627eb564837e2509cfb">org_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FI org tag. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1a1b59e8f4c30f8739e3acdd669d5d5c"></a><!-- doxytag: member="gengetopt_args_info::org_orig" ref="1a1b59e8f4c30f8739e3acdd669d5d5c" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#1a1b59e8f4c30f8739e3acdd669d5d5c">org_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FI org tag original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2e3a29aa53fb59100168f4e558c584c6"></a><!-- doxytag: member="gengetopt_args_info::org_help" ref="2e3a29aa53fb59100168f4e558c584c6" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#2e3a29aa53fb59100168f4e558c584c6">org_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">FI org tag help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="61b58de298d23d8d6de7f1840c54a4fb"></a><!-- doxytag: member="gengetopt_args_info::bank_arg" ref="61b58de298d23d8d6de7f1840c54a4fb" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#61b58de298d23d8d6de7f1840c54a4fb">bank_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">IBAN bank identifier. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f18d2682250258f02d37a58d29ea936a"></a><!-- doxytag: member="gengetopt_args_info::bank_orig" ref="f18d2682250258f02d37a58d29ea936a" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#f18d2682250258f02d37a58d29ea936a">bank_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">IBAN bank identifier original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fb33dfc28db6399e4c13f94d12b30ed7"></a><!-- doxytag: member="gengetopt_args_info::bank_help" ref="fb33dfc28db6399e4c13f94d12b30ed7" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#fb33dfc28db6399e4c13f94d12b30ed7">bank_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">IBAN bank identifier help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b539641d9837528631bfb4acda002c0d"></a><!-- doxytag: member="gengetopt_args_info::broker_arg" ref="b539641d9837528631bfb4acda002c0d" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b539641d9837528631bfb4acda002c0d">broker_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Broker identifier. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="14317c5cc57fe08b6fce80680b86dab6"></a><!-- doxytag: member="gengetopt_args_info::broker_orig" ref="14317c5cc57fe08b6fce80680b86dab6" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#14317c5cc57fe08b6fce80680b86dab6">broker_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Broker identifier original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3c4dc59196e3c4ef57b3a6d1cf439629"></a><!-- doxytag: member="gengetopt_args_info::broker_help" ref="3c4dc59196e3c4ef57b3a6d1cf439629" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#3c4dc59196e3c4ef57b3a6d1cf439629">broker_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Broker identifier help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="11ca6d492eeee3424c10e21e3dd0438e"></a><!-- doxytag: member="gengetopt_args_info::user_arg" ref="11ca6d492eeee3424c10e21e3dd0438e" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#11ca6d492eeee3424c10e21e3dd0438e">user_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">User name. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b347a46057c2dd873dda92124ceb9f91"></a><!-- doxytag: member="gengetopt_args_info::user_orig" ref="b347a46057c2dd873dda92124ceb9f91" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b347a46057c2dd873dda92124ceb9f91">user_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">User name original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="50ca2748823a107ad8a252c0b0a7fe11"></a><!-- doxytag: member="gengetopt_args_info::user_help" ref="50ca2748823a107ad8a252c0b0a7fe11" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#50ca2748823a107ad8a252c0b0a7fe11">user_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">User name help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="20c4ea31f5af4f9d2d8760bb26d252a0"></a><!-- doxytag: member="gengetopt_args_info::pass_arg" ref="20c4ea31f5af4f9d2d8760bb26d252a0" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#20c4ea31f5af4f9d2d8760bb26d252a0">pass_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Password. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7074e405b6402c075c1055dc5840933c"></a><!-- doxytag: member="gengetopt_args_info::pass_orig" ref="7074e405b6402c075c1055dc5840933c" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#7074e405b6402c075c1055dc5840933c">pass_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Password original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b14ac501dd6a3c97f36725d4b7852048"></a><!-- doxytag: member="gengetopt_args_info::pass_help" ref="b14ac501dd6a3c97f36725d4b7852048" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b14ac501dd6a3c97f36725d4b7852048">pass_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Password help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8d3cdcdd6c12a5a20c7591653b4f2281"></a><!-- doxytag: member="gengetopt_args_info::acct_arg" ref="8d3cdcdd6c12a5a20c7591653b4f2281" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#8d3cdcdd6c12a5a20c7591653b4f2281">acct_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Account ID. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="018a00bd940c29a17648da712cd61f55"></a><!-- doxytag: member="gengetopt_args_info::acct_orig" ref="018a00bd940c29a17648da712cd61f55" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#018a00bd940c29a17648da712cd61f55">acct_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Account ID original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c920c934e2095025f1d7048522a57c5e"></a><!-- doxytag: member="gengetopt_args_info::acct_help" ref="c920c934e2095025f1d7048522a57c5e" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#c920c934e2095025f1d7048522a57c5e">acct_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Account ID help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="093feef6ca6c9164a2f32ed5f569c53e"></a><!-- doxytag: member="gengetopt_args_info::type_arg" ref="093feef6ca6c9164a2f32ed5f569c53e" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#093feef6ca6c9164a2f32ed5f569c53e">type_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Account Type 1=checking 2=invest 3=ccard. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="31edae5cc83528cdea3437f6b5c05a83"></a><!-- doxytag: member="gengetopt_args_info::type_orig" ref="31edae5cc83528cdea3437f6b5c05a83" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#31edae5cc83528cdea3437f6b5c05a83">type_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Account Type 1=checking 2=invest 3=ccard original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3c39a4f94b8c4b5621d6c41e6fbbfcc9"></a><!-- doxytag: member="gengetopt_args_info::type_help" ref="3c39a4f94b8c4b5621d6c41e6fbbfcc9" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#3c39a4f94b8c4b5621d6c41e6fbbfcc9">type_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Account Type 1=checking 2=invest 3=ccard help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9654176cd23987658362a4f8f9d74a01"></a><!-- doxytag: member="gengetopt_args_info::past_arg" ref="9654176cd23987658362a4f8f9d74a01" args="" -->
+long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#9654176cd23987658362a4f8f9d74a01">past_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">How far back to look from today (in days). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="456c3dd814bf336dcb7a00282495ad05"></a><!-- doxytag: member="gengetopt_args_info::past_orig" ref="456c3dd814bf336dcb7a00282495ad05" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#456c3dd814bf336dcb7a00282495ad05">past_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">How far back to look from today (in days) original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="474b9f887a1722596b39e69142da2791"></a><!-- doxytag: member="gengetopt_args_info::past_help" ref="474b9f887a1722596b39e69142da2791" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#474b9f887a1722596b39e69142da2791">past_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">How far back to look from today (in days) help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e3d508befbb231ac680a49a6735c1354"></a><!-- doxytag: member="gengetopt_args_info::url_arg" ref="e3d508befbb231ac680a49a6735c1354" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#e3d508befbb231ac680a49a6735c1354">url_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Url to POST the data to (otherwise goes to stdout). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b96a5e9dc1c0b04b1fdd62cf4cbf9c30"></a><!-- doxytag: member="gengetopt_args_info::url_orig" ref="b96a5e9dc1c0b04b1fdd62cf4cbf9c30" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b96a5e9dc1c0b04b1fdd62cf4cbf9c30">url_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Url to POST the data to (otherwise goes to stdout) original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="567440f30f9c9175e2aab392d325a42f"></a><!-- doxytag: member="gengetopt_args_info::url_help" ref="567440f30f9c9175e2aab392d325a42f" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#567440f30f9c9175e2aab392d325a42f">url_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Url to POST the data to (otherwise goes to stdout) help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="88eed5f134272a39745075b5001d76b4"></a><!-- doxytag: member="gengetopt_args_info::trid_arg" ref="88eed5f134272a39745075b5001d76b4" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#88eed5f134272a39745075b5001d76b4">trid_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Transaction id. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="54a0a34760b96fa1c8c3e9cec5d19a20"></a><!-- doxytag: member="gengetopt_args_info::trid_orig" ref="54a0a34760b96fa1c8c3e9cec5d19a20" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#54a0a34760b96fa1c8c3e9cec5d19a20">trid_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Transaction id original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="29239afc79b8c1f937ab01b6b71dc0e0"></a><!-- doxytag: member="gengetopt_args_info::trid_help" ref="29239afc79b8c1f937ab01b6b71dc0e0" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#29239afc79b8c1f937ab01b6b71dc0e0">trid_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Transaction id help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fbe386debf0da8acde6af35927d47d0f"></a><!-- doxytag: member="gengetopt_args_info::statement_req_help" ref="fbe386debf0da8acde6af35927d47d0f" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#fbe386debf0da8acde6af35927d47d0f">statement_req_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Request for a statement help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="4be453d9448470057d85b2d77498b1cf"></a><!-- doxytag: member="gengetopt_args_info::accountinfo_req_help" ref="4be453d9448470057d85b2d77498b1cf" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#4be453d9448470057d85b2d77498b1cf">accountinfo_req_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Request for a list of accounts help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0f72ced1e0e2397a641715877de66801"></a><!-- doxytag: member="gengetopt_args_info::payment_req_help" ref="0f72ced1e0e2397a641715877de66801" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#0f72ced1e0e2397a641715877de66801">payment_req_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Request to make a payment help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="72aac6ef17e0f55000f20feb7ecb6c74"></a><!-- doxytag: member="gengetopt_args_info::paymentinquiry_req_help" ref="72aac6ef17e0f55000f20feb7ecb6c74" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#72aac6ef17e0f55000f20feb7ecb6c74">paymentinquiry_req_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Request to inquire about the status of a payment help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="e99e7e36843e9eb0108778a1068c24a8"></a><!-- doxytag: member="gengetopt_args_info::bank_list_help" ref="e99e7e36843e9eb0108778a1068c24a8" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#e99e7e36843e9eb0108778a1068c24a8">bank_list_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List all known banks help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="ab3262dc76580b273d03506a73b20307"></a><!-- doxytag: member="gengetopt_args_info::bank_fipid_help" ref="ab3262dc76580b273d03506a73b20307" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#ab3262dc76580b273d03506a73b20307">bank_fipid_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List all fipids for a given bank help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f111269f0c20c2f07cfcc1d8b3e976cf"></a><!-- doxytag: member="gengetopt_args_info::bank_services_help" ref="f111269f0c20c2f07cfcc1d8b3e976cf" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#f111269f0c20c2f07cfcc1d8b3e976cf">bank_services_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List supported services for a given fipid help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5257baf4b7c30840141c1891e59d6c29"></a><!-- doxytag: member="gengetopt_args_info::allsupport_help" ref="5257baf4b7c30840141c1891e59d6c29" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#5257baf4b7c30840141c1891e59d6c29">allsupport_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List all banks which support online banking help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fcc22c3f15bfc05d4d36824cbb2b661c"></a><!-- doxytag: member="gengetopt_args_info::help_given" ref="fcc22c3f15bfc05d4d36824cbb2b661c" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#fcc22c3f15bfc05d4d36824cbb2b661c">help_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether help was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="18b7279f3b637b9e9192a88fc26973ae"></a><!-- doxytag: member="gengetopt_args_info::version_given" ref="18b7279f3b637b9e9192a88fc26973ae" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#18b7279f3b637b9e9192a88fc26973ae">version_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether version was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c57d973bc45cc2ec3297ace92381a9ea"></a><!-- doxytag: member="gengetopt_args_info::fipid_given" ref="c57d973bc45cc2ec3297ace92381a9ea" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#c57d973bc45cc2ec3297ace92381a9ea">fipid_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether fipid was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2de3501f16039be562ebec78d9c6d8cc"></a><!-- doxytag: member="gengetopt_args_info::fid_given" ref="2de3501f16039be562ebec78d9c6d8cc" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#2de3501f16039be562ebec78d9c6d8cc">fid_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether fid was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="77b56ac023414fbc6382ceef8beac1de"></a><!-- doxytag: member="gengetopt_args_info::org_given" ref="77b56ac023414fbc6382ceef8beac1de" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#77b56ac023414fbc6382ceef8beac1de">org_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether org was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="dd74e62aef73d2f759e5134446b035ad"></a><!-- doxytag: member="gengetopt_args_info::bank_given" ref="dd74e62aef73d2f759e5134446b035ad" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#dd74e62aef73d2f759e5134446b035ad">bank_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether bank was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="26347117c8e45981c19f59473b25f172"></a><!-- doxytag: member="gengetopt_args_info::broker_given" ref="26347117c8e45981c19f59473b25f172" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#26347117c8e45981c19f59473b25f172">broker_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether broker was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b01392f9a3dfc7fff650bc2403d66f6e"></a><!-- doxytag: member="gengetopt_args_info::user_given" ref="b01392f9a3dfc7fff650bc2403d66f6e" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b01392f9a3dfc7fff650bc2403d66f6e">user_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether user was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9f0a2216247bf6c1fd7ad31b133937ed"></a><!-- doxytag: member="gengetopt_args_info::pass_given" ref="9f0a2216247bf6c1fd7ad31b133937ed" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#9f0a2216247bf6c1fd7ad31b133937ed">pass_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether pass was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="75d753965d65a29a8c7cfdfdda5f51f4"></a><!-- doxytag: member="gengetopt_args_info::acct_given" ref="75d753965d65a29a8c7cfdfdda5f51f4" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#75d753965d65a29a8c7cfdfdda5f51f4">acct_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether acct was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7a7436030c9630a78ac6adda5c5026f1"></a><!-- doxytag: member="gengetopt_args_info::type_given" ref="7a7436030c9630a78ac6adda5c5026f1" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#7a7436030c9630a78ac6adda5c5026f1">type_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether type was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fbe6f10a6693b2e26ceff818c98ba796"></a><!-- doxytag: member="gengetopt_args_info::past_given" ref="fbe6f10a6693b2e26ceff818c98ba796" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#fbe6f10a6693b2e26ceff818c98ba796">past_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether past was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="cca9dc1044aa37ed4b0545c4e4c4d5dd"></a><!-- doxytag: member="gengetopt_args_info::url_given" ref="cca9dc1044aa37ed4b0545c4e4c4d5dd" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#cca9dc1044aa37ed4b0545c4e4c4d5dd">url_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether url was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9c40bb058e29fc138e454f461824cefc"></a><!-- doxytag: member="gengetopt_args_info::trid_given" ref="9c40bb058e29fc138e454f461824cefc" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#9c40bb058e29fc138e454f461824cefc">trid_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether trid was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="063bf1b6f11f5e4db33ac1412b8d31c5"></a><!-- doxytag: member="gengetopt_args_info::statement_req_given" ref="063bf1b6f11f5e4db33ac1412b8d31c5" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#063bf1b6f11f5e4db33ac1412b8d31c5">statement_req_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether statement-req was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b1a8345c77a731b5f65984fad47b2956"></a><!-- doxytag: member="gengetopt_args_info::accountinfo_req_given" ref="b1a8345c77a731b5f65984fad47b2956" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b1a8345c77a731b5f65984fad47b2956">accountinfo_req_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether accountinfo-req was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9f1e1e221bc2cfb9d9f1ea282a972086"></a><!-- doxytag: member="gengetopt_args_info::payment_req_given" ref="9f1e1e221bc2cfb9d9f1ea282a972086" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#9f1e1e221bc2cfb9d9f1ea282a972086">payment_req_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether payment-req was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9b8cbcd89d6db648b84019f742993a2e"></a><!-- doxytag: member="gengetopt_args_info::paymentinquiry_req_given" ref="9b8cbcd89d6db648b84019f742993a2e" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#9b8cbcd89d6db648b84019f742993a2e">paymentinquiry_req_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether paymentinquiry-req was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="102408dce4663f3bbeb8d3d7af51e2ce"></a><!-- doxytag: member="gengetopt_args_info::bank_list_given" ref="102408dce4663f3bbeb8d3d7af51e2ce" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#102408dce4663f3bbeb8d3d7af51e2ce">bank_list_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether bank-list was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="32a2498992d05de63e896b129b8dc67c"></a><!-- doxytag: member="gengetopt_args_info::bank_fipid_given" ref="32a2498992d05de63e896b129b8dc67c" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#32a2498992d05de63e896b129b8dc67c">bank_fipid_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether bank-fipid was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9dbe59781a36b20cae7937c1fd4aacf5"></a><!-- doxytag: member="gengetopt_args_info::bank_services_given" ref="9dbe59781a36b20cae7937c1fd4aacf5" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#9dbe59781a36b20cae7937c1fd4aacf5">bank_services_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether bank-services was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="20870925eb8d04253efcf788f10a5f19"></a><!-- doxytag: member="gengetopt_args_info::allsupport_given" ref="20870925eb8d04253efcf788f10a5f19" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#20870925eb8d04253efcf788f10a5f19">allsupport_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether allsupport was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9604690019dd09b318302dae6868726c"></a><!-- doxytag: member="gengetopt_args_info::inputs" ref="9604690019dd09b318302dae6868726c" args="" -->
+char **&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c">inputs</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">unamed options (options without names) <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3d69c180d5ac0b1124fd9a6fe680706c"></a><!-- doxytag: member="gengetopt_args_info::inputs_num" ref="3d69c180d5ac0b1124fd9a6fe680706c" args="" -->
+unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#3d69c180d5ac0b1124fd9a6fe680706c">inputs_num</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">unamed options number <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="bf5cd72c43342cb16347e7206314a481"></a><!-- doxytag: member="gengetopt_args_info::command_group_counter" ref="bf5cd72c43342cb16347e7206314a481" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#bf5cd72c43342cb16347e7206314a481">command_group_counter</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Counter for group command. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fb4efa68a6f43a4d112e9b96ffe89101"></a><!-- doxytag: member="gengetopt_args_info::help_help" ref="fb4efa68a6f43a4d112e9b96ffe89101" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#fb4efa68a6f43a4d112e9b96ffe89101">help_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Print help and exit help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="def454ea6f3ff4114ae5009e58360cfc"></a><!-- doxytag: member="gengetopt_args_info::version_help" ref="def454ea6f3ff4114ae5009e58360cfc" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#def454ea6f3ff4114ae5009e58360cfc">version_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Print version and exit help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="fd7d2f3818ff621010c59ede619bbbbd"></a><!-- doxytag: member="gengetopt_args_info::import_format_arg" ref="fd7d2f3818ff621010c59ede619bbbbd" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#fd7d2f3818ff621010c59ede619bbbbd">import_format_arg</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Force the file format of the file(s) specified (default='AUTODETECT'). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3c13bc9d3d4494dba568b036a1c12f06"></a><!-- doxytag: member="gengetopt_args_info::import_format_orig" ref="3c13bc9d3d4494dba568b036a1c12f06" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#3c13bc9d3d4494dba568b036a1c12f06">import_format_orig</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Force the file format of the file(s) specified original value given at command line. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="67f0c3406ca68e20cdadaf5e281625a2"></a><!-- doxytag: member="gengetopt_args_info::import_format_help" ref="67f0c3406ca68e20cdadaf5e281625a2" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#67f0c3406ca68e20cdadaf5e281625a2">import_format_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Force the file format of the file(s) specified help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="c4b7c58b32c755377a6c7fcafbfa3d3f"></a><!-- doxytag: member="gengetopt_args_info::list_import_formats_help" ref="c4b7c58b32c755377a6c7fcafbfa3d3f" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#c4b7c58b32c755377a6c7fcafbfa3d3f">list_import_formats_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">List available import file formats 'import-format' command help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="59f4d83dff3e538372141bbfe3576762"></a><!-- doxytag: member="gengetopt_args_info::msg_parser_flag" ref="59f4d83dff3e538372141bbfe3576762" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#59f4d83dff3e538372141bbfe3576762">msg_parser_flag</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output file parsing messages (default=off). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="44d331d24edd73a287609be9ad293753"></a><!-- doxytag: member="gengetopt_args_info::msg_parser_help" ref="44d331d24edd73a287609be9ad293753" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#44d331d24edd73a287609be9ad293753">msg_parser_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output file parsing messages help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="6816290fe582d0705947859d0c7934c5"></a><!-- doxytag: member="gengetopt_args_info::msg_debug_flag" ref="6816290fe582d0705947859d0c7934c5" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#6816290fe582d0705947859d0c7934c5">msg_debug_flag</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output messages meant for debuging (default=off). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="709980d4e8c7d3c8ab01d1dfee7589c1"></a><!-- doxytag: member="gengetopt_args_info::msg_debug_help" ref="709980d4e8c7d3c8ab01d1dfee7589c1" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#709980d4e8c7d3c8ab01d1dfee7589c1">msg_debug_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output messages meant for debuging help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="7dc02d27a0e51eb388b2bd48f834658c"></a><!-- doxytag: member="gengetopt_args_info::msg_warning_flag" ref="7dc02d27a0e51eb388b2bd48f834658c" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#7dc02d27a0e51eb388b2bd48f834658c">msg_warning_flag</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output warning messages about abnormal conditions and unknown constructs (default=on). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b37e89030d7bc1b94cd44a6b6cc4c042"></a><!-- doxytag: member="gengetopt_args_info::msg_warning_help" ref="b37e89030d7bc1b94cd44a6b6cc4c042" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b37e89030d7bc1b94cd44a6b6cc4c042">msg_warning_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output warning messages about abnormal conditions and unknown constructs help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b1b6520555a34ca4a39feaed3365af6d"></a><!-- doxytag: member="gengetopt_args_info::msg_error_flag" ref="b1b6520555a34ca4a39feaed3365af6d" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b1b6520555a34ca4a39feaed3365af6d">msg_error_flag</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output error messages (default=on). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0b4c076b2876844650aa2aec275f5684"></a><!-- doxytag: member="gengetopt_args_info::msg_error_help" ref="0b4c076b2876844650aa2aec275f5684" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#0b4c076b2876844650aa2aec275f5684">msg_error_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output error messages help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="74ac0d99a57abc9a1088d356f87e7197"></a><!-- doxytag: member="gengetopt_args_info::msg_info_flag" ref="74ac0d99a57abc9a1088d356f87e7197" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#74ac0d99a57abc9a1088d356f87e7197">msg_info_flag</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output informational messages about the progress of the library (default=on). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2491c609276fe4795f7caeb0d9baec1b"></a><!-- doxytag: member="gengetopt_args_info::msg_info_help" ref="2491c609276fe4795f7caeb0d9baec1b" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#2491c609276fe4795f7caeb0d9baec1b">msg_info_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output informational messages about the progress of the library help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="1301d1fa05fef326526db58a63cfc6fd"></a><!-- doxytag: member="gengetopt_args_info::msg_status_flag" ref="1301d1fa05fef326526db58a63cfc6fd" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#1301d1fa05fef326526db58a63cfc6fd">msg_status_flag</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output status messages (default=on). <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="552341af51d5f58f88ceb5fc229e998d"></a><!-- doxytag: member="gengetopt_args_info::msg_status_help" ref="552341af51d5f58f88ceb5fc229e998d" args="" -->
+const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#552341af51d5f58f88ceb5fc229e998d">msg_status_help</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Output status messages help description. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="74de3df4be73e27a34c25f3c9caa8842"></a><!-- doxytag: member="gengetopt_args_info::import_format_given" ref="74de3df4be73e27a34c25f3c9caa8842" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#74de3df4be73e27a34c25f3c9caa8842">import_format_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether import-format was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="3ce8624eadc057f023ac4bc161ee8068"></a><!-- doxytag: member="gengetopt_args_info::list_import_formats_given" ref="3ce8624eadc057f023ac4bc161ee8068" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#3ce8624eadc057f023ac4bc161ee8068">list_import_formats_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether list-import-formats was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b3f6a3ef39527fbcedd989afe6a36dd0"></a><!-- doxytag: member="gengetopt_args_info::msg_parser_given" ref="b3f6a3ef39527fbcedd989afe6a36dd0" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b3f6a3ef39527fbcedd989afe6a36dd0">msg_parser_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether msg_parser was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="85d6ce6864169669a8234b1d27f0978f"></a><!-- doxytag: member="gengetopt_args_info::msg_debug_given" ref="85d6ce6864169669a8234b1d27f0978f" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#85d6ce6864169669a8234b1d27f0978f">msg_debug_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether msg_debug was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b6b10f2a7687e6a512cf3bbcc7ddda61"></a><!-- doxytag: member="gengetopt_args_info::msg_warning_given" ref="b6b10f2a7687e6a512cf3bbcc7ddda61" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#b6b10f2a7687e6a512cf3bbcc7ddda61">msg_warning_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether msg_warning was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="f797b906ea2db4dc0c302e589f130dc5"></a><!-- doxytag: member="gengetopt_args_info::msg_error_given" ref="f797b906ea2db4dc0c302e589f130dc5" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#f797b906ea2db4dc0c302e589f130dc5">msg_error_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether msg_error was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="2aa86a497519afc4db0a525f3854470c"></a><!-- doxytag: member="gengetopt_args_info::msg_info_given" ref="2aa86a497519afc4db0a525f3854470c" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#2aa86a497519afc4db0a525f3854470c">msg_info_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether msg_info was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="d205671e6055ea4e51a6af081fe317fd"></a><!-- doxytag: member="gengetopt_args_info::msg_status_given" ref="d205671e6055ea4e51a6af081fe317fd" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#d205671e6055ea4e51a6af081fe317fd">msg_status_given</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether msg_status was given. <br></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="9604690019dd09b318302dae6868726c"></a><!-- doxytag: member="gengetopt_args_info::inputs" ref="9604690019dd09b318302dae6868726c" args="" -->
+char **&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structgengetopt__args__info.html#9604690019dd09b318302dae6868726c">inputs</a></td></tr>
+
+<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">unamed options (options without names) <br></td></tr>
+</table>
+<hr>The documentation for this struct was generated from the following files:<ul>
+<li><a class="el" href="ofxconnect_2cmdline_8h-source.html">ofxconnect/cmdline.h</a><li><a class="el" href="ofxdump_2cmdline_8h-source.html">ofxdump/cmdline.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:00 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== modified file 'doc/html/structoption.html'
--- doc/html/structoption.html	2006-10-20 13:12:33 +0000
+++ doc/html/structoption.html	2008-02-06 17:25:16 +0000
@@ -1,54 +1,60 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: option Struct Reference</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
-    <li id="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <div class="tabs">
   <ul>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
     <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
     <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
-  </ul></div>
+  </ul>
+</div>
 <h1>option Struct Reference</h1><!-- doxytag: class="option" --><hr><a name="_details"></a><h2>Detailed Description</h2>
 
-<p>
-
-<p>
-Definition at line <a class="el" href="gnugetopt_8h-source.html#l00094">94</a> of file <a class="el" href="gnugetopt_8h-source.html">gnugetopt.h</a>.<table border="0" cellpadding="0" cellspacing="0">
+<p>Definition at line <a class="el" href="gnugetopt_8h-source.html#l00094">94</a> of file <a class="el" href="gnugetopt_8h-source.html">gnugetopt.h</a>.</p>
+<table border="0" cellpadding="0" cellspacing="0">
 <tr><td></td></tr>
 <tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5c8f7c2972b277e010f9800cc9bc5fb0"></a><!-- doxytag: member="option::name" ref="5c8f7c2972b277e010f9800cc9bc5fb0" args="" -->
-char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="0f7e57456d9954fb17d182bcfd2ef54c"></a><!-- doxytag: member="option::has_arg" ref="0f7e57456d9954fb17d182bcfd2ef54c" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#0f7e57456d9954fb17d182bcfd2ef54c">has_arg</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8f77295b521f0c6c955608190229d4a3"></a><!-- doxytag: member="option::flag" ref="8f77295b521f0c6c955608190229d4a3" args="" -->
-int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="87e05ca729a19b01fcef8db8320f1930"></a><!-- doxytag: member="option::val" ref="87e05ca729a19b01fcef8db8320f1930" args="" -->
-int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#87e05ca729a19b01fcef8db8320f1930">val</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="5c8f7c2972b277e010f9800cc9bc5fb0"></a><!-- doxytag: member="option::name" ref="5c8f7c2972b277e010f9800cc9bc5fb0" args="" -->
-char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#5c8f7c2972b277e010f9800cc9bc5fb0">name</a></td></tr>
-
-<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="8f77295b521f0c6c955608190229d4a3"></a><!-- doxytag: member="option::flag" ref="8f77295b521f0c6c955608190229d4a3" args="" -->
-int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#8f77295b521f0c6c955608190229d4a3">flag</a></td></tr>
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="92c850a23c7828c1dba453bf8d15e1f0"></a><!-- doxytag: member="option::name" ref="92c850a23c7828c1dba453bf8d15e1f0" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="90d7ee9a51eea5c002682dbd0af149e4"></a><!-- doxytag: member="option::has_arg" ref="90d7ee9a51eea5c002682dbd0af149e4" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#90d7ee9a51eea5c002682dbd0af149e4">has_arg</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b366eea5fe7be25c1928328ba715e353"></a><!-- doxytag: member="option::flag" ref="b366eea5fe7be25c1928328ba715e353" args="" -->
+int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="13bd155ec3b405d29c41ab8d0793be11"></a><!-- doxytag: member="option::val" ref="13bd155ec3b405d29c41ab8d0793be11" args="" -->
+int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#13bd155ec3b405d29c41ab8d0793be11">val</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="92c850a23c7828c1dba453bf8d15e1f0"></a><!-- doxytag: member="option::name" ref="92c850a23c7828c1dba453bf8d15e1f0" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b366eea5fe7be25c1928328ba715e353"></a><!-- doxytag: member="option::flag" ref="b366eea5fe7be25c1928328ba715e353" args="" -->
+int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="92c850a23c7828c1dba453bf8d15e1f0"></a><!-- doxytag: member="option::name" ref="92c850a23c7828c1dba453bf8d15e1f0" args="" -->
+char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#92c850a23c7828c1dba453bf8d15e1f0">name</a></td></tr>
+
+<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="b366eea5fe7be25c1928328ba715e353"></a><!-- doxytag: member="option::flag" ref="b366eea5fe7be25c1928328ba715e353" args="" -->
+int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structoption.html#b366eea5fe7be25c1928328ba715e353">flag</a></td></tr>
 
 </table>
 <hr>The documentation for this struct was generated from the following files:<ul>
-<li><a class="el" href="gnugetopt_8h-source.html">gnugetopt.h</a><li><a class="el" href="fx-0_88_82_2lib_2gnugetopt_8h-source.html">fx-0.8.2/lib/gnugetopt.h</a></ul>
-<hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:23 2006 for LibOFX by&nbsp;
+<li><a class="el" href="gnugetopt_8h-source.html">gnugetopt.h</a><li><a class="el" href="fx-0_88_82_2lib_2gnugetopt_8h-source.html">fx-0.8.2/lib/gnugetopt.h</a><li><a class="el" href="fx-0_89_80_2lib_2gnugetopt_8h-source.html">fx-0.9.0/lib/gnugetopt.h</a></ul>
+<hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:28:01 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== modified file 'doc/html/tabs.css'
--- doc/html/tabs.css	2006-10-20 13:12:33 +0000
+++ doc/html/tabs.css	2008-02-06 17:25:16 +0000
@@ -82,13 +82,13 @@
    background-position: 0% -150px;
 }
 
-DIV.tabs LI#current A
+DIV.tabs LI.current A
 {
    background-position: 100% -150px;
    border-width     : 0px;
 }
 
-DIV.tabs LI#current SPAN
+DIV.tabs LI.current SPAN
 {
    background-position: 0% -150px;
    padding-bottom   : 6px;

=== modified file 'doc/html/tree.html'
--- doc/html/tree.html	2006-10-20 13:12:33 +0000
+++ doc/html/tree.html	2008-02-06 17:25:16 +0000
@@ -1,19 +1,10 @@
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
   <head>
-    <meta http-equiv="Content-Type" content="text/xhtml;charset=iso-8859-1" />
+    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
     <meta http-equiv="Content-Style-Type" content="text/css" />
     <meta http-equiv="Content-Language" content="en" />
     <link rel="stylesheet" href="doxygen.css">
     <title>TreeView</title>
-    <style type="text/css">
-    <!--
-    .directory { font-size: 10pt; font-weight: bold; }
-    .directory h3 { margin: 0px; margin-top: 1em; font-size: 11pt; }
-    .directory p { margin: 0px; white-space: nowrap; }
-    .directory div { display: none; margin: 0px; }
-    .directory img { vertical-align: middle; }
-    -->
-    </style>
     <script type="text/javascript">
     <!-- // Hide script from old browsers
     
@@ -68,234 +59,286 @@
     </script>
   </head>
 
-  <body>
+  <body class="ftvtree">
     <div class="directory">
       <h3>LibOFX</h3>
       <div style="display: block;">
         <p><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="main.html" target="basefrm">LibOFX developer's manual</a></p>
-        <p><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder1', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder1', this)"/><a class="el" href="files.html" target="basefrm">File List</a></p>
+        <p><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder1', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder1', this)"/><a class="el" href="annotated.html" target="basefrm">Data Structures</a></p>
         <div id="folder1">
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structcmdline__parser__params.html" target="basefrm">cmdline_parser_params</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structErrorMsg.html" target="basefrm">ErrorMsg</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structgengetopt__args__info.html" target="basefrm">gengetopt_args_info</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classLibofxContext.html" target="basefrm">LibofxContext</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structLibofxFileFormatInfo.html" target="basefrm">LibofxFileFormatInfo</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classNodeParser.html" target="basefrm">NodeParser</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOFCApplication.html" target="basefrm">OFCApplication</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountContainer.html" target="basefrm">OfxAccountContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxAccountData.html" target="basefrm">OfxAccountData</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountInfoRequest.html" target="basefrm">OfxAccountInfoRequest</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAggregate.html" target="basefrm">OfxAggregate</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOFXApplication.html" target="basefrm">OFXApplication</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBalanceContainer.html" target="basefrm">OfxBalanceContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBankTransactionContainer.html" target="basefrm">OfxBankTransactionContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxCurrency.html" target="basefrm">OfxCurrency</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxDummyContainer.html" target="basefrm">OfxDummyContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxFiLogin.html" target="basefrm">OfxFiLogin</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxFiServiceInfo.html" target="basefrm">OfxFiServiceInfo</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxGenericContainer.html" target="basefrm">OfxGenericContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxInvestmentTransactionContainer.html" target="basefrm">OfxInvestmentTransactionContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxMainContainer.html" target="basefrm">OfxMainContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxPayee.html" target="basefrm">OfxPayee</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxPayment.html" target="basefrm">OfxPayment</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPaymentRequest.html" target="basefrm">OfxPaymentRequest</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPushUpContainer.html" target="basefrm">OfxPushUpContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxRequest.html" target="basefrm">OfxRequest</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxSecurityContainer.html" target="basefrm">OfxSecurityContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxSecurityData.html" target="basefrm">OfxSecurityData</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementContainer.html" target="basefrm">OfxStatementContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxStatementData.html" target="basefrm">OfxStatementData</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementRequest.html" target="basefrm">OfxStatementRequest</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatusContainer.html" target="basefrm">OfxStatusContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxStatusData.html" target="basefrm">OfxStatusData</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxTransactionContainer.html" target="basefrm">OfxTransactionContainer</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxTransactionData.html" target="basefrm">OfxTransactionData</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structoption.html" target="basefrm">option</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree.html" target="basefrm">tree< T, tree_node_allocator ></a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1fixed__depth__iterator.html" target="basefrm">tree< T, tree_node_allocator >::fixed_depth_iterator</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1iterator__base.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1iterator__base__less.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base_less</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1post__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::post_order_iterator</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1pre__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::pre_order_iterator</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1sibling__iterator.html" target="basefrm">tree< T, tree_node_allocator >::sibling_iterator</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree__node__.html" target="basefrm">tree_node_< T ></a></p>
+        </div>
+        <p><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder2', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder2', this)"/><a class="el" href="hierarchy.html" target="basefrm">Class Hierarchy</a></p>
+        <div id="folder2">
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structcmdline__parser__params.html" target="basefrm">cmdline_parser_params</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structErrorMsg.html" target="basefrm">ErrorMsg</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structgengetopt__args__info.html" target="basefrm">gengetopt_args_info</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classLibofxContext.html" target="basefrm">LibofxContext</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structLibofxFileFormatInfo.html" target="basefrm">LibofxFileFormatInfo</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classNodeParser.html" target="basefrm">NodeParser</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOFCApplication.html" target="basefrm">OFCApplication</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxAccountData.html" target="basefrm">OfxAccountData</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder3', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder3', this)"/><a class="el" href="classOfxAggregate.html" target="basefrm">OfxAggregate</a></p>
+          <div id="folder3">
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder4', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder4', this)"/><a class="el" href="classOfxRequest.html" target="basefrm">OfxRequest</a></p>
+            <div id="folder4">
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountInfoRequest.html" target="basefrm">OfxAccountInfoRequest</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountInfoRequest.html" target="basefrm">OfxAccountInfoRequest</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountInfoRequest.html" target="basefrm">OfxAccountInfoRequest</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPaymentRequest.html" target="basefrm">OfxPaymentRequest</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPaymentRequest.html" target="basefrm">OfxPaymentRequest</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPaymentRequest.html" target="basefrm">OfxPaymentRequest</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementRequest.html" target="basefrm">OfxStatementRequest</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementRequest.html" target="basefrm">OfxStatementRequest</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementRequest.html" target="basefrm">OfxStatementRequest</a></p>
+            </div>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxRequest.html" target="basefrm">OfxRequest</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxRequest.html" target="basefrm">OfxRequest</a></p>
+          </div>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOFXApplication.html" target="basefrm">OFXApplication</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxCurrency.html" target="basefrm">OfxCurrency</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxFiLogin.html" target="basefrm">OfxFiLogin</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxFiServiceInfo.html" target="basefrm">OfxFiServiceInfo</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder5', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder5', this)"/><a class="el" href="classOfxGenericContainer.html" target="basefrm">OfxGenericContainer</a></p>
+          <div id="folder5">
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountContainer.html" target="basefrm">OfxAccountContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountContainer.html" target="basefrm">OfxAccountContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountContainer.html" target="basefrm">OfxAccountContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBalanceContainer.html" target="basefrm">OfxBalanceContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBalanceContainer.html" target="basefrm">OfxBalanceContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBalanceContainer.html" target="basefrm">OfxBalanceContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxDummyContainer.html" target="basefrm">OfxDummyContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxDummyContainer.html" target="basefrm">OfxDummyContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxDummyContainer.html" target="basefrm">OfxDummyContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxMainContainer.html" target="basefrm">OfxMainContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxMainContainer.html" target="basefrm">OfxMainContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxMainContainer.html" target="basefrm">OfxMainContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPushUpContainer.html" target="basefrm">OfxPushUpContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPushUpContainer.html" target="basefrm">OfxPushUpContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPushUpContainer.html" target="basefrm">OfxPushUpContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxSecurityContainer.html" target="basefrm">OfxSecurityContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxSecurityContainer.html" target="basefrm">OfxSecurityContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxSecurityContainer.html" target="basefrm">OfxSecurityContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementContainer.html" target="basefrm">OfxStatementContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementContainer.html" target="basefrm">OfxStatementContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementContainer.html" target="basefrm">OfxStatementContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatusContainer.html" target="basefrm">OfxStatusContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatusContainer.html" target="basefrm">OfxStatusContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatusContainer.html" target="basefrm">OfxStatusContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder6', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder6', this)"/><a class="el" href="classOfxTransactionContainer.html" target="basefrm">OfxTransactionContainer</a></p>
+            <div id="folder6">
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBankTransactionContainer.html" target="basefrm">OfxBankTransactionContainer</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBankTransactionContainer.html" target="basefrm">OfxBankTransactionContainer</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBankTransactionContainer.html" target="basefrm">OfxBankTransactionContainer</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxInvestmentTransactionContainer.html" target="basefrm">OfxInvestmentTransactionContainer</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxInvestmentTransactionContainer.html" target="basefrm">OfxInvestmentTransactionContainer</a></p>
+              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxInvestmentTransactionContainer.html" target="basefrm">OfxInvestmentTransactionContainer</a></p>
+            </div>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxTransactionContainer.html" target="basefrm">OfxTransactionContainer</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxTransactionContainer.html" target="basefrm">OfxTransactionContainer</a></p>
+          </div>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxPayee.html" target="basefrm">OfxPayee</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxPayment.html" target="basefrm">OfxPayment</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxSecurityData.html" target="basefrm">OfxSecurityData</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxStatementData.html" target="basefrm">OfxStatementData</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxStatusData.html" target="basefrm">OfxStatusData</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxTransactionData.html" target="basefrm">OfxTransactionData</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structoption.html" target="basefrm">option</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree.html" target="basefrm">tree< T, tree_node_allocator ></a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder7', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder7', this)"/><a class="el" href="classtree_1_1iterator__base.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base</a></p>
+          <div id="folder7">
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1fixed__depth__iterator.html" target="basefrm">tree< T, tree_node_allocator >::fixed_depth_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1fixed__depth__iterator.html" target="basefrm">tree< T, tree_node_allocator >::fixed_depth_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1fixed__depth__iterator.html" target="basefrm">tree< T, tree_node_allocator >::fixed_depth_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1post__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::post_order_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1post__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::post_order_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1post__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::post_order_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1pre__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::pre_order_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1pre__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::pre_order_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1pre__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::pre_order_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1sibling__iterator.html" target="basefrm">tree< T, tree_node_allocator >::sibling_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1sibling__iterator.html" target="basefrm">tree< T, tree_node_allocator >::sibling_iterator</a></p>
+            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1sibling__iterator.html" target="basefrm">tree< T, tree_node_allocator >::sibling_iterator</a></p>
+          </div>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1iterator__base__less.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base_less</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree__node__.html" target="basefrm">tree_node_< T ></a></p>
+        </div>
+        <p><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="functions.html" target="basefrm">Data Fields</a></p>
+        <p><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder8', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder8', this)"/><a class="el" href="namespaces.html" target="basefrm">Namespace List</a></p>
+        <div id="folder8">
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="namespacekp.html" target="basefrm">kp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="namespaceOfxPartner.html" target="basefrm">OfxPartner</a></p>
+        </div>
+        <p><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="namespacemembers.html" target="basefrm">Namespace Members</a></p>
+        <p><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder9', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder9', this)"/><a class="el" href="files.html" target="basefrm">File List</a></p>
+        <div id="folder9">
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>ofxconnect/cmdline.c</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>ofxdump/cmdline.c</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>ofxconnect/cmdline.h</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>ofxdump/cmdline.h</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>config.h</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>context.cpp</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.8.2/lib/context.cpp</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.9.0/lib/context.cpp</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>context.hh</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.8.2/lib/context.hh</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.9.0/lib/context.hh</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="file__preproc_8cpp.html" target="basefrm">file_preproc.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2file__preproc_8cpp.html" target="basefrm">fx-0.8.2/lib/file_preproc.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2file__preproc_8cpp.html" target="basefrm">fx-0.9.0/lib/file_preproc.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="file__preproc_8hh.html" target="basefrm">file_preproc.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2file__preproc_8hh.html" target="basefrm">fx-0.8.2/lib/file_preproc.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2file__preproc_8hh.html" target="basefrm">fx-0.9.0/lib/file_preproc.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>getopt.c</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.8.2/lib/getopt.c</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.9.0/lib/getopt.c</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>getopt1.c</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.8.2/lib/getopt1.c</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.9.0/lib/getopt1.c</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>gnugetopt.h</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.8.2/lib/gnugetopt.h</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.9.0/lib/gnugetopt.h</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="inc_2libofx_8h.html" target="basefrm">inc/libofx.h</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="libofx-0_88_82_2inc_2libofx_8h.html" target="basefrm">libofx-0.8.2/inc/libofx.h</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="libofx-0_89_80_2inc_2libofx_8h.html" target="basefrm">libofx-0.9.0/inc/libofx.h</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>main_doc.c</b></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="messages_8cpp.html" target="basefrm">messages.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2messages_8cpp.html" target="basefrm">fx-0.8.2/lib/messages.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2messages_8cpp.html" target="basefrm">fx-0.9.0/lib/messages.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="messages_8hh.html" target="basefrm">messages.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2messages_8hh.html" target="basefrm">fx-0.8.2/lib/messages.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2messages_8hh.html" target="basefrm">fx-0.9.0/lib/messages.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="nodeparser_8cpp.html" target="basefrm">nodeparser.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="nodeparser_8h.html" target="basefrm">nodeparser.h</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofc__sgml_8cpp.html" target="basefrm">ofc_sgml.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8cpp.html" target="basefrm">fx-0.8.2/lib/ofc_sgml.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8cpp.html" target="basefrm">fx-0.9.0/lib/ofc_sgml.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofc__sgml_8hh.html" target="basefrm">ofc_sgml.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofc__sgml_8hh.html" target="basefrm">fx-0.8.2/lib/ofc_sgml.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofc__sgml_8hh.html" target="basefrm">fx-0.9.0/lib/ofc_sgml.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx2qif_8c.html" target="basefrm">ofx2qif.c</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__aggregate_8hh.html" target="basefrm">ofx_aggregate.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__aggregate_8hh.html" target="basefrm">fx-0.8.2/lib/ofx_aggregate.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__aggregate_8hh.html" target="basefrm">fx-0.9.0/lib/ofx_aggregate.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__container__account_8cpp.html" target="basefrm">ofx_container_account.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__container__account_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_container_account.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__container__account_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_container_account.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__container__generic_8cpp.html" target="basefrm">ofx_container_generic.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__container__generic_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_container_generic.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__container__generic_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_container_generic.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__container__main_8cpp.html" target="basefrm">ofx_container_main.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__container__main_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_container_main.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__container__main_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_container_main.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__container__security_8cpp.html" target="basefrm">ofx_container_security.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__container__security_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_container_security.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__container__security_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_container_security.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__container__statement_8cpp.html" target="basefrm">ofx_container_statement.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__container__statement_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_container_statement.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__container__statement_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_container_statement.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__container__transaction_8cpp.html" target="basefrm">ofx_container_transaction.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__container__transaction_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_container_transaction.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__container__transaction_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_container_transaction.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__containers_8hh.html" target="basefrm">ofx_containers.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__containers_8hh.html" target="basefrm">fx-0.8.2/lib/ofx_containers.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__containers_8hh.html" target="basefrm">fx-0.9.0/lib/ofx_containers.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__containers__misc_8cpp.html" target="basefrm">ofx_containers_misc.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__containers__misc_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_containers_misc.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__containers__misc_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_containers_misc.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__error__msg_8hh.html" target="basefrm">ofx_error_msg.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__error__msg_8hh.html" target="basefrm">fx-0.8.2/lib/ofx_error_msg.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__error__msg_8hh.html" target="basefrm">fx-0.9.0/lib/ofx_error_msg.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__preproc_8cpp.html" target="basefrm">ofx_preproc.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_preproc.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_preproc.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__preproc_8hh.html" target="basefrm">ofx_preproc.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__preproc_8hh.html" target="basefrm">fx-0.8.2/lib/ofx_preproc.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__preproc_8hh.html" target="basefrm">fx-0.9.0/lib/ofx_preproc.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__request_8cpp.html" target="basefrm">ofx_request.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__request_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_request.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__request_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_request.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__request_8hh.html" target="basefrm">ofx_request.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__request_8hh.html" target="basefrm">fx-0.8.2/lib/ofx_request.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__request_8hh.html" target="basefrm">fx-0.9.0/lib/ofx_request.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__request__accountinfo_8cpp.html" target="basefrm">ofx_request_accountinfo.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_request_accountinfo.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_request_accountinfo.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__request__accountinfo_8hh.html" target="basefrm">ofx_request_accountinfo.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__request__accountinfo_8hh.html" target="basefrm">fx-0.8.2/lib/ofx_request_accountinfo.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__request__accountinfo_8hh.html" target="basefrm">fx-0.9.0/lib/ofx_request_accountinfo.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__request__statement_8cpp.html" target="basefrm">ofx_request_statement.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_request_statement.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_request_statement.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__request__statement_8hh.html" target="basefrm">ofx_request_statement.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__request__statement_8hh.html" target="basefrm">fx-0.8.2/lib/ofx_request_statement.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__request__statement_8hh.html" target="basefrm">fx-0.9.0/lib/ofx_request_statement.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__sgml_8cpp.html" target="basefrm">ofx_sgml.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_sgml.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_sgml.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__sgml_8hh.html" target="basefrm">ofx_sgml.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__sgml_8hh.html" target="basefrm">fx-0.8.2/lib/ofx_sgml.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__sgml_8hh.html" target="basefrm">fx-0.9.0/lib/ofx_sgml.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__utilities_8cpp.html" target="basefrm">ofx_utilities.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8cpp.html" target="basefrm">fx-0.8.2/lib/ofx_utilities.cpp</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8cpp.html" target="basefrm">fx-0.9.0/lib/ofx_utilities.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofx__utilities_8hh.html" target="basefrm">ofx_utilities.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_88_82_2lib_2ofx__utilities_8hh.html" target="basefrm">fx-0.8.2/lib/ofx_utilities.hh</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="fx-0_89_80_2lib_2ofx__utilities_8hh.html" target="basefrm">fx-0.9.0/lib/ofx_utilities.hh</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofxconnect_8cpp.html" target="basefrm">ofxconnect.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofxdump_8cpp.html" target="basefrm">ofxdump.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofxpartner_8cpp.html" target="basefrm">ofxpartner.cpp</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="ofxpartner_8h.html" target="basefrm">ofxpartner.h</a></p>
           <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>tree.hh</b></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.8.2/lib/tree.hh</b></p>
-        </div>
-        <p><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder2', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder2', this)"/><a class="el" href="annotated.html" target="basefrm">Data Structures</a></p>
-        <div id="folder2">
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structErrorMsg.html" target="basefrm">ErrorMsg</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classLibofxContext.html" target="basefrm">LibofxContext</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structLibofxFileFormatInfo.html" target="basefrm">LibofxFileFormatInfo</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classNodeParser.html" target="basefrm">NodeParser</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOFCApplication.html" target="basefrm">OFCApplication</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountContainer.html" target="basefrm">OfxAccountContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxAccountData.html" target="basefrm">OfxAccountData</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxAccountInfo.html" target="basefrm">OfxAccountInfo</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountInfoRequest.html" target="basefrm">OfxAccountInfoRequest</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAggregate.html" target="basefrm">OfxAggregate</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOFXApplication.html" target="basefrm">OFXApplication</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBalanceContainer.html" target="basefrm">OfxBalanceContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBankTransactionContainer.html" target="basefrm">OfxBankTransactionContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxCurrency.html" target="basefrm">OfxCurrency</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxDummyContainer.html" target="basefrm">OfxDummyContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxFiLogin.html" target="basefrm">OfxFiLogin</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxFiServiceInfo.html" target="basefrm">OfxFiServiceInfo</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxGenericContainer.html" target="basefrm">OfxGenericContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxInvestmentTransactionContainer.html" target="basefrm">OfxInvestmentTransactionContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxMainContainer.html" target="basefrm">OfxMainContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxPayee.html" target="basefrm">OfxPayee</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxPayment.html" target="basefrm">OfxPayment</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPaymentRequest.html" target="basefrm">OfxPaymentRequest</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPushUpContainer.html" target="basefrm">OfxPushUpContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxRequest.html" target="basefrm">OfxRequest</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxSecurityContainer.html" target="basefrm">OfxSecurityContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxSecurityData.html" target="basefrm">OfxSecurityData</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementContainer.html" target="basefrm">OfxStatementContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxStatementData.html" target="basefrm">OfxStatementData</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementRequest.html" target="basefrm">OfxStatementRequest</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatusContainer.html" target="basefrm">OfxStatusContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxStatusData.html" target="basefrm">OfxStatusData</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxTransactionContainer.html" target="basefrm">OfxTransactionContainer</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxTransactionData.html" target="basefrm">OfxTransactionData</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structoption.html" target="basefrm">option</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree.html" target="basefrm">tree< T, tree_node_allocator ></a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1fixed__depth__iterator.html" target="basefrm">tree< T, tree_node_allocator >::fixed_depth_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1fixed__depth__iterator.html" target="basefrm">tree< T, tree_node_allocator >::fixed_depth_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1iterator__base.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1iterator__base.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1iterator__base__less.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base_less</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1iterator__base__less.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base_less</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1post__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::post_order_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1post__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::post_order_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1pre__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::pre_order_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1pre__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::pre_order_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1sibling__iterator.html" target="basefrm">tree< T, tree_node_allocator >::sibling_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1sibling__iterator.html" target="basefrm">tree< T, tree_node_allocator >::sibling_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree__node__.html" target="basefrm">tree_node_< T ></a></p>
-        </div>
-        <p><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder3', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder3', this)"/><a class="el" href="hierarchy.html" target="basefrm">Class Hierarchy</a></p>
-        <div id="folder3">
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structErrorMsg.html" target="basefrm">ErrorMsg</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classLibofxContext.html" target="basefrm">LibofxContext</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structLibofxFileFormatInfo.html" target="basefrm">LibofxFileFormatInfo</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classNodeParser.html" target="basefrm">NodeParser</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOFCApplication.html" target="basefrm">OFCApplication</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxAccountData.html" target="basefrm">OfxAccountData</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxAccountInfo.html" target="basefrm">OfxAccountInfo</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder4', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder4', this)"/><a class="el" href="classOfxAggregate.html" target="basefrm">OfxAggregate</a></p>
-          <div id="folder4">
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder5', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder5', this)"/><a class="el" href="classOfxRequest.html" target="basefrm">OfxRequest</a></p>
-            <div id="folder5">
-              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountInfoRequest.html" target="basefrm">OfxAccountInfoRequest</a></p>
-              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountInfoRequest.html" target="basefrm">OfxAccountInfoRequest</a></p>
-              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPaymentRequest.html" target="basefrm">OfxPaymentRequest</a></p>
-              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPaymentRequest.html" target="basefrm">OfxPaymentRequest</a></p>
-              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementRequest.html" target="basefrm">OfxStatementRequest</a></p>
-              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementRequest.html" target="basefrm">OfxStatementRequest</a></p>
-            </div>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxRequest.html" target="basefrm">OfxRequest</a></p>
-          </div>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOFXApplication.html" target="basefrm">OFXApplication</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxCurrency.html" target="basefrm">OfxCurrency</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxFiLogin.html" target="basefrm">OfxFiLogin</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxFiServiceInfo.html" target="basefrm">OfxFiServiceInfo</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder6', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder6', this)"/><a class="el" href="classOfxGenericContainer.html" target="basefrm">OfxGenericContainer</a></p>
-          <div id="folder6">
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountContainer.html" target="basefrm">OfxAccountContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxAccountContainer.html" target="basefrm">OfxAccountContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBalanceContainer.html" target="basefrm">OfxBalanceContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBalanceContainer.html" target="basefrm">OfxBalanceContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxDummyContainer.html" target="basefrm">OfxDummyContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxDummyContainer.html" target="basefrm">OfxDummyContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxMainContainer.html" target="basefrm">OfxMainContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxMainContainer.html" target="basefrm">OfxMainContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPushUpContainer.html" target="basefrm">OfxPushUpContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxPushUpContainer.html" target="basefrm">OfxPushUpContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxSecurityContainer.html" target="basefrm">OfxSecurityContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxSecurityContainer.html" target="basefrm">OfxSecurityContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementContainer.html" target="basefrm">OfxStatementContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatementContainer.html" target="basefrm">OfxStatementContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatusContainer.html" target="basefrm">OfxStatusContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxStatusContainer.html" target="basefrm">OfxStatusContainer</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder7', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder7', this)"/><a class="el" href="classOfxTransactionContainer.html" target="basefrm">OfxTransactionContainer</a></p>
-            <div id="folder7">
-              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBankTransactionContainer.html" target="basefrm">OfxBankTransactionContainer</a></p>
-              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxBankTransactionContainer.html" target="basefrm">OfxBankTransactionContainer</a></p>
-              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxInvestmentTransactionContainer.html" target="basefrm">OfxInvestmentTransactionContainer</a></p>
-              <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxInvestmentTransactionContainer.html" target="basefrm">OfxInvestmentTransactionContainer</a></p>
-            </div>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classOfxTransactionContainer.html" target="basefrm">OfxTransactionContainer</a></p>
-          </div>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxPayee.html" target="basefrm">OfxPayee</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxPayment.html" target="basefrm">OfxPayment</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxSecurityData.html" target="basefrm">OfxSecurityData</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxStatementData.html" target="basefrm">OfxStatementData</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxStatusData.html" target="basefrm">OfxStatusData</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structOfxTransactionData.html" target="basefrm">OfxTransactionData</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="structoption.html" target="basefrm">option</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree.html" target="basefrm">tree< T, tree_node_allocator ></a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1fixed__depth__iterator.html" target="basefrm">tree< T, tree_node_allocator >::fixed_depth_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder8', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder8', this)"/><a class="el" href="classtree_1_1iterator__base.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base</a></p>
-          <div id="folder8">
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1fixed__depth__iterator.html" target="basefrm">tree< T, tree_node_allocator >::fixed_depth_iterator</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1fixed__depth__iterator.html" target="basefrm">tree< T, tree_node_allocator >::fixed_depth_iterator</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1post__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::post_order_iterator</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1post__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::post_order_iterator</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1pre__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::pre_order_iterator</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1pre__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::pre_order_iterator</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1sibling__iterator.html" target="basefrm">tree< T, tree_node_allocator >::sibling_iterator</a></p>
-            <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1sibling__iterator.html" target="basefrm">tree< T, tree_node_allocator >::sibling_iterator</a></p>
-          </div>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1iterator__base.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1iterator__base__less.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base_less</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1iterator__base__less.html" target="basefrm">tree< T, tree_node_allocator >::iterator_base_less</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1post__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::post_order_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1pre__order__iterator.html" target="basefrm">tree< T, tree_node_allocator >::pre_order_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree_1_1sibling__iterator.html" target="basefrm">tree< T, tree_node_allocator >::sibling_iterator</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="classtree__node__.html" target="basefrm">tree_node_< T ></a></p>
-        </div>
-        <p><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="functions.html" target="basefrm">Data Fields</a></p>
-        <p><img src="ftv2pnode.png" alt="o" width=16 height=22 onclick="toggleFolder('folder9', this)"/><img src="ftv2folderclosed.png" alt="+" width=24 height=22 onclick="toggleFolder('folder9', this)"/><a class="el" href="namespaces.html" target="basefrm">Namespace List</a></p>
-        <div id="folder9">
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="namespacekp.html" target="basefrm">kp</a></p>
-          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="namespaceOfxPartner.html" target="basefrm">OfxPartner</a></p>
-        </div>
-        <p><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="globals.html" target="basefrm">Globals</a></p>
-        <p><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="namespacemembers.html" target="basefrm">Namespace Members</a></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.8.2/lib/tree.hh</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.9.0/lib/tree.hh</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>win32.cpp</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.9.0/lib/win32.cpp</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2node.png" alt="o" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>win32.hh</b></p>
+          <p><img src="ftv2vertline.png" alt="|" width=16 height=22 /><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><b>fx-0.9.0/lib/win32.hh</b></p>
+        </div>
+        <p><img src="ftv2lastnode.png" alt="\" width=16 height=22 /><img src="ftv2doc.png" alt="*" width=24 height=22 /><a class="el" href="globals.html" target="basefrm">Globals</a></p>
       </div>
     </div>
   </body>

=== modified file 'doc/html/tree_8hh-source.html'
--- doc/html/tree_8hh-source.html	2006-10-20 13:12:33 +0000
+++ doc/html/tree_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -1,22 +1,18 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
 <title>LibOFX: tree.hh Source File</title>
 <link href="doxygen.css" rel="stylesheet" type="text/css">
 <link href="tabs.css" rel="stylesheet" type="text/css">
 </head><body>
-<!-- Generated by Doxygen 1.4.6 -->
+<!-- Generated by Doxygen 1.5.3 -->
 <div class="tabs">
   <ul>
     <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
     <li><a href="namespaces.html"><span>Namespaces</span></a></li>
     <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
-    <li id="current"><a href="files.html"><span>Files</span></a></li>
-  </ul></div>
-<div class="tabs">
-  <ul>
-    <li><a href="files.html"><span>File&nbsp;List</span></a></li>
-    <li><a href="globals.html"><span>Globals</span></a></li>
-  </ul></div>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
 <h1>tree.hh</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* </span>
 <a name="l00002"></a>00002 <span class="comment"></span>
 <a name="l00003"></a>00003 <span class="comment">   $Id: tree.hh,v 1.6 2006/07/20 04:41:16 benoitg Exp $</span>
@@ -56,19 +52,19 @@
 <a name="l00070"></a><a class="code" href="namespacekp.html">00070</a> <span class="keyword">namespace </span>kp {
 <a name="l00071"></a>00071 
 <a name="l00072"></a>00072 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T1, <span class="keyword">class</span> T2&gt;
-<a name="l00073"></a><a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">00073</a> <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">constructor</a>(T1* p, T2&amp; val) 
+<a name="l00073"></a><a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">00073</a> <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">constructor</a>(T1* p, T2&amp; val) 
 <a name="l00074"></a>00074    {
 <a name="l00075"></a>00075    <span class="keyword">new</span> ((<span class="keywordtype">void</span> *) p) T1(val);
 <a name="l00076"></a>00076    }
 <a name="l00077"></a>00077 
 <a name="l00078"></a>00078 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T1&gt;
-<a name="l00079"></a><a class="code" href="namespacekp.html#ec4bf27cb4009889552c179c74fa9e1d">00079</a> <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">constructor</a>(T1* p) 
+<a name="l00079"></a><a class="code" href="namespacekp.html#b625db515f044b7ddaa92769e2e6d745">00079</a> <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">constructor</a>(T1* p) 
 <a name="l00080"></a>00080    {
 <a name="l00081"></a>00081    <span class="keyword">new</span> ((<span class="keywordtype">void</span> *) p) T1;
 <a name="l00082"></a>00082    }
 <a name="l00083"></a>00083 
 <a name="l00084"></a>00084 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T1&gt;
-<a name="l00085"></a><a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">00085</a> <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">destructor</a>(T1* p)
+<a name="l00085"></a><a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">00085</a> <span class="keywordtype">void</span> <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">destructor</a>(T1* p)
 <a name="l00086"></a>00086    {
 <a name="l00087"></a>00087    p-&gt;~T1();
 <a name="l00088"></a>00088    }
@@ -76,227 +72,227 @@
 <a name="l00090"></a>00090 };
 <a name="l00091"></a>00091 
 <a name="l00093"></a>00093 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T&gt;
-<a name="l00094"></a><a class="code" href="classtree__node__.html">00094</a> <span class="keyword">class </span><a class="code" href="classtree__node__.html">tree_node_</a> { <span class="comment">// size: 5*4=20 bytes (on 32 bit arch), can be reduced by 8.</span>
+<a name="l00094"></a><a class="code" href="classtree__node__.html">00094</a> <span class="keyword">class </span><a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_</a> { <span class="comment">// size: 5*4=20 bytes (on 32 bit arch), can be reduced by 8.</span>
 <a name="l00095"></a>00095    <span class="keyword">public</span>:
-<a name="l00096"></a><a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">00096</a>       <a class="code" href="classtree__node__.html">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>;
-<a name="l00097"></a><a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">00097</a>       <a class="code" href="classtree__node__.html">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>, *<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>;
-<a name="l00098"></a><a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">00098</a>       <a class="code" href="classtree__node__.html">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>, *<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l00099"></a><a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">00099</a>       T <a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>;
+<a name="l00096"></a><a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">00096</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
+<a name="l00097"></a><a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">00097</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>, *<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>;
+<a name="l00098"></a><a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">00098</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> *<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>, *<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l00099"></a><a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">00099</a>       T <a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>;
 <a name="l00100"></a>00100 }; <span class="comment">// __attribute__((packed));</span>
 <a name="l00101"></a>00101 
 <a name="l00102"></a>00102 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator = std::allocator&lt;tree_node_&lt;T&gt; &gt; &gt;
 <a name="l00103"></a><a class="code" href="classtree.html">00103</a> <span class="keyword">class </span><a class="code" href="classtree.html">tree</a> {
 <a name="l00104"></a>00104    <span class="keyword">protected</span>:
-<a name="l00105"></a><a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">00105</a>       <span class="keyword">typedef</span> <a class="code" href="classtree__node__.html">tree_node_&lt;T&gt;</a> <a class="code" href="classtree__node__.html">tree_node</a>;
+<a name="l00105"></a><a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">00105</a>       <span class="keyword">typedef</span> <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node_&lt;T&gt;</a> <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a>;
 <a name="l00106"></a>00106    <span class="keyword">public</span>:
-<a name="l00108"></a><a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">00108</a>       <span class="keyword">typedef</span> T <a class="code" href="classOfxGenericContainer.html">value_type</a>;
+<a name="l00108"></a><a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa">00108</a>       <span class="keyword">typedef</span> T <a class="code" href="classOfxGenericContainer.html" title="A generic container for an OFX SGML element. Every container inherits from OfxGenericContainer...">value_type</a>;
 <a name="l00109"></a>00109 
 <a name="l00110"></a>00110       <span class="keyword">class </span>iterator_base;
 <a name="l00111"></a>00111       <span class="keyword">class </span>pre_order_iterator;
 <a name="l00112"></a>00112       <span class="keyword">class </span>post_order_iterator;
 <a name="l00113"></a>00113       <span class="keyword">class </span>sibling_iterator;
 <a name="l00114"></a>00114 
-<a name="l00115"></a>00115       <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree</a>();
-<a name="l00116"></a>00116       <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree</a>(<span class="keyword">const</span> T&amp;);
-<a name="l00117"></a>00117       <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree</a>(<span class="keyword">const</span> iterator_base&amp;);
-<a name="l00118"></a>00118       <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp;);
-<a name="l00119"></a>00119       <a class="code" href="classtree.html#f00c3b34857694f4d02894b308b50e4b">~tree</a>();
-<a name="l00120"></a>00120       <span class="keywordtype">void</span> <a class="code" href="classtree.html#d6defe76c212f37bba54135643e4955f">operator=</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp;);
+<a name="l00115"></a>00115       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>();
+<a name="l00116"></a>00116       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>(<span class="keyword">const</span> T&amp;);
+<a name="l00117"></a>00117       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>(<span class="keyword">const</span> iterator_base&amp;);
+<a name="l00118"></a>00118       <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp;);
+<a name="l00119"></a>00119       <a class="code" href="classtree.html#f0169b515c95f4299fd2d984137b7868">~tree</a>();
+<a name="l00120"></a>00120       <span class="keywordtype">void</span> <a class="code" href="classtree.html#9561c0c73b0605f32bf82a026eaf216a">operator=</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp;);
 <a name="l00121"></a>00121 
 <a name="l00123"></a>00123 <span class="preprocessor">#ifdef __SGI_STL_PORT</span>
 <a name="l00124"></a>00124 <span class="preprocessor"></span>      <span class="keyword">class </span>iterator_base : <span class="keyword">public</span> stlport::bidirectional_iterator&lt;T, ptrdiff_t&gt; {
 <a name="l00125"></a>00125 <span class="preprocessor">#else</span>
-<a name="l00126"></a><a class="code" href="classtree_1_1iterator__base.html">00126</a> <span class="preprocessor"></span>      <span class="keyword">class </span><a class="code" href="classtree_1_1iterator__base.html">iterator_base</a> {
+<a name="l00126"></a><a class="code" href="classtree_1_1iterator__base.html">00126</a> <span class="preprocessor"></span>      <span class="keyword">class </span><a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> {
 <a name="l00127"></a>00127 <span class="preprocessor">#endif</span>
 <a name="l00128"></a>00128 <span class="preprocessor"></span>         <span class="keyword">public</span>:
-<a name="l00129"></a><a class="code" href="classtree_1_1iterator__base.html#4e4ebb94593d3fb0557b5826efffbb22">00129</a>             <span class="keyword">typedef</span> T                               <a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a>;
-<a name="l00130"></a><a class="code" href="classtree_1_1iterator__base.html#da03d0e3df9658b06bfaff826688cc7e">00130</a>             <span class="keyword">typedef</span> T*                              pointer;
-<a name="l00131"></a><a class="code" href="classtree_1_1iterator__base.html#35ff9b8029f33c2e0469bad23764f9d2">00131</a>             <span class="keyword">typedef</span> T&amp;                              reference;
-<a name="l00132"></a><a class="code" href="classtree_1_1iterator__base.html#4976a767b9690e1cd1e22282baef899f">00132</a>             <span class="keyword">typedef</span> size_t                          size_type;
-<a name="l00133"></a><a class="code" href="classtree_1_1iterator__base.html#ebbd8db196719de8eff9735650c352df">00133</a>             <span class="keyword">typedef</span> ptrdiff_t                       difference_type;
-<a name="l00134"></a><a class="code" href="classtree_1_1iterator__base.html#42e7358332b27206caab9be4a1000591">00134</a>             <span class="keyword">typedef</span> std::bidirectional_iterator_tag iterator_category;
+<a name="l00129"></a><a class="code" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">00129</a>             <span class="keyword">typedef</span> T                               <a class="code" href="classtree_1_1iterator__base.html#ab430bec9e607ae24cdd2bdffe3faf70">value_type</a>;
+<a name="l00130"></a><a class="code" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">00130</a>             <span class="keyword">typedef</span> T*                              <a class="code" href="classtree_1_1iterator__base.html#0665bed45269b6f7b97809ea9920008e">pointer</a>;
+<a name="l00131"></a><a class="code" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">00131</a>             <span class="keyword">typedef</span> T&amp;                              <a class="code" href="classtree_1_1iterator__base.html#063faf883017de195e7e72cf55be6914">reference</a>;
+<a name="l00132"></a><a class="code" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">00132</a>             <span class="keyword">typedef</span> <span class="keywordtype">size_t</span>                          <a class="code" href="classtree_1_1iterator__base.html#a2b239ac4db713d5b191e696584a9076">size_type</a>;
+<a name="l00133"></a><a class="code" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">00133</a>             <span class="keyword">typedef</span> ptrdiff_t                       <a class="code" href="classtree_1_1iterator__base.html#eff66472181aa05d50c7ffe4a91dc4c0">difference_type</a>;
+<a name="l00134"></a><a class="code" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">00134</a>             <span class="keyword">typedef</span> std::bidirectional_iterator_tag <a class="code" href="classtree_1_1iterator__base.html#7d0ace14418254eaab7526f1d0aabf40">iterator_category</a>;
 <a name="l00135"></a>00135 
-<a name="l00136"></a>00136             <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>();
-<a name="l00137"></a>00137             <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>(<a class="code" href="classtree__node__.html">tree_node</a> *);
+<a name="l00136"></a>00136             <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a>();
+<a name="l00137"></a>00137             <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">iterator_base</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
 <a name="l00138"></a>00138 
-<a name="l00139"></a>00139             T&amp;             operator*() <span class="keyword">const</span>;
-<a name="l00140"></a>00140             T*             operator-&gt;() <span class="keyword">const</span>;
+<a name="l00139"></a>00139             T&amp;             <a class="code" href="classtree_1_1iterator__base.html#ada7cbe4d4f9a5ec29db78d10712edc6">operator*</a>() <span class="keyword">const</span>;
+<a name="l00140"></a>00140             T*             <a class="code" href="classtree_1_1iterator__base.html#bd9c59569df7d8be5a50c835c180f4dc">operator-&gt;</a>() <span class="keyword">const</span>;
 <a name="l00141"></a>00141 
-<a name="l00143"></a>00143             <span class="keywordtype">void</span>         skip_children();
-<a name="l00145"></a>00145             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a>() <span class="keyword">const</span>;
+<a name="l00143"></a>00143             <span class="keywordtype">void</span>         <a class="code" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb" title="When called, the next increment/decrement skips children of this node.">skip_children</a>();
+<a name="l00145"></a>00145             <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17" title="Number of children of the node pointed to by the iterator.">number_of_children</a>() <span class="keyword">const</span>;
 <a name="l00146"></a>00146 
-<a name="l00147"></a>00147             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>() <span class="keyword">const</span>;
-<a name="l00148"></a>00148             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>() <span class="keyword">const</span>;
+<a name="l00147"></a>00147             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>() <span class="keyword">const</span>;
+<a name="l00148"></a>00148             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>() <span class="keyword">const</span>;
 <a name="l00149"></a>00149 
-<a name="l00150"></a><a class="code" href="classtree_1_1iterator__base.html#a3aa82cf685e610fad186b419930535b">00150</a>             <a class="code" href="classtree__node__.html">tree_node</a> *node;
+<a name="l00150"></a><a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">00150</a>             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
 <a name="l00151"></a>00151          <span class="keyword">protected</span>:
-<a name="l00152"></a><a class="code" href="classtree_1_1iterator__base.html#dc8121d0962f718bc628b325de66bb4f">00152</a>             <span class="keywordtype">bool</span> skip_current_children_;
+<a name="l00152"></a><a class="code" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">00152</a>             <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">skip_current_children_</a>;
 <a name="l00153"></a>00153       };
 <a name="l00154"></a>00154 
-<a name="l00156"></a><a class="code" href="classtree_1_1pre__order__iterator.html">00156</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a> { 
+<a name="l00156"></a><a class="code" href="classtree_1_1pre__order__iterator.html">00156</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> { 
 <a name="l00157"></a>00157          <span class="keyword">public</span>:
-<a name="l00158"></a>00158             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>();
-<a name="l00159"></a>00159             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(<a class="code" href="classtree__node__.html">tree_node</a> *);
-<a name="l00160"></a>00160             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;);
-<a name="l00161"></a>00161             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;);
+<a name="l00158"></a>00158             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>();
+<a name="l00159"></a>00159             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00160"></a>00160             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
+<a name="l00161"></a>00161             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;);
 <a name="l00162"></a>00162 
-<a name="l00163"></a>00163             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00164"></a>00164             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00165"></a>00165             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;  operator++();
-<a name="l00166"></a>00166             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;  operator--();
-<a name="l00167"></a>00167             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>   operator++(<span class="keywordtype">int</span>);
-<a name="l00168"></a>00168             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>   operator--(<span class="keywordtype">int</span>);
-<a name="l00169"></a>00169             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
-<a name="l00170"></a>00170             <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00163"></a>00163             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00164"></a>00164             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00165"></a>00165             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator++();
+<a name="l00166"></a>00166             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator--();
+<a name="l00167"></a>00167             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   operator++(<span class="keywordtype">int</span>);
+<a name="l00168"></a>00168             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   operator--(<span class="keywordtype">int</span>);
+<a name="l00169"></a>00169             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00170"></a>00170             <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
 <a name="l00171"></a>00171       };
 <a name="l00172"></a>00172 
-<a name="l00174"></a><a class="code" href="classtree_1_1post__order__iterator.html">00174</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a> {
+<a name="l00174"></a><a class="code" href="classtree_1_1post__order__iterator.html">00174</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> {
 <a name="l00175"></a>00175          <span class="keyword">public</span>:
-<a name="l00176"></a>00176             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>();
-<a name="l00177"></a>00177             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>(<a class="code" href="classtree__node__.html">tree_node</a> *);
-<a name="l00178"></a>00178             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;);
-<a name="l00179"></a>00179             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;);
+<a name="l00176"></a>00176             <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>();
+<a name="l00177"></a>00177             <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00178"></a>00178             <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
+<a name="l00179"></a>00179             <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;);
 <a name="l00180"></a>00180 
-<a name="l00181"></a>00181             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00182"></a>00182             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00183"></a>00183             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;  operator++();
-<a name="l00184"></a>00184             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;  operator--();
-<a name="l00185"></a>00185             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>   operator++(<span class="keywordtype">int</span>);
-<a name="l00186"></a>00186             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>   operator--(<span class="keywordtype">int</span>);
-<a name="l00187"></a>00187             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
-<a name="l00188"></a>00188             <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00181"></a>00181             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00182"></a>00182             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00183"></a>00183             <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>&amp;  operator++();
+<a name="l00184"></a>00184             <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>&amp;  operator--();
+<a name="l00185"></a>00185             <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>   operator++(<span class="keywordtype">int</span>);
+<a name="l00186"></a>00186             <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>   operator--(<span class="keywordtype">int</span>);
+<a name="l00187"></a>00187             <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00188"></a>00188             <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
 <a name="l00189"></a>00189 
 <a name="l00191"></a>00191             <span class="keywordtype">void</span> descend_all();
 <a name="l00192"></a>00192       };
 <a name="l00193"></a>00193 
-<a name="l00195"></a><a class="code" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">00195</a>       <span class="keyword">typedef</span> pre_order_iterator <a class="code" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">iterator</a>;
+<a name="l00195"></a><a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e">00195</a>       <span class="keyword">typedef</span> pre_order_iterator <a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e" title="The default iterator type throughout the tree class.">iterator</a>;
 <a name="l00196"></a>00196 
-<a name="l00198"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html">00198</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a> {
+<a name="l00198"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html">00198</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> {
 <a name="l00199"></a>00199          <span class="keyword">public</span>:
-<a name="l00200"></a>00200             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>();
-<a name="l00201"></a>00201             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>(<a class="code" href="classtree__node__.html">tree_node</a> *);
-<a name="l00202"></a>00202             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;);
-<a name="l00203"></a>00203             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;);
-<a name="l00204"></a>00204             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;);
+<a name="l00200"></a>00200             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>();
+<a name="l00201"></a>00201             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00202"></a>00202             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
+<a name="l00203"></a>00203             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;);
+<a name="l00204"></a>00204             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>&amp;);
 <a name="l00205"></a>00205 
-<a name="l00206"></a>00206             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00207"></a>00207             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00208"></a>00208             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;  operator++();
-<a name="l00209"></a>00209             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;  operator--();
-<a name="l00210"></a>00210             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>   operator++(<span class="keywordtype">int</span>);
-<a name="l00211"></a>00211             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>   operator--(<span class="keywordtype">int</span>);
-<a name="l00212"></a>00212             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
-<a name="l00213"></a>00213             <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00206"></a>00206             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00207"></a>00207             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00208"></a>00208             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>&amp;  operator++();
+<a name="l00209"></a>00209             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>&amp;  operator--();
+<a name="l00210"></a>00210             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>   operator++(<span class="keywordtype">int</span>);
+<a name="l00211"></a>00211             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>   operator--(<span class="keywordtype">int</span>);
+<a name="l00212"></a>00212             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00213"></a>00213             <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
 <a name="l00214"></a>00214 
-<a name="l00215"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#7571c412f3df322bbdb1411960532e93">00215</a>             <a class="code" href="classtree__node__.html">tree_node</a> *first_parent_;
+<a name="l00215"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">00215</a>             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *first_parent_;
 <a name="l00216"></a>00216          <span class="keyword">private</span>:
 <a name="l00217"></a>00217             <span class="keywordtype">void</span> set_first_parent_();
 <a name="l00218"></a>00218             <span class="keywordtype">void</span> find_leftmost_parent_();
 <a name="l00219"></a>00219       };
 <a name="l00220"></a>00220 
-<a name="l00222"></a><a class="code" href="classtree_1_1sibling__iterator.html">00222</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a> {
+<a name="l00222"></a><a class="code" href="classtree_1_1sibling__iterator.html">00222</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> : <span class="keyword">public</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> {
 <a name="l00223"></a>00223          <span class="keyword">public</span>:
-<a name="l00224"></a>00224             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>();
-<a name="l00225"></a>00225             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>(<a class="code" href="classtree__node__.html">tree_node</a> *);
-<a name="l00226"></a>00226             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;);
-<a name="l00227"></a>00227             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;);
+<a name="l00224"></a>00224             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>();
+<a name="l00225"></a>00225             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *);
+<a name="l00226"></a>00226             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;);
+<a name="l00227"></a>00227             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
 <a name="l00228"></a>00228 
-<a name="l00229"></a>00229             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00230"></a>00230             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;) <span class="keyword">const</span>;
-<a name="l00231"></a>00231             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;  operator++();
-<a name="l00232"></a>00232             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;  operator--();
-<a name="l00233"></a>00233             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>   operator++(<span class="keywordtype">int</span>);
-<a name="l00234"></a>00234             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>   operator--(<span class="keywordtype">int</span>);
-<a name="l00235"></a>00235             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
-<a name="l00236"></a>00236             <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00229"></a>00229             <span class="keywordtype">bool</span>    operator==(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00230"></a>00230             <span class="keywordtype">bool</span>    operator!=(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;) <span class="keyword">const</span>;
+<a name="l00231"></a>00231             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator++();
+<a name="l00232"></a>00232             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator--();
+<a name="l00233"></a>00233             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>   operator++(<span class="keywordtype">int</span>);
+<a name="l00234"></a>00234             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>   operator--(<span class="keywordtype">int</span>);
+<a name="l00235"></a>00235             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator+=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
+<a name="l00236"></a>00236             <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp;  operator-=(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>);
 <a name="l00237"></a>00237 
-<a name="l00238"></a>00238             <a class="code" href="classtree__node__.html">tree_node</a> *range_first() <span class="keyword">const</span>;
-<a name="l00239"></a>00239             <a class="code" href="classtree__node__.html">tree_node</a> *range_last() <span class="keyword">const</span>;
-<a name="l00240"></a><a class="code" href="classtree_1_1sibling__iterator.html#605ea84e128041819927947e219e021f">00240</a>             <a class="code" href="classtree__node__.html">tree_node</a> *parent_;
+<a name="l00238"></a>00238             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *range_first() <span class="keyword">const</span>;
+<a name="l00239"></a>00239             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *range_last() <span class="keyword">const</span>;
+<a name="l00240"></a><a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">00240</a>             <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *parent_;
 <a name="l00241"></a>00241          <span class="keyword">private</span>:
 <a name="l00242"></a>00242             <span class="keywordtype">void</span> set_parent_();
 <a name="l00243"></a>00243       };
 <a name="l00244"></a>00244 
-<a name="l00246"></a>00246       <span class="keyword">inline</span> <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>   <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>() <span class="keyword">const</span>;
-<a name="l00248"></a>00248       <span class="keyword">inline</span> <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>   <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>() <span class="keyword">const</span>;
-<a name="l00250"></a>00250       <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>  <a class="code" href="classtree.html#6c02eb9372a46a6f75f5306501a2d328">begin_post</a>() <span class="keyword">const</span>;
-<a name="l00252"></a>00252       <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>  <a class="code" href="classtree.html#230eeb27fe063d07a18ee4020896c1cb">end_post</a>() <span class="keyword">const</span>;
-<a name="l00254"></a>00254       <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> <a class="code" href="classtree.html#4e811cfdd89077e8a2d6a0e54ded5156">begin_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
-<a name="l00256"></a>00256       <a class="code" href="classtree_1_1fixed__depth__iterator.html">fixed_depth_iterator</a> <a class="code" href="classtree.html#2fbf1396c3067d11f47950fb879edbb9">end_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
-<a name="l00258"></a>00258       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>     <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
-<a name="l00260"></a>00260       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>     <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00246"></a>00246       <span class="keyword">inline</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>() <span class="keyword">const</span>;
+<a name="l00248"></a>00248       <span class="keyword">inline</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>   <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>() <span class="keyword">const</span>;
+<a name="l00250"></a>00250       <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>  <a class="code" href="classtree.html#73c673d39fe46db7ca4e1533841cdbc0" title="Return post-order iterator to the beginning of the tree.">begin_post</a>() <span class="keyword">const</span>;
+<a name="l00252"></a>00252       <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>  <a class="code" href="classtree.html#d339ab550fc2718e84506e91960a177f" title="Return post-order iterator to the end of the tree.">end_post</a>() <span class="keyword">const</span>;
+<a name="l00254"></a>00254       <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a> <a class="code" href="classtree.html#3e7ee34b9582cb6f0bd5b25f501a1057" title="Return fixed-depth iterator to the first node at a given depth.">begin_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
+<a name="l00256"></a>00256       <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a> <a class="code" href="classtree.html#bab26c0edd25cc836ed768e32c034165" title="Return fixed-depth iterator to end of the nodes at given depth.">end_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
+<a name="l00258"></a>00258       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>     <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00260"></a>00260       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>     <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
 <a name="l00261"></a>00261 
-<a name="l00263"></a>00263       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">parent</a>(iter) <span class="keyword">const</span>;
-<a name="l00265"></a>00265       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#2521b543afdcb57b969e77c910141e12">previous_sibling</a>(iter) <span class="keyword">const</span>;
-<a name="l00267"></a>00267       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#0d28ed2bd76b14ee168f5497159e685f">next_sibling</a>(iter) <span class="keyword">const</span>;
-<a name="l00269"></a>00269       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#a6d518c3d4ab2359cce1e5bf50a675c0">next_at_same_depth</a>(iter) <span class="keyword">const</span>;
+<a name="l00263"></a>00263       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(iter) <span class="keyword">const</span>;
+<a name="l00265"></a>00265       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50" title="Return iterator to the previous sibling of a node.">previous_sibling</a>(iter) <span class="keyword">const</span>;
+<a name="l00267"></a>00267       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff" title="Return iterator to the next sibling of a node.">next_sibling</a>(iter) <span class="keyword">const</span>;
+<a name="l00269"></a>00269       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#ce3b299e157ec177230a0144771b2a7e" title="Return iterator to the next node at a given depth.">next_at_same_depth</a>(iter) <span class="keyword">const</span>;
 <a name="l00270"></a>00270 
-<a name="l00272"></a>00272       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">clear</a>();
-<a name="l00274"></a>00274       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">erase</a>(iter);
-<a name="l00276"></a>00276       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">erase_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;);
+<a name="l00272"></a>00272       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">clear</a>();
+<a name="l00274"></a>00274       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>(iter);
+<a name="l00276"></a>00276       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;);
 <a name="l00277"></a>00277 
-<a name="l00279"></a>00279       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>); 
-<a name="l00281"></a>00281       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x);
-<a name="l00283"></a>00283       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, iter other_position);
-<a name="l00285"></a>00285       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#b73148412a532d3216fb9741bc8c4e67">append_children</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to);
+<a name="l00279"></a>00279       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>); 
+<a name="l00281"></a>00281       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00283"></a>00283       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter other_position);
+<a name="l00285"></a>00285       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465" title="Append the nodes in the from-to range (plus their children) as children of position...">append_children</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to);
 <a name="l00286"></a>00286 
-<a name="l00288"></a>00288       <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> <a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a>(<span class="keyword">const</span> T&amp; x);
-<a name="l00290"></a>00290       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x);
-<a name="l00292"></a>00292       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x);
-<a name="l00294"></a>00294       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">insert_subtree</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">subtree</a>);
-<a name="l00296"></a>00296       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">insert_after</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00288"></a>00288       <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(<span class="keyword">const</span> T&amp; x);
+<a name="l00290"></a>00290       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00292"></a>00292       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00294"></a>00294       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>);
+<a name="l00296"></a>00296       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e" title="Insert node as next sibling of node pointed to by position.">insert_after</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
 <a name="l00297"></a>00297 
-<a name="l00299"></a>00299       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x);
-<a name="l00301"></a>00301       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; from);
-<a name="l00303"></a>00303       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_begin, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_end, 
-<a name="l00304"></a>00304                                <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_begin,  <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_end); 
+<a name="l00299"></a>00299       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x);
+<a name="l00301"></a>00301       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; from);
+<a name="l00303"></a>00303       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> orig_begin, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> orig_end, 
+<a name="l00304"></a>00304                                <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> new_begin,  <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> new_end); 
 <a name="l00305"></a>00305 
-<a name="l00307"></a>00307       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#aa9c55593a7d52cde352a3dde80fbaf9">flatten</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>);
-<a name="l00309"></a>00309       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">reparent</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>);
-<a name="l00311"></a>00311       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">reparent</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, iter from);
+<a name="l00307"></a>00307       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c" title="Move all children of node at &amp;#39;position&amp;#39; to be siblings, returns position...">flatten</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>);
+<a name="l00309"></a>00309       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">reparent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>);
+<a name="l00311"></a>00311       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">reparent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter from);
 <a name="l00312"></a>00312 
-<a name="l00314"></a>00314       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#f4f74176002736b5ad91d07e37954e18">move_after</a>(iter target, iter source);
-<a name="l00316"></a>00316       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#0298006c1f5106ec81657fc1fc9d1cc3">move_before</a>(iter target, iter source);
-<a name="l00318"></a>00318       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8c1f99b308550e6eaa1e3ff7932dd7c3">move_ontop</a>(iter target, iter source);
+<a name="l00314"></a>00314       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the next sibling of &amp;#39;target&amp;#39;...">move_after</a>(iter target, iter source);
+<a name="l00316"></a>00316       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the previous sibling of...">move_before</a>(iter target, iter source);
+<a name="l00318"></a>00318       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#a4f8b906b2758eec530e28387b819284" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the node at &amp;#39;target&amp;#39;...">move_ontop</a>(iter target, iter source);
 <a name="l00319"></a>00319 
-<a name="l00321"></a>00321       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#66539d831037c85092fe6e3c309c6222">merge</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>, 
+<a name="l00321"></a>00321       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1" title="Merge with other tree, creating new branches and leaves only if they are not already...">merge</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>, 
 <a name="l00322"></a>00322                      <span class="keywordtype">bool</span> duplicate_leaves=<span class="keyword">false</span>);
-<a name="l00324"></a>00324       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, <span class="keywordtype">bool</span> deep=<span class="keyword">false</span>);
+<a name="l00324"></a>00324       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to, <span class="keywordtype">bool</span> deep=<span class="keyword">false</span>);
 <a name="l00325"></a>00325       <span class="keyword">template</span>&lt;<span class="keyword">class</span> StrictWeakOrdering&gt;
-<a name="l00326"></a>00326       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, StrictWeakOrdering comp, <span class="keywordtype">bool</span> deep=<span class="keyword">false</span>);
+<a name="l00326"></a>00326       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to, StrictWeakOrdering comp, <span class="keywordtype">bool</span> deep=<span class="keyword">false</span>);
 <a name="l00328"></a>00328       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00329"></a>00329       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">equal</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three) <span class="keyword">const</span>;
+<a name="l00329"></a>00329       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three) <span class="keyword">const</span>;
 <a name="l00330"></a>00330       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
-<a name="l00331"></a>00331       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">equal</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three, BinaryPredicate) <span class="keyword">const</span>;
+<a name="l00331"></a>00331       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three, BinaryPredicate) <span class="keyword">const</span>;
 <a name="l00332"></a>00332       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00333"></a>00333       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">equal_subtree</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two) <span class="keyword">const</span>;
+<a name="l00333"></a>00333       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">equal_subtree</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two) <span class="keyword">const</span>;
 <a name="l00334"></a>00334       <span class="keyword">template</span>&lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
-<a name="l00335"></a>00335       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">equal_subtree</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, BinaryPredicate) <span class="keyword">const</span>;
-<a name="l00337"></a>00337       <a class="code" href="classtree.html">tree</a>     <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">subtree</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) <span class="keyword">const</span>;
-<a name="l00338"></a>00338       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">subtree</a>(<a class="code" href="classtree.html">tree</a>&amp;, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to) <span class="keyword">const</span>;
-<a name="l00340"></a>00340       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#36b40bbffa2392b7a765cc74364b35d5">swap</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it);
+<a name="l00335"></a>00335       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">equal_subtree</a>(<span class="keyword">const</span> iter&amp; one, <span class="keyword">const</span> iter&amp; two, BinaryPredicate) <span class="keyword">const</span>;
+<a name="l00337"></a>00337       <a class="code" href="classtree.html">tree</a>     <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to) <span class="keyword">const</span>;
+<a name="l00338"></a>00338       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>(<a class="code" href="classtree.html">tree</a>&amp;, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to) <span class="keyword">const</span>;
+<a name="l00340"></a>00340       <span class="keywordtype">void</span>     <a class="code" href="classtree.html#e842f9b70235bc2412b3c43bca759448" title="Exchange the node (plus subtree) with its sibling node (do nothing if no sibling...">swap</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> it);
 <a name="l00341"></a>00341       
-<a name="l00343"></a>00343       <span class="keywordtype">int</span>      <a class="code" href="classtree.html#153ad4a2483c86e5f3647f131629400b">size</a>() <span class="keyword">const</span>;
-<a name="l00345"></a>00345       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#04cf6fc4add8819a389dcf7e107ad2bf">empty</a>() <span class="keyword">const</span>;
-<a name="l00347"></a>00347       <span class="keywordtype">int</span>      <a class="code" href="classtree.html#464267273fcfac957e31e28937cf996b">depth</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
-<a name="l00349"></a>00349       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
-<a name="l00351"></a>00351       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">number_of_siblings</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
-<a name="l00353"></a>00353       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#b983b7823bc78d7a5efaf994938188a2">is_in_subtree</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>, 
-<a name="l00354"></a>00354                              <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>) <span class="keyword">const</span>;
-<a name="l00356"></a>00356       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">is_valid</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00343"></a>00343       <span class="keywordtype">int</span>      <a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">size</a>() <span class="keyword">const</span>;
+<a name="l00345"></a>00345       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2" title="Check if tree is empty.">empty</a>() <span class="keyword">const</span>;
+<a name="l00347"></a>00347       <span class="keywordtype">int</span>      <a class="code" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1" title="Compute the depth to the root.">depth</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00349"></a>00349       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17" title="Number of children of the node pointed to by the iterator.">number_of_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00351"></a>00351       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">number_of_siblings</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
+<a name="l00353"></a>00353       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#825e2106781e846bdd8732c117dc21db" title="Determine whether node at position is in the subtrees with root in the range.">is_in_subtree</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>, 
+<a name="l00354"></a>00354                              <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>) <span class="keyword">const</span>;
+<a name="l00356"></a>00356       <span class="keywordtype">bool</span>     <a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp;) <span class="keyword">const</span>;
 <a name="l00357"></a>00357 
-<a name="l00359"></a>00359       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#e470529bbd14990a0272a82724b93217">index</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it) <span class="keyword">const</span>;
-<a name="l00361"></a>00361       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a>  <a class="code" href="classtree.html#853359c74d04faf26a086dca7c2c5dc1">child</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
+<a name="l00359"></a>00359       <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86" title="Determine the index of a node in the range of siblings to which it belongs.">index</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> it) <span class="keyword">const</span>;
+<a name="l00361"></a>00361       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>  <a class="code" href="classtree.html#446c722c82607f8b3243a9153b665d19" title="Inverse of &amp;#39;index&amp;#39;: return the n-th child of the node at position.">child</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;
 <a name="l00362"></a>00362       
-<a name="l00364"></a><a class="code" href="classtree_1_1iterator__base__less.html">00364</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1iterator__base__less.html">iterator_base_less</a> {
+<a name="l00364"></a><a class="code" href="classtree_1_1iterator__base__less.html">00364</a>       <span class="keyword">class </span><a class="code" href="classtree_1_1iterator__base__less.html" title="Comparator class for iterators (compares the actual node content, not pointer values)...">iterator_base_less</a> {
 <a name="l00365"></a>00365          <span class="keyword">public</span>:
-<a name="l00366"></a><a class="code" href="classtree_1_1iterator__base__less.html#bd569dd543c428fea5acec7e7d0b02ea">00366</a>             <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base</a>&amp; one,
+<a name="l00366"></a><a class="code" href="classtree_1_1iterator__base__less.html#3dc4cb0c8b9a2e3ad5ed7852dd9b6a3b">00366</a>             <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base</a>&amp; one,
 <a name="l00367"></a>00367                             <span class="keyword">const</span> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base</a>&amp; two)<span class="keyword"> const</span>
 <a name="l00368"></a>00368 <span class="keyword">               </span>{
 <a name="l00369"></a>00369                <span class="keywordflow">return</span> one.node &lt; two.node;
 <a name="l00370"></a>00370                }
 <a name="l00371"></a>00371       };
-<a name="l00372"></a><a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">00372</a>       <a class="code" href="classtree__node__.html">tree_node</a> *<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>, *<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>;    <span class="comment">// head/feet are always dummy; if an iterator points to them it is invalid</span>
+<a name="l00372"></a><a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">00372</a>       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>, *<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>;    <span class="comment">// head/feet are always dummy; if an iterator points to them it is invalid</span>
 <a name="l00373"></a>00373    <span class="keyword">private</span>:
 <a name="l00374"></a>00374       tree_node_allocator alloc_;
 <a name="l00375"></a>00375       <span class="keywordtype">void</span> head_initialise_();
@@ -307,7 +303,7 @@
 <a name="l00381"></a>00381          <span class="keyword">public</span>:
 <a name="l00382"></a>00382             compare_nodes(StrictWeakOrdering comp) : comp_(comp) {};
 <a name="l00383"></a>00383             
-<a name="l00384"></a>00384             <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *a, <span class="keyword">const</span> <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *b) 
+<a name="l00384"></a>00384             <span class="keywordtype">bool</span> operator()(<span class="keyword">const</span> <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *a, <span class="keyword">const</span> <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *b) 
 <a name="l00385"></a>00385                {
 <a name="l00386"></a>00386                <span class="keyword">static</span> StrictWeakOrdering comp;
 <a name="l00387"></a>00387                <span class="keywordflow">return</span> comp(a-&gt;data, b-&gt;data);
@@ -350,61 +346,61 @@
 <a name="l00424"></a>00424 <span class="comment">// Tree</span>
 <a name="l00425"></a>00425 
 <a name="l00426"></a>00426 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00427"></a><a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">00427</a> <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree&lt;T, tree_node_allocator&gt;::tree</a>() 
+<a name="l00427"></a><a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">00427</a> <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>() 
 <a name="l00428"></a>00428    {
 <a name="l00429"></a>00429    head_initialise_();
 <a name="l00430"></a>00430    }
 <a name="l00431"></a>00431 
 <a name="l00432"></a>00432 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00433"></a><a class="code" href="classtree.html#565f863ea092305d06ab2007d86598de">00433</a> <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> T&amp; x) 
+<a name="l00433"></a><a class="code" href="classtree.html#5925c012af64fe91a3a5ed39e3ba9d9a">00433</a> <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> T&amp; x) 
 <a name="l00434"></a>00434    {
 <a name="l00435"></a>00435    head_initialise_();
-<a name="l00436"></a>00436    <a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a>(x);
+<a name="l00436"></a>00436    <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(x);
 <a name="l00437"></a>00437    }
 <a name="l00438"></a>00438 
 <a name="l00439"></a>00439 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00440"></a><a class="code" href="classtree.html#6d418a154e9e54afdaee9748012daf40">00440</a> <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; other)
+<a name="l00440"></a><a class="code" href="classtree.html#b72378e7a772a82f90d91ef7493f27bc">00440</a> <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; other)
 <a name="l00441"></a>00441    {
 <a name="l00442"></a>00442    head_initialise_();
-<a name="l00443"></a>00443    <a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a>((*other));
-<a name="l00444"></a>00444    <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), other);
+<a name="l00443"></a>00443    <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>((*other));
+<a name="l00444"></a>00444    <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), other);
 <a name="l00445"></a>00445    }
 <a name="l00446"></a>00446 
 <a name="l00447"></a>00447 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00448"></a><a class="code" href="classtree.html#f00c3b34857694f4d02894b308b50e4b">00448</a> <a class="code" href="classtree.html#f00c3b34857694f4d02894b308b50e4b">tree&lt;T, tree_node_allocator&gt;::~tree</a>()
+<a name="l00448"></a><a class="code" href="classtree.html#f0169b515c95f4299fd2d984137b7868">00448</a> <a class="code" href="classtree.html#f0169b515c95f4299fd2d984137b7868">tree&lt;T, tree_node_allocator&gt;::~tree</a>()
 <a name="l00449"></a>00449    {
-<a name="l00450"></a>00450    <a class="code" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">clear</a>();
-<a name="l00451"></a>00451    alloc_.deallocate(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>,1);
-<a name="l00452"></a>00452    alloc_.deallocate(<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>,1);
+<a name="l00450"></a>00450    <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">clear</a>();
+<a name="l00451"></a>00451    alloc_.deallocate(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>,1);
+<a name="l00452"></a>00452    alloc_.deallocate(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>,1);
 <a name="l00453"></a>00453    }
 <a name="l00454"></a>00454 
 <a name="l00455"></a>00455 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00456"></a>00456 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::head_initialise_</a>() 
 <a name="l00457"></a>00457    { 
-<a name="l00458"></a>00458    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a> = alloc_.allocate(1,0); <span class="comment">// MSVC does not have default second argument </span>
-<a name="l00459"></a>00459    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a> = alloc_.allocate(1,0);
+<a name="l00458"></a>00458    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a> = alloc_.allocate(1,0); <span class="comment">// MSVC does not have default second argument </span>
+<a name="l00459"></a>00459    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a> = alloc_.allocate(1,0);
 <a name="l00460"></a>00460 
-<a name="l00461"></a>00461    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=0;
-<a name="l00462"></a>00462    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=0;
-<a name="l00463"></a>00463    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=0;
-<a name="l00464"></a>00464    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=0; <span class="comment">//head;</span>
-<a name="l00465"></a>00465    <a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>; <span class="comment">//head;</span>
+<a name="l00461"></a>00461    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=0;
+<a name="l00462"></a>00462    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00463"></a>00463    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
+<a name="l00464"></a>00464    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=0; <span class="comment">//head;</span>
+<a name="l00465"></a>00465    <a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>; <span class="comment">//head;</span>
 <a name="l00466"></a>00466 
-<a name="l00467"></a>00467    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=0;
-<a name="l00468"></a>00468    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=0;
-<a name="l00469"></a>00469    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=0;
-<a name="l00470"></a>00470    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>;
-<a name="l00471"></a>00471    <a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=0;
+<a name="l00467"></a>00467    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=0;
+<a name="l00468"></a>00468    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00469"></a>00469    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
+<a name="l00470"></a>00470    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>;
+<a name="l00471"></a>00471    <a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=0;
 <a name="l00472"></a>00472    }
 <a name="l00473"></a>00473 
 <a name="l00474"></a>00474 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00475"></a><a class="code" href="classtree.html#d6defe76c212f37bba54135643e4955f">00475</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#d6defe76c212f37bba54135643e4955f">tree&lt;T, tree_node_allocator&gt;::operator=</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other)
+<a name="l00475"></a><a class="code" href="classtree.html#9561c0c73b0605f32bf82a026eaf216a">00475</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#9561c0c73b0605f32bf82a026eaf216a">tree&lt;T, tree_node_allocator&gt;::operator=</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other)
 <a name="l00476"></a>00476    {
 <a name="l00477"></a>00477    copy_(other);
 <a name="l00478"></a>00478    }
 <a name="l00479"></a>00479 
 <a name="l00480"></a>00480 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00481"></a><a class="code" href="classtree.html#8b739f1a6e5059ddf64cf3394e49bcb6">00481</a> <a class="code" href="classtree.html#29428ae7d18d30bc26dce69586736f6e">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other)
+<a name="l00481"></a><a class="code" href="classtree.html#e9e06b40929dfd33a1024bd422beedb6">00481</a> <a class="code" href="classtree.html#a064a1d9dceac9b918c5247919a4a325">tree&lt;T, tree_node_allocator&gt;::tree</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other)
 <a name="l00482"></a>00482    {
 <a name="l00483"></a>00483    head_initialise_();
 <a name="l00484"></a>00484    copy_(other);
@@ -413,17 +409,17 @@
 <a name="l00487"></a>00487 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00488"></a>00488 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::copy_</a>(<span class="keyword">const</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a>&amp; other) 
 <a name="l00489"></a>00489    {
-<a name="l00490"></a>00490    <a class="code" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">clear</a>();
-<a name="l00491"></a>00491    pre_order_iterator it=other.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), to=<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
-<a name="l00492"></a>00492    <span class="keywordflow">while</span>(it!=other.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>()) {
-<a name="l00493"></a>00493       to=<a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(to, (*it));
+<a name="l00490"></a>00490    <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">clear</a>();
+<a name="l00491"></a>00491    pre_order_iterator it=other.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), to=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00492"></a>00492    <span class="keywordflow">while</span>(it!=other.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>()) {
+<a name="l00493"></a>00493       to=<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(to, (*it));
 <a name="l00494"></a>00494       it.skip_children();
 <a name="l00495"></a>00495       ++it;
 <a name="l00496"></a>00496       }
-<a name="l00497"></a>00497    to=begin();
-<a name="l00498"></a>00498    it=other.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>();
-<a name="l00499"></a>00499    <span class="keywordflow">while</span>(it!=other.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>()) {
-<a name="l00500"></a>00500       to=replace(to, it);
+<a name="l00497"></a>00497    to=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00498"></a>00498    it=other.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>();
+<a name="l00499"></a>00499    <span class="keywordflow">while</span>(it!=other.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>()) {
+<a name="l00500"></a>00500       to=<a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(to, it);
 <a name="l00501"></a>00501       to.skip_children();
 <a name="l00502"></a>00502       it.skip_children();
 <a name="l00503"></a>00503       ++to;
@@ -432,24 +428,24 @@
 <a name="l00506"></a>00506    }
 <a name="l00507"></a>00507 
 <a name="l00508"></a>00508 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00509"></a><a class="code" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">00509</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#e7dc77e5686e51be152d43ad01fed48d">tree&lt;T, tree_node_allocator&gt;::clear</a>()
+<a name="l00509"></a><a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a">00509</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#a8cf6dfe17504abfc0ffabb5a4ba9d0a" title="Erase all nodes of the tree.">tree&lt;T, tree_node_allocator&gt;::clear</a>()
 <a name="l00510"></a>00510    {
-<a name="l00511"></a>00511    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>)
-<a name="l00512"></a>00512       <span class="keywordflow">while</span>(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>!=<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>)
-<a name="l00513"></a>00513          <a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">erase</a>(<a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>));
+<a name="l00511"></a>00511    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>)
+<a name="l00512"></a>00512       <span class="keywordflow">while</span>(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>)
+<a name="l00513"></a>00513          <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>(<a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>));
 <a name="l00514"></a>00514    }
 <a name="l00515"></a>00515 
 <a name="l00516"></a>00516 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt; 
-<a name="l00517"></a><a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">00517</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">tree&lt;T, tree_node_allocator&gt;::erase_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; it)
+<a name="l00517"></a><a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc">00517</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">tree&lt;T, tree_node_allocator&gt;::erase_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; it)
 <a name="l00518"></a>00518    {
-<a name="l00519"></a>00519    <a class="code" href="classtree__node__.html">tree_node</a> *cur=it.node-&gt;first_child;
-<a name="l00520"></a>00520    <a class="code" href="classtree__node__.html">tree_node</a> *prev=0;
+<a name="l00519"></a>00519    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *cur=it.node-&gt;first_child;
+<a name="l00520"></a>00520    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *prev=0;
 <a name="l00521"></a>00521 
 <a name="l00522"></a>00522    <span class="keywordflow">while</span>(cur!=0) {
 <a name="l00523"></a>00523       prev=cur;
-<a name="l00524"></a>00524       cur=cur-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l00525"></a>00525       <a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">erase_children</a>(<a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(prev));
-<a name="l00526"></a>00526       <a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">kp::destructor</a>(&amp;prev-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>);
+<a name="l00524"></a>00524       cur=cur-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l00525"></a>00525       <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(<a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(prev));
+<a name="l00526"></a>00526       <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;prev-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>);
 <a name="l00527"></a>00527       alloc_.deallocate(prev,1);
 <a name="l00528"></a>00528       }
 <a name="l00529"></a>00529    it.node-&gt;first_child=0;
@@ -458,116 +454,116 @@
 <a name="l00532"></a>00532 
 <a name="l00533"></a>00533 <span class="keyword">template</span>&lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt; 
 <a name="l00534"></a>00534 <span class="keyword">template</span>&lt;<span class="keyword">class</span> iter&gt;
-<a name="l00535"></a><a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">00535</a> iter <a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">tree&lt;T, tree_node_allocator&gt;::erase</a>(iter it)
+<a name="l00535"></a><a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b">00535</a> iter <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">tree&lt;T, tree_node_allocator&gt;::erase</a>(iter it)
 <a name="l00536"></a>00536    {
-<a name="l00537"></a>00537    <a class="code" href="classtree__node__.html">tree_node</a> *cur=it.node;
-<a name="l00538"></a>00538    assert(cur!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>);
+<a name="l00537"></a>00537    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *cur=it.node;
+<a name="l00538"></a>00538    assert(cur!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
 <a name="l00539"></a>00539    iter ret=it;
 <a name="l00540"></a>00540    ret.skip_children();
 <a name="l00541"></a>00541    ++ret;
-<a name="l00542"></a>00542    <a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">erase_children</a>(it);
-<a name="l00543"></a>00543    <span class="keywordflow">if</span>(cur-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>==0) {
-<a name="l00544"></a>00544       cur-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;first_child=cur-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l00542"></a>00542    <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(it);
+<a name="l00543"></a>00543    <span class="keywordflow">if</span>(cur-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>==0) {
+<a name="l00544"></a>00544       cur-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;first_child=cur-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l00545"></a>00545       }
 <a name="l00546"></a>00546    <span class="keywordflow">else</span> {
-<a name="l00547"></a>00547       cur-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>-&gt;next_sibling=cur-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l00547"></a>00547       cur-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>-&gt;next_sibling=cur-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l00548"></a>00548       }
-<a name="l00549"></a>00549    <span class="keywordflow">if</span>(cur-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>==0) {
-<a name="l00550"></a>00550       cur-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;last_child=cur-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
+<a name="l00549"></a>00549    <span class="keywordflow">if</span>(cur-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>==0) {
+<a name="l00550"></a>00550       cur-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=cur-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l00551"></a>00551       }
 <a name="l00552"></a>00552    <span class="keywordflow">else</span> {
-<a name="l00553"></a>00553       cur-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>-&gt;prev_sibling=cur-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
+<a name="l00553"></a>00553       cur-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>-&gt;prev_sibling=cur-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l00554"></a>00554       }
 <a name="l00555"></a>00555 
-<a name="l00556"></a>00556    <a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">kp::destructor</a>(&amp;cur-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>);
+<a name="l00556"></a>00556    <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;cur-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>);
 <a name="l00557"></a>00557    alloc_.deallocate(cur,1);
 <a name="l00558"></a>00558    <span class="keywordflow">return</span> ret;
 <a name="l00559"></a>00559    }
 <a name="l00560"></a>00560 
 <a name="l00561"></a>00561 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00562"></a><a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">00562</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">tree&lt;T, tree_node_allocator&gt;::begin</a>()<span class="keyword"> const</span>
+<a name="l00562"></a><a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e">00562</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">tree&lt;T, tree_node_allocator&gt;::begin</a>()<span class="keyword"> const</span>
 <a name="l00563"></a>00563 <span class="keyword">   </span>{
-<a name="l00564"></a>00564    <span class="keywordflow">return</span> <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>);
+<a name="l00564"></a>00564    <span class="keywordflow">return</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>);
 <a name="l00565"></a>00565    }
 <a name="l00566"></a>00566 
 <a name="l00567"></a>00567 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00568"></a><a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">00568</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">tree&lt;T, tree_node_allocator&gt;::end</a>()<span class="keyword"> const</span>
+<a name="l00568"></a><a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e">00568</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">tree&lt;T, tree_node_allocator&gt;::end</a>()<span class="keyword"> const</span>
 <a name="l00569"></a>00569 <span class="keyword">   </span>{
-<a name="l00570"></a>00570    <span class="keywordflow">return</span> <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>);
+<a name="l00570"></a>00570    <span class="keywordflow">return</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>);
 <a name="l00571"></a>00571    }
 <a name="l00572"></a>00572 
 <a name="l00573"></a>00573 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00574"></a><a class="code" href="classtree.html#6c02eb9372a46a6f75f5306501a2d328">00574</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html#6c02eb9372a46a6f75f5306501a2d328">tree&lt;T, tree_node_allocator&gt;::begin_post</a>()<span class="keyword"> const</span>
+<a name="l00574"></a><a class="code" href="classtree.html#73c673d39fe46db7ca4e1533841cdbc0">00574</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html#73c673d39fe46db7ca4e1533841cdbc0" title="Return post-order iterator to the beginning of the tree.">tree&lt;T, tree_node_allocator&gt;::begin_post</a>()<span class="keyword"> const</span>
 <a name="l00575"></a>00575 <span class="keyword">   </span>{
-<a name="l00576"></a>00576    <a class="code" href="classtree__node__.html">tree_node</a> *tmp=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l00577"></a>00577    <span class="keywordflow">if</span>(tmp!=<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>) {
-<a name="l00578"></a>00578       <span class="keywordflow">while</span>(tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>)
-<a name="l00579"></a>00579          tmp=tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>;
+<a name="l00576"></a>00576    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tmp=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l00577"></a>00577    <span class="keywordflow">if</span>(tmp!=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>) {
+<a name="l00578"></a>00578       <span class="keywordflow">while</span>(tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>)
+<a name="l00579"></a>00579          tmp=tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>;
 <a name="l00580"></a>00580       }
-<a name="l00581"></a>00581    <span class="keywordflow">return</span> <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>(tmp);
+<a name="l00581"></a>00581    <span class="keywordflow">return</span> <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>(tmp);
 <a name="l00582"></a>00582    }
 <a name="l00583"></a>00583 
 <a name="l00584"></a>00584 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00585"></a><a class="code" href="classtree.html#230eeb27fe063d07a18ee4020896c1cb">00585</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html#230eeb27fe063d07a18ee4020896c1cb">tree&lt;T, tree_node_allocator&gt;::end_post</a>()<span class="keyword"> const</span>
+<a name="l00585"></a><a class="code" href="classtree.html#d339ab550fc2718e84506e91960a177f">00585</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html#d339ab550fc2718e84506e91960a177f" title="Return post-order iterator to the end of the tree.">tree&lt;T, tree_node_allocator&gt;::end_post</a>()<span class="keyword"> const</span>
 <a name="l00586"></a>00586 <span class="keyword">   </span>{
-<a name="l00587"></a>00587    <span class="keywordflow">return</span> <a class="code" href="classtree_1_1post__order__iterator.html">post_order_iterator</a>(<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>);
+<a name="l00587"></a>00587    <span class="keywordflow">return</span> <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>);
 <a name="l00588"></a>00588    }
 <a name="l00589"></a>00589 
 <a name="l00590"></a>00590 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00591"></a><a class="code" href="classtree.html#4e811cfdd89077e8a2d6a0e54ded5156">00591</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html#4e811cfdd89077e8a2d6a0e54ded5156">tree&lt;T, tree_node_allocator&gt;::begin_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; pos, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> dp)<span class="keyword"> const</span>
+<a name="l00591"></a><a class="code" href="classtree.html#3e7ee34b9582cb6f0bd5b25f501a1057">00591</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html#3e7ee34b9582cb6f0bd5b25f501a1057" title="Return fixed-depth iterator to the first node at a given depth.">tree&lt;T, tree_node_allocator&gt;::begin_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; pos, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> dp)<span class="keyword"> const</span>
 <a name="l00592"></a>00592 <span class="keyword">   </span>{
-<a name="l00593"></a>00593    <a class="code" href="classtree__node__.html">tree_node</a> *tmp=pos.node;
+<a name="l00593"></a>00593    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tmp=pos.node;
 <a name="l00594"></a>00594    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> curdepth=0;
 <a name="l00595"></a>00595    <span class="keywordflow">while</span>(curdepth&lt;dp) { <span class="comment">// go down one level</span>
-<a name="l00596"></a>00596       <span class="keywordflow">while</span>(tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>==0) {
-<a name="l00597"></a>00597          tmp=tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l00596"></a>00596       <span class="keywordflow">while</span>(tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>==0) {
+<a name="l00597"></a>00597          tmp=tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l00598"></a>00598          <span class="keywordflow">if</span>(tmp==0)
 <a name="l00599"></a>00599             <span class="keywordflow">throw</span> std::range_error(<span class="stringliteral">"tree: begin_fixed out of range"</span>);
 <a name="l00600"></a>00600          }
-<a name="l00601"></a>00601       tmp=tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>;
+<a name="l00601"></a>00601       tmp=tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>;
 <a name="l00602"></a>00602       ++curdepth;
 <a name="l00603"></a>00603       }
 <a name="l00604"></a>00604    <span class="keywordflow">return</span> tmp;
 <a name="l00605"></a>00605    }
 <a name="l00606"></a>00606 
 <a name="l00607"></a>00607 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00608"></a><a class="code" href="classtree.html#2fbf1396c3067d11f47950fb879edbb9">00608</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html#2fbf1396c3067d11f47950fb879edbb9">tree&lt;T, tree_node_allocator&gt;::end_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; pos, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> dp)<span class="keyword"> const</span>
+<a name="l00608"></a><a class="code" href="classtree.html#bab26c0edd25cc836ed768e32c034165">00608</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html#bab26c0edd25cc836ed768e32c034165" title="Return fixed-depth iterator to end of the nodes at given depth.">tree&lt;T, tree_node_allocator&gt;::end_fixed</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; pos, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> dp)<span class="keyword"> const</span>
 <a name="l00609"></a>00609 <span class="keyword">   </span>{
 <a name="l00610"></a>00610    assert(1==0); <span class="comment">// FIXME: not correct yet</span>
-<a name="l00611"></a>00611    <a class="code" href="classtree__node__.html">tree_node</a> *tmp=pos.node;
+<a name="l00611"></a>00611    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tmp=pos.node;
 <a name="l00612"></a>00612    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> curdepth=1;
 <a name="l00613"></a>00613    <span class="keywordflow">while</span>(curdepth&lt;dp) { <span class="comment">// go down one level</span>
-<a name="l00614"></a>00614       <span class="keywordflow">while</span>(tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>==0) {
-<a name="l00615"></a>00615          tmp=tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l00614"></a>00614       <span class="keywordflow">while</span>(tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>==0) {
+<a name="l00615"></a>00615          tmp=tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l00616"></a>00616          <span class="keywordflow">if</span>(tmp==0)
 <a name="l00617"></a>00617             <span class="keywordflow">throw</span> std::range_error(<span class="stringliteral">"tree: end_fixed out of range"</span>);
 <a name="l00618"></a>00618          }
-<a name="l00619"></a>00619       tmp=tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>;
+<a name="l00619"></a>00619       tmp=tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>;
 <a name="l00620"></a>00620       ++curdepth;
 <a name="l00621"></a>00621       }
 <a name="l00622"></a>00622    <span class="keywordflow">return</span> tmp;
 <a name="l00623"></a>00623    }
 <a name="l00624"></a>00624 
 <a name="l00625"></a>00625 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00626"></a><a class="code" href="classtree.html#e0d9d063c13f84008a1026c74345f18f">00626</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">tree&lt;T, tree_node_allocator&gt;::begin</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; pos)<span class="keyword"> const</span>
+<a name="l00626"></a><a class="code" href="classtree.html#a784ffa6dec85f52754dde8bd6a99aeb">00626</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">tree&lt;T, tree_node_allocator&gt;::begin</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; pos)<span class="keyword"> const</span>
 <a name="l00627"></a>00627 <span class="keyword">   </span>{
 <a name="l00628"></a>00628    <span class="keywordflow">if</span>(pos.node-&gt;first_child==0) {
-<a name="l00629"></a>00629       <span class="keywordflow">return</span> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(pos);
+<a name="l00629"></a>00629       <span class="keywordflow">return</span> <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(pos);
 <a name="l00630"></a>00630       }
 <a name="l00631"></a>00631    <span class="keywordflow">return</span> pos.node-&gt;first_child;
 <a name="l00632"></a>00632    }
 <a name="l00633"></a>00633 
 <a name="l00634"></a>00634 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00635"></a><a class="code" href="classtree.html#bfae09dea2fd743fd4a4fa0ae6eb68f9">00635</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">tree&lt;T, tree_node_allocator&gt;::end</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; pos)<span class="keyword"> const</span>
+<a name="l00635"></a><a class="code" href="classtree.html#a6aa8b0c6af0f50bfc86592847759127">00635</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">tree&lt;T, tree_node_allocator&gt;::end</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; pos)<span class="keyword"> const</span>
 <a name="l00636"></a>00636 <span class="keyword">   </span>{
-<a name="l00637"></a>00637    <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> ret(0);
-<a name="l00638"></a>00638    ret.parent_=pos.node;
+<a name="l00637"></a>00637    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> ret(0);
+<a name="l00638"></a>00638    ret.<a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>=pos.node;
 <a name="l00639"></a>00639    <span class="keywordflow">return</span> ret;
 <a name="l00640"></a>00640    }
 <a name="l00641"></a>00641 
 <a name="l00642"></a>00642 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00643"></a>00643 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00644"></a><a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">00644</a> iter <a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">tree&lt;T, tree_node_allocator&gt;::parent</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)<span class="keyword"> const</span>
+<a name="l00644"></a><a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28">00644</a> iter <a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">tree&lt;T, tree_node_allocator&gt;::parent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
 <a name="l00645"></a>00645 <span class="keyword">   </span>{
 <a name="l00646"></a>00646    assert(position.node!=0);
 <a name="l00647"></a>00647    <span class="keywordflow">return</span> iter(position.node-&gt;parent);
@@ -575,7 +571,7 @@
 <a name="l00649"></a>00649 
 <a name="l00650"></a>00650 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00651"></a>00651 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00652"></a><a class="code" href="classtree.html#2521b543afdcb57b969e77c910141e12">00652</a> iter <a class="code" href="classtree.html#2521b543afdcb57b969e77c910141e12">tree&lt;T, tree_node_allocator&gt;::previous_sibling</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)<span class="keyword"> const</span>
+<a name="l00652"></a><a class="code" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50">00652</a> iter <a class="code" href="classtree.html#6d38ef0b2b73266cbc39ab021482bb50" title="Return iterator to the previous sibling of a node.">tree&lt;T, tree_node_allocator&gt;::previous_sibling</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
 <a name="l00653"></a>00653 <span class="keyword">   </span>{
 <a name="l00654"></a>00654    assert(position.node!=0);
 <a name="l00655"></a>00655    iter ret(position);
@@ -585,7 +581,7 @@
 <a name="l00659"></a>00659 
 <a name="l00660"></a>00660 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00661"></a>00661 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00662"></a><a class="code" href="classtree.html#0d28ed2bd76b14ee168f5497159e685f">00662</a> iter <a class="code" href="classtree.html#0d28ed2bd76b14ee168f5497159e685f">tree&lt;T, tree_node_allocator&gt;::next_sibling</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)<span class="keyword"> const</span>
+<a name="l00662"></a><a class="code" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff">00662</a> iter <a class="code" href="classtree.html#4e3ea50e0949bd05e27ecb9c6b7162ff" title="Return iterator to the next sibling of a node.">tree&lt;T, tree_node_allocator&gt;::next_sibling</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
 <a name="l00663"></a>00663 <span class="keyword">   </span>{
 <a name="l00664"></a>00664    assert(position.node!=0);
 <a name="l00665"></a>00665    iter ret(position);
@@ -595,7 +591,7 @@
 <a name="l00669"></a>00669 
 <a name="l00670"></a>00670 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00671"></a>00671 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00672"></a><a class="code" href="classtree.html#a6d518c3d4ab2359cce1e5bf50a675c0">00672</a> iter <a class="code" href="classtree.html#a6d518c3d4ab2359cce1e5bf50a675c0">tree&lt;T, tree_node_allocator&gt;::next_at_same_depth</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)<span class="keyword"> const</span>
+<a name="l00672"></a><a class="code" href="classtree.html#ce3b299e157ec177230a0144771b2a7e">00672</a> iter <a class="code" href="classtree.html#ce3b299e157ec177230a0144771b2a7e" title="Return iterator to the next node at a given depth.">tree&lt;T, tree_node_allocator&gt;::next_at_same_depth</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)<span class="keyword"> const</span>
 <a name="l00673"></a>00673 <span class="keyword">   </span>{
 <a name="l00674"></a>00674    assert(position.node!=0);
 <a name="l00675"></a>00675    iter ret(position);
@@ -633,174 +629,174 @@
 <a name="l00707"></a>00707 
 <a name="l00708"></a>00708 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00709"></a>00709 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l00710"></a><a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">00710</a> iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)
+<a name="l00710"></a><a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0">00710</a> iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)
 <a name="l00711"></a>00711    {
-<a name="l00712"></a>00712    assert(position.node!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>);
+<a name="l00712"></a>00712    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
 <a name="l00713"></a>00713 
-<a name="l00714"></a>00714    <a class="code" href="classtree__node__.html">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00715"></a>00715    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>);
-<a name="l00716"></a>00716    tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=0;
-<a name="l00717"></a>00717    tmp-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=0;
+<a name="l00714"></a>00714    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00715"></a>00715    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>);
+<a name="l00716"></a>00716    tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00717"></a>00717    tmp-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
 <a name="l00718"></a>00718 
-<a name="l00719"></a>00719    tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=position.node;
+<a name="l00719"></a>00719    tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=position.node;
 <a name="l00720"></a>00720    <span class="keywordflow">if</span>(position.node-&gt;last_child!=0) {
 <a name="l00721"></a>00721       position.node-&gt;last_child-&gt;next_sibling=tmp;
 <a name="l00722"></a>00722       }
 <a name="l00723"></a>00723    <span class="keywordflow">else</span> {
-<a name="l00724"></a>00724       position.node-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=tmp;
+<a name="l00724"></a>00724       position.node-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=tmp;
 <a name="l00725"></a>00725       }
-<a name="l00726"></a>00726    tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=position.node-&gt;last_child;
+<a name="l00726"></a>00726    tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=position.node-&gt;last_child;
 <a name="l00727"></a>00727    position.node-&gt;last_child=tmp;
-<a name="l00728"></a>00728    tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=0;
+<a name="l00728"></a>00728    tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=0;
 <a name="l00729"></a>00729    <span class="keywordflow">return</span> tmp;
 <a name="l00730"></a>00730    }
 <a name="l00731"></a>00731 
 <a name="l00732"></a>00732 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00733"></a>00733 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00734"></a><a class="code" href="classtree.html#49df1c6371247b89892e0bb703a3074c">00734</a> iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x)
+<a name="l00734"></a><a class="code" href="classtree.html#9318fa77c4e10ec0a9a26a0d08f182a2">00734</a> iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x)
 <a name="l00735"></a>00735    {
 <a name="l00736"></a>00736    <span class="comment">// If your program fails here you probably used 'append_child' to add the top</span>
 <a name="l00737"></a>00737    <span class="comment">// node to an empty tree. From version 1.45 the top element should be added</span>
 <a name="l00738"></a>00738    <span class="comment">// using 'insert'. See the documentation for further information, and sorry about</span>
 <a name="l00739"></a>00739    <span class="comment">// the API change.</span>
-<a name="l00740"></a>00740    assert(position.node!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>);
+<a name="l00740"></a>00740    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
 <a name="l00741"></a>00741 
-<a name="l00742"></a>00742    <a class="code" href="classtree__node__.html">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00743"></a>00743    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>, x);
-<a name="l00744"></a>00744    tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=0;
-<a name="l00745"></a>00745    tmp-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=0;
+<a name="l00742"></a>00742    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00743"></a>00743    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>, x);
+<a name="l00744"></a>00744    tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00745"></a>00745    tmp-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
 <a name="l00746"></a>00746 
-<a name="l00747"></a>00747    tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=position.node;
+<a name="l00747"></a>00747    tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=position.node;
 <a name="l00748"></a>00748    <span class="keywordflow">if</span>(position.node-&gt;last_child!=0) {
 <a name="l00749"></a>00749       position.node-&gt;last_child-&gt;next_sibling=tmp;
 <a name="l00750"></a>00750       }
 <a name="l00751"></a>00751    <span class="keywordflow">else</span> {
-<a name="l00752"></a>00752       position.node-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=tmp;
+<a name="l00752"></a>00752       position.node-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=tmp;
 <a name="l00753"></a>00753       }
-<a name="l00754"></a>00754    tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=position.node-&gt;last_child;
+<a name="l00754"></a>00754    tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=position.node-&gt;last_child;
 <a name="l00755"></a>00755    position.node-&gt;last_child=tmp;
-<a name="l00756"></a>00756    tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=0;
+<a name="l00756"></a>00756    tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=0;
 <a name="l00757"></a>00757    <span class="keywordflow">return</span> tmp;
 <a name="l00758"></a>00758    }
 <a name="l00759"></a>00759 
 <a name="l00760"></a>00760 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00761"></a>00761 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00762"></a><a class="code" href="classtree.html#c35cc7e116ac7caced91fa1ae129073a">00762</a> iter <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, iter other)
+<a name="l00762"></a><a class="code" href="classtree.html#1fb4734b783fed4a66c24130af67316e">00762</a> iter <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::append_child</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter other)
 <a name="l00763"></a>00763    {
-<a name="l00764"></a>00764    assert(position.node!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>);
+<a name="l00764"></a>00764    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
 <a name="l00765"></a>00765 
-<a name="l00766"></a>00766    <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> aargh=<a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(position, <a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a>());
-<a name="l00767"></a>00767    <span class="keywordflow">return</span> <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(aargh, other);
+<a name="l00766"></a>00766    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> aargh=<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(position, <a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
+<a name="l00767"></a>00767    <span class="keywordflow">return</span> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(aargh, other);
 <a name="l00768"></a>00768    }
 <a name="l00769"></a>00769 
 <a name="l00770"></a>00770 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00771"></a>00771 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00772"></a><a class="code" href="classtree.html#b73148412a532d3216fb9741bc8c4e67">00772</a> iter <a class="code" href="classtree.html#b73148412a532d3216fb9741bc8c4e67">tree&lt;T, tree_node_allocator&gt;::append_children</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to)
+<a name="l00772"></a><a class="code" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465">00772</a> iter <a class="code" href="classtree.html#92ab22e0a98d8899c0d1b6c9d0a85465" title="Append the nodes in the from-to range (plus their children) as children of position...">tree&lt;T, tree_node_allocator&gt;::append_children</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to)
 <a name="l00773"></a>00773    {
 <a name="l00774"></a>00774    iter ret=from;
 <a name="l00775"></a>00775 
 <a name="l00776"></a>00776    <span class="keywordflow">while</span>(from!=to) {
-<a name="l00777"></a>00777       <a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">insert_subtree</a>(position.end(), from);
+<a name="l00777"></a>00777       <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(position.end(), from);
 <a name="l00778"></a>00778       ++from;
 <a name="l00779"></a>00779       }
 <a name="l00780"></a>00780    <span class="keywordflow">return</span> ret;
 <a name="l00781"></a>00781    }
 <a name="l00782"></a>00782 
 <a name="l00783"></a>00783 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00784"></a><a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">00784</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">tree&lt;T, tree_node_allocator&gt;::set_head</a>(<span class="keyword">const</span> T&amp; x)
+<a name="l00784"></a><a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535">00784</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">tree&lt;T, tree_node_allocator&gt;::set_head</a>(<span class="keyword">const</span> T&amp; x)
 <a name="l00785"></a>00785    {
-<a name="l00786"></a>00786    assert(<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>==<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>);
-<a name="l00787"></a>00787    <span class="keywordflow">return</span> <a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(<a class="code" href="classtree.html#7e3cc3f2e7a5fb4edd554c9978642c29">iterator</a>(<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>), x);
+<a name="l00786"></a>00786    assert(<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>==<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>);
+<a name="l00787"></a>00787    <span class="keywordflow">return</span> <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(<a class="code" href="classtree.html#2079982538b88d21fe1ccea34fe7ce0e" title="The default iterator type throughout the tree class.">iterator</a>(<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>), x);
 <a name="l00788"></a>00788    }
 <a name="l00789"></a>00789 
 <a name="l00790"></a>00790 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00791"></a>00791 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00792"></a><a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">00792</a> iter <a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">tree&lt;T, tree_node_allocator&gt;::insert</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x)
+<a name="l00792"></a><a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9">00792</a> iter <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::insert</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x)
 <a name="l00793"></a>00793    {
 <a name="l00794"></a>00794    <span class="keywordflow">if</span>(position.node==0) {
-<a name="l00795"></a>00795       position.node=<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>; <span class="comment">// Backward compatibility: when calling insert on a null node,</span>
+<a name="l00795"></a>00795       position.node=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>; <span class="comment">// Backward compatibility: when calling insert on a null node,</span>
 <a name="l00796"></a>00796                           <span class="comment">// insert before the feet.</span>
 <a name="l00797"></a>00797       }
-<a name="l00798"></a>00798    <a class="code" href="classtree__node__.html">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00799"></a>00799    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>, x);
-<a name="l00800"></a>00800    tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=0;
-<a name="l00801"></a>00801    tmp-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=0;
+<a name="l00798"></a>00798    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00799"></a>00799    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>, x);
+<a name="l00800"></a>00800    tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00801"></a>00801    tmp-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
 <a name="l00802"></a>00802 
-<a name="l00803"></a>00803    tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=position.node-&gt;parent;
-<a name="l00804"></a>00804    tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=position.node;
-<a name="l00805"></a>00805    tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=position.node-&gt;prev_sibling;
+<a name="l00803"></a>00803    tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=position.node-&gt;parent;
+<a name="l00804"></a>00804    tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=position.node;
+<a name="l00805"></a>00805    tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=position.node-&gt;prev_sibling;
 <a name="l00806"></a>00806    position.node-&gt;prev_sibling=tmp;
 <a name="l00807"></a>00807 
-<a name="l00808"></a>00808    <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>==0) {
-<a name="l00809"></a>00809       <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>) <span class="comment">// when inserting nodes at the head, there is no parent</span>
-<a name="l00810"></a>00810          tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;first_child=tmp;
+<a name="l00808"></a>00808    <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>==0) {
+<a name="l00809"></a>00809       <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>) <span class="comment">// when inserting nodes at the head, there is no parent</span>
+<a name="l00810"></a>00810          tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;first_child=tmp;
 <a name="l00811"></a>00811       }
 <a name="l00812"></a>00812    <span class="keywordflow">else</span>
-<a name="l00813"></a>00813       tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>-&gt;next_sibling=tmp;
+<a name="l00813"></a>00813       tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>-&gt;next_sibling=tmp;
 <a name="l00814"></a>00814    <span class="keywordflow">return</span> tmp;
 <a name="l00815"></a>00815    }
 <a name="l00816"></a>00816 
 <a name="l00817"></a>00817 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00818"></a><a class="code" href="classtree.html#e3847641b24788feda5a44c241d0054b">00818</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">tree&lt;T, tree_node_allocator&gt;::insert</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x)
+<a name="l00818"></a><a class="code" href="classtree.html#429bbd485078981ef83b59a779d9f947">00818</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::insert</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x)
 <a name="l00819"></a>00819    {
-<a name="l00820"></a>00820    <a class="code" href="classtree__node__.html">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00821"></a>00821    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>, x);
-<a name="l00822"></a>00822    tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=0;
-<a name="l00823"></a>00823    tmp-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=0;
+<a name="l00820"></a>00820    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00821"></a>00821    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>, x);
+<a name="l00822"></a>00822    tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00823"></a>00823    tmp-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
 <a name="l00824"></a>00824 
-<a name="l00825"></a>00825    tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=<a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>.node;
-<a name="l00826"></a>00826    <span class="keywordflow">if</span>(<a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>.node==0) { <span class="comment">// iterator points to end of a subtree</span>
-<a name="l00827"></a>00827       tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=<a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>.parent_;
-<a name="l00828"></a>00828       tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=<a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>.range_last();
-<a name="l00829"></a>00829       tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;last_child=tmp;
+<a name="l00825"></a>00825    tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=position.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
+<a name="l00826"></a>00826    <span class="keywordflow">if</span>(position.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>==0) { <span class="comment">// iterator points to end of a subtree</span>
+<a name="l00827"></a>00827       tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=position.<a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>;
+<a name="l00828"></a>00828       tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=position.<a class="code" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">range_last</a>();
+<a name="l00829"></a>00829       tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=tmp;
 <a name="l00830"></a>00830       }
 <a name="l00831"></a>00831    <span class="keywordflow">else</span> {
-<a name="l00832"></a>00832       tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=<a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>.node-&gt;parent;
-<a name="l00833"></a>00833       tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=<a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>.node-&gt;prev_sibling;
-<a name="l00834"></a>00834       <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>.node-&gt;prev_sibling=tmp;
+<a name="l00832"></a>00832       tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=position.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
+<a name="l00833"></a>00833       tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=position.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
+<a name="l00834"></a>00834       position.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=tmp;
 <a name="l00835"></a>00835       }
 <a name="l00836"></a>00836 
-<a name="l00837"></a>00837    <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>==0) {
-<a name="l00838"></a>00838       <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>) <span class="comment">// when inserting nodes at the head, there is no parent</span>
-<a name="l00839"></a>00839          tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;first_child=tmp;
+<a name="l00837"></a>00837    <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>==0) {
+<a name="l00838"></a>00838       <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>) <span class="comment">// when inserting nodes at the head, there is no parent</span>
+<a name="l00839"></a>00839          tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;first_child=tmp;
 <a name="l00840"></a>00840       }
 <a name="l00841"></a>00841    <span class="keywordflow">else</span>
-<a name="l00842"></a>00842       tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>-&gt;next_sibling=tmp;
+<a name="l00842"></a>00842       tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>-&gt;next_sibling=tmp;
 <a name="l00843"></a>00843    <span class="keywordflow">return</span> tmp;
 <a name="l00844"></a>00844    }
 <a name="l00845"></a>00845 
 <a name="l00846"></a>00846 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00847"></a>00847 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00848"></a><a class="code" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">00848</a> iter <a class="code" href="classtree.html#9be9c658ab428eb962c55bef3f872b47">tree&lt;T, tree_node_allocator&gt;::insert_after</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x)
+<a name="l00848"></a><a class="code" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e">00848</a> iter <a class="code" href="classtree.html#215ab56bd13f59c661eb2298e373ff3e" title="Insert node as next sibling of node pointed to by position.">tree&lt;T, tree_node_allocator&gt;::insert_after</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x)
 <a name="l00849"></a>00849    {
-<a name="l00850"></a>00850    <a class="code" href="classtree__node__.html">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00851"></a>00851    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>, x);
-<a name="l00852"></a>00852    tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=0;
-<a name="l00853"></a>00853    tmp-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=0;
+<a name="l00850"></a>00850    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00851"></a>00851    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>, x);
+<a name="l00852"></a>00852    tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00853"></a>00853    tmp-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
 <a name="l00854"></a>00854 
-<a name="l00855"></a>00855    tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=position.node-&gt;parent;
-<a name="l00856"></a>00856    tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=position.node;
-<a name="l00857"></a>00857    tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=position.node-&gt;next_sibling;
+<a name="l00855"></a>00855    tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=position.node-&gt;parent;
+<a name="l00856"></a>00856    tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=position.node;
+<a name="l00857"></a>00857    tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=position.node-&gt;next_sibling;
 <a name="l00858"></a>00858    position.node-&gt;next_sibling=tmp;
 <a name="l00859"></a>00859 
-<a name="l00860"></a>00860    <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>==0) {
-<a name="l00861"></a>00861       <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>) <span class="comment">// when inserting nodes at the head, there is no parent</span>
-<a name="l00862"></a>00862          tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;last_child=tmp;
+<a name="l00860"></a>00860    <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>==0) {
+<a name="l00861"></a>00861       <span class="keywordflow">if</span>(tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>) <span class="comment">// when inserting nodes at the head, there is no parent</span>
+<a name="l00862"></a>00862          tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=tmp;
 <a name="l00863"></a>00863       }
 <a name="l00864"></a>00864    <span class="keywordflow">else</span> {
-<a name="l00865"></a>00865       tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>-&gt;prev_sibling=tmp;
+<a name="l00865"></a>00865       tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>-&gt;prev_sibling=tmp;
 <a name="l00866"></a>00866       }
 <a name="l00867"></a>00867    <span class="keywordflow">return</span> tmp;
 <a name="l00868"></a>00868    }
 <a name="l00869"></a>00869 
 <a name="l00870"></a>00870 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00871"></a>00871 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00872"></a><a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">00872</a> iter <a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">tree&lt;T, tree_node_allocator&gt;::insert_subtree</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; subtree)
+<a name="l00872"></a><a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5">00872</a> iter <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">tree&lt;T, tree_node_allocator&gt;::insert_subtree</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">subtree</a>)
 <a name="l00873"></a>00873    {
 <a name="l00874"></a>00874    <span class="comment">// insert dummy</span>
-<a name="l00875"></a>00875    iter it=<a class="code" href="classtree.html#fb3e3d6dd64410aa9af067e315c87360">insert</a>(position, <a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a>());
+<a name="l00875"></a>00875    iter it=<a class="code" href="classtree.html#c3d19d3a42f91618267674f2c236aad9" title="Insert node as previous sibling of node pointed to by position.">insert</a>(position, <a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
 <a name="l00876"></a>00876    <span class="comment">// replace dummy with subtree</span>
-<a name="l00877"></a>00877    <span class="keywordflow">return</span> <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(it, <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">subtree</a>);
+<a name="l00877"></a>00877    <span class="keywordflow">return</span> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(it, subtree);
 <a name="l00878"></a>00878    }
 <a name="l00879"></a>00879 
 <a name="l00880"></a>00880 <span class="comment">// template &lt;class T, class tree_node_allocator&gt;</span>
@@ -815,67 +811,67 @@
 <a name="l00889"></a>00889 
 <a name="l00890"></a>00890 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00891"></a>00891 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00892"></a><a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">00892</a> iter <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">tree&lt;T, tree_node_allocator&gt;::replace</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> T&amp; x)
+<a name="l00892"></a><a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4">00892</a> iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::replace</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> T&amp; x)
 <a name="l00893"></a>00893    {
-<a name="l00894"></a>00894    <a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">kp::destructor</a>(&amp;position.node-&gt;data);
-<a name="l00895"></a>00895    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;position.node-&gt;data, x);
+<a name="l00894"></a>00894    <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;position.node-&gt;data);
+<a name="l00895"></a>00895    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;position.node-&gt;data, x);
 <a name="l00896"></a>00896    <span class="keywordflow">return</span> position;
 <a name="l00897"></a>00897    }
 <a name="l00898"></a>00898 
 <a name="l00899"></a>00899 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l00900"></a>00900 <span class="keyword">template</span> &lt;<span class="keyword">class</span> iter&gt;
-<a name="l00901"></a><a class="code" href="classtree.html#d4c8f84d956933e4137769a126b02cab">00901</a> iter <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">tree&lt;T, tree_node_allocator&gt;::replace</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; from)
+<a name="l00901"></a><a class="code" href="classtree.html#5d2ad4532598f26c84b1ab0ec84a5d62">00901</a> iter <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::replace</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; from)
 <a name="l00902"></a>00902    {
-<a name="l00903"></a>00903    assert(position.node!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>);
-<a name="l00904"></a>00904    <a class="code" href="classtree__node__.html">tree_node</a> *current_from=from.node;
-<a name="l00905"></a>00905    <a class="code" href="classtree__node__.html">tree_node</a> *start_from=from.node;
-<a name="l00906"></a>00906    <a class="code" href="classtree__node__.html">tree_node</a> *current_to  =position.node;
+<a name="l00903"></a>00903    assert(position.node!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>);
+<a name="l00904"></a>00904    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *current_from=from.node;
+<a name="l00905"></a>00905    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *start_from=from.node;
+<a name="l00906"></a>00906    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *current_to  =position.node;
 <a name="l00907"></a>00907 
 <a name="l00908"></a>00908    <span class="comment">// replace the node at position with head of the replacement tree at from</span>
-<a name="l00909"></a>00909    <a class="code" href="classtree.html#0a3ebbed379f55e5550a7d213d0513d2">erase_children</a>(position);  
-<a name="l00910"></a>00910    <a class="code" href="classtree__node__.html">tree_node</a>* tmp = alloc_.allocate(1,0);
-<a name="l00911"></a>00911    <a class="code" href="namespacekp.html#cc3b0ad9bfc78d3b604dfb285d01d3e5">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>, (*from));
-<a name="l00912"></a>00912    tmp-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=0;
-<a name="l00913"></a>00913    tmp-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=0;
-<a name="l00914"></a>00914    <span class="keywordflow">if</span>(current_to-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>==0) {
-<a name="l00915"></a>00915       current_to-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;first_child=tmp;
+<a name="l00909"></a>00909    <a class="code" href="classtree.html#05d5fd71c206efc8ac30df5cd46176bc" title="Erase all children of the node pointed to by iterator.">erase_children</a>(position);  
+<a name="l00910"></a>00910    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a>* tmp = alloc_.allocate(1,0);
+<a name="l00911"></a>00911    <a class="code" href="namespacekp.html#d1c6c23984a78bfc8336c7ca244d6f1c">kp::constructor</a>(&amp;tmp-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>, (*from));
+<a name="l00912"></a>00912    tmp-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=0;
+<a name="l00913"></a>00913    tmp-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=0;
+<a name="l00914"></a>00914    <span class="keywordflow">if</span>(current_to-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>==0) {
+<a name="l00915"></a>00915       current_to-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;first_child=tmp;
 <a name="l00916"></a>00916       }
 <a name="l00917"></a>00917    <span class="keywordflow">else</span> {
-<a name="l00918"></a>00918       current_to-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>-&gt;next_sibling=tmp;
+<a name="l00918"></a>00918       current_to-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>-&gt;next_sibling=tmp;
 <a name="l00919"></a>00919       }
-<a name="l00920"></a>00920    tmp-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=current_to-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
-<a name="l00921"></a>00921    <span class="keywordflow">if</span>(current_to-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>==0) {
-<a name="l00922"></a>00922       current_to-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;last_child=tmp;
+<a name="l00920"></a>00920    tmp-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=current_to-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
+<a name="l00921"></a>00921    <span class="keywordflow">if</span>(current_to-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>==0) {
+<a name="l00922"></a>00922       current_to-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=tmp;
 <a name="l00923"></a>00923       }
 <a name="l00924"></a>00924    <span class="keywordflow">else</span> {
-<a name="l00925"></a>00925       current_to-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>-&gt;prev_sibling=tmp;
+<a name="l00925"></a>00925       current_to-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>-&gt;prev_sibling=tmp;
 <a name="l00926"></a>00926       }
-<a name="l00927"></a>00927    tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=current_to-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l00928"></a>00928    tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=current_to-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>;
-<a name="l00929"></a>00929    <a class="code" href="namespacekp.html#734effe09627ef03b0d12f076775c783">kp::destructor</a>(&amp;current_to-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>);
+<a name="l00927"></a>00927    tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=current_to-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l00928"></a>00928    tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=current_to-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
+<a name="l00929"></a>00929    <a class="code" href="namespacekp.html#a6813c11eeb1c091cdd1eff62de70914">kp::destructor</a>(&amp;current_to-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>);
 <a name="l00930"></a>00930    alloc_.deallocate(current_to,1);
 <a name="l00931"></a>00931    current_to=tmp;
 <a name="l00932"></a>00932    
 <a name="l00933"></a>00933    <span class="comment">// only at this stage can we fix 'last'</span>
-<a name="l00934"></a>00934    <a class="code" href="classtree__node__.html">tree_node</a> *last=from.node-&gt;next_sibling;
+<a name="l00934"></a>00934    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *last=from.node-&gt;next_sibling;
 <a name="l00935"></a>00935 
-<a name="l00936"></a>00936    <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> toit=tmp;
+<a name="l00936"></a>00936    <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> toit=tmp;
 <a name="l00937"></a>00937    <span class="comment">// copy all children</span>
 <a name="l00938"></a>00938    <span class="keywordflow">do</span> {
 <a name="l00939"></a>00939       assert(current_from!=0);
-<a name="l00940"></a>00940       <span class="keywordflow">if</span>(current_from-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a> != 0) {
-<a name="l00941"></a>00941          current_from=current_from-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>;
-<a name="l00942"></a>00942          toit=<a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(toit, current_from-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>);
+<a name="l00940"></a>00940       <span class="keywordflow">if</span>(current_from-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a> != 0) {
+<a name="l00941"></a>00941          current_from=current_from-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>;
+<a name="l00942"></a>00942          toit=<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(toit, current_from-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>);
 <a name="l00943"></a>00943          }
 <a name="l00944"></a>00944       <span class="keywordflow">else</span> {
-<a name="l00945"></a>00945          <span class="keywordflow">while</span>(current_from-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>==0 &amp;&amp; current_from!=start_from) {
-<a name="l00946"></a>00946             current_from=current_from-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>;
-<a name="l00947"></a>00947             toit=<a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">parent</a>(toit);
+<a name="l00945"></a>00945          <span class="keywordflow">while</span>(current_from-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>==0 &amp;&amp; current_from!=start_from) {
+<a name="l00946"></a>00946             current_from=current_from-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
+<a name="l00947"></a>00947             toit=<a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(toit);
 <a name="l00948"></a>00948             assert(current_from!=0);
 <a name="l00949"></a>00949             }
-<a name="l00950"></a>00950          current_from=current_from-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l00950"></a>00950          current_from=current_from-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l00951"></a>00951          <span class="keywordflow">if</span>(current_from!=last) {
-<a name="l00952"></a>00952             toit=<a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(<a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">parent</a>(toit), current_from-&gt;<a class="code" href="classtree__node__.html#ec3d00d908b82e0d429a431e566fed95">data</a>);
+<a name="l00952"></a>00952             toit=<a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(<a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(toit), current_from-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>);
 <a name="l00953"></a>00953             }
 <a name="l00954"></a>00954          }
 <a name="l00955"></a>00955       } <span class="keywordflow">while</span>(current_from!=last);
@@ -884,43 +880,43 @@
 <a name="l00958"></a>00958    }
 <a name="l00959"></a>00959 
 <a name="l00960"></a>00960 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l00961"></a><a class="code" href="classtree.html#99c13db9741d7362312eed0ab1a76d61">00961</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">tree&lt;T, tree_node_allocator&gt;::replace</a>(
-<a name="l00962"></a>00962    <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_begin, 
-<a name="l00963"></a>00963    <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> orig_end, 
-<a name="l00964"></a>00964    <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_begin, 
-<a name="l00965"></a>00965    <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> new_end)
+<a name="l00961"></a><a class="code" href="classtree.html#fc5bef13996f2fd939d83837aa8e090d">00961</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::replace</a>(
+<a name="l00962"></a>00962    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> orig_begin, 
+<a name="l00963"></a>00963    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> orig_end, 
+<a name="l00964"></a>00964    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> new_begin, 
+<a name="l00965"></a>00965    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> new_end)
 <a name="l00966"></a>00966    {
-<a name="l00967"></a>00967    <a class="code" href="classtree__node__.html">tree_node</a> *orig_first=orig_begin.node;
-<a name="l00968"></a>00968    <a class="code" href="classtree__node__.html">tree_node</a> *new_first=new_begin.node;
-<a name="l00969"></a>00969    <a class="code" href="classtree__node__.html">tree_node</a> *orig_last=orig_first;
+<a name="l00967"></a>00967    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *orig_first=orig_begin.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
+<a name="l00968"></a>00968    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *new_first=new_begin.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
+<a name="l00969"></a>00969    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *orig_last=orig_first;
 <a name="l00970"></a>00970    <span class="keywordflow">while</span>((++orig_begin)!=orig_end)
-<a name="l00971"></a>00971       orig_last=orig_last-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l00972"></a>00972    <a class="code" href="classtree__node__.html">tree_node</a> *new_last=new_first;
+<a name="l00971"></a>00971       orig_last=orig_last-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l00972"></a>00972    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *new_last=new_first;
 <a name="l00973"></a>00973    <span class="keywordflow">while</span>((++new_begin)!=new_end)
-<a name="l00974"></a>00974       new_last=new_last-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l00974"></a>00974       new_last=new_last-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l00975"></a>00975 
 <a name="l00976"></a>00976    <span class="comment">// insert all siblings in new_first..new_last before orig_first</span>
 <a name="l00977"></a>00977    <span class="keywordtype">bool</span> first=<span class="keyword">true</span>;
-<a name="l00978"></a>00978    <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> ret;
+<a name="l00978"></a>00978    <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> ret;
 <a name="l00979"></a>00979    <span class="keywordflow">while</span>(1==1) {
-<a name="l00980"></a>00980       <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> tt=<a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">insert_subtree</a>(<a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(orig_first), <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>(new_first));
+<a name="l00980"></a>00980       <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> tt=<a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(<a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(orig_first), <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>(new_first));
 <a name="l00981"></a>00981       <span class="keywordflow">if</span>(first) {
 <a name="l00982"></a>00982          ret=tt;
 <a name="l00983"></a>00983          first=<span class="keyword">false</span>;
 <a name="l00984"></a>00984          }
 <a name="l00985"></a>00985       <span class="keywordflow">if</span>(new_first==new_last)
 <a name="l00986"></a>00986          <span class="keywordflow">break</span>;
-<a name="l00987"></a>00987       new_first=new_first-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l00987"></a>00987       new_first=new_first-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l00988"></a>00988       }
 <a name="l00989"></a>00989 
 <a name="l00990"></a>00990    <span class="comment">// erase old range of siblings</span>
 <a name="l00991"></a>00991    <span class="keywordtype">bool</span> last=<span class="keyword">false</span>;
-<a name="l00992"></a>00992    <a class="code" href="classtree__node__.html">tree_node</a> *next=orig_first;
+<a name="l00992"></a>00992    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *next=orig_first;
 <a name="l00993"></a>00993    <span class="keywordflow">while</span>(1==1) {
 <a name="l00994"></a>00994       <span class="keywordflow">if</span>(next==orig_last) 
 <a name="l00995"></a>00995          last=<span class="keyword">true</span>;
-<a name="l00996"></a>00996       next=next-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l00997"></a>00997       <a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">erase</a>((<a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a>)orig_first);
+<a name="l00996"></a>00996       next=next-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l00997"></a>00997       <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>((<a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>)orig_first);
 <a name="l00998"></a>00998       <span class="keywordflow">if</span>(last) 
 <a name="l00999"></a>00999          <span class="keywordflow">break</span>;
 <a name="l01000"></a>01000       orig_first=next;
@@ -930,15 +926,15 @@
 <a name="l01004"></a>01004 
 <a name="l01005"></a>01005 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01006"></a>01006 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l01007"></a><a class="code" href="classtree.html#aa9c55593a7d52cde352a3dde80fbaf9">01007</a> iter <a class="code" href="classtree.html#aa9c55593a7d52cde352a3dde80fbaf9">tree&lt;T, tree_node_allocator&gt;::flatten</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>)
+<a name="l01007"></a><a class="code" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c">01007</a> iter <a class="code" href="classtree.html#479c8e3f748608a9b9fb91e58e18998c" title="Move all children of node at &amp;#39;position&amp;#39; to be siblings, returns position...">tree&lt;T, tree_node_allocator&gt;::flatten</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>)
 <a name="l01008"></a>01008    {
 <a name="l01009"></a>01009    <span class="keywordflow">if</span>(position.node-&gt;first_child==0)
 <a name="l01010"></a>01010       <span class="keywordflow">return</span> position;
 <a name="l01011"></a>01011 
-<a name="l01012"></a>01012    <a class="code" href="classtree__node__.html">tree_node</a> *tmp=position.node-&gt;first_child;
+<a name="l01012"></a>01012    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tmp=position.node-&gt;first_child;
 <a name="l01013"></a>01013    <span class="keywordflow">while</span>(tmp) {
-<a name="l01014"></a>01014       tmp-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=position.node-&gt;parent;
-<a name="l01015"></a>01015       tmp=tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l01014"></a>01014       tmp-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=position.node-&gt;parent;
+<a name="l01015"></a>01015       tmp=tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01016"></a>01016       } 
 <a name="l01017"></a>01017    <span class="keywordflow">if</span>(position.node-&gt;next_sibling) {
 <a name="l01018"></a>01018       position.node-&gt;last_child-&gt;next_sibling=position.node-&gt;next_sibling;
@@ -958,163 +954,163 @@
 <a name="l01032"></a>01032 
 <a name="l01033"></a>01033 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01034"></a>01034 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l01035"></a><a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">01035</a> iter <a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">tree&lt;T, tree_node_allocator&gt;::reparent</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> begin, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> end)
+<a name="l01035"></a><a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e">01035</a> iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">tree&lt;T, tree_node_allocator&gt;::reparent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>)
 <a name="l01036"></a>01036    {
-<a name="l01037"></a>01037    <a class="code" href="classtree__node__.html">tree_node</a> *first=<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>.node;
-<a name="l01038"></a>01038    <a class="code" href="classtree__node__.html">tree_node</a> *last=first;
-<a name="l01039"></a>01039    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>==<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>) <span class="keywordflow">return</span> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>;
+<a name="l01037"></a>01037    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *first=begin.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
+<a name="l01038"></a>01038    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *last=first;
+<a name="l01039"></a>01039    <span class="keywordflow">if</span>(begin==end) <span class="keywordflow">return</span> begin;
 <a name="l01040"></a>01040    <span class="comment">// determine last node</span>
-<a name="l01041"></a>01041    <span class="keywordflow">while</span>((++<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>)!=<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>) {
-<a name="l01042"></a>01042       last=last-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l01041"></a>01041    <span class="keywordflow">while</span>((++begin)!=end) {
+<a name="l01042"></a>01042       last=last-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01043"></a>01043       }
 <a name="l01044"></a>01044    <span class="comment">// move subtree</span>
-<a name="l01045"></a>01045    <span class="keywordflow">if</span>(first-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>==0) {
-<a name="l01046"></a>01046       first-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;first_child=last-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l01045"></a>01045    <span class="keywordflow">if</span>(first-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>==0) {
+<a name="l01046"></a>01046       first-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;first_child=last-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01047"></a>01047       }
 <a name="l01048"></a>01048    <span class="keywordflow">else</span> {
-<a name="l01049"></a>01049       first-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>-&gt;next_sibling=last-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l01049"></a>01049       first-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>-&gt;next_sibling=last-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01050"></a>01050       }
-<a name="l01051"></a>01051    <span class="keywordflow">if</span>(last-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>==0) {
-<a name="l01052"></a>01052       last-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;last_child=first-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
+<a name="l01051"></a>01051    <span class="keywordflow">if</span>(last-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>==0) {
+<a name="l01052"></a>01052       last-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=first-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01053"></a>01053       }
 <a name="l01054"></a>01054    <span class="keywordflow">else</span> {
-<a name="l01055"></a>01055       last-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>-&gt;prev_sibling=first-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
+<a name="l01055"></a>01055       last-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>-&gt;prev_sibling=first-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01056"></a>01056       }
 <a name="l01057"></a>01057    <span class="keywordflow">if</span>(position.node-&gt;first_child==0) {
 <a name="l01058"></a>01058       position.node-&gt;first_child=first;
-<a name="l01059"></a>01059       position.node-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=last;
-<a name="l01060"></a>01060       first-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=0;
+<a name="l01059"></a>01059       position.node-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=last;
+<a name="l01060"></a>01060       first-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=0;
 <a name="l01061"></a>01061       }
 <a name="l01062"></a>01062    <span class="keywordflow">else</span> {
 <a name="l01063"></a>01063       position.node-&gt;last_child-&gt;next_sibling=first;
-<a name="l01064"></a>01064       first-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=position.node-&gt;last_child;
+<a name="l01064"></a>01064       first-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=position.node-&gt;last_child;
 <a name="l01065"></a>01065       position.node-&gt;last_child=last;
 <a name="l01066"></a>01066       }
-<a name="l01067"></a>01067    last-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=0;
+<a name="l01067"></a>01067    last-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=0;
 <a name="l01068"></a>01068 
-<a name="l01069"></a>01069    <a class="code" href="classtree__node__.html">tree_node</a> *pos=first;
+<a name="l01069"></a>01069    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *pos=first;
 <a name="l01070"></a>01070    <span class="keywordflow">while</span>(1==1) {
-<a name="l01071"></a>01071       pos-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=position.node;
+<a name="l01071"></a>01071       pos-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=position.node;
 <a name="l01072"></a>01072       <span class="keywordflow">if</span>(pos==last) <span class="keywordflow">break</span>;
-<a name="l01073"></a>01073       pos=pos-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l01073"></a>01073       pos=pos-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01074"></a>01074       }
 <a name="l01075"></a>01075 
 <a name="l01076"></a>01076    <span class="keywordflow">return</span> first;
 <a name="l01077"></a>01077    }
 <a name="l01078"></a>01078 
 <a name="l01079"></a>01079 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01080"></a><a class="code" href="classtree.html#bf241e0eb4ff50eda4f2f5220a86d728">01080</a> <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">tree&lt;T, tree_node_allocator&gt;::reparent</a>(iter <a class="code" href="messages_8cpp.html#d4db2383832ddcfb93e4e02ce1cb102b">position</a>, iter from)
+<a name="l01080"></a><a class="code" href="classtree.html#021a394ff7139df8573e2cb80e6beaa2">01080</a> <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">tree&lt;T, tree_node_allocator&gt;::reparent</a>(iter <a class="code" href="messages_8cpp.html#4da8008b6f110050513003edf67a2495">position</a>, iter from)
 <a name="l01081"></a>01081    {
 <a name="l01082"></a>01082    <span class="keywordflow">if</span>(from.node-&gt;first_child==0) <span class="keywordflow">return</span> position;
-<a name="l01083"></a>01083    <span class="keywordflow">return</span> <a class="code" href="classtree.html#8b127e71944f9bd724c8398f948e9192">reparent</a>(position, from.node-&gt;first_child, <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(from));
+<a name="l01083"></a>01083    <span class="keywordflow">return</span> <a class="code" href="classtree.html#32b88523e2d5b6c78381b7da9455be5e" title="Move nodes in range to be children of &amp;#39;position&amp;#39;.">reparent</a>(position, from.node-&gt;first_child, <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(from));
 <a name="l01084"></a>01084    }
 <a name="l01085"></a>01085 
 <a name="l01086"></a>01086 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01087"></a><a class="code" href="classtree.html#f4f74176002736b5ad91d07e37954e18">01087</a> <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#f4f74176002736b5ad91d07e37954e18">tree&lt;T, tree_node_allocator&gt;::move_after</a>(iter target, iter source)
+<a name="l01087"></a><a class="code" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63">01087</a> <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#e7f72ba46cd061f71720c731b4a9bf63" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the next sibling of &amp;#39;target&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::move_after</a>(iter target, iter source)
 <a name="l01088"></a>01088    {
-<a name="l01089"></a>01089    <a class="code" href="classtree__node__.html">tree_node</a> *dst=target.node;
-<a name="l01090"></a>01090    <a class="code" href="classtree__node__.html">tree_node</a> *src=source.node;
+<a name="l01089"></a>01089    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *dst=target.node;
+<a name="l01090"></a>01090    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *src=source.node;
 <a name="l01091"></a>01091    assert(dst);
 <a name="l01092"></a>01092    assert(src);
 <a name="l01093"></a>01093 
 <a name="l01094"></a>01094    <span class="keywordflow">if</span>(dst==src) <span class="keywordflow">return</span> source;
 <a name="l01095"></a>01095 
 <a name="l01096"></a>01096    <span class="comment">// take src out of the tree</span>
-<a name="l01097"></a>01097    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>-&gt;next_sibling=src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l01098"></a>01098    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;first_child=src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l01099"></a>01099    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>-&gt;prev_sibling=src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
-<a name="l01100"></a>01100    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;last_child=src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
+<a name="l01097"></a>01097    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>-&gt;next_sibling=src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l01098"></a>01098    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;first_child=src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l01099"></a>01099    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>-&gt;prev_sibling=src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
+<a name="l01100"></a>01100    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01101"></a>01101 
 <a name="l01102"></a>01102    <span class="comment">// connect it to the new point</span>
-<a name="l01103"></a>01103    <span class="keywordflow">if</span>(dst-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>!=0) dst-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>-&gt;prev_sibling=src;
-<a name="l01104"></a>01104    <span class="keywordflow">else</span>                     dst-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;last_child=src;
-<a name="l01105"></a>01105    src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=dst-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l01106"></a>01106    dst-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=src;
-<a name="l01107"></a>01107    src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=dst;
-<a name="l01108"></a>01108    src-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=dst-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>;
+<a name="l01103"></a>01103    <span class="keywordflow">if</span>(dst-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=0) dst-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>-&gt;prev_sibling=src;
+<a name="l01104"></a>01104    <span class="keywordflow">else</span>                     dst-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=src;
+<a name="l01105"></a>01105    src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=dst-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l01106"></a>01106    dst-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=src;
+<a name="l01107"></a>01107    src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=dst;
+<a name="l01108"></a>01108    src-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=dst-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
 <a name="l01109"></a>01109    <span class="keywordflow">return</span> src;
 <a name="l01110"></a>01110    }
 <a name="l01111"></a>01111 
 <a name="l01112"></a>01112 
 <a name="l01113"></a>01113 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01114"></a><a class="code" href="classtree.html#0298006c1f5106ec81657fc1fc9d1cc3">01114</a> <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#0298006c1f5106ec81657fc1fc9d1cc3">tree&lt;T, tree_node_allocator&gt;::move_before</a>(iter target, iter source)
+<a name="l01114"></a><a class="code" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86">01114</a> <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#b45aa15042445a81b13873d3ef4a2e86" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the previous sibling of...">tree&lt;T, tree_node_allocator&gt;::move_before</a>(iter target, iter source)
 <a name="l01115"></a>01115    {
-<a name="l01116"></a>01116    <a class="code" href="classtree__node__.html">tree_node</a> *dst=target.node;
-<a name="l01117"></a>01117    <a class="code" href="classtree__node__.html">tree_node</a> *src=source.node;
+<a name="l01116"></a>01116    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *dst=target.node;
+<a name="l01117"></a>01117    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *src=source.node;
 <a name="l01118"></a>01118    assert(dst);
 <a name="l01119"></a>01119    assert(src);
 <a name="l01120"></a>01120 
 <a name="l01121"></a>01121    <span class="keywordflow">if</span>(dst==src) <span class="keywordflow">return</span> source;
 <a name="l01122"></a>01122 
 <a name="l01123"></a>01123    <span class="comment">// take src out of the tree</span>
-<a name="l01124"></a>01124    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>-&gt;next_sibling=src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l01125"></a>01125    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;first_child=src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l01126"></a>01126    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>-&gt;prev_sibling=src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
-<a name="l01127"></a>01127    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;last_child=src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
+<a name="l01124"></a>01124    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>-&gt;next_sibling=src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l01125"></a>01125    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;first_child=src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l01126"></a>01126    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>-&gt;prev_sibling=src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
+<a name="l01127"></a>01127    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01128"></a>01128 
 <a name="l01129"></a>01129    <span class="comment">// connect it to the new point</span>
-<a name="l01130"></a>01130    <span class="keywordflow">if</span>(dst-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>!=0) dst-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>-&gt;next_sibling=src;
-<a name="l01131"></a>01131    <span class="keywordflow">else</span>                     dst-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;first_child=src;
-<a name="l01132"></a>01132    src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=dst-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
-<a name="l01133"></a>01133    dst-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=src;
-<a name="l01134"></a>01134    src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=dst;
-<a name="l01135"></a>01135    src-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=dst-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>;
+<a name="l01130"></a>01130    <span class="keywordflow">if</span>(dst-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>!=0) dst-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>-&gt;next_sibling=src;
+<a name="l01131"></a>01131    <span class="keywordflow">else</span>                     dst-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;first_child=src;
+<a name="l01132"></a>01132    src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=dst-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
+<a name="l01133"></a>01133    dst-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=src;
+<a name="l01134"></a>01134    src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=dst;
+<a name="l01135"></a>01135    src-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=dst-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
 <a name="l01136"></a>01136    <span class="keywordflow">return</span> src;
 <a name="l01137"></a>01137    }
 <a name="l01138"></a>01138 
 <a name="l01139"></a>01139 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01140"></a><a class="code" href="classtree.html#8c1f99b308550e6eaa1e3ff7932dd7c3">01140</a> <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#8c1f99b308550e6eaa1e3ff7932dd7c3">tree&lt;T, tree_node_allocator&gt;::move_ontop</a>(iter target, iter source)
+<a name="l01140"></a><a class="code" href="classtree.html#a4f8b906b2758eec530e28387b819284">01140</a> <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt; iter <a class="code" href="classtree.html#a4f8b906b2758eec530e28387b819284" title="Move &amp;#39;source&amp;#39; node (plus its children) to become the node at &amp;#39;target&amp;#39;...">tree&lt;T, tree_node_allocator&gt;::move_ontop</a>(iter target, iter source)
 <a name="l01141"></a>01141    {
-<a name="l01142"></a>01142    <a class="code" href="classtree__node__.html">tree_node</a> *dst=target.node;
-<a name="l01143"></a>01143    <a class="code" href="classtree__node__.html">tree_node</a> *src=source.node;
+<a name="l01142"></a>01142    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *dst=target.node;
+<a name="l01143"></a>01143    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *src=source.node;
 <a name="l01144"></a>01144    assert(dst);
 <a name="l01145"></a>01145    assert(src);
 <a name="l01146"></a>01146 
 <a name="l01147"></a>01147    <span class="keywordflow">if</span>(dst==src) <span class="keywordflow">return</span> source;
 <a name="l01148"></a>01148 
 <a name="l01149"></a>01149    <span class="comment">// remember connection points</span>
-<a name="l01150"></a>01150    <a class="code" href="classtree__node__.html">tree_node</a> *b_prev_sibling=dst-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
-<a name="l01151"></a>01151    <a class="code" href="classtree__node__.html">tree_node</a> *b_next_sibling=dst-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l01152"></a>01152    <a class="code" href="classtree__node__.html">tree_node</a> *b_parent=dst-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>;
+<a name="l01150"></a>01150    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *b_prev_sibling=dst-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
+<a name="l01151"></a>01151    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *b_next_sibling=dst-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l01152"></a>01152    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *b_parent=dst-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
 <a name="l01153"></a>01153 
 <a name="l01154"></a>01154    <span class="comment">// remove target</span>
-<a name="l01155"></a>01155    <a class="code" href="classtree.html#fb19caa16588297c9674abb18c40a32a">erase</a>(target);
+<a name="l01155"></a>01155    <a class="code" href="classtree.html#3eb424c89446ae17a747d2aca2cdda4b" title="Erase element at position pointed to by iterator, return incremented iterator.">erase</a>(target);
 <a name="l01156"></a>01156 
 <a name="l01157"></a>01157    <span class="comment">// take src out of the tree</span>
-<a name="l01158"></a>01158    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>-&gt;next_sibling=src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l01159"></a>01159    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;first_child=src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
-<a name="l01160"></a>01160    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>-&gt;prev_sibling=src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
-<a name="l01161"></a>01161    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;last_child=src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>;
+<a name="l01158"></a>01158    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>-&gt;next_sibling=src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l01159"></a>01159    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;first_child=src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
+<a name="l01160"></a>01160    <span class="keywordflow">if</span>(src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=0) src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>-&gt;prev_sibling=src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
+<a name="l01161"></a>01161    <span class="keywordflow">else</span>                     src-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01162"></a>01162 
 <a name="l01163"></a>01163    <span class="comment">// connect it to the new point</span>
-<a name="l01164"></a>01164    <span class="keywordflow">if</span>(b_prev_sibling!=0) b_prev_sibling-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=src;
-<a name="l01165"></a>01165    <span class="keywordflow">else</span>                  b_parent-&gt;<a class="code" href="classtree__node__.html#9639ccb36cb660e3dc429bccf6e09c50">first_child</a>=src;
-<a name="l01166"></a>01166    <span class="keywordflow">if</span>(b_next_sibling!=0) b_next_sibling-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=src;
-<a name="l01167"></a>01167    <span class="keywordflow">else</span>                  b_parent-&gt;<a class="code" href="classtree__node__.html#f8b222dacdcdf6ca9f24f7a410e36f20">last_child</a>=src;
-<a name="l01168"></a>01168    src-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=b_prev_sibling;
-<a name="l01169"></a>01169    src-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=b_next_sibling;
-<a name="l01170"></a>01170    src-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>=b_parent;
+<a name="l01164"></a>01164    <span class="keywordflow">if</span>(b_prev_sibling!=0) b_prev_sibling-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=src;
+<a name="l01165"></a>01165    <span class="keywordflow">else</span>                  b_parent-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>=src;
+<a name="l01166"></a>01166    <span class="keywordflow">if</span>(b_next_sibling!=0) b_next_sibling-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=src;
+<a name="l01167"></a>01167    <span class="keywordflow">else</span>                  b_parent-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>=src;
+<a name="l01168"></a>01168    src-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=b_prev_sibling;
+<a name="l01169"></a>01169    src-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=b_next_sibling;
+<a name="l01170"></a>01170    src-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>=b_parent;
 <a name="l01171"></a>01171    <span class="keywordflow">return</span> src;
 <a name="l01172"></a>01172    }
 <a name="l01173"></a>01173 
 <a name="l01174"></a>01174 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01175"></a><a class="code" href="classtree.html#66539d831037c85092fe6e3c309c6222">01175</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#66539d831037c85092fe6e3c309c6222">tree&lt;T, tree_node_allocator&gt;::merge</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to1,   <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to2,
-<a name="l01176"></a>01176                                           <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from1, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from2,
+<a name="l01175"></a><a class="code" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1">01175</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1" title="Merge with other tree, creating new branches and leaves only if they are not already...">tree&lt;T, tree_node_allocator&gt;::merge</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to1,   <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to2,
+<a name="l01176"></a>01176                                           <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from1, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from2,
 <a name="l01177"></a>01177                                           <span class="keywordtype">bool</span> duplicate_leaves)
 <a name="l01178"></a>01178    {
-<a name="l01179"></a>01179    <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> fnd;
+<a name="l01179"></a>01179    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> fnd;
 <a name="l01180"></a>01180    <span class="keywordflow">while</span>(from1!=from2) {
 <a name="l01181"></a>01181       <span class="keywordflow">if</span>((fnd=std::find(to1, to2, (*from1))) != to2) { <span class="comment">// element found</span>
-<a name="l01182"></a>01182          <span class="keywordflow">if</span>(from1.begin()==from1.end()) { <span class="comment">// full depth reached</span>
+<a name="l01182"></a>01182          <span class="keywordflow">if</span>(from1.<a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>()==from1.<a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>()) { <span class="comment">// full depth reached</span>
 <a name="l01183"></a>01183             <span class="keywordflow">if</span>(duplicate_leaves)
-<a name="l01184"></a>01184                <a class="code" href="classtree.html#61f096e7fbd483ff1fc1b56fe25ffcf3">append_child</a>(<a class="code" href="classtree.html#a00c1035eb3750d402f0830196264e7f">parent</a>(to1), (*from1));
+<a name="l01184"></a>01184                <a class="code" href="classtree.html#8d68e95f5088d48cb54fd6ae381729f0" title="Insert empty node as last child of node pointed to by position.">append_child</a>(<a class="code" href="classtree.html#aaaa1622d2d58ecda846640bd8f8bd28" title="Return iterator to the parent of a node.">parent</a>(to1), (*from1));
 <a name="l01185"></a>01185             }
 <a name="l01186"></a>01186          <span class="keywordflow">else</span> { <span class="comment">// descend further</span>
-<a name="l01187"></a>01187             <a class="code" href="classtree.html#66539d831037c85092fe6e3c309c6222">merge</a>(fnd.begin(), fnd.end(), from1.begin(), from1.end(), duplicate_leaves);
+<a name="l01187"></a>01187             <a class="code" href="classtree.html#1e3cd901f8f8d8a3da0e1d32e9282db1" title="Merge with other tree, creating new branches and leaves only if they are not already...">merge</a>(fnd.<a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>(), fnd.<a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>(), from1.<a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">begin</a>(), from1.<a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">end</a>(), duplicate_leaves);
 <a name="l01188"></a>01188             }
 <a name="l01189"></a>01189          }
 <a name="l01190"></a>01190       <span class="keywordflow">else</span> { <span class="comment">// element missing</span>
-<a name="l01191"></a>01191          <a class="code" href="classtree.html#6c41a7abd2827c9193f03ea0a51e8e30">insert_subtree</a>(to2, from1);
+<a name="l01191"></a>01191          <a class="code" href="classtree.html#d66d55d58b48ce0a8d7a5b41abe923d5" title="Insert node (with children) pointed to by subtree as previous sibling of node pointed...">insert_subtree</a>(to2, from1);
 <a name="l01192"></a>01192          }
 <a name="l01193"></a>01193       ++from1;
 <a name="l01194"></a>01194       }
@@ -1122,15 +1118,15 @@
 <a name="l01196"></a>01196 
 <a name="l01197"></a>01197 
 <a name="l01198"></a>01198 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01199"></a><a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">01199</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">tree&lt;T, tree_node_allocator&gt;::sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, <span class="keywordtype">bool</span> deep)
+<a name="l01199"></a><a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e">01199</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">tree&lt;T, tree_node_allocator&gt;::sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to, <span class="keywordtype">bool</span> deep)
 <a name="l01200"></a>01200    {
 <a name="l01201"></a>01201    std::less&lt;T&gt; comp;
-<a name="l01202"></a>01202    <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">sort</a>(from, to, comp, deep);
+<a name="l01202"></a>01202    <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(from, to, comp, deep);
 <a name="l01203"></a>01203    }
 <a name="l01204"></a>01204 
 <a name="l01205"></a>01205 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01206"></a>01206 <span class="keyword">template</span> &lt;<span class="keyword">class</span> StrictWeakOrdering&gt;
-<a name="l01207"></a><a class="code" href="classtree.html#2ef3d733ac457021985aa6ccfc12bad4">01207</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">tree&lt;T, tree_node_allocator&gt;::sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to, 
+<a name="l01207"></a><a class="code" href="classtree.html#f187f42c28a39304649ee41d3464f2ef">01207</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">tree&lt;T, tree_node_allocator&gt;::sort</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to, 
 <a name="l01208"></a>01208                                         StrictWeakOrdering comp, <span class="keywordtype">bool</span> deep)
 <a name="l01209"></a>01209    {
 <a name="l01210"></a>01210    <span class="keywordflow">if</span>(from==to) <span class="keywordflow">return</span>;
@@ -1138,51 +1134,51 @@
 <a name="l01212"></a>01212    <span class="comment">// CHECK: if multiset stores equivalent nodes in the order in which they</span>
 <a name="l01213"></a>01213    <span class="comment">// are inserted, then this routine should be called 'stable_sort'.</span>
 <a name="l01214"></a>01214    std::multiset&lt;tree_node *, compare_nodes&lt;StrictWeakOrdering&gt; &gt; nodes(comp);
-<a name="l01215"></a>01215    <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it=from, it2=to;
+<a name="l01215"></a>01215    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> it=from, it2=to;
 <a name="l01216"></a>01216    <span class="keywordflow">while</span>(it != to) {
-<a name="l01217"></a>01217       nodes.insert(it.node);
+<a name="l01217"></a>01217       nodes.insert(it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>);
 <a name="l01218"></a>01218       ++it;
 <a name="l01219"></a>01219       }
 <a name="l01220"></a>01220    <span class="comment">// reassemble</span>
 <a name="l01221"></a>01221    --it2;
 <a name="l01222"></a>01222 
 <a name="l01223"></a>01223    <span class="comment">// prev and next are the nodes before and after the sorted range</span>
-<a name="l01224"></a>01224    <a class="code" href="classtree__node__.html">tree_node</a> *prev=from.node-&gt;prev_sibling;
-<a name="l01225"></a>01225    <a class="code" href="classtree__node__.html">tree_node</a> *next=it2.node-&gt;next_sibling;
-<a name="l01226"></a>01226    <span class="keyword">typename</span> std::multiset&lt;tree_node *, compare_nodes&lt;StrictWeakOrdering&gt; &gt;<a class="code" href="classtree_1_1pre__order__iterator.html">::iterator</a> nit=nodes.begin(), eit=nodes.end();
+<a name="l01224"></a>01224    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *prev=from.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
+<a name="l01225"></a>01225    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *next=it2.node-&gt;next_sibling;
+<a name="l01226"></a>01226    <span class="keyword">typename</span> std::multiset&lt;tree_node *, compare_nodes&lt;StrictWeakOrdering&gt; &gt;<a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">::iterator</a> nit=nodes.begin(), eit=nodes.end();
 <a name="l01227"></a>01227    <span class="keywordflow">if</span>(prev==0) {
 <a name="l01228"></a>01228       <span class="keywordflow">if</span>((*nit)-&gt;parent!=0) <span class="comment">// to catch "sorting the head" situations, when there is no parent</span>
 <a name="l01229"></a>01229          (*nit)-&gt;parent-&gt;first_child=(*nit);
 <a name="l01230"></a>01230       }
-<a name="l01231"></a>01231    <span class="keywordflow">else</span> prev-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=(*nit);
+<a name="l01231"></a>01231    <span class="keywordflow">else</span> prev-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=(*nit);
 <a name="l01232"></a>01232 
 <a name="l01233"></a>01233    --eit;
 <a name="l01234"></a>01234    <span class="keywordflow">while</span>(nit!=eit) {
 <a name="l01235"></a>01235       (*nit)-&gt;prev_sibling=prev;
 <a name="l01236"></a>01236       <span class="keywordflow">if</span>(prev)
-<a name="l01237"></a>01237          prev-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=(*nit);
+<a name="l01237"></a>01237          prev-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=(*nit);
 <a name="l01238"></a>01238       prev=(*nit);
 <a name="l01239"></a>01239       ++nit;
 <a name="l01240"></a>01240       }
 <a name="l01241"></a>01241    <span class="comment">// prev now points to the last-but-one node in the sorted range</span>
 <a name="l01242"></a>01242    <span class="keywordflow">if</span>(prev)
-<a name="l01243"></a>01243       prev-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=(*eit);
+<a name="l01243"></a>01243       prev-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=(*eit);
 <a name="l01244"></a>01244 
 <a name="l01245"></a>01245    <span class="comment">// eit points to the last node in the sorted range.</span>
 <a name="l01246"></a>01246    (*eit)-&gt;next_sibling=next;
-<a name="l01247"></a>01247    (*eit)-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=prev; <span class="comment">// missed in the loop above</span>
+<a name="l01247"></a>01247    (*eit)-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=prev; <span class="comment">// missed in the loop above</span>
 <a name="l01248"></a>01248    <span class="keywordflow">if</span>(next==0) {
 <a name="l01249"></a>01249       <span class="keywordflow">if</span>((*eit)-&gt;parent!=0) <span class="comment">// to catch "sorting the head" situations, when there is no parent</span>
-<a name="l01250"></a>01250          (*eit)-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>-&gt;last_child=(*eit);
+<a name="l01250"></a>01250          (*eit)-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=(*eit);
 <a name="l01251"></a>01251       }
-<a name="l01252"></a>01252    <span class="keywordflow">else</span> next-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=(*eit);
+<a name="l01252"></a>01252    <span class="keywordflow">else</span> next-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=(*eit);
 <a name="l01253"></a>01253 
 <a name="l01254"></a>01254    <span class="keywordflow">if</span>(deep) {  <span class="comment">// sort the children of each node too</span>
-<a name="l01255"></a>01255       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> bcs(*nodes.begin());
-<a name="l01256"></a>01256       <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> ecs(*eit);
+<a name="l01255"></a>01255       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> bcs(*nodes.begin());
+<a name="l01256"></a>01256       <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> ecs(*eit);
 <a name="l01257"></a>01257       ++ecs;
 <a name="l01258"></a>01258       <span class="keywordflow">while</span>(bcs!=ecs) {
-<a name="l01259"></a>01259          <a class="code" href="classtree.html#d2a8822b04bc1b48da62adf35f1f2b7e">sort</a>(<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(bcs), <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(bcs), comp, deep);
+<a name="l01259"></a>01259          <a class="code" href="classtree.html#498ec42a5eb44cba8bf9ef6e7fd5db9e" title="Sort (std::sort only moves values of nodes, this one moves children as well).">sort</a>(<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(bcs), <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(bcs), comp, deep);
 <a name="l01260"></a>01260          ++bcs;
 <a name="l01261"></a>01261          }
 <a name="l01262"></a>01262       }
@@ -1190,32 +1186,32 @@
 <a name="l01264"></a>01264 
 <a name="l01265"></a>01265 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01266"></a>01266 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l01267"></a><a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">01267</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">tree&lt;T, tree_node_allocator&gt;::equal</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three_)<span class="keyword"> const</span>
+<a name="l01267"></a><a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04">01267</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">tree&lt;T, tree_node_allocator&gt;::equal</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three_)<span class="keyword"> const</span>
 <a name="l01268"></a>01268 <span class="keyword">   </span>{
 <a name="l01269"></a>01269    std::equal_to&lt;T&gt; comp;
-<a name="l01270"></a>01270    <span class="keywordflow">return</span> <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">equal</a>(one_, two, three_, comp);
+<a name="l01270"></a>01270    <span class="keywordflow">return</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(one_, two, three_, comp);
 <a name="l01271"></a>01271    }
 <a name="l01272"></a>01272 
 <a name="l01273"></a>01273 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01274"></a>01274 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter&gt;
-<a name="l01275"></a><a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">01275</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">tree&lt;T, tree_node_allocator&gt;::equal_subtree</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two_)<span class="keyword"> const</span>
+<a name="l01275"></a><a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">01275</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">tree&lt;T, tree_node_allocator&gt;::equal_subtree</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two_)<span class="keyword"> const</span>
 <a name="l01276"></a>01276 <span class="keyword">   </span>{
 <a name="l01277"></a>01277    std::equal_to&lt;T&gt; comp;
-<a name="l01278"></a>01278    <span class="keywordflow">return</span> <a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">equal_subtree</a>(one_, two_, comp);
+<a name="l01278"></a>01278    <span class="keywordflow">return</span> <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">equal_subtree</a>(one_, two_, comp);
 <a name="l01279"></a>01279    }
 <a name="l01280"></a>01280 
 <a name="l01281"></a>01281 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01282"></a>01282 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
-<a name="l01283"></a><a class="code" href="classtree.html#b94a0875a622596e7e624f250117e9e4">01283</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">tree&lt;T, tree_node_allocator&gt;::equal</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three_, BinaryPredicate fun)<span class="keyword"> const</span>
+<a name="l01283"></a><a class="code" href="classtree.html#7ce7ff12a68be494b28925b2f7184a29">01283</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">tree&lt;T, tree_node_allocator&gt;::equal</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two, <span class="keyword">const</span> iter&amp; three_, BinaryPredicate fun)<span class="keyword"> const</span>
 <a name="l01284"></a>01284 <span class="keyword">   </span>{
-<a name="l01285"></a>01285    <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> one(one_), three(three_);
+<a name="l01285"></a>01285    <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> one(one_), three(three_);
 <a name="l01286"></a>01286 
 <a name="l01287"></a>01287 <span class="comment">// if(one==two &amp;&amp; is_valid(three) &amp;&amp; three.number_of_children()!=0)</span>
 <a name="l01288"></a>01288 <span class="comment">//    return false;</span>
-<a name="l01289"></a>01289    <span class="keywordflow">while</span>(one!=two &amp;&amp; <a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">is_valid</a>(three)) {
+<a name="l01289"></a>01289    <span class="keywordflow">while</span>(one!=two &amp;&amp; <a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">is_valid</a>(three)) {
 <a name="l01290"></a>01290       <span class="keywordflow">if</span>(!fun(*one,*three))
 <a name="l01291"></a>01291          <span class="keywordflow">return</span> <span class="keyword">false</span>;
-<a name="l01292"></a>01292       <span class="keywordflow">if</span>(one.number_of_children()!=three.number_of_children()) 
+<a name="l01292"></a>01292       <span class="keywordflow">if</span>(one.number_of_children()!=three.<a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17" title="Number of children of the node pointed to by the iterator.">number_of_children</a>()) 
 <a name="l01293"></a>01293          <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01294"></a>01294       ++one;
 <a name="l01295"></a>01295       ++three;
@@ -1225,36 +1221,36 @@
 <a name="l01299"></a>01299 
 <a name="l01300"></a>01300 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l01301"></a>01301 <span class="keyword">template</span> &lt;<span class="keyword">typename</span> iter, <span class="keyword">class</span> BinaryPredicate&gt;
-<a name="l01302"></a><a class="code" href="classtree.html#728582159c3d6b9b2a4890e95034a6d5">01302</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#c8ed9b1eda534a67881553c59cc8cc9d">tree&lt;T, tree_node_allocator&gt;::equal_subtree</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two_, BinaryPredicate fun)<span class="keyword"> const</span>
+<a name="l01302"></a><a class="code" href="classtree.html#5e8445150c43058416d16b4846ff0f15">01302</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#6e2e76dfa6f0f51ca6f573d73b0c1b28">tree&lt;T, tree_node_allocator&gt;::equal_subtree</a>(<span class="keyword">const</span> iter&amp; one_, <span class="keyword">const</span> iter&amp; two_, BinaryPredicate fun)<span class="keyword"> const</span>
 <a name="l01303"></a>01303 <span class="keyword">   </span>{
-<a name="l01304"></a>01304    <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> one(one_), two(two_);
+<a name="l01304"></a>01304    <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> one(one_), two(two_);
 <a name="l01305"></a>01305 
 <a name="l01306"></a>01306    <span class="keywordflow">if</span>(!fun(*one,*two)) <span class="keywordflow">return</span> <span class="keyword">false</span>;
-<a name="l01307"></a>01307    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a>(one)!=<a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">number_of_children</a>(two)) <span class="keywordflow">return</span> <span class="keyword">false</span>;
-<a name="l01308"></a>01308    <span class="keywordflow">return</span> <a class="code" href="classtree.html#4fee29597a52bb5d7c80d1d38abe7952">equal</a>(<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(one),<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(one),<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(two),fun);
+<a name="l01307"></a>01307    <span class="keywordflow">if</span>(<a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">number_of_children</a>(one)!=<a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">number_of_children</a>(two)) <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01308"></a>01308    <span class="keywordflow">return</span> <a class="code" href="classtree.html#59488f63fc6ad997809d971c48ecfc04" title="Compare two ranges of nodes (compares nodes as well as tree structure).">equal</a>(<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(one),<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(one),<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(two),fun);
 <a name="l01309"></a>01309    }
 <a name="l01310"></a>01310 
 <a name="l01311"></a>01311 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01312"></a><a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">01312</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a> <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">tree&lt;T, tree_node_allocator&gt;::subtree</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to)<span class="keyword"> const</span>
+<a name="l01312"></a><a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625">01312</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;</a> <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">tree&lt;T, tree_node_allocator&gt;::subtree</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to)<span class="keyword"> const</span>
 <a name="l01313"></a>01313 <span class="keyword">   </span>{
 <a name="l01314"></a>01314    <a class="code" href="classtree.html">tree</a> tmp;
-<a name="l01315"></a>01315    tmp.<a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a>(<a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a>());
-<a name="l01316"></a>01316    tmp.<a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(tmp.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), tmp.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(), from, to);
+<a name="l01315"></a>01315    tmp.<a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(<a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
+<a name="l01316"></a>01316    tmp.<a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(tmp.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), tmp.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(), from, to);
 <a name="l01317"></a>01317    <span class="keywordflow">return</span> tmp;
 <a name="l01318"></a>01318    }
 <a name="l01319"></a>01319 
 <a name="l01320"></a>01320 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01321"></a><a class="code" href="classtree.html#f2e644887f62d410ff310c7d73721f3e">01321</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#e0c63efd151b313a372d01f2dae19c0d">tree&lt;T, tree_node_allocator&gt;::subtree</a>(<a class="code" href="classtree.html">tree</a>&amp; tmp, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> to)<span class="keyword"> const</span>
+<a name="l01321"></a><a class="code" href="classtree.html#830cccac50df183c44c6ff83cab5a27f">01321</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#db61bebed6c56eb5641b0b7fab7fe625" title="Extract a new tree formed by the range of siblings plus all their children.">tree&lt;T, tree_node_allocator&gt;::subtree</a>(<a class="code" href="classtree.html">tree</a>&amp; tmp, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> from, <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> to)<span class="keyword"> const</span>
 <a name="l01322"></a>01322 <span class="keyword">   </span>{
-<a name="l01323"></a>01323    tmp.<a class="code" href="classtree.html#e6749fed3d80f2b74bb6319c4eb2af73">set_head</a>(<a class="code" href="classtree.html#6e12b3e8e7e08b824ea27a9ca7fa49da">value_type</a>());
-<a name="l01324"></a>01324    tmp.<a class="code" href="classtree.html#3839ca59210cc5171bc768552cc82dbe">replace</a>(tmp.<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), tmp.<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>(), from, to);
+<a name="l01323"></a>01323    tmp.<a class="code" href="classtree.html#f11d736ea971ab93651350161f5a7535" title="Short-hand to insert topmost node in otherwise empty tree.">set_head</a>(<a class="code" href="classtree.html#1e7bcd21e7420f7922a1bca79080acfa" title="Value of the data stored at a node.">value_type</a>());
+<a name="l01324"></a>01324    tmp.<a class="code" href="classtree.html#4885e968c82655ebebea5d0927b7e9f4" title="Replace node at &amp;#39;position&amp;#39; with other node (keeping same children); &amp;#39;position&amp;#39;...">replace</a>(tmp.<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), tmp.<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>(), from, to);
 <a name="l01325"></a>01325    }
 <a name="l01326"></a>01326 
 <a name="l01327"></a>01327 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01328"></a><a class="code" href="classtree.html#153ad4a2483c86e5f3647f131629400b">01328</a> <span class="keywordtype">int</span> <a class="code" href="classtree.html#153ad4a2483c86e5f3647f131629400b">tree&lt;T, tree_node_allocator&gt;::size</a>()<span class="keyword"> const</span>
+<a name="l01328"></a><a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523">01328</a> <span class="keywordtype">int</span> <a class="code" href="classtree.html#219ff1bfc99f78fd9a2db71f41891523" title="Count the total number of nodes.">tree&lt;T, tree_node_allocator&gt;::size</a>()<span class="keyword"> const</span>
 <a name="l01329"></a>01329 <span class="keyword">   </span>{
 <a name="l01330"></a>01330    <span class="keywordtype">int</span> i=0;
-<a name="l01331"></a>01331    <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> it=<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), eit=<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>();
+<a name="l01331"></a>01331    <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> it=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), eit=<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>();
 <a name="l01332"></a>01332    <span class="keywordflow">while</span>(it!=eit) {
 <a name="l01333"></a>01333       ++i;
 <a name="l01334"></a>01334       ++it;
@@ -1263,29 +1259,29 @@
 <a name="l01337"></a>01337    }
 <a name="l01338"></a>01338 
 <a name="l01339"></a>01339 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01340"></a><a class="code" href="classtree.html#04cf6fc4add8819a389dcf7e107ad2bf">01340</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#04cf6fc4add8819a389dcf7e107ad2bf">tree&lt;T, tree_node_allocator&gt;::empty</a>()<span class="keyword"> const</span>
+<a name="l01340"></a><a class="code" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2">01340</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#e9f7fd30c51443d46ca8941d5bc06da2" title="Check if tree is empty.">tree&lt;T, tree_node_allocator&gt;::empty</a>()<span class="keyword"> const</span>
 <a name="l01341"></a>01341 <span class="keyword">   </span>{
-<a name="l01342"></a>01342    <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> it=<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>(), eit=<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>();
+<a name="l01342"></a>01342    <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> it=<a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>(), eit=<a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>();
 <a name="l01343"></a>01343    <span class="keywordflow">return</span> (it==eit);
 <a name="l01344"></a>01344    }
 <a name="l01345"></a>01345 
 <a name="l01346"></a>01346 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01347"></a><a class="code" href="classtree.html#464267273fcfac957e31e28937cf996b">01347</a> <span class="keywordtype">int</span> <a class="code" href="classtree.html#464267273fcfac957e31e28937cf996b">tree&lt;T, tree_node_allocator&gt;::depth</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; it)<span class="keyword"> const</span>
+<a name="l01347"></a><a class="code" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1">01347</a> <span class="keywordtype">int</span> <a class="code" href="classtree.html#16c66be75ca89c999a9c4a68497b05a1" title="Compute the depth to the root.">tree&lt;T, tree_node_allocator&gt;::depth</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; it)<span class="keyword"> const</span>
 <a name="l01348"></a>01348 <span class="keyword">   </span>{
-<a name="l01349"></a>01349    <a class="code" href="classtree__node__.html">tree_node</a>* pos=it.node;
+<a name="l01349"></a>01349    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a>* pos=it.node;
 <a name="l01350"></a>01350    assert(pos!=0);
 <a name="l01351"></a>01351    <span class="keywordtype">int</span> ret=0;
-<a name="l01352"></a>01352    <span class="keywordflow">while</span>(pos-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>!=0) {
-<a name="l01353"></a>01353       pos=pos-&gt;<a class="code" href="classtree__node__.html#bcaaa94a4e6fc6223e89be4f5b9276d9">parent</a>;
+<a name="l01352"></a>01352    <span class="keywordflow">while</span>(pos-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>!=0) {
+<a name="l01353"></a>01353       pos=pos-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
 <a name="l01354"></a>01354       ++ret;
 <a name="l01355"></a>01355       }
 <a name="l01356"></a>01356    <span class="keywordflow">return</span> ret;
 <a name="l01357"></a>01357    }
 <a name="l01358"></a>01358 
 <a name="l01359"></a>01359 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01360"></a><a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">01360</a> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">tree&lt;T, tree_node_allocator&gt;::number_of_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; it)<span class="keyword"> const</span>
+<a name="l01360"></a><a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa">01360</a> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#96f82a90a3e21e82f486f325b0cf9faa" title="Count the number of children of node at position.">tree&lt;T, tree_node_allocator&gt;::number_of_children</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; it)<span class="keyword"> const</span>
 <a name="l01361"></a>01361 <span class="keyword">   </span>{
-<a name="l01362"></a>01362    <a class="code" href="classtree__node__.html">tree_node</a> *pos=it.node-&gt;first_child;
+<a name="l01362"></a>01362    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *pos=it.node-&gt;first_child;
 <a name="l01363"></a>01363    <span class="keywordflow">if</span>(pos==0) <span class="keywordflow">return</span> 0;
 <a name="l01364"></a>01364    
 <a name="l01365"></a>01365    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ret=1;
@@ -1293,43 +1289,43 @@
 <a name="l01367"></a>01367 <span class="comment">//      ++ret;</span>
 <a name="l01368"></a>01368 <span class="comment">//      pos=pos-&gt;next_sibling;</span>
 <a name="l01369"></a>01369 <span class="comment">//      }</span>
-<a name="l01370"></a>01370    <span class="keywordflow">while</span>((pos=pos-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>))
+<a name="l01370"></a>01370    <span class="keywordflow">while</span>((pos=pos-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>))
 <a name="l01371"></a>01371       ++ret;
 <a name="l01372"></a>01372    <span class="keywordflow">return</span> ret;
 <a name="l01373"></a>01373    }
 <a name="l01374"></a>01374 
 <a name="l01375"></a>01375 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01376"></a><a class="code" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">01376</a> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#752796c631b632e0e3c3cecf348ff24e">tree&lt;T, tree_node_allocator&gt;::number_of_siblings</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; it)<span class="keyword"> const</span>
+<a name="l01376"></a><a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009">01376</a> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#3cddce970c4d44af57cf9ec0d7c3d009" title="Count the number of &amp;#39;next&amp;#39; siblings of node at iterator.">tree&lt;T, tree_node_allocator&gt;::number_of_siblings</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; it)<span class="keyword"> const</span>
 <a name="l01377"></a>01377 <span class="keyword">   </span>{
-<a name="l01378"></a>01378    <a class="code" href="classtree__node__.html">tree_node</a> *pos=it.node;
+<a name="l01378"></a>01378    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *pos=it.node;
 <a name="l01379"></a>01379    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ret=0;
-<a name="l01380"></a>01380    <span class="keywordflow">while</span>(pos-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a> &amp;&amp; 
-<a name="l01381"></a>01381          pos-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a> &amp;&amp;
-<a name="l01382"></a>01382          pos-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>!=<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>) {
+<a name="l01380"></a>01380    <span class="keywordflow">while</span>(pos-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a> &amp;&amp; 
+<a name="l01381"></a>01381          pos-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a> &amp;&amp;
+<a name="l01382"></a>01382          pos-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>!=<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>) {
 <a name="l01383"></a>01383       ++ret;
-<a name="l01384"></a>01384       pos=pos-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l01384"></a>01384       pos=pos-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01385"></a>01385       }
 <a name="l01386"></a>01386    <span class="keywordflow">return</span> ret;
 <a name="l01387"></a>01387    }
 <a name="l01388"></a>01388 
 <a name="l01389"></a>01389 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01390"></a><a class="code" href="classtree.html#36b40bbffa2392b7a765cc74364b35d5">01390</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#36b40bbffa2392b7a765cc74364b35d5">tree&lt;T, tree_node_allocator&gt;::swap</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it)
+<a name="l01390"></a><a class="code" href="classtree.html#e842f9b70235bc2412b3c43bca759448">01390</a> <span class="keywordtype">void</span> <a class="code" href="classtree.html#e842f9b70235bc2412b3c43bca759448" title="Exchange the node (plus subtree) with its sibling node (do nothing if no sibling...">tree&lt;T, tree_node_allocator&gt;::swap</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> it)
 <a name="l01391"></a>01391    {
-<a name="l01392"></a>01392    <a class="code" href="classtree__node__.html">tree_node</a> *nxt=it.node-&gt;next_sibling;
+<a name="l01392"></a>01392    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *nxt=it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01393"></a>01393    <span class="keywordflow">if</span>(nxt) {
-<a name="l01394"></a>01394       <span class="keywordflow">if</span>(it.node-&gt;prev_sibling)
-<a name="l01395"></a>01395          it.node-&gt;prev_sibling-&gt;next_sibling=nxt;
+<a name="l01394"></a>01394       <span class="keywordflow">if</span>(it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>)
+<a name="l01395"></a>01395          it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>-&gt;next_sibling=nxt;
 <a name="l01396"></a>01396       <span class="keywordflow">else</span>
-<a name="l01397"></a>01397          it.node-&gt;parent-&gt;first_child=nxt;
-<a name="l01398"></a>01398       nxt-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=it.node-&gt;prev_sibling;
-<a name="l01399"></a>01399       <a class="code" href="classtree__node__.html">tree_node</a> *nxtnxt=nxt-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l01397"></a>01397          it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;first_child=nxt;
+<a name="l01398"></a>01398       nxt-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
+<a name="l01399"></a>01399       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *nxtnxt=nxt-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01400"></a>01400       <span class="keywordflow">if</span>(nxtnxt)
-<a name="l01401"></a>01401          nxtnxt-&gt;<a class="code" href="classtree__node__.html#3dfb7ec8612428977956b9654364d7e0">prev_sibling</a>=it.node;
+<a name="l01401"></a>01401          nxtnxt-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
 <a name="l01402"></a>01402       <span class="keywordflow">else</span>
-<a name="l01403"></a>01403          it.node-&gt;parent-&gt;last_child=it.node;
-<a name="l01404"></a>01404       nxt-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>=it.node;
-<a name="l01405"></a>01405       it.node-&gt;prev_sibling=nxt;
-<a name="l01406"></a>01406       it.node-&gt;next_sibling=nxtnxt;
+<a name="l01403"></a>01403          it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>-&gt;last_child=it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
+<a name="l01404"></a>01404       nxt-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
+<a name="l01405"></a>01405       it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>=nxt;
+<a name="l01406"></a>01406       it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>=nxtnxt;
 <a name="l01407"></a>01407       }
 <a name="l01408"></a>01408    }
 <a name="l01409"></a>01409 
@@ -1348,12 +1344,12 @@
 <a name="l01422"></a>01422 <span class="comment">//    }</span>
 <a name="l01423"></a>01423 
 <a name="l01424"></a>01424 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01425"></a><a class="code" href="classtree.html#b983b7823bc78d7a5efaf994938188a2">01425</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#b983b7823bc78d7a5efaf994938188a2">tree&lt;T, tree_node_allocator&gt;::is_in_subtree</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; it, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; begin, 
-<a name="l01426"></a>01426                                                  <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; end)<span class="keyword"> const</span>
+<a name="l01425"></a><a class="code" href="classtree.html#825e2106781e846bdd8732c117dc21db">01425</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#825e2106781e846bdd8732c117dc21db" title="Determine whether node at position is in the subtrees with root in the range.">tree&lt;T, tree_node_allocator&gt;::is_in_subtree</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; it, <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree.html#76b3a629c0208d5ae5b4ffcd4492e05e" title="Return iterator to the beginning of the tree.">begin</a>, 
+<a name="l01426"></a>01426                                                  <span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; <a class="code" href="classtree.html#0d09fe9fd34fbfc9c9e4e28cb694448e" title="Return iterator to the end of the tree.">end</a>)<span class="keyword"> const</span>
 <a name="l01427"></a>01427 <span class="keyword">   </span>{
 <a name="l01428"></a>01428    <span class="comment">// FIXME: this should be optimised.</span>
-<a name="l01429"></a>01429    <a class="code" href="classtree_1_1pre__order__iterator.html">pre_order_iterator</a> tmp=<a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">begin</a>;
-<a name="l01430"></a>01430    <span class="keywordflow">while</span>(tmp!=<a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">end</a>) {
+<a name="l01429"></a>01429    <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> tmp=begin;
+<a name="l01430"></a>01430    <span class="keywordflow">while</span>(tmp!=end) {
 <a name="l01431"></a>01431       <span class="keywordflow">if</span>(tmp==it) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01432"></a>01432       ++tmp;
 <a name="l01433"></a>01433       }
@@ -1361,25 +1357,25 @@
 <a name="l01435"></a>01435    }
 <a name="l01436"></a>01436 
 <a name="l01437"></a>01437 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01438"></a><a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">01438</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#701009e4869f78144556ebc4ce33750f">tree&lt;T, tree_node_allocator&gt;::is_valid</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; it)<span class="keyword"> const</span>
+<a name="l01438"></a><a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3">01438</a> <span class="keywordtype">bool</span> <a class="code" href="classtree.html#9605b028195248894dc8cf506cd256e3" title="Determine whether the iterator is an &amp;#39;end&amp;#39; iterator and thus not actually...">tree&lt;T, tree_node_allocator&gt;::is_valid</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; it)<span class="keyword"> const</span>
 <a name="l01439"></a>01439 <span class="keyword">   </span>{
-<a name="l01440"></a>01440    <span class="keywordflow">if</span>(it.node==0 || it.node==<a class="code" href="classtree.html#e45df182e3702084c6bd147d6479cc08">feet</a>) <span class="keywordflow">return</span> <span class="keyword">false</span>;
+<a name="l01440"></a>01440    <span class="keywordflow">if</span>(it.node==0 || it.node==<a class="code" href="classtree.html#e1dbb80115ba483e37d081a2256c239b">feet</a>) <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01441"></a>01441    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01442"></a>01442    }
 <a name="l01443"></a>01443 
 <a name="l01444"></a>01444 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01445"></a><a class="code" href="classtree.html#e470529bbd14990a0272a82724b93217">01445</a> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#e470529bbd14990a0272a82724b93217">tree&lt;T, tree_node_allocator&gt;::index</a>(<a class="code" href="classtree_1_1sibling__iterator.html">sibling_iterator</a> it)<span class="keyword"> const</span>
+<a name="l01445"></a><a class="code" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86">01445</a> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#de5ec1ba55f94165062e50d01ec35d86" title="Determine the index of a node in the range of siblings to which it belongs.">tree&lt;T, tree_node_allocator&gt;::index</a>(<a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> it)<span class="keyword"> const</span>
 <a name="l01446"></a>01446 <span class="keyword">   </span>{
 <a name="l01447"></a>01447    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ind=0;
-<a name="l01448"></a>01448    <span class="keywordflow">if</span>(it.node-&gt;parent==0) {
-<a name="l01449"></a>01449       <span class="keywordflow">while</span>(it.node-&gt;prev_sibling!=<a class="code" href="classtree.html#fbb20670ecc61fe9ad3e7bd502227397">head</a>) {
-<a name="l01450"></a>01450          it.node=it.node-&gt;prev_sibling;
+<a name="l01448"></a>01448    <span class="keywordflow">if</span>(it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>==0) {
+<a name="l01449"></a>01449       <span class="keywordflow">while</span>(it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>!=<a class="code" href="classtree.html#10991cbf1497e125c0ef04d6e292e32b">head</a>) {
+<a name="l01450"></a>01450          it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01451"></a>01451          ++ind;
 <a name="l01452"></a>01452          }
 <a name="l01453"></a>01453       }
 <a name="l01454"></a>01454    <span class="keywordflow">else</span> {
-<a name="l01455"></a>01455       <span class="keywordflow">while</span>(it.node-&gt;prev_sibling!=0) {
-<a name="l01456"></a>01456          it.node=it.node-&gt;prev_sibling;
+<a name="l01455"></a>01455       <span class="keywordflow">while</span>(it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>!=0) {
+<a name="l01456"></a>01456          it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=it.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01457"></a>01457          ++ind;
 <a name="l01458"></a>01458          }
 <a name="l01459"></a>01459       }
@@ -1388,12 +1384,12 @@
 <a name="l01462"></a>01462 
 <a name="l01463"></a>01463 
 <a name="l01464"></a>01464 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01465"></a><a class="code" href="classtree.html#853359c74d04faf26a086dca7c2c5dc1">01465</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#853359c74d04faf26a086dca7c2c5dc1">tree&lt;T, tree_node_allocator&gt;::child</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html">iterator_base</a>&amp; it, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)<span class="keyword"> const</span>
+<a name="l01465"></a><a class="code" href="classtree.html#446c722c82607f8b3243a9153b665d19">01465</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#446c722c82607f8b3243a9153b665d19" title="Inverse of &amp;#39;index&amp;#39;: return the n-th child of the node at position.">tree&lt;T, tree_node_allocator&gt;::child</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; it, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)<span class="keyword"> const</span>
 <a name="l01466"></a>01466 <span class="keyword">   </span>{
-<a name="l01467"></a>01467    <a class="code" href="classtree__node__.html">tree_node</a> *tmp=it.node-&gt;first_child;
+<a name="l01467"></a>01467    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tmp=it.node-&gt;first_child;
 <a name="l01468"></a>01468    <span class="keywordflow">while</span>(num--) {
 <a name="l01469"></a>01469       assert(tmp!=0);
-<a name="l01470"></a>01470       tmp=tmp-&gt;<a class="code" href="classtree__node__.html#0d68e7676373568245853ea4a29c3fe1">next_sibling</a>;
+<a name="l01470"></a>01470       tmp=tmp-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01471"></a>01471       }
 <a name="l01472"></a>01472    <span class="keywordflow">return</span> tmp;
 <a name="l01473"></a>01473    }
@@ -1404,103 +1400,103 @@
 <a name="l01478"></a>01478 <span class="comment">// Iterator base</span>
 <a name="l01479"></a>01479 
 <a name="l01480"></a>01480 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01481"></a>01481 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base::iterator_base</a>()
-<a name="l01482"></a>01482    : node(0), skip_current_children_(<a class="code" href="inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">false</a>)
+<a name="l01481"></a><a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">01481</a> <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">tree&lt;T, tree_node_allocator&gt;::iterator_base::iterator_base</a>()
+<a name="l01482"></a>01482    : node(0), skip_current_children_(<a class="code" href="inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">false</a>)
 <a name="l01483"></a>01483    {
 <a name="l01484"></a>01484    }
 <a name="l01485"></a>01485 
 <a name="l01486"></a>01486 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01487"></a>01487 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base::iterator_base</a>(tree_node *tn)
-<a name="l01488"></a>01488    : node(tn), skip_current_children_(<a class="code" href="inc_2libofx_8h.html#924dded66e355a2c955251063df9e97e">false</a>)
+<a name="l01487"></a><a class="code" href="classtree_1_1iterator__base.html#dd6dda19c2febebabbc5e769365dc4dd">01487</a> <a class="code" href="classtree_1_1iterator__base.html#1be2e6802acca5f281ddc7e5d67bd61c">tree&lt;T, tree_node_allocator&gt;::iterator_base::iterator_base</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tn)
+<a name="l01488"></a>01488    : <a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>(tn), <a class="code" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">skip_current_children_</a>(<a class="code" href="inc_2libofx_8h.html#65e9886d74aaee76545e83dd09011727">false</a>)
 <a name="l01489"></a>01489    {
 <a name="l01490"></a>01490    }
 <a name="l01491"></a>01491 
 <a name="l01492"></a>01492 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01493"></a>01493 T&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base::operator*</a>()<span class="keyword"> const</span>
+<a name="l01493"></a><a class="code" href="classtree_1_1iterator__base.html#ada7cbe4d4f9a5ec29db78d10712edc6">01493</a> T&amp; <a class="code" href="classtree_1_1iterator__base.html#ada7cbe4d4f9a5ec29db78d10712edc6">tree&lt;T, tree_node_allocator&gt;::iterator_base::operator*</a>()<span class="keyword"> const</span>
 <a name="l01494"></a>01494 <span class="keyword">   </span>{
-<a name="l01495"></a>01495    <span class="keywordflow">return</span> node-&gt;data;
+<a name="l01495"></a>01495    <span class="keywordflow">return</span> <a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>;
 <a name="l01496"></a>01496    }
 <a name="l01497"></a>01497 
 <a name="l01498"></a>01498 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01499"></a>01499 T* <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base::operator-&gt;</a>()<span class="keyword"> const</span>
+<a name="l01499"></a><a class="code" href="classtree_1_1iterator__base.html#bd9c59569df7d8be5a50c835c180f4dc">01499</a> T* <a class="code" href="classtree_1_1iterator__base.html#bd9c59569df7d8be5a50c835c180f4dc">tree&lt;T, tree_node_allocator&gt;::iterator_base::operator-&gt;</a>()<span class="keyword"> const</span>
 <a name="l01500"></a>01500 <span class="keyword">   </span>{
-<a name="l01501"></a>01501    <span class="keywordflow">return</span> &amp;(node-&gt;data);
+<a name="l01501"></a>01501    <span class="keywordflow">return</span> &amp;(<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#4c15077a3ad0552413d1268ee4be1bef">data</a>);
 <a name="l01502"></a>01502    }
 <a name="l01503"></a>01503 
 <a name="l01504"></a>01504 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01505"></a>01505 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator!=</a>(<span class="keyword">const</span> post_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01505"></a><a class="code" href="classtree_1_1post__order__iterator.html#59f0d0d145f27ed094a69214e1831102">01505</a> <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1post__order__iterator.html#59f0d0d145f27ed094a69214e1831102">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator!=</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>&amp; other)<span class="keyword"> const</span>
 <a name="l01506"></a>01506 <span class="keyword">   </span>{
-<a name="l01507"></a>01507    <span class="keywordflow">if</span>(other.node!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01507"></a>01507    <span class="keywordflow">if</span>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01508"></a>01508    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01509"></a>01509    }
 <a name="l01510"></a>01510 
 <a name="l01511"></a>01511 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01512"></a>01512 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator==</a>(<span class="keyword">const</span> post_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01512"></a><a class="code" href="classtree_1_1post__order__iterator.html#b1303f191d6bc8a62e5f03fa53466ec4">01512</a> <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1post__order__iterator.html#b1303f191d6bc8a62e5f03fa53466ec4">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator==</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a>&amp; other)<span class="keyword"> const</span>
 <a name="l01513"></a>01513 <span class="keyword">   </span>{
-<a name="l01514"></a>01514    <span class="keywordflow">if</span>(other.node==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01514"></a>01514    <span class="keywordflow">if</span>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01515"></a>01515    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01516"></a>01516    }
 <a name="l01517"></a>01517 
 <a name="l01518"></a>01518 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01519"></a>01519 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator!=</a>(<span class="keyword">const</span> pre_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01519"></a><a class="code" href="classtree_1_1pre__order__iterator.html#14425c7743e9a6da2d96b172a85d2bed">01519</a> <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1pre__order__iterator.html#14425c7743e9a6da2d96b172a85d2bed">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator!=</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp; other)<span class="keyword"> const</span>
 <a name="l01520"></a>01520 <span class="keyword">   </span>{
-<a name="l01521"></a>01521    <span class="keywordflow">if</span>(other.node!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01521"></a>01521    <span class="keywordflow">if</span>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01522"></a>01522    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01523"></a>01523    }
 <a name="l01524"></a>01524 
 <a name="l01525"></a>01525 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01526"></a>01526 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator==</a>(<span class="keyword">const</span> pre_order_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01526"></a><a class="code" href="classtree_1_1pre__order__iterator.html#ea8dee1bfc2450608b2b35d26a9f11b7">01526</a> <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1pre__order__iterator.html#ea8dee1bfc2450608b2b35d26a9f11b7">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator==</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a>&amp; other)<span class="keyword"> const</span>
 <a name="l01527"></a>01527 <span class="keyword">   </span>{
-<a name="l01528"></a>01528    <span class="keywordflow">if</span>(other.node==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01528"></a>01528    <span class="keywordflow">if</span>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01529"></a>01529    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01530"></a>01530    }
 <a name="l01531"></a>01531 
 <a name="l01532"></a>01532 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01533"></a>01533 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator!=</a>(<span class="keyword">const</span> sibling_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01533"></a><a class="code" href="classtree_1_1sibling__iterator.html#2f4b2c5112c9d16f65852bc84d34c9c9">01533</a> <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1sibling__iterator.html#2f4b2c5112c9d16f65852bc84d34c9c9">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator!=</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp; other)<span class="keyword"> const</span>
 <a name="l01534"></a>01534 <span class="keyword">   </span>{
-<a name="l01535"></a>01535    <span class="keywordflow">if</span>(other.node!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01535"></a>01535    <span class="keywordflow">if</span>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>!=this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01536"></a>01536    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01537"></a>01537    }
 <a name="l01538"></a>01538 
 <a name="l01539"></a>01539 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01540"></a>01540 <span class="keywordtype">bool</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator==</a>(<span class="keyword">const</span> sibling_iterator&amp; other)<span class="keyword"> const</span>
+<a name="l01540"></a><a class="code" href="classtree_1_1sibling__iterator.html#f235d7b64b7d2654437482bab80c797b">01540</a> <span class="keywordtype">bool</span> <a class="code" href="classtree_1_1sibling__iterator.html#f235d7b64b7d2654437482bab80c797b">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator==</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp; other)<span class="keyword"> const</span>
 <a name="l01541"></a>01541 <span class="keyword">   </span>{
-<a name="l01542"></a>01542    <span class="keywordflow">if</span>(other.node==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
+<a name="l01542"></a>01542    <span class="keywordflow">if</span>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>==this-&gt;node) <span class="keywordflow">return</span> <span class="keyword">true</span>;
 <a name="l01543"></a>01543    <span class="keywordflow">else</span> <span class="keywordflow">return</span> <span class="keyword">false</span>;
 <a name="l01544"></a>01544    }
 <a name="l01545"></a>01545 
 <a name="l01546"></a>01546 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01547"></a>01547 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#11ef5dd7469082ebb7f98f08caf91c00">tree&lt;T, tree_node_allocator&gt;::iterator_base::begin</a>()<span class="keyword"> const</span>
+<a name="l01547"></a><a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">01547</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#7fad2f6cc1a6a667b5c71bb16c9b84e5">tree&lt;T, tree_node_allocator&gt;::iterator_base::begin</a>()<span class="keyword"> const</span>
 <a name="l01548"></a>01548 <span class="keyword">   </span>{
-<a name="l01549"></a>01549    sibling_iterator ret(node-&gt;first_child);
-<a name="l01550"></a>01550    ret.parent_=this-&gt;node;
+<a name="l01549"></a>01549    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> ret(<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>);
+<a name="l01550"></a>01550    ret.<a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
 <a name="l01551"></a>01551    <span class="keywordflow">return</span> ret;
 <a name="l01552"></a>01552    }
 <a name="l01553"></a>01553 
 <a name="l01554"></a>01554 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01555"></a>01555 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html#076873ec5384d8f6a5f17b01da552852">tree&lt;T, tree_node_allocator&gt;::iterator_base::end</a>()<span class="keyword"> const</span>
+<a name="l01555"></a><a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">01555</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1iterator__base.html#399dabd62f0659c02bfda59b26bdeefe">tree&lt;T, tree_node_allocator&gt;::iterator_base::end</a>()<span class="keyword"> const</span>
 <a name="l01556"></a>01556 <span class="keyword">   </span>{
-<a name="l01557"></a>01557    sibling_iterator ret(0);
-<a name="l01558"></a>01558    ret.parent_=node;
+<a name="l01557"></a>01557    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> ret(0);
+<a name="l01558"></a>01558    ret.<a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>=<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>;
 <a name="l01559"></a>01559    <span class="keywordflow">return</span> ret;
 <a name="l01560"></a>01560    }
 <a name="l01561"></a>01561 
 <a name="l01562"></a>01562 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01563"></a>01563 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::iterator_base::skip_children</a>()
+<a name="l01563"></a><a class="code" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb">01563</a> <span class="keywordtype">void</span> <a class="code" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb" title="When called, the next increment/decrement skips children of this node.">tree&lt;T, tree_node_allocator&gt;::iterator_base::skip_children</a>()
 <a name="l01564"></a>01564    {
-<a name="l01565"></a>01565    skip_current_children_=<span class="keyword">true</span>;
+<a name="l01565"></a>01565    <a class="code" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">skip_current_children_</a>=<span class="keyword">true</span>;
 <a name="l01566"></a>01566    }
 <a name="l01567"></a>01567 
 <a name="l01568"></a>01568 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01569"></a>01569 <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree.html#9e33e1e03c74f7fd67d0c8ab1b014f70">tree&lt;T, tree_node_allocator&gt;::iterator_base::number_of_children</a>()<span class="keyword"> const</span>
+<a name="l01569"></a><a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17">01569</a> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtree_1_1iterator__base.html#435004214270928d106dd4c8f6a36f17" title="Number of children of the node pointed to by the iterator.">tree&lt;T, tree_node_allocator&gt;::iterator_base::number_of_children</a>()<span class="keyword"> const</span>
 <a name="l01570"></a>01570 <span class="keyword">   </span>{
-<a name="l01571"></a>01571    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *pos=node-&gt;first_child;
+<a name="l01571"></a>01571    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *pos=<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>;
 <a name="l01572"></a>01572    <span class="keywordflow">if</span>(pos==0) <span class="keywordflow">return</span> 0;
 <a name="l01573"></a>01573    
 <a name="l01574"></a>01574    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> ret=1;
-<a name="l01575"></a>01575    <span class="keywordflow">while</span>(pos!=node-&gt;last_child) {
+<a name="l01575"></a>01575    <span class="keywordflow">while</span>(pos!=<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>) {
 <a name="l01576"></a>01576       ++ret;
-<a name="l01577"></a>01577       pos=pos-&gt;next_sibling;
+<a name="l01577"></a>01577       pos=pos-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01578"></a>01578       }
 <a name="l01579"></a>01579    <span class="keywordflow">return</span> ret;
 <a name="l01580"></a>01580    }
@@ -1510,67 +1506,67 @@
 <a name="l01584"></a>01584 <span class="comment">// Pre-order iterator</span>
 <a name="l01585"></a>01585 
 <a name="l01586"></a>01586 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01587"></a>01587 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>() 
-<a name="l01588"></a>01588    : iterator_base(0)
+<a name="l01587"></a><a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">01587</a> <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>() 
+<a name="l01588"></a>01588    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(0)
 <a name="l01589"></a>01589    {
 <a name="l01590"></a>01590    }
 <a name="l01591"></a>01591 
 <a name="l01592"></a>01592 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01593"></a>01593 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(tree_node *tn)
-<a name="l01594"></a>01594    : iterator_base(tn)
+<a name="l01593"></a><a class="code" href="classtree_1_1pre__order__iterator.html#afdaf0da69c4406b916c14c5589fa391">01593</a> <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tn)
+<a name="l01594"></a>01594    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(tn)
 <a name="l01595"></a>01595    {
 <a name="l01596"></a>01596    }
 <a name="l01597"></a>01597 
 <a name="l01598"></a>01598 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01599"></a>01599 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<span class="keyword">const</span> iterator_base &amp;other)
-<a name="l01600"></a>01600    : iterator_base(other.node)
+<a name="l01599"></a><a class="code" href="classtree_1_1pre__order__iterator.html#969cfeb31a2e92d1a64d9f2945bbedf7">01599</a> <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> &amp;other)
+<a name="l01600"></a>01600    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>)
 <a name="l01601"></a>01601    {
 <a name="l01602"></a>01602    }
 <a name="l01603"></a>01603 
 <a name="l01604"></a>01604 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01605"></a>01605 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
-<a name="l01606"></a>01606    : iterator_base(other.node)
+<a name="l01605"></a><a class="code" href="classtree_1_1pre__order__iterator.html#2705495c89beecc86107ca742a35507f">01605</a> <a class="code" href="classtree_1_1pre__order__iterator.html#aa4abe430ae678fa7d7753d9599be049">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::pre_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp; other)
+<a name="l01606"></a>01606    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>)
 <a name="l01607"></a>01607    {
 <a name="l01608"></a>01608    <span class="keywordflow">if</span>(this-&gt;node==0) {
-<a name="l01609"></a>01609       <span class="keywordflow">if</span>(other.range_last()!=0)
-<a name="l01610"></a>01610          this-&gt;node=other.range_last();
+<a name="l01609"></a>01609       <span class="keywordflow">if</span>(other.<a class="code" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">range_last</a>()!=0)
+<a name="l01610"></a>01610          this-&gt;node=other.<a class="code" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">range_last</a>();
 <a name="l01611"></a>01611       <span class="keywordflow">else</span> 
-<a name="l01612"></a>01612          this-&gt;node=other.parent_;
-<a name="l01613"></a>01613       this-&gt;skip_children();
+<a name="l01612"></a>01612          this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=other.<a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>;
+<a name="l01613"></a>01613       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb" title="When called, the next increment/decrement skips children of this node.">skip_children</a>();
 <a name="l01614"></a>01614       ++(*this);
 <a name="l01615"></a>01615       }
 <a name="l01616"></a>01616    }
 <a name="l01617"></a>01617 
 <a name="l01618"></a>01618 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01619"></a>01619 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator++</a>()
+<a name="l01619"></a><a class="code" href="classtree_1_1pre__order__iterator.html#07b77d1591ad7f05e4531489561d36d2">01619</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#07b77d1591ad7f05e4531489561d36d2">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator++</a>()
 <a name="l01620"></a>01620    {
 <a name="l01621"></a>01621    assert(this-&gt;node!=0);
 <a name="l01622"></a>01622    <span class="keywordflow">if</span>(!this-&gt;skip_current_children_ &amp;&amp; this-&gt;node-&gt;first_child != 0) {
-<a name="l01623"></a>01623       this-&gt;node=this-&gt;node-&gt;first_child;
+<a name="l01623"></a>01623       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>;
 <a name="l01624"></a>01624       }
 <a name="l01625"></a>01625    <span class="keywordflow">else</span> {
-<a name="l01626"></a>01626       this-&gt;skip_current_children_=<span class="keyword">false</span>;
+<a name="l01626"></a>01626       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">skip_current_children_</a>=<span class="keyword">false</span>;
 <a name="l01627"></a>01627       <span class="keywordflow">while</span>(this-&gt;node-&gt;next_sibling==0) {
-<a name="l01628"></a>01628          this-&gt;node=this-&gt;node-&gt;parent;
+<a name="l01628"></a>01628          this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
 <a name="l01629"></a>01629          <span class="keywordflow">if</span>(this-&gt;node==0)
 <a name="l01630"></a>01630             <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l01631"></a>01631          }
-<a name="l01632"></a>01632       this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l01632"></a>01632       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01633"></a>01633       }
 <a name="l01634"></a>01634    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l01635"></a>01635    }
 <a name="l01636"></a>01636 
 <a name="l01637"></a>01637 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01638"></a>01638 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator--</a>()
+<a name="l01638"></a><a class="code" href="classtree_1_1pre__order__iterator.html#4e2dd21653724b6413d9949caf9bb107">01638</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#4e2dd21653724b6413d9949caf9bb107">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator--</a>()
 <a name="l01639"></a>01639    {
 <a name="l01640"></a>01640    assert(this-&gt;node!=0);
 <a name="l01641"></a>01641    <span class="keywordflow">if</span>(this-&gt;node-&gt;prev_sibling) {
-<a name="l01642"></a>01642       this-&gt;node=this-&gt;node-&gt;prev_sibling;
+<a name="l01642"></a>01642       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01643"></a>01643       <span class="keywordflow">while</span>(this-&gt;node-&gt;last_child)
-<a name="l01644"></a>01644          this-&gt;node=this-&gt;node-&gt;last_child;
+<a name="l01644"></a>01644          this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>;
 <a name="l01645"></a>01645       }
 <a name="l01646"></a>01646    <span class="keywordflow">else</span> {
-<a name="l01647"></a>01647       this-&gt;node=this-&gt;node-&gt;parent;
+<a name="l01647"></a>01647       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
 <a name="l01648"></a>01648       <span class="keywordflow">if</span>(this-&gt;node==0)
 <a name="l01649"></a>01649          <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l01650"></a>01650       }
@@ -1578,23 +1574,23 @@
 <a name="l01652"></a>01652 }
 <a name="l01653"></a>01653 
 <a name="l01654"></a>01654 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01655"></a>01655 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator++</a>(<span class="keywordtype">int</span> n)
+<a name="l01655"></a><a class="code" href="classtree_1_1pre__order__iterator.html#d99a34d4c6cbfaa1de621b276a363856">01655</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree_1_1pre__order__iterator.html#07b77d1591ad7f05e4531489561d36d2">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator++</a>(<span class="keywordtype">int</span> n)
 <a name="l01656"></a>01656    {
-<a name="l01657"></a>01657    pre_order_iterator copy = *<span class="keyword">this</span>;
+<a name="l01657"></a>01657    <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> copy = *<span class="keyword">this</span>;
 <a name="l01658"></a>01658    ++(*this);
 <a name="l01659"></a>01659    <span class="keywordflow">return</span> copy;
 <a name="l01660"></a>01660    }
 <a name="l01661"></a>01661 
 <a name="l01662"></a>01662 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01663"></a>01663 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator--</a>(<span class="keywordtype">int</span> n)
+<a name="l01663"></a><a class="code" href="classtree_1_1pre__order__iterator.html#9ccab7bd408c6d0a221f69d11f7f3717">01663</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a> <a class="code" href="classtree_1_1pre__order__iterator.html#4e2dd21653724b6413d9949caf9bb107">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator--</a>(<span class="keywordtype">int</span> n)
 <a name="l01664"></a>01664 {
-<a name="l01665"></a>01665   pre_order_iterator copy = *<span class="keyword">this</span>;
+<a name="l01665"></a>01665   <a class="code" href="classtree_1_1pre__order__iterator.html" title="Depth-first iterator, first accessing the node, then its children.">pre_order_iterator</a> copy = *<span class="keyword">this</span>;
 <a name="l01666"></a>01666   --(*this);
 <a name="l01667"></a>01667   <span class="keywordflow">return</span> copy;
 <a name="l01668"></a>01668 }
 <a name="l01669"></a>01669 
 <a name="l01670"></a>01670 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01671"></a>01671 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01671"></a><a class="code" href="classtree_1_1pre__order__iterator.html#5ab66cd50ae22c9b246231b41b7720f5">01671</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#5ab66cd50ae22c9b246231b41b7720f5">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01672"></a>01672    {
 <a name="l01673"></a>01673    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01674"></a>01674       ++(*this);
@@ -1604,7 +1600,7 @@
 <a name="l01678"></a>01678    }
 <a name="l01679"></a>01679 
 <a name="l01680"></a>01680 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01681"></a>01681 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01681"></a><a class="code" href="classtree_1_1pre__order__iterator.html#722aedfd8f8be3490324a587d17cb133">01681</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator</a>&amp; <a class="code" href="classtree_1_1pre__order__iterator.html#722aedfd8f8be3490324a587d17cb133">tree&lt;T, tree_node_allocator&gt;::pre_order_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01682"></a>01682    {
 <a name="l01683"></a>01683    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01684"></a>01684       --(*this);
@@ -1618,93 +1614,93 @@
 <a name="l01692"></a>01692 <span class="comment">// Post-order iterator</span>
 <a name="l01693"></a>01693 
 <a name="l01694"></a>01694 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01695"></a>01695 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>() 
-<a name="l01696"></a>01696    : iterator_base(0)
+<a name="l01695"></a><a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">01695</a> <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>() 
+<a name="l01696"></a>01696    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(0)
 <a name="l01697"></a>01697    {
 <a name="l01698"></a>01698    }
 <a name="l01699"></a>01699 
 <a name="l01700"></a>01700 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01701"></a>01701 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(tree_node *tn)
-<a name="l01702"></a>01702    : iterator_base(tn)
+<a name="l01701"></a><a class="code" href="classtree_1_1post__order__iterator.html#add3e555f6a69c1799cb5b9b12e3ef48">01701</a> <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tn)
+<a name="l01702"></a>01702    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(tn)
 <a name="l01703"></a>01703    {
 <a name="l01704"></a>01704    }
 <a name="l01705"></a>01705 
 <a name="l01706"></a>01706 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01707"></a>01707 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<span class="keyword">const</span> iterator_base &amp;other)
-<a name="l01708"></a>01708    : iterator_base(other.node)
+<a name="l01707"></a><a class="code" href="classtree_1_1post__order__iterator.html#bbe898c229fab7e833da744a76aca5ab">01707</a> <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a> &amp;other)
+<a name="l01708"></a>01708    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>)
 <a name="l01709"></a>01709    {
 <a name="l01710"></a>01710    }
 <a name="l01711"></a>01711 
 <a name="l01712"></a>01712 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01713"></a>01713 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
-<a name="l01714"></a>01714    : iterator_base(other.node)
+<a name="l01713"></a><a class="code" href="classtree_1_1post__order__iterator.html#d1bba922181132f5c41a6ebd5230abe9">01713</a> <a class="code" href="classtree_1_1post__order__iterator.html#f6d2a1ff77da1ca318447faef819fb22">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::post_order_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp; other)
+<a name="l01714"></a>01714    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>)
 <a name="l01715"></a>01715    {
 <a name="l01716"></a>01716    <span class="keywordflow">if</span>(this-&gt;node==0) {
-<a name="l01717"></a>01717       <span class="keywordflow">if</span>(other.range_last()!=0)
-<a name="l01718"></a>01718          this-&gt;node=other.range_last();
+<a name="l01717"></a>01717       <span class="keywordflow">if</span>(other.<a class="code" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">range_last</a>()!=0)
+<a name="l01718"></a>01718          this-&gt;node=other.<a class="code" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">range_last</a>();
 <a name="l01719"></a>01719       <span class="keywordflow">else</span> 
-<a name="l01720"></a>01720          this-&gt;node=other.parent_;
-<a name="l01721"></a>01721       this-&gt;skip_children();
+<a name="l01720"></a>01720          this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=other.<a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>;
+<a name="l01721"></a>01721       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#a0be7989b9dd4c5bcdcc0d47a56d11fb" title="When called, the next increment/decrement skips children of this node.">skip_children</a>();
 <a name="l01722"></a>01722       ++(*this);
 <a name="l01723"></a>01723       }
 <a name="l01724"></a>01724    }
 <a name="l01725"></a>01725 
 <a name="l01726"></a>01726 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01727"></a>01727 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator++</a>()
+<a name="l01727"></a><a class="code" href="classtree_1_1post__order__iterator.html#baba42c4ecb0a0bb8b21b0c28dfa3009">01727</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#baba42c4ecb0a0bb8b21b0c28dfa3009">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator++</a>()
 <a name="l01728"></a>01728    {
 <a name="l01729"></a>01729    assert(this-&gt;node!=0);
 <a name="l01730"></a>01730    <span class="keywordflow">if</span>(this-&gt;node-&gt;next_sibling==0) {
-<a name="l01731"></a>01731       this-&gt;node=this-&gt;node-&gt;parent;
-<a name="l01732"></a>01732       this-&gt;skip_current_children_=<span class="keyword">false</span>;
+<a name="l01731"></a>01731       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
+<a name="l01732"></a>01732       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">skip_current_children_</a>=<span class="keyword">false</span>;
 <a name="l01733"></a>01733       }
 <a name="l01734"></a>01734    <span class="keywordflow">else</span> {
-<a name="l01735"></a>01735       this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l01735"></a>01735       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01736"></a>01736       <span class="keywordflow">if</span>(this-&gt;skip_current_children_) {
-<a name="l01737"></a>01737          this-&gt;skip_current_children_=<span class="keyword">false</span>;
+<a name="l01737"></a>01737          this-&gt;<a class="code" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">skip_current_children_</a>=<span class="keyword">false</span>;
 <a name="l01738"></a>01738          }
 <a name="l01739"></a>01739       <span class="keywordflow">else</span> {
 <a name="l01740"></a>01740          <span class="keywordflow">while</span>(this-&gt;node-&gt;first_child)
-<a name="l01741"></a>01741             this-&gt;node=this-&gt;node-&gt;first_child;
+<a name="l01741"></a>01741             this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>;
 <a name="l01742"></a>01742          }
 <a name="l01743"></a>01743       }
 <a name="l01744"></a>01744    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l01745"></a>01745    }
 <a name="l01746"></a>01746 
 <a name="l01747"></a>01747 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01748"></a>01748 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator--</a>()
+<a name="l01748"></a><a class="code" href="classtree_1_1post__order__iterator.html#f70bbd10b24ca0cf1c674e4ef40899db">01748</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#f70bbd10b24ca0cf1c674e4ef40899db">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator--</a>()
 <a name="l01749"></a>01749    {
 <a name="l01750"></a>01750    assert(this-&gt;node!=0);
 <a name="l01751"></a>01751    <span class="keywordflow">if</span>(this-&gt;skip_current_children_ || this-&gt;node-&gt;last_child==0) {
-<a name="l01752"></a>01752       this-&gt;skip_current_children_=<span class="keyword">false</span>;
+<a name="l01752"></a>01752       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#88239267268c728952e0cd89b9326e82">skip_current_children_</a>=<span class="keyword">false</span>;
 <a name="l01753"></a>01753       <span class="keywordflow">while</span>(this-&gt;node-&gt;prev_sibling==0)
-<a name="l01754"></a>01754          this-&gt;node=this-&gt;node-&gt;parent;
-<a name="l01755"></a>01755       this-&gt;node=this-&gt;node-&gt;prev_sibling;
+<a name="l01754"></a>01754          this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
+<a name="l01755"></a>01755       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01756"></a>01756       }
 <a name="l01757"></a>01757    <span class="keywordflow">else</span> {
-<a name="l01758"></a>01758       this-&gt;node=this-&gt;node-&gt;last_child;
+<a name="l01758"></a>01758       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>;
 <a name="l01759"></a>01759       }
 <a name="l01760"></a>01760    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l01761"></a>01761 }
 <a name="l01762"></a>01762 
 <a name="l01763"></a>01763 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01764"></a>01764 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator++</a>(<span class="keywordtype">int</span>)
+<a name="l01764"></a><a class="code" href="classtree_1_1post__order__iterator.html#7041325e846017886e7c43d9c1c2cddb">01764</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree_1_1post__order__iterator.html#baba42c4ecb0a0bb8b21b0c28dfa3009">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator++</a>(<span class="keywordtype">int</span>)
 <a name="l01765"></a>01765    {
-<a name="l01766"></a>01766    post_order_iterator copy = *<span class="keyword">this</span>;
+<a name="l01766"></a>01766    <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a> copy = *<span class="keyword">this</span>;
 <a name="l01767"></a>01767    ++(*this);
 <a name="l01768"></a>01768    <span class="keywordflow">return</span> copy;
 <a name="l01769"></a>01769    }
 <a name="l01770"></a>01770 
 <a name="l01771"></a>01771 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01772"></a>01772 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator--</a>(<span class="keywordtype">int</span>)
+<a name="l01772"></a><a class="code" href="classtree_1_1post__order__iterator.html#f2c0df6c235853aa2191d02a557a1fea">01772</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a> <a class="code" href="classtree_1_1post__order__iterator.html#f70bbd10b24ca0cf1c674e4ef40899db">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator--</a>(<span class="keywordtype">int</span>)
 <a name="l01773"></a>01773    {
-<a name="l01774"></a>01774    post_order_iterator copy = *<span class="keyword">this</span>;
+<a name="l01774"></a>01774    <a class="code" href="classtree_1_1post__order__iterator.html" title="Depth-first iterator, first accessing the children, then the node itself.">post_order_iterator</a> copy = *<span class="keyword">this</span>;
 <a name="l01775"></a>01775    --(*this);
 <a name="l01776"></a>01776    <span class="keywordflow">return</span> copy;
 <a name="l01777"></a>01777    }
 <a name="l01778"></a>01778 
 <a name="l01779"></a>01779 
 <a name="l01780"></a>01780 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01781"></a>01781 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01781"></a><a class="code" href="classtree_1_1post__order__iterator.html#0b6c2246f41b0a2ff8e4c9d9efcee879">01781</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#0b6c2246f41b0a2ff8e4c9d9efcee879">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01782"></a>01782    {
 <a name="l01783"></a>01783    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01784"></a>01784       ++(*this);
@@ -1714,7 +1710,7 @@
 <a name="l01788"></a>01788    }
 <a name="l01789"></a>01789 
 <a name="l01790"></a>01790 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01791"></a>01791 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01791"></a><a class="code" href="classtree_1_1post__order__iterator.html#93b7ddae75f30985a0d81f38bcbaa306">01791</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator</a>&amp; <a class="code" href="classtree_1_1post__order__iterator.html#93b7ddae75f30985a0d81f38bcbaa306">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01792"></a>01792    {
 <a name="l01793"></a>01793    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01794"></a>01794       --(*this);
@@ -1724,47 +1720,47 @@
 <a name="l01798"></a>01798    }
 <a name="l01799"></a>01799 
 <a name="l01800"></a>01800 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01801"></a>01801 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::descend_all</a>()
+<a name="l01801"></a><a class="code" href="classtree_1_1post__order__iterator.html#ca4676b4986854521cfa2c7d84f62204">01801</a> <span class="keywordtype">void</span> <a class="code" href="classtree_1_1post__order__iterator.html#ca4676b4986854521cfa2c7d84f62204" title="Set iterator to the first child as deep as possible down the tree.">tree&lt;T, tree_node_allocator&gt;::post_order_iterator::descend_all</a>()
 <a name="l01802"></a>01802    {
 <a name="l01803"></a>01803    assert(this-&gt;node!=0);
 <a name="l01804"></a>01804    <span class="keywordflow">while</span>(this-&gt;node-&gt;first_child)
-<a name="l01805"></a>01805       this-&gt;node=this-&gt;node-&gt;first_child;
+<a name="l01805"></a>01805       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>;
 <a name="l01806"></a>01806    }
 <a name="l01807"></a>01807 
 <a name="l01808"></a>01808 
 <a name="l01809"></a>01809 <span class="comment">// Fixed depth iterator</span>
 <a name="l01810"></a>01810 
 <a name="l01811"></a>01811 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01812"></a>01812 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>()
-<a name="l01813"></a>01813    : iterator_base()
+<a name="l01812"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">01812</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>()
+<a name="l01813"></a>01813    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>()
 <a name="l01814"></a>01814    {
 <a name="l01815"></a>01815    set_first_parent_();
 <a name="l01816"></a>01816    }
 <a name="l01817"></a>01817 
 <a name="l01818"></a>01818 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01819"></a>01819 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(tree_node *tn)
-<a name="l01820"></a>01820    : iterator_base(tn)
+<a name="l01819"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#a9c0c41473a4d70efa17d7906829823c">01819</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tn)
+<a name="l01820"></a>01820    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(tn)
 <a name="l01821"></a>01821    {
 <a name="l01822"></a>01822    set_first_parent_();
 <a name="l01823"></a>01823    }
 <a name="l01824"></a>01824 
 <a name="l01825"></a>01825 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01826"></a>01826 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> iterator_base&amp; other)
-<a name="l01827"></a>01827    : iterator_base(other.node)
+<a name="l01826"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#64403be9e04a8e4929531b8e227b5d94">01826</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; other)
+<a name="l01827"></a>01827    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>)
 <a name="l01828"></a>01828    {
 <a name="l01829"></a>01829    set_first_parent_();
 <a name="l01830"></a>01830    }
 <a name="l01831"></a>01831 
 <a name="l01832"></a>01832 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01833"></a>01833 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
-<a name="l01834"></a>01834    : iterator_base(other.node), first_parent_(other.parent_)
+<a name="l01833"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#949317e3e8a986e72e0a8dbb79a00b03">01833</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp; other)
+<a name="l01834"></a>01834    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>), <a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a>(other.parent_)
 <a name="l01835"></a>01835    {
 <a name="l01836"></a>01836    find_leftmost_parent_();
 <a name="l01837"></a>01837    }
 <a name="l01838"></a>01838 
 <a name="l01839"></a>01839 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01840"></a>01840 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> fixed_depth_iterator&amp; other)
-<a name="l01841"></a>01841    : iterator_base(other.node), first_parent_(other.first_parent_)
+<a name="l01840"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#4416f43946317c249652270fec7c84a6">01840</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#10f1d20ec2b62e4370a560ebcd84ad54">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::fixed_depth_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a>&amp; other)
+<a name="l01841"></a>01841    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>), <a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a>(other.<a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a>)
 <a name="l01842"></a>01842    {
 <a name="l01843"></a>01843    }
 <a name="l01844"></a>01844 
@@ -1773,11 +1769,11 @@
 <a name="l01847"></a>01847    {
 <a name="l01848"></a>01848    <span class="keywordflow">return</span>; <span class="comment">// FIXME: we do not use first_parent_ yet, and it actually needs some serious reworking if</span>
 <a name="l01849"></a>01849            <span class="comment">// it is ever to work at the 'head' level.</span>
-<a name="l01850"></a>01850    first_parent_=0;
+<a name="l01850"></a>01850    <a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a>=0;
 <a name="l01851"></a>01851    <span class="keywordflow">if</span>(this-&gt;node==0) <span class="keywordflow">return</span>;
 <a name="l01852"></a>01852    <span class="keywordflow">if</span>(this-&gt;node-&gt;parent!=0)
-<a name="l01853"></a>01853       first_parent_=this-&gt;node-&gt;parent;
-<a name="l01854"></a>01854    <span class="keywordflow">if</span>(first_parent_)
+<a name="l01853"></a>01853       <a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
+<a name="l01854"></a>01854    <span class="keywordflow">if</span>(<a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a>)
 <a name="l01855"></a>01855       find_leftmost_parent_();
 <a name="l01856"></a>01856    }
 <a name="l01857"></a>01857 
@@ -1785,40 +1781,40 @@
 <a name="l01859"></a>01859 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::find_leftmost_parent_</a>()
 <a name="l01860"></a>01860    {
 <a name="l01861"></a>01861    <span class="keywordflow">return</span>; <span class="comment">// FIXME: see 'set_first_parent()'</span>
-<a name="l01862"></a>01862    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *tmppar=first_parent_;
+<a name="l01862"></a>01862    <a class="code" href="classtree.html#672d078d87ae97c58b732a940d7b8ca8">tree_node</a> *tmppar=<a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a>;
 <a name="l01863"></a>01863    <span class="keywordflow">while</span>(tmppar-&gt;prev_sibling) {
 <a name="l01864"></a>01864       tmppar=tmppar-&gt;prev_sibling;
 <a name="l01865"></a>01865       <span class="keywordflow">if</span>(tmppar-&gt;first_child)
-<a name="l01866"></a>01866          first_parent_=tmppar;
+<a name="l01866"></a>01866          <a class="code" href="classtree_1_1fixed__depth__iterator.html#5f6c92f12c4281e94e950ccd70833985">first_parent_</a>=tmppar;
 <a name="l01867"></a>01867       }
 <a name="l01868"></a>01868    }
 <a name="l01869"></a>01869 
 <a name="l01870"></a>01870 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01871"></a>01871 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator++</a>()
+<a name="l01871"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#71bcee62caa033974d5c0d94ab0dc0c6">01871</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#71bcee62caa033974d5c0d94ab0dc0c6">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator++</a>()
 <a name="l01872"></a>01872    {
 <a name="l01873"></a>01873    assert(this-&gt;node!=0);
 <a name="l01874"></a>01874 
 <a name="l01875"></a>01875    <span class="keywordflow">if</span>(this-&gt;node-&gt;next_sibling) {
-<a name="l01876"></a>01876       this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l01876"></a>01876       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01877"></a>01877       }
 <a name="l01878"></a>01878    <span class="keywordflow">else</span> { 
 <a name="l01879"></a>01879       <span class="keywordtype">int</span> relative_depth=0;
 <a name="l01880"></a>01880       upper:
 <a name="l01881"></a>01881       <span class="keywordflow">do</span> {
-<a name="l01882"></a>01882          this-&gt;node=this-&gt;node-&gt;parent;
+<a name="l01882"></a>01882          this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
 <a name="l01883"></a>01883          <span class="keywordflow">if</span>(this-&gt;node==0) <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l01884"></a>01884          --relative_depth;
 <a name="l01885"></a>01885          } <span class="keywordflow">while</span>(this-&gt;node-&gt;next_sibling==0);
 <a name="l01886"></a>01886       lower:
-<a name="l01887"></a>01887       this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l01887"></a>01887       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01888"></a>01888       <span class="keywordflow">while</span>(this-&gt;node-&gt;first_child==0) {
 <a name="l01889"></a>01889          <span class="keywordflow">if</span>(this-&gt;node-&gt;next_sibling==0)
 <a name="l01890"></a>01890             <span class="keywordflow">goto</span> upper;
-<a name="l01891"></a>01891          this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l01891"></a>01891          this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l01892"></a>01892          <span class="keywordflow">if</span>(this-&gt;node==0) <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l01893"></a>01893          }
-<a name="l01894"></a>01894       <span class="keywordflow">while</span>(relative_depth&lt;0 &amp;&amp; this-&gt;node-&gt;first_child!=0) {
-<a name="l01895"></a>01895          this-&gt;node=this-&gt;node-&gt;first_child;
+<a name="l01894"></a>01894       <span class="keywordflow">while</span>(relative_depth&lt;0 &amp;&amp; this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>!=0) {
+<a name="l01895"></a>01895          this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>;
 <a name="l01896"></a>01896          ++relative_depth;
 <a name="l01897"></a>01897          }
 <a name="l01898"></a>01898       <span class="keywordflow">if</span>(relative_depth&lt;0) {
@@ -1849,47 +1845,47 @@
 <a name="l01923"></a>01923    }
 <a name="l01924"></a>01924 
 <a name="l01925"></a>01925 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01926"></a>01926 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator--</a>()
+<a name="l01926"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#39a2c5b5048ec0dfff33fbb55bd7767e">01926</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#39a2c5b5048ec0dfff33fbb55bd7767e">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator--</a>()
 <a name="l01927"></a>01927    {
 <a name="l01928"></a>01928    assert(this-&gt;node!=0);
 <a name="l01929"></a>01929    <span class="keywordflow">if</span>(this-&gt;node-&gt;prev_sibling!=0) {
-<a name="l01930"></a>01930       this-&gt;node=this-&gt;node-&gt;prev_sibling;
+<a name="l01930"></a>01930       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01931"></a>01931       assert(this-&gt;node!=0);
 <a name="l01932"></a>01932       <span class="keywordflow">if</span>(this-&gt;node-&gt;parent==0 &amp;&amp; this-&gt;node-&gt;prev_sibling==0) <span class="comment">// head element</span>
-<a name="l01933"></a>01933          this-&gt;node=0;
+<a name="l01933"></a>01933          this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=0;
 <a name="l01934"></a>01934       }
 <a name="l01935"></a>01935    <span class="keywordflow">else</span> {
-<a name="l01936"></a>01936       <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *par=this-&gt;node-&gt;parent;
+<a name="l01936"></a>01936       <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *par=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
 <a name="l01937"></a>01937       <span class="keywordflow">do</span> {
-<a name="l01938"></a>01938          par=par-&gt;prev_sibling;
+<a name="l01938"></a>01938          par=par-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l01939"></a>01939          <span class="keywordflow">if</span>(par==0) { <span class="comment">// FIXME: need to keep track of this!</span>
-<a name="l01940"></a>01940             this-&gt;node=0;
+<a name="l01940"></a>01940             this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=0;
 <a name="l01941"></a>01941             <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l01942"></a>01942             }
-<a name="l01943"></a>01943          } <span class="keywordflow">while</span>(par-&gt;last_child==0);
-<a name="l01944"></a>01944       this-&gt;node=par-&gt;last_child;
+<a name="l01943"></a>01943          } <span class="keywordflow">while</span>(par-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>==0);
+<a name="l01944"></a>01944       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=par-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>;
 <a name="l01945"></a>01945       }
 <a name="l01946"></a>01946    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l01947"></a>01947 }
 <a name="l01948"></a>01948 
 <a name="l01949"></a>01949 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01950"></a>01950 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator++</a>(<span class="keywordtype">int</span>)
+<a name="l01950"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#f1a1bf2404498a385611f938c2d6a750">01950</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#71bcee62caa033974d5c0d94ab0dc0c6">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator++</a>(<span class="keywordtype">int</span>)
 <a name="l01951"></a>01951    {
-<a name="l01952"></a>01952    fixed_depth_iterator copy = *<span class="keyword">this</span>;
+<a name="l01952"></a>01952    <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a> copy = *<span class="keyword">this</span>;
 <a name="l01953"></a>01953    ++(*this);
 <a name="l01954"></a>01954    <span class="keywordflow">return</span> copy;
 <a name="l01955"></a>01955    }
 <a name="l01956"></a>01956 
 <a name="l01957"></a>01957 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01958"></a>01958 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator--</a>(<span class="keywordtype">int</span>)
+<a name="l01958"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#b404acdf3639ea5e5ce2ae65b77b94c7">01958</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a> <a class="code" href="classtree_1_1fixed__depth__iterator.html#39a2c5b5048ec0dfff33fbb55bd7767e">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator--</a>(<span class="keywordtype">int</span>)
 <a name="l01959"></a>01959 {
-<a name="l01960"></a>01960   fixed_depth_iterator copy = *<span class="keyword">this</span>;
+<a name="l01960"></a>01960   <a class="code" href="classtree_1_1fixed__depth__iterator.html" title="Iterator which traverses only the nodes at a given depth from the root.">fixed_depth_iterator</a> copy = *<span class="keyword">this</span>;
 <a name="l01961"></a>01961   --(*this);
 <a name="l01962"></a>01962   <span class="keywordflow">return</span> copy;
 <a name="l01963"></a>01963 }
 <a name="l01964"></a>01964 
 <a name="l01965"></a>01965 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01966"></a>01966 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01966"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#e8ccf119ae29e96044d9a4eeca2a539d">01966</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#e8ccf119ae29e96044d9a4eeca2a539d">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01967"></a>01967    {
 <a name="l01968"></a>01968    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01969"></a>01969       --(*this);
@@ -1899,7 +1895,7 @@
 <a name="l01973"></a>01973    }
 <a name="l01974"></a>01974 
 <a name="l01975"></a>01975 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01976"></a>01976 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l01976"></a><a class="code" href="classtree_1_1fixed__depth__iterator.html#6909c400794c6feb49d75b99dbf6aa00">01976</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator</a>&amp; <a class="code" href="classtree_1_1fixed__depth__iterator.html#6909c400794c6feb49d75b99dbf6aa00">tree&lt;T, tree_node_allocator&gt;::fixed_depth_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l01977"></a>01977    {
 <a name="l01978"></a>01978    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l01979"></a>01979       ++(*this);
@@ -1914,78 +1910,78 @@
 <a name="l01988"></a>01988 <span class="comment">// Sibling iterator</span>
 <a name="l01989"></a>01989 
 <a name="l01990"></a>01990 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01991"></a>01991 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>() 
-<a name="l01992"></a>01992    : iterator_base()
+<a name="l01991"></a><a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">01991</a> <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>() 
+<a name="l01992"></a>01992    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>()
 <a name="l01993"></a>01993    {
 <a name="l01994"></a>01994    set_parent_();
 <a name="l01995"></a>01995    }
 <a name="l01996"></a>01996 
 <a name="l01997"></a>01997 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l01998"></a>01998 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(tree_node *tn)
-<a name="l01999"></a>01999    : iterator_base(tn)
+<a name="l01998"></a><a class="code" href="classtree_1_1sibling__iterator.html#7ddfa2fffd76fdd78b97973408a80528">01998</a> <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tn)
+<a name="l01999"></a>01999    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(tn)
 <a name="l02000"></a>02000    {
 <a name="l02001"></a>02001    set_parent_();
 <a name="l02002"></a>02002    }
 <a name="l02003"></a>02003 
 <a name="l02004"></a>02004 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02005"></a>02005 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<span class="keyword">const</span> iterator_base&amp; other)
-<a name="l02006"></a>02006    : iterator_base(other.node)
+<a name="l02005"></a><a class="code" href="classtree_1_1sibling__iterator.html#093ea4798a85b0d52e5db20a876bc0d3">02005</a> <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>&amp; other)
+<a name="l02006"></a>02006    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(other.<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>)
 <a name="l02007"></a>02007    {
 <a name="l02008"></a>02008    set_parent_();
 <a name="l02009"></a>02009    }
 <a name="l02010"></a>02010 
 <a name="l02011"></a>02011 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02012"></a>02012 <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<span class="keyword">const</span> sibling_iterator&amp; other)
-<a name="l02013"></a>02013    : iterator_base(other), parent_(other.parent_)
+<a name="l02012"></a><a class="code" href="classtree_1_1sibling__iterator.html#8def7a6f3e109876cb003f4254885ca0">02012</a> <a class="code" href="classtree_1_1sibling__iterator.html#daaf56c800ed241d36802abab3925a2a">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::sibling_iterator</a>(<span class="keyword">const</span> <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a>&amp; other)
+<a name="l02013"></a>02013    : <a class="code" href="classtree_1_1iterator__base.html" title="Base class for iterators, only pointers stored, no traversal logic.">iterator_base</a>(other), <a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>(other.<a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>)
 <a name="l02014"></a>02014    {
 <a name="l02015"></a>02015    }
 <a name="l02016"></a>02016 
 <a name="l02017"></a>02017 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
 <a name="l02018"></a>02018 <span class="keywordtype">void</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::set_parent_</a>()
 <a name="l02019"></a>02019    {
-<a name="l02020"></a>02020    parent_=0;
+<a name="l02020"></a>02020    <a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>=0;
 <a name="l02021"></a>02021    <span class="keywordflow">if</span>(this-&gt;node==0) <span class="keywordflow">return</span>;
 <a name="l02022"></a>02022    <span class="keywordflow">if</span>(this-&gt;node-&gt;parent!=0)
-<a name="l02023"></a>02023       parent_=this-&gt;node-&gt;parent;
+<a name="l02023"></a>02023       <a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#60597bf2f8288fdd616c52f8a5a4e477">parent</a>;
 <a name="l02024"></a>02024    }
 <a name="l02025"></a>02025 
 <a name="l02026"></a>02026 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02027"></a>02027 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator++</a>()
+<a name="l02027"></a><a class="code" href="classtree_1_1sibling__iterator.html#8d0d647a7843432b5ccc18724fcc3493">02027</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#8d0d647a7843432b5ccc18724fcc3493">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator++</a>()
 <a name="l02028"></a>02028    {
 <a name="l02029"></a>02029    <span class="keywordflow">if</span>(this-&gt;node)
-<a name="l02030"></a>02030       this-&gt;node=this-&gt;node-&gt;next_sibling;
+<a name="l02030"></a>02030       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#195a647282d6ab1de50d9ac87aa42bce">next_sibling</a>;
 <a name="l02031"></a>02031    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l02032"></a>02032    }
 <a name="l02033"></a>02033 
 <a name="l02034"></a>02034 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02035"></a>02035 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator--</a>()
+<a name="l02035"></a><a class="code" href="classtree_1_1sibling__iterator.html#7e91377755da77acd20d5b9356f7498e">02035</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#7e91377755da77acd20d5b9356f7498e">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator--</a>()
 <a name="l02036"></a>02036    {
-<a name="l02037"></a>02037    <span class="keywordflow">if</span>(this-&gt;node) this-&gt;node=this-&gt;node-&gt;prev_sibling;
+<a name="l02037"></a>02037    <span class="keywordflow">if</span>(this-&gt;node) this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>-&gt;<a class="code" href="classtree__node__.html#e7b8325f91c0b4460552cef6b9aec159">prev_sibling</a>;
 <a name="l02038"></a>02038    <span class="keywordflow">else</span> {
-<a name="l02039"></a>02039       assert(parent_);
-<a name="l02040"></a>02040       this-&gt;node=parent_-&gt;last_child;
+<a name="l02039"></a>02039       assert(<a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>);
+<a name="l02040"></a>02040       this-&gt;<a class="code" href="classtree_1_1iterator__base.html#8e012d9505968cd1b51afab5bb4f2bf0">node</a>=<a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>;
 <a name="l02041"></a>02041       }
 <a name="l02042"></a>02042    <span class="keywordflow">return</span> *<span class="keyword">this</span>;
 <a name="l02043"></a>02043 }
 <a name="l02044"></a>02044 
 <a name="l02045"></a>02045 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02046"></a>02046 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator++</a>(<span class="keywordtype">int</span>)
+<a name="l02046"></a><a class="code" href="classtree_1_1sibling__iterator.html#66b73e99c5425620a5e282fe23cdfd98">02046</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1sibling__iterator.html#8d0d647a7843432b5ccc18724fcc3493">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator++</a>(<span class="keywordtype">int</span>)
 <a name="l02047"></a>02047    {
-<a name="l02048"></a>02048    sibling_iterator copy = *<span class="keyword">this</span>;
+<a name="l02048"></a>02048    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> copy = *<span class="keyword">this</span>;
 <a name="l02049"></a>02049    ++(*this);
 <a name="l02050"></a>02050    <span class="keywordflow">return</span> copy;
 <a name="l02051"></a>02051    }
 <a name="l02052"></a>02052 
 <a name="l02053"></a>02053 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02054"></a>02054 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator--</a>(<span class="keywordtype">int</span>)
+<a name="l02054"></a><a class="code" href="classtree_1_1sibling__iterator.html#eac6e7802aabdf7050b314af8d56c81d">02054</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a> <a class="code" href="classtree_1_1sibling__iterator.html#7e91377755da77acd20d5b9356f7498e">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator--</a>(<span class="keywordtype">int</span>)
 <a name="l02055"></a>02055    {
-<a name="l02056"></a>02056    sibling_iterator copy = *<span class="keyword">this</span>;
+<a name="l02056"></a>02056    <a class="code" href="classtree_1_1sibling__iterator.html" title="Iterator which traverses only the nodes which are siblings of each other.">sibling_iterator</a> copy = *<span class="keyword">this</span>;
 <a name="l02057"></a>02057    --(*this);
 <a name="l02058"></a>02058    <span class="keywordflow">return</span> copy;
 <a name="l02059"></a>02059    }
 <a name="l02060"></a>02060 
 <a name="l02061"></a>02061 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02062"></a>02062 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l02062"></a><a class="code" href="classtree_1_1sibling__iterator.html#d36b6994a50c0f73154b08ab35abf336">02062</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#d36b6994a50c0f73154b08ab35abf336">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator+=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l02063"></a>02063    {
 <a name="l02064"></a>02064    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l02065"></a>02065       ++(*this);
@@ -1995,7 +1991,7 @@
 <a name="l02069"></a>02069    }
 <a name="l02070"></a>02070 
 <a name="l02071"></a>02071 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02072"></a>02072 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
+<a name="l02072"></a><a class="code" href="classtree_1_1sibling__iterator.html#f7b0a37317400fe16a1ad422c1ee6fa1">02072</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator</a>&amp; <a class="code" href="classtree_1_1sibling__iterator.html#f7b0a37317400fe16a1ad422c1ee6fa1">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::operator-=</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> num)
 <a name="l02073"></a>02073    {
 <a name="l02074"></a>02074    <span class="keywordflow">while</span>(num&gt;0) {
 <a name="l02075"></a>02075       --(*this);
@@ -2005,16 +2001,16 @@
 <a name="l02079"></a>02079    }
 <a name="l02080"></a>02080 
 <a name="l02081"></a>02081 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02082"></a>02082 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::tree_node</a> *<a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::range_first</a>()<span class="keyword"> const</span>
+<a name="l02082"></a><a class="code" href="classtree_1_1sibling__iterator.html#faed5294cdf5a6679c788fff0196c2a8">02082</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::tree_node</a> *<a class="code" href="classtree_1_1sibling__iterator.html#faed5294cdf5a6679c788fff0196c2a8">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::range_first</a>()<span class="keyword"> const</span>
 <a name="l02083"></a>02083 <span class="keyword">   </span>{
-<a name="l02084"></a>02084    <a class="code" href="classtree.html#ce325844a601660acbe7687991f8a225">tree_node</a> *tmp=parent_-&gt;first_child;
+<a name="l02084"></a>02084    <a class="code" href="classtree__node__.html" title="A node in the tree, combining links to other nodes as well as the actual data.">tree_node</a> *tmp=<a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>-&gt;<a class="code" href="classtree__node__.html#d51591496e654515b662095f70d1fc1a">first_child</a>;
 <a name="l02085"></a>02085    <span class="keywordflow">return</span> tmp;
 <a name="l02086"></a>02086    }
 <a name="l02087"></a>02087 
 <a name="l02088"></a>02088 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T, <span class="keyword">class</span> tree_node_allocator&gt;
-<a name="l02089"></a>02089 <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::tree_node</a> *<a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::range_last</a>()<span class="keyword"> const</span>
+<a name="l02089"></a><a class="code" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">02089</a> <span class="keyword">typename</span> <a class="code" href="classtree.html">tree&lt;T, tree_node_allocator&gt;::tree_node</a> *<a class="code" href="classtree_1_1sibling__iterator.html#85438655c23ba60d2a4f83787e3dcf48">tree&lt;T, tree_node_allocator&gt;::sibling_iterator::range_last</a>()<span class="keyword"> const</span>
 <a name="l02090"></a>02090 <span class="keyword">   </span>{
-<a name="l02091"></a>02091    <span class="keywordflow">return</span> parent_-&gt;last_child;
+<a name="l02091"></a>02091    <span class="keywordflow">return</span> <a class="code" href="classtree_1_1sibling__iterator.html#204f7449ee908f982d21cc3d334d25bc">parent_</a>-&gt;<a class="code" href="classtree__node__.html#611d3c41c716dae6bf2012e3d9152933">last_child</a>;
 <a name="l02092"></a>02092    }
 <a name="l02093"></a>02093 
 <a name="l02094"></a>02094 
@@ -2023,8 +2019,8 @@
 <a name="l02097"></a>02097 <span class="comment">// Local variables:</span>
 <a name="l02098"></a>02098 <span class="comment">// default-tab-width: 3</span>
 <a name="l02099"></a>02099 <span class="comment">// End:</span>
-</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Aug 25 13:25:22 2006 for LibOFX by&nbsp;
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
 <a href="http://www.doxygen.org/index.html">
-<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.4.6 </small></address>
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
 </body>
 </html>

=== added file 'doc/html/win32_8cpp-source.html'
--- doc/html/win32_8cpp-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/win32_8cpp-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,92 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: win32.cpp Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>win32.cpp</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment"> $RCSfile: win32.cpp,v $</span>
+<a name="l00003"></a>00003 <span class="comment"> -------------------</span>
+<a name="l00004"></a>00004 <span class="comment"> cvs         : $Id: win32.cpp,v 1.3 2007/10/27 12:15:58 aquamaniac Exp $</span>
+<a name="l00005"></a>00005 <span class="comment"> begin       : Sat Oct 27 2007</span>
+<a name="l00006"></a>00006 <span class="comment"> copyright   : (C) 2007 by Martin Preuss</span>
+<a name="l00007"></a>00007 <span class="comment"> email       : martin@libchipcard.de</span>
+<a name="l00008"></a>00008 <span class="comment"></span>
+<a name="l00009"></a>00009 <span class="comment"> ***************************************************************************</span>
+<a name="l00010"></a>00010 <span class="comment"> * This file is part of the project "LibOfx".                              *</span>
+<a name="l00011"></a>00011 <span class="comment"> * Please see toplevel file COPYING of that project for license details.   *</span>
+<a name="l00012"></a>00012 <span class="comment"> ***************************************************************************/</span>
+<a name="l00013"></a>00013 
+<a name="l00014"></a>00014 
+<a name="l00015"></a>00015 <span class="preprocessor">#include "win32.hh"</span>
+<a name="l00016"></a>00016 
+<a name="l00017"></a>00017 <span class="preprocessor">#include &lt;errno.h&gt;</span>
+<a name="l00018"></a>00018 <span class="preprocessor">#include &lt;stdlib.h&gt;</span>
+<a name="l00019"></a>00019 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
+<a name="l00020"></a>00020 <span class="preprocessor">#include &lt;string.h&gt;</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#include &lt;unistd.h&gt;</span>
+<a name="l00022"></a>00022 <span class="preprocessor">#include &lt;sys/stat.h&gt;</span>
+<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;fcntl.h&gt;</span>
+<a name="l00024"></a>00024 <span class="preprocessor">#include &lt;assert.h&gt;</span>
+<a name="l00025"></a>00025 
+<a name="l00026"></a>00026 
+<a name="l00027"></a>00027 
+<a name="l00028"></a>00028 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00029"></a>00029 <span class="preprocessor"></span>
+<a name="l00030"></a>00030 <span class="keywordtype">int</span> mkstemp(<span class="keywordtype">char</span> *tmpl) {
+<a name="l00031"></a>00031   <span class="keywordtype">int</span> fd=-1;
+<a name="l00032"></a>00032   <span class="keywordtype">int</span> len;
+<a name="l00033"></a>00033   <span class="keywordtype">char</span> *nf;
+<a name="l00034"></a>00034   <span class="keywordtype">int</span> i;
+<a name="l00035"></a>00035 
+<a name="l00036"></a>00036   len=strlen(tmpl);
+<a name="l00037"></a>00037   <span class="keywordflow">if</span> (len&lt;6) {
+<a name="l00038"></a>00038     <span class="comment">/* bad template */</span>
+<a name="l00039"></a>00039     errno=EINVAL;
+<a name="l00040"></a>00040     <span class="keywordflow">return</span> -1;
+<a name="l00041"></a>00041   }
+<a name="l00042"></a>00042   <span class="keywordflow">if</span> (strcasecmp(tmpl+(len-7), <span class="stringliteral">"XXXXXX"</span>)) {
+<a name="l00043"></a>00043     <span class="comment">/* bad template, last 6 chars must be "X" */</span>
+<a name="l00044"></a>00044     errno=EINVAL;
+<a name="l00045"></a>00045     <span class="keywordflow">return</span> -1;
+<a name="l00046"></a>00046   }
+<a name="l00047"></a>00047 
+<a name="l00048"></a>00048   nf=strdup(tmpl);
+<a name="l00049"></a>00049 
+<a name="l00050"></a>00050   <span class="keywordflow">for</span> (i=0; i&lt;10; i++) {
+<a name="l00051"></a>00051     <span class="keywordtype">int</span> rnd;
+<a name="l00052"></a>00052     <span class="keywordtype">char</span> numbuf[16];
+<a name="l00053"></a>00053 
+<a name="l00054"></a>00054     rnd=rand();
+<a name="l00055"></a>00055     snprintf(numbuf, <span class="keyword">sizeof</span>(numbuf)-1, <span class="stringliteral">"%06x"</span>, rnd);
+<a name="l00056"></a>00056     memmove(nf+(len-7), numbuf, 6);
+<a name="l00057"></a>00057     fd=open(nf, O_RDWR | O_BINARY | O_CREAT, 0444);
+<a name="l00058"></a>00058     <span class="keywordflow">if</span> (fd&gt;=0) {
+<a name="l00059"></a>00059       memmove(tmpl, nf, len);
+<a name="l00060"></a>00060       free(nf);
+<a name="l00061"></a>00061       <span class="keywordflow">return</span> fd;
+<a name="l00062"></a>00062     }
+<a name="l00063"></a>00063   }
+<a name="l00064"></a>00064   free(nf);
+<a name="l00065"></a>00065   errno=EEXIST;
+<a name="l00066"></a>00066   <span class="keywordflow">return</span> -1;
+<a name="l00067"></a>00067 }
+<a name="l00068"></a>00068 
+<a name="l00069"></a>00069 
+<a name="l00070"></a>00070 <span class="preprocessor">#endif</span>
+<a name="l00071"></a>00071 <span class="preprocessor"></span>
+<a name="l00072"></a>00072 
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== added file 'doc/html/win32_8hh-source.html'
--- doc/html/win32_8hh-source.html	1970-01-01 00:00:00 +0000
+++ doc/html/win32_8hh-source.html	2008-02-06 17:25:16 +0000
@@ -0,0 +1,53 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
+<title>LibOFX: win32.hh Source File</title>
+<link href="doxygen.css" rel="stylesheet" type="text/css">
+<link href="tabs.css" rel="stylesheet" type="text/css">
+</head><body>
+<!-- Generated by Doxygen 1.5.3 -->
+<div class="tabs">
+  <ul>
+    <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
+    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
+    <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
+    <li class="current"><a href="files.html"><span>Files</span></a></li>
+  </ul>
+</div>
+<h1>win32.hh</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/***************************************************************************</span>
+<a name="l00002"></a>00002 <span class="comment"> $RCSfile: win32.hh,v $</span>
+<a name="l00003"></a>00003 <span class="comment"> -------------------</span>
+<a name="l00004"></a>00004 <span class="comment"> cvs         : $Id: win32.hh,v 1.3 2007/10/27 12:15:58 aquamaniac Exp $</span>
+<a name="l00005"></a>00005 <span class="comment"> begin       : Sat Oct 27 2007</span>
+<a name="l00006"></a>00006 <span class="comment"> copyright   : (C) 2007 by Martin Preuss</span>
+<a name="l00007"></a>00007 <span class="comment"> email       : martin@libchipcard.de</span>
+<a name="l00008"></a>00008 <span class="comment"></span>
+<a name="l00009"></a>00009 <span class="comment"> ***************************************************************************</span>
+<a name="l00010"></a>00010 <span class="comment"> * This file is part of the project "LibOfx".                              *</span>
+<a name="l00011"></a>00011 <span class="comment"> * Please see toplevel file COPYING of that project for license details.   *</span>
+<a name="l00012"></a>00012 <span class="comment"> ***************************************************************************/</span>
+<a name="l00013"></a>00013 
+<a name="l00014"></a>00014 <span class="preprocessor">#ifndef LIBOFX_WIN32_HH</span>
+<a name="l00015"></a>00015 <span class="preprocessor"></span><span class="preprocessor">#define LIBOFX_WIN32_HH</span>
+<a name="l00016"></a>00016 <span class="preprocessor"></span>
+<a name="l00017"></a>00017 
+<a name="l00018"></a>00018 
+<a name="l00019"></a>00019 <span class="preprocessor">#ifdef HAVE_CONFIG_H</span>
+<a name="l00020"></a>00020 <span class="preprocessor"></span><span class="preprocessor"># include &lt;config.h&gt;</span>
+<a name="l00021"></a>00021 <span class="preprocessor">#endif</span>
+<a name="l00022"></a>00022 <span class="preprocessor"></span>
+<a name="l00023"></a>00023 
+<a name="l00024"></a>00024 <span class="preprocessor">#ifdef OS_WIN32</span>
+<a name="l00025"></a>00025 <span class="preprocessor"></span>
+<a name="l00026"></a>00026 <span class="keywordtype">int</span> mkstemp(<span class="keywordtype">char</span> *tmpl);
+<a name="l00027"></a>00027 
+<a name="l00028"></a>00028 
+<a name="l00029"></a>00029 <span class="preprocessor">#endif</span>
+<a name="l00030"></a>00030 <span class="preprocessor"></span>
+<a name="l00031"></a>00031 
+<a name="l00032"></a>00032 <span class="preprocessor">#endif</span>
+<a name="l00033"></a>00033 <span class="preprocessor"></span>
+</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Mon Nov 19 20:27:59 2007 for LibOFX by&nbsp;
+<a href="http://www.doxygen.org/index.html">
+<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.3 </small></address>
+</body>
+</html>

=== modified file 'dtd/Makefile.in'
--- dtd/Makefile.in	2006-10-20 13:12:33 +0000
+++ dtd/Makefile.in	2008-02-06 17:25:16 +0000
@@ -39,7 +39,7 @@
 subdir = dtd
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/libcurl.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/os.m4 $(top_srcdir)/libcurl.m4 \
 	$(top_srcdir)/configure.in
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
@@ -63,6 +63,7 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 AR = @AR@
+AS = @AS@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
@@ -81,6 +82,7 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DLLTOOL = @DLLTOOL@
 DOC_FALSE = @DOC_FALSE@
 DOC_TRUE = @DOC_TRUE@
 DOT = @DOT@
@@ -95,7 +97,10 @@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
+GREP = @GREP@
+ICONV_LIBS = @ICONV_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
+INSTALL_DLL_TARGET = @INSTALL_DLL_TARGET@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
@@ -103,6 +108,7 @@
 LIBCURL = @LIBCURL@
 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
 LIBOBJS = @LIBOBJS@
+LIBOFX_BUILD_VERSION = @LIBOFX_BUILD_VERSION@
 LIBOFX_DTD_DIR = @LIBOFX_DTD_DIR@
 LIBOFX_MAJOR_VERSION = @LIBOFX_MAJOR_VERSION@
 LIBOFX_MICRO_VERSION = @LIBOFX_MICRO_VERSION@
@@ -111,6 +117,7 @@
 LIBOFX_SO_CURRENT = @LIBOFX_SO_CURRENT@
 LIBOFX_SO_REVISION = @LIBOFX_SO_REVISION@
 LIBOFX_VERSION = @LIBOFX_VERSION@
+LIBOFX_VERSION_RELEASE_STRING = @LIBOFX_VERSION_RELEASE_STRING@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIBXMLPP_CFLAGS = @LIBXMLPP_CFLAGS@
@@ -121,11 +128,15 @@
 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
+MAKE_DLL_TARGET = @MAKE_DLL_TARGET@
 NO_GETOPTLONG_FALSE = @NO_GETOPTLONG_FALSE@
 NO_GETOPTLONG_TRUE = @NO_GETOPTLONG_TRUE@
+OBJDUMP = @OBJDUMP@
 OBJEXT = @OBJEXT@
 OPENSPINCLUDES = @OPENSPINCLUDES@
 OPENSPLIBS = @OPENSPLIBS@
+OSYSTEM = @OSYSTEM@
+OS_TYPE = @OS_TYPE@
 PACKAGE = @PACKAGE@
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
@@ -136,20 +147,19 @@
 PKG_CONFIG = @PKG_CONFIG@
 QT_CFLAGS = @QT_CFLAGS@
 RANLIB = @RANLIB@
+RC = @RC@
+SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_GENGETOPT_FALSE = @USE_GENGETOPT_FALSE@
 USE_GENGETOPT_TRUE = @USE_GENGETOPT_TRUE@
 VERSION = @VERSION@
+WITH_ICONV = @WITH_ICONV@
 _libcurl_config = @_libcurl_config@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
@@ -166,6 +176,9 @@
 build_os = @build_os@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = ${LIBOFX_DTD_DIR}
+dvidir = @dvidir@
 enable_dot = @enable_dot@
 enable_html_docs = @enable_html_docs@
 enable_latex_docs = @enable_latex_docs@
@@ -176,23 +189,26 @@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
 install_sh = @install_sh@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 ofxconnect = @ofxconnect@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-docdir = ${LIBOFX_DTD_DIR}
 doc_DATA = opensp.dcl ofx160.dtd ofx201.dtd ofc.dtd
 EXTRA_DIST = \
 	opensp.dcl \

=== modified file 'inc/Makefile.in'
--- inc/Makefile.in	2006-10-20 13:12:33 +0000
+++ inc/Makefile.in	2008-02-06 17:25:16 +0000
@@ -38,15 +38,15 @@
 host_triplet = @host@
 subdir = inc
 DIST_COMMON = $(pkginclude_HEADERS) $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in
+	$(srcdir)/Makefile.in $(srcdir)/libofx.h.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/libcurl.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/os.m4 $(top_srcdir)/libcurl.m4 \
 	$(top_srcdir)/configure.in
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = $(top_builddir)/config.h
-CONFIG_CLEAN_FILES =
+CONFIG_CLEAN_FILES = libofx.h
 SOURCES =
 DIST_SOURCES =
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
@@ -66,6 +66,7 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 AR = @AR@
+AS = @AS@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
@@ -84,6 +85,7 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DLLTOOL = @DLLTOOL@
 DOC_FALSE = @DOC_FALSE@
 DOC_TRUE = @DOC_TRUE@
 DOT = @DOT@
@@ -98,7 +100,10 @@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
+GREP = @GREP@
+ICONV_LIBS = @ICONV_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
+INSTALL_DLL_TARGET = @INSTALL_DLL_TARGET@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
@@ -106,6 +111,7 @@
 LIBCURL = @LIBCURL@
 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
 LIBOBJS = @LIBOBJS@
+LIBOFX_BUILD_VERSION = @LIBOFX_BUILD_VERSION@
 LIBOFX_DTD_DIR = @LIBOFX_DTD_DIR@
 LIBOFX_MAJOR_VERSION = @LIBOFX_MAJOR_VERSION@
 LIBOFX_MICRO_VERSION = @LIBOFX_MICRO_VERSION@
@@ -114,6 +120,7 @@
 LIBOFX_SO_CURRENT = @LIBOFX_SO_CURRENT@
 LIBOFX_SO_REVISION = @LIBOFX_SO_REVISION@
 LIBOFX_VERSION = @LIBOFX_VERSION@
+LIBOFX_VERSION_RELEASE_STRING = @LIBOFX_VERSION_RELEASE_STRING@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIBXMLPP_CFLAGS = @LIBXMLPP_CFLAGS@
@@ -124,11 +131,15 @@
 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
+MAKE_DLL_TARGET = @MAKE_DLL_TARGET@
 NO_GETOPTLONG_FALSE = @NO_GETOPTLONG_FALSE@
 NO_GETOPTLONG_TRUE = @NO_GETOPTLONG_TRUE@
+OBJDUMP = @OBJDUMP@
 OBJEXT = @OBJEXT@
 OPENSPINCLUDES = @OPENSPINCLUDES@
 OPENSPLIBS = @OPENSPLIBS@
+OSYSTEM = @OSYSTEM@
+OS_TYPE = @OS_TYPE@
 PACKAGE = @PACKAGE@
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
@@ -139,20 +150,19 @@
 PKG_CONFIG = @PKG_CONFIG@
 QT_CFLAGS = @QT_CFLAGS@
 RANLIB = @RANLIB@
+RC = @RC@
+SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_GENGETOPT_FALSE = @USE_GENGETOPT_FALSE@
 USE_GENGETOPT_TRUE = @USE_GENGETOPT_TRUE@
 VERSION = @VERSION@
+WITH_ICONV = @WITH_ICONV@
 _libcurl_config = @_libcurl_config@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
@@ -169,6 +179,9 @@
 build_os = @build_os@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 enable_dot = @enable_dot@
 enable_html_docs = @enable_html_docs@
 enable_latex_docs = @enable_latex_docs@
@@ -179,18 +192,22 @@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
 install_sh = @install_sh@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 ofxconnect = @ofxconnect@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
@@ -228,6 +245,8 @@
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+libofx.h: $(top_builddir)/config.status $(srcdir)/libofx.h.in
+	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
 
 mostlyclean-libtool:
 	-rm -f *.lo

=== modified file 'inc/libofx.h' (properties changed: +x to -x)
--- inc/libofx.h	2006-10-20 13:12:33 +0000
+++ inc/libofx.h	2008-02-06 17:25:16 +0000
@@ -36,6 +36,13 @@
 #define LIBOFX_H
 #include <time.h>
 
+#define LIBOFX_MAJOR_VERSION 0
+#define LIBOFX_MINOR_VERSION 9
+#define LIBOFX_MICRO_VERSION 0
+#define LIBOFX_BUILD_VERSION 0
+#define LIBOFX_VERSION_RELEASE_STRING "0.9.0"
+
+
 #ifdef __cplusplus
 #define CFCT extern "C"
 #else
@@ -45,35 +52,39 @@
 #endif
 
 #define OFX_ELEMENT_NAME_LENGTH         100
-#define OFX_SVRTID2_LENGTH             36 + 1
-#define OFX_CHECK_NUMBER_LENGTH        12 + 1
-#define OFX_REFERENCE_NUMBER_LENGTH    32 + 1
-#define OFX_FITID_LENGTH               255 + 1
-#define OFX_TOKEN2_LENGTH              36 + 1
-#define OFX_MEMO_LENGTH                255 + 1
-#define OFX_MEMO2_LENGTH               390 + 1
-#define OFX_BALANCE_NAME_LENGTH        32 + 1
-#define OFX_BALANCE_DESCRIPTION_LENGTH 80 + 1
-#define OFX_CURRENCY_LENGTH            3 + 1 /* In ISO-4217 format */
-#define OFX_BANKID_LENGTH              9 + 1
-#define OFX_BRANCHID_LENGTH            22 + 1
-#define OFX_ACCTID_LENGTH              22 + 1 
-#define OFX_ACCTKEY_LENGTH             22 + 1
-#define OFX_BROKERID_LENGTH            22 + 1
+#define OFX_SVRTID2_LENGTH             (36 + 1)
+#define OFX_CHECK_NUMBER_LENGTH        (12 + 1)
+#define OFX_REFERENCE_NUMBER_LENGTH    (32 + 1)
+#define OFX_FITID_LENGTH               (255 + 1)
+#define OFX_TOKEN2_LENGTH              (36 + 1)
+#define OFX_MEMO_LENGTH                (255 + 1)
+#define OFX_MEMO2_LENGTH               (390 + 1)
+#define OFX_BALANCE_NAME_LENGTH        (32 + 1)
+#define OFX_BALANCE_DESCRIPTION_LENGTH (80 + 1)
+#define OFX_CURRENCY_LENGTH            (3 + 1) /* In ISO-4217 format */
+#define OFX_BANKID_LENGTH              (9 + 1)
+#define OFX_BRANCHID_LENGTH            (22 + 1)
+#define OFX_ACCTID_LENGTH              (22 + 1)
+#define OFX_ACCTKEY_LENGTH             (22 + 1)
+#define OFX_BROKERID_LENGTH            (22 + 1)
 /* Must be MAX of <BANKID>+<BRANCHID>+<ACCTID>, <ACCTID>+<ACCTKEY> and <ACCTID>+<BROKERID> */
-#define OFX_ACCOUNT_ID_LENGTH OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1
+#define OFX_ACCOUNT_ID_LENGTH (OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1)
 #define OFX_ACCOUNT_NAME_LENGTH        255
-#define OFX_MARKETING_INFO_LENGTH      360 + 1
-#define OFX_TRANSACTION_NAME_LENGTH    32 + 1
-#define OFX_UNIQUE_ID_LENGTH           32 + 1
-#define OFX_UNIQUE_ID_TYPE_LENGTH      10 + 1
-#define OFX_SECNAME_LENGTH             32 + 1
-#define OFX_TICKER_LENGTH              32 + 1
-#define OFX_ORG_LENGTH                 32 + 1
-#define OFX_FID_LENGTH                 32 + 1
-#define OFX_USERID_LENGTH              32 + 1
-#define OFX_USERPASS_LENGTH            32 + 1
-#define OFX_URL_LENGTH                 500 + 1
+#define OFX_MARKETING_INFO_LENGTH      (360 + 1)
+#define OFX_TRANSACTION_NAME_LENGTH    (32 + 1)
+#define OFX_UNIQUE_ID_LENGTH           (32 + 1)
+#define OFX_UNIQUE_ID_TYPE_LENGTH      (10 + 1)
+#define OFX_SECNAME_LENGTH             (32 + 1)
+#define OFX_TICKER_LENGTH              (32 + 1)
+#define OFX_ORG_LENGTH                 (32 + 1)
+#define OFX_FID_LENGTH                 (32 + 1)
+#define OFX_USERID_LENGTH              (32 + 1)
+#define OFX_USERPASS_LENGTH            (32 + 1)
+#define OFX_URL_LENGTH                 (500 + 1)
+#define OFX_APPID_LENGTH               (32)
+#define OFX_APPVER_LENGTH              (32)
+#define OFX_HEADERVERSION_LENGTH       (32)
+
 /*
 #define OFX_STATEMENT_CB               0;
 #define OFX_ACCOUNT_CB                 1;
@@ -96,6 +107,9 @@
 */
 CFCT int libofx_free_context( LibofxContextPtr );
 
+CFCT void libofx_set_dtd_dir(LibofxContextPtr libofx_context,
+	 	       	    const char *s);
+
 /** List of possible file formats */
 enum LibofxFileFormat{ AUTODETECT, /**< Not really a file format, used to tell the library to try to autodetect the format*/
 		     OFX, /**< Open Financial eXchange (OFX/QFX) file */
@@ -186,8 +200,8 @@
    variables should all contain valid data but you should not trust the servers.
    Check if the associated *_valid is true before using them. */
   int code;            /**< Status code */
-  char* name;          /**< Code short name */
-  char* description;   /**< Code long description, from ofx_error_msg.h */
+  const char* name;          /**< Code short name */
+  const char* description;   /**< Code long description, from ofx_error_msg.h */
   int code_valid;      /**< If  code_valid is true, so is name and description
 			  (They are obtained from a lookup table) */
   /** Severity of the error */
@@ -224,7 +238,12 @@
  *
  *  The OfxAccountData structure gives information about a specific account, 
  including it's type, currency and unique id. 
-*/
+ *
+ * When an OfxAccountData must be passed to functions which create OFX
+ * requests related to a specific account, it must contain all the info needed
+ * for an OFX request to identify an account.  That is:
+ * account_type, account_number, bank_id and branch_id
+ */
 struct OfxAccountData{
   
   /** @name OFX mandatory elements
@@ -260,6 +279,11 @@
   char currency[OFX_CURRENCY_LENGTH]; /**< The currency is a string in ISO-4217 format */
   int currency_valid;
 
+  /** Corresponds to OFX <ACCTID> */
+  char account_number[OFX_ACCTID_LENGTH];
+  int account_number_valid;
+
+  /** Corresponds to OFX <BANKID> */
   char bank_id[OFX_BANKID_LENGTH];
   int bank_id_valid;
 
@@ -269,9 +293,6 @@
   char branch_id[OFX_BRANCHID_LENGTH];
   int branch_id_valid;
 
-  char account_number[OFX_ACCTID_LENGTH];
-  int account_number_valid;
-
 };
 
 /**
@@ -698,36 +719,16 @@
   char org[OFX_ORG_LENGTH];
   char userid[OFX_USERID_LENGTH];
   char userpass[OFX_USERPASS_LENGTH];
-};
-
-typedef enum{
-  OFX_NO_ACCOUNT=0,
-  OFX_BANK_ACCOUNT,
-  OFX_INVEST_ACCOUNT,
-  OFX_CREDITCARD_ACCOUNT,
-  OFX_INVALID_ACCOUNT
-} AccountType;
-
- /**
- * \brief Information sufficient to identify an account
- *
- * Contains all the info needed for an OFX request to identify an account.
- * An OfxAccountInfo must be passed to all functions which create OFX
- * requests related to a specific account.
- */
-
-struct OfxAccountInfo{
-  char accountid[OFX_ACCOUNT_ID_LENGTH];
-  char bankid[OFX_BANKID_LENGTH];
-  char brokerid[OFX_BROKERID_LENGTH];
-  AccountType type;
-};
-
-#define OFX_AMOUNT_LENGTH 32 + 1
-#define OFX_PAYACCT_LENGTH 32 + 1
-#define OFX_STATE_LENGTH 5 + 1
-#define OFX_POSTALCODE_LENGTH 11 + 1
-#define OFX_NAME_LENGTH 32 + 1
+  char header_version[OFX_HEADERVERSION_LENGTH];
+  char appid[OFX_APPID_LENGTH];
+  char appver[OFX_APPVER_LENGTH];
+};
+
+#define OFX_AMOUNT_LENGTH (32 + 1)
+#define OFX_PAYACCT_LENGTH (32 + 1)
+#define OFX_STATE_LENGTH (5 + 1)
+#define OFX_POSTALCODE_LENGTH (11 + 1)
+#define OFX_NAME_LENGTH (32 + 1)
 
 struct OfxPayment{
   char amount[OFX_AMOUNT_LENGTH];
@@ -757,7 +758,7 @@
  * @return string pointer to the request.  This is allocated via malloc(), and is the callers responsibility to free.
 */
 
-CFCT char* libofx_request_statement( const struct OfxFiLogin* fi, const struct OfxAccountInfo* account, time_t date_from );
+CFCT char* libofx_request_statement( const struct OfxFiLogin* fi, const struct OfxAccountData* account, time_t date_from );
 
 /**
  * \brief Creates an OFX account info (list) request in string form
@@ -772,7 +773,7 @@
 
 CFCT char* libofx_request_accountinfo( const struct OfxFiLogin* login );
 
-CFCT char* libofx_request_payment( const struct OfxFiLogin* login, const struct OfxAccountInfo* account, const struct OfxPayee* payee, const struct OfxPayment* payment );
+CFCT char* libofx_request_payment( const struct OfxFiLogin* login, const struct OfxAccountData* account, const struct OfxPayee* payee, const struct OfxPayment* payment );
 
 CFCT char* libofx_request_payment_status( const struct OfxFiLogin* login, const char* transactionid );
 

=== added file 'inc/libofx.h.in'
--- inc/libofx.h.in	1970-01-01 00:00:00 +0000
+++ inc/libofx.h.in	2008-02-06 17:25:16 +0000
@@ -0,0 +1,783 @@
+/***************************************************************************
+              libofx.h  -  Main header file for the libofx API
+                             -------------------
+    copyright            : (C) 2002 by Benoit Grgoire
+    email                : bock@step.polymtl.ca
+***************************************************************************/
+/**@file
+ * \brief Main header file containing the LibOfx API
+ *
+ This file should be included for all applications who use this API.  This
+ header file will work with both C and C++ programs.  The entire API is 
+ made of the following structures and functions. 
+ *
+ All of the following ofx_proc_* functions are callbacks (Except
+ ofx_proc_file which is the entry point).  They must be implemented by 
+ your program, but can be left empty if not needed. They are called each
+ time the associated structure is filled by the library.
+ *
+ Important note:  The variables associated with every data element have a 
+ *_valid companion.  Always check that data_valid == true before using. 
+ Not only will you ensure that the data is meaningfull, but also that
+ pointers are valid and strings point to a null terminated string.  
+ Elements listed as mandatory are for information purpose only, do not 
+ trust the bank not to send you non-conforming data...
+*/
+/***************************************************************************
+ *                                                                         *
+ *   This program is free software; you can redistribute it and/or modify  *
+ *   it under the terms of the GNU General Public License as published by  *
+ *   the Free Software Foundation; either version 2 of the License, or     *
+ *   (at your option) any later version.                                   *
+ *                                                                         *
+ ***************************************************************************/
+
+#ifndef LIBOFX_H
+#define LIBOFX_H
+#include <time.h>
+
+#define LIBOFX_MAJOR_VERSION @LIBOFX_MAJOR_VERSION@
+#define LIBOFX_MINOR_VERSION @LIBOFX_MINOR_VERSION@
+#define LIBOFX_MICRO_VERSION @LIBOFX_MICRO_VERSION@
+#define LIBOFX_BUILD_VERSION @LIBOFX_BUILD_VERSION@
+#define LIBOFX_VERSION_RELEASE_STRING "@LIBOFX_VERSION_RELEASE_STRING@"
+
+
+#ifdef __cplusplus
+#define CFCT extern "C"
+#else
+#define CFCT
+#define true 1
+#define false 0
+#endif
+
+#define OFX_ELEMENT_NAME_LENGTH         100
+#define OFX_SVRTID2_LENGTH             (36 + 1)
+#define OFX_CHECK_NUMBER_LENGTH        (12 + 1)
+#define OFX_REFERENCE_NUMBER_LENGTH    (32 + 1)
+#define OFX_FITID_LENGTH               (255 + 1)
+#define OFX_TOKEN2_LENGTH              (36 + 1)
+#define OFX_MEMO_LENGTH                (255 + 1)
+#define OFX_MEMO2_LENGTH               (390 + 1)
+#define OFX_BALANCE_NAME_LENGTH        (32 + 1)
+#define OFX_BALANCE_DESCRIPTION_LENGTH (80 + 1)
+#define OFX_CURRENCY_LENGTH            (3 + 1) /* In ISO-4217 format */
+#define OFX_BANKID_LENGTH              (9 + 1)
+#define OFX_BRANCHID_LENGTH            (22 + 1)
+#define OFX_ACCTID_LENGTH              (22 + 1)
+#define OFX_ACCTKEY_LENGTH             (22 + 1)
+#define OFX_BROKERID_LENGTH            (22 + 1)
+/* Must be MAX of <BANKID>+<BRANCHID>+<ACCTID>, <ACCTID>+<ACCTKEY> and <ACCTID>+<BROKERID> */
+#define OFX_ACCOUNT_ID_LENGTH (OFX_BANKID_LENGTH + OFX_BRANCHID_LENGTH + OFX_ACCTID_LENGTH + 1)
+#define OFX_ACCOUNT_NAME_LENGTH        255
+#define OFX_MARKETING_INFO_LENGTH      (360 + 1)
+#define OFX_TRANSACTION_NAME_LENGTH    (32 + 1)
+#define OFX_UNIQUE_ID_LENGTH           (32 + 1)
+#define OFX_UNIQUE_ID_TYPE_LENGTH      (10 + 1)
+#define OFX_SECNAME_LENGTH             (32 + 1)
+#define OFX_TICKER_LENGTH              (32 + 1)
+#define OFX_ORG_LENGTH                 (32 + 1)
+#define OFX_FID_LENGTH                 (32 + 1)
+#define OFX_USERID_LENGTH              (32 + 1)
+#define OFX_USERPASS_LENGTH            (32 + 1)
+#define OFX_URL_LENGTH                 (500 + 1)
+#define OFX_APPID_LENGTH               (32)
+#define OFX_APPVER_LENGTH              (32)
+#define OFX_HEADERVERSION_LENGTH       (32)
+
+/*
+#define OFX_STATEMENT_CB               0;
+#define OFX_ACCOUNT_CB                 1;
+#define OFX_TRACSACTION_CB             2;
+#define OFX_SECURITY_CB                3;
+#define OFX_STATUS_CB                  4;
+*/
+
+typedef void * LibofxContextPtr;
+/**
+ * \brief Initialise the library and return a new context. 
+ *
+ @return the new context, to be used by the other functions.
+*/
+CFCT LibofxContextPtr libofx_get_new_context();
+/**
+ * \brief Free all ressources used by this context. 
+ *
+ @return 0 if successfull.
+*/
+CFCT int libofx_free_context( LibofxContextPtr );
+
+CFCT void libofx_set_dtd_dir(LibofxContextPtr libofx_context,
+	 	       	    const char *s);
+
+/** List of possible file formats */
+enum LibofxFileFormat{ AUTODETECT, /**< Not really a file format, used to tell the library to try to autodetect the format*/
+		     OFX, /**< Open Financial eXchange (OFX/QFX) file */
+		     OFC, /**< Microsoft Open Financial Connectivity (OFC)*/
+		     QIF, /**< Intuit Quicken Interchange Format (QIF) */
+		     UNKNOWN, /**< Unknown file format */
+		     LAST /**< Not a file format, meant as a loop breaking condition */
+};
+
+struct LibofxFileFormatInfo{
+enum LibofxFileFormat format;/**< The file format enum */
+const char * format_name;  /**< Text version of the enum */
+const char * description; /**< Description of the file format */
+};
+
+
+#ifndef OFX_AQUAMANIAC_UGLY_HACK1
+
+const struct LibofxFileFormatInfo LibofxImportFormatList[] = 
+{
+{AUTODETECT, "AUTODETECT", "AUTODETECT (File format will be automatically detected later)"},
+{OFX, "OFX", "OFX (Open Financial eXchange (OFX or QFX))"},
+{OFC, "OFC", "OFC (Microsoft Open Financial Connectivity)"},
+{QIF, "QIF", "QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"},
+{LAST, "LAST", "Not a file format, meant as a loop breaking condition"}
+};
+
+const struct LibofxFileFormatInfo LibofxExportFormatList[] = 
+{
+{QIF, "QIF", "QIF (Intuit Quicken Interchange Format) NOT IMPLEMENTED"},
+{LAST, "LAST", "Not a file format, meant as a loop breaking condition"}
+};
+
+/**
+ * \brief libofx_get_file_type returns a proper enum from a file type string. 
+ *
+ @format_list The file format list in which the format string should be found, usually LibofxImportFormatList or LibofxExportFormatList
+ @file_type_string The string which contain the file format matching one of the format_name of the list.
+ @return the file format, or UNKNOWN if the format wasn't recognised.
+*/
+CFCT enum LibofxFileFormat libofx_get_file_format_from_str(const struct LibofxFileFormatInfo format_list[], const char * file_type_string);
+
+/**
+ * \brief get_file_format_description returns a string description of a LibofxFileType. 
+ *
+ @format_list The file format list in which the format should be looked up, usually LibofxImportFormatList or LibofxExportFormatList
+ @file_format The file format which should match one of the formats in the list.
+ @return null terminated string suitable for debugging output or user communication.
+*/
+CFCT const char * libofx_get_file_format_description(const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format);
+
+#endif
+
+/**
+ * \brief libofx_proc_file is the entry point of the library.
+ *
+ *  libofx_proc_file must be called by the client, with a list of 1 or more OFX
+ files to be parsed in command line format.
+*/
+CFCT int libofx_proc_file(LibofxContextPtr libofx_context,
+                          const char * p_filename,
+                          enum LibofxFileFormat ftype);
+
+
+/**
+ * \brief An abstraction of an OFX STATUS element.
+ *
+ * The OfxStatusData structure represents a STATUS OFX element sent by the 
+ OFX server.  Be carefull, you do not have much context except the entity 
+ name so your application should probably ignore this status if code==0. 
+ However, you should display a message if the status in non-zero,
+ since an error probably occurred on the server side.  
+ *
+ * In a future version of this API, OfxStatusData structures might be
+ linked from the OFX structures they are related to.
+*/
+struct OfxStatusData{  
+  /** @name Additional information
+   * To give a minimum of context, the name of the OFX SGML element where
+   this <STATUS> is located is available.
+  */
+  char ofx_element_name[OFX_ELEMENT_NAME_LENGTH];/** Name of the OFX element
+						     this status is relevant to */
+  int ofx_element_name_valid;
+  
+  /** @name OFX mandatory elements
+   * The OFX spec defines the following elements as mandatory.  The associated
+   variables should all contain valid data but you should not trust the servers.
+   Check if the associated *_valid is true before using them. */
+  int code;            /**< Status code */
+  const char* name;          /**< Code short name */
+  const char* description;   /**< Code long description, from ofx_error_msg.h */
+  int code_valid;      /**< If  code_valid is true, so is name and description
+			  (They are obtained from a lookup table) */
+  /** Severity of the error */
+    enum Severity{INFO, /**< The status is an informational message */
+		WARN, /**< The status is a warning */
+		ERROR /**< The status is a true error */
+  } severity;
+  int severity_valid;
+  
+  /** @name OFX optional elements
+   *  The OFX spec defines the following elements as optional. If the 
+   associated *_valid is true, the corresponding element is present and the 
+   associated variable contains valid data. */  
+
+  char* server_message; /**< Explanation given by the server for the Status Code.
+			   Especially important for generic errors. */
+  int server_message_valid;
+  /*@}*/
+};
+
+
+/**
+ * \brief The callback function for the OfxStatusData stucture. 
+ *
+ * An ofx_proc_status_cb event is sent everytime the server has generated a OFX
+ STATUS element.  As such, it could be received at any time(but not during
+ other events).  An OfxStatusData structure is passed to this event, as well as
+ a pointer to an arbitrary data structure.
+*/
+CFCT typedef int (*LibofxProcStatusCallback)(const struct OfxStatusData data, void * status_data);
+
+/**
+ * \brief An abstraction of an account
+ *
+ *  The OfxAccountData structure gives information about a specific account, 
+ including it's type, currency and unique id. 
+ *
+ * When an OfxAccountData must be passed to functions which create OFX
+ * requests related to a specific account, it must contain all the info needed
+ * for an OFX request to identify an account.  That is:
+ * account_type, account_number, bank_id and branch_id
+ */
+struct OfxAccountData{
+  
+  /** @name OFX mandatory elements
+   * The OFX spec defines the following elements as mandatory.  The associated
+   variables should all contain valid data but you should not trust the servers.
+   Check if the associated *_valid is true before using them. */  
+
+  /** The account_id is actually built from <BANKID><BRANCHID><ACCTID> for
+      a bank account, and <ACCTID><ACCTKEY> for a credit card account.
+      account_id is meant to be computer-readable.  It is a worldwide OFX unique
+      identifier wich can be used for account matching, even in system with
+      multiple users.*/
+  char account_id[OFX_ACCOUNT_ID_LENGTH];
+  /** The account_id_name is a string meant to allow the user to identify the
+      account.  Currently it is <ACCTID> for a bank account and a credit 
+      card account an <BROKERID>:<ACCTID> for investment accounts.
+      account_id_name is not meant to be computer-readable and
+      is not garanteed to be unique.*/
+  char account_name[OFX_ACCOUNT_NAME_LENGTH];
+  int account_id_valid;/* Use for both account_id and account_name */
+
+  /** account_type tells you what kind of account this is.  See the AccountType enum */
+    enum AccountType{
+    OFX_CHECKING,  /**< A standard checking account */
+    OFX_SAVINGS,   /**< A standard savings account */
+    OFX_MONEYMRKT, /**< A money market account */
+    OFX_CREDITLINE,/**< A line of credit */
+    OFX_CMA,       /**< Cash Management Account */
+    OFX_CREDITCARD,/**< A credit card account */
+    OFX_INVESTMENT /**< An investment account */
+  } account_type;
+  int account_type_valid;
+  char currency[OFX_CURRENCY_LENGTH]; /**< The currency is a string in ISO-4217 format */
+  int currency_valid;
+
+  /** Corresponds to OFX <ACCTID> */
+  char account_number[OFX_ACCTID_LENGTH];
+  int account_number_valid;
+
+  /** Corresponds to OFX <BANKID> */
+  char bank_id[OFX_BANKID_LENGTH];
+  int bank_id_valid;
+
+  char broker_id[OFX_BROKERID_LENGTH];
+  int broker_id_valid;
+
+  char branch_id[OFX_BRANCHID_LENGTH];
+  int branch_id_valid;
+
+};
+
+/**
+ * \brief The callback function for the OfxAccountData stucture. 
+ *
+ * The ofx_proc_account_cb event is always generated first, to allow the
+ application to create accounts or ask the user to match an existing
+ account before the ofx_proc_statement and ofx_proc_transaction event are
+ received.  An OfxAccountData is passed to this event.
+ *
+ Note however that this OfxAccountData structure will also be available as
+ part of OfxStatementData structure passed to ofx_proc_statement event, 
+ as well as a pointer to an arbitrary data structure.
+*/
+CFCT typedef int (*LibofxProcAccountCallback)(const struct OfxAccountData data, void * account_data);
+
+/**
+ * \brief An abstraction of a security, such as a stock, mutual fund, etc.
+ *
+ * The OfxSecurityData stucture is used to hols the securyty information inside
+a OfxTransactionData struct for investment transactions.
+*/
+struct OfxSecurityData{
+  /** @name OFX mandatory elements
+   * The OFX spec defines the following elements as mandatory.  The associated
+   variables should all contain valid data but you should not trust the servers.
+   Check if the associated *_valid is true before using them. */  
+
+  char unique_id[OFX_UNIQUE_ID_LENGTH];   /**< The id of the security being traded.*/
+  int unique_id_valid;
+  char unique_id_type[OFX_UNIQUE_ID_TYPE_LENGTH];/**< Usially "CUSIP" for FIs in
+						    north america*/ 
+  int unique_id_type_valid;
+  char secname[OFX_SECNAME_LENGTH];/**< The full name of the security */ 
+  int secname_valid;
+
+  /** @name OFX optional elements
+   *  The OFX spec defines the following elements as optional. If the 
+   associated *_valid is true, the corresponding element is present and
+   the associated variable contains valid data. */  
+
+  char ticker[OFX_TICKER_LENGTH];/**< The ticker symbol of the security */ 
+  int ticker_valid;
+
+  double unitprice;/**< The price of each unit of the security, as of  
+		      date_unitprice */
+  int unitprice_valid;
+
+  time_t date_unitprice;/**< The date as of which the unit price was valid. */
+  int date_unitprice_valid;
+
+  char currency[OFX_CURRENCY_LENGTH]; /**< The currency is a string in ISO-4217 format.
+					 It overrides the one defined in the statement
+					 for the unit price */
+  int currency_valid;
+  char memo[OFX_MEMO2_LENGTH];/**< Extra information not included in name */
+  int memo_valid;
+};/* end struct OfxSecurityData */
+
+/** 
+ * \brief The callback function for the OfxSecurityData stucture. 
+ *
+ * An ofx_proc_security_cb event is generated for any securities listed in the
+ ofx file.  It is generated after ofx_proc_statement but before 
+ ofx_proc_transaction. It is meant to be used to allow the client to 
+ create a new commodity or security (such as a new stock type).  Please note however
+ that this information is usually also available as part of each OfxtransactionData.
+ An OfxSecurityData structure is passed to this event, as well as
+ a pointer to an arbitrary data structure.
+*/
+CFCT typedef int (*LibofxProcSecurityCallback)(const struct OfxSecurityData data, void * security_data);
+
+typedef enum {
+    OFX_CREDIT,     /**< Generic credit */
+    OFX_DEBIT,      /**< Generic debit */
+    OFX_INT,        /**< Interest earned or paid (Note: Depends on signage of amount) */
+    OFX_DIV,        /**< Dividend */
+    OFX_FEE,        /**< FI fee */
+    OFX_SRVCHG,     /**< Service charge */
+    OFX_DEP,        /**< Deposit */
+    OFX_ATM,        /**< ATM debit or credit (Note: Depends on signage of amount) */
+    OFX_POS,        /**< Point of sale debit or credit (Note: Depends on signage of amount) */
+    OFX_XFER,       /**< Transfer */
+    OFX_CHECK,      /**< Check */
+    OFX_PAYMENT,    /**< Electronic payment */
+    OFX_CASH,       /**< Cash withdrawal */
+    OFX_DIRECTDEP,  /**< Direct deposit */
+    OFX_DIRECTDEBIT,/**< Merchant initiated debit */
+    OFX_REPEATPMT,  /**< Repeating payment/standing order */
+    OFX_OTHER       /**< Somer other type of transaction */
+  } TransactionType;
+
+typedef  enum{
+    OFX_BUYDEBT,        /**< Buy debt security */
+    OFX_BUYMF,          /**< Buy mutual fund */
+    OFX_BUYOPT,         /**< Buy option */
+    OFX_BUYOTHER,       /**< Buy other security type */
+    OFX_BUYSTOCK,       /**< Buy stock */
+    OFX_CLOSUREOPT,     /**< Close a position for an option */
+    OFX_INCOME,         /**< Investment income is realized as cash into the investment account */
+    OFX_INVEXPENSE,     /**< Misc investment expense that is associated with a specific security */
+    OFX_JRNLFUND,       /**< Journaling cash holdings between subaccounts within the same investment account */
+    OFX_JRNLSEC,        /**< Journaling security holdings between subaccounts within the same investment account */
+    OFX_MARGININTEREST, /**< Margin interest expense */
+    OFX_REINVEST,       /**< Reinvestment of income */
+    OFX_RETOFCAP,       /**< Return of capital */
+    OFX_SELLDEBT,       /**< Sell debt security.  Used when debt is sold, called, or reached maturity */
+    OFX_SELLMF,         /**< Sell mutual fund */
+    OFX_SELLOPT,        /**< Sell option */
+    OFX_SELLOTHER,      /**< Sell other type of security */
+    OFX_SELLSTOCK,      /**< Sell stock */
+    OFX_SPLIT,          /**< Stock or mutial fund split */
+    OFX_TRANSFER        /**< Transfer holdings in and out of the investment account */
+  }  InvTransactionType;
+typedef enum {
+    DELETE, /**< The transaction with a fi_id matching fi_id_corrected should
+	       be deleted */
+    REPLACE /**< The transaction with a fi_id matching fi_id_corrected should 
+	       be replaced with this one */
+  } FiIdCorrectionAction;
+
+/**
+ * \brief An abstraction of a transaction in an account.
+ *
+ * The OfxTransactionData stucture contains all available information about
+ an actual transaction in an account.
+*/
+struct OfxTransactionData{
+  
+  /** @name OFX mandatory elements
+   * The OFX spec defines the following elements as mandatory.  The associated
+   variables should all contain valid data but you should not trust the servers.
+   Check if the associated *_valid is true before using them. */  
+
+  char account_id[OFX_ACCOUNT_ID_LENGTH];/**< Use this for matching with
+					    the relevant account in your
+					    application */
+  struct OfxAccountData * account_ptr; /**< Pointer to the full account structure,
+					  see OfxAccountData */
+  int account_id_valid;
+
+  TransactionType transactiontype;
+  int transactiontype_valid;
+ 
+  /**< Investment transaction type.  You should read this if 
+     transactiontype == OFX_OTHER.  See OFX spec 1.6 p.442 to 445 
+     for details*/
+  InvTransactionType invtransactiontype;
+  int  invtransactiontype_valid;
+
+  double units;     /**< Variation of the number of units of the commodity
+		     Suppose units is -10, ave unitprice is 1.  If the 
+		     commodity is stock, you have 10 less stock, but 10 more 
+		     dollars in you amccount (fees not considered, see amount).
+		     If commodity is money, you have 10 less dollars in your
+		     pocket, but 10 more in your account */
+  int units_valid;
+  double unitprice; /**< Value of each unit, 1.00 if the commodity is
+		       money */
+  int unitprice_valid;
+  double amount;    /**< Total monetary amount of the transaction, signage 
+		       will determine if money went in or out. 
+		       amount is the total amount:
+		       -(units) * unitprice - various fees */
+  int amount_valid;
+  char fi_id[256];  /**< Generated by the financial institution (fi),
+			unique id of the transaction, to be used to detect
+			duplicate downloads */
+  int fi_id_valid;
+  
+  /** @name OFX optional elements
+   *  The OFX spec defines the following elements as optional. If the 
+   associated *_valid is true, the corresponding element is present and
+   the associated variable contains valid data. */  
+  
+  /** The id of the security being traded. Mandatory for investment
+      transactions */
+  char unique_id[OFX_UNIQUE_ID_LENGTH];  
+  int unique_id_valid;
+  char unique_id_type[OFX_UNIQUE_ID_TYPE_LENGTH];/**< Usially "CUSIP" for FIs in
+						    north america*/ 
+  int unique_id_type_valid;
+  struct OfxSecurityData *security_data_ptr;  /** A pointer to the security's data.*/
+  int security_data_valid;
+  
+  time_t date_posted;/**< Date the transaction took effect (ex: date it
+			appeared on your credit card bill).  Setlement date;
+			for stock split, execution date.
+			*
+			Mandatory for bank and credit card transactions */
+  int date_posted_valid;
+  
+  time_t date_initiated;/**< Date the transaction was initiated (ex: 
+			   date you bought something in a store for credit card; 
+			   trade date for stocks;
+			   day of record for stock split)
+			   *
+			   Mandatory for investment transactions */
+  int date_initiated_valid;
+  time_t date_funds_available;/**< Date the funds are available (not always
+				 provided) (ex: the date you are allowed to 
+				 withdraw a deposit */
+  int date_funds_available_valid;
+  /** IMPORTANT: if  fi_id_corrected is present, this transaction
+      is meant to replace or delete the transaction with this fi_id. See
+      OfxTransactionData::fi_id_correction_action to know what to do. */
+  char fi_id_corrected[256];
+  int fi_id_corrected_valid;
+  /** The OfxTransactionData::FiIdCorrectionAction enum contains the action
+      to be taken */
+  FiIdCorrectionAction fi_id_correction_action;
+  int fi_id_correction_action_valid;
+  
+  /** Used for user initiated transaction such as payment or funds transfer.
+      Can be seen as a confirmation number. */
+  char server_transaction_id[OFX_SVRTID2_LENGTH];
+  int server_transaction_id_valid;
+  /** The check number is most likely an integer and can probably be 
+      converted properly with atoi().  However the spec allows for up to
+      12 digits, so it is not garanteed to work */
+char check_number[OFX_CHECK_NUMBER_LENGTH];
+  int check_number_valid;
+  /** Might present in addition to or instead of a check_number. 
+      Not necessarily a number */
+  char reference_number[OFX_REFERENCE_NUMBER_LENGTH];
+  int reference_number_valid;
+  long int standard_industrial_code;/**< The standard industrial code can have
+				       at most 6 digits */
+  int standard_industrial_code_valid;
+  char payee_id[OFX_SVRTID2_LENGTH];/**< The identifier of the payee */
+  int payee_id_valid;
+  char name[OFX_TRANSACTION_NAME_LENGTH];/**< Can be the name of the payee or
+					    the description of the transaction */
+  int name_valid;
+  char memo[OFX_MEMO2_LENGTH];/**< Extra information not included in name */
+  int memo_valid;
+  double commission;/**< Commission paid to broker (investment transactions only) */
+  int commission_valid;
+  double fees;/**< Fees applied to trade (investment transactions only) */
+  int fees_valid;
+  double oldunits;     /*number of units held before stock split */
+  int oldunits_valid;
+  double newunits;     /*number of units held after stock split */
+  int newunits_valid;
+
+
+  /*********** NOT YET COMPLETE!!! *********************/
+};
+
+/** 
+ * \brief The callback function for the OfxTransactionData stucture. 
+ *
+ * An ofx_proc_transaction_cb event is generated for every transaction in the 
+ ofx response, after ofx_proc_statement (and possibly ofx_proc_security is 
+ generated. An OfxTransactionData structure is passed to this event, as well as
+ a pointer to an arbitrary data structure.
+*/
+CFCT typedef int (*LibofxProcTransactionCallback)(const struct OfxTransactionData data, void * transaction_data);
+
+/** 
+ * \brief An abstraction of an account statement. 
+ *
+ * The OfxStatementData structure contains information about your account
+ at the time the ofx response was generated, including the balance.  A 
+ client should check that the total of his recorded transactions matches
+ the total given here, and warn the user if they dont.
+*/
+struct OfxStatementData{
+
+  /** @name OFX mandatory elements
+   * The OFX spec defines the following elements as mandatory.  The 
+   associated variables should all contain valid data but you should not 
+   trust the servers. Check if the associated *_valid is true before using
+   them.
+  */  
+
+  char currency[OFX_CURRENCY_LENGTH]; /**< The currency is a string in ISO-4217 format */
+  int currency_valid;
+  char account_id[OFX_ACCOUNT_ID_LENGTH];/**< Use this for matching this statement with
+					    the relevant account in your application */
+  struct OfxAccountData * account_ptr; /**< Pointer to the full account structure, see 
+				      OfxAccountData */
+  int account_id_valid;
+   /** The actual balance, according to the FI.  The user should be warned
+       of any discrepency between this and the balance in the application */
+  double ledger_balance;
+  int ledger_balance_valid;
+  time_t ledger_balance_date;/**< Time of the ledger_balance snapshot */
+  int ledger_balance_date_valid;
+  
+  /** @name OFX optional elements
+   *  The OFX spec defines the following elements as optional. If the 
+   associated *_valid is true, the corresponding element is present and the 
+   associated variable contains valid data. */  
+  
+  double available_balance; /**< Amount of money available from the account.
+			       Could be the credit left for a credit card, 
+			       or amount that can be withdrawn using INTERAC) */
+  int available_balance_valid;
+  time_t available_balance_date;/** Time of the available_balance snapshot */
+  int available_balance_date_valid;
+  /** The start time of this statement.
+   *
+   All the transactions between date_start and date_end should have been 
+   provided */
+  time_t date_start;
+  int date_start_valid;
+   /** The end time of this statement.
+    *
+    If provided, the user can use this date as the start date of his next
+    statement request.  He is then assured not to miss any transactions. */
+  time_t date_end;
+  int date_end_valid;
+  /** marketing_info could be special offers or messages from the bank,
+      or just about anything else */
+  char marketing_info[OFX_MARKETING_INFO_LENGTH];
+  int marketing_info_valid;
+};
+
+/**
+ * \brief The callback function for the OfxStatementData stucture. 
+ *
+ * The ofx_proc_statement_cb event is sent after all ofx_proc_transaction 
+ events have been sent. An OfxStatementData is passed to this event, as well as
+ a pointer to an arbitrary data structure.
+*/
+CFCT typedef int (*LibofxProcStatementCallback)(const struct OfxStatementData data, void * statement_data);
+
+/** 
+    \brief NOT YET SUPPORTED
+*/
+struct OfxCurrency{
+  char currency[OFX_CURRENCY_LENGTH]; /**< Currency in ISO-4217 format */
+  double exchange_rate;  /**< Exchange rate from the normal currency of the account */
+  int must_convert;   /**< true or false */
+};
+
+
+/**
+ * Set the status callback in the given context.
+ * @param ctx context
+ * @param cb callback function
+ * @param user_data user data to be passed to the callback
+ */
+CFCT void ofx_set_status_cb(LibofxContextPtr ctx,
+                            LibofxProcStatusCallback cb,
+                            void *user_data);
+/**
+ * Set the account callback in the given context.
+ * @param ctx context
+ * @param cb callback function
+ * @param user_data user data to be passed to the callback
+ */
+CFCT void ofx_set_account_cb(LibofxContextPtr ctx,
+                             LibofxProcAccountCallback cb,
+                             void *user_data);
+/**
+ * Set the security callback in the given context.
+ * @param ctx context
+ * @param cb callback function
+ * @param user_data user data to be passed to the callback
+ */
+CFCT void ofx_set_security_cb(LibofxContextPtr ctx,
+                              LibofxProcSecurityCallback cb,
+                              void *user_data);
+/**
+ * Set the transaction callback in the given context.
+ * @param ctx context
+ * @param cb callback function
+ * @param user_data user data to be passed to the callback
+ */
+CFCT void ofx_set_transaction_cb(LibofxContextPtr ctx,
+                                 LibofxProcTransactionCallback cb,
+                                 void *user_data);
+
+/**
+ * Set the statement callback in the given context.
+ * @param ctx context
+ * @param cb callback function
+ * @param user_data user data to be passed to the callback
+ */
+CFCT void ofx_set_statement_cb(LibofxContextPtr ctx,
+                               LibofxProcStatementCallback cb,
+                               void *user_data);
+
+
+/**
+ * Parses the content of the given buffer.
+ */
+CFCT int libofx_proc_buffer(LibofxContextPtr ctx,
+                            const char *s, unsigned int size);
+                            
+/** @name Creating OFX Files
+ *
+ * This group deals with creating OFX files
+ */
+//@{
+
+/**
+ * \brief Information returned by the OFX Partner Server about a financial institution 
+ */
+
+struct OfxFiServiceInfo{
+  char fid[OFX_FID_LENGTH];
+  char org[OFX_ORG_LENGTH];
+  char url[OFX_URL_LENGTH];
+  int accountlist; /**< Whether the FI makes a list of accounts available */ 
+  int statements; /**< Whether the FI supports online statement download */
+  int billpay; /**< Whether the FI supports online bill payment */
+  int investments; /**< Whether the FI supports investments */
+};
+
+ /**
+ * \brief Information sufficient to log into an financial institution
+ *
+ * Contains all the info needed for a user to log into a financial
+ * institution and make requests for statements or post transactions.
+ * An OfxFiLogin must be passed to all functions which create OFX
+ * requests.
+ */
+
+struct OfxFiLogin{
+  char fid[OFX_FID_LENGTH];
+  char org[OFX_ORG_LENGTH];
+  char userid[OFX_USERID_LENGTH];
+  char userpass[OFX_USERPASS_LENGTH];
+  char header_version[OFX_HEADERVERSION_LENGTH];
+  char appid[OFX_APPID_LENGTH];
+  char appver[OFX_APPVER_LENGTH];
+};
+
+#define OFX_AMOUNT_LENGTH (32 + 1)
+#define OFX_PAYACCT_LENGTH (32 + 1)
+#define OFX_STATE_LENGTH (5 + 1)
+#define OFX_POSTALCODE_LENGTH (11 + 1)
+#define OFX_NAME_LENGTH (32 + 1)
+
+struct OfxPayment{
+  char amount[OFX_AMOUNT_LENGTH];
+  char account[OFX_PAYACCT_LENGTH];
+  char datedue[9];
+  char memo[OFX_MEMO_LENGTH];
+};
+
+struct OfxPayee{
+  char name[OFX_NAME_LENGTH];
+  char address1[OFX_NAME_LENGTH];
+  char city[OFX_NAME_LENGTH];
+  char state[OFX_STATE_LENGTH];
+  char postalcode[OFX_POSTALCODE_LENGTH];
+  char phone[OFX_NAME_LENGTH];
+};
+
+/**
+ * \brief Creates an OFX statement request in string form
+ *
+ * Creates a string which should be passed to an OFX server.  This string is
+ * an OFX request suitable to retrieve a statement for the @p account from the
+ * @p fi
+ *
+ * @param fi Identifies the financial institution and the user logging in.
+ * @param account Idenfities the account for which a statement is desired
+ * @return string pointer to the request.  This is allocated via malloc(), and is the callers responsibility to free.
+*/
+
+CFCT char* libofx_request_statement( const struct OfxFiLogin* fi, const struct OfxAccountData* account, time_t date_from );
+
+/**
+ * \brief Creates an OFX account info (list) request in string form
+ *
+ * Creates a string which should be passed to an OFX server.  This string is
+ * an OFX request suitable to retrieve a list of accounts from the
+ * @p fi
+ *
+ * @param fi Identifies the financial institution and the user logging in.
+ * @return string pointer to the request.  This is allocated via malloc(), and is the callers responsibility to free.
+*/
+
+CFCT char* libofx_request_accountinfo( const struct OfxFiLogin* login );
+
+CFCT char* libofx_request_payment( const struct OfxFiLogin* login, const struct OfxAccountData* account, const struct OfxPayee* payee, const struct OfxPayment* payment );
+
+CFCT char* libofx_request_payment_status( const struct OfxFiLogin* login, const char* transactionid );
+
+//@}
+
+#endif
+

=== modified file 'lib/Makefile.am'
--- lib/Makefile.am	2006-10-20 13:12:33 +0000
+++ lib/Makefile.am	2008-02-06 17:25:16 +0000
@@ -18,7 +18,8 @@
 		ofx_request_accountinfo.cpp \
 		ofx_request_statement.cpp \
 		ofx_sgml.cpp \
-		ofc_sgml.cpp
+		ofc_sgml.cpp \
+		win32.cpp
 
 noinst_HEADERS = ${top_srcdir}/inc/libofx.h \
 		messages.hh \
@@ -34,7 +35,8 @@
 		ofx_request_accountinfo.hh \
 		ofx_request_statement.hh \
 		ofx_utilities.hh \
-		tree.hh
+		tree.hh \
+		win32.hh
 
 AM_CPPFLAGS = \
 	-I. \
@@ -42,8 +44,9 @@
 	-I${OPENSPINCLUDES} \
 	-DMAKEFILE_DTD_PATH=\"${LIBOFX_DTD_DIR}/\"
 
-libofx_la_LIBADD = @LIBOBJS@ ${OPENSPLIBS} -lstdc++
-libofx_la_LDFLAGS = -version-info @LIBOFX_SO_CURRENT@:@LIBOFX_SO_REVISION@:@LIBOFX_SO_AGE@
+#libofx_la_LIBADD = @LIBOBJS@ ${OPENSPLIBS} -lstdc++
+libofx_la_LIBADD = $(OPENSPLIBS) $(ICONV_LIBS) -lstdc++
+libofx_la_LDFLAGS = -no-undefined -version-info @LIBOFX_SO_CURRENT@:@LIBOFX_SO_REVISION@:@LIBOFX_SO_AGE@
 
 
 

=== modified file 'lib/Makefile.in'
--- lib/Makefile.in	2006-10-20 13:12:33 +0000
+++ lib/Makefile.in	2008-02-06 17:25:16 +0000
@@ -39,9 +39,9 @@
 host_triplet = @host@
 subdir = lib
 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in $(srcdir)/gnugetopt.h getopt.c getopt1.c
+	$(srcdir)/Makefile.in $(srcdir)/gnugetopt.h
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/libcurl.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/os.m4 $(top_srcdir)/libcurl.m4 \
 	$(top_srcdir)/configure.in
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
@@ -58,26 +58,18 @@
 libLTLIBRARIES_INSTALL = $(INSTALL)
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
-libofx_la_DEPENDENCIES = @LIBOBJS@ $(am__DEPENDENCIES_1)
+libofx_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 am_libofx_la_OBJECTS = messages.lo ofx_utilities.lo file_preproc.lo \
 	context.lo ofx_preproc.lo ofx_container_generic.lo \
 	ofx_container_main.lo ofx_container_security.lo \
 	ofx_container_statement.lo ofx_container_account.lo \
 	ofx_container_transaction.lo ofx_containers_misc.lo \
 	ofx_request.lo ofx_request_accountinfo.lo \
-	ofx_request_statement.lo ofx_sgml.lo ofc_sgml.lo
+	ofx_request_statement.lo ofx_sgml.lo ofc_sgml.lo win32.lo
 libofx_la_OBJECTS = $(am_libofx_la_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
 am__depfiles_maybe = depfiles
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
-	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-	$(AM_CFLAGS) $(CFLAGS)
-CCLD = $(CC)
-LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
@@ -97,6 +89,7 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 AR = @AR@
+AS = @AS@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
@@ -115,6 +108,7 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DLLTOOL = @DLLTOOL@
 DOC_FALSE = @DOC_FALSE@
 DOC_TRUE = @DOC_TRUE@
 DOT = @DOT@
@@ -129,7 +123,10 @@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
+GREP = @GREP@
+ICONV_LIBS = @ICONV_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
+INSTALL_DLL_TARGET = @INSTALL_DLL_TARGET@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
@@ -137,6 +134,7 @@
 LIBCURL = @LIBCURL@
 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
 LIBOBJS = @LIBOBJS@
+LIBOFX_BUILD_VERSION = @LIBOFX_BUILD_VERSION@
 LIBOFX_DTD_DIR = @LIBOFX_DTD_DIR@
 LIBOFX_MAJOR_VERSION = @LIBOFX_MAJOR_VERSION@
 LIBOFX_MICRO_VERSION = @LIBOFX_MICRO_VERSION@
@@ -145,6 +143,7 @@
 LIBOFX_SO_CURRENT = @LIBOFX_SO_CURRENT@
 LIBOFX_SO_REVISION = @LIBOFX_SO_REVISION@
 LIBOFX_VERSION = @LIBOFX_VERSION@
+LIBOFX_VERSION_RELEASE_STRING = @LIBOFX_VERSION_RELEASE_STRING@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIBXMLPP_CFLAGS = @LIBXMLPP_CFLAGS@
@@ -155,11 +154,15 @@
 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
+MAKE_DLL_TARGET = @MAKE_DLL_TARGET@
 NO_GETOPTLONG_FALSE = @NO_GETOPTLONG_FALSE@
 NO_GETOPTLONG_TRUE = @NO_GETOPTLONG_TRUE@
+OBJDUMP = @OBJDUMP@
 OBJEXT = @OBJEXT@
 OPENSPINCLUDES = @OPENSPINCLUDES@
 OPENSPLIBS = @OPENSPLIBS@
+OSYSTEM = @OSYSTEM@
+OS_TYPE = @OS_TYPE@
 PACKAGE = @PACKAGE@
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
@@ -170,20 +173,19 @@
 PKG_CONFIG = @PKG_CONFIG@
 QT_CFLAGS = @QT_CFLAGS@
 RANLIB = @RANLIB@
+RC = @RC@
+SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_GENGETOPT_FALSE = @USE_GENGETOPT_FALSE@
 USE_GENGETOPT_TRUE = @USE_GENGETOPT_TRUE@
 VERSION = @VERSION@
+WITH_ICONV = @WITH_ICONV@
 _libcurl_config = @_libcurl_config@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
@@ -200,6 +202,9 @@
 build_os = @build_os@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 enable_dot = @enable_dot@
 enable_html_docs = @enable_html_docs@
 enable_latex_docs = @enable_latex_docs@
@@ -210,18 +215,22 @@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
 install_sh = @install_sh@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 ofxconnect = @ofxconnect@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
@@ -244,7 +253,8 @@
 		ofx_request_accountinfo.cpp \
 		ofx_request_statement.cpp \
 		ofx_sgml.cpp \
-		ofc_sgml.cpp
+		ofc_sgml.cpp \
+		win32.cpp
 
 noinst_HEADERS = ${top_srcdir}/inc/libofx.h \
 		messages.hh \
@@ -260,7 +270,8 @@
 		ofx_request_accountinfo.hh \
 		ofx_request_statement.hh \
 		ofx_utilities.hh \
-		tree.hh
+		tree.hh \
+		win32.hh
 
 AM_CPPFLAGS = \
 	-I. \
@@ -268,12 +279,14 @@
 	-I${OPENSPINCLUDES} \
 	-DMAKEFILE_DTD_PATH=\"${LIBOFX_DTD_DIR}/\"
 
-libofx_la_LIBADD = @LIBOBJS@ ${OPENSPLIBS} -lstdc++
-libofx_la_LDFLAGS = -version-info @LIBOFX_SO_CURRENT@:@LIBOFX_SO_REVISION@:@LIBOFX_SO_AGE@
+
+#libofx_la_LIBADD = @LIBOBJS@ ${OPENSPLIBS} -lstdc++
+libofx_la_LIBADD = $(OPENSPLIBS) $(ICONV_LIBS) -lstdc++
+libofx_la_LDFLAGS = -no-undefined -version-info @LIBOFX_SO_CURRENT@:@LIBOFX_SO_REVISION@:@LIBOFX_SO_AGE@
 all: all-am
 
 .SUFFIXES:
-.SUFFIXES: .c .cpp .lo .o .obj
+.SUFFIXES: .cpp .lo .o .obj
 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
 	@for dep in $?; do \
 	  case '$(am__configure_deps)' in \
@@ -339,8 +352,6 @@
 distclean-compile:
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@$(DEPDIR)/getopt1.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file_preproc.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messages.Plo@am__quote@
@@ -358,27 +369,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ofx_request_statement.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ofx_sgml.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ofx_utilities.Plo@am__quote@
-
-.c.o:
-@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(COMPILE) -c $<
-
-.c.obj:
-@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
-
-.c.lo:
-@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/win32.Plo@am__quote@
 
 .cpp.o:
 @am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@@ -524,7 +515,7 @@
 	mostlyclean-am
 
 distclean: distclean-am
-	-rm -rf $(DEPDIR) ./$(DEPDIR)
+	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
 	distclean-libtool distclean-tags
@@ -550,7 +541,7 @@
 installcheck-am:
 
 maintainer-clean: maintainer-clean-am
-	-rm -rf $(DEPDIR) ./$(DEPDIR)
+	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
 maintainer-clean-am: distclean-am maintainer-clean-generic
 

=== modified file 'lib/context.cpp'
--- lib/context.cpp	2006-10-20 13:12:33 +0000
+++ lib/context.cpp	2008-02-06 17:25:16 +0000
@@ -148,6 +148,15 @@
 
 
 
+CFCT void libofx_set_dtd_dir(LibofxContextPtr libofx_context,
+			    const char *s) {
+  ((LibofxContext*)libofx_context)->setDtdDir(s);
+}
+
+
+
+
+
 
 extern "C" {
   void ofx_set_status_cb(LibofxContextPtr ctx,

=== modified file 'lib/context.hh'
--- lib/context.hh	2006-10-20 13:12:33 +0000
+++ lib/context.hh	2008-02-06 17:25:16 +0000
@@ -18,6 +18,9 @@
 #include "libofx.h"
 #include "ParserEventGeneratorKit.h"
 
+#include <string>
+
+
 using namespace std;
 class LibofxContext {
 private:
@@ -35,6 +38,8 @@
   void * _securityData;
   void * _statusData;
 
+  std::string _dtdDir;
+
 public:
   LibofxContext();
   ~LibofxContext();
@@ -42,6 +47,9 @@
   LibofxFileFormat currentFileType() const;
   void setCurrentFileType(LibofxFileFormat t);
 
+  const std::string &dtdDir() const { return _dtdDir;};
+  void setDtdDir(const std::string &s) {_dtdDir=s;};
+
   int statementCallback(const struct OfxStatementData data);
   int accountCallback(const struct OfxAccountData data);
   int transactionCallback(const struct OfxTransactionData data);

=== modified file 'lib/ofx_container_transaction.cpp'
--- lib/ofx_container_transaction.cpp	2006-10-20 13:12:33 +0000
+++ lib/ofx_container_transaction.cpp	2008-02-06 17:25:16 +0000
@@ -222,7 +222,7 @@
     data.amount_valid=true;
     data.units = -data.amount;
     data.units_valid=true;
-    data.unitprice = 1,00;
+    data.unitprice = 1.00;
     data.unitprice_valid=true;
   }
   else if(identifier=="CHECKNUM"){

=== modified file 'lib/ofx_error_msg.hh'
--- lib/ofx_error_msg.hh	2004-01-16 11:23:51 +0000
+++ lib/ofx_error_msg.hh	2008-02-06 17:25:16 +0000
@@ -23,8 +23,8 @@
 struct ErrorMsg
 {
   int code;           /**< The error's code */
-  char * name;        /**< The error's name */
-  char * description; /**< The long description of the error */
+  const char * name;        /**< The error's name */
+  const char * description; /**< The long description of the error */
 };
 
 /// List known error codes.

=== modified file 'lib/ofx_preproc.cpp'
--- lib/ofx_preproc.cpp	2006-10-20 13:12:33 +0000
+++ lib/ofx_preproc.cpp	2008-02-06 17:25:16 +0000
@@ -17,6 +17,7 @@
  *   (at your option) any later version.                                   *
  *                                                                         *
  ***************************************************************************/
+#include "../config.h"
 #include <iostream>
 #include <fstream>
 #include <stdlib.h>
@@ -28,6 +29,17 @@
 #include "ofx_sgml.hh"
 #include "ofc_sgml.hh"
 #include "ofx_preproc.hh"
+#include "ofx_utilities.hh"
+#ifdef HAVE_ICONV
+#include <iconv.h>
+#endif
+
+#ifdef OS_WIN32
+# include "win32.hh"
+#endif
+
+#define LIBOFX_DEFAULT_INPUT_ENCODING "CP1252"
+#define LIBOFX_DEFAULT_OUTPUT_ENCODING "UTF-8"
 
 using namespace std;
 /**
@@ -64,10 +76,13 @@
   ifstream input_file;
   ofstream tmp_file;
   char buffer[READ_BUFFER_SIZE];
+  char iconv_buffer[READ_BUFFER_SIZE];
   string s_buffer;
   char *filenames[3];
-  char tmp_filename[50];
-
+  char tmp_filename[256];
+#ifdef HAVE_ICONV
+	iconv_t conversion_descriptor;
+#endif
   libofx_context=(LibofxContext*)ctx;
 
   if(p_filename!=NULL&&strcmp(p_filename,"")!=0)
@@ -75,7 +90,7 @@
     message_out(DEBUG, string("ofx_proc_file():Opening file: ")+ p_filename);
     
     input_file.open(p_filename);
-    strncpy(tmp_filename,"/tmp/libofxtmpXXXXXX",50);
+    mkTempFileName("libofxtmpXXXXXX", tmp_filename, sizeof(tmp_filename));
     mkstemp(tmp_filename);
     tmp_file.open(tmp_filename);
 
@@ -88,7 +103,11 @@
     }
     else
       {
-
+	int header_separator_idx;
+	string header_name;
+	string header_value;
+	string ofx_encoding;
+	string ofx_charset;
 	do {
           input_file.getline(buffer, sizeof(buffer),'\n');
 	  //cout<<buffer<<"\n";
@@ -117,12 +136,70 @@
               ofx_start=true;
               s_buffer.erase(0,ofx_start_idx);//Fix for really broken files that don't have a newline after the header.
               message_out(DEBUG,"ofx_proc_file():<OFX> or <OFC> has been found");
+#ifdef HAVE_ICONV
+	      string fromcode;
+	      string tocode; 
+	      if(ofx_encoding.compare("USASCII")==0){
+		if(ofx_charset.compare("ISO-8859-1")==0){
+		  fromcode="ISO-8859-1";
+		}
+		else if(ofx_charset.compare("1252")==0){
+		  fromcode="CP1252";
+		}
+		else if(ofx_charset.compare("NONE")==0){
+		  fromcode=LIBOFX_DEFAULT_INPUT_ENCODING;
+		}
+	      }
+	      else if(ofx_encoding.compare("USASCII")==0) {
+		fromcode="UTF-8";
+	      }
+	      else
+		{
+		  fromcode=LIBOFX_DEFAULT_INPUT_ENCODING;
+		}
+	      tocode = LIBOFX_DEFAULT_OUTPUT_ENCODING;
+	      message_out(DEBUG,"ofx_proc_file(): Setting up iconv for fromcode: "+fromcode+", tocode: "+tocode);
+	      conversion_descriptor = iconv_open (tocode.c_str(), fromcode.c_str());
+#endif
             }
+	  else {
+	    //We are still in the headers
+	    if ((header_separator_idx=s_buffer.find(':')) != string::npos) {
+	      //Header processing
+	      header_name.assign(s_buffer.substr(0,header_separator_idx));
+	      header_value.assign(s_buffer.substr(header_separator_idx+1));
+	      message_out(DEBUG,"ofx_proc_file():Header: "+header_name+" with value: "+header_value+" has been found");
+	      if(header_name.compare("ENCODING")==0) {
+		ofx_encoding.assign(header_value);
+	      }
+	      if(header_name.compare("CHARSET")==0) {
+		ofx_charset.assign(header_value);
+	      }
+	    }
+	  }
 
           if(ofx_start==true && ofx_end==false){
             s_buffer=sanitize_proprietary_tags(s_buffer);
             //cout<< s_buffer<<"\n";
-            tmp_file.write(s_buffer.c_str(), s_buffer.length());
+#ifdef HAVE_ICONV
+	    memset(iconv_buffer,0,READ_BUFFER_SIZE);
+	    size_t inbytesleft = strlen(s_buffer.c_str());
+	    size_t outbytesleft = READ_BUFFER_SIZE;
+#ifdef OS_WIN32
+	    const char * inchar = (const char *)s_buffer.c_str();
+#else
+	    char * inchar = (char *)s_buffer.c_str();
+#endif
+	    char * outchar = iconv_buffer;
+	    int iconv_retval = iconv (conversion_descriptor,
+		    &inchar, &inbytesleft,
+		   &outchar, &outbytesleft);
+	    if(iconv_retval==-1){
+	      message_out(ERROR,"ofx_proc_file(): Conversion error");
+	    }
+	    s_buffer = iconv_buffer;
+#endif
+	      tmp_file.write(s_buffer.c_str(), s_buffer.length());
 	  }
 	  
           if (ofx_start==true &&
@@ -144,18 +221,20 @@
       }
     input_file.close();
     tmp_file.close();
-
+#ifdef HAVE_ICONV
+	      iconv_close(conversion_descriptor);
+#endif
     char filename_openspdtd[255];
     char filename_dtd[255];
     char filename_ofx[255];
-    strncpy(filename_openspdtd,find_dtd(OPENSPDCL_FILENAME).c_str(),255);//The opensp sgml dtd file
+    strncpy(filename_openspdtd,find_dtd(ctx, OPENSPDCL_FILENAME).c_str(),255);//The opensp sgml dtd file
     if(libofx_context->currentFileType()==OFX)
       {
-        strncpy(filename_dtd,find_dtd(OFX160DTD_FILENAME).c_str(),255);//The ofx dtd file
+        strncpy(filename_dtd,find_dtd(ctx, OFX160DTD_FILENAME).c_str(),255);//The ofx dtd file
       }
     else if(libofx_context->currentFileType()==OFC)
       {
-        strncpy(filename_dtd,find_dtd(OFCDTD_FILENAME).c_str(),255);//The ofc dtd file
+        strncpy(filename_dtd,find_dtd(ctx, OFCDTD_FILENAME).c_str(),255);//The ofc dtd file
       }
     else
       {
@@ -203,8 +282,8 @@
   ofstream tmp_file;
   string s_buffer;
   char *filenames[3];
-  char tmp_filename[50];
-  int pos;
+  char tmp_filename[256];
+  ssize_t pos;
   LibofxContext *libofx_context;
 
   libofx_context=(LibofxContext*)ctx;
@@ -216,7 +295,7 @@
   }
   s_buffer=string(s, size);
 
-  strncpy(tmp_filename,"/tmp/libofxtmpXXXXXX",50);
+  mkTempFileName("libofxtmpXXXXXX", tmp_filename, sizeof(tmp_filename));
   mkstemp(tmp_filename);
   tmp_file.open(tmp_filename);
 
@@ -240,7 +319,7 @@
     message_out(ERROR,"ofx_proc(): unknown file type");
     return -1;
   }
-  if (pos==string::npos) {
+  if (pos==string::npos || pos > s_buffer.size()) {
     message_out(ERROR,"ofx_proc():<OFX> has not been found");
     return -1;
   }
@@ -265,13 +344,14 @@
     return -1;
   }
 
-  if (pos==string::npos) {
+  if (pos==string::npos || pos > s_buffer.size()) {
     message_out(ERROR,"ofx_proc():</OF?> has not been found");
     return -1;
   }
   else {
     // erase everything after the /OFX tag
-    s_buffer.erase(pos+6);
+    if (s_buffer.size() > pos+6)
+      s_buffer.erase(pos+6);
     message_out(DEBUG,"ofx_proc_file():<OFX> has been found");
   }
 
@@ -283,12 +363,12 @@
   char filename_openspdtd[255];
   char filename_dtd[255];
   char filename_ofx[255];
-  strncpy(filename_openspdtd,find_dtd(OPENSPDCL_FILENAME).c_str(),255);//The opensp sgml dtd file
+  strncpy(filename_openspdtd,find_dtd(ctx, OPENSPDCL_FILENAME).c_str(),255);//The opensp sgml dtd file
   if(libofx_context->currentFileType()==OFX){
-    strncpy(filename_dtd,find_dtd(OFX160DTD_FILENAME).c_str(),255);//The ofx dtd file
+    strncpy(filename_dtd,find_dtd(ctx, OFX160DTD_FILENAME).c_str(),255);//The ofx dtd file
   }
   else if(libofx_context->currentFileType()==OFC){
-    strncpy(filename_dtd,find_dtd(OFCDTD_FILENAME).c_str(),255);//The ofc dtd file
+    strncpy(filename_dtd,find_dtd(ctx, OFCDTD_FILENAME).c_str(),255);//The ofc dtd file
   }
   else {
     message_out(ERROR,string("ofx_proc_file(): Error unknown file format for the OFX parser"));
@@ -431,27 +511,42 @@
    *
    Please note that currently the function will ALWAYS look for version 160, since OpenSP can't parse the 201 DTD correctly
 */
-string find_dtd(string dtd_filename)
+string find_dtd(LibofxContextPtr ctx, string dtd_filename)
 {
   int i;
   ifstream dtd_file;
   string dtd_path_filename;
   bool dtd_found=false;
 
-  for(i=0;i<DTD_SEARCH_PATH_NUM&&dtd_found==false;i++){
-    dtd_path_filename=DTD_SEARCH_PATH[i];
+  dtd_path_filename=((LibofxContext*)ctx)->dtdDir();
+  if (!dtd_path_filename.empty()) {
     dtd_path_filename.append(dtd_filename);
     dtd_file.clear();
     dtd_file.open(dtd_path_filename.c_str());
-    if(!dtd_file){
-      message_out(DEBUG,"find_dtd():Unable to open the file "+dtd_path_filename);
-    }
-    else{
+    if(dtd_file){
       message_out(STATUS,"find_dtd():DTD found: "+dtd_path_filename);
       dtd_file.close();
       dtd_found=true;
     }
   }
+
+  if (!dtd_found) {
+    for(i=0;i<DTD_SEARCH_PATH_NUM&&dtd_found==false;i++){
+      dtd_path_filename=DTD_SEARCH_PATH[i];
+      dtd_path_filename.append(dtd_filename);
+      dtd_file.clear();
+      dtd_file.open(dtd_path_filename.c_str());
+      if(!dtd_file){
+	message_out(DEBUG,"find_dtd():Unable to open the file "+dtd_path_filename);
+      }
+      else{
+	message_out(STATUS,"find_dtd():DTD found: "+dtd_path_filename);
+	dtd_file.close();
+	dtd_found=true;
+      }
+    }
+  }
+
   if(dtd_found==false){
     message_out(ERROR,"find_dtd():Unable to find the DTD named " + dtd_filename);
     dtd_path_filename="";

=== modified file 'lib/ofx_preproc.hh'
--- lib/ofx_preproc.hh	2006-10-20 13:12:33 +0000
+++ lib/ofx_preproc.hh	2008-02-06 17:25:16 +0000
@@ -29,7 +29,7 @@
 ///Removes proprietary tags and comments.
 string sanitize_proprietary_tags(string input_string);
 ///Find the appropriate DTD for the file version.
-string find_dtd(string dtd_filename);
+string find_dtd(LibofxContextPtr ctx, string dtd_filename);
 /**
  * \brief ofx_proc_file process an ofx or ofc file.  
  *

=== modified file 'lib/ofx_request.cpp'
--- lib/ofx_request.cpp	2006-10-20 13:12:33 +0000
+++ lib/ofx_request.cpp	2008-02-06 17:25:16 +0000
@@ -48,19 +48,35 @@
   return string(buffer);
 }
 
-string OfxHeader(void)
-{
-  return string("OFXHEADER:100\r\n"
-                 "DATA:OFXSGML\r\n"
-                 "VERSION:102\r\n"
-                 "SECURITY:NONE\r\n"
-                 "ENCODING:USASCII\r\n"
-                 "CHARSET:1252\r\n"
-                 "COMPRESSION:NONE\r\n"
-                 "OLDFILEUID:NONE\r\n"
-                 "NEWFILEUID:")
-                 + time_t_to_ofxdatetime( time(NULL) )
-                 + string("\r\n\r\n");
+string OfxHeader(const char *hver){
+  if (hver==NULL || hver[0]==0)
+    hver="102";
+
+  if (strcmp(hver, "103")==0)
+    /* TODO: check for differences in version 102 and 103 */
+    return string("OFXHEADER:100\r\n"
+		  "DATA:OFXSGML\r\n"
+		  "VERSION:103\r\n"
+		  "SECURITY:NONE\r\n"
+		  "ENCODING:USASCII\r\n"
+		  "CHARSET:1252\r\n"
+		  "COMPRESSION:NONE\r\n"
+		  "OLDFILEUID:NONE\r\n"
+		  "NEWFILEUID:")
+      + time_t_to_ofxdatetime( time(NULL) )
+      + string("\r\n\r\n");
+  else
+    return string("OFXHEADER:100\r\n"
+		  "DATA:OFXSGML\r\n"
+		  "VERSION:102\r\n"
+		  "SECURITY:NONE\r\n"
+		  "ENCODING:USASCII\r\n"
+		  "CHARSET:1252\r\n"
+		  "COMPRESSION:NONE\r\n"
+		  "OLDFILEUID:NONE\r\n"
+		  "NEWFILEUID:")
+      + time_t_to_ofxdatetime( time(NULL) )
+      + string("\r\n\r\n");
 }
 
 OfxAggregate OfxRequest::SignOnRequest(void) const
@@ -76,9 +92,15 @@
   sonrqTag.Add( "USERPASS", m_login.userpass);
   sonrqTag.Add( "LANGUAGE","ENG");
   sonrqTag.Add( fiTag );
-  sonrqTag.Add( "APPID","QWIN");
-  sonrqTag.Add( "APPVER","1200");
-  
+  if ( strlen(m_login.appid) > 0 )
+      sonrqTag.Add( "APPID", m_login.appid);
+  else
+      sonrqTag.Add( "APPID","QWIN");
+  if ( strlen(m_login.appver) > 0 )
+    sonrqTag.Add( "APPVER", m_login.appver);
+  else
+    sonrqTag.Add( "APPVER","1400");
+
   OfxAggregate signonmsgTag("SIGNONMSGSRQV1");
   signonmsgTag.Add( sonrqTag );
 

=== modified file 'lib/ofx_request.hh'
--- lib/ofx_request.hh	2006-10-20 13:12:33 +0000
+++ lib/ofx_request.hh	2008-02-06 17:25:16 +0000
@@ -78,7 +78,7 @@
 
 string time_t_to_ofxdatetime( time_t time );
 string time_t_to_ofxdate( time_t time );
-string OfxHeader(void);
+string OfxHeader(const char *hver);
 
 //@}
 

=== modified file 'lib/ofx_request_accountinfo.cpp'
--- lib/ofx_request_accountinfo.cpp	2006-10-20 13:12:33 +0000
+++ lib/ofx_request_accountinfo.cpp	2008-02-06 17:25:16 +0000
@@ -30,7 +30,7 @@
 char* libofx_request_accountinfo( const OfxFiLogin* login )
 {
   OfxAccountInfoRequest strq( *login );
-  string request = OfxHeader() + strq.Output();
+  string request = OfxHeader(login->header_version) + strq.Output();
 
   unsigned size = request.size();
   char* result = (char*)malloc(size + 1);

=== modified file 'lib/ofx_request_statement.cpp'
--- lib/ofx_request_statement.cpp	2006-10-20 13:12:33 +0000
+++ lib/ofx_request_statement.cpp	2008-02-06 17:25:16 +0000
@@ -28,10 +28,10 @@
 
 using namespace std;
 
-char* libofx_request_statement( const OfxFiLogin* login, const OfxAccountInfo* account, time_t date_from )
+char* libofx_request_statement( const OfxFiLogin* login, const OfxAccountData* account, time_t date_from )
 {
   OfxStatementRequest strq( *login, *account, date_from );
-  string request = OfxHeader() + strq.Output();
+  string request = OfxHeader(login->header_version) + strq.Output();
 
   unsigned size = request.size();
   char* result = (char*)malloc(size + 1);
@@ -41,16 +41,16 @@
   return result;
 }
 
-OfxStatementRequest::OfxStatementRequest( const OfxFiLogin& fi, const OfxAccountInfo& account, time_t from ):
+OfxStatementRequest::OfxStatementRequest( const OfxFiLogin& fi, const OfxAccountData& account, time_t from ):
   OfxRequest(fi),
   m_account(account),
   m_date_from(from)
 {
   Add( SignOnRequest() );
 
-  if ( account.type == OFX_CREDITCARD_ACCOUNT )
+  if ( account.account_type == account.OFX_CREDITCARD )
     Add(CreditCardStatementRequest());
-  else if ( account.type == OFX_INVEST_ACCOUNT )
+  else if ( account.account_type == account.OFX_INVESTMENT )
     Add(InvestmentStatementRequest());
   else
     Add(BankStatementRequest());
@@ -59,10 +59,18 @@
 OfxAggregate OfxStatementRequest::BankStatementRequest(void) const
 {
   OfxAggregate bankacctfromTag("BANKACCTFROM");
-  bankacctfromTag.Add( "BANKID", m_account.bankid );
-  bankacctfromTag.Add( "ACCTID", m_account.accountid );
-  bankacctfromTag.Add( "ACCTTYPE", "CHECKING" );
-  // FIXME "CHECKING" should not be hard-coded
+  bankacctfromTag.Add( "BANKID", m_account.bank_id );
+  bankacctfromTag.Add( "ACCTID", m_account.account_number );
+  if ( m_account.account_type ==  m_account.OFX_CHECKING )
+    bankacctfromTag.Add( "ACCTTYPE", "CHECKING" );
+  else if  ( m_account.account_type == m_account.OFX_SAVINGS )
+    bankacctfromTag.Add( "ACCTTYPE", "SAVINGS" );
+  else if  ( m_account.account_type == m_account.OFX_MONEYMRKT )
+    bankacctfromTag.Add( "ACCTTYPE", "MONEYMRKT" );
+  else if  ( m_account.account_type == m_account.OFX_CREDITLINE )
+    bankacctfromTag.Add( "ACCTTYPE", "CREDITLINE" );
+  else if  ( m_account.account_type == m_account.OFX_CMA )
+    bankacctfromTag.Add( "ACCTTYPE", "CMA" );
 
   OfxAggregate inctranTag("INCTRAN");
   inctranTag.Add( "DTSTART", time_t_to_ofxdate( m_date_from ) );
@@ -85,7 +93,7 @@
 }
 */
   OfxAggregate ccacctfromTag("CCACCTFROM");
-  ccacctfromTag.Add( "ACCTID", m_account.accountid );
+  ccacctfromTag.Add( "ACCTID", m_account.account_number );
 
   OfxAggregate inctranTag("INCTRAN");
   inctranTag.Add( "DTSTART", time_t_to_ofxdate( m_date_from ) );
@@ -102,8 +110,8 @@
 {
   OfxAggregate invacctfromTag("INVACCTFROM");
   
-  invacctfromTag.Add( "BROKERID", m_account.brokerid );
-  invacctfromTag.Add( "ACCTID", m_account.accountid );
+  invacctfromTag.Add( "BROKERID", m_account.broker_id );
+  invacctfromTag.Add( "ACCTID", m_account.account_number );
 
   OfxAggregate inctranTag("INCTRAN");
   inctranTag.Add( "DTSTART", time_t_to_ofxdate( m_date_from ) );
@@ -123,10 +131,10 @@
   return RequestMessage("INVSTMT","INVSTMT", invstmtrqTag);
 }
 
-char* libofx_request_payment( const OfxFiLogin* login, const OfxAccountInfo* account, const OfxPayee* payee, const OfxPayment* payment )
+char* libofx_request_payment( const OfxFiLogin* login, const OfxAccountData* account, const OfxPayee* payee, const OfxPayment* payment )
 {
   OfxPaymentRequest strq( *login, *account, *payee, *payment );
-  string request = OfxHeader() + strq.Output();
+  string request = OfxHeader(login->header_version) + strq.Output();
 
   unsigned size = request.size();
   char* result = (char*)malloc(size + 1);
@@ -136,7 +144,7 @@
   return result;
 }
 
-OfxPaymentRequest::OfxPaymentRequest( const OfxFiLogin& fi, const OfxAccountInfo& account, const OfxPayee& payee, const OfxPayment& payment ):
+OfxPaymentRequest::OfxPaymentRequest( const OfxFiLogin& fi, const OfxAccountData& account, const OfxPayee& payee, const OfxPayment& payment ):
   OfxRequest(fi),
   m_account(account),
   m_payee(payee),
@@ -145,10 +153,18 @@
   Add( SignOnRequest() );
 
   OfxAggregate bankacctfromTag("BANKACCTFROM");
-  bankacctfromTag.Add( "BANKID", m_account.bankid );
-  bankacctfromTag.Add( "ACCTID", m_account.accountid );
-  bankacctfromTag.Add( "ACCTTYPE", "CHECKING" );
-  // FIXME "CHECKING" should not be hard-coded
+  bankacctfromTag.Add( "BANKID", m_account.bank_id );
+  bankacctfromTag.Add( "ACCTID", m_account.account_number );
+  if ( m_account.account_type == m_account.OFX_CHECKING)
+    bankacctfromTag.Add( "ACCTTYPE", "CHECKING" );
+  else if  ( m_account.account_type == m_account.OFX_SAVINGS )
+    bankacctfromTag.Add( "ACCTTYPE", "SAVINGS" );
+  else if  ( m_account.account_type == m_account.OFX_MONEYMRKT )
+    bankacctfromTag.Add( "ACCTTYPE", "MONEYMRKT" );
+  else if  ( m_account.account_type ==  m_account.OFX_CREDITLINE )
+    bankacctfromTag.Add( "ACCTTYPE", "CREDITLINE" );
+  else if  ( m_account.account_type == m_account.OFX_CMA )
+    bankacctfromTag.Add( "ACCTTYPE", "CMA" );
 
   OfxAggregate payeeTag("PAYEE");
   payeeTag.Add( "NAME", m_payee.name );
@@ -202,7 +218,7 @@
   ofx.Add( ofx.SignOnRequest() );
   ofx.Add( message );
   
-  string request = OfxHeader() + ofx.Output();
+  string request = OfxHeader(login->header_version) + ofx.Output();
 
   unsigned size = request.size();
   char* result = (char*)malloc(size + 1);

=== modified file 'lib/ofx_request_statement.hh'
--- lib/ofx_request_statement.hh	2006-10-20 13:12:33 +0000
+++ lib/ofx_request_statement.hh	2008-02-06 17:25:16 +0000
@@ -46,7 +46,7 @@
    * @param account The account for which a statement is desired
    * @param start The beginning time of the statement period desired
    */
-  OfxStatementRequest( const OfxFiLogin& fi, const OfxAccountInfo& account, time_t from );
+  OfxStatementRequest( const OfxFiLogin& fi, const OfxAccountData& account, time_t from );
 
 protected:
   /**
@@ -77,7 +77,7 @@
   OfxAggregate InvestmentStatementRequest(void) const;
   
 private:
-  OfxAccountInfo m_account;
+  OfxAccountData m_account;
   time_t m_date_from;
 };
 
@@ -94,11 +94,11 @@
    * @param payee The payee who should receive the payment
    * @param payment The details of the payment
    */
-  OfxPaymentRequest( const OfxFiLogin& fi, const OfxAccountInfo& account, const OfxPayee& payee, const OfxPayment& payment );
+  OfxPaymentRequest( const OfxFiLogin& fi, const OfxAccountData& account, const OfxPayee& payee, const OfxPayment& payment );
 protected:
  
 private:
-  OfxAccountInfo m_account;
+  OfxAccountData m_account;
   OfxPayee m_payee;
   OfxPayment m_payment;
 };

=== modified file 'lib/ofx_utilities.cpp'
--- lib/ofx_utilities.cpp	2004-01-16 11:23:51 +0000
+++ lib/ofx_utilities.cpp	2008-02-06 17:25:16 +0000
@@ -17,6 +17,8 @@
  ***************************************************************************/
 #include <config.h>
 #include <iostream>
+#include <assert.h>
+
 #include "ParserEventGeneratorKit.h"
 #include "SGMLApplication.h"
 #include <time.h>
@@ -25,6 +27,13 @@
 #include "messages.hh"
 #include "ofx_utilities.hh"
 
+#ifdef OS_WIN32
+# define DIRSEP "\\"
+#else
+# define DIRSEP "/"
+#endif
+
+
 using namespace std;
 /**
    Convert an OpenSP CharString directly to a C++ stream, to enable the use of cout directly for debugging.
@@ -188,8 +197,8 @@
   size_t index;
   size_t i;
   string temp_string = para_string;
-  char *whitespace = " \b\f\n\r\t\v";
-  char *abnormal_whitespace = "\b\f\n\r\t\v";//backspace,formfeed,newline,cariage return, horizontal and vertical tabs
+  const char *whitespace = " \b\f\n\r\t\v";
+  const char *abnormal_whitespace = "\b\f\n\r\t\v";//backspace,formfeed,newline,cariage return, horizontal and vertical tabs
   message_out(DEBUG4,"strip_whitespace() Before: |"+temp_string+"|");
   for(i=0;i<=temp_string.size()&&temp_string.find_first_of(whitespace, i)==i&&temp_string.find_first_of(whitespace, i)!=string::npos;i++);
   temp_string.erase(0,i);//Strip leading whitespace
@@ -205,3 +214,32 @@
  
  return temp_string;
 }
+
+
+int mkTempFileName(const char *tmpl, char *buffer, unsigned int size) {
+  const char *tmp_dir;
+
+  tmp_dir = getenv ("TMPDIR");
+  if (!tmp_dir)
+    tmp_dir = getenv ("TMP");
+  if (!tmp_dir)
+    tmp_dir = getenv ("TEMP");
+
+  if (!tmp_dir)
+    {
+#ifdef OS_WIN32
+      tmp_dir = "C:\\";
+#else  
+      tmp_dir = "/tmp";
+#endif	/* !OS_WIN32 */
+    }
+
+  strncpy(buffer, tmp_dir, size);
+  assert((strlen(buffer)+strlen(tmpl)+2)<size);
+  strcat(buffer, DIRSEP);
+  strcat(buffer, tmpl);
+  return 0;
+}
+
+
+

=== modified file 'lib/ofx_utilities.hh'
--- lib/ofx_utilities.hh	2004-01-16 11:23:51 +0000
+++ lib/ofx_utilities.hh	2008-02-06 17:25:16 +0000
@@ -45,4 +45,7 @@
 
 ///Sanitize a string coming from OpenSP
 string strip_whitespace(const string para_string);
+
+int mkTempFileName(const char *tmpl, char *buffer, unsigned int size);
+
 #endif

=== added file 'lib/win32.cpp'
--- lib/win32.cpp	1970-01-01 00:00:00 +0000
+++ lib/win32.cpp	2008-02-06 17:25:16 +0000
@@ -0,0 +1,72 @@
+/***************************************************************************
+ $RCSfile: win32.cpp,v $
+ -------------------
+ cvs         : $Id: win32.cpp,v 1.3 2007/10/27 12:15:58 aquamaniac Exp $
+ begin       : Sat Oct 27 2007
+ copyright   : (C) 2007 by Martin Preuss
+ email       : martin@libchipcard.de
+
+ ***************************************************************************
+ * This file is part of the project "LibOfx".                              *
+ * Please see toplevel file COPYING of that project for license details.   *
+ ***************************************************************************/
+
+
+#include "win32.hh"
+
+#include <errno.h>
+#include <stdlib.h>
+#include <stdio.h>
+#include <string.h>
+#include <unistd.h>
+#include <sys/stat.h>
+#include <fcntl.h>
+#include <assert.h>
+
+
+
+#ifdef OS_WIN32
+
+int mkstemp(char *tmpl) {
+  int fd=-1;
+  int len;
+  char *nf;
+  int i;
+
+  len=strlen(tmpl);
+  if (len<6) {
+    /* bad template */
+    errno=EINVAL;
+    return -1;
+  }
+  if (strcasecmp(tmpl+(len-7), "XXXXXX")) {
+    /* bad template, last 6 chars must be "X" */
+    errno=EINVAL;
+    return -1;
+  }
+
+  nf=strdup(tmpl);
+
+  for (i=0; i<10; i++) {
+    int rnd;
+    char numbuf[16];
+
+    rnd=rand();
+    snprintf(numbuf, sizeof(numbuf)-1, "%06x", rnd);
+    memmove(nf+(len-7), numbuf, 6);
+    fd=open(nf, O_RDWR | O_BINARY | O_CREAT, 0444);
+    if (fd>=0) {
+      memmove(tmpl, nf, len);
+      free(nf);
+      return fd;
+    }
+  }
+  free(nf);
+  errno=EEXIST;
+  return -1;
+}
+
+
+#endif
+
+

=== added file 'lib/win32.hh'
--- lib/win32.hh	1970-01-01 00:00:00 +0000
+++ lib/win32.hh	2008-02-06 17:25:16 +0000
@@ -0,0 +1,33 @@
+/***************************************************************************
+ $RCSfile: win32.hh,v $
+ -------------------
+ cvs         : $Id: win32.hh,v 1.3 2007/10/27 12:15:58 aquamaniac Exp $
+ begin       : Sat Oct 27 2007
+ copyright   : (C) 2007 by Martin Preuss
+ email       : martin@libchipcard.de
+
+ ***************************************************************************
+ * This file is part of the project "LibOfx".                              *
+ * Please see toplevel file COPYING of that project for license details.   *
+ ***************************************************************************/
+
+#ifndef LIBOFX_WIN32_HH
+#define LIBOFX_WIN32_HH
+
+
+
+#ifdef HAVE_CONFIG_H
+# include <config.h>
+#endif
+
+
+#ifdef OS_WIN32
+
+int mkstemp(char *tmpl);
+
+
+#endif
+
+
+#endif
+

=== modified file 'libofx.pc'
--- libofx.pc	2006-10-20 13:12:33 +0000
+++ libofx.pc	2008-02-06 17:25:16 +0000
@@ -1,14 +1,16 @@
 # libofx pkg-config source file
 
-prefix=/usr/local
+prefix=/usr
 exec_prefix=${prefix}
 libdir=${exec_prefix}/lib
 includedir=${prefix}/include
 
 Name: libofx
 Description: libofx is a library for processing Open Financial eXchange (OFX) data
-Version: 0.8.2
+Version: 0.9.0
 Requires:
 Conflicts:
-Libs: -L${libdir} -L/usr/lib -losp -lofx
-Cflags: -I${includedir} -I/usr/include/OpenSP 
+#Libs: -L${libdir} -L/usr/lib -losp -lofx
+#Cflags: -I${includedir} -I/usr/include/OpenSP 
+Libs: -L${libdir} -lofx
+Cflags: -I${includedir}

=== modified file 'libofx.pc.in'
--- libofx.pc.in	2006-10-20 13:12:33 +0000
+++ libofx.pc.in	2008-02-06 17:25:16 +0000
@@ -10,5 +10,7 @@
 Version: @VERSION@
 Requires:
 Conflicts:
-Libs: -L${libdir} @OPENSPLIBS@ -lofx
-Cflags: -I${includedir} -I@OPENSPINCLUDES@ 
+#Libs: -L${libdir} @OPENSPLIBS@ -lofx
+#Cflags: -I${includedir} -I@OPENSPINCLUDES@ 
+Libs: -L${libdir} -lofx
+Cflags: -I${includedir}

=== modified file 'libofx.spec'
--- libofx.spec	2006-10-20 13:12:33 +0000
+++ libofx.spec	2008-02-06 17:25:16 +0000
@@ -1,5 +1,5 @@
 %define name libofx
-%define version 0.8.2
+%define version 0.9.0
 %define release 1
 %define prefix /usr
 

=== added directory 'm4'
=== added file 'm4/Makefile.am'
--- m4/Makefile.am	1970-01-01 00:00:00 +0000
+++ m4/Makefile.am	2008-02-06 17:25:16 +0000
@@ -0,0 +1,3 @@
+
+EXTRA_DIST= os.m4
+

=== added file 'm4/Makefile.in'
--- m4/Makefile.in	1970-01-01 00:00:00 +0000
+++ m4/Makefile.in	2008-02-06 17:25:16 +0000
@@ -0,0 +1,365 @@
+# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005  Free Software Foundation, Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+VPATH = @srcdir@
+pkgdatadir = $(datadir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+top_builddir = ..
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+INSTALL = @INSTALL@
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_triplet = @build@
+host_triplet = @host@
+subdir = m4
+DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/m4/os.m4 $(top_srcdir)/libcurl.m4 \
+	$(top_srcdir)/configure.in
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+	$(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_HEADER = $(top_builddir)/config.h
+CONFIG_CLEAN_FILES =
+SOURCES =
+DIST_SOURCES =
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+AMDEP_FALSE = @AMDEP_FALSE@
+AMDEP_TRUE = @AMDEP_TRUE@
+AMTAR = @AMTAR@
+AR = @AR@
+AS = @AS@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+BUILD_OFXCONNECT_FALSE = @BUILD_OFXCONNECT_FALSE@
+BUILD_OFXCONNECT_TRUE = @BUILD_OFXCONNECT_TRUE@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+CPP = @CPP@
+CPPFLAGS = @CPPFLAGS@
+CXX = @CXX@
+CXXCPP = @CXXCPP@
+CXXDEPMODE = @CXXDEPMODE@
+CXXFLAGS = @CXXFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+DLLTOOL = @DLLTOOL@
+DOC_FALSE = @DOC_FALSE@
+DOC_TRUE = @DOC_TRUE@
+DOT = @DOT@
+DOXYGEN = @DOXYGEN@
+ECHO = @ECHO@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EGREP = @EGREP@
+ENABLE_DOXYGEN_FALSE = @ENABLE_DOXYGEN_FALSE@
+ENABLE_DOXYGEN_TRUE = @ENABLE_DOXYGEN_TRUE@
+EXEEXT = @EXEEXT@
+F77 = @F77@
+FFLAGS = @FFLAGS@
+GREP = @GREP@
+ICONV_LIBS = @ICONV_LIBS@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_DLL_TARGET = @INSTALL_DLL_TARGET@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+LDFLAGS = @LDFLAGS@
+LIBCURL = @LIBCURL@
+LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
+LIBOBJS = @LIBOBJS@
+LIBOFX_BUILD_VERSION = @LIBOFX_BUILD_VERSION@
+LIBOFX_DTD_DIR = @LIBOFX_DTD_DIR@
+LIBOFX_MAJOR_VERSION = @LIBOFX_MAJOR_VERSION@
+LIBOFX_MICRO_VERSION = @LIBOFX_MICRO_VERSION@
+LIBOFX_MINOR_VERSION = @LIBOFX_MINOR_VERSION@
+LIBOFX_SO_AGE = @LIBOFX_SO_AGE@
+LIBOFX_SO_CURRENT = @LIBOFX_SO_CURRENT@
+LIBOFX_SO_REVISION = @LIBOFX_SO_REVISION@
+LIBOFX_VERSION = @LIBOFX_VERSION@
+LIBOFX_VERSION_RELEASE_STRING = @LIBOFX_VERSION_RELEASE_STRING@
+LIBS = @LIBS@
+LIBTOOL = @LIBTOOL@
+LIBXMLPP_CFLAGS = @LIBXMLPP_CFLAGS@
+LIBXMLPP_LIBS = @LIBXMLPP_LIBS@
+LN_S = @LN_S@
+LTLIBOBJS = @LTLIBOBJS@
+MAINT = @MAINT@
+MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
+MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
+MAKEINFO = @MAKEINFO@
+MAKE_DLL_TARGET = @MAKE_DLL_TARGET@
+NO_GETOPTLONG_FALSE = @NO_GETOPTLONG_FALSE@
+NO_GETOPTLONG_TRUE = @NO_GETOPTLONG_TRUE@
+OBJDUMP = @OBJDUMP@
+OBJEXT = @OBJEXT@
+OPENSPINCLUDES = @OPENSPINCLUDES@
+OPENSPLIBS = @OPENSPLIBS@
+OSYSTEM = @OSYSTEM@
+OS_TYPE = @OS_TYPE@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+PKG_CONFIG = @PKG_CONFIG@
+QT_CFLAGS = @QT_CFLAGS@
+RANLIB = @RANLIB@
+RC = @RC@
+SED = @SED@
+SET_MAKE = @SET_MAKE@
+SHELL = @SHELL@
+STRIP = @STRIP@
+USE_GENGETOPT_FALSE = @USE_GENGETOPT_FALSE@
+USE_GENGETOPT_TRUE = @USE_GENGETOPT_TRUE@
+VERSION = @VERSION@
+WITH_ICONV = @WITH_ICONV@
+_libcurl_config = @_libcurl_config@
+ac_ct_CC = @ac_ct_CC@
+ac_ct_CXX = @ac_ct_CXX@
+ac_ct_F77 = @ac_ct_F77@
+am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
+am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
+am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
+am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
+am__include = @am__include@
+am__leading_dot = @am__leading_dot@
+am__quote = @am__quote@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+build = @build@
+build_alias = @build_alias@
+build_cpu = @build_cpu@
+build_os = @build_os@
+build_vendor = @build_vendor@
+datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
+enable_dot = @enable_dot@
+enable_html_docs = @enable_html_docs@
+enable_latex_docs = @enable_latex_docs@
+exec_prefix = @exec_prefix@
+have_gengetopt = @have_gengetopt@
+host = @host@
+host_alias = @host_alias@
+host_cpu = @host_cpu@
+host_os = @host_os@
+host_vendor = @host_vendor@
+htmldir = @htmldir@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+libdir = @libdir@
+libexecdir = @libexecdir@
+localedir = @localedir@
+localstatedir = @localstatedir@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+ofxconnect = @ofxconnect@
+oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+psdir = @psdir@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+EXTRA_DIST = os.m4
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+	@for dep in $?; do \
+	  case '$(am__configure_deps)' in \
+	    *$$dep*) \
+	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
+		&& exit 0; \
+	      exit 1;; \
+	  esac; \
+	done; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  m4/Makefile'; \
+	cd $(top_srcdir) && \
+	  $(AUTOMAKE) --gnu  m4/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	@case '$?' in \
+	  *config.status*) \
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+	  *) \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+mostlyclean-libtool:
+	-rm -f *.lo
+
+clean-libtool:
+	-rm -rf .libs _libs
+
+distclean-libtool:
+	-rm -f libtool
+uninstall-info-am:
+tags: TAGS
+TAGS:
+
+ctags: CTAGS
+CTAGS:
+
+
+distdir: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
+	list='$(DISTFILES)'; for file in $$list; do \
+	  case $$file in \
+	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
+	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
+	  esac; \
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
+	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
+	    dir="/$$dir"; \
+	    $(mkdir_p) "$(distdir)$$dir"; \
+	  else \
+	    dir=''; \
+	  fi; \
+	  if test -d $$d/$$file; then \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
+	    fi; \
+	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
+	  else \
+	    test -f $(distdir)/$$file \
+	    || cp -p $$d/$$file $(distdir)/$$file \
+	    || exit 1; \
+	  fi; \
+	done
+check-am: all-am
+check: check-am
+all-am: Makefile
+installdirs:
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	  `test -z '$(STRIP)' || \
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic clean-libtool mostlyclean-am
+
+distclean: distclean-am
+	-rm -f Makefile
+distclean-am: clean-am distclean-generic distclean-libtool
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+info: info-am
+
+info-am:
+
+install-data-am:
+
+install-exec-am:
+
+install-info: install-info-am
+
+install-man:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+	-rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic mostlyclean-libtool
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-info-am
+
+.PHONY: all all-am check check-am clean clean-generic clean-libtool \
+	distclean distclean-generic distclean-libtool distdir dvi \
+	dvi-am html html-am info info-am install install-am \
+	install-data install-data-am install-exec install-exec-am \
+	install-info install-info-am install-man install-strip \
+	installcheck installcheck-am installdirs maintainer-clean \
+	maintainer-clean-generic mostlyclean mostlyclean-generic \
+	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
+	uninstall-info-am
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:

=== added file 'm4/os.m4'
--- m4/os.m4	1970-01-01 00:00:00 +0000
+++ m4/os.m4	2008-02-06 17:25:16 +0000
@@ -0,0 +1,111 @@
+# $Id: os.m4,v 1.1 2007/10/27 11:28:08 aquamaniac Exp $
+# (c) 2002 Martin Preuss<martin@libchipcard.de>
+# These functions guess your operation system
+
+AC_DEFUN([AQ_CHECK_OS],[
+dnl IN: 
+dnl   - AC_CANONICAL_SYSTEM muste be called before
+dnl OUT:
+dnl   Variables:
+dnl     OSYSTEM: Short name of your system (subst)
+dnl     OS_TYPE: either "posix" or "windows" (subst)
+dnl     MAKE_DLL_TARGET: under windows this is set to "dll" (subst)
+dnl     INSTALL_DLL_TARGET: under Windows this is set to "dll-install" (subst)
+dnl   Defines:
+dnl     OS_NAME: full name of your system
+dnl     OS_SHORTNAME: short name of your system
+dnl     Depending on your system one of the following is defined in addition:
+dnl      OS_LINUX, OS_OPENBSD, OS_FREEBSD, OS_BEOS, OS_WIN32
+
+# check for OS
+AC_MSG_CHECKING([host system type])
+OSYSTEM=""
+OS_TYPE=""
+MAKE_DLL_TARGET=""
+INSTALL_DLL_TARGET=""
+AC_DEFINE_UNQUOTED(OS_NAME,"$host", [host system])
+case "$host" in
+    *-linux*)
+	OSYSTEM="linux"
+	AC_DEFINE(OS_LINUX,1,[if linux is used])
+	AC_DEFINE(OS_POSIX,1,[if this is a POSIX system])
+	OS_TYPE="posix"
+	;;
+    *-solaris*)
+	OSYSTEM="solaris"
+	AC_DEFINE(OS_SOLARIS,1,[if Solaris is used])
+	AC_DEFINE(OS_POSIX,1,[if this is a POSIX system])
+	OS_TYPE="posix"
+	;;
+    *-darwin*)
+	OSYSTEM="osx"
+	AC_DEFINE(OS_DARWIN,1,[if Apple Darwin is used])
+	AC_DEFINE(OS_POSIX,1,[if this is a POSIX system])
+	OS_TYPE="posix"
+	;;
+    *-openbsd*)
+	OSYSTEM="openbsd"
+	AC_DEFINE(OS_OPENBSD,1,[if OpenBSD is used])
+	AC_DEFINE(OS_POSIX,1,[if this is a POSIX system])
+	OS_TYPE="posix"
+	;;
+    *-freebsd*)
+	OSYSTEM="freebsd"
+	AC_DEFINE(OS_FREEBSD,1,[if FreeBSD is used])
+	AC_DEFINE(OS_POSIX,1,[if this is a POSIX system])
+	OS_TYPE="posix"
+	;;
+    *-netbsd*)
+	OSYSTEM="netbsd"
+	AC_DEFINE(OS_NETBSD,1,[if NetBSD is used])
+	AC_DEFINE(OS_POSIX,1,[if this is a POSIX system])
+	OS_TYPE="posix"
+	;;
+    *-beos*)
+	OSYSTEM="beos"
+	AC_DEFINE(OS_BEOS,1,[if BeOS is used])
+	AC_DEFINE(OS_POSIX,1,[if this is a POSIX system])
+	OS_TYPE="posix"
+	;;
+    *-win32*)
+    	OSYSTEM="windows"
+	AC_DEFINE(OS_WIN32,1,[if WIN32 is used])
+	OS_TYPE="windows"
+        AC_DEFINE_UNQUOTED(BUILDING_DLL,1,[if DLL is to be built])
+	MAKE_DLL_TARGET="dll"
+	INSTALL_DLL_TARGET="dll-install"
+	;;
+    *-mingw32*)
+	OSYSTEM="windows"
+	AC_DEFINE(OS_WIN32,1,[if WIN32 is used])
+	OS_TYPE="windows"
+        AC_DEFINE_UNQUOTED(BUILDING_DLL,1,[if DLL is to be built])
+	MAKE_DLL_TARGET="dll"
+	INSTALL_DLL_TARGET="dll-install"
+	;;
+    *-palmos*)
+    	OSYSTEM="palmos"
+	AC_DEFINE(OS_PALMOS,1,[if PalmOS is used])
+	OS_TYPE="palmos"
+        ;;
+    *)
+	AC_MSG_WARN([Sorry, but host $host is not supported.
+        Please report if it works anyway. We will assume that your system
+        is a posix system and continue.])
+	OSYSTEM="unknown"
+	OS_TYPE="posix"
+	AC_DEFINE(OS_POSIX,1,[if this is a POSIX system])
+	;;
+esac
+
+AC_SUBST(OSYSTEM)
+AC_DEFINE_UNQUOTED(OS_SHORTNAME,"$OSYSTEM",[host system])
+AC_SUBST(OS_TYPE)
+AC_DEFINE_UNQUOTED(OS_TYPE,"$OS_TYPE",[system type])
+AC_SUBST(MAKE_DLL_TARGET)
+AC_SUBST(INSTALL_DLL_TARGET)
+
+AC_MSG_RESULT($OS_TYPE)
+])
+
+

=== modified file 'ofx2qif/Makefile.in'
--- ofx2qif/Makefile.in	2006-10-20 13:12:33 +0000
+++ ofx2qif/Makefile.in	2008-02-06 17:25:16 +0000
@@ -40,7 +40,7 @@
 subdir = ofx2qif
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/libcurl.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/os.m4 $(top_srcdir)/libcurl.m4 \
 	$(top_srcdir)/configure.in
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
@@ -74,6 +74,7 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 AR = @AR@
+AS = @AS@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
@@ -92,6 +93,7 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DLLTOOL = @DLLTOOL@
 DOC_FALSE = @DOC_FALSE@
 DOC_TRUE = @DOC_TRUE@
 DOT = @DOT@
@@ -106,7 +108,10 @@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
+GREP = @GREP@
+ICONV_LIBS = @ICONV_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
+INSTALL_DLL_TARGET = @INSTALL_DLL_TARGET@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
@@ -114,6 +119,7 @@
 LIBCURL = @LIBCURL@
 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
 LIBOBJS = @LIBOBJS@
+LIBOFX_BUILD_VERSION = @LIBOFX_BUILD_VERSION@
 LIBOFX_DTD_DIR = @LIBOFX_DTD_DIR@
 LIBOFX_MAJOR_VERSION = @LIBOFX_MAJOR_VERSION@
 LIBOFX_MICRO_VERSION = @LIBOFX_MICRO_VERSION@
@@ -122,6 +128,7 @@
 LIBOFX_SO_CURRENT = @LIBOFX_SO_CURRENT@
 LIBOFX_SO_REVISION = @LIBOFX_SO_REVISION@
 LIBOFX_VERSION = @LIBOFX_VERSION@
+LIBOFX_VERSION_RELEASE_STRING = @LIBOFX_VERSION_RELEASE_STRING@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIBXMLPP_CFLAGS = @LIBXMLPP_CFLAGS@
@@ -132,11 +139,15 @@
 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
+MAKE_DLL_TARGET = @MAKE_DLL_TARGET@
 NO_GETOPTLONG_FALSE = @NO_GETOPTLONG_FALSE@
 NO_GETOPTLONG_TRUE = @NO_GETOPTLONG_TRUE@
+OBJDUMP = @OBJDUMP@
 OBJEXT = @OBJEXT@
 OPENSPINCLUDES = @OPENSPINCLUDES@
 OPENSPLIBS = @OPENSPLIBS@
+OSYSTEM = @OSYSTEM@
+OS_TYPE = @OS_TYPE@
 PACKAGE = @PACKAGE@
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
@@ -147,20 +158,19 @@
 PKG_CONFIG = @PKG_CONFIG@
 QT_CFLAGS = @QT_CFLAGS@
 RANLIB = @RANLIB@
+RC = @RC@
+SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_GENGETOPT_FALSE = @USE_GENGETOPT_FALSE@
 USE_GENGETOPT_TRUE = @USE_GENGETOPT_TRUE@
 VERSION = @VERSION@
+WITH_ICONV = @WITH_ICONV@
 _libcurl_config = @_libcurl_config@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
@@ -177,6 +187,9 @@
 build_os = @build_os@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 enable_dot = @enable_dot@
 enable_html_docs = @enable_html_docs@
 enable_latex_docs = @enable_latex_docs@
@@ -187,18 +200,22 @@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
 install_sh = @install_sh@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 ofxconnect = @ofxconnect@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@

=== modified file 'ofxconnect/Makefile.in'
--- ofxconnect/Makefile.in	2006-10-20 13:12:33 +0000
+++ ofxconnect/Makefile.in	2008-02-06 17:25:16 +0000
@@ -40,7 +40,7 @@
 subdir = ofxconnect
 DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/libcurl.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/os.m4 $(top_srcdir)/libcurl.m4 \
 	$(top_srcdir)/configure.in
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
@@ -83,6 +83,7 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 AR = @AR@
+AS = @AS@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
@@ -101,6 +102,7 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DLLTOOL = @DLLTOOL@
 DOC_FALSE = @DOC_FALSE@
 DOC_TRUE = @DOC_TRUE@
 DOT = @DOT@
@@ -115,7 +117,10 @@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
+GREP = @GREP@
+ICONV_LIBS = @ICONV_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
+INSTALL_DLL_TARGET = @INSTALL_DLL_TARGET@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
@@ -123,6 +128,7 @@
 LIBCURL = @LIBCURL@
 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
 LIBOBJS = @LIBOBJS@
+LIBOFX_BUILD_VERSION = @LIBOFX_BUILD_VERSION@
 LIBOFX_DTD_DIR = @LIBOFX_DTD_DIR@
 LIBOFX_MAJOR_VERSION = @LIBOFX_MAJOR_VERSION@
 LIBOFX_MICRO_VERSION = @LIBOFX_MICRO_VERSION@
@@ -131,6 +137,7 @@
 LIBOFX_SO_CURRENT = @LIBOFX_SO_CURRENT@
 LIBOFX_SO_REVISION = @LIBOFX_SO_REVISION@
 LIBOFX_VERSION = @LIBOFX_VERSION@
+LIBOFX_VERSION_RELEASE_STRING = @LIBOFX_VERSION_RELEASE_STRING@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIBXMLPP_CFLAGS = @LIBXMLPP_CFLAGS@
@@ -141,11 +148,15 @@
 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
+MAKE_DLL_TARGET = @MAKE_DLL_TARGET@
 NO_GETOPTLONG_FALSE = @NO_GETOPTLONG_FALSE@
 NO_GETOPTLONG_TRUE = @NO_GETOPTLONG_TRUE@
+OBJDUMP = @OBJDUMP@
 OBJEXT = @OBJEXT@
 OPENSPINCLUDES = @OPENSPINCLUDES@
 OPENSPLIBS = @OPENSPLIBS@
+OSYSTEM = @OSYSTEM@
+OS_TYPE = @OS_TYPE@
 PACKAGE = @PACKAGE@
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
@@ -156,20 +167,19 @@
 PKG_CONFIG = @PKG_CONFIG@
 QT_CFLAGS = @QT_CFLAGS@
 RANLIB = @RANLIB@
+RC = @RC@
+SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_GENGETOPT_FALSE = @USE_GENGETOPT_FALSE@
 USE_GENGETOPT_TRUE = @USE_GENGETOPT_TRUE@
 VERSION = @VERSION@
+WITH_ICONV = @WITH_ICONV@
 _libcurl_config = @_libcurl_config@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
@@ -186,6 +196,9 @@
 build_os = @build_os@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 enable_dot = @enable_dot@
 enable_html_docs = @enable_html_docs@
 enable_latex_docs = @enable_latex_docs@
@@ -196,18 +209,22 @@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
 install_sh = @install_sh@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 ofxconnect = @ofxconnect@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@

=== modified file 'ofxconnect/cmdline.c'
--- ofxconnect/cmdline.c	2006-10-20 13:12:33 +0000
+++ ofxconnect/cmdline.c	2008-02-06 17:25:16 +0000
@@ -1,5 +1,5 @@
 /*
-  File autogenerated by gengetopt version 2.10
+  File autogenerated by gengetopt version 2.21
   generated with the following command:
   gengetopt --unamed-opts 
 
@@ -8,84 +8,68 @@
   we make no copyright claims on it.
 */
 
-
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
-
 /* If we use autoconf.  */
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif
 
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+
 #include "getopt.h"
 
 #include "cmdline.h"
 
-void
-cmdline_parser_print_version (void)
-{
-  printf ("%s %s\n", CMDLINE_PARSER_PACKAGE, CMDLINE_PARSER_VERSION);
-}
-
-void
-cmdline_parser_print_help (void)
-{
-  cmdline_parser_print_version ();
-  printf("\n"
-  "Purpose:\n"
-  "  prints to stdout the created OFX file based on the options you pass it. currently it will only create a statement request file.  you can POST this to an OFX server to request a statement from that financial institution for that account.\n"
-  "\n"
-  "Usage: %s [OPTIONS]... [FILES]...\n", CMDLINE_PARSER_PACKAGE);
-  printf("   -h         --help                 Print help and exit\n");
-  printf("   -V         --version              Print version and exit\n");
-  printf("              --fipid=STRING         FI partner identifier (looks up fid, org & url from partner server)\n");
-  printf("              --fid=STRING           FI identifier\n");
-  printf("              --org=STRING           FI org tag\n");
-  printf("              --bank=STRING          IBAN bank identifier\n");
-  printf("              --broker=STRING        Broker identifier\n");
-  printf("              --user=STRING          User name\n");
-  printf("              --pass=STRING          Password\n");
-  printf("              --acct=STRING          Account ID\n");
-  printf("              --type=INT             Account Type 1=checking 2=invest 3=ccard\n");
-  printf("              --past=LONG            How far back to look from today (in days)\n");
-  printf("              --url=STRING           Url to POST the data to (otherwise goes to stdout)\n");
-  printf("              --trid=INT             Transaction id\n");
-  printf("\n");
-  printf("   Group: command\n");
-  printf("   -s         --statement-req        Request for a statement\n");
-  printf("   -a         --accountinfo-req      Request for a list of accounts\n");
-  printf("   -p         --payment-req          Request to make a payment\n");
-  printf("   -i         --paymentinquiry-req   Request to inquire about the status of a payment\n");
-  printf("   -b         --bank-list            List all known banks\n");
-  printf("   -f         --bank-fipid           List all fipids for a given bank\n");
-  printf("   -v         --bank-services        List supported services for a given fipid\n");
-  printf("              --allsupport           List all banks which support online banking\n");
-}
-
-
-static char *gengetopt_strdup (const char *s);
-
-/* gengetopt_strdup() */
-/* strdup.c replacement of strdup, which is not standard */
-char *
-gengetopt_strdup (const char *s)
-{
-  char *result = (char*)malloc(strlen(s) + 1);
-  if (result == (char*)0)
-    return (char*)0;
-  strcpy(result, s);
-  return result;
-}
-
-int
-cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info)
-{
-  int c;	/* Character of the parsed option.  */
-  int missing_required_options = 0;
-  int command_group_counter = 0;
-  
-
+const char *gengetopt_args_info_purpose = "prints to stdout the created OFX file based on the options you pass it. \ncurrently it will only create a statement request file.  you can POST this to \nan OFX server to request a statement from that financial institution for that \naccount.";
+
+const char *gengetopt_args_info_usage = "Usage: " CMDLINE_PARSER_PACKAGE " [OPTIONS]... [FILES]...";
+
+const char *gengetopt_args_info_description = "";
+
+const char *gengetopt_args_info_help[] = {
+  "  -h, --help                Print help and exit",
+  "  -V, --version             Print version and exit",
+  "      --fipid=STRING        FI partner identifier (looks up fid, org & url from \n                              partner server)",
+  "      --fid=STRING          FI identifier",
+  "      --org=STRING          FI org tag",
+  "      --bank=STRING         IBAN bank identifier",
+  "      --broker=STRING       Broker identifier",
+  "      --user=STRING         User name",
+  "      --pass=STRING         Password",
+  "      --acct=STRING         Account ID",
+  "      --type=INT            Account Type 1=checking 2=invest 3=ccard",
+  "      --past=LONG           How far back to look from today (in days)",
+  "      --url=STRING          Url to POST the data to (otherwise goes to stdout)",
+  "      --trid=INT            Transaction id",
+  "\n Group: command",
+  "  -s, --statement-req       Request for a statement",
+  "  -a, --accountinfo-req     Request for a list of accounts",
+  "  -p, --payment-req         Request to make a payment",
+  "  -i, --paymentinquiry-req  Request to inquire about the status of a payment",
+  "  -b, --bank-list           List all known banks",
+  "  -f, --bank-fipid          List all fipids for a given bank",
+  "  -v, --bank-services       List supported services for a given fipid",
+  "      --allsupport          List all banks which support online banking",
+    0
+};
+
+static
+void clear_given (struct gengetopt_args_info *args_info);
+static
+void clear_args (struct gengetopt_args_info *args_info);
+
+static int
+cmdline_parser_internal (int argc, char * const *argv, struct gengetopt_args_info *args_info,
+                        struct cmdline_parser_params *params, const char *additional_error);
+
+
+static char *
+gengetopt_strdup (const char *s);
+
+static
+void clear_given (struct gengetopt_args_info *args_info)
+{
   args_info->help_given = 0 ;
   args_info->version_given = 0 ;
   args_info->fipid_given = 0 ;
@@ -108,25 +92,491 @@
   args_info->bank_fipid_given = 0 ;
   args_info->bank_services_given = 0 ;
   args_info->allsupport_given = 0 ;
-#define clear_args() { \
-  args_info->fipid_arg = NULL; \
-  args_info->fid_arg = NULL; \
-  args_info->org_arg = NULL; \
-  args_info->bank_arg = NULL; \
-  args_info->broker_arg = NULL; \
-  args_info->user_arg = NULL; \
-  args_info->pass_arg = NULL; \
-  args_info->acct_arg = NULL; \
-  args_info->url_arg = NULL; \
-}
-
-  clear_args();
+  args_info->command_group_counter = 0 ;
+}
+
+static
+void clear_args (struct gengetopt_args_info *args_info)
+{
+  args_info->fipid_arg = NULL;
+  args_info->fipid_orig = NULL;
+  args_info->fid_arg = NULL;
+  args_info->fid_orig = NULL;
+  args_info->org_arg = NULL;
+  args_info->org_orig = NULL;
+  args_info->bank_arg = NULL;
+  args_info->bank_orig = NULL;
+  args_info->broker_arg = NULL;
+  args_info->broker_orig = NULL;
+  args_info->user_arg = NULL;
+  args_info->user_orig = NULL;
+  args_info->pass_arg = NULL;
+  args_info->pass_orig = NULL;
+  args_info->acct_arg = NULL;
+  args_info->acct_orig = NULL;
+  args_info->type_orig = NULL;
+  args_info->past_orig = NULL;
+  args_info->url_arg = NULL;
+  args_info->url_orig = NULL;
+  args_info->trid_orig = NULL;
+  
+}
+
+static
+void init_args_info(struct gengetopt_args_info *args_info)
+{
+  args_info->help_help = gengetopt_args_info_help[0] ;
+  args_info->version_help = gengetopt_args_info_help[1] ;
+  args_info->fipid_help = gengetopt_args_info_help[2] ;
+  args_info->fid_help = gengetopt_args_info_help[3] ;
+  args_info->org_help = gengetopt_args_info_help[4] ;
+  args_info->bank_help = gengetopt_args_info_help[5] ;
+  args_info->broker_help = gengetopt_args_info_help[6] ;
+  args_info->user_help = gengetopt_args_info_help[7] ;
+  args_info->pass_help = gengetopt_args_info_help[8] ;
+  args_info->acct_help = gengetopt_args_info_help[9] ;
+  args_info->type_help = gengetopt_args_info_help[10] ;
+  args_info->past_help = gengetopt_args_info_help[11] ;
+  args_info->url_help = gengetopt_args_info_help[12] ;
+  args_info->trid_help = gengetopt_args_info_help[13] ;
+  args_info->statement_req_help = gengetopt_args_info_help[14] ;
+  args_info->accountinfo_req_help = gengetopt_args_info_help[15] ;
+  args_info->payment_req_help = gengetopt_args_info_help[16] ;
+  args_info->paymentinquiry_req_help = gengetopt_args_info_help[17] ;
+  args_info->bank_list_help = gengetopt_args_info_help[18] ;
+  args_info->bank_fipid_help = gengetopt_args_info_help[19] ;
+  args_info->bank_services_help = gengetopt_args_info_help[20] ;
+  args_info->allsupport_help = gengetopt_args_info_help[21] ;
+  
+}
+
+void
+cmdline_parser_print_version (void)
+{
+  printf ("%s %s\n", CMDLINE_PARSER_PACKAGE, CMDLINE_PARSER_VERSION);
+}
+
+void
+cmdline_parser_print_help (void)
+{
+  int i = 0;
+  cmdline_parser_print_version ();
+
+  if (strlen(gengetopt_args_info_purpose) > 0)
+    printf("\n%s\n", gengetopt_args_info_purpose);
+
+  printf("\n%s\n\n", gengetopt_args_info_usage);
+
+  if (strlen(gengetopt_args_info_description) > 0)
+    printf("%s\n", gengetopt_args_info_description);
+
+  while (gengetopt_args_info_help[i])
+    printf("%s\n", gengetopt_args_info_help[i++]);
+}
+
+void
+cmdline_parser_init (struct gengetopt_args_info *args_info)
+{
+  clear_given (args_info);
+  clear_args (args_info);
+  init_args_info (args_info);
 
   args_info->inputs = NULL;
   args_info->inputs_num = 0;
+}
+
+struct cmdline_parser_params *
+cmdline_parser_params_init()
+{
+  struct cmdline_parser_params *params = 
+    (struct cmdline_parser_params *)malloc(sizeof(struct cmdline_parser_params));
+
+  if (params)
+    { 
+      params->override = 0;
+      params->initialize = 0;
+      params->check_required = 0;
+      params->check_ambiguity = 0;
+    }
+    
+  return params;
+}
+
+static void
+cmdline_parser_release (struct gengetopt_args_info *args_info)
+{
+  
+  unsigned int i;
+  if (args_info->fipid_arg)
+    {
+      free (args_info->fipid_arg); /* free previous argument */
+      args_info->fipid_arg = 0;
+    }
+  if (args_info->fipid_orig)
+    {
+      free (args_info->fipid_orig); /* free previous argument */
+      args_info->fipid_orig = 0;
+    }
+  if (args_info->fid_arg)
+    {
+      free (args_info->fid_arg); /* free previous argument */
+      args_info->fid_arg = 0;
+    }
+  if (args_info->fid_orig)
+    {
+      free (args_info->fid_orig); /* free previous argument */
+      args_info->fid_orig = 0;
+    }
+  if (args_info->org_arg)
+    {
+      free (args_info->org_arg); /* free previous argument */
+      args_info->org_arg = 0;
+    }
+  if (args_info->org_orig)
+    {
+      free (args_info->org_orig); /* free previous argument */
+      args_info->org_orig = 0;
+    }
+  if (args_info->bank_arg)
+    {
+      free (args_info->bank_arg); /* free previous argument */
+      args_info->bank_arg = 0;
+    }
+  if (args_info->bank_orig)
+    {
+      free (args_info->bank_orig); /* free previous argument */
+      args_info->bank_orig = 0;
+    }
+  if (args_info->broker_arg)
+    {
+      free (args_info->broker_arg); /* free previous argument */
+      args_info->broker_arg = 0;
+    }
+  if (args_info->broker_orig)
+    {
+      free (args_info->broker_orig); /* free previous argument */
+      args_info->broker_orig = 0;
+    }
+  if (args_info->user_arg)
+    {
+      free (args_info->user_arg); /* free previous argument */
+      args_info->user_arg = 0;
+    }
+  if (args_info->user_orig)
+    {
+      free (args_info->user_orig); /* free previous argument */
+      args_info->user_orig = 0;
+    }
+  if (args_info->pass_arg)
+    {
+      free (args_info->pass_arg); /* free previous argument */
+      args_info->pass_arg = 0;
+    }
+  if (args_info->pass_orig)
+    {
+      free (args_info->pass_orig); /* free previous argument */
+      args_info->pass_orig = 0;
+    }
+  if (args_info->acct_arg)
+    {
+      free (args_info->acct_arg); /* free previous argument */
+      args_info->acct_arg = 0;
+    }
+  if (args_info->acct_orig)
+    {
+      free (args_info->acct_orig); /* free previous argument */
+      args_info->acct_orig = 0;
+    }
+  if (args_info->type_orig)
+    {
+      free (args_info->type_orig); /* free previous argument */
+      args_info->type_orig = 0;
+    }
+  if (args_info->past_orig)
+    {
+      free (args_info->past_orig); /* free previous argument */
+      args_info->past_orig = 0;
+    }
+  if (args_info->url_arg)
+    {
+      free (args_info->url_arg); /* free previous argument */
+      args_info->url_arg = 0;
+    }
+  if (args_info->url_orig)
+    {
+      free (args_info->url_orig); /* free previous argument */
+      args_info->url_orig = 0;
+    }
+  if (args_info->trid_orig)
+    {
+      free (args_info->trid_orig); /* free previous argument */
+      args_info->trid_orig = 0;
+    }
+  
+  for (i = 0; i < args_info->inputs_num; ++i)
+    free (args_info->inputs [i]);
+  
+  if (args_info->inputs_num)
+    free (args_info->inputs);
+  
+  clear_given (args_info);
+}
+
+int
+cmdline_parser_file_save(const char *filename, struct gengetopt_args_info *args_info)
+{
+  FILE *outfile;
+  int i = 0;
+
+  outfile = fopen(filename, "w");
+
+  if (!outfile)
+    {
+      fprintf (stderr, "%s: cannot open file for writing: %s\n", CMDLINE_PARSER_PACKAGE, filename);
+      return EXIT_FAILURE;
+    }
+
+  if (args_info->help_given) {
+    fprintf(outfile, "%s\n", "help");
+  }
+  if (args_info->version_given) {
+    fprintf(outfile, "%s\n", "version");
+  }
+  if (args_info->fipid_given) {
+    if (args_info->fipid_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "fipid", args_info->fipid_orig);
+    } else {
+      fprintf(outfile, "%s\n", "fipid");
+    }
+  }
+  if (args_info->fid_given) {
+    if (args_info->fid_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "fid", args_info->fid_orig);
+    } else {
+      fprintf(outfile, "%s\n", "fid");
+    }
+  }
+  if (args_info->org_given) {
+    if (args_info->org_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "org", args_info->org_orig);
+    } else {
+      fprintf(outfile, "%s\n", "org");
+    }
+  }
+  if (args_info->bank_given) {
+    if (args_info->bank_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "bank", args_info->bank_orig);
+    } else {
+      fprintf(outfile, "%s\n", "bank");
+    }
+  }
+  if (args_info->broker_given) {
+    if (args_info->broker_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "broker", args_info->broker_orig);
+    } else {
+      fprintf(outfile, "%s\n", "broker");
+    }
+  }
+  if (args_info->user_given) {
+    if (args_info->user_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "user", args_info->user_orig);
+    } else {
+      fprintf(outfile, "%s\n", "user");
+    }
+  }
+  if (args_info->pass_given) {
+    if (args_info->pass_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "pass", args_info->pass_orig);
+    } else {
+      fprintf(outfile, "%s\n", "pass");
+    }
+  }
+  if (args_info->acct_given) {
+    if (args_info->acct_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "acct", args_info->acct_orig);
+    } else {
+      fprintf(outfile, "%s\n", "acct");
+    }
+  }
+  if (args_info->type_given) {
+    if (args_info->type_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "type", args_info->type_orig);
+    } else {
+      fprintf(outfile, "%s\n", "type");
+    }
+  }
+  if (args_info->past_given) {
+    if (args_info->past_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "past", args_info->past_orig);
+    } else {
+      fprintf(outfile, "%s\n", "past");
+    }
+  }
+  if (args_info->url_given) {
+    if (args_info->url_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "url", args_info->url_orig);
+    } else {
+      fprintf(outfile, "%s\n", "url");
+    }
+  }
+  if (args_info->trid_given) {
+    if (args_info->trid_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "trid", args_info->trid_orig);
+    } else {
+      fprintf(outfile, "%s\n", "trid");
+    }
+  }
+  if (args_info->statement_req_given) {
+    fprintf(outfile, "%s\n", "statement-req");
+  }
+  if (args_info->accountinfo_req_given) {
+    fprintf(outfile, "%s\n", "accountinfo-req");
+  }
+  if (args_info->payment_req_given) {
+    fprintf(outfile, "%s\n", "payment-req");
+  }
+  if (args_info->paymentinquiry_req_given) {
+    fprintf(outfile, "%s\n", "paymentinquiry-req");
+  }
+  if (args_info->bank_list_given) {
+    fprintf(outfile, "%s\n", "bank-list");
+  }
+  if (args_info->bank_fipid_given) {
+    fprintf(outfile, "%s\n", "bank-fipid");
+  }
+  if (args_info->bank_services_given) {
+    fprintf(outfile, "%s\n", "bank-services");
+  }
+  if (args_info->allsupport_given) {
+    fprintf(outfile, "%s\n", "allsupport");
+  }
+  
+  fclose (outfile);
+
+  i = EXIT_SUCCESS;
+  return i;
+}
+
+void
+cmdline_parser_free (struct gengetopt_args_info *args_info)
+{
+  cmdline_parser_release (args_info);
+}
+
+
+/* gengetopt_strdup() */
+/* strdup.c replacement of strdup, which is not standard */
+char *
+gengetopt_strdup (const char *s)
+{
+  char *result = NULL;
+  if (!s)
+    return result;
+
+  result = (char*)malloc(strlen(s) + 1);
+  if (result == (char*)0)
+    return (char*)0;
+  strcpy(result, s);
+  return result;
+}
+
+static void
+reset_group_command(struct gengetopt_args_info *args_info);
+
+static void
+reset_group_command(struct gengetopt_args_info *args_info)
+{
+  if (! args_info->command_group_counter)
+    return;
+  
+  args_info->statement_req_given = 0 ;
+  args_info->accountinfo_req_given = 0 ;
+  args_info->payment_req_given = 0 ;
+  args_info->paymentinquiry_req_given = 0 ;
+  args_info->bank_list_given = 0 ;
+  args_info->bank_fipid_given = 0 ;
+  args_info->bank_services_given = 0 ;
+  args_info->allsupport_given = 0 ;
+
+  args_info->command_group_counter = 0;
+}
+
+int
+cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info)
+{
+  return cmdline_parser2 (argc, argv, args_info, 0, 1, 1);
+}
+
+int
+cmdline_parser_ext (int argc, char * const *argv, struct gengetopt_args_info *args_info,
+                   struct cmdline_parser_params *params)
+{
+  int result;
+  result = cmdline_parser_internal (argc, argv, args_info, params, NULL);
+
+  if (result == EXIT_FAILURE)
+    {
+      cmdline_parser_free (args_info);
+      exit (EXIT_FAILURE);
+    }
+  
+  return result;
+}
+
+int
+cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required)
+{
+  int result;
+  struct cmdline_parser_params params;
+  
+  params.override = override;
+  params.initialize = initialize;
+  params.check_required = check_required;
+  params.check_ambiguity = 0;
+
+  result = cmdline_parser_internal (argc, argv, args_info, &params, NULL);
+
+  if (result == EXIT_FAILURE)
+    {
+      cmdline_parser_free (args_info);
+      exit (EXIT_FAILURE);
+    }
+  
+  return result;
+}
+
+int
+cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name)
+{
+  return EXIT_SUCCESS;
+}
+
+int
+cmdline_parser_internal (int argc, char * const *argv, struct gengetopt_args_info *args_info,
+                        struct cmdline_parser_params *params, const char *additional_error)
+{
+  int c;	/* Character of the parsed option.  */
+
+  int error = 0;
+  struct gengetopt_args_info local_args_info;
+  
+  int override;
+  int initialize;
+  int check_required;
+  int check_ambiguity;
+  
+  override = params->override;
+  initialize = params->initialize;
+  check_required = params->check_required;
+  check_ambiguity = params->check_ambiguity;
+
+  if (initialize)
+    cmdline_parser_init (args_info);
+
+  cmdline_parser_init (&local_args_info);
 
   optarg = 0;
-  optind = 1;
+  optind = 0;
   opterr = 1;
   optopt = '?';
 
@@ -169,307 +619,427 @@
       switch (c)
         {
         case 'h':	/* Print help and exit.  */
-          clear_args ();
           cmdline_parser_print_help ();
+          cmdline_parser_free (&local_args_info);
           exit (EXIT_SUCCESS);
 
         case 'V':	/* Print version and exit.  */
-          clear_args ();
           cmdline_parser_print_version ();
+          cmdline_parser_free (&local_args_info);
           exit (EXIT_SUCCESS);
 
         case 's':	/* Request for a statement.  */
-          if (args_info->statement_req_given)
+          if (local_args_info.statement_req_given || (check_ambiguity && args_info->statement_req_given))
             {
-              fprintf (stderr, "%s: `--statement-req' (`-s') option given more than once\n", CMDLINE_PARSER_PACKAGE);
-              clear_args ();
-              exit (EXIT_FAILURE);
+              fprintf (stderr, "%s: `--statement-req' (`-s') option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+              goto failure;
             }
+          if (args_info->statement_req_given && ! override)
+            continue;
+          local_args_info.statement_req_given = 1;
           args_info->statement_req_given = 1;
-          command_group_counter += 1;
-        break;
+          if (args_info->command_group_counter && override)
+            reset_group_command (args_info);
+          args_info->command_group_counter += 1;
+          break;
 
         case 'a':	/* Request for a list of accounts.  */
-          if (args_info->accountinfo_req_given)
+          if (local_args_info.accountinfo_req_given || (check_ambiguity && args_info->accountinfo_req_given))
             {
-              fprintf (stderr, "%s: `--accountinfo-req' (`-a') option given more than once\n", CMDLINE_PARSER_PACKAGE);
-              clear_args ();
-              exit (EXIT_FAILURE);
+              fprintf (stderr, "%s: `--accountinfo-req' (`-a') option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+              goto failure;
             }
+          if (args_info->accountinfo_req_given && ! override)
+            continue;
+          local_args_info.accountinfo_req_given = 1;
           args_info->accountinfo_req_given = 1;
-          command_group_counter += 1;
-        break;
+          if (args_info->command_group_counter && override)
+            reset_group_command (args_info);
+          args_info->command_group_counter += 1;
+          break;
 
         case 'p':	/* Request to make a payment.  */
-          if (args_info->payment_req_given)
+          if (local_args_info.payment_req_given || (check_ambiguity && args_info->payment_req_given))
             {
-              fprintf (stderr, "%s: `--payment-req' (`-p') option given more than once\n", CMDLINE_PARSER_PACKAGE);
-              clear_args ();
-              exit (EXIT_FAILURE);
+              fprintf (stderr, "%s: `--payment-req' (`-p') option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+              goto failure;
             }
+          if (args_info->payment_req_given && ! override)
+            continue;
+          local_args_info.payment_req_given = 1;
           args_info->payment_req_given = 1;
-          command_group_counter += 1;
-        break;
+          if (args_info->command_group_counter && override)
+            reset_group_command (args_info);
+          args_info->command_group_counter += 1;
+          break;
 
         case 'i':	/* Request to inquire about the status of a payment.  */
-          if (args_info->paymentinquiry_req_given)
+          if (local_args_info.paymentinquiry_req_given || (check_ambiguity && args_info->paymentinquiry_req_given))
             {
-              fprintf (stderr, "%s: `--paymentinquiry-req' (`-i') option given more than once\n", CMDLINE_PARSER_PACKAGE);
-              clear_args ();
-              exit (EXIT_FAILURE);
+              fprintf (stderr, "%s: `--paymentinquiry-req' (`-i') option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+              goto failure;
             }
+          if (args_info->paymentinquiry_req_given && ! override)
+            continue;
+          local_args_info.paymentinquiry_req_given = 1;
           args_info->paymentinquiry_req_given = 1;
-          command_group_counter += 1;
-        break;
+          if (args_info->command_group_counter && override)
+            reset_group_command (args_info);
+          args_info->command_group_counter += 1;
+          break;
 
         case 'b':	/* List all known banks.  */
-          if (args_info->bank_list_given)
+          if (local_args_info.bank_list_given || (check_ambiguity && args_info->bank_list_given))
             {
-              fprintf (stderr, "%s: `--bank-list' (`-b') option given more than once\n", CMDLINE_PARSER_PACKAGE);
-              clear_args ();
-              exit (EXIT_FAILURE);
+              fprintf (stderr, "%s: `--bank-list' (`-b') option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+              goto failure;
             }
+          if (args_info->bank_list_given && ! override)
+            continue;
+          local_args_info.bank_list_given = 1;
           args_info->bank_list_given = 1;
-          command_group_counter += 1;
-        break;
+          if (args_info->command_group_counter && override)
+            reset_group_command (args_info);
+          args_info->command_group_counter += 1;
+          break;
 
         case 'f':	/* List all fipids for a given bank.  */
-          if (args_info->bank_fipid_given)
+          if (local_args_info.bank_fipid_given || (check_ambiguity && args_info->bank_fipid_given))
             {
-              fprintf (stderr, "%s: `--bank-fipid' (`-f') option given more than once\n", CMDLINE_PARSER_PACKAGE);
-              clear_args ();
-              exit (EXIT_FAILURE);
+              fprintf (stderr, "%s: `--bank-fipid' (`-f') option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+              goto failure;
             }
+          if (args_info->bank_fipid_given && ! override)
+            continue;
+          local_args_info.bank_fipid_given = 1;
           args_info->bank_fipid_given = 1;
-          command_group_counter += 1;
-        break;
+          if (args_info->command_group_counter && override)
+            reset_group_command (args_info);
+          args_info->command_group_counter += 1;
+          break;
 
         case 'v':	/* List supported services for a given fipid.  */
-          if (args_info->bank_services_given)
+          if (local_args_info.bank_services_given || (check_ambiguity && args_info->bank_services_given))
             {
-              fprintf (stderr, "%s: `--bank-services' (`-v') option given more than once\n", CMDLINE_PARSER_PACKAGE);
-              clear_args ();
-              exit (EXIT_FAILURE);
+              fprintf (stderr, "%s: `--bank-services' (`-v') option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+              goto failure;
             }
+          if (args_info->bank_services_given && ! override)
+            continue;
+          local_args_info.bank_services_given = 1;
           args_info->bank_services_given = 1;
-          command_group_counter += 1;
-        break;
+          if (args_info->command_group_counter && override)
+            reset_group_command (args_info);
+          args_info->command_group_counter += 1;
+          break;
 
 
         case 0:	/* Long option with no short option */
           /* FI partner identifier (looks up fid, org & url from partner server).  */
           if (strcmp (long_options[option_index].name, "fipid") == 0)
           {
-            if (args_info->fipid_given)
+            if (local_args_info.fipid_given || (check_ambiguity && args_info->fipid_given))
               {
-                fprintf (stderr, "%s: `--fipid' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--fipid' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->fipid_given && ! override)
+              continue;
+            local_args_info.fipid_given = 1;
             args_info->fipid_given = 1;
+            if (args_info->fipid_arg)
+              free (args_info->fipid_arg); /* free previous string */
             args_info->fipid_arg = gengetopt_strdup (optarg);
-            break;
+            if (args_info->fipid_orig)
+              free (args_info->fipid_orig); /* free previous string */
+            args_info->fipid_orig = gengetopt_strdup (optarg);
           }
-          
           /* FI identifier.  */
           else if (strcmp (long_options[option_index].name, "fid") == 0)
           {
-            if (args_info->fid_given)
+            if (local_args_info.fid_given || (check_ambiguity && args_info->fid_given))
               {
-                fprintf (stderr, "%s: `--fid' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--fid' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->fid_given && ! override)
+              continue;
+            local_args_info.fid_given = 1;
             args_info->fid_given = 1;
+            if (args_info->fid_arg)
+              free (args_info->fid_arg); /* free previous string */
             args_info->fid_arg = gengetopt_strdup (optarg);
-            break;
+            if (args_info->fid_orig)
+              free (args_info->fid_orig); /* free previous string */
+            args_info->fid_orig = gengetopt_strdup (optarg);
           }
-          
           /* FI org tag.  */
           else if (strcmp (long_options[option_index].name, "org") == 0)
           {
-            if (args_info->org_given)
+            if (local_args_info.org_given || (check_ambiguity && args_info->org_given))
               {
-                fprintf (stderr, "%s: `--org' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--org' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->org_given && ! override)
+              continue;
+            local_args_info.org_given = 1;
             args_info->org_given = 1;
+            if (args_info->org_arg)
+              free (args_info->org_arg); /* free previous string */
             args_info->org_arg = gengetopt_strdup (optarg);
-            break;
+            if (args_info->org_orig)
+              free (args_info->org_orig); /* free previous string */
+            args_info->org_orig = gengetopt_strdup (optarg);
           }
-          
           /* IBAN bank identifier.  */
           else if (strcmp (long_options[option_index].name, "bank") == 0)
           {
-            if (args_info->bank_given)
+            if (local_args_info.bank_given || (check_ambiguity && args_info->bank_given))
               {
-                fprintf (stderr, "%s: `--bank' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--bank' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->bank_given && ! override)
+              continue;
+            local_args_info.bank_given = 1;
             args_info->bank_given = 1;
+            if (args_info->bank_arg)
+              free (args_info->bank_arg); /* free previous string */
             args_info->bank_arg = gengetopt_strdup (optarg);
-            break;
+            if (args_info->bank_orig)
+              free (args_info->bank_orig); /* free previous string */
+            args_info->bank_orig = gengetopt_strdup (optarg);
           }
-          
           /* Broker identifier.  */
           else if (strcmp (long_options[option_index].name, "broker") == 0)
           {
-            if (args_info->broker_given)
+            if (local_args_info.broker_given || (check_ambiguity && args_info->broker_given))
               {
-                fprintf (stderr, "%s: `--broker' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--broker' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->broker_given && ! override)
+              continue;
+            local_args_info.broker_given = 1;
             args_info->broker_given = 1;
+            if (args_info->broker_arg)
+              free (args_info->broker_arg); /* free previous string */
             args_info->broker_arg = gengetopt_strdup (optarg);
-            break;
+            if (args_info->broker_orig)
+              free (args_info->broker_orig); /* free previous string */
+            args_info->broker_orig = gengetopt_strdup (optarg);
           }
-          
           /* User name.  */
           else if (strcmp (long_options[option_index].name, "user") == 0)
           {
-            if (args_info->user_given)
+            if (local_args_info.user_given || (check_ambiguity && args_info->user_given))
               {
-                fprintf (stderr, "%s: `--user' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--user' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->user_given && ! override)
+              continue;
+            local_args_info.user_given = 1;
             args_info->user_given = 1;
+            if (args_info->user_arg)
+              free (args_info->user_arg); /* free previous string */
             args_info->user_arg = gengetopt_strdup (optarg);
-            break;
+            if (args_info->user_orig)
+              free (args_info->user_orig); /* free previous string */
+            args_info->user_orig = gengetopt_strdup (optarg);
           }
-          
           /* Password.  */
           else if (strcmp (long_options[option_index].name, "pass") == 0)
           {
-            if (args_info->pass_given)
+            if (local_args_info.pass_given || (check_ambiguity && args_info->pass_given))
               {
-                fprintf (stderr, "%s: `--pass' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--pass' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->pass_given && ! override)
+              continue;
+            local_args_info.pass_given = 1;
             args_info->pass_given = 1;
+            if (args_info->pass_arg)
+              free (args_info->pass_arg); /* free previous string */
             args_info->pass_arg = gengetopt_strdup (optarg);
-            break;
+            if (args_info->pass_orig)
+              free (args_info->pass_orig); /* free previous string */
+            args_info->pass_orig = gengetopt_strdup (optarg);
           }
-          
           /* Account ID.  */
           else if (strcmp (long_options[option_index].name, "acct") == 0)
           {
-            if (args_info->acct_given)
+            if (local_args_info.acct_given || (check_ambiguity && args_info->acct_given))
               {
-                fprintf (stderr, "%s: `--acct' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--acct' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->acct_given && ! override)
+              continue;
+            local_args_info.acct_given = 1;
             args_info->acct_given = 1;
+            if (args_info->acct_arg)
+              free (args_info->acct_arg); /* free previous string */
             args_info->acct_arg = gengetopt_strdup (optarg);
-            break;
+            if (args_info->acct_orig)
+              free (args_info->acct_orig); /* free previous string */
+            args_info->acct_orig = gengetopt_strdup (optarg);
           }
-          
           /* Account Type 1=checking 2=invest 3=ccard.  */
           else if (strcmp (long_options[option_index].name, "type") == 0)
           {
-            if (args_info->type_given)
+            if (local_args_info.type_given || (check_ambiguity && args_info->type_given))
               {
-                fprintf (stderr, "%s: `--type' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--type' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->type_given && ! override)
+              continue;
+            local_args_info.type_given = 1;
             args_info->type_given = 1;
-            args_info->type_arg = strtol (optarg,&stop_char,0);
-            break;
+            args_info->type_arg = strtol (optarg, &stop_char, 0);
+            if (!(stop_char && *stop_char == '\0')) {
+              fprintf(stderr, "%s: invalid numeric value: %s\n", argv[0], optarg);
+              goto failure;
+            }
+            if (args_info->type_orig)
+              free (args_info->type_orig); /* free previous string */
+            args_info->type_orig = gengetopt_strdup (optarg);
           }
-          
           /* How far back to look from today (in days).  */
           else if (strcmp (long_options[option_index].name, "past") == 0)
           {
-            if (args_info->past_given)
+            if (local_args_info.past_given || (check_ambiguity && args_info->past_given))
               {
-                fprintf (stderr, "%s: `--past' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--past' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->past_given && ! override)
+              continue;
+            local_args_info.past_given = 1;
             args_info->past_given = 1;
-            args_info->past_arg = strtol (optarg,&stop_char,0);
-            break;
+            args_info->past_arg = strtol (optarg, &stop_char, 0);
+            if (!(stop_char && *stop_char == '\0')) {
+              fprintf(stderr, "%s: invalid numeric value: %s\n", argv[0], optarg);
+              goto failure;
+            }
+            if (args_info->past_orig)
+              free (args_info->past_orig); /* free previous string */
+            args_info->past_orig = gengetopt_strdup (optarg);
           }
-          
           /* Url to POST the data to (otherwise goes to stdout).  */
           else if (strcmp (long_options[option_index].name, "url") == 0)
           {
-            if (args_info->url_given)
+            if (local_args_info.url_given || (check_ambiguity && args_info->url_given))
               {
-                fprintf (stderr, "%s: `--url' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--url' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->url_given && ! override)
+              continue;
+            local_args_info.url_given = 1;
             args_info->url_given = 1;
+            if (args_info->url_arg)
+              free (args_info->url_arg); /* free previous string */
             args_info->url_arg = gengetopt_strdup (optarg);
-            break;
+            if (args_info->url_orig)
+              free (args_info->url_orig); /* free previous string */
+            args_info->url_orig = gengetopt_strdup (optarg);
           }
-          
           /* Transaction id.  */
           else if (strcmp (long_options[option_index].name, "trid") == 0)
           {
-            if (args_info->trid_given)
+            if (local_args_info.trid_given || (check_ambiguity && args_info->trid_given))
               {
-                fprintf (stderr, "%s: `--trid' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--trid' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->trid_given && ! override)
+              continue;
+            local_args_info.trid_given = 1;
             args_info->trid_given = 1;
-            args_info->trid_arg = strtol (optarg,&stop_char,0);
-            break;
+            args_info->trid_arg = strtol (optarg, &stop_char, 0);
+            if (!(stop_char && *stop_char == '\0')) {
+              fprintf(stderr, "%s: invalid numeric value: %s\n", argv[0], optarg);
+              goto failure;
+            }
+            if (args_info->trid_orig)
+              free (args_info->trid_orig); /* free previous string */
+            args_info->trid_orig = gengetopt_strdup (optarg);
           }
-          
           /* List all banks which support online banking.  */
           else if (strcmp (long_options[option_index].name, "allsupport") == 0)
           {
-            if (args_info->allsupport_given)
+            if (local_args_info.allsupport_given || (check_ambiguity && args_info->allsupport_given))
               {
-                fprintf (stderr, "%s: `--allsupport' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--allsupport' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
-            args_info->allsupport_given = 1; command_group_counter += 1;
-          
+            if (args_info->allsupport_given && ! override)
+              continue;
+            local_args_info.allsupport_given = 1;
+            args_info->allsupport_given = 1;
+            if (args_info->command_group_counter && override)
+              reset_group_command (args_info);
+            args_info->command_group_counter += 1;
             break;
           }
           
-
+          break;
         case '?':	/* Invalid option.  */
           /* `getopt_long' already printed an error message.  */
-          exit (EXIT_FAILURE);
+          goto failure;
 
         default:	/* bug: option not considered.  */
-          fprintf (stderr, "%s: option unknown: %c\n", CMDLINE_PARSER_PACKAGE, c);
+          fprintf (stderr, "%s: option unknown: %c%s\n", CMDLINE_PARSER_PACKAGE, c, (additional_error ? additional_error : ""));
           abort ();
         } /* switch */
     } /* while */
 
-  if ( command_group_counter > 1)
+  if (args_info->command_group_counter > 1)
     {
-      fprintf (stderr, "%s: %d options of group command were given. At most one is required\n", CMDLINE_PARSER_PACKAGE, command_group_counter);
-      missing_required_options = 1;
+      fprintf (stderr, "%s: %d options of group command were given. At most one is required.%s\n", argv[0], args_info->command_group_counter, (additional_error ? additional_error : ""));
+      error = 1;
     }
   
 
-  if ( missing_required_options )
-    exit (EXIT_FAILURE);
+
+
+  cmdline_parser_release (&local_args_info);
+
+  if ( error )
+    return (EXIT_FAILURE);
 
   if (optind < argc)
     {
       int i = 0 ;
-  
-      args_info->inputs_num = argc - optind ;
-      args_info->inputs = 
+      int found_prog_name = 0;
+      /* whether program name, i.e., argv[0], is in the remaining args
+         (this may happen with some implementations of getopt,
+          but surely not with the one included by gengetopt) */
+
+      i = optind;
+      while (i < argc)
+        if (argv[i++] == argv[0]) {
+          found_prog_name = 1;
+          break;
+        }
+      i = 0;
+
+      args_info->inputs_num = argc - optind - found_prog_name;
+      args_info->inputs =
         (char **)(malloc ((args_info->inputs_num)*sizeof(char *))) ;
       while (optind < argc)
-        args_info->inputs[ i++ ] = gengetopt_strdup (argv[optind++]) ; 
+        if (argv[optind++] != argv[0])
+          args_info->inputs[ i++ ] = gengetopt_strdup (argv[optind-1]) ;
     }
-  
+
   return 0;
+
+failure:
+  
+  cmdline_parser_release (&local_args_info);
+  return (EXIT_FAILURE);
 }

=== modified file 'ofxconnect/cmdline.h'
--- ofxconnect/cmdline.h	2006-10-20 13:12:33 +0000
+++ ofxconnect/cmdline.h	2008-02-06 17:25:16 +0000
@@ -1,6 +1,9 @@
-/* cmdline.h */
-
-/* File autogenerated by gengetopt version 2.10  */
+/** @file cmdline.h
+ *  @brief The header file for the command line option parser
+ *  generated by GNU Gengetopt version 2.21
+ *  http://www.gnu.org/software/gengetopt.
+ *  DO NOT modify this file, since it can be overwritten
+ *  @author GNU Gengetopt by Lorenzo Bettini */
 
 #ifndef CMDLINE_H
 #define CMDLINE_H
@@ -15,60 +18,196 @@
 #endif /* __cplusplus */
 
 #ifndef CMDLINE_PARSER_PACKAGE
+/** @brief the program name */
 #define CMDLINE_PARSER_PACKAGE PACKAGE
 #endif
 
 #ifndef CMDLINE_PARSER_VERSION
+/** @brief the program version */
 #define CMDLINE_PARSER_VERSION VERSION
 #endif
 
+/** @brief Where the command line options are stored */
 struct gengetopt_args_info
 {
-  char * fipid_arg;	/* FI partner identifier (looks up fid, org & url from partner server).  */
-  char * fid_arg;	/* FI identifier.  */
-  char * org_arg;	/* FI org tag.  */
-  char * bank_arg;	/* IBAN bank identifier.  */
-  char * broker_arg;	/* Broker identifier.  */
-  char * user_arg;	/* User name.  */
-  char * pass_arg;	/* Password.  */
-  char * acct_arg;	/* Account ID.  */
-  int type_arg;	/* Account Type 1=checking 2=invest 3=ccard.  */
-  long past_arg;	/* How far back to look from today (in days).  */
-  char * url_arg;	/* Url to POST the data to (otherwise goes to stdout).  */
-  int trid_arg;	/* Transaction id.  */
-
-  int help_given ;	/* Whether help was given.  */
-  int version_given ;	/* Whether version was given.  */
-  int fipid_given ;	/* Whether fipid was given.  */
-  int fid_given ;	/* Whether fid was given.  */
-  int org_given ;	/* Whether org was given.  */
-  int bank_given ;	/* Whether bank was given.  */
-  int broker_given ;	/* Whether broker was given.  */
-  int user_given ;	/* Whether user was given.  */
-  int pass_given ;	/* Whether pass was given.  */
-  int acct_given ;	/* Whether acct was given.  */
-  int type_given ;	/* Whether type was given.  */
-  int past_given ;	/* Whether past was given.  */
-  int url_given ;	/* Whether url was given.  */
-  int trid_given ;	/* Whether trid was given.  */
-  int statement_req_given ;	/* Whether statement-req was given.  */
-  int accountinfo_req_given ;	/* Whether accountinfo-req was given.  */
-  int payment_req_given ;	/* Whether payment-req was given.  */
-  int paymentinquiry_req_given ;	/* Whether paymentinquiry-req was given.  */
-  int bank_list_given ;	/* Whether bank-list was given.  */
-  int bank_fipid_given ;	/* Whether bank-fipid was given.  */
-  int bank_services_given ;	/* Whether bank-services was given.  */
-  int allsupport_given ;	/* Whether allsupport was given.  */
-
-  char **inputs ; /* unamed options */
-  unsigned inputs_num ; /* unamed options number */
-} ;
-
-int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
-
+  const char *help_help; /**< @brief Print help and exit help description.  */
+  const char *version_help; /**< @brief Print version and exit help description.  */
+  char * fipid_arg;	/**< @brief FI partner identifier (looks up fid, org & url from partner server).  */
+  char * fipid_orig;	/**< @brief FI partner identifier (looks up fid, org & url from partner server) original value given at command line.  */
+  const char *fipid_help; /**< @brief FI partner identifier (looks up fid, org & url from partner server) help description.  */
+  char * fid_arg;	/**< @brief FI identifier.  */
+  char * fid_orig;	/**< @brief FI identifier original value given at command line.  */
+  const char *fid_help; /**< @brief FI identifier help description.  */
+  char * org_arg;	/**< @brief FI org tag.  */
+  char * org_orig;	/**< @brief FI org tag original value given at command line.  */
+  const char *org_help; /**< @brief FI org tag help description.  */
+  char * bank_arg;	/**< @brief IBAN bank identifier.  */
+  char * bank_orig;	/**< @brief IBAN bank identifier original value given at command line.  */
+  const char *bank_help; /**< @brief IBAN bank identifier help description.  */
+  char * broker_arg;	/**< @brief Broker identifier.  */
+  char * broker_orig;	/**< @brief Broker identifier original value given at command line.  */
+  const char *broker_help; /**< @brief Broker identifier help description.  */
+  char * user_arg;	/**< @brief User name.  */
+  char * user_orig;	/**< @brief User name original value given at command line.  */
+  const char *user_help; /**< @brief User name help description.  */
+  char * pass_arg;	/**< @brief Password.  */
+  char * pass_orig;	/**< @brief Password original value given at command line.  */
+  const char *pass_help; /**< @brief Password help description.  */
+  char * acct_arg;	/**< @brief Account ID.  */
+  char * acct_orig;	/**< @brief Account ID original value given at command line.  */
+  const char *acct_help; /**< @brief Account ID help description.  */
+  int type_arg;	/**< @brief Account Type 1=checking 2=invest 3=ccard.  */
+  char * type_orig;	/**< @brief Account Type 1=checking 2=invest 3=ccard original value given at command line.  */
+  const char *type_help; /**< @brief Account Type 1=checking 2=invest 3=ccard help description.  */
+  long past_arg;	/**< @brief How far back to look from today (in days).  */
+  char * past_orig;	/**< @brief How far back to look from today (in days) original value given at command line.  */
+  const char *past_help; /**< @brief How far back to look from today (in days) help description.  */
+  char * url_arg;	/**< @brief Url to POST the data to (otherwise goes to stdout).  */
+  char * url_orig;	/**< @brief Url to POST the data to (otherwise goes to stdout) original value given at command line.  */
+  const char *url_help; /**< @brief Url to POST the data to (otherwise goes to stdout) help description.  */
+  int trid_arg;	/**< @brief Transaction id.  */
+  char * trid_orig;	/**< @brief Transaction id original value given at command line.  */
+  const char *trid_help; /**< @brief Transaction id help description.  */
+  const char *statement_req_help; /**< @brief Request for a statement help description.  */
+  const char *accountinfo_req_help; /**< @brief Request for a list of accounts help description.  */
+  const char *payment_req_help; /**< @brief Request to make a payment help description.  */
+  const char *paymentinquiry_req_help; /**< @brief Request to inquire about the status of a payment help description.  */
+  const char *bank_list_help; /**< @brief List all known banks help description.  */
+  const char *bank_fipid_help; /**< @brief List all fipids for a given bank help description.  */
+  const char *bank_services_help; /**< @brief List supported services for a given fipid help description.  */
+  const char *allsupport_help; /**< @brief List all banks which support online banking help description.  */
+  
+  int help_given ;	/**< @brief Whether help was given.  */
+  int version_given ;	/**< @brief Whether version was given.  */
+  int fipid_given ;	/**< @brief Whether fipid was given.  */
+  int fid_given ;	/**< @brief Whether fid was given.  */
+  int org_given ;	/**< @brief Whether org was given.  */
+  int bank_given ;	/**< @brief Whether bank was given.  */
+  int broker_given ;	/**< @brief Whether broker was given.  */
+  int user_given ;	/**< @brief Whether user was given.  */
+  int pass_given ;	/**< @brief Whether pass was given.  */
+  int acct_given ;	/**< @brief Whether acct was given.  */
+  int type_given ;	/**< @brief Whether type was given.  */
+  int past_given ;	/**< @brief Whether past was given.  */
+  int url_given ;	/**< @brief Whether url was given.  */
+  int trid_given ;	/**< @brief Whether trid was given.  */
+  int statement_req_given ;	/**< @brief Whether statement-req was given.  */
+  int accountinfo_req_given ;	/**< @brief Whether accountinfo-req was given.  */
+  int payment_req_given ;	/**< @brief Whether payment-req was given.  */
+  int paymentinquiry_req_given ;	/**< @brief Whether paymentinquiry-req was given.  */
+  int bank_list_given ;	/**< @brief Whether bank-list was given.  */
+  int bank_fipid_given ;	/**< @brief Whether bank-fipid was given.  */
+  int bank_services_given ;	/**< @brief Whether bank-services was given.  */
+  int allsupport_given ;	/**< @brief Whether allsupport was given.  */
+
+  char **inputs ; /**< @brief unamed options (options without names) */
+  unsigned inputs_num ; /**< @brief unamed options number */
+  int command_group_counter; /**< @brief Counter for group command */
+} ;
+
+/** @brief The additional parameters to pass to parser functions */
+struct cmdline_parser_params
+{
+  int override; /**< @brief whether to override possibly already present options (default 0) */
+  int initialize; /**< @brief whether to initialize the option structure gengetopt_args_info (default 0) */
+  int check_required; /**< @brief whether to check that all required options were provided (default 0) */
+  int check_ambiguity; /**< @brief whether to check for options already specified in the option structure gengetopt_args_info (default 0) */
+} ;
+
+/** @brief the purpose string of the program */
+extern const char *gengetopt_args_info_purpose;
+/** @brief the usage string of the program */
+extern const char *gengetopt_args_info_usage;
+/** @brief all the lines making the help output */
+extern const char *gengetopt_args_info_help[];
+
+/**
+ * The command line parser
+ * @param argc the number of command line options
+ * @param argv the command line options
+ * @param args_info the structure where option information will be stored
+ * @return 0 if everything went fine, NON 0 if an error took place
+ */
+int cmdline_parser (int argc, char * const *argv,
+  struct gengetopt_args_info *args_info);
+
+/**
+ * The command line parser (version with additional parameters - deprecated)
+ * @param argc the number of command line options
+ * @param argv the command line options
+ * @param args_info the structure where option information will be stored
+ * @param override whether to override possibly already present options
+ * @param initialize whether to initialize the option structure my_args_info
+ * @param check_required whether to check that all required options were provided
+ * @return 0 if everything went fine, NON 0 if an error took place
+ * @deprecated use cmdline_parser_ext() instead
+ */
+int cmdline_parser2 (int argc, char * const *argv,
+  struct gengetopt_args_info *args_info,
+  int override, int initialize, int check_required);
+
+/**
+ * The command line parser (version with additional parameters)
+ * @param argc the number of command line options
+ * @param argv the command line options
+ * @param args_info the structure where option information will be stored
+ * @param params additional parameters for the parser
+ * @return 0 if everything went fine, NON 0 if an error took place
+ */
+int cmdline_parser_ext (int argc, char * const *argv,
+  struct gengetopt_args_info *args_info,
+  struct cmdline_parser_params *params);
+
+/**
+ * Save the contents of the option struct into a (text) file.
+ * This file can be read by the config file parser (if generated by gengetopt)
+ * @param filename the file where to save
+ * @param args_info the option struct to save
+ * @return 0 if everything went fine, NON 0 if an error took place
+ */
+int cmdline_parser_file_save(const char *filename,
+  struct gengetopt_args_info *args_info);
+
+/**
+ * Print the help
+ */
 void cmdline_parser_print_help(void);
+/**
+ * Print the version
+ */
 void cmdline_parser_print_version(void);
 
+/**
+ * Allocates dynamically a cmdline_parser_params structure and initializes
+ * all its fields to 0
+ * @return the initialized cmdline_parser_params structure
+ */
+struct cmdline_parser_params *cmdline_parser_params_init();
+
+/**
+ * Initializes the passed gengetopt_args_info structure's fields
+ * (also set default values for options that have a default)
+ * @param args_info the structure to initialize
+ */
+void cmdline_parser_init (struct gengetopt_args_info *args_info);
+/**
+ * Deallocates the string fields of the gengetopt_args_info structure
+ * (but does not deallocate the structure itself)
+ * @param args_info the structure to deallocate
+ */
+void cmdline_parser_free (struct gengetopt_args_info *args_info);
+
+/**
+ * Checks that all the required options were specified
+ * @param args_info the structure to check
+ * @param prog_name the name of the program that will be used to print
+ *   possible errors
+ * @return
+ */
+int cmdline_parser_required (struct gengetopt_args_info *args_info,
+  const char *prog_name);
+
+
 #ifdef __cplusplus
 }
 #endif /* __cplusplus */

=== modified file 'ofxconnect/ofxconnect.cpp'
--- ofxconnect/ofxconnect.cpp	2006-10-20 13:12:33 +0000
+++ ofxconnect/ofxconnect.cpp	2008-02-06 17:25:16 +0000
@@ -210,13 +210,13 @@
   {
     cerr << "Statement request" << endl;
     
-    OfxAccountInfo account;
-    memset(&account,0,sizeof(OfxAccountInfo));
+    OfxAccountData account;
+    memset(&account,0,sizeof(OfxAccountData));
     
     if ( args_info.bank_given )
     {
       cerr << "bank " << args_info.bank_arg << endl;  
-      strncpy(account.bankid,args_info.bank_arg,OFX_BANKID_LENGTH-1);
+      strncpy(account.bank_id,args_info.bank_arg,OFX_BANKID_LENGTH-1);
     }
     else    
     {
@@ -230,7 +230,7 @@
     if ( args_info.broker_given )
     {
       cerr << "broker " << args_info.broker_arg << endl;  
-      strncpy(account.brokerid,args_info.broker_arg,OFX_BROKERID_LENGTH-1);
+      strncpy(account.broker_id,args_info.broker_arg,OFX_BROKERID_LENGTH-1);
     }
     else
     {
@@ -244,7 +244,7 @@
     if ( args_info.acct_given )
     {
       cerr << "acct " << args_info.acct_arg << endl;  
-      strncpy(account.accountid,args_info.acct_arg,OFX_ACCOUNT_ID_LENGTH-1);
+      strncpy(account.account_number,args_info.acct_arg,OFX_ACCTID_LENGTH-1);
     }
     else
     {
@@ -254,8 +254,18 @@
     
     if ( args_info.type_given )
     {
-      cerr << "type " << args_info.type_arg << endl;  
-      account.type = static_cast<AccountType>(args_info.type_arg);
+      cerr << "type " << args_info.type_arg << endl;
+      switch (args_info.type_arg) {
+      case 1: account.account_type = account.OFX_CHECKING;
+	break;
+      case 2: account.account_type = account.OFX_INVESTMENT;
+	break;
+      case 3: account.account_type = account.OFX_CREDITCARD ;
+	break;
+      default:
+	cerr << "ERROR: --type is not valid.  Must be between 1 and 3" << endl;
+	ok = false;
+      }
     }
     else
     {
@@ -325,8 +335,8 @@
   
   if ( args_info.payment_req_given )
   {
-    OfxAccountInfo account;
-    memset(&account,0,sizeof(OfxAccountInfo));
+    OfxAccountData account;
+    memset(&account,0,sizeof(OfxAccountData));
     OfxPayee payee;
     memset(&payee,0,sizeof(OfxPayee));
     OfxPayment payment;
@@ -349,7 +359,7 @@
     if ( args_info.bank_given )
     {
       cerr << "bank " << args_info.bank_arg << endl;  
-      strncpy(account.bankid,args_info.bank_arg,OFX_BANKID_LENGTH-1);
+      strncpy(account.bank_id,args_info.bank_arg,OFX_BANKID_LENGTH-1);
     }
     else    
     {
@@ -363,7 +373,7 @@
     if ( args_info.broker_given )
     {
       cerr << "broker " << args_info.broker_arg << endl;  
-      strncpy(account.brokerid,args_info.broker_arg,OFX_BROKERID_LENGTH-1);
+      strncpy(account.broker_id,args_info.broker_arg,OFX_BROKERID_LENGTH-1);
     }
     else
     {
@@ -377,7 +387,7 @@
     if ( args_info.acct_given )
     {
       cerr << "acct " << args_info.acct_arg << endl;  
-      strncpy(account.accountid,args_info.acct_arg,OFX_ACCOUNT_ID_LENGTH-1);
+      strncpy(account.account_number,args_info.acct_arg,OFX_ACCTID_LENGTH-1);
     }
     else
     {
@@ -386,9 +396,19 @@
     }
     
     if ( args_info.type_given )
-    {
-      cerr << "type " << args_info.type_arg << endl;  
-      account.type = static_cast<AccountType>(args_info.type_arg);
+    { 
+      cerr << "type " << args_info.type_arg << endl;
+      switch (args_info.type_arg) {
+      case 1: account.account_type = account.OFX_CHECKING;
+	break;
+      case 2: account.account_type = account.OFX_INVESTMENT;
+	break;
+      case 3: account.account_type = account.OFX_CREDITCARD ;
+	break;
+      default:
+	cerr << "ERROR: --type is not valid.  Must be between 1 and 3" << endl;
+	ok = false;
+      }
     }
     else
     {

=== modified file 'ofxdump/Makefile.in'
--- ofxdump/Makefile.in	2006-10-20 13:12:33 +0000
+++ ofxdump/Makefile.in	2008-02-06 17:25:16 +0000
@@ -40,7 +40,7 @@
 subdir = ofxdump
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/libcurl.m4 \
+am__aclocal_m4_deps = $(top_srcdir)/m4/os.m4 $(top_srcdir)/libcurl.m4 \
 	$(top_srcdir)/configure.in
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
@@ -82,6 +82,7 @@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 AR = @AR@
+AS = @AS@
 AUTOCONF = @AUTOCONF@
 AUTOHEADER = @AUTOHEADER@
 AUTOMAKE = @AUTOMAKE@
@@ -100,6 +101,7 @@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
+DLLTOOL = @DLLTOOL@
 DOC_FALSE = @DOC_FALSE@
 DOC_TRUE = @DOC_TRUE@
 DOT = @DOT@
@@ -114,7 +116,10 @@
 EXEEXT = @EXEEXT@
 F77 = @F77@
 FFLAGS = @FFLAGS@
+GREP = @GREP@
+ICONV_LIBS = @ICONV_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
+INSTALL_DLL_TARGET = @INSTALL_DLL_TARGET@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
@@ -122,6 +127,7 @@
 LIBCURL = @LIBCURL@
 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
 LIBOBJS = @LIBOBJS@
+LIBOFX_BUILD_VERSION = @LIBOFX_BUILD_VERSION@
 LIBOFX_DTD_DIR = @LIBOFX_DTD_DIR@
 LIBOFX_MAJOR_VERSION = @LIBOFX_MAJOR_VERSION@
 LIBOFX_MICRO_VERSION = @LIBOFX_MICRO_VERSION@
@@ -130,6 +136,7 @@
 LIBOFX_SO_CURRENT = @LIBOFX_SO_CURRENT@
 LIBOFX_SO_REVISION = @LIBOFX_SO_REVISION@
 LIBOFX_VERSION = @LIBOFX_VERSION@
+LIBOFX_VERSION_RELEASE_STRING = @LIBOFX_VERSION_RELEASE_STRING@
 LIBS = @LIBS@
 LIBTOOL = @LIBTOOL@
 LIBXMLPP_CFLAGS = @LIBXMLPP_CFLAGS@
@@ -140,11 +147,15 @@
 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
 MAKEINFO = @MAKEINFO@
+MAKE_DLL_TARGET = @MAKE_DLL_TARGET@
 NO_GETOPTLONG_FALSE = @NO_GETOPTLONG_FALSE@
 NO_GETOPTLONG_TRUE = @NO_GETOPTLONG_TRUE@
+OBJDUMP = @OBJDUMP@
 OBJEXT = @OBJEXT@
 OPENSPINCLUDES = @OPENSPINCLUDES@
 OPENSPLIBS = @OPENSPLIBS@
+OSYSTEM = @OSYSTEM@
+OS_TYPE = @OS_TYPE@
 PACKAGE = @PACKAGE@
 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 PACKAGE_NAME = @PACKAGE_NAME@
@@ -155,20 +166,19 @@
 PKG_CONFIG = @PKG_CONFIG@
 QT_CFLAGS = @QT_CFLAGS@
 RANLIB = @RANLIB@
+RC = @RC@
+SED = @SED@
 SET_MAKE = @SET_MAKE@
 SHELL = @SHELL@
 STRIP = @STRIP@
 USE_GENGETOPT_FALSE = @USE_GENGETOPT_FALSE@
 USE_GENGETOPT_TRUE = @USE_GENGETOPT_TRUE@
 VERSION = @VERSION@
+WITH_ICONV = @WITH_ICONV@
 _libcurl_config = @_libcurl_config@
-ac_ct_AR = @ac_ct_AR@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
@@ -185,6 +195,9 @@
 build_os = @build_os@
 build_vendor = @build_vendor@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 enable_dot = @enable_dot@
 enable_html_docs = @enable_html_docs@
 enable_latex_docs = @enable_latex_docs@
@@ -195,18 +208,22 @@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
 install_sh = @install_sh@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 ofxconnect = @ofxconnect@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@

=== modified file 'ofxdump/cmdline.c'
--- ofxdump/cmdline.c	2006-10-20 13:12:33 +0000
+++ ofxdump/cmdline.c	2008-02-06 17:25:16 +0000
@@ -1,5 +1,5 @@
 /*
-  File autogenerated by gengetopt version 2.10
+  File autogenerated by gengetopt version 2.21
   generated with the following command:
   gengetopt --unamed-opts 
 
@@ -8,20 +8,97 @@
   we make no copyright claims on it.
 */
 
-
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
-
 /* If we use autoconf.  */
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif
 
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+
 #include "getopt.h"
 
 #include "cmdline.h"
 
+const char *gengetopt_args_info_purpose = "ofxdump prints to stdout, in human readable form, everything the library \n understands about a particular file or response, and sends errors to \n stderr.  To know exactly what the library understands about of a particular\n ofx response file, just call ofxdump on that file.";
+
+const char *gengetopt_args_info_usage = "Usage: " CMDLINE_PARSER_PACKAGE " [OPTIONS]... [FILES]...";
+
+const char *gengetopt_args_info_description = "";
+
+const char *gengetopt_args_info_help[] = {
+  "  -h, --help                  Print help and exit",
+  "  -V, --version               Print version and exit",
+  "  -f, --import-format=STRING  Force the file format of the file(s) specified  \n                                (default=`AUTODETECT')",
+  "      --list-import-formats   List available import file formats \n                                'import-format' command",
+  "      --msg_parser            Output file parsing messages  (default=off)",
+  "      --msg_debug             Output messages meant for debuging  (default=off)",
+  "      --msg_warning           Output warning messages about abnormal conditions \n                                and unknown constructs  (default=on)",
+  "      --msg_error             Output error messages  (default=on)",
+  "      --msg_info              Output informational messages about the progress \n                                of the library  (default=on)",
+  "      --msg_status            Output status messages  (default=on)",
+    0
+};
+
+static
+void clear_given (struct gengetopt_args_info *args_info);
+static
+void clear_args (struct gengetopt_args_info *args_info);
+
+static int
+cmdline_parser_internal (int argc, char * const *argv, struct gengetopt_args_info *args_info,
+                        struct cmdline_parser_params *params, const char *additional_error);
+
+
+static char *
+gengetopt_strdup (const char *s);
+
+static
+void clear_given (struct gengetopt_args_info *args_info)
+{
+  args_info->help_given = 0 ;
+  args_info->version_given = 0 ;
+  args_info->import_format_given = 0 ;
+  args_info->list_import_formats_given = 0 ;
+  args_info->msg_parser_given = 0 ;
+  args_info->msg_debug_given = 0 ;
+  args_info->msg_warning_given = 0 ;
+  args_info->msg_error_given = 0 ;
+  args_info->msg_info_given = 0 ;
+  args_info->msg_status_given = 0 ;
+}
+
+static
+void clear_args (struct gengetopt_args_info *args_info)
+{
+  args_info->import_format_arg = gengetopt_strdup ("AUTODETECT");
+  args_info->import_format_orig = NULL;
+  args_info->msg_parser_flag = 0;
+  args_info->msg_debug_flag = 0;
+  args_info->msg_warning_flag = 1;
+  args_info->msg_error_flag = 1;
+  args_info->msg_info_flag = 1;
+  args_info->msg_status_flag = 1;
+  
+}
+
+static
+void init_args_info(struct gengetopt_args_info *args_info)
+{
+  args_info->help_help = gengetopt_args_info_help[0] ;
+  args_info->version_help = gengetopt_args_info_help[1] ;
+  args_info->import_format_help = gengetopt_args_info_help[2] ;
+  args_info->list_import_formats_help = gengetopt_args_info_help[3] ;
+  args_info->msg_parser_help = gengetopt_args_info_help[4] ;
+  args_info->msg_debug_help = gengetopt_args_info_help[5] ;
+  args_info->msg_warning_help = gengetopt_args_info_help[6] ;
+  args_info->msg_error_help = gengetopt_args_info_help[7] ;
+  args_info->msg_info_help = gengetopt_args_info_help[8] ;
+  args_info->msg_status_help = gengetopt_args_info_help[9] ;
+  
+}
+
 void
 cmdline_parser_print_version (void)
 {
@@ -31,36 +108,146 @@
 void
 cmdline_parser_print_help (void)
 {
+  int i = 0;
   cmdline_parser_print_version ();
-  printf("\n"
-  "Purpose:\n"
-  "  ofxdump prints to stdout, in human readable form, everything the library \n"
-  "   understands about a particular file or response, and sends errors to \n"
-  "   stderr.  To know exactly what the library understands about of a particular\n"
-  "   ofx response file, just call ofxdump on that file.\n"
-  "\n"
-  "Usage: %s [OPTIONS]... [FILES]...\n", CMDLINE_PARSER_PACKAGE);
-  printf("   -h         --help                  Print help and exit\n");
-  printf("   -V         --version               Print version and exit\n");
-  printf("   -fSTRING   --import-format=STRING  Force the file format of the file(s) specified (default='AUTODETECT')\n");
-  printf("              --list-import-formats   List available import file formats 'import-format' command\n");
-  printf("              --msg_parser            Output file parsing messages (default=off)\n");
-  printf("              --msg_debug             Output messages meant for debuging (default=off)\n");
-  printf("              --msg_warning           Output warning messages about abnormal conditions and unknown constructs (default=on)\n");
-  printf("              --msg_error             Output error messages (default=on)\n");
-  printf("              --msg_info              Output informational messages about the progress of the library (default=on)\n");
-  printf("              --msg_status            Output status messages (default=on)\n");
-}
-
-
-static char *gengetopt_strdup (const char *s);
+
+  if (strlen(gengetopt_args_info_purpose) > 0)
+    printf("\n%s\n", gengetopt_args_info_purpose);
+
+  printf("\n%s\n\n", gengetopt_args_info_usage);
+
+  if (strlen(gengetopt_args_info_description) > 0)
+    printf("%s\n", gengetopt_args_info_description);
+
+  while (gengetopt_args_info_help[i])
+    printf("%s\n", gengetopt_args_info_help[i++]);
+}
+
+void
+cmdline_parser_init (struct gengetopt_args_info *args_info)
+{
+  clear_given (args_info);
+  clear_args (args_info);
+  init_args_info (args_info);
+
+  args_info->inputs = NULL;
+  args_info->inputs_num = 0;
+}
+
+struct cmdline_parser_params *
+cmdline_parser_params_init()
+{
+  struct cmdline_parser_params *params = 
+    (struct cmdline_parser_params *)malloc(sizeof(struct cmdline_parser_params));
+
+  if (params)
+    { 
+      params->override = 0;
+      params->initialize = 0;
+      params->check_required = 0;
+      params->check_ambiguity = 0;
+    }
+    
+  return params;
+}
+
+static void
+cmdline_parser_release (struct gengetopt_args_info *args_info)
+{
+  
+  unsigned int i;
+  if (args_info->import_format_arg)
+    {
+      free (args_info->import_format_arg); /* free previous argument */
+      args_info->import_format_arg = 0;
+    }
+  if (args_info->import_format_orig)
+    {
+      free (args_info->import_format_orig); /* free previous argument */
+      args_info->import_format_orig = 0;
+    }
+  
+  for (i = 0; i < args_info->inputs_num; ++i)
+    free (args_info->inputs [i]);
+  
+  if (args_info->inputs_num)
+    free (args_info->inputs);
+  
+  clear_given (args_info);
+}
+
+int
+cmdline_parser_file_save(const char *filename, struct gengetopt_args_info *args_info)
+{
+  FILE *outfile;
+  int i = 0;
+
+  outfile = fopen(filename, "w");
+
+  if (!outfile)
+    {
+      fprintf (stderr, "%s: cannot open file for writing: %s\n", CMDLINE_PARSER_PACKAGE, filename);
+      return EXIT_FAILURE;
+    }
+
+  if (args_info->help_given) {
+    fprintf(outfile, "%s\n", "help");
+  }
+  if (args_info->version_given) {
+    fprintf(outfile, "%s\n", "version");
+  }
+  if (args_info->import_format_given) {
+    if (args_info->import_format_orig) {
+      fprintf(outfile, "%s=\"%s\"\n", "import-format", args_info->import_format_orig);
+    } else {
+      fprintf(outfile, "%s\n", "import-format");
+    }
+  }
+  if (args_info->list_import_formats_given) {
+    fprintf(outfile, "%s\n", "list-import-formats");
+  }
+  if (args_info->msg_parser_given) {
+    fprintf(outfile, "%s\n", "msg_parser");
+  }
+  if (args_info->msg_debug_given) {
+    fprintf(outfile, "%s\n", "msg_debug");
+  }
+  if (args_info->msg_warning_given) {
+    fprintf(outfile, "%s\n", "msg_warning");
+  }
+  if (args_info->msg_error_given) {
+    fprintf(outfile, "%s\n", "msg_error");
+  }
+  if (args_info->msg_info_given) {
+    fprintf(outfile, "%s\n", "msg_info");
+  }
+  if (args_info->msg_status_given) {
+    fprintf(outfile, "%s\n", "msg_status");
+  }
+  
+  fclose (outfile);
+
+  i = EXIT_SUCCESS;
+  return i;
+}
+
+void
+cmdline_parser_free (struct gengetopt_args_info *args_info)
+{
+  cmdline_parser_release (args_info);
+}
+
 
 /* gengetopt_strdup() */
 /* strdup.c replacement of strdup, which is not standard */
 char *
 gengetopt_strdup (const char *s)
 {
-  char *result = (char*)malloc(strlen(s) + 1);
+  char *result = NULL;
+  if (!s)
+    return result;
+
+  result = (char*)malloc(strlen(s) + 1);
   if (result == (char*)0)
     return (char*)0;
   strcpy(result, s);
@@ -70,36 +257,79 @@
 int
 cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info)
 {
+  return cmdline_parser2 (argc, argv, args_info, 0, 1, 1);
+}
+
+int
+cmdline_parser_ext (int argc, char * const *argv, struct gengetopt_args_info *args_info,
+                   struct cmdline_parser_params *params)
+{
+  int result;
+  result = cmdline_parser_internal (argc, argv, args_info, params, NULL);
+
+  if (result == EXIT_FAILURE)
+    {
+      cmdline_parser_free (args_info);
+      exit (EXIT_FAILURE);
+    }
+  
+  return result;
+}
+
+int
+cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required)
+{
+  int result;
+  struct cmdline_parser_params params;
+  
+  params.override = override;
+  params.initialize = initialize;
+  params.check_required = check_required;
+  params.check_ambiguity = 0;
+
+  result = cmdline_parser_internal (argc, argv, args_info, &params, NULL);
+
+  if (result == EXIT_FAILURE)
+    {
+      cmdline_parser_free (args_info);
+      exit (EXIT_FAILURE);
+    }
+  
+  return result;
+}
+
+int
+cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name)
+{
+  return EXIT_SUCCESS;
+}
+
+int
+cmdline_parser_internal (int argc, char * const *argv, struct gengetopt_args_info *args_info,
+                        struct cmdline_parser_params *params, const char *additional_error)
+{
   int c;	/* Character of the parsed option.  */
-  int missing_required_options = 0;
-
-  args_info->help_given = 0 ;
-  args_info->version_given = 0 ;
-  args_info->import_format_given = 0 ;
-  args_info->list_import_formats_given = 0 ;
-  args_info->msg_parser_given = 0 ;
-  args_info->msg_debug_given = 0 ;
-  args_info->msg_warning_given = 0 ;
-  args_info->msg_error_given = 0 ;
-  args_info->msg_info_given = 0 ;
-  args_info->msg_status_given = 0 ;
-#define clear_args() { \
-  args_info->import_format_arg = gengetopt_strdup("AUTODETECT") ;\
-  args_info->msg_parser_flag = 0;\
-  args_info->msg_debug_flag = 0;\
-  args_info->msg_warning_flag = 1;\
-  args_info->msg_error_flag = 1;\
-  args_info->msg_info_flag = 1;\
-  args_info->msg_status_flag = 1;\
-}
-
-  clear_args();
-
-  args_info->inputs = NULL;
-  args_info->inputs_num = 0;
+
+  int error = 0;
+  struct gengetopt_args_info local_args_info;
+  
+  int override;
+  int initialize;
+  int check_required;
+  int check_ambiguity;
+  
+  override = params->override;
+  initialize = params->initialize;
+  check_required = params->check_required;
+  check_ambiguity = params->check_ambiguity;
+
+  if (initialize)
+    cmdline_parser_init (args_info);
+
+  cmdline_parser_init (&local_args_info);
 
   optarg = 0;
-  optind = 1;
+  optind = 0;
   opterr = 1;
   optopt = '?';
 
@@ -130,24 +360,31 @@
       switch (c)
         {
         case 'h':	/* Print help and exit.  */
-          clear_args ();
           cmdline_parser_print_help ();
+          cmdline_parser_free (&local_args_info);
           exit (EXIT_SUCCESS);
 
         case 'V':	/* Print version and exit.  */
-          clear_args ();
           cmdline_parser_print_version ();
+          cmdline_parser_free (&local_args_info);
           exit (EXIT_SUCCESS);
 
         case 'f':	/* Force the file format of the file(s) specified.  */
-          if (args_info->import_format_given)
+          if (local_args_info.import_format_given || (check_ambiguity && args_info->import_format_given))
             {
-              fprintf (stderr, "%s: `--import-format' (`-f') option given more than once\n", CMDLINE_PARSER_PACKAGE);
-              clear_args ();
-              exit (EXIT_FAILURE);
+              fprintf (stderr, "%s: `--import-format' (`-f') option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+              goto failure;
             }
+          if (args_info->import_format_given && ! override)
+            continue;
+          local_args_info.import_format_given = 1;
           args_info->import_format_given = 1;
+          if (args_info->import_format_arg)
+            free (args_info->import_format_arg); /* free previous string */
           args_info->import_format_arg = gengetopt_strdup (optarg);
+          if (args_info->import_format_orig)
+            free (args_info->import_format_orig); /* free previous string */
+          args_info->import_format_orig = gengetopt_strdup (optarg);
           break;
 
 
@@ -155,125 +392,149 @@
           /* List available import file formats 'import-format' command.  */
           if (strcmp (long_options[option_index].name, "list-import-formats") == 0)
           {
-            if (args_info->list_import_formats_given)
+            if (local_args_info.list_import_formats_given || (check_ambiguity && args_info->list_import_formats_given))
               {
-                fprintf (stderr, "%s: `--list-import-formats' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--list-import-formats' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->list_import_formats_given && ! override)
+              continue;
+            local_args_info.list_import_formats_given = 1;
             args_info->list_import_formats_given = 1;
             break;
           }
-          
           /* Output file parsing messages.  */
           else if (strcmp (long_options[option_index].name, "msg_parser") == 0)
           {
-            if (args_info->msg_parser_given)
+            if (local_args_info.msg_parser_given || (check_ambiguity && args_info->msg_parser_given))
               {
-                fprintf (stderr, "%s: `--msg_parser' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--msg_parser' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->msg_parser_given && ! override)
+              continue;
+            local_args_info.msg_parser_given = 1;
             args_info->msg_parser_given = 1;
             args_info->msg_parser_flag = !(args_info->msg_parser_flag);
-            break;
           }
-          
           /* Output messages meant for debuging.  */
           else if (strcmp (long_options[option_index].name, "msg_debug") == 0)
           {
-            if (args_info->msg_debug_given)
+            if (local_args_info.msg_debug_given || (check_ambiguity && args_info->msg_debug_given))
               {
-                fprintf (stderr, "%s: `--msg_debug' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--msg_debug' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->msg_debug_given && ! override)
+              continue;
+            local_args_info.msg_debug_given = 1;
             args_info->msg_debug_given = 1;
             args_info->msg_debug_flag = !(args_info->msg_debug_flag);
-            break;
           }
-          
           /* Output warning messages about abnormal conditions and unknown constructs.  */
           else if (strcmp (long_options[option_index].name, "msg_warning") == 0)
           {
-            if (args_info->msg_warning_given)
+            if (local_args_info.msg_warning_given || (check_ambiguity && args_info->msg_warning_given))
               {
-                fprintf (stderr, "%s: `--msg_warning' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--msg_warning' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->msg_warning_given && ! override)
+              continue;
+            local_args_info.msg_warning_given = 1;
             args_info->msg_warning_given = 1;
             args_info->msg_warning_flag = !(args_info->msg_warning_flag);
-            break;
           }
-          
           /* Output error messages.  */
           else if (strcmp (long_options[option_index].name, "msg_error") == 0)
           {
-            if (args_info->msg_error_given)
+            if (local_args_info.msg_error_given || (check_ambiguity && args_info->msg_error_given))
               {
-                fprintf (stderr, "%s: `--msg_error' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--msg_error' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->msg_error_given && ! override)
+              continue;
+            local_args_info.msg_error_given = 1;
             args_info->msg_error_given = 1;
             args_info->msg_error_flag = !(args_info->msg_error_flag);
-            break;
           }
-          
           /* Output informational messages about the progress of the library.  */
           else if (strcmp (long_options[option_index].name, "msg_info") == 0)
           {
-            if (args_info->msg_info_given)
+            if (local_args_info.msg_info_given || (check_ambiguity && args_info->msg_info_given))
               {
-                fprintf (stderr, "%s: `--msg_info' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--msg_info' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->msg_info_given && ! override)
+              continue;
+            local_args_info.msg_info_given = 1;
             args_info->msg_info_given = 1;
             args_info->msg_info_flag = !(args_info->msg_info_flag);
-            break;
           }
-          
           /* Output status messages.  */
           else if (strcmp (long_options[option_index].name, "msg_status") == 0)
           {
-            if (args_info->msg_status_given)
+            if (local_args_info.msg_status_given || (check_ambiguity && args_info->msg_status_given))
               {
-                fprintf (stderr, "%s: `--msg_status' option given more than once\n", CMDLINE_PARSER_PACKAGE);
-                clear_args ();
-                exit (EXIT_FAILURE);
+                fprintf (stderr, "%s: `--msg_status' option given more than once%s\n", argv[0], (additional_error ? additional_error : ""));
+                goto failure;
               }
+            if (args_info->msg_status_given && ! override)
+              continue;
+            local_args_info.msg_status_given = 1;
             args_info->msg_status_given = 1;
             args_info->msg_status_flag = !(args_info->msg_status_flag);
-            break;
           }
           
-
+          break;
         case '?':	/* Invalid option.  */
           /* `getopt_long' already printed an error message.  */
-          exit (EXIT_FAILURE);
+          goto failure;
 
         default:	/* bug: option not considered.  */
-          fprintf (stderr, "%s: option unknown: %c\n", CMDLINE_PARSER_PACKAGE, c);
+          fprintf (stderr, "%s: option unknown: %c%s\n", CMDLINE_PARSER_PACKAGE, c, (additional_error ? additional_error : ""));
           abort ();
         } /* switch */
     } /* while */
 
 
-  if ( missing_required_options )
-    exit (EXIT_FAILURE);
+
+
+  cmdline_parser_release (&local_args_info);
+
+  if ( error )
+    return (EXIT_FAILURE);
 
   if (optind < argc)
     {
       int i = 0 ;
-  
-      args_info->inputs_num = argc - optind ;
-      args_info->inputs = 
+      int found_prog_name = 0;
+      /* whether program name, i.e., argv[0], is in the remaining args
+         (this may happen with some implementations of getopt,
+          but surely not with the one included by gengetopt) */
+
+      i = optind;
+      while (i < argc)
+        if (argv[i++] == argv[0]) {
+          found_prog_name = 1;
+          break;
+        }
+      i = 0;
+
+      args_info->inputs_num = argc - optind - found_prog_name;
+      args_info->inputs =
         (char **)(malloc ((args_info->inputs_num)*sizeof(char *))) ;
       while (optind < argc)
-        args_info->inputs[ i++ ] = gengetopt_strdup (argv[optind++]) ; 
+        if (argv[optind++] != argv[0])
+          args_info->inputs[ i++ ] = gengetopt_strdup (argv[optind-1]) ;
     }
-  
+
   return 0;
+
+failure:
+  
+  cmdline_parser_release (&local_args_info);
+  return (EXIT_FAILURE);
 }

=== modified file 'ofxdump/cmdline.h'
--- ofxdump/cmdline.h	2006-10-20 13:12:33 +0000
+++ ofxdump/cmdline.h	2008-02-06 17:25:16 +0000
@@ -1,6 +1,9 @@
-/* cmdline.h */
-
-/* File autogenerated by gengetopt version 2.10  */
+/** @file cmdline.h
+ *  @brief The header file for the command line option parser
+ *  generated by GNU Gengetopt version 2.21
+ *  http://www.gnu.org/software/gengetopt.
+ *  DO NOT modify this file, since it can be overwritten
+ *  @author GNU Gengetopt by Lorenzo Bettini */
 
 #ifndef CMDLINE_H
 #define CMDLINE_H
@@ -15,43 +18,155 @@
 #endif /* __cplusplus */
 
 #ifndef CMDLINE_PARSER_PACKAGE
+/** @brief the program name */
 #define CMDLINE_PARSER_PACKAGE PACKAGE
 #endif
 
 #ifndef CMDLINE_PARSER_VERSION
+/** @brief the program version */
 #define CMDLINE_PARSER_VERSION VERSION
 #endif
 
+/** @brief Where the command line options are stored */
 struct gengetopt_args_info
 {
-  char * import_format_arg;	/* Force the file format of the file(s) specified (default='AUTODETECT').  */
-  int msg_parser_flag;	/* Output file parsing messages (default=off).  */
-  int msg_debug_flag;	/* Output messages meant for debuging (default=off).  */
-  int msg_warning_flag;	/* Output warning messages about abnormal conditions and unknown constructs (default=on).  */
-  int msg_error_flag;	/* Output error messages (default=on).  */
-  int msg_info_flag;	/* Output informational messages about the progress of the library (default=on).  */
-  int msg_status_flag;	/* Output status messages (default=on).  */
-
-  int help_given ;	/* Whether help was given.  */
-  int version_given ;	/* Whether version was given.  */
-  int import_format_given ;	/* Whether import-format was given.  */
-  int list_import_formats_given ;	/* Whether list-import-formats was given.  */
-  int msg_parser_given ;	/* Whether msg_parser was given.  */
-  int msg_debug_given ;	/* Whether msg_debug was given.  */
-  int msg_warning_given ;	/* Whether msg_warning was given.  */
-  int msg_error_given ;	/* Whether msg_error was given.  */
-  int msg_info_given ;	/* Whether msg_info was given.  */
-  int msg_status_given ;	/* Whether msg_status was given.  */
-
-  char **inputs ; /* unamed options */
-  unsigned inputs_num ; /* unamed options number */
-} ;
-
-int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
-
+  const char *help_help; /**< @brief Print help and exit help description.  */
+  const char *version_help; /**< @brief Print version and exit help description.  */
+  char * import_format_arg;	/**< @brief Force the file format of the file(s) specified (default='AUTODETECT').  */
+  char * import_format_orig;	/**< @brief Force the file format of the file(s) specified original value given at command line.  */
+  const char *import_format_help; /**< @brief Force the file format of the file(s) specified help description.  */
+  const char *list_import_formats_help; /**< @brief List available import file formats 'import-format' command help description.  */
+  int msg_parser_flag;	/**< @brief Output file parsing messages (default=off).  */
+  const char *msg_parser_help; /**< @brief Output file parsing messages help description.  */
+  int msg_debug_flag;	/**< @brief Output messages meant for debuging (default=off).  */
+  const char *msg_debug_help; /**< @brief Output messages meant for debuging help description.  */
+  int msg_warning_flag;	/**< @brief Output warning messages about abnormal conditions and unknown constructs (default=on).  */
+  const char *msg_warning_help; /**< @brief Output warning messages about abnormal conditions and unknown constructs help description.  */
+  int msg_error_flag;	/**< @brief Output error messages (default=on).  */
+  const char *msg_error_help; /**< @brief Output error messages help description.  */
+  int msg_info_flag;	/**< @brief Output informational messages about the progress of the library (default=on).  */
+  const char *msg_info_help; /**< @brief Output informational messages about the progress of the library help description.  */
+  int msg_status_flag;	/**< @brief Output status messages (default=on).  */
+  const char *msg_status_help; /**< @brief Output status messages help description.  */
+  
+  int help_given ;	/**< @brief Whether help was given.  */
+  int version_given ;	/**< @brief Whether version was given.  */
+  int import_format_given ;	/**< @brief Whether import-format was given.  */
+  int list_import_formats_given ;	/**< @brief Whether list-import-formats was given.  */
+  int msg_parser_given ;	/**< @brief Whether msg_parser was given.  */
+  int msg_debug_given ;	/**< @brief Whether msg_debug was given.  */
+  int msg_warning_given ;	/**< @brief Whether msg_warning was given.  */
+  int msg_error_given ;	/**< @brief Whether msg_error was given.  */
+  int msg_info_given ;	/**< @brief Whether msg_info was given.  */
+  int msg_status_given ;	/**< @brief Whether msg_status was given.  */
+
+  char **inputs ; /**< @brief unamed options (options without names) */
+  unsigned inputs_num ; /**< @brief unamed options number */
+} ;
+
+/** @brief The additional parameters to pass to parser functions */
+struct cmdline_parser_params
+{
+  int override; /**< @brief whether to override possibly already present options (default 0) */
+  int initialize; /**< @brief whether to initialize the option structure gengetopt_args_info (default 0) */
+  int check_required; /**< @brief whether to check that all required options were provided (default 0) */
+  int check_ambiguity; /**< @brief whether to check for options already specified in the option structure gengetopt_args_info (default 0) */
+} ;
+
+/** @brief the purpose string of the program */
+extern const char *gengetopt_args_info_purpose;
+/** @brief the usage string of the program */
+extern const char *gengetopt_args_info_usage;
+/** @brief all the lines making the help output */
+extern const char *gengetopt_args_info_help[];
+
+/**
+ * The command line parser
+ * @param argc the number of command line options
+ * @param argv the command line options
+ * @param args_info the structure where option information will be stored
+ * @return 0 if everything went fine, NON 0 if an error took place
+ */
+int cmdline_parser (int argc, char * const *argv,
+  struct gengetopt_args_info *args_info);
+
+/**
+ * The command line parser (version with additional parameters - deprecated)
+ * @param argc the number of command line options
+ * @param argv the command line options
+ * @param args_info the structure where option information will be stored
+ * @param override whether to override possibly already present options
+ * @param initialize whether to initialize the option structure my_args_info
+ * @param check_required whether to check that all required options were provided
+ * @return 0 if everything went fine, NON 0 if an error took place
+ * @deprecated use cmdline_parser_ext() instead
+ */
+int cmdline_parser2 (int argc, char * const *argv,
+  struct gengetopt_args_info *args_info,
+  int override, int initialize, int check_required);
+
+/**
+ * The command line parser (version with additional parameters)
+ * @param argc the number of command line options
+ * @param argv the command line options
+ * @param args_info the structure where option information will be stored
+ * @param params additional parameters for the parser
+ * @return 0 if everything went fine, NON 0 if an error took place
+ */
+int cmdline_parser_ext (int argc, char * const *argv,
+  struct gengetopt_args_info *args_info,
+  struct cmdline_parser_params *params);
+
+/**
+ * Save the contents of the option struct into a (text) file.
+ * This file can be read by the config file parser (if generated by gengetopt)
+ * @param filename the file where to save
+ * @param args_info the option struct to save
+ * @return 0 if everything went fine, NON 0 if an error took place
+ */
+int cmdline_parser_file_save(const char *filename,
+  struct gengetopt_args_info *args_info);
+
+/**
+ * Print the help
+ */
 void cmdline_parser_print_help(void);
+/**
+ * Print the version
+ */
 void cmdline_parser_print_version(void);
 
+/**
+ * Allocates dynamically a cmdline_parser_params structure and initializes
+ * all its fields to 0
+ * @return the initialized cmdline_parser_params structure
+ */
+struct cmdline_parser_params *cmdline_parser_params_init();
+
+/**
+ * Initializes the passed gengetopt_args_info structure's fields
+ * (also set default values for options that have a default)
+ * @param args_info the structure to initialize
+ */
+void cmdline_parser_init (struct gengetopt_args_info *args_info);
+/**
+ * Deallocates the string fields of the gengetopt_args_info structure
+ * (but does not deallocate the structure itself)
+ * @param args_info the structure to deallocate
+ */
+void cmdline_parser_free (struct gengetopt_args_info *args_info);
+
+/**
+ * Checks that all the required options were specified
+ * @param args_info the structure to check
+ * @param prog_name the name of the program that will be used to print
+ *   possible errors
+ * @return
+ */
+int cmdline_parser_required (struct gengetopt_args_info *args_info,
+  const char *prog_name);
+
+
 #ifdef __cplusplus
 }
 #endif /* __cplusplus */

